// SPDX-License-Identifier: MIT-0
//
// GENERATED FILE
// ALL CHANGES MADE IN THIS FOLDER WILL BE LOST!
//
// MIT No Attribution
//
// Copyright 2022 René Kijewski <crates.io@k6i.de>
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and
// associated documentation files (the "Software"), to deal in the Software without restriction,
// including without limitation the rights to use, copy, modify, merge, publish, distribute,
// sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT
// NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

#![allow(clippy::pedantic)]

pub(crate) mod by_name;
#[cfg(all(test, not(miri)))]
mod test_all_names;

pub(crate) const VERSION: &str = "2023c";
pub(crate) const VERSION_HASH: &str = "b59dbfc598b98f325797ff587bd2e8b27aadc52924eeb0b26cd18cdaca56224c436a20950bc73de9b9b46e98d640a24d8cb797a8f49ada15ea2f42a70a6efe22";

pub(crate) const fn new_time_zone_ref(
    transitions: &'static [tz::timezone::Transition],
    local_time_types: &'static [tz::LocalTimeType],
    leap_seconds: &'static [tz::timezone::LeapSecond],
    extra_rule: &'static Option<tz::timezone::TransitionRule>,
) -> tz::timezone::TimeZoneRef<'static> {
    match tz::timezone::TimeZoneRef::new(transitions, local_time_types, leap_seconds, extra_rule) {
        Ok(value) => value,
        Err(_) => {
            #[allow(unconditional_panic)]
            let err = [][0];
            err
        },
    }
}

pub(crate) const fn new_local_time_type(
    ut_offset: i32,
    is_dst: bool,
    time_zone_designation: Option<&[u8]>,
) -> tz::LocalTimeType {
    match tz::LocalTimeType::new(ut_offset, is_dst, time_zone_designation) {
        Ok(value) => value,
        Err(_) => {
            #[allow(unconditional_panic)]
            let err = [][0];
            err
        },
    }
}

pub(crate) const fn new_transition(
    unix_leap_time: i64,
    local_time_type_index: usize,
) -> tz::timezone::Transition {
    tz::timezone::Transition::new(unix_leap_time, local_time_type_index)
}

pub(crate) const fn new_alternate_time(
    std: tz::LocalTimeType,
    dst: tz::LocalTimeType,
    dst_start: tz::timezone::RuleDay,
    dst_start_time: i32,
    dst_end: tz::timezone::RuleDay,
    dst_end_time: i32,
) -> tz::timezone::AlternateTime {
    match tz::timezone::AlternateTime::new(
        std,
        dst,
        dst_start,
        dst_start_time,
        dst_end,
        dst_end_time,
    ) {
        Ok(value) => value,
        Err(_) => {
            #[allow(unconditional_panic)]
            let err = [][0];
            err
        },
    }
}

pub(crate) const fn new_month_week_day(
    month: u8,
    week: u8,
    week_day: u8,
) -> tz::timezone::MonthWeekDay {
    match tz::timezone::MonthWeekDay::new(month, week, week_day) {
        Ok(value) => value,
        Err(_) => {
            #[allow(unconditional_panic)]
            let err = [][0];
            err
        },
    }
}

/// All defined time zones statically accessible
pub mod time_zone {
    /// africa
    pub mod africa {
        /// Time zone data for Africa/Abidjan,
        pub const ABIDJAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::ICELAND;
        /// Time zone data for Africa/Accra,
        pub const ACCRA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_ACCRA;
        /// Time zone data for Africa/Addis_Ababa,
        pub const ADDIS_ABABA: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AFRICA_ADDIS_ABABA;
        /// Time zone data for Africa/Algiers,
        pub const ALGIERS: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_ALGIERS;
        /// Time zone data for Africa/Asmara,
        pub const ASMARA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_ASMARA;
        /// Time zone data for Africa/Asmera,
        pub const ASMERA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_ASMERA;
        /// Time zone data for Africa/Bamako,
        pub const BAMAKO: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_BAMAKO;
        /// Time zone data for Africa/Bangui,
        pub const BANGUI: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_BANGUI;
        /// Time zone data for Africa/Banjul,
        pub const BANJUL: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_BANJUL;
        /// Time zone data for Africa/Bissau,
        pub const BISSAU: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_BISSAU;
        /// Time zone data for Africa/Blantyre,
        pub const BLANTYRE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_BLANTYRE;
        /// Time zone data for Africa/Brazzaville,
        pub const BRAZZAVILLE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AFRICA_BRAZZAVILLE;
        /// Time zone data for Africa/Bujumbura,
        pub const BUJUMBURA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_BUJUMBURA;
        /// Time zone data for Africa/Cairo,
        pub const CAIRO: tz::TimeZoneRef<'static> = crate::generated::tzdata::EGYPT;
        /// Time zone data for Africa/Casablanca,
        pub const CASABLANCA: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AFRICA_CASABLANCA;
        /// Time zone data for Africa/Ceuta,
        pub const CEUTA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_CEUTA;
        /// Time zone data for Africa/Conakry,
        pub const CONAKRY: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_CONAKRY;
        /// Time zone data for Africa/Dakar,
        pub const DAKAR: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_DAKAR;
        /// Time zone data for Africa/Dar_es_Salaam,
        pub const DAR_ES_SALAAM: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AFRICA_DAR_ES_SALAAM;
        /// Time zone data for Africa/Djibouti,
        pub const DJIBOUTI: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_DJIBOUTI;
        /// Time zone data for Africa/Douala,
        pub const DOUALA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_DOUALA;
        /// Time zone data for Africa/El_Aaiun,
        pub const EL_AAIUN: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_EL_AAIUN;
        /// Time zone data for Africa/Freetown,
        pub const FREETOWN: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_FREETOWN;
        /// Time zone data for Africa/Gaborone,
        pub const GABORONE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_GABORONE;
        /// Time zone data for Africa/Harare,
        pub const HARARE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_HARARE;
        /// Time zone data for Africa/Johannesburg,
        pub const JOHANNESBURG: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AFRICA_JOHANNESBURG;
        /// Time zone data for Africa/Juba,
        pub const JUBA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_JUBA;
        /// Time zone data for Africa/Kampala,
        pub const KAMPALA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_KAMPALA;
        /// Time zone data for Africa/Khartoum,
        pub const KHARTOUM: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_KHARTOUM;
        /// Time zone data for Africa/Kigali,
        pub const KIGALI: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_KIGALI;
        /// Time zone data for Africa/Kinshasa,
        pub const KINSHASA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_KINSHASA;
        /// Time zone data for Africa/Lagos,
        pub const LAGOS: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_LAGOS;
        /// Time zone data for Africa/Libreville,
        pub const LIBREVILLE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AFRICA_LIBREVILLE;
        /// Time zone data for Africa/Lome,
        pub const LOME: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_LOME;
        /// Time zone data for Africa/Luanda,
        pub const LUANDA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_LUANDA;
        /// Time zone data for Africa/Lubumbashi,
        pub const LUBUMBASHI: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AFRICA_LUBUMBASHI;
        /// Time zone data for Africa/Lusaka,
        pub const LUSAKA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_LUSAKA;
        /// Time zone data for Africa/Malabo,
        pub const MALABO: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_MALABO;
        /// Time zone data for Africa/Maputo,
        pub const MAPUTO: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_MAPUTO;
        /// Time zone data for Africa/Maseru,
        pub const MASERU: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_MASERU;
        /// Time zone data for Africa/Mbabane,
        pub const MBABANE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_MBABANE;
        /// Time zone data for Africa/Mogadishu,
        pub const MOGADISHU: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_MOGADISHU;
        /// Time zone data for Africa/Monrovia,
        pub const MONROVIA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_MONROVIA;
        /// Time zone data for Africa/Nairobi,
        pub const NAIROBI: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_ASMERA;
        /// Time zone data for Africa/Ndjamena,
        pub const NDJAMENA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_NDJAMENA;
        /// Time zone data for Africa/Niamey,
        pub const NIAMEY: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_NIAMEY;
        /// Time zone data for Africa/Nouakchott,
        pub const NOUAKCHOTT: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AFRICA_NOUAKCHOTT;
        /// Time zone data for Africa/Ouagadougou,
        pub const OUAGADOUGOU: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AFRICA_OUAGADOUGOU;
        /// Time zone data for Africa/Porto-Novo,
        pub const PORTO_NOVO: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AFRICA_PORTO_NOVO;
        /// Time zone data for Africa/Sao_Tome,
        pub const SAO_TOME: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_SAO_TOME;
        /// Time zone data for Africa/Timbuktu,
        pub const TIMBUKTU: tz::TimeZoneRef<'static> = crate::generated::tzdata::ICELAND;
        /// Time zone data for Africa/Tripoli,
        pub const TRIPOLI: tz::TimeZoneRef<'static> = crate::generated::tzdata::LIBYA;
        /// Time zone data for Africa/Tunis,
        pub const TUNIS: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_TUNIS;
        /// Time zone data for Africa/Windhoek,
        pub const WINDHOEK: tz::TimeZoneRef<'static> = crate::generated::tzdata::AFRICA_WINDHOEK;
        /// Raw, unparsed time zone data for Africa/Abidjan,
        pub const RAW_ABIDJAN: &[u8] = crate::generated::raw_tzdata::ICELAND;
        /// Raw, unparsed time zone data for Africa/Accra,
        pub const RAW_ACCRA: &[u8] = crate::generated::raw_tzdata::AFRICA_ACCRA;
        /// Raw, unparsed time zone data for Africa/Addis_Ababa,
        pub const RAW_ADDIS_ABABA: &[u8] = crate::generated::raw_tzdata::AFRICA_ADDIS_ABABA;
        /// Raw, unparsed time zone data for Africa/Algiers,
        pub const RAW_ALGIERS: &[u8] = crate::generated::raw_tzdata::AFRICA_ALGIERS;
        /// Raw, unparsed time zone data for Africa/Asmara,
        pub const RAW_ASMARA: &[u8] = crate::generated::raw_tzdata::AFRICA_ASMARA;
        /// Raw, unparsed time zone data for Africa/Asmera,
        pub const RAW_ASMERA: &[u8] = crate::generated::raw_tzdata::AFRICA_ASMERA;
        /// Raw, unparsed time zone data for Africa/Bamako,
        pub const RAW_BAMAKO: &[u8] = crate::generated::raw_tzdata::AFRICA_BAMAKO;
        /// Raw, unparsed time zone data for Africa/Bangui,
        pub const RAW_BANGUI: &[u8] = crate::generated::raw_tzdata::AFRICA_BANGUI;
        /// Raw, unparsed time zone data for Africa/Banjul,
        pub const RAW_BANJUL: &[u8] = crate::generated::raw_tzdata::AFRICA_BANJUL;
        /// Raw, unparsed time zone data for Africa/Bissau,
        pub const RAW_BISSAU: &[u8] = crate::generated::raw_tzdata::AFRICA_BISSAU;
        /// Raw, unparsed time zone data for Africa/Blantyre,
        pub const RAW_BLANTYRE: &[u8] = crate::generated::raw_tzdata::AFRICA_BLANTYRE;
        /// Raw, unparsed time zone data for Africa/Brazzaville,
        pub const RAW_BRAZZAVILLE: &[u8] = crate::generated::raw_tzdata::AFRICA_BRAZZAVILLE;
        /// Raw, unparsed time zone data for Africa/Bujumbura,
        pub const RAW_BUJUMBURA: &[u8] = crate::generated::raw_tzdata::AFRICA_BUJUMBURA;
        /// Raw, unparsed time zone data for Africa/Cairo,
        pub const RAW_CAIRO: &[u8] = crate::generated::raw_tzdata::EGYPT;
        /// Raw, unparsed time zone data for Africa/Casablanca,
        pub const RAW_CASABLANCA: &[u8] = crate::generated::raw_tzdata::AFRICA_CASABLANCA;
        /// Raw, unparsed time zone data for Africa/Ceuta,
        pub const RAW_CEUTA: &[u8] = crate::generated::raw_tzdata::AFRICA_CEUTA;
        /// Raw, unparsed time zone data for Africa/Conakry,
        pub const RAW_CONAKRY: &[u8] = crate::generated::raw_tzdata::AFRICA_CONAKRY;
        /// Raw, unparsed time zone data for Africa/Dakar,
        pub const RAW_DAKAR: &[u8] = crate::generated::raw_tzdata::AFRICA_DAKAR;
        /// Raw, unparsed time zone data for Africa/Dar_es_Salaam,
        pub const RAW_DAR_ES_SALAAM: &[u8] = crate::generated::raw_tzdata::AFRICA_DAR_ES_SALAAM;
        /// Raw, unparsed time zone data for Africa/Djibouti,
        pub const RAW_DJIBOUTI: &[u8] = crate::generated::raw_tzdata::AFRICA_DJIBOUTI;
        /// Raw, unparsed time zone data for Africa/Douala,
        pub const RAW_DOUALA: &[u8] = crate::generated::raw_tzdata::AFRICA_DOUALA;
        /// Raw, unparsed time zone data for Africa/El_Aaiun,
        pub const RAW_EL_AAIUN: &[u8] = crate::generated::raw_tzdata::AFRICA_EL_AAIUN;
        /// Raw, unparsed time zone data for Africa/Freetown,
        pub const RAW_FREETOWN: &[u8] = crate::generated::raw_tzdata::AFRICA_FREETOWN;
        /// Raw, unparsed time zone data for Africa/Gaborone,
        pub const RAW_GABORONE: &[u8] = crate::generated::raw_tzdata::AFRICA_GABORONE;
        /// Raw, unparsed time zone data for Africa/Harare,
        pub const RAW_HARARE: &[u8] = crate::generated::raw_tzdata::AFRICA_HARARE;
        /// Raw, unparsed time zone data for Africa/Johannesburg,
        pub const RAW_JOHANNESBURG: &[u8] = crate::generated::raw_tzdata::AFRICA_JOHANNESBURG;
        /// Raw, unparsed time zone data for Africa/Juba,
        pub const RAW_JUBA: &[u8] = crate::generated::raw_tzdata::AFRICA_JUBA;
        /// Raw, unparsed time zone data for Africa/Kampala,
        pub const RAW_KAMPALA: &[u8] = crate::generated::raw_tzdata::AFRICA_KAMPALA;
        /// Raw, unparsed time zone data for Africa/Khartoum,
        pub const RAW_KHARTOUM: &[u8] = crate::generated::raw_tzdata::AFRICA_KHARTOUM;
        /// Raw, unparsed time zone data for Africa/Kigali,
        pub const RAW_KIGALI: &[u8] = crate::generated::raw_tzdata::AFRICA_KIGALI;
        /// Raw, unparsed time zone data for Africa/Kinshasa,
        pub const RAW_KINSHASA: &[u8] = crate::generated::raw_tzdata::AFRICA_KINSHASA;
        /// Raw, unparsed time zone data for Africa/Lagos,
        pub const RAW_LAGOS: &[u8] = crate::generated::raw_tzdata::AFRICA_LAGOS;
        /// Raw, unparsed time zone data for Africa/Libreville,
        pub const RAW_LIBREVILLE: &[u8] = crate::generated::raw_tzdata::AFRICA_LIBREVILLE;
        /// Raw, unparsed time zone data for Africa/Lome,
        pub const RAW_LOME: &[u8] = crate::generated::raw_tzdata::AFRICA_LOME;
        /// Raw, unparsed time zone data for Africa/Luanda,
        pub const RAW_LUANDA: &[u8] = crate::generated::raw_tzdata::AFRICA_LUANDA;
        /// Raw, unparsed time zone data for Africa/Lubumbashi,
        pub const RAW_LUBUMBASHI: &[u8] = crate::generated::raw_tzdata::AFRICA_LUBUMBASHI;
        /// Raw, unparsed time zone data for Africa/Lusaka,
        pub const RAW_LUSAKA: &[u8] = crate::generated::raw_tzdata::AFRICA_LUSAKA;
        /// Raw, unparsed time zone data for Africa/Malabo,
        pub const RAW_MALABO: &[u8] = crate::generated::raw_tzdata::AFRICA_MALABO;
        /// Raw, unparsed time zone data for Africa/Maputo,
        pub const RAW_MAPUTO: &[u8] = crate::generated::raw_tzdata::AFRICA_MAPUTO;
        /// Raw, unparsed time zone data for Africa/Maseru,
        pub const RAW_MASERU: &[u8] = crate::generated::raw_tzdata::AFRICA_MASERU;
        /// Raw, unparsed time zone data for Africa/Mbabane,
        pub const RAW_MBABANE: &[u8] = crate::generated::raw_tzdata::AFRICA_MBABANE;
        /// Raw, unparsed time zone data for Africa/Mogadishu,
        pub const RAW_MOGADISHU: &[u8] = crate::generated::raw_tzdata::AFRICA_MOGADISHU;
        /// Raw, unparsed time zone data for Africa/Monrovia,
        pub const RAW_MONROVIA: &[u8] = crate::generated::raw_tzdata::AFRICA_MONROVIA;
        /// Raw, unparsed time zone data for Africa/Nairobi,
        pub const RAW_NAIROBI: &[u8] = crate::generated::raw_tzdata::AFRICA_ASMERA;
        /// Raw, unparsed time zone data for Africa/Ndjamena,
        pub const RAW_NDJAMENA: &[u8] = crate::generated::raw_tzdata::AFRICA_NDJAMENA;
        /// Raw, unparsed time zone data for Africa/Niamey,
        pub const RAW_NIAMEY: &[u8] = crate::generated::raw_tzdata::AFRICA_NIAMEY;
        /// Raw, unparsed time zone data for Africa/Nouakchott,
        pub const RAW_NOUAKCHOTT: &[u8] = crate::generated::raw_tzdata::AFRICA_NOUAKCHOTT;
        /// Raw, unparsed time zone data for Africa/Ouagadougou,
        pub const RAW_OUAGADOUGOU: &[u8] = crate::generated::raw_tzdata::AFRICA_OUAGADOUGOU;
        /// Raw, unparsed time zone data for Africa/Porto-Novo,
        pub const RAW_PORTO_NOVO: &[u8] = crate::generated::raw_tzdata::AFRICA_PORTO_NOVO;
        /// Raw, unparsed time zone data for Africa/Sao_Tome,
        pub const RAW_SAO_TOME: &[u8] = crate::generated::raw_tzdata::AFRICA_SAO_TOME;
        /// Raw, unparsed time zone data for Africa/Timbuktu,
        pub const RAW_TIMBUKTU: &[u8] = crate::generated::raw_tzdata::ICELAND;
        /// Raw, unparsed time zone data for Africa/Tripoli,
        pub const RAW_TRIPOLI: &[u8] = crate::generated::raw_tzdata::LIBYA;
        /// Raw, unparsed time zone data for Africa/Tunis,
        pub const RAW_TUNIS: &[u8] = crate::generated::raw_tzdata::AFRICA_TUNIS;
        /// Raw, unparsed time zone data for Africa/Windhoek,
        pub const RAW_WINDHOEK: &[u8] = crate::generated::raw_tzdata::AFRICA_WINDHOEK;
    }
    /// america
    pub mod america {
        /// Time zone data for America/Adak,
        pub const ADAK: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ADAK;
        /// Time zone data for America/Anchorage,
        pub const ANCHORAGE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ANCHORAGE;
        /// Time zone data for America/Anguilla,
        pub const ANGUILLA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ANGUILLA;
        /// Time zone data for America/Antigua,
        pub const ANTIGUA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ANTIGUA;
        /// Time zone data for America/Araguaina,
        pub const ARAGUAINA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ARAGUAINA;
        /// Time zone data for America/Aruba,
        pub const ARUBA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ARUBA;
        /// Time zone data for America/Asuncion,
        pub const ASUNCION: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ASUNCION;
        /// Time zone data for America/Atikokan,
        pub const ATIKOKAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ATIKOKAN;
        /// Time zone data for America/Atka,
        pub const ATKA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ADAK;
        /// Time zone data for America/Bahia,
        pub const BAHIA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_BAHIA;
        /// Time zone data for America/Bahia_Banderas,
        pub const BAHIA_BANDERAS: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_BAHIA_BANDERAS;
        /// Time zone data for America/Barbados,
        pub const BARBADOS: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_BARBADOS;
        /// Time zone data for America/Belem,
        pub const BELEM: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_BELEM;
        /// Time zone data for America/Belize,
        pub const BELIZE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_BELIZE;
        /// Time zone data for America/Blanc-Sablon,
        pub const BLANC_SABLON: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_BLANC_SABLON;
        /// Time zone data for America/Boa_Vista,
        pub const BOA_VISTA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_BOA_VISTA;
        /// Time zone data for America/Bogota,
        pub const BOGOTA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_BOGOTA;
        /// Time zone data for America/Boise,
        pub const BOISE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_BOISE;
        /// Time zone data for America/Buenos_Aires,
        pub const BUENOS_AIRES: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_BUENOS_AIRES;
        /// Time zone data for America/Cambridge_Bay,
        pub const CAMBRIDGE_BAY: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_CAMBRIDGE_BAY;
        /// Time zone data for America/Campo_Grande,
        pub const CAMPO_GRANDE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_CAMPO_GRANDE;
        /// Time zone data for America/Cancun,
        pub const CANCUN: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_CANCUN;
        /// Time zone data for America/Caracas,
        pub const CARACAS: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_CARACAS;
        /// Time zone data for America/Catamarca,
        pub const CATAMARCA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_CATAMARCA;
        /// Time zone data for America/Cayenne,
        pub const CAYENNE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_CAYENNE;
        /// Time zone data for America/Cayman,
        pub const CAYMAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_CAYMAN;
        /// Time zone data for America/Chicago,
        pub const CHICAGO: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_CHICAGO;
        /// Time zone data for America/Chihuahua,
        pub const CHIHUAHUA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_CHIHUAHUA;
        /// Time zone data for America/Ciudad_Juarez,
        pub const CIUDAD_JUAREZ: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_CIUDAD_JUAREZ;
        /// Time zone data for America/Coral_Harbour,
        pub const CORAL_HARBOUR: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_CORAL_HARBOUR;
        /// Time zone data for America/Cordoba,
        pub const CORDOBA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_CORDOBA;
        /// Time zone data for America/Costa_Rica,
        pub const COSTA_RICA: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_COSTA_RICA;
        /// Time zone data for America/Creston,
        pub const CRESTON: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_CRESTON;
        /// Time zone data for America/Cuiaba,
        pub const CUIABA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_CUIABA;
        /// Time zone data for America/Curacao,
        pub const CURACAO: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_CURACAO;
        /// Time zone data for America/Danmarkshavn,
        pub const DANMARKSHAVN: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_DANMARKSHAVN;
        /// Time zone data for America/Dawson,
        pub const DAWSON: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_DAWSON;
        /// Time zone data for America/Dawson_Creek,
        pub const DAWSON_CREEK: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_DAWSON_CREEK;
        /// Time zone data for America/Denver,
        pub const DENVER: tz::TimeZoneRef<'static> = crate::generated::tzdata::NAVAJO;
        /// Time zone data for America/Detroit,
        pub const DETROIT: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_DETROIT;
        /// Time zone data for America/Dominica,
        pub const DOMINICA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_DOMINICA;
        /// Time zone data for America/Edmonton,
        pub const EDMONTON: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_EDMONTON;
        /// Time zone data for America/Eirunepe,
        pub const EIRUNEPE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_EIRUNEPE;
        /// Time zone data for America/El_Salvador,
        pub const EL_SALVADOR: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_EL_SALVADOR;
        /// Time zone data for America/Ensenada,
        pub const ENSENADA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ENSENADA;
        /// Time zone data for America/Fortaleza,
        pub const FORTALEZA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_FORTALEZA;
        /// Time zone data for America/Fort_Nelson,
        pub const FORT_NELSON: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_FORT_NELSON;
        /// Time zone data for America/Fort_Wayne,
        pub const FORT_WAYNE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_FORT_WAYNE;
        /// Time zone data for America/Glace_Bay,
        pub const GLACE_BAY: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_GLACE_BAY;
        /// Time zone data for America/Godthab,
        pub const GODTHAB: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_GODTHAB;
        /// Time zone data for America/Goose_Bay,
        pub const GOOSE_BAY: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_GOOSE_BAY;
        /// Time zone data for America/Grand_Turk,
        pub const GRAND_TURK: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_GRAND_TURK;
        /// Time zone data for America/Grenada,
        pub const GRENADA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_GRENADA;
        /// Time zone data for America/Guadeloupe,
        pub const GUADELOUPE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_GUADELOUPE;
        /// Time zone data for America/Guatemala,
        pub const GUATEMALA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_GUATEMALA;
        /// Time zone data for America/Guayaquil,
        pub const GUAYAQUIL: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_GUAYAQUIL;
        /// Time zone data for America/Guyana,
        pub const GUYANA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_GUYANA;
        /// Time zone data for America/Halifax,
        pub const HALIFAX: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_HALIFAX;
        /// Time zone data for America/Havana,
        pub const HAVANA: tz::TimeZoneRef<'static> = crate::generated::tzdata::CUBA;
        /// Time zone data for America/Hermosillo,
        pub const HERMOSILLO: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_HERMOSILLO;
        /// Time zone data for America/Indianapolis,
        pub const INDIANAPOLIS: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_FORT_WAYNE;
        /// Time zone data for America/Inuvik,
        pub const INUVIK: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_INUVIK;
        /// Time zone data for America/Iqaluit,
        pub const IQALUIT: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_IQALUIT;
        /// Time zone data for America/Jamaica,
        pub const JAMAICA: tz::TimeZoneRef<'static> = crate::generated::tzdata::JAMAICA;
        /// Time zone data for America/Jujuy,
        pub const JUJUY: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_JUJUY;
        /// Time zone data for America/Juneau,
        pub const JUNEAU: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_JUNEAU;
        /// Time zone data for America/Knox_IN,
        pub const KNOX_IN: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_KNOX_IN;
        /// Time zone data for America/Kralendijk,
        pub const KRALENDIJK: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_KRALENDIJK;
        /// Time zone data for America/La_Paz,
        pub const LA_PAZ: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_LA_PAZ;
        /// Time zone data for America/Lima,
        pub const LIMA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_LIMA;
        /// Time zone data for America/Los_Angeles,
        pub const LOS_ANGELES: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_LOS_ANGELES;
        /// Time zone data for America/Louisville,
        pub const LOUISVILLE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_LOUISVILLE;
        /// Time zone data for America/Lower_Princes,
        pub const LOWER_PRINCES: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_KRALENDIJK;
        /// Time zone data for America/Maceio,
        pub const MACEIO: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MACEIO;
        /// Time zone data for America/Managua,
        pub const MANAGUA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MANAGUA;
        /// Time zone data for America/Manaus,
        pub const MANAUS: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MANAUS;
        /// Time zone data for America/Marigot,
        pub const MARIGOT: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_KRALENDIJK;
        /// Time zone data for America/Martinique,
        pub const MARTINIQUE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_MARTINIQUE;
        /// Time zone data for America/Matamoros,
        pub const MATAMOROS: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MATAMOROS;
        /// Time zone data for America/Mazatlan,
        pub const MAZATLAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MAZATLAN;
        /// Time zone data for America/Mendoza,
        pub const MENDOZA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MENDOZA;
        /// Time zone data for America/Menominee,
        pub const MENOMINEE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MENOMINEE;
        /// Time zone data for America/Merida,
        pub const MERIDA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MERIDA;
        /// Time zone data for America/Metlakatla,
        pub const METLAKATLA: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_METLAKATLA;
        /// Time zone data for America/Mexico_City,
        pub const MEXICO_CITY: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_MEXICO_CITY;
        /// Time zone data for America/Miquelon,
        pub const MIQUELON: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MIQUELON;
        /// Time zone data for America/Moncton,
        pub const MONCTON: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MONCTON;
        /// Time zone data for America/Monterrey,
        pub const MONTERREY: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MONTERREY;
        /// Time zone data for America/Montevideo,
        pub const MONTEVIDEO: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_MONTEVIDEO;
        /// Time zone data for America/Montreal,
        pub const MONTREAL: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MONTREAL;
        /// Time zone data for America/Montserrat,
        pub const MONTSERRAT: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_MONTSERRAT;
        /// Time zone data for America/Nassau,
        pub const NASSAU: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_NASSAU;
        /// Time zone data for America/New_York,
        pub const NEW_YORK: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_NEW_YORK;
        /// Time zone data for America/Nipigon,
        pub const NIPIGON: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MONTREAL;
        /// Time zone data for America/Nome,
        pub const NOME: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_NOME;
        /// Time zone data for America/Noronha,
        pub const NORONHA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_NORONHA;
        /// Time zone data for America/Nuuk,
        pub const NUUK: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_GODTHAB;
        /// Time zone data for America/Panama,
        pub const PANAMA: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_CORAL_HARBOUR;
        /// Time zone data for America/Pangnirtung,
        pub const PANGNIRTUNG: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_IQALUIT;
        /// Time zone data for America/Paramaribo,
        pub const PARAMARIBO: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_PARAMARIBO;
        /// Time zone data for America/Phoenix,
        pub const PHOENIX: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_PHOENIX;
        /// Time zone data for America/Porto_Acre,
        pub const PORTO_ACRE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_PORTO_ACRE;
        /// Time zone data for America/Porto_Velho,
        pub const PORTO_VELHO: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_PORTO_VELHO;
        /// Time zone data for America/Port-au-Prince,
        pub const PORT_AU_PRINCE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_PORT_AU_PRINCE;
        /// Time zone data for America/Port_of_Spain,
        pub const PORT_OF_SPAIN: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_PORT_OF_SPAIN;
        /// Time zone data for America/Puerto_Rico,
        pub const PUERTO_RICO: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_KRALENDIJK;
        /// Time zone data for America/Punta_Arenas,
        pub const PUNTA_ARENAS: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_PUNTA_ARENAS;
        /// Time zone data for America/Rainy_River,
        pub const RAINY_RIVER: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_RAINY_RIVER;
        /// Time zone data for America/Rankin_Inlet,
        pub const RANKIN_INLET: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_RANKIN_INLET;
        /// Time zone data for America/Recife,
        pub const RECIFE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_RECIFE;
        /// Time zone data for America/Regina,
        pub const REGINA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_REGINA;
        /// Time zone data for America/Resolute,
        pub const RESOLUTE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_RESOLUTE;
        /// Time zone data for America/Rio_Branco,
        pub const RIO_BRANCO: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_PORTO_ACRE;
        /// Time zone data for America/Rosario,
        pub const ROSARIO: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_CORDOBA;
        /// Time zone data for America/Santarem,
        pub const SANTAREM: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_SANTAREM;
        /// Time zone data for America/Santa_Isabel,
        pub const SANTA_ISABEL: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_ENSENADA;
        /// Time zone data for America/Santiago,
        pub const SANTIAGO: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_SANTIAGO;
        /// Time zone data for America/Santo_Domingo,
        pub const SANTO_DOMINGO: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_SANTO_DOMINGO;
        /// Time zone data for America/Sao_Paulo,
        pub const SAO_PAULO: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_SAO_PAULO;
        /// Time zone data for America/Scoresbysund,
        pub const SCORESBYSUND: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_SCORESBYSUND;
        /// Time zone data for America/Shiprock,
        pub const SHIPROCK: tz::TimeZoneRef<'static> = crate::generated::tzdata::NAVAJO;
        /// Time zone data for America/Sitka,
        pub const SITKA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_SITKA;
        /// Time zone data for America/St_Barthelemy,
        pub const ST_BARTHELEMY: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_KRALENDIJK;
        /// Time zone data for America/St_Johns,
        pub const ST_JOHNS: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ST_JOHNS;
        /// Time zone data for America/St_Kitts,
        pub const ST_KITTS: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ST_KITTS;
        /// Time zone data for America/St_Lucia,
        pub const ST_LUCIA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ST_LUCIA;
        /// Time zone data for America/St_Thomas,
        pub const ST_THOMAS: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ST_THOMAS;
        /// Time zone data for America/St_Vincent,
        pub const ST_VINCENT: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_ST_VINCENT;
        /// Time zone data for America/Swift_Current,
        pub const SWIFT_CURRENT: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_SWIFT_CURRENT;
        /// Time zone data for America/Tegucigalpa,
        pub const TEGUCIGALPA: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_TEGUCIGALPA;
        /// Time zone data for America/Thule,
        pub const THULE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_THULE;
        /// Time zone data for America/Thunder_Bay,
        pub const THUNDER_BAY: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_MONTREAL;
        /// Time zone data for America/Tijuana,
        pub const TIJUANA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ENSENADA;
        /// Time zone data for America/Toronto,
        pub const TORONTO: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MONTREAL;
        /// Time zone data for America/Tortola,
        pub const TORTOLA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_TORTOLA;
        /// Time zone data for America/Vancouver,
        pub const VANCOUVER: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_VANCOUVER;
        /// Time zone data for America/Virgin,
        pub const VIRGIN: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_KRALENDIJK;
        /// Time zone data for America/Whitehorse,
        pub const WHITEHORSE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_WHITEHORSE;
        /// Time zone data for America/Winnipeg,
        pub const WINNIPEG: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_RAINY_RIVER;
        /// Time zone data for America/Yakutat,
        pub const YAKUTAT: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_YAKUTAT;
        /// Time zone data for America/Yellowknife,
        pub const YELLOWKNIFE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_EDMONTON;
        /// Raw, unparsed time zone data for America/Adak,
        pub const RAW_ADAK: &[u8] = crate::generated::raw_tzdata::AMERICA_ADAK;
        /// Raw, unparsed time zone data for America/Anchorage,
        pub const RAW_ANCHORAGE: &[u8] = crate::generated::raw_tzdata::AMERICA_ANCHORAGE;
        /// Raw, unparsed time zone data for America/Anguilla,
        pub const RAW_ANGUILLA: &[u8] = crate::generated::raw_tzdata::AMERICA_ANGUILLA;
        /// Raw, unparsed time zone data for America/Antigua,
        pub const RAW_ANTIGUA: &[u8] = crate::generated::raw_tzdata::AMERICA_ANTIGUA;
        /// Raw, unparsed time zone data for America/Araguaina,
        pub const RAW_ARAGUAINA: &[u8] = crate::generated::raw_tzdata::AMERICA_ARAGUAINA;
        /// Raw, unparsed time zone data for America/Aruba,
        pub const RAW_ARUBA: &[u8] = crate::generated::raw_tzdata::AMERICA_ARUBA;
        /// Raw, unparsed time zone data for America/Asuncion,
        pub const RAW_ASUNCION: &[u8] = crate::generated::raw_tzdata::AMERICA_ASUNCION;
        /// Raw, unparsed time zone data for America/Atikokan,
        pub const RAW_ATIKOKAN: &[u8] = crate::generated::raw_tzdata::AMERICA_ATIKOKAN;
        /// Raw, unparsed time zone data for America/Atka,
        pub const RAW_ATKA: &[u8] = crate::generated::raw_tzdata::AMERICA_ADAK;
        /// Raw, unparsed time zone data for America/Bahia,
        pub const RAW_BAHIA: &[u8] = crate::generated::raw_tzdata::AMERICA_BAHIA;
        /// Raw, unparsed time zone data for America/Bahia_Banderas,
        pub const RAW_BAHIA_BANDERAS: &[u8] = crate::generated::raw_tzdata::AMERICA_BAHIA_BANDERAS;
        /// Raw, unparsed time zone data for America/Barbados,
        pub const RAW_BARBADOS: &[u8] = crate::generated::raw_tzdata::AMERICA_BARBADOS;
        /// Raw, unparsed time zone data for America/Belem,
        pub const RAW_BELEM: &[u8] = crate::generated::raw_tzdata::AMERICA_BELEM;
        /// Raw, unparsed time zone data for America/Belize,
        pub const RAW_BELIZE: &[u8] = crate::generated::raw_tzdata::AMERICA_BELIZE;
        /// Raw, unparsed time zone data for America/Blanc-Sablon,
        pub const RAW_BLANC_SABLON: &[u8] = crate::generated::raw_tzdata::AMERICA_BLANC_SABLON;
        /// Raw, unparsed time zone data for America/Boa_Vista,
        pub const RAW_BOA_VISTA: &[u8] = crate::generated::raw_tzdata::AMERICA_BOA_VISTA;
        /// Raw, unparsed time zone data for America/Bogota,
        pub const RAW_BOGOTA: &[u8] = crate::generated::raw_tzdata::AMERICA_BOGOTA;
        /// Raw, unparsed time zone data for America/Boise,
        pub const RAW_BOISE: &[u8] = crate::generated::raw_tzdata::AMERICA_BOISE;
        /// Raw, unparsed time zone data for America/Buenos_Aires,
        pub const RAW_BUENOS_AIRES: &[u8] = crate::generated::raw_tzdata::AMERICA_BUENOS_AIRES;
        /// Raw, unparsed time zone data for America/Cambridge_Bay,
        pub const RAW_CAMBRIDGE_BAY: &[u8] = crate::generated::raw_tzdata::AMERICA_CAMBRIDGE_BAY;
        /// Raw, unparsed time zone data for America/Campo_Grande,
        pub const RAW_CAMPO_GRANDE: &[u8] = crate::generated::raw_tzdata::AMERICA_CAMPO_GRANDE;
        /// Raw, unparsed time zone data for America/Cancun,
        pub const RAW_CANCUN: &[u8] = crate::generated::raw_tzdata::AMERICA_CANCUN;
        /// Raw, unparsed time zone data for America/Caracas,
        pub const RAW_CARACAS: &[u8] = crate::generated::raw_tzdata::AMERICA_CARACAS;
        /// Raw, unparsed time zone data for America/Catamarca,
        pub const RAW_CATAMARCA: &[u8] = crate::generated::raw_tzdata::AMERICA_CATAMARCA;
        /// Raw, unparsed time zone data for America/Cayenne,
        pub const RAW_CAYENNE: &[u8] = crate::generated::raw_tzdata::AMERICA_CAYENNE;
        /// Raw, unparsed time zone data for America/Cayman,
        pub const RAW_CAYMAN: &[u8] = crate::generated::raw_tzdata::AMERICA_CAYMAN;
        /// Raw, unparsed time zone data for America/Chicago,
        pub const RAW_CHICAGO: &[u8] = crate::generated::raw_tzdata::AMERICA_CHICAGO;
        /// Raw, unparsed time zone data for America/Chihuahua,
        pub const RAW_CHIHUAHUA: &[u8] = crate::generated::raw_tzdata::AMERICA_CHIHUAHUA;
        /// Raw, unparsed time zone data for America/Ciudad_Juarez,
        pub const RAW_CIUDAD_JUAREZ: &[u8] = crate::generated::raw_tzdata::AMERICA_CIUDAD_JUAREZ;
        /// Raw, unparsed time zone data for America/Coral_Harbour,
        pub const RAW_CORAL_HARBOUR: &[u8] = crate::generated::raw_tzdata::AMERICA_CORAL_HARBOUR;
        /// Raw, unparsed time zone data for America/Cordoba,
        pub const RAW_CORDOBA: &[u8] = crate::generated::raw_tzdata::AMERICA_CORDOBA;
        /// Raw, unparsed time zone data for America/Costa_Rica,
        pub const RAW_COSTA_RICA: &[u8] = crate::generated::raw_tzdata::AMERICA_COSTA_RICA;
        /// Raw, unparsed time zone data for America/Creston,
        pub const RAW_CRESTON: &[u8] = crate::generated::raw_tzdata::AMERICA_CRESTON;
        /// Raw, unparsed time zone data for America/Cuiaba,
        pub const RAW_CUIABA: &[u8] = crate::generated::raw_tzdata::AMERICA_CUIABA;
        /// Raw, unparsed time zone data for America/Curacao,
        pub const RAW_CURACAO: &[u8] = crate::generated::raw_tzdata::AMERICA_CURACAO;
        /// Raw, unparsed time zone data for America/Danmarkshavn,
        pub const RAW_DANMARKSHAVN: &[u8] = crate::generated::raw_tzdata::AMERICA_DANMARKSHAVN;
        /// Raw, unparsed time zone data for America/Dawson,
        pub const RAW_DAWSON: &[u8] = crate::generated::raw_tzdata::AMERICA_DAWSON;
        /// Raw, unparsed time zone data for America/Dawson_Creek,
        pub const RAW_DAWSON_CREEK: &[u8] = crate::generated::raw_tzdata::AMERICA_DAWSON_CREEK;
        /// Raw, unparsed time zone data for America/Denver,
        pub const RAW_DENVER: &[u8] = crate::generated::raw_tzdata::NAVAJO;
        /// Raw, unparsed time zone data for America/Detroit,
        pub const RAW_DETROIT: &[u8] = crate::generated::raw_tzdata::AMERICA_DETROIT;
        /// Raw, unparsed time zone data for America/Dominica,
        pub const RAW_DOMINICA: &[u8] = crate::generated::raw_tzdata::AMERICA_DOMINICA;
        /// Raw, unparsed time zone data for America/Edmonton,
        pub const RAW_EDMONTON: &[u8] = crate::generated::raw_tzdata::AMERICA_EDMONTON;
        /// Raw, unparsed time zone data for America/Eirunepe,
        pub const RAW_EIRUNEPE: &[u8] = crate::generated::raw_tzdata::AMERICA_EIRUNEPE;
        /// Raw, unparsed time zone data for America/El_Salvador,
        pub const RAW_EL_SALVADOR: &[u8] = crate::generated::raw_tzdata::AMERICA_EL_SALVADOR;
        /// Raw, unparsed time zone data for America/Ensenada,
        pub const RAW_ENSENADA: &[u8] = crate::generated::raw_tzdata::AMERICA_ENSENADA;
        /// Raw, unparsed time zone data for America/Fortaleza,
        pub const RAW_FORTALEZA: &[u8] = crate::generated::raw_tzdata::AMERICA_FORTALEZA;
        /// Raw, unparsed time zone data for America/Fort_Nelson,
        pub const RAW_FORT_NELSON: &[u8] = crate::generated::raw_tzdata::AMERICA_FORT_NELSON;
        /// Raw, unparsed time zone data for America/Fort_Wayne,
        pub const RAW_FORT_WAYNE: &[u8] = crate::generated::raw_tzdata::AMERICA_FORT_WAYNE;
        /// Raw, unparsed time zone data for America/Glace_Bay,
        pub const RAW_GLACE_BAY: &[u8] = crate::generated::raw_tzdata::AMERICA_GLACE_BAY;
        /// Raw, unparsed time zone data for America/Godthab,
        pub const RAW_GODTHAB: &[u8] = crate::generated::raw_tzdata::AMERICA_GODTHAB;
        /// Raw, unparsed time zone data for America/Goose_Bay,
        pub const RAW_GOOSE_BAY: &[u8] = crate::generated::raw_tzdata::AMERICA_GOOSE_BAY;
        /// Raw, unparsed time zone data for America/Grand_Turk,
        pub const RAW_GRAND_TURK: &[u8] = crate::generated::raw_tzdata::AMERICA_GRAND_TURK;
        /// Raw, unparsed time zone data for America/Grenada,
        pub const RAW_GRENADA: &[u8] = crate::generated::raw_tzdata::AMERICA_GRENADA;
        /// Raw, unparsed time zone data for America/Guadeloupe,
        pub const RAW_GUADELOUPE: &[u8] = crate::generated::raw_tzdata::AMERICA_GUADELOUPE;
        /// Raw, unparsed time zone data for America/Guatemala,
        pub const RAW_GUATEMALA: &[u8] = crate::generated::raw_tzdata::AMERICA_GUATEMALA;
        /// Raw, unparsed time zone data for America/Guayaquil,
        pub const RAW_GUAYAQUIL: &[u8] = crate::generated::raw_tzdata::AMERICA_GUAYAQUIL;
        /// Raw, unparsed time zone data for America/Guyana,
        pub const RAW_GUYANA: &[u8] = crate::generated::raw_tzdata::AMERICA_GUYANA;
        /// Raw, unparsed time zone data for America/Halifax,
        pub const RAW_HALIFAX: &[u8] = crate::generated::raw_tzdata::AMERICA_HALIFAX;
        /// Raw, unparsed time zone data for America/Havana,
        pub const RAW_HAVANA: &[u8] = crate::generated::raw_tzdata::CUBA;
        /// Raw, unparsed time zone data for America/Hermosillo,
        pub const RAW_HERMOSILLO: &[u8] = crate::generated::raw_tzdata::AMERICA_HERMOSILLO;
        /// Raw, unparsed time zone data for America/Indianapolis,
        pub const RAW_INDIANAPOLIS: &[u8] = crate::generated::raw_tzdata::AMERICA_FORT_WAYNE;
        /// Raw, unparsed time zone data for America/Inuvik,
        pub const RAW_INUVIK: &[u8] = crate::generated::raw_tzdata::AMERICA_INUVIK;
        /// Raw, unparsed time zone data for America/Iqaluit,
        pub const RAW_IQALUIT: &[u8] = crate::generated::raw_tzdata::AMERICA_IQALUIT;
        /// Raw, unparsed time zone data for America/Jamaica,
        pub const RAW_JAMAICA: &[u8] = crate::generated::raw_tzdata::JAMAICA;
        /// Raw, unparsed time zone data for America/Jujuy,
        pub const RAW_JUJUY: &[u8] = crate::generated::raw_tzdata::AMERICA_JUJUY;
        /// Raw, unparsed time zone data for America/Juneau,
        pub const RAW_JUNEAU: &[u8] = crate::generated::raw_tzdata::AMERICA_JUNEAU;
        /// Raw, unparsed time zone data for America/Knox_IN,
        pub const RAW_KNOX_IN: &[u8] = crate::generated::raw_tzdata::AMERICA_KNOX_IN;
        /// Raw, unparsed time zone data for America/Kralendijk,
        pub const RAW_KRALENDIJK: &[u8] = crate::generated::raw_tzdata::AMERICA_KRALENDIJK;
        /// Raw, unparsed time zone data for America/La_Paz,
        pub const RAW_LA_PAZ: &[u8] = crate::generated::raw_tzdata::AMERICA_LA_PAZ;
        /// Raw, unparsed time zone data for America/Lima,
        pub const RAW_LIMA: &[u8] = crate::generated::raw_tzdata::AMERICA_LIMA;
        /// Raw, unparsed time zone data for America/Los_Angeles,
        pub const RAW_LOS_ANGELES: &[u8] = crate::generated::raw_tzdata::AMERICA_LOS_ANGELES;
        /// Raw, unparsed time zone data for America/Louisville,
        pub const RAW_LOUISVILLE: &[u8] = crate::generated::raw_tzdata::AMERICA_LOUISVILLE;
        /// Raw, unparsed time zone data for America/Lower_Princes,
        pub const RAW_LOWER_PRINCES: &[u8] = crate::generated::raw_tzdata::AMERICA_KRALENDIJK;
        /// Raw, unparsed time zone data for America/Maceio,
        pub const RAW_MACEIO: &[u8] = crate::generated::raw_tzdata::AMERICA_MACEIO;
        /// Raw, unparsed time zone data for America/Managua,
        pub const RAW_MANAGUA: &[u8] = crate::generated::raw_tzdata::AMERICA_MANAGUA;
        /// Raw, unparsed time zone data for America/Manaus,
        pub const RAW_MANAUS: &[u8] = crate::generated::raw_tzdata::AMERICA_MANAUS;
        /// Raw, unparsed time zone data for America/Marigot,
        pub const RAW_MARIGOT: &[u8] = crate::generated::raw_tzdata::AMERICA_KRALENDIJK;
        /// Raw, unparsed time zone data for America/Martinique,
        pub const RAW_MARTINIQUE: &[u8] = crate::generated::raw_tzdata::AMERICA_MARTINIQUE;
        /// Raw, unparsed time zone data for America/Matamoros,
        pub const RAW_MATAMOROS: &[u8] = crate::generated::raw_tzdata::AMERICA_MATAMOROS;
        /// Raw, unparsed time zone data for America/Mazatlan,
        pub const RAW_MAZATLAN: &[u8] = crate::generated::raw_tzdata::AMERICA_MAZATLAN;
        /// Raw, unparsed time zone data for America/Mendoza,
        pub const RAW_MENDOZA: &[u8] = crate::generated::raw_tzdata::AMERICA_MENDOZA;
        /// Raw, unparsed time zone data for America/Menominee,
        pub const RAW_MENOMINEE: &[u8] = crate::generated::raw_tzdata::AMERICA_MENOMINEE;
        /// Raw, unparsed time zone data for America/Merida,
        pub const RAW_MERIDA: &[u8] = crate::generated::raw_tzdata::AMERICA_MERIDA;
        /// Raw, unparsed time zone data for America/Metlakatla,
        pub const RAW_METLAKATLA: &[u8] = crate::generated::raw_tzdata::AMERICA_METLAKATLA;
        /// Raw, unparsed time zone data for America/Mexico_City,
        pub const RAW_MEXICO_CITY: &[u8] = crate::generated::raw_tzdata::AMERICA_MEXICO_CITY;
        /// Raw, unparsed time zone data for America/Miquelon,
        pub const RAW_MIQUELON: &[u8] = crate::generated::raw_tzdata::AMERICA_MIQUELON;
        /// Raw, unparsed time zone data for America/Moncton,
        pub const RAW_MONCTON: &[u8] = crate::generated::raw_tzdata::AMERICA_MONCTON;
        /// Raw, unparsed time zone data for America/Monterrey,
        pub const RAW_MONTERREY: &[u8] = crate::generated::raw_tzdata::AMERICA_MONTERREY;
        /// Raw, unparsed time zone data for America/Montevideo,
        pub const RAW_MONTEVIDEO: &[u8] = crate::generated::raw_tzdata::AMERICA_MONTEVIDEO;
        /// Raw, unparsed time zone data for America/Montreal,
        pub const RAW_MONTREAL: &[u8] = crate::generated::raw_tzdata::AMERICA_MONTREAL;
        /// Raw, unparsed time zone data for America/Montserrat,
        pub const RAW_MONTSERRAT: &[u8] = crate::generated::raw_tzdata::AMERICA_MONTSERRAT;
        /// Raw, unparsed time zone data for America/Nassau,
        pub const RAW_NASSAU: &[u8] = crate::generated::raw_tzdata::AMERICA_NASSAU;
        /// Raw, unparsed time zone data for America/New_York,
        pub const RAW_NEW_YORK: &[u8] = crate::generated::raw_tzdata::AMERICA_NEW_YORK;
        /// Raw, unparsed time zone data for America/Nipigon,
        pub const RAW_NIPIGON: &[u8] = crate::generated::raw_tzdata::AMERICA_MONTREAL;
        /// Raw, unparsed time zone data for America/Nome,
        pub const RAW_NOME: &[u8] = crate::generated::raw_tzdata::AMERICA_NOME;
        /// Raw, unparsed time zone data for America/Noronha,
        pub const RAW_NORONHA: &[u8] = crate::generated::raw_tzdata::AMERICA_NORONHA;
        /// Raw, unparsed time zone data for America/Nuuk,
        pub const RAW_NUUK: &[u8] = crate::generated::raw_tzdata::AMERICA_GODTHAB;
        /// Raw, unparsed time zone data for America/Panama,
        pub const RAW_PANAMA: &[u8] = crate::generated::raw_tzdata::AMERICA_CORAL_HARBOUR;
        /// Raw, unparsed time zone data for America/Pangnirtung,
        pub const RAW_PANGNIRTUNG: &[u8] = crate::generated::raw_tzdata::AMERICA_IQALUIT;
        /// Raw, unparsed time zone data for America/Paramaribo,
        pub const RAW_PARAMARIBO: &[u8] = crate::generated::raw_tzdata::AMERICA_PARAMARIBO;
        /// Raw, unparsed time zone data for America/Phoenix,
        pub const RAW_PHOENIX: &[u8] = crate::generated::raw_tzdata::AMERICA_PHOENIX;
        /// Raw, unparsed time zone data for America/Porto_Acre,
        pub const RAW_PORTO_ACRE: &[u8] = crate::generated::raw_tzdata::AMERICA_PORTO_ACRE;
        /// Raw, unparsed time zone data for America/Porto_Velho,
        pub const RAW_PORTO_VELHO: &[u8] = crate::generated::raw_tzdata::AMERICA_PORTO_VELHO;
        /// Raw, unparsed time zone data for America/Port-au-Prince,
        pub const RAW_PORT_AU_PRINCE: &[u8] = crate::generated::raw_tzdata::AMERICA_PORT_AU_PRINCE;
        /// Raw, unparsed time zone data for America/Port_of_Spain,
        pub const RAW_PORT_OF_SPAIN: &[u8] = crate::generated::raw_tzdata::AMERICA_PORT_OF_SPAIN;
        /// Raw, unparsed time zone data for America/Puerto_Rico,
        pub const RAW_PUERTO_RICO: &[u8] = crate::generated::raw_tzdata::AMERICA_KRALENDIJK;
        /// Raw, unparsed time zone data for America/Punta_Arenas,
        pub const RAW_PUNTA_ARENAS: &[u8] = crate::generated::raw_tzdata::AMERICA_PUNTA_ARENAS;
        /// Raw, unparsed time zone data for America/Rainy_River,
        pub const RAW_RAINY_RIVER: &[u8] = crate::generated::raw_tzdata::AMERICA_RAINY_RIVER;
        /// Raw, unparsed time zone data for America/Rankin_Inlet,
        pub const RAW_RANKIN_INLET: &[u8] = crate::generated::raw_tzdata::AMERICA_RANKIN_INLET;
        /// Raw, unparsed time zone data for America/Recife,
        pub const RAW_RECIFE: &[u8] = crate::generated::raw_tzdata::AMERICA_RECIFE;
        /// Raw, unparsed time zone data for America/Regina,
        pub const RAW_REGINA: &[u8] = crate::generated::raw_tzdata::AMERICA_REGINA;
        /// Raw, unparsed time zone data for America/Resolute,
        pub const RAW_RESOLUTE: &[u8] = crate::generated::raw_tzdata::AMERICA_RESOLUTE;
        /// Raw, unparsed time zone data for America/Rio_Branco,
        pub const RAW_RIO_BRANCO: &[u8] = crate::generated::raw_tzdata::AMERICA_PORTO_ACRE;
        /// Raw, unparsed time zone data for America/Rosario,
        pub const RAW_ROSARIO: &[u8] = crate::generated::raw_tzdata::AMERICA_CORDOBA;
        /// Raw, unparsed time zone data for America/Santarem,
        pub const RAW_SANTAREM: &[u8] = crate::generated::raw_tzdata::AMERICA_SANTAREM;
        /// Raw, unparsed time zone data for America/Santa_Isabel,
        pub const RAW_SANTA_ISABEL: &[u8] = crate::generated::raw_tzdata::AMERICA_ENSENADA;
        /// Raw, unparsed time zone data for America/Santiago,
        pub const RAW_SANTIAGO: &[u8] = crate::generated::raw_tzdata::AMERICA_SANTIAGO;
        /// Raw, unparsed time zone data for America/Santo_Domingo,
        pub const RAW_SANTO_DOMINGO: &[u8] = crate::generated::raw_tzdata::AMERICA_SANTO_DOMINGO;
        /// Raw, unparsed time zone data for America/Sao_Paulo,
        pub const RAW_SAO_PAULO: &[u8] = crate::generated::raw_tzdata::AMERICA_SAO_PAULO;
        /// Raw, unparsed time zone data for America/Scoresbysund,
        pub const RAW_SCORESBYSUND: &[u8] = crate::generated::raw_tzdata::AMERICA_SCORESBYSUND;
        /// Raw, unparsed time zone data for America/Shiprock,
        pub const RAW_SHIPROCK: &[u8] = crate::generated::raw_tzdata::NAVAJO;
        /// Raw, unparsed time zone data for America/Sitka,
        pub const RAW_SITKA: &[u8] = crate::generated::raw_tzdata::AMERICA_SITKA;
        /// Raw, unparsed time zone data for America/St_Barthelemy,
        pub const RAW_ST_BARTHELEMY: &[u8] = crate::generated::raw_tzdata::AMERICA_KRALENDIJK;
        /// Raw, unparsed time zone data for America/St_Johns,
        pub const RAW_ST_JOHNS: &[u8] = crate::generated::raw_tzdata::AMERICA_ST_JOHNS;
        /// Raw, unparsed time zone data for America/St_Kitts,
        pub const RAW_ST_KITTS: &[u8] = crate::generated::raw_tzdata::AMERICA_ST_KITTS;
        /// Raw, unparsed time zone data for America/St_Lucia,
        pub const RAW_ST_LUCIA: &[u8] = crate::generated::raw_tzdata::AMERICA_ST_LUCIA;
        /// Raw, unparsed time zone data for America/St_Thomas,
        pub const RAW_ST_THOMAS: &[u8] = crate::generated::raw_tzdata::AMERICA_ST_THOMAS;
        /// Raw, unparsed time zone data for America/St_Vincent,
        pub const RAW_ST_VINCENT: &[u8] = crate::generated::raw_tzdata::AMERICA_ST_VINCENT;
        /// Raw, unparsed time zone data for America/Swift_Current,
        pub const RAW_SWIFT_CURRENT: &[u8] = crate::generated::raw_tzdata::AMERICA_SWIFT_CURRENT;
        /// Raw, unparsed time zone data for America/Tegucigalpa,
        pub const RAW_TEGUCIGALPA: &[u8] = crate::generated::raw_tzdata::AMERICA_TEGUCIGALPA;
        /// Raw, unparsed time zone data for America/Thule,
        pub const RAW_THULE: &[u8] = crate::generated::raw_tzdata::AMERICA_THULE;
        /// Raw, unparsed time zone data for America/Thunder_Bay,
        pub const RAW_THUNDER_BAY: &[u8] = crate::generated::raw_tzdata::AMERICA_MONTREAL;
        /// Raw, unparsed time zone data for America/Tijuana,
        pub const RAW_TIJUANA: &[u8] = crate::generated::raw_tzdata::AMERICA_ENSENADA;
        /// Raw, unparsed time zone data for America/Toronto,
        pub const RAW_TORONTO: &[u8] = crate::generated::raw_tzdata::AMERICA_MONTREAL;
        /// Raw, unparsed time zone data for America/Tortola,
        pub const RAW_TORTOLA: &[u8] = crate::generated::raw_tzdata::AMERICA_TORTOLA;
        /// Raw, unparsed time zone data for America/Vancouver,
        pub const RAW_VANCOUVER: &[u8] = crate::generated::raw_tzdata::AMERICA_VANCOUVER;
        /// Raw, unparsed time zone data for America/Virgin,
        pub const RAW_VIRGIN: &[u8] = crate::generated::raw_tzdata::AMERICA_KRALENDIJK;
        /// Raw, unparsed time zone data for America/Whitehorse,
        pub const RAW_WHITEHORSE: &[u8] = crate::generated::raw_tzdata::AMERICA_WHITEHORSE;
        /// Raw, unparsed time zone data for America/Winnipeg,
        pub const RAW_WINNIPEG: &[u8] = crate::generated::raw_tzdata::AMERICA_RAINY_RIVER;
        /// Raw, unparsed time zone data for America/Yakutat,
        pub const RAW_YAKUTAT: &[u8] = crate::generated::raw_tzdata::AMERICA_YAKUTAT;
        /// Raw, unparsed time zone data for America/Yellowknife,
        pub const RAW_YELLOWKNIFE: &[u8] = crate::generated::raw_tzdata::AMERICA_EDMONTON;
    }
    /// antarctica
    pub mod antarctica {
        /// Time zone data for Antarctica/Casey,
        pub const CASEY: tz::TimeZoneRef<'static> = crate::generated::tzdata::ANTARCTICA_CASEY;
        /// Time zone data for Antarctica/Davis,
        pub const DAVIS: tz::TimeZoneRef<'static> = crate::generated::tzdata::ANTARCTICA_DAVIS;
        /// Time zone data for Antarctica/DumontDUrville,
        pub const DUMONT_D_URVILLE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ANTARCTICA_DUMONT_D_URVILLE;
        /// Time zone data for Antarctica/Macquarie,
        pub const MACQUARIE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ANTARCTICA_MACQUARIE;
        /// Time zone data for Antarctica/Mawson,
        pub const MAWSON: tz::TimeZoneRef<'static> = crate::generated::tzdata::ANTARCTICA_MAWSON;
        /// Time zone data for Antarctica/McMurdo,
        pub const MC_MURDO: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ANTARCTICA_MC_MURDO;
        /// Time zone data for Antarctica/Palmer,
        pub const PALMER: tz::TimeZoneRef<'static> = crate::generated::tzdata::ANTARCTICA_PALMER;
        /// Time zone data for Antarctica/Rothera,
        pub const ROTHERA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ANTARCTICA_ROTHERA;
        /// Time zone data for Antarctica/South_Pole,
        pub const SOUTH_POLE: tz::TimeZoneRef<'static> = crate::generated::tzdata::NZ;
        /// Time zone data for Antarctica/Syowa,
        pub const SYOWA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ANTARCTICA_SYOWA;
        /// Time zone data for Antarctica/Troll,
        pub const TROLL: tz::TimeZoneRef<'static> = crate::generated::tzdata::ANTARCTICA_TROLL;
        /// Time zone data for Antarctica/Vostok,
        pub const VOSTOK: tz::TimeZoneRef<'static> = crate::generated::tzdata::ANTARCTICA_VOSTOK;
        /// Raw, unparsed time zone data for Antarctica/Casey,
        pub const RAW_CASEY: &[u8] = crate::generated::raw_tzdata::ANTARCTICA_CASEY;
        /// Raw, unparsed time zone data for Antarctica/Davis,
        pub const RAW_DAVIS: &[u8] = crate::generated::raw_tzdata::ANTARCTICA_DAVIS;
        /// Raw, unparsed time zone data for Antarctica/DumontDUrville,
        pub const RAW_DUMONT_D_URVILLE: &[u8] =
            crate::generated::raw_tzdata::ANTARCTICA_DUMONT_D_URVILLE;
        /// Raw, unparsed time zone data for Antarctica/Macquarie,
        pub const RAW_MACQUARIE: &[u8] = crate::generated::raw_tzdata::ANTARCTICA_MACQUARIE;
        /// Raw, unparsed time zone data for Antarctica/Mawson,
        pub const RAW_MAWSON: &[u8] = crate::generated::raw_tzdata::ANTARCTICA_MAWSON;
        /// Raw, unparsed time zone data for Antarctica/McMurdo,
        pub const RAW_MC_MURDO: &[u8] = crate::generated::raw_tzdata::ANTARCTICA_MC_MURDO;
        /// Raw, unparsed time zone data for Antarctica/Palmer,
        pub const RAW_PALMER: &[u8] = crate::generated::raw_tzdata::ANTARCTICA_PALMER;
        /// Raw, unparsed time zone data for Antarctica/Rothera,
        pub const RAW_ROTHERA: &[u8] = crate::generated::raw_tzdata::ANTARCTICA_ROTHERA;
        /// Raw, unparsed time zone data for Antarctica/South_Pole,
        pub const RAW_SOUTH_POLE: &[u8] = crate::generated::raw_tzdata::NZ;
        /// Raw, unparsed time zone data for Antarctica/Syowa,
        pub const RAW_SYOWA: &[u8] = crate::generated::raw_tzdata::ANTARCTICA_SYOWA;
        /// Raw, unparsed time zone data for Antarctica/Troll,
        pub const RAW_TROLL: &[u8] = crate::generated::raw_tzdata::ANTARCTICA_TROLL;
        /// Raw, unparsed time zone data for Antarctica/Vostok,
        pub const RAW_VOSTOK: &[u8] = crate::generated::raw_tzdata::ANTARCTICA_VOSTOK;
    }
    /// arctic
    pub mod arctic {
        /// Time zone data for Arctic/Longyearbyen,
        pub const LONGYEARBYEN: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ARCTIC_LONGYEARBYEN;
        /// Raw, unparsed time zone data for Arctic/Longyearbyen,
        pub const RAW_LONGYEARBYEN: &[u8] = crate::generated::raw_tzdata::ARCTIC_LONGYEARBYEN;
    }
    /// asia
    pub mod asia {
        /// Time zone data for Asia/Aden,
        pub const ADEN: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_ADEN;
        /// Time zone data for Asia/Almaty,
        pub const ALMATY: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_ALMATY;
        /// Time zone data for Asia/Amman,
        pub const AMMAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_AMMAN;
        /// Time zone data for Asia/Anadyr,
        pub const ANADYR: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_ANADYR;
        /// Time zone data for Asia/Aqtau,
        pub const AQTAU: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_AQTAU;
        /// Time zone data for Asia/Aqtobe,
        pub const AQTOBE: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_AQTOBE;
        /// Time zone data for Asia/Ashgabat,
        pub const ASHGABAT: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_ASHGABAT;
        /// Time zone data for Asia/Ashkhabad,
        pub const ASHKHABAD: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_ASHGABAT;
        /// Time zone data for Asia/Atyrau,
        pub const ATYRAU: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_ATYRAU;
        /// Time zone data for Asia/Baghdad,
        pub const BAGHDAD: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_BAGHDAD;
        /// Time zone data for Asia/Bahrain,
        pub const BAHRAIN: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_BAHRAIN;
        /// Time zone data for Asia/Baku,
        pub const BAKU: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_BAKU;
        /// Time zone data for Asia/Bangkok,
        pub const BANGKOK: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_BANGKOK;
        /// Time zone data for Asia/Barnaul,
        pub const BARNAUL: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_BARNAUL;
        /// Time zone data for Asia/Beirut,
        pub const BEIRUT: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_BEIRUT;
        /// Time zone data for Asia/Bishkek,
        pub const BISHKEK: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_BISHKEK;
        /// Time zone data for Asia/Brunei,
        pub const BRUNEI: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_BRUNEI;
        /// Time zone data for Asia/Calcutta,
        pub const CALCUTTA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_CALCUTTA;
        /// Time zone data for Asia/Chita,
        pub const CHITA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_CHITA;
        /// Time zone data for Asia/Choibalsan,
        pub const CHOIBALSAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_CHOIBALSAN;
        /// Time zone data for Asia/Chongqing,
        pub const CHONGQING: tz::TimeZoneRef<'static> = crate::generated::tzdata::PRC;
        /// Time zone data for Asia/Chungking,
        pub const CHUNGKING: tz::TimeZoneRef<'static> = crate::generated::tzdata::PRC;
        /// Time zone data for Asia/Colombo,
        pub const COLOMBO: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_COLOMBO;
        /// Time zone data for Asia/Dacca,
        pub const DACCA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_DACCA;
        /// Time zone data for Asia/Damascus,
        pub const DAMASCUS: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_DAMASCUS;
        /// Time zone data for Asia/Dhaka,
        pub const DHAKA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_DACCA;
        /// Time zone data for Asia/Dili,
        pub const DILI: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_DILI;
        /// Time zone data for Asia/Dubai,
        pub const DUBAI: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_DUBAI;
        /// Time zone data for Asia/Dushanbe,
        pub const DUSHANBE: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_DUSHANBE;
        /// Time zone data for Asia/Famagusta,
        pub const FAMAGUSTA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_FAMAGUSTA;
        /// Time zone data for Asia/Gaza,
        pub const GAZA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_GAZA;
        /// Time zone data for Asia/Harbin,
        pub const HARBIN: tz::TimeZoneRef<'static> = crate::generated::tzdata::PRC;
        /// Time zone data for Asia/Hebron,
        pub const HEBRON: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_HEBRON;
        /// Time zone data for Asia/Hong_Kong,
        pub const HONG_KONG: tz::TimeZoneRef<'static> = crate::generated::tzdata::HONGKONG;
        /// Time zone data for Asia/Hovd,
        pub const HOVD: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_HOVD;
        /// Time zone data for Asia/Ho_Chi_Minh,
        pub const HO_CHI_MINH: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ASIA_HO_CHI_MINH;
        /// Time zone data for Asia/Irkutsk,
        pub const IRKUTSK: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_IRKUTSK;
        /// Time zone data for Asia/Istanbul,
        pub const ISTANBUL: tz::TimeZoneRef<'static> = crate::generated::tzdata::TURKEY;
        /// Time zone data for Asia/Jakarta,
        pub const JAKARTA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_JAKARTA;
        /// Time zone data for Asia/Jayapura,
        pub const JAYAPURA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_JAYAPURA;
        /// Time zone data for Asia/Jerusalem,
        pub const JERUSALEM: tz::TimeZoneRef<'static> = crate::generated::tzdata::ISRAEL;
        /// Time zone data for Asia/Kabul,
        pub const KABUL: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_KABUL;
        /// Time zone data for Asia/Kamchatka,
        pub const KAMCHATKA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_KAMCHATKA;
        /// Time zone data for Asia/Karachi,
        pub const KARACHI: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_KARACHI;
        /// Time zone data for Asia/Kashgar,
        pub const KASHGAR: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_KASHGAR;
        /// Time zone data for Asia/Kathmandu,
        pub const KATHMANDU: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_KATHMANDU;
        /// Time zone data for Asia/Katmandu,
        pub const KATMANDU: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_KATHMANDU;
        /// Time zone data for Asia/Khandyga,
        pub const KHANDYGA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_KHANDYGA;
        /// Time zone data for Asia/Kolkata,
        pub const KOLKATA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_CALCUTTA;
        /// Time zone data for Asia/Krasnoyarsk,
        pub const KRASNOYARSK: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ASIA_KRASNOYARSK;
        /// Time zone data for Asia/Kuala_Lumpur,
        pub const KUALA_LUMPUR: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ASIA_KUALA_LUMPUR;
        /// Time zone data for Asia/Kuching,
        pub const KUCHING: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_KUCHING;
        /// Time zone data for Asia/Kuwait,
        pub const KUWAIT: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_KUWAIT;
        /// Time zone data for Asia/Macao,
        pub const MACAO: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_MACAO;
        /// Time zone data for Asia/Macau,
        pub const MACAU: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_MACAO;
        /// Time zone data for Asia/Magadan,
        pub const MAGADAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_MAGADAN;
        /// Time zone data for Asia/Makassar,
        pub const MAKASSAR: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_MAKASSAR;
        /// Time zone data for Asia/Manila,
        pub const MANILA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_MANILA;
        /// Time zone data for Asia/Muscat,
        pub const MUSCAT: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_MUSCAT;
        /// Time zone data for Asia/Nicosia,
        pub const NICOSIA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_NICOSIA;
        /// Time zone data for Asia/Novokuznetsk,
        pub const NOVOKUZNETSK: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ASIA_NOVOKUZNETSK;
        /// Time zone data for Asia/Novosibirsk,
        pub const NOVOSIBIRSK: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ASIA_NOVOSIBIRSK;
        /// Time zone data for Asia/Omsk,
        pub const OMSK: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_OMSK;
        /// Time zone data for Asia/Oral,
        pub const ORAL: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_ORAL;
        /// Time zone data for Asia/Phnom_Penh,
        pub const PHNOM_PENH: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_PHNOM_PENH;
        /// Time zone data for Asia/Pontianak,
        pub const PONTIANAK: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_PONTIANAK;
        /// Time zone data for Asia/Pyongyang,
        pub const PYONGYANG: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_PYONGYANG;
        /// Time zone data for Asia/Qatar,
        pub const QATAR: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_QATAR;
        /// Time zone data for Asia/Qostanay,
        pub const QOSTANAY: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_QOSTANAY;
        /// Time zone data for Asia/Qyzylorda,
        pub const QYZYLORDA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_QYZYLORDA;
        /// Time zone data for Asia/Rangoon,
        pub const RANGOON: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_RANGOON;
        /// Time zone data for Asia/Riyadh,
        pub const RIYADH: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_RIYADH;
        /// Time zone data for Asia/Saigon,
        pub const SAIGON: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_HO_CHI_MINH;
        /// Time zone data for Asia/Sakhalin,
        pub const SAKHALIN: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_SAKHALIN;
        /// Time zone data for Asia/Samarkand,
        pub const SAMARKAND: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_SAMARKAND;
        /// Time zone data for Asia/Seoul,
        pub const SEOUL: tz::TimeZoneRef<'static> = crate::generated::tzdata::ROK;
        /// Time zone data for Asia/Shanghai,
        pub const SHANGHAI: tz::TimeZoneRef<'static> = crate::generated::tzdata::PRC;
        /// Time zone data for Asia/Singapore,
        pub const SINGAPORE: tz::TimeZoneRef<'static> = crate::generated::tzdata::SINGAPORE;
        /// Time zone data for Asia/Srednekolymsk,
        pub const SREDNEKOLYMSK: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ASIA_SREDNEKOLYMSK;
        /// Time zone data for Asia/Taipei,
        pub const TAIPEI: tz::TimeZoneRef<'static> = crate::generated::tzdata::ROC;
        /// Time zone data for Asia/Tashkent,
        pub const TASHKENT: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_TASHKENT;
        /// Time zone data for Asia/Tbilisi,
        pub const TBILISI: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_TBILISI;
        /// Time zone data for Asia/Tehran,
        pub const TEHRAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::IRAN;
        /// Time zone data for Asia/Tel_Aviv,
        pub const TEL_AVIV: tz::TimeZoneRef<'static> = crate::generated::tzdata::ISRAEL;
        /// Time zone data for Asia/Thimbu,
        pub const THIMBU: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_THIMBU;
        /// Time zone data for Asia/Thimphu,
        pub const THIMPHU: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_THIMBU;
        /// Time zone data for Asia/Tokyo,
        pub const TOKYO: tz::TimeZoneRef<'static> = crate::generated::tzdata::JAPAN;
        /// Time zone data for Asia/Tomsk,
        pub const TOMSK: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_TOMSK;
        /// Time zone data for Asia/Ujung_Pandang,
        pub const UJUNG_PANDANG: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_MAKASSAR;
        /// Time zone data for Asia/Ulaanbaatar,
        pub const ULAANBAATAR: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ASIA_ULAANBAATAR;
        /// Time zone data for Asia/Ulan_Bator,
        pub const ULAN_BATOR: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_ULAANBAATAR;
        /// Time zone data for Asia/Urumqi,
        pub const URUMQI: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_KASHGAR;
        /// Time zone data for Asia/Ust-Nera,
        pub const UST_NERA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_UST_NERA;
        /// Time zone data for Asia/Vientiane,
        pub const VIENTIANE: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_VIENTIANE;
        /// Time zone data for Asia/Vladivostok,
        pub const VLADIVOSTOK: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ASIA_VLADIVOSTOK;
        /// Time zone data for Asia/Yakutsk,
        pub const YAKUTSK: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_YAKUTSK;
        /// Time zone data for Asia/Yangon,
        pub const YANGON: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_RANGOON;
        /// Time zone data for Asia/Yekaterinburg,
        pub const YEKATERINBURG: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ASIA_YEKATERINBURG;
        /// Time zone data for Asia/Yerevan,
        pub const YEREVAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_YEREVAN;
        /// Raw, unparsed time zone data for Asia/Aden,
        pub const RAW_ADEN: &[u8] = crate::generated::raw_tzdata::ASIA_ADEN;
        /// Raw, unparsed time zone data for Asia/Almaty,
        pub const RAW_ALMATY: &[u8] = crate::generated::raw_tzdata::ASIA_ALMATY;
        /// Raw, unparsed time zone data for Asia/Amman,
        pub const RAW_AMMAN: &[u8] = crate::generated::raw_tzdata::ASIA_AMMAN;
        /// Raw, unparsed time zone data for Asia/Anadyr,
        pub const RAW_ANADYR: &[u8] = crate::generated::raw_tzdata::ASIA_ANADYR;
        /// Raw, unparsed time zone data for Asia/Aqtau,
        pub const RAW_AQTAU: &[u8] = crate::generated::raw_tzdata::ASIA_AQTAU;
        /// Raw, unparsed time zone data for Asia/Aqtobe,
        pub const RAW_AQTOBE: &[u8] = crate::generated::raw_tzdata::ASIA_AQTOBE;
        /// Raw, unparsed time zone data for Asia/Ashgabat,
        pub const RAW_ASHGABAT: &[u8] = crate::generated::raw_tzdata::ASIA_ASHGABAT;
        /// Raw, unparsed time zone data for Asia/Ashkhabad,
        pub const RAW_ASHKHABAD: &[u8] = crate::generated::raw_tzdata::ASIA_ASHGABAT;
        /// Raw, unparsed time zone data for Asia/Atyrau,
        pub const RAW_ATYRAU: &[u8] = crate::generated::raw_tzdata::ASIA_ATYRAU;
        /// Raw, unparsed time zone data for Asia/Baghdad,
        pub const RAW_BAGHDAD: &[u8] = crate::generated::raw_tzdata::ASIA_BAGHDAD;
        /// Raw, unparsed time zone data for Asia/Bahrain,
        pub const RAW_BAHRAIN: &[u8] = crate::generated::raw_tzdata::ASIA_BAHRAIN;
        /// Raw, unparsed time zone data for Asia/Baku,
        pub const RAW_BAKU: &[u8] = crate::generated::raw_tzdata::ASIA_BAKU;
        /// Raw, unparsed time zone data for Asia/Bangkok,
        pub const RAW_BANGKOK: &[u8] = crate::generated::raw_tzdata::ASIA_BANGKOK;
        /// Raw, unparsed time zone data for Asia/Barnaul,
        pub const RAW_BARNAUL: &[u8] = crate::generated::raw_tzdata::ASIA_BARNAUL;
        /// Raw, unparsed time zone data for Asia/Beirut,
        pub const RAW_BEIRUT: &[u8] = crate::generated::raw_tzdata::ASIA_BEIRUT;
        /// Raw, unparsed time zone data for Asia/Bishkek,
        pub const RAW_BISHKEK: &[u8] = crate::generated::raw_tzdata::ASIA_BISHKEK;
        /// Raw, unparsed time zone data for Asia/Brunei,
        pub const RAW_BRUNEI: &[u8] = crate::generated::raw_tzdata::ASIA_BRUNEI;
        /// Raw, unparsed time zone data for Asia/Calcutta,
        pub const RAW_CALCUTTA: &[u8] = crate::generated::raw_tzdata::ASIA_CALCUTTA;
        /// Raw, unparsed time zone data for Asia/Chita,
        pub const RAW_CHITA: &[u8] = crate::generated::raw_tzdata::ASIA_CHITA;
        /// Raw, unparsed time zone data for Asia/Choibalsan,
        pub const RAW_CHOIBALSAN: &[u8] = crate::generated::raw_tzdata::ASIA_CHOIBALSAN;
        /// Raw, unparsed time zone data for Asia/Chongqing,
        pub const RAW_CHONGQING: &[u8] = crate::generated::raw_tzdata::PRC;
        /// Raw, unparsed time zone data for Asia/Chungking,
        pub const RAW_CHUNGKING: &[u8] = crate::generated::raw_tzdata::PRC;
        /// Raw, unparsed time zone data for Asia/Colombo,
        pub const RAW_COLOMBO: &[u8] = crate::generated::raw_tzdata::ASIA_COLOMBO;
        /// Raw, unparsed time zone data for Asia/Dacca,
        pub const RAW_DACCA: &[u8] = crate::generated::raw_tzdata::ASIA_DACCA;
        /// Raw, unparsed time zone data for Asia/Damascus,
        pub const RAW_DAMASCUS: &[u8] = crate::generated::raw_tzdata::ASIA_DAMASCUS;
        /// Raw, unparsed time zone data for Asia/Dhaka,
        pub const RAW_DHAKA: &[u8] = crate::generated::raw_tzdata::ASIA_DACCA;
        /// Raw, unparsed time zone data for Asia/Dili,
        pub const RAW_DILI: &[u8] = crate::generated::raw_tzdata::ASIA_DILI;
        /// Raw, unparsed time zone data for Asia/Dubai,
        pub const RAW_DUBAI: &[u8] = crate::generated::raw_tzdata::ASIA_DUBAI;
        /// Raw, unparsed time zone data for Asia/Dushanbe,
        pub const RAW_DUSHANBE: &[u8] = crate::generated::raw_tzdata::ASIA_DUSHANBE;
        /// Raw, unparsed time zone data for Asia/Famagusta,
        pub const RAW_FAMAGUSTA: &[u8] = crate::generated::raw_tzdata::ASIA_FAMAGUSTA;
        /// Raw, unparsed time zone data for Asia/Gaza,
        pub const RAW_GAZA: &[u8] = crate::generated::raw_tzdata::ASIA_GAZA;
        /// Raw, unparsed time zone data for Asia/Harbin,
        pub const RAW_HARBIN: &[u8] = crate::generated::raw_tzdata::PRC;
        /// Raw, unparsed time zone data for Asia/Hebron,
        pub const RAW_HEBRON: &[u8] = crate::generated::raw_tzdata::ASIA_HEBRON;
        /// Raw, unparsed time zone data for Asia/Hong_Kong,
        pub const RAW_HONG_KONG: &[u8] = crate::generated::raw_tzdata::HONGKONG;
        /// Raw, unparsed time zone data for Asia/Hovd,
        pub const RAW_HOVD: &[u8] = crate::generated::raw_tzdata::ASIA_HOVD;
        /// Raw, unparsed time zone data for Asia/Ho_Chi_Minh,
        pub const RAW_HO_CHI_MINH: &[u8] = crate::generated::raw_tzdata::ASIA_HO_CHI_MINH;
        /// Raw, unparsed time zone data for Asia/Irkutsk,
        pub const RAW_IRKUTSK: &[u8] = crate::generated::raw_tzdata::ASIA_IRKUTSK;
        /// Raw, unparsed time zone data for Asia/Istanbul,
        pub const RAW_ISTANBUL: &[u8] = crate::generated::raw_tzdata::TURKEY;
        /// Raw, unparsed time zone data for Asia/Jakarta,
        pub const RAW_JAKARTA: &[u8] = crate::generated::raw_tzdata::ASIA_JAKARTA;
        /// Raw, unparsed time zone data for Asia/Jayapura,
        pub const RAW_JAYAPURA: &[u8] = crate::generated::raw_tzdata::ASIA_JAYAPURA;
        /// Raw, unparsed time zone data for Asia/Jerusalem,
        pub const RAW_JERUSALEM: &[u8] = crate::generated::raw_tzdata::ISRAEL;
        /// Raw, unparsed time zone data for Asia/Kabul,
        pub const RAW_KABUL: &[u8] = crate::generated::raw_tzdata::ASIA_KABUL;
        /// Raw, unparsed time zone data for Asia/Kamchatka,
        pub const RAW_KAMCHATKA: &[u8] = crate::generated::raw_tzdata::ASIA_KAMCHATKA;
        /// Raw, unparsed time zone data for Asia/Karachi,
        pub const RAW_KARACHI: &[u8] = crate::generated::raw_tzdata::ASIA_KARACHI;
        /// Raw, unparsed time zone data for Asia/Kashgar,
        pub const RAW_KASHGAR: &[u8] = crate::generated::raw_tzdata::ASIA_KASHGAR;
        /// Raw, unparsed time zone data for Asia/Kathmandu,
        pub const RAW_KATHMANDU: &[u8] = crate::generated::raw_tzdata::ASIA_KATHMANDU;
        /// Raw, unparsed time zone data for Asia/Katmandu,
        pub const RAW_KATMANDU: &[u8] = crate::generated::raw_tzdata::ASIA_KATHMANDU;
        /// Raw, unparsed time zone data for Asia/Khandyga,
        pub const RAW_KHANDYGA: &[u8] = crate::generated::raw_tzdata::ASIA_KHANDYGA;
        /// Raw, unparsed time zone data for Asia/Kolkata,
        pub const RAW_KOLKATA: &[u8] = crate::generated::raw_tzdata::ASIA_CALCUTTA;
        /// Raw, unparsed time zone data for Asia/Krasnoyarsk,
        pub const RAW_KRASNOYARSK: &[u8] = crate::generated::raw_tzdata::ASIA_KRASNOYARSK;
        /// Raw, unparsed time zone data for Asia/Kuala_Lumpur,
        pub const RAW_KUALA_LUMPUR: &[u8] = crate::generated::raw_tzdata::ASIA_KUALA_LUMPUR;
        /// Raw, unparsed time zone data for Asia/Kuching,
        pub const RAW_KUCHING: &[u8] = crate::generated::raw_tzdata::ASIA_KUCHING;
        /// Raw, unparsed time zone data for Asia/Kuwait,
        pub const RAW_KUWAIT: &[u8] = crate::generated::raw_tzdata::ASIA_KUWAIT;
        /// Raw, unparsed time zone data for Asia/Macao,
        pub const RAW_MACAO: &[u8] = crate::generated::raw_tzdata::ASIA_MACAO;
        /// Raw, unparsed time zone data for Asia/Macau,
        pub const RAW_MACAU: &[u8] = crate::generated::raw_tzdata::ASIA_MACAO;
        /// Raw, unparsed time zone data for Asia/Magadan,
        pub const RAW_MAGADAN: &[u8] = crate::generated::raw_tzdata::ASIA_MAGADAN;
        /// Raw, unparsed time zone data for Asia/Makassar,
        pub const RAW_MAKASSAR: &[u8] = crate::generated::raw_tzdata::ASIA_MAKASSAR;
        /// Raw, unparsed time zone data for Asia/Manila,
        pub const RAW_MANILA: &[u8] = crate::generated::raw_tzdata::ASIA_MANILA;
        /// Raw, unparsed time zone data for Asia/Muscat,
        pub const RAW_MUSCAT: &[u8] = crate::generated::raw_tzdata::ASIA_MUSCAT;
        /// Raw, unparsed time zone data for Asia/Nicosia,
        pub const RAW_NICOSIA: &[u8] = crate::generated::raw_tzdata::ASIA_NICOSIA;
        /// Raw, unparsed time zone data for Asia/Novokuznetsk,
        pub const RAW_NOVOKUZNETSK: &[u8] = crate::generated::raw_tzdata::ASIA_NOVOKUZNETSK;
        /// Raw, unparsed time zone data for Asia/Novosibirsk,
        pub const RAW_NOVOSIBIRSK: &[u8] = crate::generated::raw_tzdata::ASIA_NOVOSIBIRSK;
        /// Raw, unparsed time zone data for Asia/Omsk,
        pub const RAW_OMSK: &[u8] = crate::generated::raw_tzdata::ASIA_OMSK;
        /// Raw, unparsed time zone data for Asia/Oral,
        pub const RAW_ORAL: &[u8] = crate::generated::raw_tzdata::ASIA_ORAL;
        /// Raw, unparsed time zone data for Asia/Phnom_Penh,
        pub const RAW_PHNOM_PENH: &[u8] = crate::generated::raw_tzdata::ASIA_PHNOM_PENH;
        /// Raw, unparsed time zone data for Asia/Pontianak,
        pub const RAW_PONTIANAK: &[u8] = crate::generated::raw_tzdata::ASIA_PONTIANAK;
        /// Raw, unparsed time zone data for Asia/Pyongyang,
        pub const RAW_PYONGYANG: &[u8] = crate::generated::raw_tzdata::ASIA_PYONGYANG;
        /// Raw, unparsed time zone data for Asia/Qatar,
        pub const RAW_QATAR: &[u8] = crate::generated::raw_tzdata::ASIA_QATAR;
        /// Raw, unparsed time zone data for Asia/Qostanay,
        pub const RAW_QOSTANAY: &[u8] = crate::generated::raw_tzdata::ASIA_QOSTANAY;
        /// Raw, unparsed time zone data for Asia/Qyzylorda,
        pub const RAW_QYZYLORDA: &[u8] = crate::generated::raw_tzdata::ASIA_QYZYLORDA;
        /// Raw, unparsed time zone data for Asia/Rangoon,
        pub const RAW_RANGOON: &[u8] = crate::generated::raw_tzdata::ASIA_RANGOON;
        /// Raw, unparsed time zone data for Asia/Riyadh,
        pub const RAW_RIYADH: &[u8] = crate::generated::raw_tzdata::ASIA_RIYADH;
        /// Raw, unparsed time zone data for Asia/Saigon,
        pub const RAW_SAIGON: &[u8] = crate::generated::raw_tzdata::ASIA_HO_CHI_MINH;
        /// Raw, unparsed time zone data for Asia/Sakhalin,
        pub const RAW_SAKHALIN: &[u8] = crate::generated::raw_tzdata::ASIA_SAKHALIN;
        /// Raw, unparsed time zone data for Asia/Samarkand,
        pub const RAW_SAMARKAND: &[u8] = crate::generated::raw_tzdata::ASIA_SAMARKAND;
        /// Raw, unparsed time zone data for Asia/Seoul,
        pub const RAW_SEOUL: &[u8] = crate::generated::raw_tzdata::ROK;
        /// Raw, unparsed time zone data for Asia/Shanghai,
        pub const RAW_SHANGHAI: &[u8] = crate::generated::raw_tzdata::PRC;
        /// Raw, unparsed time zone data for Asia/Singapore,
        pub const RAW_SINGAPORE: &[u8] = crate::generated::raw_tzdata::SINGAPORE;
        /// Raw, unparsed time zone data for Asia/Srednekolymsk,
        pub const RAW_SREDNEKOLYMSK: &[u8] = crate::generated::raw_tzdata::ASIA_SREDNEKOLYMSK;
        /// Raw, unparsed time zone data for Asia/Taipei,
        pub const RAW_TAIPEI: &[u8] = crate::generated::raw_tzdata::ROC;
        /// Raw, unparsed time zone data for Asia/Tashkent,
        pub const RAW_TASHKENT: &[u8] = crate::generated::raw_tzdata::ASIA_TASHKENT;
        /// Raw, unparsed time zone data for Asia/Tbilisi,
        pub const RAW_TBILISI: &[u8] = crate::generated::raw_tzdata::ASIA_TBILISI;
        /// Raw, unparsed time zone data for Asia/Tehran,
        pub const RAW_TEHRAN: &[u8] = crate::generated::raw_tzdata::IRAN;
        /// Raw, unparsed time zone data for Asia/Tel_Aviv,
        pub const RAW_TEL_AVIV: &[u8] = crate::generated::raw_tzdata::ISRAEL;
        /// Raw, unparsed time zone data for Asia/Thimbu,
        pub const RAW_THIMBU: &[u8] = crate::generated::raw_tzdata::ASIA_THIMBU;
        /// Raw, unparsed time zone data for Asia/Thimphu,
        pub const RAW_THIMPHU: &[u8] = crate::generated::raw_tzdata::ASIA_THIMBU;
        /// Raw, unparsed time zone data for Asia/Tokyo,
        pub const RAW_TOKYO: &[u8] = crate::generated::raw_tzdata::JAPAN;
        /// Raw, unparsed time zone data for Asia/Tomsk,
        pub const RAW_TOMSK: &[u8] = crate::generated::raw_tzdata::ASIA_TOMSK;
        /// Raw, unparsed time zone data for Asia/Ujung_Pandang,
        pub const RAW_UJUNG_PANDANG: &[u8] = crate::generated::raw_tzdata::ASIA_MAKASSAR;
        /// Raw, unparsed time zone data for Asia/Ulaanbaatar,
        pub const RAW_ULAANBAATAR: &[u8] = crate::generated::raw_tzdata::ASIA_ULAANBAATAR;
        /// Raw, unparsed time zone data for Asia/Ulan_Bator,
        pub const RAW_ULAN_BATOR: &[u8] = crate::generated::raw_tzdata::ASIA_ULAANBAATAR;
        /// Raw, unparsed time zone data for Asia/Urumqi,
        pub const RAW_URUMQI: &[u8] = crate::generated::raw_tzdata::ASIA_KASHGAR;
        /// Raw, unparsed time zone data for Asia/Ust-Nera,
        pub const RAW_UST_NERA: &[u8] = crate::generated::raw_tzdata::ASIA_UST_NERA;
        /// Raw, unparsed time zone data for Asia/Vientiane,
        pub const RAW_VIENTIANE: &[u8] = crate::generated::raw_tzdata::ASIA_VIENTIANE;
        /// Raw, unparsed time zone data for Asia/Vladivostok,
        pub const RAW_VLADIVOSTOK: &[u8] = crate::generated::raw_tzdata::ASIA_VLADIVOSTOK;
        /// Raw, unparsed time zone data for Asia/Yakutsk,
        pub const RAW_YAKUTSK: &[u8] = crate::generated::raw_tzdata::ASIA_YAKUTSK;
        /// Raw, unparsed time zone data for Asia/Yangon,
        pub const RAW_YANGON: &[u8] = crate::generated::raw_tzdata::ASIA_RANGOON;
        /// Raw, unparsed time zone data for Asia/Yekaterinburg,
        pub const RAW_YEKATERINBURG: &[u8] = crate::generated::raw_tzdata::ASIA_YEKATERINBURG;
        /// Raw, unparsed time zone data for Asia/Yerevan,
        pub const RAW_YEREVAN: &[u8] = crate::generated::raw_tzdata::ASIA_YEREVAN;
    }
    /// atlantic
    pub mod atlantic {
        /// Time zone data for Atlantic/Azores,
        pub const AZORES: tz::TimeZoneRef<'static> = crate::generated::tzdata::ATLANTIC_AZORES;
        /// Time zone data for Atlantic/Bermuda,
        pub const BERMUDA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ATLANTIC_BERMUDA;
        /// Time zone data for Atlantic/Canary,
        pub const CANARY: tz::TimeZoneRef<'static> = crate::generated::tzdata::ATLANTIC_CANARY;
        /// Time zone data for Atlantic/Cape_Verde,
        pub const CAPE_VERDE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ATLANTIC_CAPE_VERDE;
        /// Time zone data for Atlantic/Faeroe,
        pub const FAEROE: tz::TimeZoneRef<'static> = crate::generated::tzdata::ATLANTIC_FAEROE;
        /// Time zone data for Atlantic/Faroe,
        pub const FAROE: tz::TimeZoneRef<'static> = crate::generated::tzdata::ATLANTIC_FAEROE;
        /// Time zone data for Atlantic/Jan_Mayen,
        pub const JAN_MAYEN: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ARCTIC_LONGYEARBYEN;
        /// Time zone data for Atlantic/Madeira,
        pub const MADEIRA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ATLANTIC_MADEIRA;
        /// Time zone data for Atlantic/Reykjavik,
        pub const REYKJAVIK: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ATLANTIC_REYKJAVIK;
        /// Time zone data for Atlantic/South_Georgia,
        pub const SOUTH_GEORGIA: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ATLANTIC_SOUTH_GEORGIA;
        /// Time zone data for Atlantic/Stanley,
        pub const STANLEY: tz::TimeZoneRef<'static> = crate::generated::tzdata::ATLANTIC_STANLEY;
        /// Time zone data for Atlantic/St_Helena,
        pub const ST_HELENA: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ATLANTIC_ST_HELENA;
        /// Raw, unparsed time zone data for Atlantic/Azores,
        pub const RAW_AZORES: &[u8] = crate::generated::raw_tzdata::ATLANTIC_AZORES;
        /// Raw, unparsed time zone data for Atlantic/Bermuda,
        pub const RAW_BERMUDA: &[u8] = crate::generated::raw_tzdata::ATLANTIC_BERMUDA;
        /// Raw, unparsed time zone data for Atlantic/Canary,
        pub const RAW_CANARY: &[u8] = crate::generated::raw_tzdata::ATLANTIC_CANARY;
        /// Raw, unparsed time zone data for Atlantic/Cape_Verde,
        pub const RAW_CAPE_VERDE: &[u8] = crate::generated::raw_tzdata::ATLANTIC_CAPE_VERDE;
        /// Raw, unparsed time zone data for Atlantic/Faeroe,
        pub const RAW_FAEROE: &[u8] = crate::generated::raw_tzdata::ATLANTIC_FAEROE;
        /// Raw, unparsed time zone data for Atlantic/Faroe,
        pub const RAW_FAROE: &[u8] = crate::generated::raw_tzdata::ATLANTIC_FAEROE;
        /// Raw, unparsed time zone data for Atlantic/Jan_Mayen,
        pub const RAW_JAN_MAYEN: &[u8] = crate::generated::raw_tzdata::ARCTIC_LONGYEARBYEN;
        /// Raw, unparsed time zone data for Atlantic/Madeira,
        pub const RAW_MADEIRA: &[u8] = crate::generated::raw_tzdata::ATLANTIC_MADEIRA;
        /// Raw, unparsed time zone data for Atlantic/Reykjavik,
        pub const RAW_REYKJAVIK: &[u8] = crate::generated::raw_tzdata::ATLANTIC_REYKJAVIK;
        /// Raw, unparsed time zone data for Atlantic/South_Georgia,
        pub const RAW_SOUTH_GEORGIA: &[u8] = crate::generated::raw_tzdata::ATLANTIC_SOUTH_GEORGIA;
        /// Raw, unparsed time zone data for Atlantic/Stanley,
        pub const RAW_STANLEY: &[u8] = crate::generated::raw_tzdata::ATLANTIC_STANLEY;
        /// Raw, unparsed time zone data for Atlantic/St_Helena,
        pub const RAW_ST_HELENA: &[u8] = crate::generated::raw_tzdata::ATLANTIC_ST_HELENA;
    }
    /// australia
    pub mod australia {
        /// Time zone data for Australia/ACT,
        pub const ACT: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_ACT;
        /// Time zone data for Australia/Adelaide,
        pub const ADELAIDE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_ADELAIDE;
        /// Time zone data for Australia/Brisbane,
        pub const BRISBANE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_BRISBANE;
        /// Time zone data for Australia/Broken_Hill,
        pub const BROKEN_HILL: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AUSTRALIA_BROKEN_HILL;
        /// Time zone data for Australia/Canberra,
        pub const CANBERRA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_ACT;
        /// Time zone data for Australia/Currie,
        pub const CURRIE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_CURRIE;
        /// Time zone data for Australia/Darwin,
        pub const DARWIN: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_DARWIN;
        /// Time zone data for Australia/Eucla,
        pub const EUCLA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_EUCLA;
        /// Time zone data for Australia/Hobart,
        pub const HOBART: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_CURRIE;
        /// Time zone data for Australia/LHI,
        pub const LHI: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_LHI;
        /// Time zone data for Australia/Lindeman,
        pub const LINDEMAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_LINDEMAN;
        /// Time zone data for Australia/Lord_Howe,
        pub const LORD_HOWE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_LHI;
        /// Time zone data for Australia/Melbourne,
        pub const MELBOURNE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AUSTRALIA_MELBOURNE;
        /// Time zone data for Australia/North,
        pub const NORTH: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_DARWIN;
        /// Time zone data for Australia/NSW,
        pub const NSW: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_ACT;
        /// Time zone data for Australia/Perth,
        pub const PERTH: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_PERTH;
        /// Time zone data for Australia/Queensland,
        pub const QUEENSLAND: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AUSTRALIA_BRISBANE;
        /// Time zone data for Australia/South,
        pub const SOUTH: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_ADELAIDE;
        /// Time zone data for Australia/Sydney,
        pub const SYDNEY: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_ACT;
        /// Time zone data for Australia/Tasmania,
        pub const TASMANIA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_CURRIE;
        /// Time zone data for Australia/Victoria,
        pub const VICTORIA: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AUSTRALIA_MELBOURNE;
        /// Time zone data for Australia/West,
        pub const WEST: tz::TimeZoneRef<'static> = crate::generated::tzdata::AUSTRALIA_PERTH;
        /// Time zone data for Australia/Yancowinna,
        pub const YANCOWINNA: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AUSTRALIA_BROKEN_HILL;
        /// Raw, unparsed time zone data for Australia/ACT,
        pub const RAW_ACT: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_ACT;
        /// Raw, unparsed time zone data for Australia/Adelaide,
        pub const RAW_ADELAIDE: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_ADELAIDE;
        /// Raw, unparsed time zone data for Australia/Brisbane,
        pub const RAW_BRISBANE: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_BRISBANE;
        /// Raw, unparsed time zone data for Australia/Broken_Hill,
        pub const RAW_BROKEN_HILL: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_BROKEN_HILL;
        /// Raw, unparsed time zone data for Australia/Canberra,
        pub const RAW_CANBERRA: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_ACT;
        /// Raw, unparsed time zone data for Australia/Currie,
        pub const RAW_CURRIE: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_CURRIE;
        /// Raw, unparsed time zone data for Australia/Darwin,
        pub const RAW_DARWIN: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_DARWIN;
        /// Raw, unparsed time zone data for Australia/Eucla,
        pub const RAW_EUCLA: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_EUCLA;
        /// Raw, unparsed time zone data for Australia/Hobart,
        pub const RAW_HOBART: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_CURRIE;
        /// Raw, unparsed time zone data for Australia/LHI,
        pub const RAW_LHI: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_LHI;
        /// Raw, unparsed time zone data for Australia/Lindeman,
        pub const RAW_LINDEMAN: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_LINDEMAN;
        /// Raw, unparsed time zone data for Australia/Lord_Howe,
        pub const RAW_LORD_HOWE: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_LHI;
        /// Raw, unparsed time zone data for Australia/Melbourne,
        pub const RAW_MELBOURNE: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_MELBOURNE;
        /// Raw, unparsed time zone data for Australia/North,
        pub const RAW_NORTH: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_DARWIN;
        /// Raw, unparsed time zone data for Australia/NSW,
        pub const RAW_NSW: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_ACT;
        /// Raw, unparsed time zone data for Australia/Perth,
        pub const RAW_PERTH: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_PERTH;
        /// Raw, unparsed time zone data for Australia/Queensland,
        pub const RAW_QUEENSLAND: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_BRISBANE;
        /// Raw, unparsed time zone data for Australia/South,
        pub const RAW_SOUTH: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_ADELAIDE;
        /// Raw, unparsed time zone data for Australia/Sydney,
        pub const RAW_SYDNEY: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_ACT;
        /// Raw, unparsed time zone data for Australia/Tasmania,
        pub const RAW_TASMANIA: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_CURRIE;
        /// Raw, unparsed time zone data for Australia/Victoria,
        pub const RAW_VICTORIA: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_MELBOURNE;
        /// Raw, unparsed time zone data for Australia/West,
        pub const RAW_WEST: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_PERTH;
        /// Raw, unparsed time zone data for Australia/Yancowinna,
        pub const RAW_YANCOWINNA: &[u8] = crate::generated::raw_tzdata::AUSTRALIA_BROKEN_HILL;
    }
    /// brazil
    pub mod brazil {
        /// Time zone data for Brazil/Acre,
        pub const ACRE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_PORTO_ACRE;
        /// Time zone data for Brazil/DeNoronha,
        pub const DE_NORONHA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_NORONHA;
        /// Time zone data for Brazil/East,
        pub const EAST: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_SAO_PAULO;
        /// Time zone data for Brazil/West,
        pub const WEST: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MANAUS;
        /// Raw, unparsed time zone data for Brazil/Acre,
        pub const RAW_ACRE: &[u8] = crate::generated::raw_tzdata::AMERICA_PORTO_ACRE;
        /// Raw, unparsed time zone data for Brazil/DeNoronha,
        pub const RAW_DE_NORONHA: &[u8] = crate::generated::raw_tzdata::AMERICA_NORONHA;
        /// Raw, unparsed time zone data for Brazil/East,
        pub const RAW_EAST: &[u8] = crate::generated::raw_tzdata::AMERICA_SAO_PAULO;
        /// Raw, unparsed time zone data for Brazil/West,
        pub const RAW_WEST: &[u8] = crate::generated::raw_tzdata::AMERICA_MANAUS;
    }
    /// canada
    pub mod canada {
        /// Time zone data for Canada/Atlantic,
        pub const ATLANTIC: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_HALIFAX;
        /// Time zone data for Canada/Central,
        pub const CENTRAL: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_RAINY_RIVER;
        /// Time zone data for Canada/Eastern,
        pub const EASTERN: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MONTREAL;
        /// Time zone data for Canada/Mountain,
        pub const MOUNTAIN: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_EDMONTON;
        /// Time zone data for Canada/Newfoundland,
        pub const NEWFOUNDLAND: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_ST_JOHNS;
        /// Time zone data for Canada/Pacific,
        pub const PACIFIC: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_VANCOUVER;
        /// Time zone data for Canada/Saskatchewan,
        pub const SASKATCHEWAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_REGINA;
        /// Time zone data for Canada/Yukon,
        pub const YUKON: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_WHITEHORSE;
        /// Raw, unparsed time zone data for Canada/Atlantic,
        pub const RAW_ATLANTIC: &[u8] = crate::generated::raw_tzdata::AMERICA_HALIFAX;
        /// Raw, unparsed time zone data for Canada/Central,
        pub const RAW_CENTRAL: &[u8] = crate::generated::raw_tzdata::AMERICA_RAINY_RIVER;
        /// Raw, unparsed time zone data for Canada/Eastern,
        pub const RAW_EASTERN: &[u8] = crate::generated::raw_tzdata::AMERICA_MONTREAL;
        /// Raw, unparsed time zone data for Canada/Mountain,
        pub const RAW_MOUNTAIN: &[u8] = crate::generated::raw_tzdata::AMERICA_EDMONTON;
        /// Raw, unparsed time zone data for Canada/Newfoundland,
        pub const RAW_NEWFOUNDLAND: &[u8] = crate::generated::raw_tzdata::AMERICA_ST_JOHNS;
        /// Raw, unparsed time zone data for Canada/Pacific,
        pub const RAW_PACIFIC: &[u8] = crate::generated::raw_tzdata::AMERICA_VANCOUVER;
        /// Raw, unparsed time zone data for Canada/Saskatchewan,
        pub const RAW_SASKATCHEWAN: &[u8] = crate::generated::raw_tzdata::AMERICA_REGINA;
        /// Raw, unparsed time zone data for Canada/Yukon,
        pub const RAW_YUKON: &[u8] = crate::generated::raw_tzdata::AMERICA_WHITEHORSE;
    }
    /// chile
    pub mod chile {
        /// Time zone data for Chile/Continental,
        pub const CONTINENTAL: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_SANTIAGO;
        /// Time zone data for Chile/EasterIsland,
        pub const EASTER_ISLAND: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::CHILE_EASTER_ISLAND;
        /// Raw, unparsed time zone data for Chile/Continental,
        pub const RAW_CONTINENTAL: &[u8] = crate::generated::raw_tzdata::AMERICA_SANTIAGO;
        /// Raw, unparsed time zone data for Chile/EasterIsland,
        pub const RAW_EASTER_ISLAND: &[u8] = crate::generated::raw_tzdata::CHILE_EASTER_ISLAND;
    }
    /// etc
    pub mod etc {
        /// Time zone data for Etc/GMT,
        pub const GMT: tz::TimeZoneRef<'static> = crate::generated::tzdata::GMT;
        /// Time zone data for Etc/GMT0,
        pub const GMT_0: tz::TimeZoneRef<'static> = crate::generated::tzdata::GMT;
        /// Time zone data for Etc/GMT-0,
        pub const GMT_MINUS_0: tz::TimeZoneRef<'static> = crate::generated::tzdata::GMT;
        /// Time zone data for Etc/GMT-1,
        pub const GMT_MINUS_1: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_MINUS_1;
        /// Time zone data for Etc/GMT-10,
        pub const GMT_MINUS_10: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ETC_GMT_MINUS_10;
        /// Time zone data for Etc/GMT-11,
        pub const GMT_MINUS_11: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ETC_GMT_MINUS_11;
        /// Time zone data for Etc/GMT-12,
        pub const GMT_MINUS_12: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ETC_GMT_MINUS_12;
        /// Time zone data for Etc/GMT-13,
        pub const GMT_MINUS_13: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ETC_GMT_MINUS_13;
        /// Time zone data for Etc/GMT-14,
        pub const GMT_MINUS_14: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::ETC_GMT_MINUS_14;
        /// Time zone data for Etc/GMT-2,
        pub const GMT_MINUS_2: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_MINUS_2;
        /// Time zone data for Etc/GMT-3,
        pub const GMT_MINUS_3: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_MINUS_3;
        /// Time zone data for Etc/GMT-4,
        pub const GMT_MINUS_4: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_MINUS_4;
        /// Time zone data for Etc/GMT-5,
        pub const GMT_MINUS_5: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_MINUS_5;
        /// Time zone data for Etc/GMT-6,
        pub const GMT_MINUS_6: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_MINUS_6;
        /// Time zone data for Etc/GMT-7,
        pub const GMT_MINUS_7: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_MINUS_7;
        /// Time zone data for Etc/GMT-8,
        pub const GMT_MINUS_8: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_MINUS_8;
        /// Time zone data for Etc/GMT-9,
        pub const GMT_MINUS_9: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_MINUS_9;
        /// Time zone data for Etc/GMT+0,
        pub const GMT_PLUS_0: tz::TimeZoneRef<'static> = crate::generated::tzdata::GMT;
        /// Time zone data for Etc/GMT+1,
        pub const GMT_PLUS_1: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_PLUS_1;
        /// Time zone data for Etc/GMT+10,
        pub const GMT_PLUS_10: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_PLUS_10;
        /// Time zone data for Etc/GMT+11,
        pub const GMT_PLUS_11: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_PLUS_11;
        /// Time zone data for Etc/GMT+12,
        pub const GMT_PLUS_12: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_PLUS_12;
        /// Time zone data for Etc/GMT+2,
        pub const GMT_PLUS_2: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_PLUS_2;
        /// Time zone data for Etc/GMT+3,
        pub const GMT_PLUS_3: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_PLUS_3;
        /// Time zone data for Etc/GMT+4,
        pub const GMT_PLUS_4: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_PLUS_4;
        /// Time zone data for Etc/GMT+5,
        pub const GMT_PLUS_5: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_PLUS_5;
        /// Time zone data for Etc/GMT+6,
        pub const GMT_PLUS_6: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_PLUS_6;
        /// Time zone data for Etc/GMT+7,
        pub const GMT_PLUS_7: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_PLUS_7;
        /// Time zone data for Etc/GMT+8,
        pub const GMT_PLUS_8: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_PLUS_8;
        /// Time zone data for Etc/GMT+9,
        pub const GMT_PLUS_9: tz::TimeZoneRef<'static> = crate::generated::tzdata::ETC_GMT_PLUS_9;
        /// Time zone data for Etc/Greenwich,
        pub const GREENWICH: tz::TimeZoneRef<'static> = crate::generated::tzdata::GMT;
        /// Time zone data for Etc/UCT,
        pub const UCT: tz::TimeZoneRef<'static> = crate::generated::tzdata::UCT;
        /// Time zone data for Etc/Universal,
        pub const UNIVERSAL: tz::TimeZoneRef<'static> = crate::generated::tzdata::UCT;
        /// Time zone data for Etc/UTC,
        pub const UTC: tz::TimeZoneRef<'static> = crate::generated::tzdata::UCT;
        /// Time zone data for Etc/Zulu,
        pub const ZULU: tz::TimeZoneRef<'static> = crate::generated::tzdata::UCT;
        /// Raw, unparsed time zone data for Etc/GMT,
        pub const RAW_GMT: &[u8] = crate::generated::raw_tzdata::GMT;
        /// Raw, unparsed time zone data for Etc/GMT0,
        pub const RAW_GMT_0: &[u8] = crate::generated::raw_tzdata::GMT;
        /// Raw, unparsed time zone data for Etc/GMT-0,
        pub const RAW_GMT_MINUS_0: &[u8] = crate::generated::raw_tzdata::GMT;
        /// Raw, unparsed time zone data for Etc/GMT-1,
        pub const RAW_GMT_MINUS_1: &[u8] = crate::generated::raw_tzdata::ETC_GMT_MINUS_1;
        /// Raw, unparsed time zone data for Etc/GMT-10,
        pub const RAW_GMT_MINUS_10: &[u8] = crate::generated::raw_tzdata::ETC_GMT_MINUS_10;
        /// Raw, unparsed time zone data for Etc/GMT-11,
        pub const RAW_GMT_MINUS_11: &[u8] = crate::generated::raw_tzdata::ETC_GMT_MINUS_11;
        /// Raw, unparsed time zone data for Etc/GMT-12,
        pub const RAW_GMT_MINUS_12: &[u8] = crate::generated::raw_tzdata::ETC_GMT_MINUS_12;
        /// Raw, unparsed time zone data for Etc/GMT-13,
        pub const RAW_GMT_MINUS_13: &[u8] = crate::generated::raw_tzdata::ETC_GMT_MINUS_13;
        /// Raw, unparsed time zone data for Etc/GMT-14,
        pub const RAW_GMT_MINUS_14: &[u8] = crate::generated::raw_tzdata::ETC_GMT_MINUS_14;
        /// Raw, unparsed time zone data for Etc/GMT-2,
        pub const RAW_GMT_MINUS_2: &[u8] = crate::generated::raw_tzdata::ETC_GMT_MINUS_2;
        /// Raw, unparsed time zone data for Etc/GMT-3,
        pub const RAW_GMT_MINUS_3: &[u8] = crate::generated::raw_tzdata::ETC_GMT_MINUS_3;
        /// Raw, unparsed time zone data for Etc/GMT-4,
        pub const RAW_GMT_MINUS_4: &[u8] = crate::generated::raw_tzdata::ETC_GMT_MINUS_4;
        /// Raw, unparsed time zone data for Etc/GMT-5,
        pub const RAW_GMT_MINUS_5: &[u8] = crate::generated::raw_tzdata::ETC_GMT_MINUS_5;
        /// Raw, unparsed time zone data for Etc/GMT-6,
        pub const RAW_GMT_MINUS_6: &[u8] = crate::generated::raw_tzdata::ETC_GMT_MINUS_6;
        /// Raw, unparsed time zone data for Etc/GMT-7,
        pub const RAW_GMT_MINUS_7: &[u8] = crate::generated::raw_tzdata::ETC_GMT_MINUS_7;
        /// Raw, unparsed time zone data for Etc/GMT-8,
        pub const RAW_GMT_MINUS_8: &[u8] = crate::generated::raw_tzdata::ETC_GMT_MINUS_8;
        /// Raw, unparsed time zone data for Etc/GMT-9,
        pub const RAW_GMT_MINUS_9: &[u8] = crate::generated::raw_tzdata::ETC_GMT_MINUS_9;
        /// Raw, unparsed time zone data for Etc/GMT+0,
        pub const RAW_GMT_PLUS_0: &[u8] = crate::generated::raw_tzdata::GMT;
        /// Raw, unparsed time zone data for Etc/GMT+1,
        pub const RAW_GMT_PLUS_1: &[u8] = crate::generated::raw_tzdata::ETC_GMT_PLUS_1;
        /// Raw, unparsed time zone data for Etc/GMT+10,
        pub const RAW_GMT_PLUS_10: &[u8] = crate::generated::raw_tzdata::ETC_GMT_PLUS_10;
        /// Raw, unparsed time zone data for Etc/GMT+11,
        pub const RAW_GMT_PLUS_11: &[u8] = crate::generated::raw_tzdata::ETC_GMT_PLUS_11;
        /// Raw, unparsed time zone data for Etc/GMT+12,
        pub const RAW_GMT_PLUS_12: &[u8] = crate::generated::raw_tzdata::ETC_GMT_PLUS_12;
        /// Raw, unparsed time zone data for Etc/GMT+2,
        pub const RAW_GMT_PLUS_2: &[u8] = crate::generated::raw_tzdata::ETC_GMT_PLUS_2;
        /// Raw, unparsed time zone data for Etc/GMT+3,
        pub const RAW_GMT_PLUS_3: &[u8] = crate::generated::raw_tzdata::ETC_GMT_PLUS_3;
        /// Raw, unparsed time zone data for Etc/GMT+4,
        pub const RAW_GMT_PLUS_4: &[u8] = crate::generated::raw_tzdata::ETC_GMT_PLUS_4;
        /// Raw, unparsed time zone data for Etc/GMT+5,
        pub const RAW_GMT_PLUS_5: &[u8] = crate::generated::raw_tzdata::ETC_GMT_PLUS_5;
        /// Raw, unparsed time zone data for Etc/GMT+6,
        pub const RAW_GMT_PLUS_6: &[u8] = crate::generated::raw_tzdata::ETC_GMT_PLUS_6;
        /// Raw, unparsed time zone data for Etc/GMT+7,
        pub const RAW_GMT_PLUS_7: &[u8] = crate::generated::raw_tzdata::ETC_GMT_PLUS_7;
        /// Raw, unparsed time zone data for Etc/GMT+8,
        pub const RAW_GMT_PLUS_8: &[u8] = crate::generated::raw_tzdata::ETC_GMT_PLUS_8;
        /// Raw, unparsed time zone data for Etc/GMT+9,
        pub const RAW_GMT_PLUS_9: &[u8] = crate::generated::raw_tzdata::ETC_GMT_PLUS_9;
        /// Raw, unparsed time zone data for Etc/Greenwich,
        pub const RAW_GREENWICH: &[u8] = crate::generated::raw_tzdata::GMT;
        /// Raw, unparsed time zone data for Etc/UCT,
        pub const RAW_UCT: &[u8] = crate::generated::raw_tzdata::UCT;
        /// Raw, unparsed time zone data for Etc/Universal,
        pub const RAW_UNIVERSAL: &[u8] = crate::generated::raw_tzdata::UCT;
        /// Raw, unparsed time zone data for Etc/UTC,
        pub const RAW_UTC: &[u8] = crate::generated::raw_tzdata::UCT;
        /// Raw, unparsed time zone data for Etc/Zulu,
        pub const RAW_ZULU: &[u8] = crate::generated::raw_tzdata::UCT;
    }
    /// europe
    pub mod europe {
        /// Time zone data for Europe/Amsterdam,
        pub const AMSTERDAM: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_AMSTERDAM;
        /// Time zone data for Europe/Andorra,
        pub const ANDORRA: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_ANDORRA;
        /// Time zone data for Europe/Astrakhan,
        pub const ASTRAKHAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_ASTRAKHAN;
        /// Time zone data for Europe/Athens,
        pub const ATHENS: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_ATHENS;
        /// Time zone data for Europe/Belfast,
        pub const BELFAST: tz::TimeZoneRef<'static> = crate::generated::tzdata::GB;
        /// Time zone data for Europe/Belgrade,
        pub const BELGRADE: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_BELGRADE;
        /// Time zone data for Europe/Berlin,
        pub const BERLIN: tz::TimeZoneRef<'static> = crate::generated::tzdata::ARCTIC_LONGYEARBYEN;
        /// Time zone data for Europe/Bratislava,
        pub const BRATISLAVA: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::EUROPE_BRATISLAVA;
        /// Time zone data for Europe/Brussels,
        pub const BRUSSELS: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_BRUSSELS;
        /// Time zone data for Europe/Bucharest,
        pub const BUCHAREST: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_BUCHAREST;
        /// Time zone data for Europe/Budapest,
        pub const BUDAPEST: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_BUDAPEST;
        /// Time zone data for Europe/Busingen,
        pub const BUSINGEN: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_BUSINGEN;
        /// Time zone data for Europe/Chisinau,
        pub const CHISINAU: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_CHISINAU;
        /// Time zone data for Europe/Copenhagen,
        pub const COPENHAGEN: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::EUROPE_COPENHAGEN;
        /// Time zone data for Europe/Dublin,
        pub const DUBLIN: tz::TimeZoneRef<'static> = crate::generated::tzdata::EIRE;
        /// Time zone data for Europe/Gibraltar,
        pub const GIBRALTAR: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_GIBRALTAR;
        /// Time zone data for Europe/Guernsey,
        pub const GUERNSEY: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_GUERNSEY;
        /// Time zone data for Europe/Helsinki,
        pub const HELSINKI: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_HELSINKI;
        /// Time zone data for Europe/Isle_of_Man,
        pub const ISLE_OF_MAN: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::EUROPE_ISLE_OF_MAN;
        /// Time zone data for Europe/Istanbul,
        pub const ISTANBUL: tz::TimeZoneRef<'static> = crate::generated::tzdata::TURKEY;
        /// Time zone data for Europe/Jersey,
        pub const JERSEY: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_JERSEY;
        /// Time zone data for Europe/Kaliningrad,
        pub const KALININGRAD: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::EUROPE_KALININGRAD;
        /// Time zone data for Europe/Kiev,
        pub const KIEV: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_KIEV;
        /// Time zone data for Europe/Kirov,
        pub const KIROV: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_KIROV;
        /// Time zone data for Europe/Kyiv,
        pub const KYIV: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_KIEV;
        /// Time zone data for Europe/Lisbon,
        pub const LISBON: tz::TimeZoneRef<'static> = crate::generated::tzdata::PORTUGAL;
        /// Time zone data for Europe/Ljubljana,
        pub const LJUBLJANA: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_LJUBLJANA;
        /// Time zone data for Europe/London,
        pub const LONDON: tz::TimeZoneRef<'static> = crate::generated::tzdata::GB;
        /// Time zone data for Europe/Luxembourg,
        pub const LUXEMBOURG: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::EUROPE_LUXEMBOURG;
        /// Time zone data for Europe/Madrid,
        pub const MADRID: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_MADRID;
        /// Time zone data for Europe/Malta,
        pub const MALTA: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_MALTA;
        /// Time zone data for Europe/Mariehamn,
        pub const MARIEHAMN: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_HELSINKI;
        /// Time zone data for Europe/Minsk,
        pub const MINSK: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_MINSK;
        /// Time zone data for Europe/Monaco,
        pub const MONACO: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_MONACO;
        /// Time zone data for Europe/Moscow,
        pub const MOSCOW: tz::TimeZoneRef<'static> = crate::generated::tzdata::W_SU;
        /// Time zone data for Europe/Nicosia,
        pub const NICOSIA: tz::TimeZoneRef<'static> = crate::generated::tzdata::ASIA_NICOSIA;
        /// Time zone data for Europe/Oslo,
        pub const OSLO: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_OSLO;
        /// Time zone data for Europe/Paris,
        pub const PARIS: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_PARIS;
        /// Time zone data for Europe/Podgorica,
        pub const PODGORICA: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_BELGRADE;
        /// Time zone data for Europe/Prague,
        pub const PRAGUE: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_BRATISLAVA;
        /// Time zone data for Europe/Riga,
        pub const RIGA: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_RIGA;
        /// Time zone data for Europe/Rome,
        pub const ROME: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_ROME;
        /// Time zone data for Europe/Samara,
        pub const SAMARA: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_SAMARA;
        /// Time zone data for Europe/San_Marino,
        pub const SAN_MARINO: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_ROME;
        /// Time zone data for Europe/Sarajevo,
        pub const SARAJEVO: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_SARAJEVO;
        /// Time zone data for Europe/Saratov,
        pub const SARATOV: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_SARATOV;
        /// Time zone data for Europe/Simferopol,
        pub const SIMFEROPOL: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::EUROPE_SIMFEROPOL;
        /// Time zone data for Europe/Skopje,
        pub const SKOPJE: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_SKOPJE;
        /// Time zone data for Europe/Sofia,
        pub const SOFIA: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_SOFIA;
        /// Time zone data for Europe/Stockholm,
        pub const STOCKHOLM: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_STOCKHOLM;
        /// Time zone data for Europe/Tallinn,
        pub const TALLINN: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_TALLINN;
        /// Time zone data for Europe/Tirane,
        pub const TIRANE: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_TIRANE;
        /// Time zone data for Europe/Tiraspol,
        pub const TIRASPOL: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_CHISINAU;
        /// Time zone data for Europe/Ulyanovsk,
        pub const ULYANOVSK: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_ULYANOVSK;
        /// Time zone data for Europe/Uzhgorod,
        pub const UZHGOROD: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_KIEV;
        /// Time zone data for Europe/Vaduz,
        pub const VADUZ: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_VADUZ;
        /// Time zone data for Europe/Vatican,
        pub const VATICAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_ROME;
        /// Time zone data for Europe/Vienna,
        pub const VIENNA: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_VIENNA;
        /// Time zone data for Europe/Vilnius,
        pub const VILNIUS: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_VILNIUS;
        /// Time zone data for Europe/Volgograd,
        pub const VOLGOGRAD: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_VOLGOGRAD;
        /// Time zone data for Europe/Warsaw,
        pub const WARSAW: tz::TimeZoneRef<'static> = crate::generated::tzdata::POLAND;
        /// Time zone data for Europe/Zagreb,
        pub const ZAGREB: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_ZAGREB;
        /// Time zone data for Europe/Zaporozhye,
        pub const ZAPOROZHYE: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_KIEV;
        /// Time zone data for Europe/Zurich,
        pub const ZURICH: tz::TimeZoneRef<'static> = crate::generated::tzdata::EUROPE_BUSINGEN;
        /// Raw, unparsed time zone data for Europe/Amsterdam,
        pub const RAW_AMSTERDAM: &[u8] = crate::generated::raw_tzdata::EUROPE_AMSTERDAM;
        /// Raw, unparsed time zone data for Europe/Andorra,
        pub const RAW_ANDORRA: &[u8] = crate::generated::raw_tzdata::EUROPE_ANDORRA;
        /// Raw, unparsed time zone data for Europe/Astrakhan,
        pub const RAW_ASTRAKHAN: &[u8] = crate::generated::raw_tzdata::EUROPE_ASTRAKHAN;
        /// Raw, unparsed time zone data for Europe/Athens,
        pub const RAW_ATHENS: &[u8] = crate::generated::raw_tzdata::EUROPE_ATHENS;
        /// Raw, unparsed time zone data for Europe/Belfast,
        pub const RAW_BELFAST: &[u8] = crate::generated::raw_tzdata::GB;
        /// Raw, unparsed time zone data for Europe/Belgrade,
        pub const RAW_BELGRADE: &[u8] = crate::generated::raw_tzdata::EUROPE_BELGRADE;
        /// Raw, unparsed time zone data for Europe/Berlin,
        pub const RAW_BERLIN: &[u8] = crate::generated::raw_tzdata::ARCTIC_LONGYEARBYEN;
        /// Raw, unparsed time zone data for Europe/Bratislava,
        pub const RAW_BRATISLAVA: &[u8] = crate::generated::raw_tzdata::EUROPE_BRATISLAVA;
        /// Raw, unparsed time zone data for Europe/Brussels,
        pub const RAW_BRUSSELS: &[u8] = crate::generated::raw_tzdata::EUROPE_BRUSSELS;
        /// Raw, unparsed time zone data for Europe/Bucharest,
        pub const RAW_BUCHAREST: &[u8] = crate::generated::raw_tzdata::EUROPE_BUCHAREST;
        /// Raw, unparsed time zone data for Europe/Budapest,
        pub const RAW_BUDAPEST: &[u8] = crate::generated::raw_tzdata::EUROPE_BUDAPEST;
        /// Raw, unparsed time zone data for Europe/Busingen,
        pub const RAW_BUSINGEN: &[u8] = crate::generated::raw_tzdata::EUROPE_BUSINGEN;
        /// Raw, unparsed time zone data for Europe/Chisinau,
        pub const RAW_CHISINAU: &[u8] = crate::generated::raw_tzdata::EUROPE_CHISINAU;
        /// Raw, unparsed time zone data for Europe/Copenhagen,
        pub const RAW_COPENHAGEN: &[u8] = crate::generated::raw_tzdata::EUROPE_COPENHAGEN;
        /// Raw, unparsed time zone data for Europe/Dublin,
        pub const RAW_DUBLIN: &[u8] = crate::generated::raw_tzdata::EIRE;
        /// Raw, unparsed time zone data for Europe/Gibraltar,
        pub const RAW_GIBRALTAR: &[u8] = crate::generated::raw_tzdata::EUROPE_GIBRALTAR;
        /// Raw, unparsed time zone data for Europe/Guernsey,
        pub const RAW_GUERNSEY: &[u8] = crate::generated::raw_tzdata::EUROPE_GUERNSEY;
        /// Raw, unparsed time zone data for Europe/Helsinki,
        pub const RAW_HELSINKI: &[u8] = crate::generated::raw_tzdata::EUROPE_HELSINKI;
        /// Raw, unparsed time zone data for Europe/Isle_of_Man,
        pub const RAW_ISLE_OF_MAN: &[u8] = crate::generated::raw_tzdata::EUROPE_ISLE_OF_MAN;
        /// Raw, unparsed time zone data for Europe/Istanbul,
        pub const RAW_ISTANBUL: &[u8] = crate::generated::raw_tzdata::TURKEY;
        /// Raw, unparsed time zone data for Europe/Jersey,
        pub const RAW_JERSEY: &[u8] = crate::generated::raw_tzdata::EUROPE_JERSEY;
        /// Raw, unparsed time zone data for Europe/Kaliningrad,
        pub const RAW_KALININGRAD: &[u8] = crate::generated::raw_tzdata::EUROPE_KALININGRAD;
        /// Raw, unparsed time zone data for Europe/Kiev,
        pub const RAW_KIEV: &[u8] = crate::generated::raw_tzdata::EUROPE_KIEV;
        /// Raw, unparsed time zone data for Europe/Kirov,
        pub const RAW_KIROV: &[u8] = crate::generated::raw_tzdata::EUROPE_KIROV;
        /// Raw, unparsed time zone data for Europe/Kyiv,
        pub const RAW_KYIV: &[u8] = crate::generated::raw_tzdata::EUROPE_KIEV;
        /// Raw, unparsed time zone data for Europe/Lisbon,
        pub const RAW_LISBON: &[u8] = crate::generated::raw_tzdata::PORTUGAL;
        /// Raw, unparsed time zone data for Europe/Ljubljana,
        pub const RAW_LJUBLJANA: &[u8] = crate::generated::raw_tzdata::EUROPE_LJUBLJANA;
        /// Raw, unparsed time zone data for Europe/London,
        pub const RAW_LONDON: &[u8] = crate::generated::raw_tzdata::GB;
        /// Raw, unparsed time zone data for Europe/Luxembourg,
        pub const RAW_LUXEMBOURG: &[u8] = crate::generated::raw_tzdata::EUROPE_LUXEMBOURG;
        /// Raw, unparsed time zone data for Europe/Madrid,
        pub const RAW_MADRID: &[u8] = crate::generated::raw_tzdata::EUROPE_MADRID;
        /// Raw, unparsed time zone data for Europe/Malta,
        pub const RAW_MALTA: &[u8] = crate::generated::raw_tzdata::EUROPE_MALTA;
        /// Raw, unparsed time zone data for Europe/Mariehamn,
        pub const RAW_MARIEHAMN: &[u8] = crate::generated::raw_tzdata::EUROPE_HELSINKI;
        /// Raw, unparsed time zone data for Europe/Minsk,
        pub const RAW_MINSK: &[u8] = crate::generated::raw_tzdata::EUROPE_MINSK;
        /// Raw, unparsed time zone data for Europe/Monaco,
        pub const RAW_MONACO: &[u8] = crate::generated::raw_tzdata::EUROPE_MONACO;
        /// Raw, unparsed time zone data for Europe/Moscow,
        pub const RAW_MOSCOW: &[u8] = crate::generated::raw_tzdata::W_SU;
        /// Raw, unparsed time zone data for Europe/Nicosia,
        pub const RAW_NICOSIA: &[u8] = crate::generated::raw_tzdata::ASIA_NICOSIA;
        /// Raw, unparsed time zone data for Europe/Oslo,
        pub const RAW_OSLO: &[u8] = crate::generated::raw_tzdata::EUROPE_OSLO;
        /// Raw, unparsed time zone data for Europe/Paris,
        pub const RAW_PARIS: &[u8] = crate::generated::raw_tzdata::EUROPE_PARIS;
        /// Raw, unparsed time zone data for Europe/Podgorica,
        pub const RAW_PODGORICA: &[u8] = crate::generated::raw_tzdata::EUROPE_BELGRADE;
        /// Raw, unparsed time zone data for Europe/Prague,
        pub const RAW_PRAGUE: &[u8] = crate::generated::raw_tzdata::EUROPE_BRATISLAVA;
        /// Raw, unparsed time zone data for Europe/Riga,
        pub const RAW_RIGA: &[u8] = crate::generated::raw_tzdata::EUROPE_RIGA;
        /// Raw, unparsed time zone data for Europe/Rome,
        pub const RAW_ROME: &[u8] = crate::generated::raw_tzdata::EUROPE_ROME;
        /// Raw, unparsed time zone data for Europe/Samara,
        pub const RAW_SAMARA: &[u8] = crate::generated::raw_tzdata::EUROPE_SAMARA;
        /// Raw, unparsed time zone data for Europe/San_Marino,
        pub const RAW_SAN_MARINO: &[u8] = crate::generated::raw_tzdata::EUROPE_ROME;
        /// Raw, unparsed time zone data for Europe/Sarajevo,
        pub const RAW_SARAJEVO: &[u8] = crate::generated::raw_tzdata::EUROPE_SARAJEVO;
        /// Raw, unparsed time zone data for Europe/Saratov,
        pub const RAW_SARATOV: &[u8] = crate::generated::raw_tzdata::EUROPE_SARATOV;
        /// Raw, unparsed time zone data for Europe/Simferopol,
        pub const RAW_SIMFEROPOL: &[u8] = crate::generated::raw_tzdata::EUROPE_SIMFEROPOL;
        /// Raw, unparsed time zone data for Europe/Skopje,
        pub const RAW_SKOPJE: &[u8] = crate::generated::raw_tzdata::EUROPE_SKOPJE;
        /// Raw, unparsed time zone data for Europe/Sofia,
        pub const RAW_SOFIA: &[u8] = crate::generated::raw_tzdata::EUROPE_SOFIA;
        /// Raw, unparsed time zone data for Europe/Stockholm,
        pub const RAW_STOCKHOLM: &[u8] = crate::generated::raw_tzdata::EUROPE_STOCKHOLM;
        /// Raw, unparsed time zone data for Europe/Tallinn,
        pub const RAW_TALLINN: &[u8] = crate::generated::raw_tzdata::EUROPE_TALLINN;
        /// Raw, unparsed time zone data for Europe/Tirane,
        pub const RAW_TIRANE: &[u8] = crate::generated::raw_tzdata::EUROPE_TIRANE;
        /// Raw, unparsed time zone data for Europe/Tiraspol,
        pub const RAW_TIRASPOL: &[u8] = crate::generated::raw_tzdata::EUROPE_CHISINAU;
        /// Raw, unparsed time zone data for Europe/Ulyanovsk,
        pub const RAW_ULYANOVSK: &[u8] = crate::generated::raw_tzdata::EUROPE_ULYANOVSK;
        /// Raw, unparsed time zone data for Europe/Uzhgorod,
        pub const RAW_UZHGOROD: &[u8] = crate::generated::raw_tzdata::EUROPE_KIEV;
        /// Raw, unparsed time zone data for Europe/Vaduz,
        pub const RAW_VADUZ: &[u8] = crate::generated::raw_tzdata::EUROPE_VADUZ;
        /// Raw, unparsed time zone data for Europe/Vatican,
        pub const RAW_VATICAN: &[u8] = crate::generated::raw_tzdata::EUROPE_ROME;
        /// Raw, unparsed time zone data for Europe/Vienna,
        pub const RAW_VIENNA: &[u8] = crate::generated::raw_tzdata::EUROPE_VIENNA;
        /// Raw, unparsed time zone data for Europe/Vilnius,
        pub const RAW_VILNIUS: &[u8] = crate::generated::raw_tzdata::EUROPE_VILNIUS;
        /// Raw, unparsed time zone data for Europe/Volgograd,
        pub const RAW_VOLGOGRAD: &[u8] = crate::generated::raw_tzdata::EUROPE_VOLGOGRAD;
        /// Raw, unparsed time zone data for Europe/Warsaw,
        pub const RAW_WARSAW: &[u8] = crate::generated::raw_tzdata::POLAND;
        /// Raw, unparsed time zone data for Europe/Zagreb,
        pub const RAW_ZAGREB: &[u8] = crate::generated::raw_tzdata::EUROPE_ZAGREB;
        /// Raw, unparsed time zone data for Europe/Zaporozhye,
        pub const RAW_ZAPOROZHYE: &[u8] = crate::generated::raw_tzdata::EUROPE_KIEV;
        /// Raw, unparsed time zone data for Europe/Zurich,
        pub const RAW_ZURICH: &[u8] = crate::generated::raw_tzdata::EUROPE_BUSINGEN;
    }
    /// indian
    pub mod indian {
        /// Time zone data for Indian/Antananarivo,
        pub const ANTANANARIVO: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::INDIAN_ANTANANARIVO;
        /// Time zone data for Indian/Chagos,
        pub const CHAGOS: tz::TimeZoneRef<'static> = crate::generated::tzdata::INDIAN_CHAGOS;
        /// Time zone data for Indian/Christmas,
        pub const CHRISTMAS: tz::TimeZoneRef<'static> = crate::generated::tzdata::INDIAN_CHRISTMAS;
        /// Time zone data for Indian/Cocos,
        pub const COCOS: tz::TimeZoneRef<'static> = crate::generated::tzdata::INDIAN_COCOS;
        /// Time zone data for Indian/Comoro,
        pub const COMORO: tz::TimeZoneRef<'static> = crate::generated::tzdata::INDIAN_COMORO;
        /// Time zone data for Indian/Kerguelen,
        pub const KERGUELEN: tz::TimeZoneRef<'static> = crate::generated::tzdata::INDIAN_KERGUELEN;
        /// Time zone data for Indian/Mahe,
        pub const MAHE: tz::TimeZoneRef<'static> = crate::generated::tzdata::INDIAN_MAHE;
        /// Time zone data for Indian/Maldives,
        pub const MALDIVES: tz::TimeZoneRef<'static> = crate::generated::tzdata::INDIAN_MALDIVES;
        /// Time zone data for Indian/Mauritius,
        pub const MAURITIUS: tz::TimeZoneRef<'static> = crate::generated::tzdata::INDIAN_MAURITIUS;
        /// Time zone data for Indian/Mayotte,
        pub const MAYOTTE: tz::TimeZoneRef<'static> = crate::generated::tzdata::INDIAN_MAYOTTE;
        /// Time zone data for Indian/Reunion,
        pub const REUNION: tz::TimeZoneRef<'static> = crate::generated::tzdata::INDIAN_REUNION;
        /// Raw, unparsed time zone data for Indian/Antananarivo,
        pub const RAW_ANTANANARIVO: &[u8] = crate::generated::raw_tzdata::INDIAN_ANTANANARIVO;
        /// Raw, unparsed time zone data for Indian/Chagos,
        pub const RAW_CHAGOS: &[u8] = crate::generated::raw_tzdata::INDIAN_CHAGOS;
        /// Raw, unparsed time zone data for Indian/Christmas,
        pub const RAW_CHRISTMAS: &[u8] = crate::generated::raw_tzdata::INDIAN_CHRISTMAS;
        /// Raw, unparsed time zone data for Indian/Cocos,
        pub const RAW_COCOS: &[u8] = crate::generated::raw_tzdata::INDIAN_COCOS;
        /// Raw, unparsed time zone data for Indian/Comoro,
        pub const RAW_COMORO: &[u8] = crate::generated::raw_tzdata::INDIAN_COMORO;
        /// Raw, unparsed time zone data for Indian/Kerguelen,
        pub const RAW_KERGUELEN: &[u8] = crate::generated::raw_tzdata::INDIAN_KERGUELEN;
        /// Raw, unparsed time zone data for Indian/Mahe,
        pub const RAW_MAHE: &[u8] = crate::generated::raw_tzdata::INDIAN_MAHE;
        /// Raw, unparsed time zone data for Indian/Maldives,
        pub const RAW_MALDIVES: &[u8] = crate::generated::raw_tzdata::INDIAN_MALDIVES;
        /// Raw, unparsed time zone data for Indian/Mauritius,
        pub const RAW_MAURITIUS: &[u8] = crate::generated::raw_tzdata::INDIAN_MAURITIUS;
        /// Raw, unparsed time zone data for Indian/Mayotte,
        pub const RAW_MAYOTTE: &[u8] = crate::generated::raw_tzdata::INDIAN_MAYOTTE;
        /// Raw, unparsed time zone data for Indian/Reunion,
        pub const RAW_REUNION: &[u8] = crate::generated::raw_tzdata::INDIAN_REUNION;
    }
    /// mexico
    pub mod mexico {
        /// Time zone data for Mexico/BajaNorte,
        pub const BAJA_NORTE: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ENSENADA;
        /// Time zone data for Mexico/BajaSur,
        pub const BAJA_SUR: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MAZATLAN;
        /// Time zone data for Mexico/General,
        pub const GENERAL: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_MEXICO_CITY;
        /// Raw, unparsed time zone data for Mexico/BajaNorte,
        pub const RAW_BAJA_NORTE: &[u8] = crate::generated::raw_tzdata::AMERICA_ENSENADA;
        /// Raw, unparsed time zone data for Mexico/BajaSur,
        pub const RAW_BAJA_SUR: &[u8] = crate::generated::raw_tzdata::AMERICA_MAZATLAN;
        /// Raw, unparsed time zone data for Mexico/General,
        pub const RAW_GENERAL: &[u8] = crate::generated::raw_tzdata::AMERICA_MEXICO_CITY;
    }
    /// pacific
    pub mod pacific {
        /// Time zone data for Pacific/Apia,
        pub const APIA: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_APIA;
        /// Time zone data for Pacific/Auckland,
        pub const AUCKLAND: tz::TimeZoneRef<'static> = crate::generated::tzdata::NZ;
        /// Time zone data for Pacific/Bougainville,
        pub const BOUGAINVILLE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::PACIFIC_BOUGAINVILLE;
        /// Time zone data for Pacific/Chatham,
        pub const CHATHAM: tz::TimeZoneRef<'static> = crate::generated::tzdata::NZ_CHAT;
        /// Time zone data for Pacific/Chuuk,
        pub const CHUUK: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_CHUUK;
        /// Time zone data for Pacific/Easter,
        pub const EASTER: tz::TimeZoneRef<'static> = crate::generated::tzdata::CHILE_EASTER_ISLAND;
        /// Time zone data for Pacific/Efate,
        pub const EFATE: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_EFATE;
        /// Time zone data for Pacific/Enderbury,
        pub const ENDERBURY: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_ENDERBURY;
        /// Time zone data for Pacific/Fakaofo,
        pub const FAKAOFO: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_FAKAOFO;
        /// Time zone data for Pacific/Fiji,
        pub const FIJI: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_FIJI;
        /// Time zone data for Pacific/Funafuti,
        pub const FUNAFUTI: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_FUNAFUTI;
        /// Time zone data for Pacific/Galapagos,
        pub const GALAPAGOS: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_GALAPAGOS;
        /// Time zone data for Pacific/Gambier,
        pub const GAMBIER: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_GAMBIER;
        /// Time zone data for Pacific/Guadalcanal,
        pub const GUADALCANAL: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::PACIFIC_GUADALCANAL;
        /// Time zone data for Pacific/Guam,
        pub const GUAM: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_GUAM;
        /// Time zone data for Pacific/Honolulu,
        pub const HONOLULU: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_HONOLULU;
        /// Time zone data for Pacific/Johnston,
        pub const JOHNSTON: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_HONOLULU;
        /// Time zone data for Pacific/Kanton,
        pub const KANTON: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_ENDERBURY;
        /// Time zone data for Pacific/Kiritimati,
        pub const KIRITIMATI: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::PACIFIC_KIRITIMATI;
        /// Time zone data for Pacific/Kosrae,
        pub const KOSRAE: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_KOSRAE;
        /// Time zone data for Pacific/Kwajalein,
        pub const KWAJALEIN: tz::TimeZoneRef<'static> = crate::generated::tzdata::KWAJALEIN;
        /// Time zone data for Pacific/Majuro,
        pub const MAJURO: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_MAJURO;
        /// Time zone data for Pacific/Marquesas,
        pub const MARQUESAS: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_MARQUESAS;
        /// Time zone data for Pacific/Midway,
        pub const MIDWAY: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_MIDWAY;
        /// Time zone data for Pacific/Nauru,
        pub const NAURU: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_NAURU;
        /// Time zone data for Pacific/Niue,
        pub const NIUE: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_NIUE;
        /// Time zone data for Pacific/Norfolk,
        pub const NORFOLK: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_NORFOLK;
        /// Time zone data for Pacific/Noumea,
        pub const NOUMEA: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_NOUMEA;
        /// Time zone data for Pacific/Pago_Pago,
        pub const PAGO_PAGO: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_PAGO_PAGO;
        /// Time zone data for Pacific/Palau,
        pub const PALAU: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_PALAU;
        /// Time zone data for Pacific/Pitcairn,
        pub const PITCAIRN: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_PITCAIRN;
        /// Time zone data for Pacific/Pohnpei,
        pub const POHNPEI: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_POHNPEI;
        /// Time zone data for Pacific/Ponape,
        pub const PONAPE: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_GUADALCANAL;
        /// Time zone data for Pacific/Port_Moresby,
        pub const PORT_MORESBY: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::PACIFIC_PORT_MORESBY;
        /// Time zone data for Pacific/Rarotonga,
        pub const RAROTONGA: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_RAROTONGA;
        /// Time zone data for Pacific/Saipan,
        pub const SAIPAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_SAIPAN;
        /// Time zone data for Pacific/Samoa,
        pub const SAMOA: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_PAGO_PAGO;
        /// Time zone data for Pacific/Tahiti,
        pub const TAHITI: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_TAHITI;
        /// Time zone data for Pacific/Tarawa,
        pub const TARAWA: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_TARAWA;
        /// Time zone data for Pacific/Tongatapu,
        pub const TONGATAPU: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_TONGATAPU;
        /// Time zone data for Pacific/Truk,
        pub const TRUK: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_PORT_MORESBY;
        /// Time zone data for Pacific/Wake,
        pub const WAKE: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_WAKE;
        /// Time zone data for Pacific/Wallis,
        pub const WALLIS: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_WALLIS;
        /// Time zone data for Pacific/Yap,
        pub const YAP: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_PORT_MORESBY;
        /// Raw, unparsed time zone data for Pacific/Apia,
        pub const RAW_APIA: &[u8] = crate::generated::raw_tzdata::PACIFIC_APIA;
        /// Raw, unparsed time zone data for Pacific/Auckland,
        pub const RAW_AUCKLAND: &[u8] = crate::generated::raw_tzdata::NZ;
        /// Raw, unparsed time zone data for Pacific/Bougainville,
        pub const RAW_BOUGAINVILLE: &[u8] = crate::generated::raw_tzdata::PACIFIC_BOUGAINVILLE;
        /// Raw, unparsed time zone data for Pacific/Chatham,
        pub const RAW_CHATHAM: &[u8] = crate::generated::raw_tzdata::NZ_CHAT;
        /// Raw, unparsed time zone data for Pacific/Chuuk,
        pub const RAW_CHUUK: &[u8] = crate::generated::raw_tzdata::PACIFIC_CHUUK;
        /// Raw, unparsed time zone data for Pacific/Easter,
        pub const RAW_EASTER: &[u8] = crate::generated::raw_tzdata::CHILE_EASTER_ISLAND;
        /// Raw, unparsed time zone data for Pacific/Efate,
        pub const RAW_EFATE: &[u8] = crate::generated::raw_tzdata::PACIFIC_EFATE;
        /// Raw, unparsed time zone data for Pacific/Enderbury,
        pub const RAW_ENDERBURY: &[u8] = crate::generated::raw_tzdata::PACIFIC_ENDERBURY;
        /// Raw, unparsed time zone data for Pacific/Fakaofo,
        pub const RAW_FAKAOFO: &[u8] = crate::generated::raw_tzdata::PACIFIC_FAKAOFO;
        /// Raw, unparsed time zone data for Pacific/Fiji,
        pub const RAW_FIJI: &[u8] = crate::generated::raw_tzdata::PACIFIC_FIJI;
        /// Raw, unparsed time zone data for Pacific/Funafuti,
        pub const RAW_FUNAFUTI: &[u8] = crate::generated::raw_tzdata::PACIFIC_FUNAFUTI;
        /// Raw, unparsed time zone data for Pacific/Galapagos,
        pub const RAW_GALAPAGOS: &[u8] = crate::generated::raw_tzdata::PACIFIC_GALAPAGOS;
        /// Raw, unparsed time zone data for Pacific/Gambier,
        pub const RAW_GAMBIER: &[u8] = crate::generated::raw_tzdata::PACIFIC_GAMBIER;
        /// Raw, unparsed time zone data for Pacific/Guadalcanal,
        pub const RAW_GUADALCANAL: &[u8] = crate::generated::raw_tzdata::PACIFIC_GUADALCANAL;
        /// Raw, unparsed time zone data for Pacific/Guam,
        pub const RAW_GUAM: &[u8] = crate::generated::raw_tzdata::PACIFIC_GUAM;
        /// Raw, unparsed time zone data for Pacific/Honolulu,
        pub const RAW_HONOLULU: &[u8] = crate::generated::raw_tzdata::PACIFIC_HONOLULU;
        /// Raw, unparsed time zone data for Pacific/Johnston,
        pub const RAW_JOHNSTON: &[u8] = crate::generated::raw_tzdata::PACIFIC_HONOLULU;
        /// Raw, unparsed time zone data for Pacific/Kanton,
        pub const RAW_KANTON: &[u8] = crate::generated::raw_tzdata::PACIFIC_ENDERBURY;
        /// Raw, unparsed time zone data for Pacific/Kiritimati,
        pub const RAW_KIRITIMATI: &[u8] = crate::generated::raw_tzdata::PACIFIC_KIRITIMATI;
        /// Raw, unparsed time zone data for Pacific/Kosrae,
        pub const RAW_KOSRAE: &[u8] = crate::generated::raw_tzdata::PACIFIC_KOSRAE;
        /// Raw, unparsed time zone data for Pacific/Kwajalein,
        pub const RAW_KWAJALEIN: &[u8] = crate::generated::raw_tzdata::KWAJALEIN;
        /// Raw, unparsed time zone data for Pacific/Majuro,
        pub const RAW_MAJURO: &[u8] = crate::generated::raw_tzdata::PACIFIC_MAJURO;
        /// Raw, unparsed time zone data for Pacific/Marquesas,
        pub const RAW_MARQUESAS: &[u8] = crate::generated::raw_tzdata::PACIFIC_MARQUESAS;
        /// Raw, unparsed time zone data for Pacific/Midway,
        pub const RAW_MIDWAY: &[u8] = crate::generated::raw_tzdata::PACIFIC_MIDWAY;
        /// Raw, unparsed time zone data for Pacific/Nauru,
        pub const RAW_NAURU: &[u8] = crate::generated::raw_tzdata::PACIFIC_NAURU;
        /// Raw, unparsed time zone data for Pacific/Niue,
        pub const RAW_NIUE: &[u8] = crate::generated::raw_tzdata::PACIFIC_NIUE;
        /// Raw, unparsed time zone data for Pacific/Norfolk,
        pub const RAW_NORFOLK: &[u8] = crate::generated::raw_tzdata::PACIFIC_NORFOLK;
        /// Raw, unparsed time zone data for Pacific/Noumea,
        pub const RAW_NOUMEA: &[u8] = crate::generated::raw_tzdata::PACIFIC_NOUMEA;
        /// Raw, unparsed time zone data for Pacific/Pago_Pago,
        pub const RAW_PAGO_PAGO: &[u8] = crate::generated::raw_tzdata::PACIFIC_PAGO_PAGO;
        /// Raw, unparsed time zone data for Pacific/Palau,
        pub const RAW_PALAU: &[u8] = crate::generated::raw_tzdata::PACIFIC_PALAU;
        /// Raw, unparsed time zone data for Pacific/Pitcairn,
        pub const RAW_PITCAIRN: &[u8] = crate::generated::raw_tzdata::PACIFIC_PITCAIRN;
        /// Raw, unparsed time zone data for Pacific/Pohnpei,
        pub const RAW_POHNPEI: &[u8] = crate::generated::raw_tzdata::PACIFIC_POHNPEI;
        /// Raw, unparsed time zone data for Pacific/Ponape,
        pub const RAW_PONAPE: &[u8] = crate::generated::raw_tzdata::PACIFIC_GUADALCANAL;
        /// Raw, unparsed time zone data for Pacific/Port_Moresby,
        pub const RAW_PORT_MORESBY: &[u8] = crate::generated::raw_tzdata::PACIFIC_PORT_MORESBY;
        /// Raw, unparsed time zone data for Pacific/Rarotonga,
        pub const RAW_RAROTONGA: &[u8] = crate::generated::raw_tzdata::PACIFIC_RAROTONGA;
        /// Raw, unparsed time zone data for Pacific/Saipan,
        pub const RAW_SAIPAN: &[u8] = crate::generated::raw_tzdata::PACIFIC_SAIPAN;
        /// Raw, unparsed time zone data for Pacific/Samoa,
        pub const RAW_SAMOA: &[u8] = crate::generated::raw_tzdata::PACIFIC_PAGO_PAGO;
        /// Raw, unparsed time zone data for Pacific/Tahiti,
        pub const RAW_TAHITI: &[u8] = crate::generated::raw_tzdata::PACIFIC_TAHITI;
        /// Raw, unparsed time zone data for Pacific/Tarawa,
        pub const RAW_TARAWA: &[u8] = crate::generated::raw_tzdata::PACIFIC_TARAWA;
        /// Raw, unparsed time zone data for Pacific/Tongatapu,
        pub const RAW_TONGATAPU: &[u8] = crate::generated::raw_tzdata::PACIFIC_TONGATAPU;
        /// Raw, unparsed time zone data for Pacific/Truk,
        pub const RAW_TRUK: &[u8] = crate::generated::raw_tzdata::PACIFIC_PORT_MORESBY;
        /// Raw, unparsed time zone data for Pacific/Wake,
        pub const RAW_WAKE: &[u8] = crate::generated::raw_tzdata::PACIFIC_WAKE;
        /// Raw, unparsed time zone data for Pacific/Wallis,
        pub const RAW_WALLIS: &[u8] = crate::generated::raw_tzdata::PACIFIC_WALLIS;
        /// Raw, unparsed time zone data for Pacific/Yap,
        pub const RAW_YAP: &[u8] = crate::generated::raw_tzdata::PACIFIC_PORT_MORESBY;
    }
    /// us
    pub mod us {
        /// Time zone data for US/Alaska,
        pub const ALASKA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ANCHORAGE;
        /// Time zone data for US/Aleutian,
        pub const ALEUTIAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_ADAK;
        /// Time zone data for US/Arizona,
        pub const ARIZONA: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_PHOENIX;
        /// Time zone data for US/Central,
        pub const CENTRAL: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_CHICAGO;
        /// Time zone data for US/Eastern,
        pub const EASTERN: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_NEW_YORK;
        /// Time zone data for US/East-Indiana,
        pub const EAST_INDIANA: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_FORT_WAYNE;
        /// Time zone data for US/Hawaii,
        pub const HAWAII: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_HONOLULU;
        /// Time zone data for US/Indiana-Starke,
        pub const INDIANA_STARKE: tz::TimeZoneRef<'static> =
            crate::generated::tzdata::AMERICA_KNOX_IN;
        /// Time zone data for US/Michigan,
        pub const MICHIGAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_DETROIT;
        /// Time zone data for US/Mountain,
        pub const MOUNTAIN: tz::TimeZoneRef<'static> = crate::generated::tzdata::NAVAJO;
        /// Time zone data for US/Pacific,
        pub const PACIFIC: tz::TimeZoneRef<'static> = crate::generated::tzdata::AMERICA_LOS_ANGELES;
        /// Time zone data for US/Samoa,
        pub const SAMOA: tz::TimeZoneRef<'static> = crate::generated::tzdata::PACIFIC_PAGO_PAGO;
        /// Raw, unparsed time zone data for US/Alaska,
        pub const RAW_ALASKA: &[u8] = crate::generated::raw_tzdata::AMERICA_ANCHORAGE;
        /// Raw, unparsed time zone data for US/Aleutian,
        pub const RAW_ALEUTIAN: &[u8] = crate::generated::raw_tzdata::AMERICA_ADAK;
        /// Raw, unparsed time zone data for US/Arizona,
        pub const RAW_ARIZONA: &[u8] = crate::generated::raw_tzdata::AMERICA_PHOENIX;
        /// Raw, unparsed time zone data for US/Central,
        pub const RAW_CENTRAL: &[u8] = crate::generated::raw_tzdata::AMERICA_CHICAGO;
        /// Raw, unparsed time zone data for US/Eastern,
        pub const RAW_EASTERN: &[u8] = crate::generated::raw_tzdata::AMERICA_NEW_YORK;
        /// Raw, unparsed time zone data for US/East-Indiana,
        pub const RAW_EAST_INDIANA: &[u8] = crate::generated::raw_tzdata::AMERICA_FORT_WAYNE;
        /// Raw, unparsed time zone data for US/Hawaii,
        pub const RAW_HAWAII: &[u8] = crate::generated::raw_tzdata::PACIFIC_HONOLULU;
        /// Raw, unparsed time zone data for US/Indiana-Starke,
        pub const RAW_INDIANA_STARKE: &[u8] = crate::generated::raw_tzdata::AMERICA_KNOX_IN;
        /// Raw, unparsed time zone data for US/Michigan,
        pub const RAW_MICHIGAN: &[u8] = crate::generated::raw_tzdata::AMERICA_DETROIT;
        /// Raw, unparsed time zone data for US/Mountain,
        pub const RAW_MOUNTAIN: &[u8] = crate::generated::raw_tzdata::NAVAJO;
        /// Raw, unparsed time zone data for US/Pacific,
        pub const RAW_PACIFIC: &[u8] = crate::generated::raw_tzdata::AMERICA_LOS_ANGELES;
        /// Raw, unparsed time zone data for US/Samoa,
        pub const RAW_SAMOA: &[u8] = crate::generated::raw_tzdata::PACIFIC_PAGO_PAGO;
    }
    /// Time zone data for CET,
    pub const CET: tz::TimeZoneRef<'static> = crate::generated::tzdata::CET;
    /// Time zone data for CST6CDT,
    pub const CST_6_CDT: tz::TimeZoneRef<'static> = crate::generated::tzdata::CST_6_CDT;
    /// Time zone data for Cuba,
    pub const CUBA: tz::TimeZoneRef<'static> = crate::generated::tzdata::CUBA;
    /// Time zone data for EET,
    pub const EET: tz::TimeZoneRef<'static> = crate::generated::tzdata::EET;
    /// Time zone data for Egypt,
    pub const EGYPT: tz::TimeZoneRef<'static> = crate::generated::tzdata::EGYPT;
    /// Time zone data for Eire,
    pub const EIRE: tz::TimeZoneRef<'static> = crate::generated::tzdata::EIRE;
    /// Time zone data for EST,
    pub const EST: tz::TimeZoneRef<'static> = crate::generated::tzdata::EST;
    /// Time zone data for EST5EDT,
    pub const EST_5_EDT: tz::TimeZoneRef<'static> = crate::generated::tzdata::EST_5_EDT;
    /// Time zone data for Factory,
    pub const FACTORY: tz::TimeZoneRef<'static> = crate::generated::tzdata::FACTORY;
    /// Time zone data for GB,
    pub const GB: tz::TimeZoneRef<'static> = crate::generated::tzdata::GB;
    /// Time zone data for GB-Eire,
    pub const GB_EIRE: tz::TimeZoneRef<'static> = crate::generated::tzdata::GB;
    /// Time zone data for GMT,
    pub const GMT: tz::TimeZoneRef<'static> = crate::generated::tzdata::GMT;
    /// Time zone data for GMT0,
    pub const GMT_0: tz::TimeZoneRef<'static> = crate::generated::tzdata::GMT;
    /// Time zone data for GMT-0,
    pub const GMT_MINUS_0: tz::TimeZoneRef<'static> = crate::generated::tzdata::GMT;
    /// Time zone data for GMT+0,
    pub const GMT_PLUS_0: tz::TimeZoneRef<'static> = crate::generated::tzdata::GMT;
    /// Time zone data for Greenwich,
    pub const GREENWICH: tz::TimeZoneRef<'static> = crate::generated::tzdata::GMT;
    /// Time zone data for Hongkong,
    pub const HONGKONG: tz::TimeZoneRef<'static> = crate::generated::tzdata::HONGKONG;
    /// Time zone data for HST,
    pub const HST: tz::TimeZoneRef<'static> = crate::generated::tzdata::HST;
    /// Time zone data for Iceland,
    pub const ICELAND: tz::TimeZoneRef<'static> = crate::generated::tzdata::ICELAND;
    /// Time zone data for Iran,
    pub const IRAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::IRAN;
    /// Time zone data for Israel,
    pub const ISRAEL: tz::TimeZoneRef<'static> = crate::generated::tzdata::ISRAEL;
    /// Time zone data for Jamaica,
    pub const JAMAICA: tz::TimeZoneRef<'static> = crate::generated::tzdata::JAMAICA;
    /// Time zone data for Japan,
    pub const JAPAN: tz::TimeZoneRef<'static> = crate::generated::tzdata::JAPAN;
    /// Time zone data for Kwajalein,
    pub const KWAJALEIN: tz::TimeZoneRef<'static> = crate::generated::tzdata::KWAJALEIN;
    /// Time zone data for Libya,
    pub const LIBYA: tz::TimeZoneRef<'static> = crate::generated::tzdata::LIBYA;
    /// Time zone data for MET,
    pub const MET: tz::TimeZoneRef<'static> = crate::generated::tzdata::MET;
    /// Time zone data for MST,
    pub const MST: tz::TimeZoneRef<'static> = crate::generated::tzdata::MST;
    /// Time zone data for MST7MDT,
    pub const MST_7_MDT: tz::TimeZoneRef<'static> = crate::generated::tzdata::MST_7_MDT;
    /// Time zone data for Navajo,
    pub const NAVAJO: tz::TimeZoneRef<'static> = crate::generated::tzdata::NAVAJO;
    /// Time zone data for NZ,
    pub const NZ: tz::TimeZoneRef<'static> = crate::generated::tzdata::NZ;
    /// Time zone data for NZ-CHAT,
    pub const NZ_CHAT: tz::TimeZoneRef<'static> = crate::generated::tzdata::NZ_CHAT;
    /// Time zone data for Poland,
    pub const POLAND: tz::TimeZoneRef<'static> = crate::generated::tzdata::POLAND;
    /// Time zone data for Portugal,
    pub const PORTUGAL: tz::TimeZoneRef<'static> = crate::generated::tzdata::PORTUGAL;
    /// Time zone data for PRC,
    pub const PRC: tz::TimeZoneRef<'static> = crate::generated::tzdata::PRC;
    /// Time zone data for PST8PDT,
    pub const PST_8_PDT: tz::TimeZoneRef<'static> = crate::generated::tzdata::PST_8_PDT;
    /// Time zone data for ROC,
    pub const ROC: tz::TimeZoneRef<'static> = crate::generated::tzdata::ROC;
    /// Time zone data for ROK,
    pub const ROK: tz::TimeZoneRef<'static> = crate::generated::tzdata::ROK;
    /// Time zone data for Singapore,
    pub const SINGAPORE: tz::TimeZoneRef<'static> = crate::generated::tzdata::SINGAPORE;
    /// Time zone data for Turkey,
    pub const TURKEY: tz::TimeZoneRef<'static> = crate::generated::tzdata::TURKEY;
    /// Time zone data for UCT,
    pub const UCT: tz::TimeZoneRef<'static> = crate::generated::tzdata::UCT;
    /// Time zone data for Universal,
    pub const UNIVERSAL: tz::TimeZoneRef<'static> = crate::generated::tzdata::UCT;
    /// Time zone data for UTC,
    pub const UTC: tz::TimeZoneRef<'static> = crate::generated::tzdata::UCT;
    /// Time zone data for WET,
    pub const WET: tz::TimeZoneRef<'static> = crate::generated::tzdata::WET;
    /// Time zone data for W-SU,
    pub const W_SU: tz::TimeZoneRef<'static> = crate::generated::tzdata::W_SU;
    /// Time zone data for Zulu,
    pub const ZULU: tz::TimeZoneRef<'static> = crate::generated::tzdata::UCT;
    /// Raw, unparsed time zone data for CET,
    pub const RAW_CET: &[u8] = crate::generated::raw_tzdata::CET;
    /// Raw, unparsed time zone data for CST6CDT,
    pub const RAW_CST_6_CDT: &[u8] = crate::generated::raw_tzdata::CST_6_CDT;
    /// Raw, unparsed time zone data for Cuba,
    pub const RAW_CUBA: &[u8] = crate::generated::raw_tzdata::CUBA;
    /// Raw, unparsed time zone data for EET,
    pub const RAW_EET: &[u8] = crate::generated::raw_tzdata::EET;
    /// Raw, unparsed time zone data for Egypt,
    pub const RAW_EGYPT: &[u8] = crate::generated::raw_tzdata::EGYPT;
    /// Raw, unparsed time zone data for Eire,
    pub const RAW_EIRE: &[u8] = crate::generated::raw_tzdata::EIRE;
    /// Raw, unparsed time zone data for EST,
    pub const RAW_EST: &[u8] = crate::generated::raw_tzdata::EST;
    /// Raw, unparsed time zone data for EST5EDT,
    pub const RAW_EST_5_EDT: &[u8] = crate::generated::raw_tzdata::EST_5_EDT;
    /// Raw, unparsed time zone data for Factory,
    pub const RAW_FACTORY: &[u8] = crate::generated::raw_tzdata::FACTORY;
    /// Raw, unparsed time zone data for GB,
    pub const RAW_GB: &[u8] = crate::generated::raw_tzdata::GB;
    /// Raw, unparsed time zone data for GB-Eire,
    pub const RAW_GB_EIRE: &[u8] = crate::generated::raw_tzdata::GB;
    /// Raw, unparsed time zone data for GMT,
    pub const RAW_GMT: &[u8] = crate::generated::raw_tzdata::GMT;
    /// Raw, unparsed time zone data for GMT0,
    pub const RAW_GMT_0: &[u8] = crate::generated::raw_tzdata::GMT;
    /// Raw, unparsed time zone data for GMT-0,
    pub const RAW_GMT_MINUS_0: &[u8] = crate::generated::raw_tzdata::GMT;
    /// Raw, unparsed time zone data for GMT+0,
    pub const RAW_GMT_PLUS_0: &[u8] = crate::generated::raw_tzdata::GMT;
    /// Raw, unparsed time zone data for Greenwich,
    pub const RAW_GREENWICH: &[u8] = crate::generated::raw_tzdata::GMT;
    /// Raw, unparsed time zone data for Hongkong,
    pub const RAW_HONGKONG: &[u8] = crate::generated::raw_tzdata::HONGKONG;
    /// Raw, unparsed time zone data for HST,
    pub const RAW_HST: &[u8] = crate::generated::raw_tzdata::HST;
    /// Raw, unparsed time zone data for Iceland,
    pub const RAW_ICELAND: &[u8] = crate::generated::raw_tzdata::ICELAND;
    /// Raw, unparsed time zone data for Iran,
    pub const RAW_IRAN: &[u8] = crate::generated::raw_tzdata::IRAN;
    /// Raw, unparsed time zone data for Israel,
    pub const RAW_ISRAEL: &[u8] = crate::generated::raw_tzdata::ISRAEL;
    /// Raw, unparsed time zone data for Jamaica,
    pub const RAW_JAMAICA: &[u8] = crate::generated::raw_tzdata::JAMAICA;
    /// Raw, unparsed time zone data for Japan,
    pub const RAW_JAPAN: &[u8] = crate::generated::raw_tzdata::JAPAN;
    /// Raw, unparsed time zone data for Kwajalein,
    pub const RAW_KWAJALEIN: &[u8] = crate::generated::raw_tzdata::KWAJALEIN;
    /// Raw, unparsed time zone data for Libya,
    pub const RAW_LIBYA: &[u8] = crate::generated::raw_tzdata::LIBYA;
    /// Raw, unparsed time zone data for MET,
    pub const RAW_MET: &[u8] = crate::generated::raw_tzdata::MET;
    /// Raw, unparsed time zone data for MST,
    pub const RAW_MST: &[u8] = crate::generated::raw_tzdata::MST;
    /// Raw, unparsed time zone data for MST7MDT,
    pub const RAW_MST_7_MDT: &[u8] = crate::generated::raw_tzdata::MST_7_MDT;
    /// Raw, unparsed time zone data for Navajo,
    pub const RAW_NAVAJO: &[u8] = crate::generated::raw_tzdata::NAVAJO;
    /// Raw, unparsed time zone data for NZ,
    pub const RAW_NZ: &[u8] = crate::generated::raw_tzdata::NZ;
    /// Raw, unparsed time zone data for NZ-CHAT,
    pub const RAW_NZ_CHAT: &[u8] = crate::generated::raw_tzdata::NZ_CHAT;
    /// Raw, unparsed time zone data for Poland,
    pub const RAW_POLAND: &[u8] = crate::generated::raw_tzdata::POLAND;
    /// Raw, unparsed time zone data for Portugal,
    pub const RAW_PORTUGAL: &[u8] = crate::generated::raw_tzdata::PORTUGAL;
    /// Raw, unparsed time zone data for PRC,
    pub const RAW_PRC: &[u8] = crate::generated::raw_tzdata::PRC;
    /// Raw, unparsed time zone data for PST8PDT,
    pub const RAW_PST_8_PDT: &[u8] = crate::generated::raw_tzdata::PST_8_PDT;
    /// Raw, unparsed time zone data for ROC,
    pub const RAW_ROC: &[u8] = crate::generated::raw_tzdata::ROC;
    /// Raw, unparsed time zone data for ROK,
    pub const RAW_ROK: &[u8] = crate::generated::raw_tzdata::ROK;
    /// Raw, unparsed time zone data for Singapore,
    pub const RAW_SINGAPORE: &[u8] = crate::generated::raw_tzdata::SINGAPORE;
    /// Raw, unparsed time zone data for Turkey,
    pub const RAW_TURKEY: &[u8] = crate::generated::raw_tzdata::TURKEY;
    /// Raw, unparsed time zone data for UCT,
    pub const RAW_UCT: &[u8] = crate::generated::raw_tzdata::UCT;
    /// Raw, unparsed time zone data for Universal,
    pub const RAW_UNIVERSAL: &[u8] = crate::generated::raw_tzdata::UCT;
    /// Raw, unparsed time zone data for UTC,
    pub const RAW_UTC: &[u8] = crate::generated::raw_tzdata::UCT;
    /// Raw, unparsed time zone data for WET,
    pub const RAW_WET: &[u8] = crate::generated::raw_tzdata::WET;
    /// Raw, unparsed time zone data for W-SU,
    pub const RAW_W_SU: &[u8] = crate::generated::raw_tzdata::W_SU;
    /// Raw, unparsed time zone data for Zulu,
    pub const RAW_ZULU: &[u8] = crate::generated::raw_tzdata::UCT;
}

pub(crate) const TIME_ZONES_LIST: [&str; 570] = include!("time_zones_list.inc.rs");

mod tzdata {
    use tz::timezone::*;

    pub(crate) const AFRICA_ACCRA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1709337548, 2),
            crate::generated::new_transition(-1581206400, 1),
            crate::generated::new_transition(-1577917200, 2),
            crate::generated::new_transition(-1556834400, 1),
            crate::generated::new_transition(-1546294800, 2),
            crate::generated::new_transition(-1525298400, 1),
            crate::generated::new_transition(-1514758800, 2),
            crate::generated::new_transition(-1493762400, 1),
            crate::generated::new_transition(-1483222800, 2),
            crate::generated::new_transition(-1462226400, 1),
            crate::generated::new_transition(-1451686800, 2),
            crate::generated::new_transition(-1430604000, 1),
            crate::generated::new_transition(-1420064400, 2),
            crate::generated::new_transition(-1399068000, 1),
            crate::generated::new_transition(-1388528400, 2),
            crate::generated::new_transition(-1367532000, 1),
            crate::generated::new_transition(-1356992400, 2),
            crate::generated::new_transition(-1335996000, 1),
            crate::generated::new_transition(-1325456400, 2),
            crate::generated::new_transition(-1304373600, 1),
            crate::generated::new_transition(-1293834000, 2),
            crate::generated::new_transition(-1272837600, 1),
            crate::generated::new_transition(-1262298000, 2),
            crate::generated::new_transition(-1241301600, 1),
            crate::generated::new_transition(-1230762000, 2),
            crate::generated::new_transition(-1209765600, 1),
            crate::generated::new_transition(-1199226000, 2),
            crate::generated::new_transition(-1178143200, 1),
            crate::generated::new_transition(-1167603600, 2),
            crate::generated::new_transition(-1146607200, 1),
            crate::generated::new_transition(-1136067600, 2),
            crate::generated::new_transition(-1115071200, 1),
            crate::generated::new_transition(-1104531600, 2),
            crate::generated::new_transition(-1083535200, 1),
            crate::generated::new_transition(-1072995600, 2),
            crate::generated::new_transition(-1051912800, 1),
            crate::generated::new_transition(-1041373200, 2),
            crate::generated::new_transition(-1020376800, 1),
            crate::generated::new_transition(-1009837200, 2),
            crate::generated::new_transition(-988840800, 1),
            crate::generated::new_transition(-978301200, 2),
            crate::generated::new_transition(-957304800, 1),
            crate::generated::new_transition(-946765200, 2),
            crate::generated::new_transition(-936309600, 1),
            crate::generated::new_transition(-915142800, 2),
            crate::generated::new_transition(-904773600, 1),
            crate::generated::new_transition(-883606800, 2),
            crate::generated::new_transition(-880329600, 3),
            crate::generated::new_transition(-756952200, 2),
            crate::generated::new_transition(-610149600, 4),
            crate::generated::new_transition(-599610600, 2),
            crate::generated::new_transition(-578613600, 4),
            crate::generated::new_transition(-568074600, 2),
            crate::generated::new_transition(-546991200, 4),
            crate::generated::new_transition(-536452200, 2),
            crate::generated::new_transition(-515455200, 4),
            crate::generated::new_transition(-504916200, 2),
            crate::generated::new_transition(-483919200, 4),
            crate::generated::new_transition(-473380200, 2),
            crate::generated::new_transition(-452383200, 4),
            crate::generated::new_transition(-441844200, 2),
        ],
        &[
            crate::generated::new_local_time_type(-52, false, Some(b"LMT")),
            crate::generated::new_local_time_type(1200, true, Some(b"+0020")),
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            crate::generated::new_local_time_type(1800, false, Some(b"+0030")),
            crate::generated::new_local_time_type(1800, true, Some(b"+0030")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
        )),
    );

    pub(crate) const AFRICA_ADDIS_ABABA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-3155682888, 1),
                crate::generated::new_transition(-1062210920, 2),
            ],
            &[
                crate::generated::new_local_time_type(9288, false, Some(b"LMT")),
                crate::generated::new_local_time_type(9320, false, Some(b"ADMT")),
                crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
            )),
        );

    pub(crate) const AFRICA_ALGIERS: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2486592732, 1),
            crate::generated::new_transition(-1855958961, 3),
            crate::generated::new_transition(-1689814800, 2),
            crate::generated::new_transition(-1680397200, 3),
            crate::generated::new_transition(-1665363600, 2),
            crate::generated::new_transition(-1648342800, 3),
            crate::generated::new_transition(-1635123600, 2),
            crate::generated::new_transition(-1616893200, 3),
            crate::generated::new_transition(-1604278800, 2),
            crate::generated::new_transition(-1585443600, 3),
            crate::generated::new_transition(-1574038800, 2),
            crate::generated::new_transition(-1552266000, 3),
            crate::generated::new_transition(-1539997200, 2),
            crate::generated::new_transition(-1531443600, 3),
            crate::generated::new_transition(-956365200, 2),
            crate::generated::new_transition(-950486400, 3),
            crate::generated::new_transition(-942012000, 5),
            crate::generated::new_transition(-812502000, 4),
            crate::generated::new_transition(-796262400, 5),
            crate::generated::new_transition(-781052400, 4),
            crate::generated::new_transition(-766630800, 5),
            crate::generated::new_transition(-733280400, 3),
            crate::generated::new_transition(-439430400, 5),
            crate::generated::new_transition(-212029200, 3),
            crate::generated::new_transition(41468400, 2),
            crate::generated::new_transition(54774000, 3),
            crate::generated::new_transition(231724800, 2),
            crate::generated::new_transition(246236400, 5),
            crate::generated::new_transition(259545600, 4),
            crate::generated::new_transition(275274000, 5),
            crate::generated::new_transition(309740400, 3),
            crate::generated::new_transition(325468800, 2),
            crate::generated::new_transition(341802000, 3),
            crate::generated::new_transition(357523200, 5),
        ],
        &[
            crate::generated::new_local_time_type(732, false, Some(b"LMT")),
            crate::generated::new_local_time_type(561, false, Some(b"PMT")),
            crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
            crate::generated::new_local_time_type(0, false, Some(b"WET")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
        )),
    );

    pub(crate) const AFRICA_ASMARA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3155682932, 1),
            crate::generated::new_transition(-2524530932, 2),
            crate::generated::new_transition(-1062210920, 3),
        ],
        &[
            crate::generated::new_local_time_type(9332, false, Some(b"LMT")),
            crate::generated::new_local_time_type(9332, false, Some(b"AMT")),
            crate::generated::new_local_time_type(9320, false, Some(b"ADMT")),
            crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
        )),
    );

    pub(crate) const AFRICA_ASMERA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1946168836, 1),
            crate::generated::new_transition(-1309746600, 2),
            crate::generated::new_transition(-1261969200, 1),
            crate::generated::new_transition(-1041388200, 3),
            crate::generated::new_transition(-865305900, 2),
        ],
        &[
            crate::generated::new_local_time_type(8836, false, Some(b"LMT")),
            crate::generated::new_local_time_type(9000, false, Some(b"+0230")),
            crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
            crate::generated::new_local_time_type(9900, false, Some(b"+0245")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
        )),
    );

    pub(crate) const AFRICA_BAMAKO: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1830382080, 1),
            crate::generated::new_transition(-1131235200, 2),
            crate::generated::new_transition(-300841200, 1),
        ],
        &[
            crate::generated::new_local_time_type(-1920, false, Some(b"LMT")),
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
        )),
    );

    pub(crate) const AFRICA_BANGUI: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-1830388460, 1)],
        &[
            crate::generated::new_local_time_type(4460, false, Some(b"LMT")),
            crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
        )),
    );

    pub(crate) const AFRICA_BANJUL: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1830380004, 1),
            crate::generated::new_transition(-1159829604, 2),
            crate::generated::new_transition(-880930800, 3),
        ],
        &[
            crate::generated::new_local_time_type(-3996, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-3996, false, Some(b"BMT")),
            crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
        )),
    );

    pub(crate) const AFRICA_BISSAU: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1830380400, 1),
            crate::generated::new_transition(157770000, 2),
        ],
        &[
            crate::generated::new_local_time_type(-3740, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
        )),
    );

    pub(crate) const AFRICA_BLANTYRE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1844302800, 1),
                crate::generated::new_transition(-1751682070, 2),
                crate::generated::new_transition(-1404440460, 3),
            ],
            &[
                crate::generated::new_local_time_type(8400, false, Some(b"LMT")),
                crate::generated::new_local_time_type(8470, false, Some(b"ZMT")),
                crate::generated::new_local_time_type(8460, false, Some(b"ZMT")),
                crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
            )),
        );

    pub(crate) const AFRICA_BRAZZAVILLE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-1830387668, 1)],
            &[
                crate::generated::new_local_time_type(3668, false, Some(b"LMT")),
                crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
            )),
        );

    pub(crate) const AFRICA_BUJUMBURA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-2524528648, 1)],
            &[
                crate::generated::new_local_time_type(7048, false, Some(b"LMT")),
                crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
            )),
        );

    pub(crate) const AFRICA_CASABLANCA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1773012580, 2),
                crate::generated::new_transition(-956361600, 1),
                crate::generated::new_transition(-950490000, 2),
                crate::generated::new_transition(-942019200, 1),
                crate::generated::new_transition(-761187600, 2),
                crate::generated::new_transition(-617241600, 1),
                crate::generated::new_transition(-605149200, 2),
                crate::generated::new_transition(-81432000, 1),
                crate::generated::new_transition(-71110800, 2),
                crate::generated::new_transition(141264000, 1),
                crate::generated::new_transition(147222000, 2),
                crate::generated::new_transition(199756800, 1),
                crate::generated::new_transition(207702000, 2),
                crate::generated::new_transition(231292800, 1),
                crate::generated::new_transition(244249200, 2),
                crate::generated::new_transition(265507200, 1),
                crate::generated::new_transition(271033200, 2),
                crate::generated::new_transition(448243200, 3),
                crate::generated::new_transition(504918000, 2),
                crate::generated::new_transition(1212278400, 1),
                crate::generated::new_transition(1220223600, 2),
                crate::generated::new_transition(1243814400, 1),
                crate::generated::new_transition(1250809200, 2),
                crate::generated::new_transition(1272758400, 1),
                crate::generated::new_transition(1281222000, 2),
                crate::generated::new_transition(1301788800, 1),
                crate::generated::new_transition(1312066800, 2),
                crate::generated::new_transition(1335664800, 1),
                crate::generated::new_transition(1342749600, 2),
                crate::generated::new_transition(1345428000, 1),
                crate::generated::new_transition(1348970400, 2),
                crate::generated::new_transition(1367114400, 1),
                crate::generated::new_transition(1373162400, 2),
                crate::generated::new_transition(1376100000, 1),
                crate::generated::new_transition(1382839200, 2),
                crate::generated::new_transition(1396144800, 1),
                crate::generated::new_transition(1403920800, 2),
                crate::generated::new_transition(1406944800, 1),
                crate::generated::new_transition(1414288800, 2),
                crate::generated::new_transition(1427594400, 1),
                crate::generated::new_transition(1434247200, 2),
                crate::generated::new_transition(1437271200, 1),
                crate::generated::new_transition(1445738400, 2),
                crate::generated::new_transition(1459044000, 1),
                crate::generated::new_transition(1465092000, 2),
                crate::generated::new_transition(1468116000, 1),
                crate::generated::new_transition(1477792800, 2),
                crate::generated::new_transition(1490493600, 1),
                crate::generated::new_transition(1495332000, 2),
                crate::generated::new_transition(1498960800, 1),
                crate::generated::new_transition(1509242400, 2),
                crate::generated::new_transition(1521943200, 1),
                crate::generated::new_transition(1526176800, 2),
                crate::generated::new_transition(1529200800, 1),
                crate::generated::new_transition(1540692000, 3),
                crate::generated::new_transition(1557021600, 4),
                crate::generated::new_transition(1560045600, 3),
                crate::generated::new_transition(1587261600, 4),
                crate::generated::new_transition(1590890400, 3),
                crate::generated::new_transition(1618106400, 4),
                crate::generated::new_transition(1621130400, 3),
                crate::generated::new_transition(1648346400, 4),
                crate::generated::new_transition(1651975200, 3),
                crate::generated::new_transition(1679191200, 4),
                crate::generated::new_transition(1682215200, 3),
                crate::generated::new_transition(1710036000, 4),
                crate::generated::new_transition(1713060000, 3),
                crate::generated::new_transition(1740276000, 4),
                crate::generated::new_transition(1743904800, 3),
                crate::generated::new_transition(1771120800, 4),
                crate::generated::new_transition(1774144800, 3),
                crate::generated::new_transition(1801965600, 4),
                crate::generated::new_transition(1804989600, 3),
                crate::generated::new_transition(1832205600, 4),
                crate::generated::new_transition(1835834400, 3),
                crate::generated::new_transition(1863050400, 4),
                crate::generated::new_transition(1866074400, 3),
                crate::generated::new_transition(1893290400, 4),
                crate::generated::new_transition(1896919200, 3),
                crate::generated::new_transition(1924135200, 4),
                crate::generated::new_transition(1927159200, 3),
                crate::generated::new_transition(1954980000, 4),
                crate::generated::new_transition(1958004000, 3),
                crate::generated::new_transition(1985220000, 4),
                crate::generated::new_transition(1988848800, 3),
                crate::generated::new_transition(2016064800, 4),
                crate::generated::new_transition(2019088800, 3),
                crate::generated::new_transition(2046304800, 4),
                crate::generated::new_transition(2049933600, 3),
                crate::generated::new_transition(2077149600, 4),
                crate::generated::new_transition(2080778400, 3),
                crate::generated::new_transition(2107994400, 4),
                crate::generated::new_transition(2111018400, 3),
                crate::generated::new_transition(2138234400, 4),
                crate::generated::new_transition(2141863200, 3),
                crate::generated::new_transition(2169079200, 4),
                crate::generated::new_transition(2172103200, 3),
                crate::generated::new_transition(2199924000, 4),
                crate::generated::new_transition(2202948000, 3),
                crate::generated::new_transition(2230164000, 4),
                crate::generated::new_transition(2233792800, 3),
                crate::generated::new_transition(2261008800, 4),
                crate::generated::new_transition(2264032800, 3),
                crate::generated::new_transition(2291248800, 4),
                crate::generated::new_transition(2294877600, 3),
                crate::generated::new_transition(2322093600, 4),
                crate::generated::new_transition(2325722400, 3),
                crate::generated::new_transition(2352938400, 4),
                crate::generated::new_transition(2355962400, 3),
                crate::generated::new_transition(2383178400, 4),
                crate::generated::new_transition(2386807200, 3),
                crate::generated::new_transition(2414023200, 4),
                crate::generated::new_transition(2417047200, 3),
                crate::generated::new_transition(2444868000, 4),
                crate::generated::new_transition(2447892000, 3),
                crate::generated::new_transition(2475108000, 4),
                crate::generated::new_transition(2478736800, 3),
                crate::generated::new_transition(2505952800, 4),
                crate::generated::new_transition(2508976800, 3),
                crate::generated::new_transition(2536192800, 4),
                crate::generated::new_transition(2539821600, 3),
                crate::generated::new_transition(2567037600, 4),
                crate::generated::new_transition(2570666400, 3),
                crate::generated::new_transition(2597882400, 4),
                crate::generated::new_transition(2600906400, 3),
                crate::generated::new_transition(2628122400, 4),
                crate::generated::new_transition(2631751200, 3),
                crate::generated::new_transition(2658967200, 4),
                crate::generated::new_transition(2661991200, 3),
                crate::generated::new_transition(2689812000, 4),
                crate::generated::new_transition(2692836000, 3),
                crate::generated::new_transition(2720052000, 4),
                crate::generated::new_transition(2723680800, 3),
                crate::generated::new_transition(2750896800, 4),
                crate::generated::new_transition(2753920800, 3),
                crate::generated::new_transition(2781136800, 4),
                crate::generated::new_transition(2784765600, 3),
                crate::generated::new_transition(2811981600, 4),
                crate::generated::new_transition(2815610400, 3),
                crate::generated::new_transition(2842826400, 4),
                crate::generated::new_transition(2845850400, 3),
                crate::generated::new_transition(2873066400, 4),
                crate::generated::new_transition(2876695200, 3),
                crate::generated::new_transition(2903911200, 4),
                crate::generated::new_transition(2906935200, 3),
                crate::generated::new_transition(2934756000, 4),
                crate::generated::new_transition(2937780000, 3),
                crate::generated::new_transition(2964996000, 4),
                crate::generated::new_transition(2968624800, 3),
                crate::generated::new_transition(2995840800, 4),
                crate::generated::new_transition(2998864800, 3),
                crate::generated::new_transition(3026080800, 4),
                crate::generated::new_transition(3029709600, 3),
                crate::generated::new_transition(3056925600, 4),
                crate::generated::new_transition(3060554400, 3),
                crate::generated::new_transition(3087770400, 4),
                crate::generated::new_transition(3090794400, 3),
                crate::generated::new_transition(3118010400, 4),
                crate::generated::new_transition(3121639200, 3),
                crate::generated::new_transition(3148855200, 4),
                crate::generated::new_transition(3151879200, 3),
                crate::generated::new_transition(3179700000, 4),
                crate::generated::new_transition(3182724000, 3),
                crate::generated::new_transition(3209940000, 4),
                crate::generated::new_transition(3213568800, 3),
                crate::generated::new_transition(3240784800, 4),
                crate::generated::new_transition(3243808800, 3),
                crate::generated::new_transition(3271024800, 4),
                crate::generated::new_transition(3274653600, 3),
                crate::generated::new_transition(3301869600, 4),
                crate::generated::new_transition(3305498400, 3),
                crate::generated::new_transition(3332714400, 4),
                crate::generated::new_transition(3335738400, 3),
                crate::generated::new_transition(3362954400, 4),
                crate::generated::new_transition(3366583200, 3),
                crate::generated::new_transition(3393799200, 4),
                crate::generated::new_transition(3396823200, 3),
                crate::generated::new_transition(3424644000, 4),
                crate::generated::new_transition(3427668000, 3),
                crate::generated::new_transition(3454884000, 4),
                crate::generated::new_transition(3458512800, 3),
                crate::generated::new_transition(3485728800, 4),
                crate::generated::new_transition(3488752800, 3),
                crate::generated::new_transition(3515968800, 4),
                crate::generated::new_transition(3519597600, 3),
                crate::generated::new_transition(3546813600, 4),
                crate::generated::new_transition(3549837600, 3),
                crate::generated::new_transition(3577658400, 4),
                crate::generated::new_transition(3580682400, 3),
                crate::generated::new_transition(3607898400, 4),
                crate::generated::new_transition(3611527200, 3),
                crate::generated::new_transition(3638743200, 4),
                crate::generated::new_transition(3641767200, 3),
                crate::generated::new_transition(3669588000, 4),
                crate::generated::new_transition(3672612000, 3),
                crate::generated::new_transition(3699828000, 4),
                crate::generated::new_transition(3703456800, 3),
            ],
            &[
                crate::generated::new_local_time_type(-1820, false, Some(b"LMT")),
                crate::generated::new_local_time_type(3600, true, Some(b"+01")),
                crate::generated::new_local_time_type(0, false, Some(b"+00")),
                crate::generated::new_local_time_type(3600, false, Some(b"+01")),
                crate::generated::new_local_time_type(0, true, Some(b"+00")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(3600, false, Some(b"+01")),
            )),
        );

    pub(crate) const AFRICA_CEUTA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2177452800, 1),
            crate::generated::new_transition(-1630112400, 2),
            crate::generated::new_transition(-1616810400, 1),
            crate::generated::new_transition(-1442451600, 2),
            crate::generated::new_transition(-1427673600, 1),
            crate::generated::new_transition(-1379293200, 2),
            crate::generated::new_transition(-1364774400, 1),
            crate::generated::new_transition(-1348448400, 2),
            crate::generated::new_transition(-1333324800, 1),
            crate::generated::new_transition(-1316390400, 2),
            crate::generated::new_transition(-1301270400, 1),
            crate::generated::new_transition(-81432000, 2),
            crate::generated::new_transition(-71110800, 1),
            crate::generated::new_transition(141264000, 2),
            crate::generated::new_transition(147222000, 1),
            crate::generated::new_transition(199756800, 2),
            crate::generated::new_transition(207702000, 1),
            crate::generated::new_transition(231292800, 2),
            crate::generated::new_transition(244249200, 1),
            crate::generated::new_transition(265507200, 2),
            crate::generated::new_transition(271033200, 1),
            crate::generated::new_transition(448243200, 3),
            crate::generated::new_transition(512528400, 4),
            crate::generated::new_transition(528253200, 3),
            crate::generated::new_transition(543978000, 4),
            crate::generated::new_transition(559702800, 3),
            crate::generated::new_transition(575427600, 4),
            crate::generated::new_transition(591152400, 3),
            crate::generated::new_transition(606877200, 4),
            crate::generated::new_transition(622602000, 3),
            crate::generated::new_transition(638326800, 4),
            crate::generated::new_transition(654656400, 3),
            crate::generated::new_transition(670381200, 4),
            crate::generated::new_transition(686106000, 3),
            crate::generated::new_transition(701830800, 4),
            crate::generated::new_transition(717555600, 3),
            crate::generated::new_transition(733280400, 4),
            crate::generated::new_transition(749005200, 3),
            crate::generated::new_transition(764730000, 4),
            crate::generated::new_transition(780454800, 3),
            crate::generated::new_transition(796179600, 4),
            crate::generated::new_transition(811904400, 3),
            crate::generated::new_transition(828234000, 4),
        ],
        &[
            crate::generated::new_local_time_type(-1276, false, Some(b"LMT")),
            crate::generated::new_local_time_type(0, false, Some(b"WET")),
            crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const AFRICA_CONAKRY: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1830380708, 1),
            crate::generated::new_transition(-1131235200, 2),
            crate::generated::new_transition(-315615600, 1),
        ],
        &[
            crate::generated::new_local_time_type(-3292, false, Some(b"LMT")),
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
        )),
    );

    pub(crate) const AFRICA_DAKAR: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1830379816, 1),
            crate::generated::new_transition(-902098800, 2),
        ],
        &[
            crate::generated::new_local_time_type(-4184, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
        )),
    );

    pub(crate) const AFRICA_DAR_ES_SALAAM: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1230777428, 1),
                crate::generated::new_transition(-694321200, 2),
                crate::generated::new_transition(-284006700, 1),
            ],
            &[
                crate::generated::new_local_time_type(9428, false, Some(b"LMT")),
                crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
                crate::generated::new_local_time_type(9900, false, Some(b"+0245")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
            )),
        );

    pub(crate) const AFRICA_DJIBOUTI: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-1846291956, 1)],
            &[
                crate::generated::new_local_time_type(10356, false, Some(b"LMT")),
                crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
            )),
        );

    pub(crate) const AFRICA_DOUALA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-1830386328, 1)],
        &[
            crate::generated::new_local_time_type(2328, false, Some(b"LMT")),
            crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
        )),
    );

    pub(crate) const AFRICA_EL_AAIUN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1136070432, 1),
                crate::generated::new_transition(198291600, 3),
                crate::generated::new_transition(199756800, 2),
                crate::generated::new_transition(207702000, 3),
                crate::generated::new_transition(231292800, 2),
                crate::generated::new_transition(244249200, 3),
                crate::generated::new_transition(265507200, 2),
                crate::generated::new_transition(271033200, 3),
                crate::generated::new_transition(1212278400, 2),
                crate::generated::new_transition(1220223600, 3),
                crate::generated::new_transition(1243814400, 2),
                crate::generated::new_transition(1250809200, 3),
                crate::generated::new_transition(1272758400, 2),
                crate::generated::new_transition(1281222000, 3),
                crate::generated::new_transition(1301788800, 2),
                crate::generated::new_transition(1312066800, 3),
                crate::generated::new_transition(1335664800, 2),
                crate::generated::new_transition(1342749600, 3),
                crate::generated::new_transition(1345428000, 2),
                crate::generated::new_transition(1348970400, 3),
                crate::generated::new_transition(1367114400, 2),
                crate::generated::new_transition(1373162400, 3),
                crate::generated::new_transition(1376100000, 2),
                crate::generated::new_transition(1382839200, 3),
                crate::generated::new_transition(1396144800, 2),
                crate::generated::new_transition(1403920800, 3),
                crate::generated::new_transition(1406944800, 2),
                crate::generated::new_transition(1414288800, 3),
                crate::generated::new_transition(1427594400, 2),
                crate::generated::new_transition(1434247200, 3),
                crate::generated::new_transition(1437271200, 2),
                crate::generated::new_transition(1445738400, 3),
                crate::generated::new_transition(1459044000, 2),
                crate::generated::new_transition(1465092000, 3),
                crate::generated::new_transition(1468116000, 2),
                crate::generated::new_transition(1477792800, 3),
                crate::generated::new_transition(1490493600, 2),
                crate::generated::new_transition(1495332000, 3),
                crate::generated::new_transition(1498960800, 2),
                crate::generated::new_transition(1509242400, 3),
                crate::generated::new_transition(1521943200, 2),
                crate::generated::new_transition(1526176800, 3),
                crate::generated::new_transition(1529200800, 2),
                crate::generated::new_transition(1540692000, 5),
                crate::generated::new_transition(1557021600, 4),
                crate::generated::new_transition(1560045600, 5),
                crate::generated::new_transition(1587261600, 4),
                crate::generated::new_transition(1590890400, 5),
                crate::generated::new_transition(1618106400, 4),
                crate::generated::new_transition(1621130400, 5),
                crate::generated::new_transition(1648346400, 4),
                crate::generated::new_transition(1651975200, 5),
                crate::generated::new_transition(1679191200, 4),
                crate::generated::new_transition(1682215200, 5),
                crate::generated::new_transition(1710036000, 4),
                crate::generated::new_transition(1713060000, 5),
                crate::generated::new_transition(1740276000, 4),
                crate::generated::new_transition(1743904800, 5),
                crate::generated::new_transition(1771120800, 4),
                crate::generated::new_transition(1774144800, 5),
                crate::generated::new_transition(1801965600, 4),
                crate::generated::new_transition(1804989600, 5),
                crate::generated::new_transition(1832205600, 4),
                crate::generated::new_transition(1835834400, 5),
                crate::generated::new_transition(1863050400, 4),
                crate::generated::new_transition(1866074400, 5),
                crate::generated::new_transition(1893290400, 4),
                crate::generated::new_transition(1896919200, 5),
                crate::generated::new_transition(1924135200, 4),
                crate::generated::new_transition(1927159200, 5),
                crate::generated::new_transition(1954980000, 4),
                crate::generated::new_transition(1958004000, 5),
                crate::generated::new_transition(1985220000, 4),
                crate::generated::new_transition(1988848800, 5),
                crate::generated::new_transition(2016064800, 4),
                crate::generated::new_transition(2019088800, 5),
                crate::generated::new_transition(2046304800, 4),
                crate::generated::new_transition(2049933600, 5),
                crate::generated::new_transition(2077149600, 4),
                crate::generated::new_transition(2080778400, 5),
                crate::generated::new_transition(2107994400, 4),
                crate::generated::new_transition(2111018400, 5),
                crate::generated::new_transition(2138234400, 4),
                crate::generated::new_transition(2141863200, 5),
                crate::generated::new_transition(2169079200, 4),
                crate::generated::new_transition(2172103200, 5),
                crate::generated::new_transition(2199924000, 4),
                crate::generated::new_transition(2202948000, 5),
                crate::generated::new_transition(2230164000, 4),
                crate::generated::new_transition(2233792800, 5),
                crate::generated::new_transition(2261008800, 4),
                crate::generated::new_transition(2264032800, 5),
                crate::generated::new_transition(2291248800, 4),
                crate::generated::new_transition(2294877600, 5),
                crate::generated::new_transition(2322093600, 4),
                crate::generated::new_transition(2325722400, 5),
                crate::generated::new_transition(2352938400, 4),
                crate::generated::new_transition(2355962400, 5),
                crate::generated::new_transition(2383178400, 4),
                crate::generated::new_transition(2386807200, 5),
                crate::generated::new_transition(2414023200, 4),
                crate::generated::new_transition(2417047200, 5),
                crate::generated::new_transition(2444868000, 4),
                crate::generated::new_transition(2447892000, 5),
                crate::generated::new_transition(2475108000, 4),
                crate::generated::new_transition(2478736800, 5),
                crate::generated::new_transition(2505952800, 4),
                crate::generated::new_transition(2508976800, 5),
                crate::generated::new_transition(2536192800, 4),
                crate::generated::new_transition(2539821600, 5),
                crate::generated::new_transition(2567037600, 4),
                crate::generated::new_transition(2570666400, 5),
                crate::generated::new_transition(2597882400, 4),
                crate::generated::new_transition(2600906400, 5),
                crate::generated::new_transition(2628122400, 4),
                crate::generated::new_transition(2631751200, 5),
                crate::generated::new_transition(2658967200, 4),
                crate::generated::new_transition(2661991200, 5),
                crate::generated::new_transition(2689812000, 4),
                crate::generated::new_transition(2692836000, 5),
                crate::generated::new_transition(2720052000, 4),
                crate::generated::new_transition(2723680800, 5),
                crate::generated::new_transition(2750896800, 4),
                crate::generated::new_transition(2753920800, 5),
                crate::generated::new_transition(2781136800, 4),
                crate::generated::new_transition(2784765600, 5),
                crate::generated::new_transition(2811981600, 4),
                crate::generated::new_transition(2815610400, 5),
                crate::generated::new_transition(2842826400, 4),
                crate::generated::new_transition(2845850400, 5),
                crate::generated::new_transition(2873066400, 4),
                crate::generated::new_transition(2876695200, 5),
                crate::generated::new_transition(2903911200, 4),
                crate::generated::new_transition(2906935200, 5),
                crate::generated::new_transition(2934756000, 4),
                crate::generated::new_transition(2937780000, 5),
                crate::generated::new_transition(2964996000, 4),
                crate::generated::new_transition(2968624800, 5),
                crate::generated::new_transition(2995840800, 4),
                crate::generated::new_transition(2998864800, 5),
                crate::generated::new_transition(3026080800, 4),
                crate::generated::new_transition(3029709600, 5),
                crate::generated::new_transition(3056925600, 4),
                crate::generated::new_transition(3060554400, 5),
                crate::generated::new_transition(3087770400, 4),
                crate::generated::new_transition(3090794400, 5),
                crate::generated::new_transition(3118010400, 4),
                crate::generated::new_transition(3121639200, 5),
                crate::generated::new_transition(3148855200, 4),
                crate::generated::new_transition(3151879200, 5),
                crate::generated::new_transition(3179700000, 4),
                crate::generated::new_transition(3182724000, 5),
                crate::generated::new_transition(3209940000, 4),
                crate::generated::new_transition(3213568800, 5),
                crate::generated::new_transition(3240784800, 4),
                crate::generated::new_transition(3243808800, 5),
                crate::generated::new_transition(3271024800, 4),
                crate::generated::new_transition(3274653600, 5),
                crate::generated::new_transition(3301869600, 4),
                crate::generated::new_transition(3305498400, 5),
                crate::generated::new_transition(3332714400, 4),
                crate::generated::new_transition(3335738400, 5),
                crate::generated::new_transition(3362954400, 4),
                crate::generated::new_transition(3366583200, 5),
                crate::generated::new_transition(3393799200, 4),
                crate::generated::new_transition(3396823200, 5),
                crate::generated::new_transition(3424644000, 4),
                crate::generated::new_transition(3427668000, 5),
                crate::generated::new_transition(3454884000, 4),
                crate::generated::new_transition(3458512800, 5),
                crate::generated::new_transition(3485728800, 4),
                crate::generated::new_transition(3488752800, 5),
                crate::generated::new_transition(3515968800, 4),
                crate::generated::new_transition(3519597600, 5),
                crate::generated::new_transition(3546813600, 4),
                crate::generated::new_transition(3549837600, 5),
                crate::generated::new_transition(3577658400, 4),
                crate::generated::new_transition(3580682400, 5),
                crate::generated::new_transition(3607898400, 4),
                crate::generated::new_transition(3611527200, 5),
                crate::generated::new_transition(3638743200, 4),
                crate::generated::new_transition(3641767200, 5),
                crate::generated::new_transition(3669588000, 4),
                crate::generated::new_transition(3672612000, 5),
                crate::generated::new_transition(3699828000, 4),
                crate::generated::new_transition(3703456800, 5),
            ],
            &[
                crate::generated::new_local_time_type(-3168, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
                crate::generated::new_local_time_type(3600, true, Some(b"+01")),
                crate::generated::new_local_time_type(0, false, Some(b"+00")),
                crate::generated::new_local_time_type(0, true, Some(b"+00")),
                crate::generated::new_local_time_type(3600, false, Some(b"+01")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(3600, false, Some(b"+01")),
            )),
        );

    pub(crate) const AFRICA_FREETOWN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2776979220, 1),
                crate::generated::new_transition(-1783120020, 3),
                crate::generated::new_transition(-1170284400, 2),
                crate::generated::new_transition(-1159831200, 3),
                crate::generated::new_transition(-1146610800, 2),
                crate::generated::new_transition(-1128295200, 3),
                crate::generated::new_transition(-1115074800, 2),
                crate::generated::new_transition(-1096759200, 3),
                crate::generated::new_transition(-1083538800, 2),
                crate::generated::new_transition(-1065136800, 3),
                crate::generated::new_transition(-1051916400, 2),
                crate::generated::new_transition(-1033600800, 3),
                crate::generated::new_transition(-1020380400, 2),
                crate::generated::new_transition(-1002064800, 3),
                crate::generated::new_transition(-988844400, 2),
                crate::generated::new_transition(-965258400, 3),
                crate::generated::new_transition(-957308400, 2),
                crate::generated::new_transition(-956964000, 3),
                crate::generated::new_transition(-885769200, 4),
            ],
            &[
                crate::generated::new_local_time_type(-3180, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-3180, false, Some(b"FMT")),
                crate::generated::new_local_time_type(-2400, true, Some(b"-0040")),
                crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            )),
        );

    pub(crate) const AFRICA_GABORONE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2682294220, 1),
                crate::generated::new_transition(-2109288600, 2),
                crate::generated::new_transition(-829526400, 3),
                crate::generated::new_transition(-813805200, 2),
            ],
            &[
                crate::generated::new_local_time_type(6220, false, Some(b"LMT")),
                crate::generated::new_local_time_type(5400, false, Some(b"SAST")),
                crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
                crate::generated::new_local_time_type(10800, true, Some(b"CAST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
            )),
        );

    pub(crate) const AFRICA_HARARE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-2109290652, 1)],
        &[
            crate::generated::new_local_time_type(7452, false, Some(b"LMT")),
            crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
        )),
    );

    pub(crate) const AFRICA_JOHANNESBURG: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2458173120, 1),
                crate::generated::new_transition(-2109288600, 3),
                crate::generated::new_transition(-860976000, 2),
                crate::generated::new_transition(-845254800, 3),
                crate::generated::new_transition(-829526400, 2),
                crate::generated::new_transition(-813805200, 3),
            ],
            &[
                crate::generated::new_local_time_type(6720, false, Some(b"LMT")),
                crate::generated::new_local_time_type(5400, false, Some(b"SAST")),
                crate::generated::new_local_time_type(10800, true, Some(b"SAST")),
                crate::generated::new_local_time_type(7200, false, Some(b"SAST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(7200, false, Some(b"SAST")),
            )),
        );

    pub(crate) const AFRICA_JUBA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1230775588, 2),
            crate::generated::new_transition(10360800, 1),
            crate::generated::new_transition(24786000, 2),
            crate::generated::new_transition(41810400, 1),
            crate::generated::new_transition(56322000, 2),
            crate::generated::new_transition(73432800, 1),
            crate::generated::new_transition(87944400, 2),
            crate::generated::new_transition(104882400, 1),
            crate::generated::new_transition(119480400, 2),
            crate::generated::new_transition(136332000, 1),
            crate::generated::new_transition(151016400, 2),
            crate::generated::new_transition(167781600, 1),
            crate::generated::new_transition(182552400, 2),
            crate::generated::new_transition(199231200, 1),
            crate::generated::new_transition(214174800, 2),
            crate::generated::new_transition(230680800, 1),
            crate::generated::new_transition(245710800, 2),
            crate::generated::new_transition(262735200, 1),
            crate::generated::new_transition(277246800, 2),
            crate::generated::new_transition(294184800, 1),
            crate::generated::new_transition(308782800, 2),
            crate::generated::new_transition(325634400, 1),
            crate::generated::new_transition(340405200, 2),
            crate::generated::new_transition(357084000, 1),
            crate::generated::new_transition(371941200, 2),
            crate::generated::new_transition(388533600, 1),
            crate::generated::new_transition(403477200, 2),
            crate::generated::new_transition(419983200, 1),
            crate::generated::new_transition(435013200, 2),
            crate::generated::new_transition(452037600, 1),
            crate::generated::new_transition(466635600, 2),
            crate::generated::new_transition(483487200, 1),
            crate::generated::new_transition(498171600, 2),
            crate::generated::new_transition(947930400, 3),
            crate::generated::new_transition(1612126800, 2),
        ],
        &[
            crate::generated::new_local_time_type(7588, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, true, Some(b"CAST")),
            crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
            crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
        )),
    );

    pub(crate) const AFRICA_KAMPALA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1309745380, 1),
            crate::generated::new_transition(-1262314800, 2),
            crate::generated::new_transition(-694319400, 3),
            crate::generated::new_transition(-410237100, 1),
        ],
        &[
            crate::generated::new_local_time_type(7780, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
            crate::generated::new_local_time_type(9000, false, Some(b"+0230")),
            crate::generated::new_local_time_type(9900, false, Some(b"+0245")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
        )),
    );

    pub(crate) const AFRICA_KHARTOUM: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1230775808, 2),
                crate::generated::new_transition(10360800, 1),
                crate::generated::new_transition(24786000, 2),
                crate::generated::new_transition(41810400, 1),
                crate::generated::new_transition(56322000, 2),
                crate::generated::new_transition(73432800, 1),
                crate::generated::new_transition(87944400, 2),
                crate::generated::new_transition(104882400, 1),
                crate::generated::new_transition(119480400, 2),
                crate::generated::new_transition(136332000, 1),
                crate::generated::new_transition(151016400, 2),
                crate::generated::new_transition(167781600, 1),
                crate::generated::new_transition(182552400, 2),
                crate::generated::new_transition(199231200, 1),
                crate::generated::new_transition(214174800, 2),
                crate::generated::new_transition(230680800, 1),
                crate::generated::new_transition(245710800, 2),
                crate::generated::new_transition(262735200, 1),
                crate::generated::new_transition(277246800, 2),
                crate::generated::new_transition(294184800, 1),
                crate::generated::new_transition(308782800, 2),
                crate::generated::new_transition(325634400, 1),
                crate::generated::new_transition(340405200, 2),
                crate::generated::new_transition(357084000, 1),
                crate::generated::new_transition(371941200, 2),
                crate::generated::new_transition(388533600, 1),
                crate::generated::new_transition(403477200, 2),
                crate::generated::new_transition(419983200, 1),
                crate::generated::new_transition(435013200, 2),
                crate::generated::new_transition(452037600, 1),
                crate::generated::new_transition(466635600, 2),
                crate::generated::new_transition(483487200, 1),
                crate::generated::new_transition(498171600, 2),
                crate::generated::new_transition(947930400, 3),
                crate::generated::new_transition(1509483600, 2),
            ],
            &[
                crate::generated::new_local_time_type(7808, false, Some(b"LMT")),
                crate::generated::new_local_time_type(10800, true, Some(b"CAST")),
                crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
                crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
            )),
        );

    pub(crate) const AFRICA_KIGALI: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-1091498416, 1)],
        &[
            crate::generated::new_local_time_type(7216, false, Some(b"LMT")),
            crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
        )),
    );

    pub(crate) const AFRICA_KINSHASA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-2276643672, 1)],
            &[
                crate::generated::new_local_time_type(3672, false, Some(b"LMT")),
                crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
            )),
        );

    pub(crate) const AFRICA_LAGOS: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2035584815, 1),
            crate::generated::new_transition(-1940889600, 0),
            crate::generated::new_transition(-1767226415, 2),
            crate::generated::new_transition(-1588465800, 3),
        ],
        &[
            crate::generated::new_local_time_type(815, false, Some(b"LMT")),
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            crate::generated::new_local_time_type(1800, false, Some(b"+0030")),
            crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
        )),
    );

    pub(crate) const AFRICA_LIBREVILLE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-1830386268, 1)],
            &[
                crate::generated::new_local_time_type(2268, false, Some(b"LMT")),
                crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
            )),
        );

    pub(crate) const AFRICA_LOME: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-2429827492, 1)],
        &[
            crate::generated::new_local_time_type(292, false, Some(b"LMT")),
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
        )),
    );

    pub(crate) const AFRICA_LUANDA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2461452776, 1),
            crate::generated::new_transition(-1830387600, 2),
        ],
        &[
            crate::generated::new_local_time_type(3176, false, Some(b"LMT")),
            crate::generated::new_local_time_type(3124, false, Some(b"LMT")),
            crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
        )),
    );

    pub(crate) const AFRICA_LUBUMBASHI: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2276646592, 1),
                crate::generated::new_transition(-1567990800, 2),
            ],
            &[
                crate::generated::new_local_time_type(6592, false, Some(b"LMT")),
                crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
                crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
            )),
        );

    pub(crate) const AFRICA_LUSAKA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-2109289988, 1)],
        &[
            crate::generated::new_local_time_type(6788, false, Some(b"LMT")),
            crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
        )),
    );

    pub(crate) const AFRICA_MALABO: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1830386108, 1),
            crate::generated::new_transition(-190857600, 2),
        ],
        &[
            crate::generated::new_local_time_type(2108, false, Some(b"LMT")),
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
        )),
    );

    pub(crate) const AFRICA_MAPUTO: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-2109291020, 1)],
        &[
            crate::generated::new_local_time_type(7820, false, Some(b"LMT")),
            crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
        )),
    );

    pub(crate) const AFRICA_MASERU: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2109289800, 1),
            crate::generated::new_transition(-829526400, 2),
            crate::generated::new_transition(-813805200, 1),
        ],
        &[
            crate::generated::new_local_time_type(6600, false, Some(b"LMT")),
            crate::generated::new_local_time_type(7200, false, Some(b"SAST")),
            crate::generated::new_local_time_type(10800, true, Some(b"SAST")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(7200, false, Some(b"SAST")),
        )),
    );

    pub(crate) const AFRICA_MBABANE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-2109290664, 1)],
        &[
            crate::generated::new_local_time_type(7464, false, Some(b"LMT")),
            crate::generated::new_local_time_type(7200, false, Some(b"SAST")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(7200, false, Some(b"SAST")),
        )),
    );

    pub(crate) const AFRICA_MOGADISHU: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2403572488, 1),
                crate::generated::new_transition(-1230778800, 2),
                crate::generated::new_transition(-410236200, 1),
            ],
            &[
                crate::generated::new_local_time_type(10888, false, Some(b"LMT")),
                crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
                crate::generated::new_local_time_type(9000, false, Some(b"+0230")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
            )),
        );

    pub(crate) const AFRICA_MONROVIA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2776979812, 1),
                crate::generated::new_transition(-1604359012, 2),
                crate::generated::new_transition(63593070, 3),
            ],
            &[
                crate::generated::new_local_time_type(-2588, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-2588, false, Some(b"MMT")),
                crate::generated::new_local_time_type(-2670, false, Some(b"MMT")),
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            )),
        );

    pub(crate) const AFRICA_NDJAMENA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1830387612, 1),
                crate::generated::new_transition(308703600, 2),
                crate::generated::new_transition(321314400, 1),
            ],
            &[
                crate::generated::new_local_time_type(3612, false, Some(b"LMT")),
                crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
                crate::generated::new_local_time_type(7200, true, Some(b"WAST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
            )),
        );

    pub(crate) const AFRICA_NIAMEY: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1830384508, 1),
            crate::generated::new_transition(-1131231600, 2),
            crate::generated::new_transition(-315619200, 3),
        ],
        &[
            crate::generated::new_local_time_type(508, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
        )),
    );

    pub(crate) const AFRICA_NOUAKCHOTT: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1830380172, 1),
                crate::generated::new_transition(-1131235200, 2),
                crate::generated::new_transition(-286930800, 1),
            ],
            &[
                crate::generated::new_local_time_type(-3828, false, Some(b"LMT")),
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
                crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            )),
        );

    pub(crate) const AFRICA_OUAGADOUGOU: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-1830383636, 1)],
            &[
                crate::generated::new_local_time_type(-364, false, Some(b"LMT")),
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            )),
        );

    pub(crate) const AFRICA_PORTO_NOVO: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1830384628, 1),
                crate::generated::new_transition(-1131235200, 2),
            ],
            &[
                crate::generated::new_local_time_type(628, false, Some(b"LMT")),
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
                crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
            )),
        );

    pub(crate) const AFRICA_SAO_TOME: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2713912016, 1),
                crate::generated::new_transition(-1830384000, 2),
                crate::generated::new_transition(1514768400, 3),
                crate::generated::new_transition(1546304400, 2),
            ],
            &[
                crate::generated::new_local_time_type(1616, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-2205, false, Some(b"LMT")),
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
                crate::generated::new_local_time_type(3600, false, Some(b"WAT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            )),
        );

    pub(crate) const AFRICA_TUNIS: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2797202444, 1),
            crate::generated::new_transition(-1855958961, 3),
            crate::generated::new_transition(-969242400, 2),
            crate::generated::new_transition(-950493600, 3),
            crate::generated::new_transition(-941940000, 2),
            crate::generated::new_transition(-891136800, 3),
            crate::generated::new_transition(-877827600, 2),
            crate::generated::new_transition(-857257200, 3),
            crate::generated::new_transition(-844556400, 2),
            crate::generated::new_transition(-842918400, 3),
            crate::generated::new_transition(-842223600, 2),
            crate::generated::new_transition(-828230400, 3),
            crate::generated::new_transition(-812502000, 2),
            crate::generated::new_transition(-796269600, 3),
            crate::generated::new_transition(-781052400, 2),
            crate::generated::new_transition(-766634400, 3),
            crate::generated::new_transition(231202800, 2),
            crate::generated::new_transition(243903600, 3),
            crate::generated::new_transition(262825200, 2),
            crate::generated::new_transition(276044400, 3),
            crate::generated::new_transition(581122800, 2),
            crate::generated::new_transition(591145200, 3),
            crate::generated::new_transition(606870000, 2),
            crate::generated::new_transition(622594800, 3),
            crate::generated::new_transition(641516400, 2),
            crate::generated::new_transition(654649200, 3),
            crate::generated::new_transition(1114902000, 2),
            crate::generated::new_transition(1128038400, 3),
            crate::generated::new_transition(1143334800, 2),
            crate::generated::new_transition(1162083600, 3),
            crate::generated::new_transition(1174784400, 2),
            crate::generated::new_transition(1193533200, 3),
            crate::generated::new_transition(1206838800, 2),
            crate::generated::new_transition(1224982800, 3),
        ],
        &[
            crate::generated::new_local_time_type(2444, false, Some(b"LMT")),
            crate::generated::new_local_time_type(561, false, Some(b"PMT")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
        )),
    );

    pub(crate) const AFRICA_WINDHOEK: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2458170504, 1),
                crate::generated::new_transition(-2109288600, 2),
                crate::generated::new_transition(-860976000, 3),
                crate::generated::new_transition(-845254800, 2),
                crate::generated::new_transition(637970400, 5),
                crate::generated::new_transition(764200800, 4),
                crate::generated::new_transition(778640400, 5),
                crate::generated::new_transition(796780800, 4),
                crate::generated::new_transition(810090000, 5),
                crate::generated::new_transition(828835200, 4),
                crate::generated::new_transition(841539600, 5),
                crate::generated::new_transition(860284800, 4),
                crate::generated::new_transition(873594000, 5),
                crate::generated::new_transition(891734400, 4),
                crate::generated::new_transition(905043600, 5),
                crate::generated::new_transition(923184000, 4),
                crate::generated::new_transition(936493200, 5),
                crate::generated::new_transition(954633600, 4),
                crate::generated::new_transition(967942800, 5),
                crate::generated::new_transition(986083200, 4),
                crate::generated::new_transition(999392400, 5),
                crate::generated::new_transition(1018137600, 4),
                crate::generated::new_transition(1030842000, 5),
                crate::generated::new_transition(1049587200, 4),
                crate::generated::new_transition(1062896400, 5),
                crate::generated::new_transition(1081036800, 4),
                crate::generated::new_transition(1094346000, 5),
                crate::generated::new_transition(1112486400, 4),
                crate::generated::new_transition(1125795600, 5),
                crate::generated::new_transition(1143936000, 4),
                crate::generated::new_transition(1157245200, 5),
                crate::generated::new_transition(1175385600, 4),
                crate::generated::new_transition(1188694800, 5),
                crate::generated::new_transition(1207440000, 4),
                crate::generated::new_transition(1220749200, 5),
                crate::generated::new_transition(1238889600, 4),
                crate::generated::new_transition(1252198800, 5),
                crate::generated::new_transition(1270339200, 4),
                crate::generated::new_transition(1283648400, 5),
                crate::generated::new_transition(1301788800, 4),
                crate::generated::new_transition(1315098000, 5),
                crate::generated::new_transition(1333238400, 4),
                crate::generated::new_transition(1346547600, 5),
                crate::generated::new_transition(1365292800, 4),
                crate::generated::new_transition(1377997200, 5),
                crate::generated::new_transition(1396742400, 4),
                crate::generated::new_transition(1410051600, 5),
                crate::generated::new_transition(1428192000, 4),
                crate::generated::new_transition(1441501200, 5),
                crate::generated::new_transition(1459641600, 4),
                crate::generated::new_transition(1472950800, 5),
                crate::generated::new_transition(1491091200, 4),
                crate::generated::new_transition(1504400400, 5),
            ],
            &[
                crate::generated::new_local_time_type(4104, false, Some(b"LMT")),
                crate::generated::new_local_time_type(5400, false, Some(b"+0130")),
                crate::generated::new_local_time_type(7200, false, Some(b"SAST")),
                crate::generated::new_local_time_type(10800, true, Some(b"SAST")),
                crate::generated::new_local_time_type(3600, true, Some(b"WAT")),
                crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(7200, false, Some(b"CAT")),
            )),
        );

    pub(crate) const AMERICA_ADAK: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3225223727, 1),
            crate::generated::new_transition(-2188944802, 2),
            crate::generated::new_transition(-880196400, 3),
            crate::generated::new_transition(-769395600, 4),
            crate::generated::new_transition(-765374400, 2),
            crate::generated::new_transition(-86878800, 5),
            crate::generated::new_transition(-21466800, 6),
            crate::generated::new_transition(-5745600, 5),
            crate::generated::new_transition(9982800, 6),
            crate::generated::new_transition(25704000, 5),
            crate::generated::new_transition(41432400, 6),
            crate::generated::new_transition(57758400, 5),
            crate::generated::new_transition(73486800, 6),
            crate::generated::new_transition(89208000, 5),
            crate::generated::new_transition(104936400, 6),
            crate::generated::new_transition(120657600, 5),
            crate::generated::new_transition(126709200, 6),
            crate::generated::new_transition(152107200, 5),
            crate::generated::new_transition(162392400, 6),
            crate::generated::new_transition(183556800, 5),
            crate::generated::new_transition(199285200, 6),
            crate::generated::new_transition(215611200, 5),
            crate::generated::new_transition(230734800, 6),
            crate::generated::new_transition(247060800, 5),
            crate::generated::new_transition(262789200, 6),
            crate::generated::new_transition(278510400, 5),
            crate::generated::new_transition(294238800, 6),
            crate::generated::new_transition(309960000, 5),
            crate::generated::new_transition(325688400, 6),
            crate::generated::new_transition(341409600, 5),
            crate::generated::new_transition(357138000, 6),
            crate::generated::new_transition(372859200, 5),
            crate::generated::new_transition(388587600, 6),
            crate::generated::new_transition(404913600, 5),
            crate::generated::new_transition(420037200, 6),
            crate::generated::new_transition(436363200, 7),
            crate::generated::new_transition(439034400, 9),
            crate::generated::new_transition(452088000, 8),
            crate::generated::new_transition(467809200, 9),
            crate::generated::new_transition(483537600, 8),
            crate::generated::new_transition(499258800, 9),
            crate::generated::new_transition(514987200, 8),
            crate::generated::new_transition(530708400, 9),
            crate::generated::new_transition(544622400, 8),
            crate::generated::new_transition(562158000, 9),
            crate::generated::new_transition(576072000, 8),
            crate::generated::new_transition(594212400, 9),
            crate::generated::new_transition(607521600, 8),
            crate::generated::new_transition(625662000, 9),
            crate::generated::new_transition(638971200, 8),
            crate::generated::new_transition(657111600, 9),
            crate::generated::new_transition(671025600, 8),
            crate::generated::new_transition(688561200, 9),
            crate::generated::new_transition(702475200, 8),
            crate::generated::new_transition(720010800, 9),
            crate::generated::new_transition(733924800, 8),
            crate::generated::new_transition(752065200, 9),
            crate::generated::new_transition(765374400, 8),
            crate::generated::new_transition(783514800, 9),
            crate::generated::new_transition(796824000, 8),
            crate::generated::new_transition(814964400, 9),
            crate::generated::new_transition(828878400, 8),
            crate::generated::new_transition(846414000, 9),
            crate::generated::new_transition(860328000, 8),
            crate::generated::new_transition(877863600, 9),
            crate::generated::new_transition(891777600, 8),
            crate::generated::new_transition(909313200, 9),
            crate::generated::new_transition(923227200, 8),
            crate::generated::new_transition(941367600, 9),
            crate::generated::new_transition(954676800, 8),
            crate::generated::new_transition(972817200, 9),
            crate::generated::new_transition(986126400, 8),
            crate::generated::new_transition(1004266800, 9),
            crate::generated::new_transition(1018180800, 8),
            crate::generated::new_transition(1035716400, 9),
            crate::generated::new_transition(1049630400, 8),
            crate::generated::new_transition(1067166000, 9),
            crate::generated::new_transition(1081080000, 8),
            crate::generated::new_transition(1099220400, 9),
            crate::generated::new_transition(1112529600, 8),
            crate::generated::new_transition(1130670000, 9),
            crate::generated::new_transition(1143979200, 8),
            crate::generated::new_transition(1162119600, 9),
            crate::generated::new_transition(1173614400, 8),
        ],
        &[
            crate::generated::new_local_time_type(44002, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-42398, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-39600, false, Some(b"NST")),
            crate::generated::new_local_time_type(-36000, true, Some(b"NWT")),
            crate::generated::new_local_time_type(-36000, true, Some(b"NPT")),
            crate::generated::new_local_time_type(-39600, false, Some(b"BST")),
            crate::generated::new_local_time_type(-36000, true, Some(b"BDT")),
            crate::generated::new_local_time_type(-36000, false, Some(b"AHST")),
            crate::generated::new_local_time_type(-32400, true, Some(b"HDT")),
            crate::generated::new_local_time_type(-36000, false, Some(b"HST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(-36000, false, Some(b"HST")),
                crate::generated::new_local_time_type(-32400, true, Some(b"HDT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const AMERICA_ANCHORAGE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-3225223727, 1),
                crate::generated::new_transition(-2188951224, 2),
                crate::generated::new_transition(-880200000, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765378000, 2),
                crate::generated::new_transition(-86882400, 5),
                crate::generated::new_transition(-21470400, 6),
                crate::generated::new_transition(-5749200, 5),
                crate::generated::new_transition(9979200, 6),
                crate::generated::new_transition(25700400, 5),
                crate::generated::new_transition(41428800, 6),
                crate::generated::new_transition(57754800, 5),
                crate::generated::new_transition(73483200, 6),
                crate::generated::new_transition(89204400, 5),
                crate::generated::new_transition(104932800, 6),
                crate::generated::new_transition(120654000, 5),
                crate::generated::new_transition(126705600, 6),
                crate::generated::new_transition(152103600, 5),
                crate::generated::new_transition(162388800, 6),
                crate::generated::new_transition(183553200, 5),
                crate::generated::new_transition(199281600, 6),
                crate::generated::new_transition(215607600, 5),
                crate::generated::new_transition(230731200, 6),
                crate::generated::new_transition(247057200, 5),
                crate::generated::new_transition(262785600, 6),
                crate::generated::new_transition(278506800, 5),
                crate::generated::new_transition(294235200, 6),
                crate::generated::new_transition(309956400, 5),
                crate::generated::new_transition(325684800, 6),
                crate::generated::new_transition(341406000, 5),
                crate::generated::new_transition(357134400, 6),
                crate::generated::new_transition(372855600, 5),
                crate::generated::new_transition(388584000, 6),
                crate::generated::new_transition(404910000, 5),
                crate::generated::new_transition(420033600, 6),
                crate::generated::new_transition(436359600, 7),
                crate::generated::new_transition(439030800, 9),
                crate::generated::new_transition(452084400, 8),
                crate::generated::new_transition(467805600, 9),
                crate::generated::new_transition(483534000, 8),
                crate::generated::new_transition(499255200, 9),
                crate::generated::new_transition(514983600, 8),
                crate::generated::new_transition(530704800, 9),
                crate::generated::new_transition(544618800, 8),
                crate::generated::new_transition(562154400, 9),
                crate::generated::new_transition(576068400, 8),
                crate::generated::new_transition(594208800, 9),
                crate::generated::new_transition(607518000, 8),
                crate::generated::new_transition(625658400, 9),
                crate::generated::new_transition(638967600, 8),
                crate::generated::new_transition(657108000, 9),
                crate::generated::new_transition(671022000, 8),
                crate::generated::new_transition(688557600, 9),
                crate::generated::new_transition(702471600, 8),
                crate::generated::new_transition(720007200, 9),
                crate::generated::new_transition(733921200, 8),
                crate::generated::new_transition(752061600, 9),
                crate::generated::new_transition(765370800, 8),
                crate::generated::new_transition(783511200, 9),
                crate::generated::new_transition(796820400, 8),
                crate::generated::new_transition(814960800, 9),
                crate::generated::new_transition(828874800, 8),
                crate::generated::new_transition(846410400, 9),
                crate::generated::new_transition(860324400, 8),
                crate::generated::new_transition(877860000, 9),
                crate::generated::new_transition(891774000, 8),
                crate::generated::new_transition(909309600, 9),
                crate::generated::new_transition(923223600, 8),
                crate::generated::new_transition(941364000, 9),
                crate::generated::new_transition(954673200, 8),
                crate::generated::new_transition(972813600, 9),
                crate::generated::new_transition(986122800, 8),
                crate::generated::new_transition(1004263200, 9),
                crate::generated::new_transition(1018177200, 8),
                crate::generated::new_transition(1035712800, 9),
                crate::generated::new_transition(1049626800, 8),
                crate::generated::new_transition(1067162400, 9),
                crate::generated::new_transition(1081076400, 8),
                crate::generated::new_transition(1099216800, 9),
                crate::generated::new_transition(1112526000, 8),
                crate::generated::new_transition(1130666400, 9),
                crate::generated::new_transition(1143975600, 8),
                crate::generated::new_transition(1162116000, 9),
                crate::generated::new_transition(1173610800, 8),
            ],
            &[
                crate::generated::new_local_time_type(50424, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-35976, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-36000, false, Some(b"AST")),
                crate::generated::new_local_time_type(-32400, true, Some(b"AWT")),
                crate::generated::new_local_time_type(-32400, true, Some(b"APT")),
                crate::generated::new_local_time_type(-36000, false, Some(b"AHST")),
                crate::generated::new_local_time_type(-32400, true, Some(b"AHDT")),
                crate::generated::new_local_time_type(-32400, false, Some(b"YST")),
                crate::generated::new_local_time_type(-28800, true, Some(b"AKDT")),
                crate::generated::new_local_time_type(-32400, false, Some(b"AKST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-32400, false, Some(b"AKST")),
                    crate::generated::new_local_time_type(-28800, true, Some(b"AKDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_ANGUILLA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-1825098464, 1)],
            &[
                crate::generated::new_local_time_type(-15136, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_ANTIGUA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1825098768, 1),
                crate::generated::new_transition(-599598000, 2),
            ],
            &[
                crate::generated::new_local_time_type(-14832, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_ARAGUAINA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1767214032, 2),
                crate::generated::new_transition(-1206957600, 1),
                crate::generated::new_transition(-1191362400, 2),
                crate::generated::new_transition(-1175374800, 1),
                crate::generated::new_transition(-1159826400, 2),
                crate::generated::new_transition(-633819600, 1),
                crate::generated::new_transition(-622069200, 2),
                crate::generated::new_transition(-602283600, 1),
                crate::generated::new_transition(-591832800, 2),
                crate::generated::new_transition(-570747600, 1),
                crate::generated::new_transition(-560210400, 2),
                crate::generated::new_transition(-539125200, 1),
                crate::generated::new_transition(-531352800, 2),
                crate::generated::new_transition(-191365200, 1),
                crate::generated::new_transition(-184197600, 2),
                crate::generated::new_transition(-155163600, 1),
                crate::generated::new_transition(-150069600, 2),
                crate::generated::new_transition(-128898000, 1),
                crate::generated::new_transition(-121125600, 2),
                crate::generated::new_transition(-99954000, 1),
                crate::generated::new_transition(-89589600, 2),
                crate::generated::new_transition(-68418000, 1),
                crate::generated::new_transition(-57967200, 2),
                crate::generated::new_transition(499748400, 1),
                crate::generated::new_transition(511236000, 2),
                crate::generated::new_transition(530593200, 1),
                crate::generated::new_transition(540266400, 2),
                crate::generated::new_transition(562129200, 1),
                crate::generated::new_transition(571197600, 2),
                crate::generated::new_transition(592974000, 1),
                crate::generated::new_transition(602042400, 2),
                crate::generated::new_transition(624423600, 1),
                crate::generated::new_transition(634701600, 2),
                crate::generated::new_transition(813726000, 1),
                crate::generated::new_transition(824004000, 2),
                crate::generated::new_transition(844570800, 1),
                crate::generated::new_transition(856058400, 2),
                crate::generated::new_transition(876106800, 1),
                crate::generated::new_transition(888717600, 2),
                crate::generated::new_transition(908074800, 1),
                crate::generated::new_transition(919562400, 2),
                crate::generated::new_transition(938919600, 1),
                crate::generated::new_transition(951616800, 2),
                crate::generated::new_transition(970974000, 1),
                crate::generated::new_transition(982461600, 2),
                crate::generated::new_transition(1003028400, 1),
                crate::generated::new_transition(1013911200, 2),
                crate::generated::new_transition(1036292400, 1),
                crate::generated::new_transition(1045360800, 2),
                crate::generated::new_transition(1350788400, 1),
                crate::generated::new_transition(1361066400, 2),
            ],
            &[
                crate::generated::new_local_time_type(-11568, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            )),
        );

    pub(crate) const AMERICA_ARUBA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1826738376, 1),
            crate::generated::new_transition(-157750200, 2),
        ],
        &[
            crate::generated::new_local_time_type(-16824, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-16200, false, Some(b"-0430")),
            crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
        )),
    );

    pub(crate) const AMERICA_ASUNCION: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524507760, 1),
                crate::generated::new_transition(-1206389360, 2),
                crate::generated::new_transition(86760000, 3),
                crate::generated::new_transition(134017200, 2),
                crate::generated::new_transition(181368000, 4),
                crate::generated::new_transition(194497200, 2),
                crate::generated::new_transition(212990400, 4),
                crate::generated::new_transition(226033200, 2),
                crate::generated::new_transition(244526400, 4),
                crate::generated::new_transition(257569200, 2),
                crate::generated::new_transition(276062400, 4),
                crate::generated::new_transition(291783600, 2),
                crate::generated::new_transition(307598400, 4),
                crate::generated::new_transition(323406000, 2),
                crate::generated::new_transition(339220800, 4),
                crate::generated::new_transition(354942000, 2),
                crate::generated::new_transition(370756800, 4),
                crate::generated::new_transition(386478000, 2),
                crate::generated::new_transition(402292800, 4),
                crate::generated::new_transition(418014000, 2),
                crate::generated::new_transition(433828800, 4),
                crate::generated::new_transition(449636400, 2),
                crate::generated::new_transition(465451200, 4),
                crate::generated::new_transition(481172400, 2),
                crate::generated::new_transition(496987200, 4),
                crate::generated::new_transition(512708400, 2),
                crate::generated::new_transition(528523200, 4),
                crate::generated::new_transition(544244400, 2),
                crate::generated::new_transition(560059200, 4),
                crate::generated::new_transition(575866800, 2),
                crate::generated::new_transition(591681600, 4),
                crate::generated::new_transition(607402800, 2),
                crate::generated::new_transition(625032000, 4),
                crate::generated::new_transition(638938800, 2),
                crate::generated::new_transition(654753600, 4),
                crate::generated::new_transition(670474800, 2),
                crate::generated::new_transition(686721600, 4),
                crate::generated::new_transition(699418800, 2),
                crate::generated::new_transition(718257600, 4),
                crate::generated::new_transition(733546800, 2),
                crate::generated::new_transition(749448000, 4),
                crate::generated::new_transition(762318000, 2),
                crate::generated::new_transition(780984000, 4),
                crate::generated::new_transition(793767600, 2),
                crate::generated::new_transition(812520000, 4),
                crate::generated::new_transition(825649200, 2),
                crate::generated::new_transition(844574400, 4),
                crate::generated::new_transition(856666800, 2),
                crate::generated::new_transition(876024000, 4),
                crate::generated::new_transition(888721200, 2),
                crate::generated::new_transition(907473600, 4),
                crate::generated::new_transition(920775600, 2),
                crate::generated::new_transition(938923200, 4),
                crate::generated::new_transition(952225200, 2),
                crate::generated::new_transition(970372800, 4),
                crate::generated::new_transition(983674800, 2),
                crate::generated::new_transition(1002427200, 4),
                crate::generated::new_transition(1018148400, 2),
                crate::generated::new_transition(1030852800, 4),
                crate::generated::new_transition(1049598000, 2),
                crate::generated::new_transition(1062907200, 4),
                crate::generated::new_transition(1081047600, 2),
                crate::generated::new_transition(1097985600, 4),
                crate::generated::new_transition(1110682800, 2),
                crate::generated::new_transition(1129435200, 4),
                crate::generated::new_transition(1142132400, 2),
                crate::generated::new_transition(1160884800, 4),
                crate::generated::new_transition(1173582000, 2),
                crate::generated::new_transition(1192939200, 4),
                crate::generated::new_transition(1205031600, 2),
                crate::generated::new_transition(1224388800, 4),
                crate::generated::new_transition(1236481200, 2),
                crate::generated::new_transition(1255838400, 4),
                crate::generated::new_transition(1270954800, 2),
                crate::generated::new_transition(1286078400, 4),
                crate::generated::new_transition(1302404400, 2),
                crate::generated::new_transition(1317528000, 4),
                crate::generated::new_transition(1333854000, 2),
                crate::generated::new_transition(1349582400, 4),
            ],
            &[
                crate::generated::new_local_time_type(-13840, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-13840, false, Some(b"AMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
                crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
                    crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 1, 0)),
                    0,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 4, 0)),
                    0,
                ),
            )),
        );

    pub(crate) const AMERICA_ATIKOKAN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2366733212, 2),
                crate::generated::new_transition(-1632067200, 1),
                crate::generated::new_transition(-1615136400, 2),
                crate::generated::new_transition(-923248800, 1),
                crate::generated::new_transition(-880214400, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765392400, 5),
            ],
            &[
                crate::generated::new_local_time_type(-21988, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CWT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CPT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
            )),
        );

    pub(crate) const AMERICA_BAHIA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1767216356, 2),
            crate::generated::new_transition(-1206957600, 1),
            crate::generated::new_transition(-1191362400, 2),
            crate::generated::new_transition(-1175374800, 1),
            crate::generated::new_transition(-1159826400, 2),
            crate::generated::new_transition(-633819600, 1),
            crate::generated::new_transition(-622069200, 2),
            crate::generated::new_transition(-602283600, 1),
            crate::generated::new_transition(-591832800, 2),
            crate::generated::new_transition(-570747600, 1),
            crate::generated::new_transition(-560210400, 2),
            crate::generated::new_transition(-539125200, 1),
            crate::generated::new_transition(-531352800, 2),
            crate::generated::new_transition(-191365200, 1),
            crate::generated::new_transition(-184197600, 2),
            crate::generated::new_transition(-155163600, 1),
            crate::generated::new_transition(-150069600, 2),
            crate::generated::new_transition(-128898000, 1),
            crate::generated::new_transition(-121125600, 2),
            crate::generated::new_transition(-99954000, 1),
            crate::generated::new_transition(-89589600, 2),
            crate::generated::new_transition(-68418000, 1),
            crate::generated::new_transition(-57967200, 2),
            crate::generated::new_transition(499748400, 1),
            crate::generated::new_transition(511236000, 2),
            crate::generated::new_transition(530593200, 1),
            crate::generated::new_transition(540266400, 2),
            crate::generated::new_transition(562129200, 1),
            crate::generated::new_transition(571197600, 2),
            crate::generated::new_transition(592974000, 1),
            crate::generated::new_transition(602042400, 2),
            crate::generated::new_transition(624423600, 1),
            crate::generated::new_transition(634701600, 2),
            crate::generated::new_transition(656478000, 1),
            crate::generated::new_transition(666756000, 2),
            crate::generated::new_transition(687927600, 1),
            crate::generated::new_transition(697600800, 2),
            crate::generated::new_transition(719982000, 1),
            crate::generated::new_transition(728445600, 2),
            crate::generated::new_transition(750826800, 1),
            crate::generated::new_transition(761709600, 2),
            crate::generated::new_transition(782276400, 1),
            crate::generated::new_transition(793159200, 2),
            crate::generated::new_transition(813726000, 1),
            crate::generated::new_transition(824004000, 2),
            crate::generated::new_transition(844570800, 1),
            crate::generated::new_transition(856058400, 2),
            crate::generated::new_transition(876106800, 1),
            crate::generated::new_transition(888717600, 2),
            crate::generated::new_transition(908074800, 1),
            crate::generated::new_transition(919562400, 2),
            crate::generated::new_transition(938919600, 1),
            crate::generated::new_transition(951616800, 2),
            crate::generated::new_transition(970974000, 1),
            crate::generated::new_transition(982461600, 2),
            crate::generated::new_transition(1003028400, 1),
            crate::generated::new_transition(1013911200, 2),
            crate::generated::new_transition(1036292400, 1),
            crate::generated::new_transition(1045360800, 2),
            crate::generated::new_transition(1318734000, 1),
            crate::generated::new_transition(1330221600, 2),
        ],
        &[
            crate::generated::new_local_time_type(-9244, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
            crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
        )),
    );

    pub(crate) const AMERICA_BAHIA_BANDERAS: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1514739600, 1),
                crate::generated::new_transition(-1343066400, 2),
                crate::generated::new_transition(-1234807200, 1),
                crate::generated::new_transition(-1220292000, 3),
                crate::generated::new_transition(-1207159200, 1),
                crate::generated::new_transition(-1191344400, 2),
                crate::generated::new_transition(-873828000, 1),
                crate::generated::new_transition(-661539600, 4),
                crate::generated::new_transition(28800, 1),
                crate::generated::new_transition(828867600, 3),
                crate::generated::new_transition(846403200, 1),
                crate::generated::new_transition(860317200, 3),
                crate::generated::new_transition(877852800, 1),
                crate::generated::new_transition(891766800, 3),
                crate::generated::new_transition(909302400, 1),
                crate::generated::new_transition(923216400, 3),
                crate::generated::new_transition(941356800, 1),
                crate::generated::new_transition(954666000, 3),
                crate::generated::new_transition(972806400, 1),
                crate::generated::new_transition(989139600, 3),
                crate::generated::new_transition(1001836800, 1),
                crate::generated::new_transition(1018170000, 3),
                crate::generated::new_transition(1035705600, 1),
                crate::generated::new_transition(1049619600, 3),
                crate::generated::new_transition(1067155200, 1),
                crate::generated::new_transition(1081069200, 3),
                crate::generated::new_transition(1099209600, 1),
                crate::generated::new_transition(1112518800, 3),
                crate::generated::new_transition(1130659200, 1),
                crate::generated::new_transition(1143968400, 3),
                crate::generated::new_transition(1162108800, 1),
                crate::generated::new_transition(1175418000, 3),
                crate::generated::new_transition(1193558400, 1),
                crate::generated::new_transition(1207472400, 3),
                crate::generated::new_transition(1225008000, 1),
                crate::generated::new_transition(1238922000, 3),
                crate::generated::new_transition(1256457600, 1),
                crate::generated::new_transition(1270371600, 5),
                crate::generated::new_transition(1288508400, 2),
                crate::generated::new_transition(1301817600, 5),
                crate::generated::new_transition(1319958000, 2),
                crate::generated::new_transition(1333267200, 5),
                crate::generated::new_transition(1351407600, 2),
                crate::generated::new_transition(1365321600, 5),
                crate::generated::new_transition(1382857200, 2),
                crate::generated::new_transition(1396771200, 5),
                crate::generated::new_transition(1414306800, 2),
                crate::generated::new_transition(1428220800, 5),
                crate::generated::new_transition(1445756400, 2),
                crate::generated::new_transition(1459670400, 5),
                crate::generated::new_transition(1477810800, 2),
                crate::generated::new_transition(1491120000, 5),
                crate::generated::new_transition(1509260400, 2),
                crate::generated::new_transition(1522569600, 5),
                crate::generated::new_transition(1540710000, 2),
                crate::generated::new_transition(1554624000, 5),
                crate::generated::new_transition(1572159600, 2),
                crate::generated::new_transition(1586073600, 5),
                crate::generated::new_transition(1603609200, 2),
                crate::generated::new_transition(1617523200, 5),
                crate::generated::new_transition(1635663600, 2),
                crate::generated::new_transition(1648972800, 5),
                crate::generated::new_transition(1667113200, 2),
            ],
            &[
                crate::generated::new_local_time_type(-25260, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            )),
        );

    pub(crate) const AMERICA_BARBADOS: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1841256091, 2),
                crate::generated::new_transition(-874263600, 1),
                crate::generated::new_transition(-862682400, 2),
                crate::generated::new_transition(-841604400, 1),
                crate::generated::new_transition(-830714400, 2),
                crate::generated::new_transition(-811882800, 3),
                crate::generated::new_transition(-798660000, 2),
                crate::generated::new_transition(234943200, 1),
                crate::generated::new_transition(244616400, 2),
                crate::generated::new_transition(261554400, 1),
                crate::generated::new_transition(276066000, 2),
                crate::generated::new_transition(293004000, 1),
                crate::generated::new_transition(307515600, 2),
                crate::generated::new_transition(325058400, 1),
                crate::generated::new_transition(338706000, 2),
            ],
            &[
                crate::generated::new_local_time_type(-14309, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-10800, true, Some(b"ADT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
                crate::generated::new_local_time_type(-12600, true, Some(b"-0330")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_BELEM: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1767213964, 2),
            crate::generated::new_transition(-1206957600, 1),
            crate::generated::new_transition(-1191362400, 2),
            crate::generated::new_transition(-1175374800, 1),
            crate::generated::new_transition(-1159826400, 2),
            crate::generated::new_transition(-633819600, 1),
            crate::generated::new_transition(-622069200, 2),
            crate::generated::new_transition(-602283600, 1),
            crate::generated::new_transition(-591832800, 2),
            crate::generated::new_transition(-570747600, 1),
            crate::generated::new_transition(-560210400, 2),
            crate::generated::new_transition(-539125200, 1),
            crate::generated::new_transition(-531352800, 2),
            crate::generated::new_transition(-191365200, 1),
            crate::generated::new_transition(-184197600, 2),
            crate::generated::new_transition(-155163600, 1),
            crate::generated::new_transition(-150069600, 2),
            crate::generated::new_transition(-128898000, 1),
            crate::generated::new_transition(-121125600, 2),
            crate::generated::new_transition(-99954000, 1),
            crate::generated::new_transition(-89589600, 2),
            crate::generated::new_transition(-68418000, 1),
            crate::generated::new_transition(-57967200, 2),
            crate::generated::new_transition(499748400, 1),
            crate::generated::new_transition(511236000, 2),
            crate::generated::new_transition(530593200, 1),
            crate::generated::new_transition(540266400, 2),
            crate::generated::new_transition(562129200, 1),
            crate::generated::new_transition(571197600, 2),
        ],
        &[
            crate::generated::new_local_time_type(-11636, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
            crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
        )),
    );

    pub(crate) const AMERICA_BELIZE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1822500432, 2),
            crate::generated::new_transition(-1616954400, 1),
            crate::generated::new_transition(-1606069800, 2),
            crate::generated::new_transition(-1585504800, 1),
            crate::generated::new_transition(-1574015400, 2),
            crate::generated::new_transition(-1554055200, 1),
            crate::generated::new_transition(-1542565800, 2),
            crate::generated::new_transition(-1522605600, 1),
            crate::generated::new_transition(-1511116200, 2),
            crate::generated::new_transition(-1490551200, 1),
            crate::generated::new_transition(-1479666600, 2),
            crate::generated::new_transition(-1459101600, 1),
            crate::generated::new_transition(-1448217000, 2),
            crate::generated::new_transition(-1427652000, 1),
            crate::generated::new_transition(-1416162600, 2),
            crate::generated::new_transition(-1396202400, 1),
            crate::generated::new_transition(-1384713000, 2),
            crate::generated::new_transition(-1364752800, 1),
            crate::generated::new_transition(-1353263400, 2),
            crate::generated::new_transition(-1333303200, 1),
            crate::generated::new_transition(-1321813800, 2),
            crate::generated::new_transition(-1301248800, 1),
            crate::generated::new_transition(-1290364200, 2),
            crate::generated::new_transition(-1269799200, 1),
            crate::generated::new_transition(-1258914600, 2),
            crate::generated::new_transition(-1238349600, 1),
            crate::generated::new_transition(-1226860200, 2),
            crate::generated::new_transition(-1206900000, 1),
            crate::generated::new_transition(-1195410600, 2),
            crate::generated::new_transition(-1175450400, 1),
            crate::generated::new_transition(-1163961000, 2),
            crate::generated::new_transition(-1143396000, 1),
            crate::generated::new_transition(-1132511400, 2),
            crate::generated::new_transition(-1111946400, 1),
            crate::generated::new_transition(-1101061800, 2),
            crate::generated::new_transition(-1080496800, 1),
            crate::generated::new_transition(-1069612200, 2),
            crate::generated::new_transition(-1049047200, 1),
            crate::generated::new_transition(-1037557800, 2),
            crate::generated::new_transition(-1017597600, 1),
            crate::generated::new_transition(-1006108200, 2),
            crate::generated::new_transition(-986148000, 1),
            crate::generated::new_transition(-974658600, 2),
            crate::generated::new_transition(-954093600, 1),
            crate::generated::new_transition(-943209000, 2),
            crate::generated::new_transition(-922644000, 1),
            crate::generated::new_transition(-911759400, 2),
            crate::generated::new_transition(-891194400, 1),
            crate::generated::new_transition(-879705000, 2),
            crate::generated::new_transition(-868212000, 3),
            crate::generated::new_transition(-769395600, 4),
            crate::generated::new_transition(-758746800, 2),
            crate::generated::new_transition(-701892000, 1),
            crate::generated::new_transition(-690402600, 2),
            crate::generated::new_transition(-670442400, 1),
            crate::generated::new_transition(-658953000, 2),
            crate::generated::new_transition(-638992800, 1),
            crate::generated::new_transition(-627503400, 2),
            crate::generated::new_transition(-606938400, 1),
            crate::generated::new_transition(-596053800, 2),
            crate::generated::new_transition(-575488800, 1),
            crate::generated::new_transition(-564604200, 2),
            crate::generated::new_transition(-544039200, 1),
            crate::generated::new_transition(-532549800, 2),
            crate::generated::new_transition(-512589600, 1),
            crate::generated::new_transition(-501100200, 2),
            crate::generated::new_transition(-481140000, 1),
            crate::generated::new_transition(-469650600, 2),
            crate::generated::new_transition(-449690400, 1),
            crate::generated::new_transition(-438201000, 2),
            crate::generated::new_transition(-417636000, 1),
            crate::generated::new_transition(-406751400, 2),
            crate::generated::new_transition(-386186400, 1),
            crate::generated::new_transition(-375301800, 2),
            crate::generated::new_transition(-354736800, 1),
            crate::generated::new_transition(-343247400, 2),
            crate::generated::new_transition(-323287200, 1),
            crate::generated::new_transition(-311797800, 2),
            crate::generated::new_transition(-291837600, 1),
            crate::generated::new_transition(-280348200, 2),
            crate::generated::new_transition(-259783200, 1),
            crate::generated::new_transition(-248898600, 2),
            crate::generated::new_transition(-228333600, 1),
            crate::generated::new_transition(-217449000, 2),
            crate::generated::new_transition(-196884000, 1),
            crate::generated::new_transition(-185999400, 2),
            crate::generated::new_transition(-165434400, 1),
            crate::generated::new_transition(-153945000, 2),
            crate::generated::new_transition(-133984800, 1),
            crate::generated::new_transition(-122495400, 2),
            crate::generated::new_transition(-102535200, 1),
            crate::generated::new_transition(-91045800, 2),
            crate::generated::new_transition(-70480800, 1),
            crate::generated::new_transition(-59596200, 2),
            crate::generated::new_transition(123919200, 5),
            crate::generated::new_transition(129618000, 2),
            crate::generated::new_transition(409039200, 5),
            crate::generated::new_transition(413874000, 2),
        ],
        &[
            crate::generated::new_local_time_type(-21168, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-19800, true, Some(b"-0530")),
            crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            crate::generated::new_local_time_type(-18000, true, Some(b"CWT")),
            crate::generated::new_local_time_type(-18000, true, Some(b"CPT")),
            crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
        )),
    );

    pub(crate) const AMERICA_BLANC_SABLON: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2713896692, 2),
                crate::generated::new_transition(-1632074400, 1),
                crate::generated::new_transition(-1615143600, 2),
                crate::generated::new_transition(-880221600, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765399600, 2),
            ],
            &[
                crate::generated::new_local_time_type(-13708, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-10800, true, Some(b"ADT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
                crate::generated::new_local_time_type(-10800, true, Some(b"AWT")),
                crate::generated::new_local_time_type(-10800, true, Some(b"APT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_BOA_VISTA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1767211040, 2),
                crate::generated::new_transition(-1206954000, 1),
                crate::generated::new_transition(-1191358800, 2),
                crate::generated::new_transition(-1175371200, 1),
                crate::generated::new_transition(-1159822800, 2),
                crate::generated::new_transition(-633816000, 1),
                crate::generated::new_transition(-622065600, 2),
                crate::generated::new_transition(-602280000, 1),
                crate::generated::new_transition(-591829200, 2),
                crate::generated::new_transition(-570744000, 1),
                crate::generated::new_transition(-560206800, 2),
                crate::generated::new_transition(-539121600, 1),
                crate::generated::new_transition(-531349200, 2),
                crate::generated::new_transition(-191361600, 1),
                crate::generated::new_transition(-184194000, 2),
                crate::generated::new_transition(-155160000, 1),
                crate::generated::new_transition(-150066000, 2),
                crate::generated::new_transition(-128894400, 1),
                crate::generated::new_transition(-121122000, 2),
                crate::generated::new_transition(-99950400, 1),
                crate::generated::new_transition(-89586000, 2),
                crate::generated::new_transition(-68414400, 1),
                crate::generated::new_transition(-57963600, 2),
                crate::generated::new_transition(499752000, 1),
                crate::generated::new_transition(511239600, 2),
                crate::generated::new_transition(530596800, 1),
                crate::generated::new_transition(540270000, 2),
                crate::generated::new_transition(562132800, 1),
                crate::generated::new_transition(571201200, 2),
                crate::generated::new_transition(938923200, 1),
                crate::generated::new_transition(951620400, 2),
                crate::generated::new_transition(970977600, 1),
                crate::generated::new_transition(971578800, 2),
            ],
            &[
                crate::generated::new_local_time_type(-14560, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
            )),
        );

    pub(crate) const AMERICA_BOGOTA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2707671824, 1),
            crate::generated::new_transition(-1739041424, 3),
            crate::generated::new_transition(704869200, 2),
            crate::generated::new_transition(729057600, 3),
        ],
        &[
            crate::generated::new_local_time_type(-17776, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-17776, false, Some(b"BMT")),
            crate::generated::new_local_time_type(-14400, true, Some(b"-04")),
            crate::generated::new_local_time_type(-18000, false, Some(b"-05")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-18000, false, Some(b"-05")),
        )),
    );

    pub(crate) const AMERICA_BOISE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2717640000, 2),
            crate::generated::new_transition(-1633269600, 1),
            crate::generated::new_transition(-1615129200, 2),
            crate::generated::new_transition(-1601820000, 1),
            crate::generated::new_transition(-1583679600, 2),
            crate::generated::new_transition(-1471788000, 5),
            crate::generated::new_transition(-880210800, 3),
            crate::generated::new_transition(-769395600, 4),
            crate::generated::new_transition(-765388800, 5),
            crate::generated::new_transition(-84380400, 6),
            crate::generated::new_transition(-68659200, 5),
            crate::generated::new_transition(-52930800, 6),
            crate::generated::new_transition(-37209600, 5),
            crate::generated::new_transition(-21481200, 6),
            crate::generated::new_transition(-5760000, 5),
            crate::generated::new_transition(9968400, 6),
            crate::generated::new_transition(25689600, 5),
            crate::generated::new_transition(41418000, 6),
            crate::generated::new_transition(57744000, 5),
            crate::generated::new_transition(73472400, 6),
            crate::generated::new_transition(89193600, 5),
            crate::generated::new_transition(104922000, 6),
            crate::generated::new_transition(120643200, 5),
            crate::generated::new_transition(129114000, 6),
            crate::generated::new_transition(152092800, 5),
            crate::generated::new_transition(162378000, 6),
            crate::generated::new_transition(183542400, 5),
            crate::generated::new_transition(199270800, 6),
            crate::generated::new_transition(215596800, 5),
            crate::generated::new_transition(230720400, 6),
            crate::generated::new_transition(247046400, 5),
            crate::generated::new_transition(262774800, 6),
            crate::generated::new_transition(278496000, 5),
            crate::generated::new_transition(294224400, 6),
            crate::generated::new_transition(309945600, 5),
            crate::generated::new_transition(325674000, 6),
            crate::generated::new_transition(341395200, 5),
            crate::generated::new_transition(357123600, 6),
            crate::generated::new_transition(372844800, 5),
            crate::generated::new_transition(388573200, 6),
            crate::generated::new_transition(404899200, 5),
            crate::generated::new_transition(420022800, 6),
            crate::generated::new_transition(436348800, 5),
            crate::generated::new_transition(452077200, 6),
            crate::generated::new_transition(467798400, 5),
            crate::generated::new_transition(483526800, 6),
            crate::generated::new_transition(499248000, 5),
            crate::generated::new_transition(514976400, 6),
            crate::generated::new_transition(530697600, 5),
            crate::generated::new_transition(544611600, 6),
            crate::generated::new_transition(562147200, 5),
            crate::generated::new_transition(576061200, 6),
            crate::generated::new_transition(594201600, 5),
            crate::generated::new_transition(607510800, 6),
            crate::generated::new_transition(625651200, 5),
            crate::generated::new_transition(638960400, 6),
            crate::generated::new_transition(657100800, 5),
            crate::generated::new_transition(671014800, 6),
            crate::generated::new_transition(688550400, 5),
            crate::generated::new_transition(702464400, 6),
            crate::generated::new_transition(720000000, 5),
            crate::generated::new_transition(733914000, 6),
            crate::generated::new_transition(752054400, 5),
            crate::generated::new_transition(765363600, 6),
            crate::generated::new_transition(783504000, 5),
            crate::generated::new_transition(796813200, 6),
            crate::generated::new_transition(814953600, 5),
            crate::generated::new_transition(828867600, 6),
            crate::generated::new_transition(846403200, 5),
            crate::generated::new_transition(860317200, 6),
            crate::generated::new_transition(877852800, 5),
            crate::generated::new_transition(891766800, 6),
            crate::generated::new_transition(909302400, 5),
            crate::generated::new_transition(923216400, 6),
            crate::generated::new_transition(941356800, 5),
            crate::generated::new_transition(954666000, 6),
            crate::generated::new_transition(972806400, 5),
            crate::generated::new_transition(986115600, 6),
            crate::generated::new_transition(1004256000, 5),
            crate::generated::new_transition(1018170000, 6),
            crate::generated::new_transition(1035705600, 5),
            crate::generated::new_transition(1049619600, 6),
            crate::generated::new_transition(1067155200, 5),
            crate::generated::new_transition(1081069200, 6),
            crate::generated::new_transition(1099209600, 5),
            crate::generated::new_transition(1112518800, 6),
            crate::generated::new_transition(1130659200, 5),
            crate::generated::new_transition(1143968400, 6),
            crate::generated::new_transition(1162108800, 5),
            crate::generated::new_transition(1173603600, 6),
        ],
        &[
            crate::generated::new_local_time_type(-27889, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
            crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
            crate::generated::new_local_time_type(-21600, true, Some(b"MWT")),
            crate::generated::new_local_time_type(-21600, true, Some(b"MPT")),
            crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
            crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const AMERICA_BUENOS_AIRES: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2372097972, 1),
                crate::generated::new_transition(-1567453392, 2),
                crate::generated::new_transition(-1233432000, 3),
                crate::generated::new_transition(-1222981200, 2),
                crate::generated::new_transition(-1205956800, 3),
                crate::generated::new_transition(-1194037200, 2),
                crate::generated::new_transition(-1172865600, 3),
                crate::generated::new_transition(-1162501200, 2),
                crate::generated::new_transition(-1141329600, 3),
                crate::generated::new_transition(-1130965200, 2),
                crate::generated::new_transition(-1109793600, 3),
                crate::generated::new_transition(-1099429200, 2),
                crate::generated::new_transition(-1078257600, 3),
                crate::generated::new_transition(-1067806800, 2),
                crate::generated::new_transition(-1046635200, 3),
                crate::generated::new_transition(-1036270800, 2),
                crate::generated::new_transition(-1015099200, 3),
                crate::generated::new_transition(-1004734800, 2),
                crate::generated::new_transition(-983563200, 3),
                crate::generated::new_transition(-973198800, 2),
                crate::generated::new_transition(-952027200, 3),
                crate::generated::new_transition(-941576400, 2),
                crate::generated::new_transition(-931032000, 3),
                crate::generated::new_transition(-900882000, 2),
                crate::generated::new_transition(-890337600, 3),
                crate::generated::new_transition(-833749200, 2),
                crate::generated::new_transition(-827265600, 3),
                crate::generated::new_transition(-752274000, 2),
                crate::generated::new_transition(-733780800, 3),
                crate::generated::new_transition(-197326800, 2),
                crate::generated::new_transition(-190843200, 3),
                crate::generated::new_transition(-184194000, 2),
                crate::generated::new_transition(-164491200, 3),
                crate::generated::new_transition(-152658000, 2),
                crate::generated::new_transition(-132955200, 3),
                crate::generated::new_transition(-121122000, 2),
                crate::generated::new_transition(-101419200, 3),
                crate::generated::new_transition(-86821200, 2),
                crate::generated::new_transition(-71092800, 3),
                crate::generated::new_transition(-54766800, 2),
                crate::generated::new_transition(-39038400, 3),
                crate::generated::new_transition(-23317200, 2),
                crate::generated::new_transition(-7588800, 5),
                crate::generated::new_transition(128142000, 4),
                crate::generated::new_transition(136605600, 5),
                crate::generated::new_transition(596948400, 4),
                crate::generated::new_transition(605066400, 5),
                crate::generated::new_transition(624423600, 4),
                crate::generated::new_transition(636516000, 5),
                crate::generated::new_transition(656478000, 4),
                crate::generated::new_transition(667965600, 5),
                crate::generated::new_transition(687927600, 4),
                crate::generated::new_transition(699415200, 5),
                crate::generated::new_transition(719377200, 4),
                crate::generated::new_transition(731469600, 5),
                crate::generated::new_transition(938919600, 3),
                crate::generated::new_transition(952052400, 5),
                crate::generated::new_transition(1198983600, 4),
                crate::generated::new_transition(1205632800, 5),
                crate::generated::new_transition(1224385200, 4),
                crate::generated::new_transition(1237082400, 5),
            ],
            &[
                crate::generated::new_local_time_type(-14028, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-15408, false, Some(b"CMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
                crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
                crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            )),
        );

    pub(crate) const AMERICA_CAMBRIDGE_BAY: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1577923200, 3),
                crate::generated::new_transition(-880210800, 1),
                crate::generated::new_transition(-769395600, 2),
                crate::generated::new_transition(-765388800, 3),
                crate::generated::new_transition(73472400, 4),
                crate::generated::new_transition(89193600, 3),
                crate::generated::new_transition(104922000, 4),
                crate::generated::new_transition(120643200, 3),
                crate::generated::new_transition(136371600, 4),
                crate::generated::new_transition(152092800, 3),
                crate::generated::new_transition(167821200, 4),
                crate::generated::new_transition(183542400, 3),
                crate::generated::new_transition(199270800, 4),
                crate::generated::new_transition(215596800, 3),
                crate::generated::new_transition(230720400, 4),
                crate::generated::new_transition(247046400, 3),
                crate::generated::new_transition(262774800, 4),
                crate::generated::new_transition(278496000, 3),
                crate::generated::new_transition(294224400, 4),
                crate::generated::new_transition(309945600, 3),
                crate::generated::new_transition(325674000, 4),
                crate::generated::new_transition(341395200, 3),
                crate::generated::new_transition(357123600, 4),
                crate::generated::new_transition(372844800, 3),
                crate::generated::new_transition(388573200, 4),
                crate::generated::new_transition(404899200, 3),
                crate::generated::new_transition(420022800, 4),
                crate::generated::new_transition(436348800, 3),
                crate::generated::new_transition(452077200, 4),
                crate::generated::new_transition(467798400, 3),
                crate::generated::new_transition(483526800, 4),
                crate::generated::new_transition(499248000, 3),
                crate::generated::new_transition(514976400, 4),
                crate::generated::new_transition(530697600, 3),
                crate::generated::new_transition(544611600, 4),
                crate::generated::new_transition(562147200, 3),
                crate::generated::new_transition(576061200, 4),
                crate::generated::new_transition(594201600, 3),
                crate::generated::new_transition(607510800, 4),
                crate::generated::new_transition(625651200, 3),
                crate::generated::new_transition(638960400, 4),
                crate::generated::new_transition(657100800, 3),
                crate::generated::new_transition(671014800, 4),
                crate::generated::new_transition(688550400, 3),
                crate::generated::new_transition(702464400, 4),
                crate::generated::new_transition(720000000, 3),
                crate::generated::new_transition(733914000, 4),
                crate::generated::new_transition(752054400, 3),
                crate::generated::new_transition(765363600, 4),
                crate::generated::new_transition(783504000, 3),
                crate::generated::new_transition(796813200, 4),
                crate::generated::new_transition(814953600, 3),
                crate::generated::new_transition(828867600, 4),
                crate::generated::new_transition(846403200, 3),
                crate::generated::new_transition(860317200, 4),
                crate::generated::new_transition(877852800, 3),
                crate::generated::new_transition(891766800, 4),
                crate::generated::new_transition(909302400, 3),
                crate::generated::new_transition(923216400, 4),
                crate::generated::new_transition(941356800, 6),
                crate::generated::new_transition(954662400, 5),
                crate::generated::new_transition(972802800, 7),
                crate::generated::new_transition(973400400, 6),
                crate::generated::new_transition(986115600, 4),
                crate::generated::new_transition(1004256000, 3),
                crate::generated::new_transition(1018170000, 4),
                crate::generated::new_transition(1035705600, 3),
                crate::generated::new_transition(1049619600, 4),
                crate::generated::new_transition(1067155200, 3),
                crate::generated::new_transition(1081069200, 4),
                crate::generated::new_transition(1099209600, 3),
                crate::generated::new_transition(1112518800, 4),
                crate::generated::new_transition(1130659200, 3),
                crate::generated::new_transition(1143968400, 4),
                crate::generated::new_transition(1162108800, 3),
                crate::generated::new_transition(1173603600, 4),
            ],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MWT")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MPT")),
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                    crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_CAMPO_GRANDE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1767212492, 2),
                crate::generated::new_transition(-1206954000, 1),
                crate::generated::new_transition(-1191358800, 2),
                crate::generated::new_transition(-1175371200, 1),
                crate::generated::new_transition(-1159822800, 2),
                crate::generated::new_transition(-633816000, 1),
                crate::generated::new_transition(-622065600, 2),
                crate::generated::new_transition(-602280000, 1),
                crate::generated::new_transition(-591829200, 2),
                crate::generated::new_transition(-570744000, 1),
                crate::generated::new_transition(-560206800, 2),
                crate::generated::new_transition(-539121600, 1),
                crate::generated::new_transition(-531349200, 2),
                crate::generated::new_transition(-191361600, 1),
                crate::generated::new_transition(-184194000, 2),
                crate::generated::new_transition(-155160000, 1),
                crate::generated::new_transition(-150066000, 2),
                crate::generated::new_transition(-128894400, 1),
                crate::generated::new_transition(-121122000, 2),
                crate::generated::new_transition(-99950400, 1),
                crate::generated::new_transition(-89586000, 2),
                crate::generated::new_transition(-68414400, 1),
                crate::generated::new_transition(-57963600, 2),
                crate::generated::new_transition(499752000, 1),
                crate::generated::new_transition(511239600, 2),
                crate::generated::new_transition(530596800, 1),
                crate::generated::new_transition(540270000, 2),
                crate::generated::new_transition(562132800, 1),
                crate::generated::new_transition(571201200, 2),
                crate::generated::new_transition(592977600, 1),
                crate::generated::new_transition(602046000, 2),
                crate::generated::new_transition(624427200, 1),
                crate::generated::new_transition(634705200, 2),
                crate::generated::new_transition(656481600, 1),
                crate::generated::new_transition(666759600, 2),
                crate::generated::new_transition(687931200, 1),
                crate::generated::new_transition(697604400, 2),
                crate::generated::new_transition(719985600, 1),
                crate::generated::new_transition(728449200, 2),
                crate::generated::new_transition(750830400, 1),
                crate::generated::new_transition(761713200, 2),
                crate::generated::new_transition(782280000, 1),
                crate::generated::new_transition(793162800, 2),
                crate::generated::new_transition(813729600, 1),
                crate::generated::new_transition(824007600, 2),
                crate::generated::new_transition(844574400, 1),
                crate::generated::new_transition(856062000, 2),
                crate::generated::new_transition(876110400, 1),
                crate::generated::new_transition(888721200, 2),
                crate::generated::new_transition(908078400, 1),
                crate::generated::new_transition(919566000, 2),
                crate::generated::new_transition(938923200, 1),
                crate::generated::new_transition(951620400, 2),
                crate::generated::new_transition(970977600, 1),
                crate::generated::new_transition(982465200, 2),
                crate::generated::new_transition(1003032000, 1),
                crate::generated::new_transition(1013914800, 2),
                crate::generated::new_transition(1036296000, 1),
                crate::generated::new_transition(1045364400, 2),
                crate::generated::new_transition(1066536000, 1),
                crate::generated::new_transition(1076814000, 2),
                crate::generated::new_transition(1099368000, 1),
                crate::generated::new_transition(1108868400, 2),
                crate::generated::new_transition(1129435200, 1),
                crate::generated::new_transition(1140318000, 2),
                crate::generated::new_transition(1162699200, 1),
                crate::generated::new_transition(1172372400, 2),
                crate::generated::new_transition(1192334400, 1),
                crate::generated::new_transition(1203217200, 2),
                crate::generated::new_transition(1224388800, 1),
                crate::generated::new_transition(1234666800, 2),
                crate::generated::new_transition(1255838400, 1),
                crate::generated::new_transition(1266721200, 2),
                crate::generated::new_transition(1287288000, 1),
                crate::generated::new_transition(1298170800, 2),
                crate::generated::new_transition(1318737600, 1),
                crate::generated::new_transition(1330225200, 2),
                crate::generated::new_transition(1350792000, 1),
                crate::generated::new_transition(1361070000, 2),
                crate::generated::new_transition(1382241600, 1),
                crate::generated::new_transition(1392519600, 2),
                crate::generated::new_transition(1413691200, 1),
                crate::generated::new_transition(1424574000, 2),
                crate::generated::new_transition(1445140800, 1),
                crate::generated::new_transition(1456023600, 2),
                crate::generated::new_transition(1476590400, 1),
                crate::generated::new_transition(1487473200, 2),
                crate::generated::new_transition(1508040000, 1),
                crate::generated::new_transition(1518922800, 2),
                crate::generated::new_transition(1541304000, 1),
                crate::generated::new_transition(1550372400, 2),
            ],
            &[
                crate::generated::new_local_time_type(-13108, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
            )),
        );

    pub(crate) const AMERICA_CANCUN: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1514743200, 1),
            crate::generated::new_transition(377935200, 3),
            crate::generated::new_transition(828860400, 2),
            crate::generated::new_transition(846396000, 3),
            crate::generated::new_transition(860310000, 2),
            crate::generated::new_transition(877845600, 3),
            crate::generated::new_transition(891759600, 2),
            crate::generated::new_transition(902037600, 4),
            crate::generated::new_transition(909298800, 1),
            crate::generated::new_transition(923212800, 4),
            crate::generated::new_transition(941353200, 1),
            crate::generated::new_transition(954662400, 4),
            crate::generated::new_transition(972802800, 1),
            crate::generated::new_transition(989136000, 4),
            crate::generated::new_transition(1001833200, 1),
            crate::generated::new_transition(1018166400, 4),
            crate::generated::new_transition(1035702000, 1),
            crate::generated::new_transition(1049616000, 4),
            crate::generated::new_transition(1067151600, 1),
            crate::generated::new_transition(1081065600, 4),
            crate::generated::new_transition(1099206000, 1),
            crate::generated::new_transition(1112515200, 4),
            crate::generated::new_transition(1130655600, 1),
            crate::generated::new_transition(1143964800, 4),
            crate::generated::new_transition(1162105200, 1),
            crate::generated::new_transition(1175414400, 4),
            crate::generated::new_transition(1193554800, 1),
            crate::generated::new_transition(1207468800, 4),
            crate::generated::new_transition(1225004400, 1),
            crate::generated::new_transition(1238918400, 4),
            crate::generated::new_transition(1256454000, 1),
            crate::generated::new_transition(1270368000, 4),
            crate::generated::new_transition(1288508400, 1),
            crate::generated::new_transition(1301817600, 4),
            crate::generated::new_transition(1319958000, 1),
            crate::generated::new_transition(1333267200, 4),
            crate::generated::new_transition(1351407600, 1),
            crate::generated::new_transition(1365321600, 4),
            crate::generated::new_transition(1382857200, 1),
            crate::generated::new_transition(1396771200, 4),
            crate::generated::new_transition(1414306800, 1),
            crate::generated::new_transition(1422777600, 3),
        ],
        &[
            crate::generated::new_local_time_type(-20824, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
            crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
            crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
        )),
    );

    pub(crate) const AMERICA_CARACAS: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524505536, 1),
                crate::generated::new_transition(-1826739140, 2),
                crate::generated::new_transition(-157750200, 3),
                crate::generated::new_transition(1197183600, 2),
                crate::generated::new_transition(1462086000, 3),
            ],
            &[
                crate::generated::new_local_time_type(-16064, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-16060, false, Some(b"CMT")),
                crate::generated::new_local_time_type(-16200, false, Some(b"-0430")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
            )),
        );

    pub(crate) const AMERICA_CATAMARCA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2372096212, 1),
                crate::generated::new_transition(-1567453392, 2),
                crate::generated::new_transition(-1233432000, 3),
                crate::generated::new_transition(-1222981200, 2),
                crate::generated::new_transition(-1205956800, 3),
                crate::generated::new_transition(-1194037200, 2),
                crate::generated::new_transition(-1172865600, 3),
                crate::generated::new_transition(-1162501200, 2),
                crate::generated::new_transition(-1141329600, 3),
                crate::generated::new_transition(-1130965200, 2),
                crate::generated::new_transition(-1109793600, 3),
                crate::generated::new_transition(-1099429200, 2),
                crate::generated::new_transition(-1078257600, 3),
                crate::generated::new_transition(-1067806800, 2),
                crate::generated::new_transition(-1046635200, 3),
                crate::generated::new_transition(-1036270800, 2),
                crate::generated::new_transition(-1015099200, 3),
                crate::generated::new_transition(-1004734800, 2),
                crate::generated::new_transition(-983563200, 3),
                crate::generated::new_transition(-973198800, 2),
                crate::generated::new_transition(-952027200, 3),
                crate::generated::new_transition(-941576400, 2),
                crate::generated::new_transition(-931032000, 3),
                crate::generated::new_transition(-900882000, 2),
                crate::generated::new_transition(-890337600, 3),
                crate::generated::new_transition(-833749200, 2),
                crate::generated::new_transition(-827265600, 3),
                crate::generated::new_transition(-752274000, 2),
                crate::generated::new_transition(-733780800, 3),
                crate::generated::new_transition(-197326800, 2),
                crate::generated::new_transition(-190843200, 3),
                crate::generated::new_transition(-184194000, 2),
                crate::generated::new_transition(-164491200, 3),
                crate::generated::new_transition(-152658000, 2),
                crate::generated::new_transition(-132955200, 3),
                crate::generated::new_transition(-121122000, 2),
                crate::generated::new_transition(-101419200, 3),
                crate::generated::new_transition(-86821200, 2),
                crate::generated::new_transition(-71092800, 3),
                crate::generated::new_transition(-54766800, 2),
                crate::generated::new_transition(-39038400, 3),
                crate::generated::new_transition(-23317200, 2),
                crate::generated::new_transition(-7588800, 5),
                crate::generated::new_transition(128142000, 4),
                crate::generated::new_transition(136605600, 5),
                crate::generated::new_transition(596948400, 4),
                crate::generated::new_transition(605066400, 5),
                crate::generated::new_transition(624423600, 4),
                crate::generated::new_transition(636516000, 5),
                crate::generated::new_transition(656478000, 4),
                crate::generated::new_transition(667965600, 2),
                crate::generated::new_transition(687931200, 4),
                crate::generated::new_transition(699415200, 5),
                crate::generated::new_transition(719377200, 4),
                crate::generated::new_transition(731469600, 5),
                crate::generated::new_transition(938919600, 3),
                crate::generated::new_transition(952052400, 5),
                crate::generated::new_transition(1086058800, 2),
                crate::generated::new_transition(1087704000, 5),
                crate::generated::new_transition(1198983600, 4),
                crate::generated::new_transition(1205632800, 5),
            ],
            &[
                crate::generated::new_local_time_type(-15788, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-15408, false, Some(b"CMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
                crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
                crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            )),
        );

    pub(crate) const AMERICA_CAYENNE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1846269040, 1),
                crate::generated::new_transition(-71092800, 2),
            ],
            &[
                crate::generated::new_local_time_type(-12560, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            )),
        );

    pub(crate) const AMERICA_CAYMAN: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2524502068, 1),
            crate::generated::new_transition(-1827687170, 2),
        ],
        &[
            crate::generated::new_local_time_type(-19532, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-18430, false, Some(b"KMT")),
            crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
        )),
    );

    pub(crate) const AMERICA_CHICAGO: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2717647200, 2),
                crate::generated::new_transition(-1633276800, 1),
                crate::generated::new_transition(-1615136400, 2),
                crate::generated::new_transition(-1601827200, 1),
                crate::generated::new_transition(-1583686800, 2),
                crate::generated::new_transition(-1563724800, 1),
                crate::generated::new_transition(-1551632400, 2),
                crate::generated::new_transition(-1538928000, 1),
                crate::generated::new_transition(-1520182800, 2),
                crate::generated::new_transition(-1504454400, 1),
                crate::generated::new_transition(-1491757200, 2),
                crate::generated::new_transition(-1473004800, 1),
                crate::generated::new_transition(-1459702800, 2),
                crate::generated::new_transition(-1441555200, 1),
                crate::generated::new_transition(-1428253200, 2),
                crate::generated::new_transition(-1410105600, 1),
                crate::generated::new_transition(-1396803600, 2),
                crate::generated::new_transition(-1378656000, 1),
                crate::generated::new_transition(-1365354000, 2),
                crate::generated::new_transition(-1347206400, 1),
                crate::generated::new_transition(-1333904400, 2),
                crate::generated::new_transition(-1315152000, 1),
                crate::generated::new_transition(-1301850000, 2),
                crate::generated::new_transition(-1283702400, 1),
                crate::generated::new_transition(-1270400400, 2),
                crate::generated::new_transition(-1252252800, 1),
                crate::generated::new_transition(-1238950800, 2),
                crate::generated::new_transition(-1220803200, 1),
                crate::generated::new_transition(-1207501200, 2),
                crate::generated::new_transition(-1189353600, 1),
                crate::generated::new_transition(-1176051600, 2),
                crate::generated::new_transition(-1157299200, 1),
                crate::generated::new_transition(-1144602000, 2),
                crate::generated::new_transition(-1125849600, 1),
                crate::generated::new_transition(-1112547600, 2),
                crate::generated::new_transition(-1094400000, 1),
                crate::generated::new_transition(-1081098000, 2),
                crate::generated::new_transition(-1067788800, 3),
                crate::generated::new_transition(-1045414800, 2),
                crate::generated::new_transition(-1031500800, 1),
                crate::generated::new_transition(-1018198800, 2),
                crate::generated::new_transition(-1000051200, 1),
                crate::generated::new_transition(-986749200, 2),
                crate::generated::new_transition(-967996800, 1),
                crate::generated::new_transition(-955299600, 2),
                crate::generated::new_transition(-936547200, 1),
                crate::generated::new_transition(-923245200, 2),
                crate::generated::new_transition(-905097600, 1),
                crate::generated::new_transition(-891795600, 2),
                crate::generated::new_transition(-880214400, 4),
                crate::generated::new_transition(-769395600, 5),
                crate::generated::new_transition(-765392400, 2),
                crate::generated::new_transition(-747244800, 1),
                crate::generated::new_transition(-733942800, 2),
                crate::generated::new_transition(-715795200, 1),
                crate::generated::new_transition(-702493200, 2),
                crate::generated::new_transition(-684345600, 1),
                crate::generated::new_transition(-671043600, 2),
                crate::generated::new_transition(-652896000, 1),
                crate::generated::new_transition(-639594000, 2),
                crate::generated::new_transition(-620841600, 1),
                crate::generated::new_transition(-608144400, 2),
                crate::generated::new_transition(-589392000, 1),
                crate::generated::new_transition(-576090000, 2),
                crate::generated::new_transition(-557942400, 1),
                crate::generated::new_transition(-544640400, 2),
                crate::generated::new_transition(-526492800, 1),
                crate::generated::new_transition(-513190800, 2),
                crate::generated::new_transition(-495043200, 1),
                crate::generated::new_transition(-481741200, 2),
                crate::generated::new_transition(-463593600, 1),
                crate::generated::new_transition(-447267600, 2),
                crate::generated::new_transition(-431539200, 1),
                crate::generated::new_transition(-415818000, 2),
                crate::generated::new_transition(-400089600, 1),
                crate::generated::new_transition(-384368400, 2),
                crate::generated::new_transition(-368640000, 1),
                crate::generated::new_transition(-352918800, 2),
                crate::generated::new_transition(-337190400, 1),
                crate::generated::new_transition(-321469200, 2),
                crate::generated::new_transition(-305740800, 1),
                crate::generated::new_transition(-289414800, 2),
                crate::generated::new_transition(-273686400, 1),
                crate::generated::new_transition(-257965200, 2),
                crate::generated::new_transition(-242236800, 1),
                crate::generated::new_transition(-226515600, 2),
                crate::generated::new_transition(-210787200, 1),
                crate::generated::new_transition(-195066000, 2),
                crate::generated::new_transition(-179337600, 1),
                crate::generated::new_transition(-163616400, 2),
                crate::generated::new_transition(-147888000, 1),
                crate::generated::new_transition(-131562000, 2),
                crate::generated::new_transition(-116438400, 1),
                crate::generated::new_transition(-100112400, 2),
                crate::generated::new_transition(-84384000, 1),
                crate::generated::new_transition(-68662800, 2),
                crate::generated::new_transition(-52934400, 1),
                crate::generated::new_transition(-37213200, 2),
                crate::generated::new_transition(-21484800, 1),
                crate::generated::new_transition(-5763600, 2),
                crate::generated::new_transition(9964800, 1),
                crate::generated::new_transition(25686000, 2),
                crate::generated::new_transition(41414400, 1),
                crate::generated::new_transition(57740400, 2),
                crate::generated::new_transition(73468800, 1),
                crate::generated::new_transition(89190000, 2),
                crate::generated::new_transition(104918400, 1),
                crate::generated::new_transition(120639600, 2),
                crate::generated::new_transition(126691200, 1),
                crate::generated::new_transition(152089200, 2),
                crate::generated::new_transition(162374400, 1),
                crate::generated::new_transition(183538800, 2),
                crate::generated::new_transition(199267200, 1),
                crate::generated::new_transition(215593200, 2),
                crate::generated::new_transition(230716800, 1),
                crate::generated::new_transition(247042800, 2),
                crate::generated::new_transition(262771200, 1),
                crate::generated::new_transition(278492400, 2),
                crate::generated::new_transition(294220800, 1),
                crate::generated::new_transition(309942000, 2),
                crate::generated::new_transition(325670400, 1),
                crate::generated::new_transition(341391600, 2),
                crate::generated::new_transition(357120000, 1),
                crate::generated::new_transition(372841200, 2),
                crate::generated::new_transition(388569600, 1),
                crate::generated::new_transition(404895600, 2),
                crate::generated::new_transition(420019200, 1),
                crate::generated::new_transition(436345200, 2),
                crate::generated::new_transition(452073600, 1),
                crate::generated::new_transition(467794800, 2),
                crate::generated::new_transition(483523200, 1),
                crate::generated::new_transition(499244400, 2),
                crate::generated::new_transition(514972800, 1),
                crate::generated::new_transition(530694000, 2),
                crate::generated::new_transition(544608000, 1),
                crate::generated::new_transition(562143600, 2),
                crate::generated::new_transition(576057600, 1),
                crate::generated::new_transition(594198000, 2),
                crate::generated::new_transition(607507200, 1),
                crate::generated::new_transition(625647600, 2),
                crate::generated::new_transition(638956800, 1),
                crate::generated::new_transition(657097200, 2),
                crate::generated::new_transition(671011200, 1),
                crate::generated::new_transition(688546800, 2),
                crate::generated::new_transition(702460800, 1),
                crate::generated::new_transition(719996400, 2),
                crate::generated::new_transition(733910400, 1),
                crate::generated::new_transition(752050800, 2),
                crate::generated::new_transition(765360000, 1),
                crate::generated::new_transition(783500400, 2),
                crate::generated::new_transition(796809600, 1),
                crate::generated::new_transition(814950000, 2),
                crate::generated::new_transition(828864000, 1),
                crate::generated::new_transition(846399600, 2),
                crate::generated::new_transition(860313600, 1),
                crate::generated::new_transition(877849200, 2),
                crate::generated::new_transition(891763200, 1),
                crate::generated::new_transition(909298800, 2),
                crate::generated::new_transition(923212800, 1),
                crate::generated::new_transition(941353200, 2),
                crate::generated::new_transition(954662400, 1),
                crate::generated::new_transition(972802800, 2),
                crate::generated::new_transition(986112000, 1),
                crate::generated::new_transition(1004252400, 2),
                crate::generated::new_transition(1018166400, 1),
                crate::generated::new_transition(1035702000, 2),
                crate::generated::new_transition(1049616000, 1),
                crate::generated::new_transition(1067151600, 2),
                crate::generated::new_transition(1081065600, 1),
                crate::generated::new_transition(1099206000, 2),
                crate::generated::new_transition(1112515200, 1),
                crate::generated::new_transition(1130655600, 2),
                crate::generated::new_transition(1143964800, 1),
                crate::generated::new_transition(1162105200, 2),
                crate::generated::new_transition(1173600000, 1),
            ],
            &[
                crate::generated::new_local_time_type(-21036, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CWT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CPT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                    crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_CHIHUAHUA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1514739600, 1),
                crate::generated::new_transition(-1343066400, 2),
                crate::generated::new_transition(-1234807200, 1),
                crate::generated::new_transition(-1220292000, 3),
                crate::generated::new_transition(-1207159200, 1),
                crate::generated::new_transition(-1191344400, 2),
                crate::generated::new_transition(828864000, 4),
                crate::generated::new_transition(846399600, 2),
                crate::generated::new_transition(860313600, 4),
                crate::generated::new_transition(877849200, 2),
                crate::generated::new_transition(891766800, 3),
                crate::generated::new_transition(909302400, 1),
                crate::generated::new_transition(923216400, 3),
                crate::generated::new_transition(941356800, 1),
                crate::generated::new_transition(954666000, 3),
                crate::generated::new_transition(972806400, 1),
                crate::generated::new_transition(989139600, 3),
                crate::generated::new_transition(1001836800, 1),
                crate::generated::new_transition(1018170000, 3),
                crate::generated::new_transition(1035705600, 1),
                crate::generated::new_transition(1049619600, 3),
                crate::generated::new_transition(1067155200, 1),
                crate::generated::new_transition(1081069200, 3),
                crate::generated::new_transition(1099209600, 1),
                crate::generated::new_transition(1112518800, 3),
                crate::generated::new_transition(1130659200, 1),
                crate::generated::new_transition(1143968400, 3),
                crate::generated::new_transition(1162108800, 1),
                crate::generated::new_transition(1175418000, 3),
                crate::generated::new_transition(1193558400, 1),
                crate::generated::new_transition(1207472400, 3),
                crate::generated::new_transition(1225008000, 1),
                crate::generated::new_transition(1238922000, 3),
                crate::generated::new_transition(1256457600, 1),
                crate::generated::new_transition(1270371600, 3),
                crate::generated::new_transition(1288512000, 1),
                crate::generated::new_transition(1301821200, 3),
                crate::generated::new_transition(1319961600, 1),
                crate::generated::new_transition(1333270800, 3),
                crate::generated::new_transition(1351411200, 1),
                crate::generated::new_transition(1365325200, 3),
                crate::generated::new_transition(1382860800, 1),
                crate::generated::new_transition(1396774800, 3),
                crate::generated::new_transition(1414310400, 1),
                crate::generated::new_transition(1428224400, 3),
                crate::generated::new_transition(1445760000, 1),
                crate::generated::new_transition(1459674000, 3),
                crate::generated::new_transition(1477814400, 1),
                crate::generated::new_transition(1491123600, 3),
                crate::generated::new_transition(1509264000, 1),
                crate::generated::new_transition(1522573200, 3),
                crate::generated::new_transition(1540713600, 1),
                crate::generated::new_transition(1554627600, 3),
                crate::generated::new_transition(1572163200, 1),
                crate::generated::new_transition(1586077200, 3),
                crate::generated::new_transition(1603612800, 1),
                crate::generated::new_transition(1617526800, 3),
                crate::generated::new_transition(1635667200, 1),
                crate::generated::new_transition(1648976400, 3),
                crate::generated::new_transition(1667116800, 2),
            ],
            &[
                crate::generated::new_local_time_type(-25460, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            )),
        );

    pub(crate) const AMERICA_CIUDAD_JUAREZ: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1514739600, 1),
                crate::generated::new_transition(-1343066400, 2),
                crate::generated::new_transition(-1234807200, 1),
                crate::generated::new_transition(-1220292000, 3),
                crate::generated::new_transition(-1207159200, 1),
                crate::generated::new_transition(-1191344400, 2),
                crate::generated::new_transition(828864000, 4),
                crate::generated::new_transition(846399600, 2),
                crate::generated::new_transition(860313600, 4),
                crate::generated::new_transition(877849200, 2),
                crate::generated::new_transition(891766800, 3),
                crate::generated::new_transition(909302400, 1),
                crate::generated::new_transition(923216400, 3),
                crate::generated::new_transition(941356800, 1),
                crate::generated::new_transition(954666000, 3),
                crate::generated::new_transition(972806400, 1),
                crate::generated::new_transition(989139600, 3),
                crate::generated::new_transition(1001836800, 1),
                crate::generated::new_transition(1018170000, 3),
                crate::generated::new_transition(1035705600, 1),
                crate::generated::new_transition(1049619600, 3),
                crate::generated::new_transition(1067155200, 1),
                crate::generated::new_transition(1081069200, 3),
                crate::generated::new_transition(1099209600, 1),
                crate::generated::new_transition(1112518800, 3),
                crate::generated::new_transition(1130659200, 1),
                crate::generated::new_transition(1143968400, 3),
                crate::generated::new_transition(1162108800, 1),
                crate::generated::new_transition(1175418000, 3),
                crate::generated::new_transition(1193558400, 1),
                crate::generated::new_transition(1207472400, 3),
                crate::generated::new_transition(1225008000, 1),
                crate::generated::new_transition(1238922000, 3),
                crate::generated::new_transition(1256457600, 1),
                crate::generated::new_transition(1268557200, 3),
                crate::generated::new_transition(1289116800, 1),
                crate::generated::new_transition(1300006800, 3),
                crate::generated::new_transition(1320566400, 1),
                crate::generated::new_transition(1331456400, 3),
                crate::generated::new_transition(1352016000, 1),
                crate::generated::new_transition(1362906000, 3),
                crate::generated::new_transition(1383465600, 1),
                crate::generated::new_transition(1394355600, 3),
                crate::generated::new_transition(1414915200, 1),
                crate::generated::new_transition(1425805200, 3),
                crate::generated::new_transition(1446364800, 1),
                crate::generated::new_transition(1457859600, 3),
                crate::generated::new_transition(1478419200, 1),
                crate::generated::new_transition(1489309200, 3),
                crate::generated::new_transition(1509868800, 1),
                crate::generated::new_transition(1520758800, 3),
                crate::generated::new_transition(1541318400, 1),
                crate::generated::new_transition(1552208400, 3),
                crate::generated::new_transition(1572768000, 1),
                crate::generated::new_transition(1583658000, 3),
                crate::generated::new_transition(1604217600, 1),
                crate::generated::new_transition(1615712400, 3),
                crate::generated::new_transition(1636272000, 1),
                crate::generated::new_transition(1647162000, 3),
                crate::generated::new_transition(1667116800, 2),
                crate::generated::new_transition(1669788000, 1),
            ],
            &[
                crate::generated::new_local_time_type(-25556, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                    crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_CORAL_HARBOUR: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524502512, 1),
                crate::generated::new_transition(-1946918424, 2),
            ],
            &[
                crate::generated::new_local_time_type(-19088, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-19176, false, Some(b"CMT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
            )),
        );

    pub(crate) const AMERICA_CORDOBA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2372096592, 1),
                crate::generated::new_transition(-1567453392, 2),
                crate::generated::new_transition(-1233432000, 3),
                crate::generated::new_transition(-1222981200, 2),
                crate::generated::new_transition(-1205956800, 3),
                crate::generated::new_transition(-1194037200, 2),
                crate::generated::new_transition(-1172865600, 3),
                crate::generated::new_transition(-1162501200, 2),
                crate::generated::new_transition(-1141329600, 3),
                crate::generated::new_transition(-1130965200, 2),
                crate::generated::new_transition(-1109793600, 3),
                crate::generated::new_transition(-1099429200, 2),
                crate::generated::new_transition(-1078257600, 3),
                crate::generated::new_transition(-1067806800, 2),
                crate::generated::new_transition(-1046635200, 3),
                crate::generated::new_transition(-1036270800, 2),
                crate::generated::new_transition(-1015099200, 3),
                crate::generated::new_transition(-1004734800, 2),
                crate::generated::new_transition(-983563200, 3),
                crate::generated::new_transition(-973198800, 2),
                crate::generated::new_transition(-952027200, 3),
                crate::generated::new_transition(-941576400, 2),
                crate::generated::new_transition(-931032000, 3),
                crate::generated::new_transition(-900882000, 2),
                crate::generated::new_transition(-890337600, 3),
                crate::generated::new_transition(-833749200, 2),
                crate::generated::new_transition(-827265600, 3),
                crate::generated::new_transition(-752274000, 2),
                crate::generated::new_transition(-733780800, 3),
                crate::generated::new_transition(-197326800, 2),
                crate::generated::new_transition(-190843200, 3),
                crate::generated::new_transition(-184194000, 2),
                crate::generated::new_transition(-164491200, 3),
                crate::generated::new_transition(-152658000, 2),
                crate::generated::new_transition(-132955200, 3),
                crate::generated::new_transition(-121122000, 2),
                crate::generated::new_transition(-101419200, 3),
                crate::generated::new_transition(-86821200, 2),
                crate::generated::new_transition(-71092800, 3),
                crate::generated::new_transition(-54766800, 2),
                crate::generated::new_transition(-39038400, 3),
                crate::generated::new_transition(-23317200, 2),
                crate::generated::new_transition(-7588800, 5),
                crate::generated::new_transition(128142000, 4),
                crate::generated::new_transition(136605600, 5),
                crate::generated::new_transition(596948400, 4),
                crate::generated::new_transition(605066400, 5),
                crate::generated::new_transition(624423600, 4),
                crate::generated::new_transition(636516000, 5),
                crate::generated::new_transition(656478000, 4),
                crate::generated::new_transition(667965600, 2),
                crate::generated::new_transition(687931200, 4),
                crate::generated::new_transition(699415200, 5),
                crate::generated::new_transition(719377200, 4),
                crate::generated::new_transition(731469600, 5),
                crate::generated::new_transition(938919600, 3),
                crate::generated::new_transition(952052400, 5),
                crate::generated::new_transition(1198983600, 4),
                crate::generated::new_transition(1205632800, 5),
                crate::generated::new_transition(1224385200, 4),
                crate::generated::new_transition(1237082400, 5),
            ],
            &[
                crate::generated::new_local_time_type(-15408, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-15408, false, Some(b"CMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
                crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
                crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            )),
        );

    pub(crate) const AMERICA_COSTA_RICA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524501427, 1),
                crate::generated::new_transition(-1545071027, 3),
                crate::generated::new_transition(288770400, 2),
                crate::generated::new_transition(297234000, 3),
                crate::generated::new_transition(320220000, 2),
                crate::generated::new_transition(328683600, 3),
                crate::generated::new_transition(664264800, 2),
                crate::generated::new_transition(678344400, 3),
                crate::generated::new_transition(695714400, 2),
                crate::generated::new_transition(700635600, 3),
            ],
            &[
                crate::generated::new_local_time_type(-20173, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-20173, false, Some(b"SJMT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            )),
        );

    pub(crate) const AMERICA_CRESTON: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2713882436, 1),
                crate::generated::new_transition(-1680454800, 2),
                crate::generated::new_transition(-1627833600, 1),
            ],
            &[
                crate::generated::new_local_time_type(-27964, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
            )),
        );

    pub(crate) const AMERICA_CUIABA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1767212140, 2),
            crate::generated::new_transition(-1206954000, 1),
            crate::generated::new_transition(-1191358800, 2),
            crate::generated::new_transition(-1175371200, 1),
            crate::generated::new_transition(-1159822800, 2),
            crate::generated::new_transition(-633816000, 1),
            crate::generated::new_transition(-622065600, 2),
            crate::generated::new_transition(-602280000, 1),
            crate::generated::new_transition(-591829200, 2),
            crate::generated::new_transition(-570744000, 1),
            crate::generated::new_transition(-560206800, 2),
            crate::generated::new_transition(-539121600, 1),
            crate::generated::new_transition(-531349200, 2),
            crate::generated::new_transition(-191361600, 1),
            crate::generated::new_transition(-184194000, 2),
            crate::generated::new_transition(-155160000, 1),
            crate::generated::new_transition(-150066000, 2),
            crate::generated::new_transition(-128894400, 1),
            crate::generated::new_transition(-121122000, 2),
            crate::generated::new_transition(-99950400, 1),
            crate::generated::new_transition(-89586000, 2),
            crate::generated::new_transition(-68414400, 1),
            crate::generated::new_transition(-57963600, 2),
            crate::generated::new_transition(499752000, 1),
            crate::generated::new_transition(511239600, 2),
            crate::generated::new_transition(530596800, 1),
            crate::generated::new_transition(540270000, 2),
            crate::generated::new_transition(562132800, 1),
            crate::generated::new_transition(571201200, 2),
            crate::generated::new_transition(592977600, 1),
            crate::generated::new_transition(602046000, 2),
            crate::generated::new_transition(624427200, 1),
            crate::generated::new_transition(634705200, 2),
            crate::generated::new_transition(656481600, 1),
            crate::generated::new_transition(666759600, 2),
            crate::generated::new_transition(687931200, 1),
            crate::generated::new_transition(697604400, 2),
            crate::generated::new_transition(719985600, 1),
            crate::generated::new_transition(728449200, 2),
            crate::generated::new_transition(750830400, 1),
            crate::generated::new_transition(761713200, 2),
            crate::generated::new_transition(782280000, 1),
            crate::generated::new_transition(793162800, 2),
            crate::generated::new_transition(813729600, 1),
            crate::generated::new_transition(824007600, 2),
            crate::generated::new_transition(844574400, 1),
            crate::generated::new_transition(856062000, 2),
            crate::generated::new_transition(876110400, 1),
            crate::generated::new_transition(888721200, 2),
            crate::generated::new_transition(908078400, 1),
            crate::generated::new_transition(919566000, 2),
            crate::generated::new_transition(938923200, 1),
            crate::generated::new_transition(951620400, 2),
            crate::generated::new_transition(970977600, 1),
            crate::generated::new_transition(982465200, 2),
            crate::generated::new_transition(1003032000, 1),
            crate::generated::new_transition(1013914800, 2),
            crate::generated::new_transition(1036296000, 1),
            crate::generated::new_transition(1045364400, 2),
            crate::generated::new_transition(1099368000, 1),
            crate::generated::new_transition(1108868400, 2),
            crate::generated::new_transition(1129435200, 1),
            crate::generated::new_transition(1140318000, 2),
            crate::generated::new_transition(1162699200, 1),
            crate::generated::new_transition(1172372400, 2),
            crate::generated::new_transition(1192334400, 1),
            crate::generated::new_transition(1203217200, 2),
            crate::generated::new_transition(1224388800, 1),
            crate::generated::new_transition(1234666800, 2),
            crate::generated::new_transition(1255838400, 1),
            crate::generated::new_transition(1266721200, 2),
            crate::generated::new_transition(1287288000, 1),
            crate::generated::new_transition(1298170800, 2),
            crate::generated::new_transition(1318737600, 1),
            crate::generated::new_transition(1330225200, 2),
            crate::generated::new_transition(1350792000, 1),
            crate::generated::new_transition(1361070000, 2),
            crate::generated::new_transition(1382241600, 1),
            crate::generated::new_transition(1392519600, 2),
            crate::generated::new_transition(1413691200, 1),
            crate::generated::new_transition(1424574000, 2),
            crate::generated::new_transition(1445140800, 1),
            crate::generated::new_transition(1456023600, 2),
            crate::generated::new_transition(1476590400, 1),
            crate::generated::new_transition(1487473200, 2),
            crate::generated::new_transition(1508040000, 1),
            crate::generated::new_transition(1518922800, 2),
            crate::generated::new_transition(1541304000, 1),
            crate::generated::new_transition(1550372400, 2),
        ],
        &[
            crate::generated::new_local_time_type(-13460, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
            crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
        )),
    );

    pub(crate) const AMERICA_CURACAO: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1826738653, 1),
                crate::generated::new_transition(-157750200, 2),
            ],
            &[
                crate::generated::new_local_time_type(-16547, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-16200, false, Some(b"-0430")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_DANMARKSHAVN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1686091520, 1),
                crate::generated::new_transition(323845200, 2),
                crate::generated::new_transition(338950800, 1),
                crate::generated::new_transition(354675600, 2),
                crate::generated::new_transition(370400400, 1),
                crate::generated::new_transition(386125200, 2),
                crate::generated::new_transition(401850000, 1),
                crate::generated::new_transition(417574800, 2),
                crate::generated::new_transition(433299600, 1),
                crate::generated::new_transition(449024400, 2),
                crate::generated::new_transition(465354000, 1),
                crate::generated::new_transition(481078800, 2),
                crate::generated::new_transition(496803600, 1),
                crate::generated::new_transition(512528400, 2),
                crate::generated::new_transition(528253200, 1),
                crate::generated::new_transition(543978000, 2),
                crate::generated::new_transition(559702800, 1),
                crate::generated::new_transition(575427600, 2),
                crate::generated::new_transition(591152400, 1),
                crate::generated::new_transition(606877200, 2),
                crate::generated::new_transition(622602000, 1),
                crate::generated::new_transition(638326800, 2),
                crate::generated::new_transition(654656400, 1),
                crate::generated::new_transition(670381200, 2),
                crate::generated::new_transition(686106000, 1),
                crate::generated::new_transition(701830800, 2),
                crate::generated::new_transition(717555600, 1),
                crate::generated::new_transition(733280400, 2),
                crate::generated::new_transition(749005200, 1),
                crate::generated::new_transition(764730000, 2),
                crate::generated::new_transition(780454800, 1),
                crate::generated::new_transition(796179600, 2),
                crate::generated::new_transition(811904400, 1),
                crate::generated::new_transition(820465200, 3),
            ],
            &[
                crate::generated::new_local_time_type(-4480, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
                crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            )),
        );

    pub(crate) const AMERICA_DAWSON: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2188996940, 2),
            crate::generated::new_transition(-1632056400, 1),
            crate::generated::new_transition(-1615125600, 2),
            crate::generated::new_transition(-1596978000, 1),
            crate::generated::new_transition(-1583164800, 2),
            crate::generated::new_transition(-880203600, 3),
            crate::generated::new_transition(-769395600, 4),
            crate::generated::new_transition(-765381600, 2),
            crate::generated::new_transition(-147884400, 5),
            crate::generated::new_transition(-131554800, 2),
            crate::generated::new_transition(120646800, 6),
            crate::generated::new_transition(325677600, 7),
            crate::generated::new_transition(341398800, 6),
            crate::generated::new_transition(357127200, 7),
            crate::generated::new_transition(372848400, 6),
            crate::generated::new_transition(388576800, 7),
            crate::generated::new_transition(404902800, 6),
            crate::generated::new_transition(420026400, 7),
            crate::generated::new_transition(436352400, 6),
            crate::generated::new_transition(452080800, 7),
            crate::generated::new_transition(467802000, 6),
            crate::generated::new_transition(483530400, 7),
            crate::generated::new_transition(499251600, 6),
            crate::generated::new_transition(514980000, 7),
            crate::generated::new_transition(530701200, 6),
            crate::generated::new_transition(544615200, 7),
            crate::generated::new_transition(562150800, 6),
            crate::generated::new_transition(576064800, 7),
            crate::generated::new_transition(594205200, 6),
            crate::generated::new_transition(607514400, 7),
            crate::generated::new_transition(625654800, 6),
            crate::generated::new_transition(638964000, 7),
            crate::generated::new_transition(657104400, 6),
            crate::generated::new_transition(671018400, 7),
            crate::generated::new_transition(688554000, 6),
            crate::generated::new_transition(702468000, 7),
            crate::generated::new_transition(720003600, 6),
            crate::generated::new_transition(733917600, 7),
            crate::generated::new_transition(752058000, 6),
            crate::generated::new_transition(765367200, 7),
            crate::generated::new_transition(783507600, 6),
            crate::generated::new_transition(796816800, 7),
            crate::generated::new_transition(814957200, 6),
            crate::generated::new_transition(828871200, 7),
            crate::generated::new_transition(846406800, 6),
            crate::generated::new_transition(860320800, 7),
            crate::generated::new_transition(877856400, 6),
            crate::generated::new_transition(891770400, 7),
            crate::generated::new_transition(909306000, 6),
            crate::generated::new_transition(923220000, 7),
            crate::generated::new_transition(941360400, 6),
            crate::generated::new_transition(954669600, 7),
            crate::generated::new_transition(972810000, 6),
            crate::generated::new_transition(986119200, 7),
            crate::generated::new_transition(1004259600, 6),
            crate::generated::new_transition(1018173600, 7),
            crate::generated::new_transition(1035709200, 6),
            crate::generated::new_transition(1049623200, 7),
            crate::generated::new_transition(1067158800, 6),
            crate::generated::new_transition(1081072800, 7),
            crate::generated::new_transition(1099213200, 6),
            crate::generated::new_transition(1112522400, 7),
            crate::generated::new_transition(1130662800, 6),
            crate::generated::new_transition(1143972000, 7),
            crate::generated::new_transition(1162112400, 6),
            crate::generated::new_transition(1173607200, 7),
            crate::generated::new_transition(1194166800, 6),
            crate::generated::new_transition(1205056800, 7),
            crate::generated::new_transition(1225616400, 6),
            crate::generated::new_transition(1236506400, 7),
            crate::generated::new_transition(1257066000, 6),
            crate::generated::new_transition(1268560800, 7),
            crate::generated::new_transition(1289120400, 6),
            crate::generated::new_transition(1300010400, 7),
            crate::generated::new_transition(1320570000, 6),
            crate::generated::new_transition(1331460000, 7),
            crate::generated::new_transition(1352019600, 6),
            crate::generated::new_transition(1362909600, 7),
            crate::generated::new_transition(1383469200, 6),
            crate::generated::new_transition(1394359200, 7),
            crate::generated::new_transition(1414918800, 6),
            crate::generated::new_transition(1425808800, 7),
            crate::generated::new_transition(1446368400, 6),
            crate::generated::new_transition(1457863200, 7),
            crate::generated::new_transition(1478422800, 6),
            crate::generated::new_transition(1489312800, 7),
            crate::generated::new_transition(1509872400, 6),
            crate::generated::new_transition(1520762400, 7),
            crate::generated::new_transition(1541322000, 6),
            crate::generated::new_transition(1552212000, 7),
            crate::generated::new_transition(1572771600, 6),
            crate::generated::new_transition(1583661600, 7),
            crate::generated::new_transition(1604214000, 8),
        ],
        &[
            crate::generated::new_local_time_type(-33460, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-28800, true, Some(b"YDT")),
            crate::generated::new_local_time_type(-32400, false, Some(b"YST")),
            crate::generated::new_local_time_type(-28800, true, Some(b"YWT")),
            crate::generated::new_local_time_type(-28800, true, Some(b"YPT")),
            crate::generated::new_local_time_type(-25200, true, Some(b"YDDT")),
            crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
            crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
            crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
        )),
    );

    pub(crate) const AMERICA_DAWSON_CREEK: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2713881544, 2),
                crate::generated::new_transition(-1632060000, 1),
                crate::generated::new_transition(-1615129200, 2),
                crate::generated::new_transition(-880207200, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765385200, 2),
                crate::generated::new_transition(-715788000, 1),
                crate::generated::new_transition(-702486000, 2),
                crate::generated::new_transition(-684338400, 1),
                crate::generated::new_transition(-671036400, 2),
                crate::generated::new_transition(-652888800, 1),
                crate::generated::new_transition(-639586800, 2),
                crate::generated::new_transition(-620834400, 1),
                crate::generated::new_transition(-608137200, 2),
                crate::generated::new_transition(-589384800, 1),
                crate::generated::new_transition(-576082800, 2),
                crate::generated::new_transition(-557935200, 1),
                crate::generated::new_transition(-544633200, 2),
                crate::generated::new_transition(-526485600, 1),
                crate::generated::new_transition(-513183600, 2),
                crate::generated::new_transition(-495036000, 1),
                crate::generated::new_transition(-481734000, 2),
                crate::generated::new_transition(-463586400, 1),
                crate::generated::new_transition(-450284400, 2),
                crate::generated::new_transition(-431532000, 1),
                crate::generated::new_transition(-418230000, 2),
                crate::generated::new_transition(-400082400, 1),
                crate::generated::new_transition(-386780400, 2),
                crate::generated::new_transition(-368632800, 1),
                crate::generated::new_transition(-355330800, 2),
                crate::generated::new_transition(-337183200, 1),
                crate::generated::new_transition(-323881200, 2),
                crate::generated::new_transition(-305733600, 1),
                crate::generated::new_transition(-292431600, 2),
                crate::generated::new_transition(-273679200, 1),
                crate::generated::new_transition(-260982000, 2),
                crate::generated::new_transition(-242229600, 1),
                crate::generated::new_transition(-226508400, 2),
                crate::generated::new_transition(-210780000, 1),
                crate::generated::new_transition(-195058800, 2),
                crate::generated::new_transition(-179330400, 1),
                crate::generated::new_transition(-163609200, 2),
                crate::generated::new_transition(-147880800, 1),
                crate::generated::new_transition(-131554800, 2),
                crate::generated::new_transition(-116431200, 1),
                crate::generated::new_transition(-100105200, 2),
                crate::generated::new_transition(-84376800, 1),
                crate::generated::new_transition(-68655600, 2),
                crate::generated::new_transition(-52927200, 1),
                crate::generated::new_transition(-37206000, 2),
                crate::generated::new_transition(-21477600, 1),
                crate::generated::new_transition(-5756400, 2),
                crate::generated::new_transition(9972000, 1),
                crate::generated::new_transition(25693200, 2),
                crate::generated::new_transition(41421600, 1),
                crate::generated::new_transition(57747600, 2),
                crate::generated::new_transition(73476000, 1),
                crate::generated::new_transition(84013200, 5),
            ],
            &[
                crate::generated::new_local_time_type(-28856, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
                crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PWT")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PPT")),
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
            )),
        );

    pub(crate) const AMERICA_DETROIT: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2051202469, 1),
                crate::generated::new_transition(-1724083200, 2),
                crate::generated::new_transition(-880218000, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765396000, 2),
                crate::generated::new_transition(-684349200, 5),
                crate::generated::new_transition(-671047200, 2),
                crate::generated::new_transition(-80506740, 5),
                crate::generated::new_transition(-68666400, 2),
                crate::generated::new_transition(-52938000, 5),
                crate::generated::new_transition(-37216800, 2),
                crate::generated::new_transition(104914800, 5),
                crate::generated::new_transition(120636000, 2),
                crate::generated::new_transition(126687600, 5),
                crate::generated::new_transition(152085600, 2),
                crate::generated::new_transition(167814000, 5),
                crate::generated::new_transition(183535200, 2),
                crate::generated::new_transition(199263600, 5),
                crate::generated::new_transition(215589600, 2),
                crate::generated::new_transition(230713200, 5),
                crate::generated::new_transition(247039200, 2),
                crate::generated::new_transition(262767600, 5),
                crate::generated::new_transition(278488800, 2),
                crate::generated::new_transition(294217200, 5),
                crate::generated::new_transition(309938400, 2),
                crate::generated::new_transition(325666800, 5),
                crate::generated::new_transition(341388000, 2),
                crate::generated::new_transition(357116400, 5),
                crate::generated::new_transition(372837600, 2),
                crate::generated::new_transition(388566000, 5),
                crate::generated::new_transition(404892000, 2),
                crate::generated::new_transition(420015600, 5),
                crate::generated::new_transition(436341600, 2),
                crate::generated::new_transition(452070000, 5),
                crate::generated::new_transition(467791200, 2),
                crate::generated::new_transition(483519600, 5),
                crate::generated::new_transition(499240800, 2),
                crate::generated::new_transition(514969200, 5),
                crate::generated::new_transition(530690400, 2),
                crate::generated::new_transition(544604400, 5),
                crate::generated::new_transition(562140000, 2),
                crate::generated::new_transition(576054000, 5),
                crate::generated::new_transition(594194400, 2),
                crate::generated::new_transition(607503600, 5),
                crate::generated::new_transition(625644000, 2),
                crate::generated::new_transition(638953200, 5),
                crate::generated::new_transition(657093600, 2),
                crate::generated::new_transition(671007600, 5),
                crate::generated::new_transition(688543200, 2),
                crate::generated::new_transition(702457200, 5),
                crate::generated::new_transition(719992800, 2),
                crate::generated::new_transition(733906800, 5),
                crate::generated::new_transition(752047200, 2),
                crate::generated::new_transition(765356400, 5),
                crate::generated::new_transition(783496800, 2),
                crate::generated::new_transition(796806000, 5),
                crate::generated::new_transition(814946400, 2),
                crate::generated::new_transition(828860400, 5),
                crate::generated::new_transition(846396000, 2),
                crate::generated::new_transition(860310000, 5),
                crate::generated::new_transition(877845600, 2),
                crate::generated::new_transition(891759600, 5),
                crate::generated::new_transition(909295200, 2),
                crate::generated::new_transition(923209200, 5),
                crate::generated::new_transition(941349600, 2),
                crate::generated::new_transition(954658800, 5),
                crate::generated::new_transition(972799200, 2),
                crate::generated::new_transition(986108400, 5),
                crate::generated::new_transition(1004248800, 2),
                crate::generated::new_transition(1018162800, 5),
                crate::generated::new_transition(1035698400, 2),
                crate::generated::new_transition(1049612400, 5),
                crate::generated::new_transition(1067148000, 2),
                crate::generated::new_transition(1081062000, 5),
                crate::generated::new_transition(1099202400, 2),
                crate::generated::new_transition(1112511600, 5),
                crate::generated::new_transition(1130652000, 2),
                crate::generated::new_transition(1143961200, 5),
                crate::generated::new_transition(1162101600, 2),
                crate::generated::new_transition(1173596400, 5),
            ],
            &[
                crate::generated::new_local_time_type(-19931, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EWT")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EPT")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                    crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_DOMINICA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-1846266804, 1)],
            &[
                crate::generated::new_local_time_type(-14736, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_EDMONTON: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1998663968, 2),
                crate::generated::new_transition(-1632063600, 1),
                crate::generated::new_transition(-1615132800, 2),
                crate::generated::new_transition(-1600614000, 1),
                crate::generated::new_transition(-1596816000, 2),
                crate::generated::new_transition(-1567954800, 1),
                crate::generated::new_transition(-1551628800, 2),
                crate::generated::new_transition(-1536505200, 1),
                crate::generated::new_transition(-1523203200, 2),
                crate::generated::new_transition(-1504450800, 1),
                crate::generated::new_transition(-1491753600, 2),
                crate::generated::new_transition(-1473001200, 1),
                crate::generated::new_transition(-1459699200, 2),
                crate::generated::new_transition(-880210800, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765388800, 2),
                crate::generated::new_transition(-715791600, 1),
                crate::generated::new_transition(-702489600, 2),
                crate::generated::new_transition(73472400, 1),
                crate::generated::new_transition(89193600, 2),
                crate::generated::new_transition(104922000, 1),
                crate::generated::new_transition(120643200, 2),
                crate::generated::new_transition(136371600, 1),
                crate::generated::new_transition(152092800, 2),
                crate::generated::new_transition(167821200, 1),
                crate::generated::new_transition(183542400, 2),
                crate::generated::new_transition(199270800, 1),
                crate::generated::new_transition(215596800, 2),
                crate::generated::new_transition(230720400, 1),
                crate::generated::new_transition(247046400, 2),
                crate::generated::new_transition(262774800, 1),
                crate::generated::new_transition(278496000, 2),
                crate::generated::new_transition(294224400, 1),
                crate::generated::new_transition(309945600, 2),
                crate::generated::new_transition(325674000, 1),
                crate::generated::new_transition(341395200, 2),
                crate::generated::new_transition(357123600, 1),
                crate::generated::new_transition(372844800, 2),
                crate::generated::new_transition(388573200, 1),
                crate::generated::new_transition(404899200, 2),
                crate::generated::new_transition(420022800, 1),
                crate::generated::new_transition(436348800, 2),
                crate::generated::new_transition(452077200, 1),
                crate::generated::new_transition(467798400, 2),
                crate::generated::new_transition(483526800, 1),
                crate::generated::new_transition(499248000, 2),
                crate::generated::new_transition(514976400, 1),
                crate::generated::new_transition(530697600, 2),
                crate::generated::new_transition(544611600, 1),
                crate::generated::new_transition(562147200, 2),
                crate::generated::new_transition(576061200, 1),
                crate::generated::new_transition(594201600, 2),
                crate::generated::new_transition(607510800, 1),
                crate::generated::new_transition(625651200, 2),
                crate::generated::new_transition(638960400, 1),
                crate::generated::new_transition(657100800, 2),
                crate::generated::new_transition(671014800, 1),
                crate::generated::new_transition(688550400, 2),
                crate::generated::new_transition(702464400, 1),
                crate::generated::new_transition(720000000, 2),
                crate::generated::new_transition(733914000, 1),
                crate::generated::new_transition(752054400, 2),
                crate::generated::new_transition(765363600, 1),
                crate::generated::new_transition(783504000, 2),
                crate::generated::new_transition(796813200, 1),
                crate::generated::new_transition(814953600, 2),
                crate::generated::new_transition(828867600, 1),
                crate::generated::new_transition(846403200, 2),
                crate::generated::new_transition(860317200, 1),
                crate::generated::new_transition(877852800, 2),
                crate::generated::new_transition(891766800, 1),
                crate::generated::new_transition(909302400, 2),
                crate::generated::new_transition(923216400, 1),
                crate::generated::new_transition(941356800, 2),
                crate::generated::new_transition(954666000, 1),
                crate::generated::new_transition(972806400, 2),
                crate::generated::new_transition(986115600, 1),
                crate::generated::new_transition(1004256000, 2),
                crate::generated::new_transition(1018170000, 1),
                crate::generated::new_transition(1035705600, 2),
                crate::generated::new_transition(1049619600, 1),
                crate::generated::new_transition(1067155200, 2),
                crate::generated::new_transition(1081069200, 1),
                crate::generated::new_transition(1099209600, 2),
                crate::generated::new_transition(1112518800, 1),
                crate::generated::new_transition(1130659200, 2),
                crate::generated::new_transition(1143968400, 1),
                crate::generated::new_transition(1162108800, 2),
                crate::generated::new_transition(1173603600, 1),
            ],
            &[
                crate::generated::new_local_time_type(-27232, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MWT")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MPT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                    crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_EIRUNEPE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1767208832, 2),
                crate::generated::new_transition(-1206950400, 1),
                crate::generated::new_transition(-1191355200, 2),
                crate::generated::new_transition(-1175367600, 1),
                crate::generated::new_transition(-1159819200, 2),
                crate::generated::new_transition(-633812400, 1),
                crate::generated::new_transition(-622062000, 2),
                crate::generated::new_transition(-602276400, 1),
                crate::generated::new_transition(-591825600, 2),
                crate::generated::new_transition(-570740400, 1),
                crate::generated::new_transition(-560203200, 2),
                crate::generated::new_transition(-539118000, 1),
                crate::generated::new_transition(-531345600, 2),
                crate::generated::new_transition(-191358000, 1),
                crate::generated::new_transition(-184190400, 2),
                crate::generated::new_transition(-155156400, 1),
                crate::generated::new_transition(-150062400, 2),
                crate::generated::new_transition(-128890800, 1),
                crate::generated::new_transition(-121118400, 2),
                crate::generated::new_transition(-99946800, 1),
                crate::generated::new_transition(-89582400, 2),
                crate::generated::new_transition(-68410800, 1),
                crate::generated::new_transition(-57960000, 2),
                crate::generated::new_transition(499755600, 1),
                crate::generated::new_transition(511243200, 2),
                crate::generated::new_transition(530600400, 1),
                crate::generated::new_transition(540273600, 2),
                crate::generated::new_transition(562136400, 1),
                crate::generated::new_transition(571204800, 2),
                crate::generated::new_transition(750834000, 1),
                crate::generated::new_transition(761716800, 2),
                crate::generated::new_transition(1214283600, 3),
                crate::generated::new_transition(1384056000, 2),
            ],
            &[
                crate::generated::new_local_time_type(-16768, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14400, true, Some(b"-04")),
                crate::generated::new_local_time_type(-18000, false, Some(b"-05")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-18000, false, Some(b"-05")),
            )),
        );

    pub(crate) const AMERICA_EL_SALVADOR: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1546279392, 2),
                crate::generated::new_transition(547020000, 1),
                crate::generated::new_transition(559717200, 2),
                crate::generated::new_transition(578469600, 1),
                crate::generated::new_transition(591166800, 2),
            ],
            &[
                crate::generated::new_local_time_type(-21408, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            )),
        );

    pub(crate) const AMERICA_ENSENADA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1514739600, 1),
                crate::generated::new_transition(-1451667600, 2),
                crate::generated::new_transition(-1343062800, 1),
                crate::generated::new_transition(-1234803600, 2),
                crate::generated::new_transition(-1222963200, 3),
                crate::generated::new_transition(-1207242000, 2),
                crate::generated::new_transition(-873820800, 4),
                crate::generated::new_transition(-769395600, 5),
                crate::generated::new_transition(-761677200, 2),
                crate::generated::new_transition(-686073600, 3),
                crate::generated::new_transition(-661539600, 2),
                crate::generated::new_transition(-495039600, 3),
                crate::generated::new_transition(-481734000, 2),
                crate::generated::new_transition(-463590000, 3),
                crate::generated::new_transition(-450284400, 2),
                crate::generated::new_transition(-431535600, 3),
                crate::generated::new_transition(-418230000, 2),
                crate::generated::new_transition(-400086000, 3),
                crate::generated::new_transition(-386780400, 2),
                crate::generated::new_transition(-368636400, 3),
                crate::generated::new_transition(-355330800, 2),
                crate::generated::new_transition(-337186800, 3),
                crate::generated::new_transition(-323881200, 2),
                crate::generated::new_transition(-305737200, 3),
                crate::generated::new_transition(-292431600, 2),
                crate::generated::new_transition(199274400, 3),
                crate::generated::new_transition(215600400, 2),
                crate::generated::new_transition(230724000, 3),
                crate::generated::new_transition(247050000, 2),
                crate::generated::new_transition(262778400, 3),
                crate::generated::new_transition(278499600, 2),
                crate::generated::new_transition(294228000, 3),
                crate::generated::new_transition(309949200, 2),
                crate::generated::new_transition(325677600, 3),
                crate::generated::new_transition(341398800, 2),
                crate::generated::new_transition(357127200, 3),
                crate::generated::new_transition(372848400, 2),
                crate::generated::new_transition(388576800, 3),
                crate::generated::new_transition(404902800, 2),
                crate::generated::new_transition(420026400, 3),
                crate::generated::new_transition(436352400, 2),
                crate::generated::new_transition(452080800, 3),
                crate::generated::new_transition(467802000, 2),
                crate::generated::new_transition(483530400, 3),
                crate::generated::new_transition(499251600, 2),
                crate::generated::new_transition(514980000, 3),
                crate::generated::new_transition(530701200, 2),
                crate::generated::new_transition(544615200, 3),
                crate::generated::new_transition(562150800, 2),
                crate::generated::new_transition(576064800, 3),
                crate::generated::new_transition(594205200, 2),
                crate::generated::new_transition(607514400, 3),
                crate::generated::new_transition(625654800, 2),
                crate::generated::new_transition(638964000, 3),
                crate::generated::new_transition(657104400, 2),
                crate::generated::new_transition(671018400, 3),
                crate::generated::new_transition(688554000, 2),
                crate::generated::new_transition(702468000, 3),
                crate::generated::new_transition(720003600, 2),
                crate::generated::new_transition(733917600, 3),
                crate::generated::new_transition(752058000, 2),
                crate::generated::new_transition(765367200, 3),
                crate::generated::new_transition(783507600, 2),
                crate::generated::new_transition(796816800, 3),
                crate::generated::new_transition(814957200, 2),
                crate::generated::new_transition(828871200, 3),
                crate::generated::new_transition(846406800, 2),
                crate::generated::new_transition(860320800, 3),
                crate::generated::new_transition(877856400, 2),
                crate::generated::new_transition(891770400, 3),
                crate::generated::new_transition(909306000, 2),
                crate::generated::new_transition(923220000, 3),
                crate::generated::new_transition(941360400, 2),
                crate::generated::new_transition(954669600, 3),
                crate::generated::new_transition(972810000, 2),
                crate::generated::new_transition(986119200, 3),
                crate::generated::new_transition(1004259600, 2),
                crate::generated::new_transition(1018173600, 3),
                crate::generated::new_transition(1035709200, 2),
                crate::generated::new_transition(1049623200, 3),
                crate::generated::new_transition(1067158800, 2),
                crate::generated::new_transition(1081072800, 3),
                crate::generated::new_transition(1099213200, 2),
                crate::generated::new_transition(1112522400, 3),
                crate::generated::new_transition(1130662800, 2),
                crate::generated::new_transition(1143972000, 3),
                crate::generated::new_transition(1162112400, 2),
                crate::generated::new_transition(1175421600, 3),
                crate::generated::new_transition(1193562000, 2),
                crate::generated::new_transition(1207476000, 3),
                crate::generated::new_transition(1225011600, 2),
                crate::generated::new_transition(1238925600, 3),
                crate::generated::new_transition(1256461200, 2),
                crate::generated::new_transition(1268560800, 3),
            ],
            &[
                crate::generated::new_local_time_type(-28084, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PWT")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PPT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
                    crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_FORTALEZA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1767216360, 2),
                crate::generated::new_transition(-1206957600, 1),
                crate::generated::new_transition(-1191362400, 2),
                crate::generated::new_transition(-1175374800, 1),
                crate::generated::new_transition(-1159826400, 2),
                crate::generated::new_transition(-633819600, 1),
                crate::generated::new_transition(-622069200, 2),
                crate::generated::new_transition(-602283600, 1),
                crate::generated::new_transition(-591832800, 2),
                crate::generated::new_transition(-570747600, 1),
                crate::generated::new_transition(-560210400, 2),
                crate::generated::new_transition(-539125200, 1),
                crate::generated::new_transition(-531352800, 2),
                crate::generated::new_transition(-191365200, 1),
                crate::generated::new_transition(-184197600, 2),
                crate::generated::new_transition(-155163600, 1),
                crate::generated::new_transition(-150069600, 2),
                crate::generated::new_transition(-128898000, 1),
                crate::generated::new_transition(-121125600, 2),
                crate::generated::new_transition(-99954000, 1),
                crate::generated::new_transition(-89589600, 2),
                crate::generated::new_transition(-68418000, 1),
                crate::generated::new_transition(-57967200, 2),
                crate::generated::new_transition(499748400, 1),
                crate::generated::new_transition(511236000, 2),
                crate::generated::new_transition(530593200, 1),
                crate::generated::new_transition(540266400, 2),
                crate::generated::new_transition(562129200, 1),
                crate::generated::new_transition(571197600, 2),
                crate::generated::new_transition(592974000, 1),
                crate::generated::new_transition(602042400, 2),
                crate::generated::new_transition(624423600, 1),
                crate::generated::new_transition(634701600, 2),
                crate::generated::new_transition(938919600, 1),
                crate::generated::new_transition(951616800, 2),
                crate::generated::new_transition(970974000, 1),
                crate::generated::new_transition(972180000, 2),
                crate::generated::new_transition(1003028400, 1),
                crate::generated::new_transition(1013911200, 2),
            ],
            &[
                crate::generated::new_local_time_type(-9240, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            )),
        );

    pub(crate) const AMERICA_FORT_NELSON: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2713880953, 2),
                crate::generated::new_transition(-1632060000, 1),
                crate::generated::new_transition(-1615129200, 2),
                crate::generated::new_transition(-880207200, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765385200, 2),
                crate::generated::new_transition(-715788000, 1),
                crate::generated::new_transition(-702486000, 2),
                crate::generated::new_transition(-684338400, 1),
                crate::generated::new_transition(-671036400, 2),
                crate::generated::new_transition(-652888800, 1),
                crate::generated::new_transition(-639586800, 2),
                crate::generated::new_transition(-620834400, 1),
                crate::generated::new_transition(-608137200, 2),
                crate::generated::new_transition(-589384800, 1),
                crate::generated::new_transition(-576082800, 2),
                crate::generated::new_transition(-557935200, 1),
                crate::generated::new_transition(-544633200, 2),
                crate::generated::new_transition(-526485600, 1),
                crate::generated::new_transition(-513183600, 2),
                crate::generated::new_transition(-495036000, 1),
                crate::generated::new_transition(-481734000, 2),
                crate::generated::new_transition(-463586400, 1),
                crate::generated::new_transition(-450284400, 2),
                crate::generated::new_transition(-431532000, 1),
                crate::generated::new_transition(-418230000, 2),
                crate::generated::new_transition(-400082400, 1),
                crate::generated::new_transition(-386780400, 2),
                crate::generated::new_transition(-368632800, 1),
                crate::generated::new_transition(-355330800, 2),
                crate::generated::new_transition(-337183200, 1),
                crate::generated::new_transition(-323881200, 2),
                crate::generated::new_transition(-305733600, 1),
                crate::generated::new_transition(-292431600, 2),
                crate::generated::new_transition(-273679200, 1),
                crate::generated::new_transition(-260982000, 2),
                crate::generated::new_transition(-242229600, 1),
                crate::generated::new_transition(-226508400, 2),
                crate::generated::new_transition(-210780000, 1),
                crate::generated::new_transition(-195058800, 2),
                crate::generated::new_transition(-179330400, 1),
                crate::generated::new_transition(-163609200, 2),
                crate::generated::new_transition(-147880800, 1),
                crate::generated::new_transition(-131554800, 2),
                crate::generated::new_transition(-116431200, 1),
                crate::generated::new_transition(-100105200, 2),
                crate::generated::new_transition(-84376800, 1),
                crate::generated::new_transition(-68655600, 2),
                crate::generated::new_transition(-52927200, 1),
                crate::generated::new_transition(-37206000, 2),
                crate::generated::new_transition(-21477600, 1),
                crate::generated::new_transition(-5756400, 2),
                crate::generated::new_transition(9972000, 1),
                crate::generated::new_transition(25693200, 2),
                crate::generated::new_transition(41421600, 1),
                crate::generated::new_transition(57747600, 2),
                crate::generated::new_transition(73476000, 1),
                crate::generated::new_transition(89197200, 2),
                crate::generated::new_transition(104925600, 1),
                crate::generated::new_transition(120646800, 2),
                crate::generated::new_transition(136375200, 1),
                crate::generated::new_transition(152096400, 2),
                crate::generated::new_transition(167824800, 1),
                crate::generated::new_transition(183546000, 2),
                crate::generated::new_transition(199274400, 1),
                crate::generated::new_transition(215600400, 2),
                crate::generated::new_transition(230724000, 1),
                crate::generated::new_transition(247050000, 2),
                crate::generated::new_transition(262778400, 1),
                crate::generated::new_transition(278499600, 2),
                crate::generated::new_transition(294228000, 1),
                crate::generated::new_transition(309949200, 2),
                crate::generated::new_transition(325677600, 1),
                crate::generated::new_transition(341398800, 2),
                crate::generated::new_transition(357127200, 1),
                crate::generated::new_transition(372848400, 2),
                crate::generated::new_transition(388576800, 1),
                crate::generated::new_transition(404902800, 2),
                crate::generated::new_transition(420026400, 1),
                crate::generated::new_transition(436352400, 2),
                crate::generated::new_transition(452080800, 1),
                crate::generated::new_transition(467802000, 2),
                crate::generated::new_transition(483530400, 1),
                crate::generated::new_transition(499251600, 2),
                crate::generated::new_transition(514980000, 1),
                crate::generated::new_transition(530701200, 2),
                crate::generated::new_transition(544615200, 1),
                crate::generated::new_transition(562150800, 2),
                crate::generated::new_transition(576064800, 1),
                crate::generated::new_transition(594205200, 2),
                crate::generated::new_transition(607514400, 1),
                crate::generated::new_transition(625654800, 2),
                crate::generated::new_transition(638964000, 1),
                crate::generated::new_transition(657104400, 2),
                crate::generated::new_transition(671018400, 1),
                crate::generated::new_transition(688554000, 2),
                crate::generated::new_transition(702468000, 1),
                crate::generated::new_transition(720003600, 2),
                crate::generated::new_transition(733917600, 1),
                crate::generated::new_transition(752058000, 2),
                crate::generated::new_transition(765367200, 1),
                crate::generated::new_transition(783507600, 2),
                crate::generated::new_transition(796816800, 1),
                crate::generated::new_transition(814957200, 2),
                crate::generated::new_transition(828871200, 1),
                crate::generated::new_transition(846406800, 2),
                crate::generated::new_transition(860320800, 1),
                crate::generated::new_transition(877856400, 2),
                crate::generated::new_transition(891770400, 1),
                crate::generated::new_transition(909306000, 2),
                crate::generated::new_transition(923220000, 1),
                crate::generated::new_transition(941360400, 2),
                crate::generated::new_transition(954669600, 1),
                crate::generated::new_transition(972810000, 2),
                crate::generated::new_transition(986119200, 1),
                crate::generated::new_transition(1004259600, 2),
                crate::generated::new_transition(1018173600, 1),
                crate::generated::new_transition(1035709200, 2),
                crate::generated::new_transition(1049623200, 1),
                crate::generated::new_transition(1067158800, 2),
                crate::generated::new_transition(1081072800, 1),
                crate::generated::new_transition(1099213200, 2),
                crate::generated::new_transition(1112522400, 1),
                crate::generated::new_transition(1130662800, 2),
                crate::generated::new_transition(1143972000, 1),
                crate::generated::new_transition(1162112400, 2),
                crate::generated::new_transition(1173607200, 1),
                crate::generated::new_transition(1194166800, 2),
                crate::generated::new_transition(1205056800, 1),
                crate::generated::new_transition(1225616400, 2),
                crate::generated::new_transition(1236506400, 1),
                crate::generated::new_transition(1257066000, 2),
                crate::generated::new_transition(1268560800, 1),
                crate::generated::new_transition(1289120400, 2),
                crate::generated::new_transition(1300010400, 1),
                crate::generated::new_transition(1320570000, 2),
                crate::generated::new_transition(1331460000, 1),
                crate::generated::new_transition(1352019600, 2),
                crate::generated::new_transition(1362909600, 1),
                crate::generated::new_transition(1383469200, 2),
                crate::generated::new_transition(1394359200, 1),
                crate::generated::new_transition(1414918800, 2),
                crate::generated::new_transition(1425808800, 5),
            ],
            &[
                crate::generated::new_local_time_type(-29447, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
                crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PWT")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PPT")),
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
            )),
        );

    pub(crate) const AMERICA_FORT_WAYNE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2717647200, 2),
                crate::generated::new_transition(-1633276800, 1),
                crate::generated::new_transition(-1615136400, 2),
                crate::generated::new_transition(-1601827200, 1),
                crate::generated::new_transition(-1583686800, 2),
                crate::generated::new_transition(-900259200, 1),
                crate::generated::new_transition(-891795600, 2),
                crate::generated::new_transition(-880214400, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765392400, 2),
                crate::generated::new_transition(-747244800, 1),
                crate::generated::new_transition(-733942800, 2),
                crate::generated::new_transition(-715795200, 1),
                crate::generated::new_transition(-702493200, 2),
                crate::generated::new_transition(-684345600, 1),
                crate::generated::new_transition(-671043600, 2),
                crate::generated::new_transition(-652896000, 1),
                crate::generated::new_transition(-639594000, 2),
                crate::generated::new_transition(-620841600, 1),
                crate::generated::new_transition(-608144400, 2),
                crate::generated::new_transition(-589392000, 1),
                crate::generated::new_transition(-576090000, 2),
                crate::generated::new_transition(-557942400, 1),
                crate::generated::new_transition(-544640400, 2),
                crate::generated::new_transition(-526492800, 1),
                crate::generated::new_transition(-513190800, 2),
                crate::generated::new_transition(-495043200, 1),
                crate::generated::new_transition(-481741200, 2),
                crate::generated::new_transition(-463593600, 5),
                crate::generated::new_transition(-386787600, 2),
                crate::generated::new_transition(-368640000, 5),
                crate::generated::new_transition(-21488400, 6),
                crate::generated::new_transition(-5767200, 5),
                crate::generated::new_transition(9961200, 6),
                crate::generated::new_transition(25682400, 5),
                crate::generated::new_transition(1143961200, 6),
                crate::generated::new_transition(1162101600, 5),
                crate::generated::new_transition(1173596400, 6),
            ],
            &[
                crate::generated::new_local_time_type(-20678, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CWT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CPT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                    crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_GLACE_BAY: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2131646412, 2),
                crate::generated::new_transition(-1632074400, 1),
                crate::generated::new_transition(-1615143600, 2),
                crate::generated::new_transition(-880221600, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765399600, 2),
                crate::generated::new_transition(-526500000, 1),
                crate::generated::new_transition(-513198000, 2),
                crate::generated::new_transition(73461600, 1),
                crate::generated::new_transition(89182800, 2),
                crate::generated::new_transition(104911200, 1),
                crate::generated::new_transition(120632400, 2),
                crate::generated::new_transition(136360800, 1),
                crate::generated::new_transition(152082000, 2),
                crate::generated::new_transition(167810400, 1),
                crate::generated::new_transition(183531600, 2),
                crate::generated::new_transition(199260000, 1),
                crate::generated::new_transition(215586000, 2),
                crate::generated::new_transition(230709600, 1),
                crate::generated::new_transition(247035600, 2),
                crate::generated::new_transition(262764000, 1),
                crate::generated::new_transition(278485200, 2),
                crate::generated::new_transition(294213600, 1),
                crate::generated::new_transition(309934800, 2),
                crate::generated::new_transition(325663200, 1),
                crate::generated::new_transition(341384400, 2),
                crate::generated::new_transition(357112800, 1),
                crate::generated::new_transition(372834000, 2),
                crate::generated::new_transition(388562400, 1),
                crate::generated::new_transition(404888400, 2),
                crate::generated::new_transition(420012000, 1),
                crate::generated::new_transition(436338000, 2),
                crate::generated::new_transition(452066400, 1),
                crate::generated::new_transition(467787600, 2),
                crate::generated::new_transition(483516000, 1),
                crate::generated::new_transition(499237200, 2),
                crate::generated::new_transition(514965600, 1),
                crate::generated::new_transition(530686800, 2),
                crate::generated::new_transition(544600800, 1),
                crate::generated::new_transition(562136400, 2),
                crate::generated::new_transition(576050400, 1),
                crate::generated::new_transition(594190800, 2),
                crate::generated::new_transition(607500000, 1),
                crate::generated::new_transition(625640400, 2),
                crate::generated::new_transition(638949600, 1),
                crate::generated::new_transition(657090000, 2),
                crate::generated::new_transition(671004000, 1),
                crate::generated::new_transition(688539600, 2),
                crate::generated::new_transition(702453600, 1),
                crate::generated::new_transition(719989200, 2),
                crate::generated::new_transition(733903200, 1),
                crate::generated::new_transition(752043600, 2),
                crate::generated::new_transition(765352800, 1),
                crate::generated::new_transition(783493200, 2),
                crate::generated::new_transition(796802400, 1),
                crate::generated::new_transition(814942800, 2),
                crate::generated::new_transition(828856800, 1),
                crate::generated::new_transition(846392400, 2),
                crate::generated::new_transition(860306400, 1),
                crate::generated::new_transition(877842000, 2),
                crate::generated::new_transition(891756000, 1),
                crate::generated::new_transition(909291600, 2),
                crate::generated::new_transition(923205600, 1),
                crate::generated::new_transition(941346000, 2),
                crate::generated::new_transition(954655200, 1),
                crate::generated::new_transition(972795600, 2),
                crate::generated::new_transition(986104800, 1),
                crate::generated::new_transition(1004245200, 2),
                crate::generated::new_transition(1018159200, 1),
                crate::generated::new_transition(1035694800, 2),
                crate::generated::new_transition(1049608800, 1),
                crate::generated::new_transition(1067144400, 2),
                crate::generated::new_transition(1081058400, 1),
                crate::generated::new_transition(1099198800, 2),
                crate::generated::new_transition(1112508000, 1),
                crate::generated::new_transition(1130648400, 2),
                crate::generated::new_transition(1143957600, 1),
                crate::generated::new_transition(1162098000, 2),
                crate::generated::new_transition(1173592800, 1),
            ],
            &[
                crate::generated::new_local_time_type(-14388, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-10800, true, Some(b"ADT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
                crate::generated::new_local_time_type(-10800, true, Some(b"AWT")),
                crate::generated::new_local_time_type(-10800, true, Some(b"APT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
                    crate::generated::new_local_time_type(-10800, true, Some(b"ADT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_GODTHAB: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1686083584, 1),
                crate::generated::new_transition(323845200, 2),
                crate::generated::new_transition(338950800, 1),
                crate::generated::new_transition(354675600, 2),
                crate::generated::new_transition(370400400, 1),
                crate::generated::new_transition(386125200, 2),
                crate::generated::new_transition(401850000, 1),
                crate::generated::new_transition(417574800, 2),
                crate::generated::new_transition(433299600, 1),
                crate::generated::new_transition(449024400, 2),
                crate::generated::new_transition(465354000, 1),
                crate::generated::new_transition(481078800, 2),
                crate::generated::new_transition(496803600, 1),
                crate::generated::new_transition(512528400, 2),
                crate::generated::new_transition(528253200, 1),
                crate::generated::new_transition(543978000, 2),
                crate::generated::new_transition(559702800, 1),
                crate::generated::new_transition(575427600, 2),
                crate::generated::new_transition(591152400, 1),
                crate::generated::new_transition(606877200, 2),
                crate::generated::new_transition(622602000, 1),
                crate::generated::new_transition(638326800, 2),
                crate::generated::new_transition(654656400, 1),
                crate::generated::new_transition(670381200, 2),
                crate::generated::new_transition(686106000, 1),
                crate::generated::new_transition(701830800, 2),
                crate::generated::new_transition(717555600, 1),
                crate::generated::new_transition(733280400, 2),
                crate::generated::new_transition(749005200, 1),
                crate::generated::new_transition(764730000, 2),
                crate::generated::new_transition(780454800, 1),
                crate::generated::new_transition(796179600, 2),
                crate::generated::new_transition(811904400, 1),
                crate::generated::new_transition(828234000, 2),
                crate::generated::new_transition(846378000, 1),
                crate::generated::new_transition(859683600, 2),
                crate::generated::new_transition(877827600, 1),
                crate::generated::new_transition(891133200, 2),
                crate::generated::new_transition(909277200, 1),
                crate::generated::new_transition(922582800, 2),
                crate::generated::new_transition(941331600, 1),
                crate::generated::new_transition(954032400, 2),
                crate::generated::new_transition(972781200, 1),
                crate::generated::new_transition(985482000, 2),
                crate::generated::new_transition(1004230800, 1),
                crate::generated::new_transition(1017536400, 2),
                crate::generated::new_transition(1035680400, 1),
                crate::generated::new_transition(1048986000, 2),
                crate::generated::new_transition(1067130000, 1),
                crate::generated::new_transition(1080435600, 2),
                crate::generated::new_transition(1099184400, 1),
                crate::generated::new_transition(1111885200, 2),
                crate::generated::new_transition(1130634000, 1),
                crate::generated::new_transition(1143334800, 2),
                crate::generated::new_transition(1162083600, 1),
                crate::generated::new_transition(1174784400, 2),
                crate::generated::new_transition(1193533200, 1),
                crate::generated::new_transition(1206838800, 2),
                crate::generated::new_transition(1224982800, 1),
                crate::generated::new_transition(1238288400, 2),
                crate::generated::new_transition(1256432400, 1),
                crate::generated::new_transition(1269738000, 2),
                crate::generated::new_transition(1288486800, 1),
                crate::generated::new_transition(1301187600, 2),
                crate::generated::new_transition(1319936400, 1),
                crate::generated::new_transition(1332637200, 2),
                crate::generated::new_transition(1351386000, 1),
                crate::generated::new_transition(1364691600, 2),
                crate::generated::new_transition(1382835600, 1),
                crate::generated::new_transition(1396141200, 2),
                crate::generated::new_transition(1414285200, 1),
                crate::generated::new_transition(1427590800, 2),
                crate::generated::new_transition(1445734800, 1),
                crate::generated::new_transition(1459040400, 2),
                crate::generated::new_transition(1477789200, 1),
                crate::generated::new_transition(1490490000, 2),
                crate::generated::new_transition(1509238800, 1),
                crate::generated::new_transition(1521939600, 2),
                crate::generated::new_transition(1540688400, 1),
                crate::generated::new_transition(1553994000, 2),
                crate::generated::new_transition(1572138000, 1),
                crate::generated::new_transition(1585443600, 2),
                crate::generated::new_transition(1603587600, 1),
                crate::generated::new_transition(1616893200, 2),
                crate::generated::new_transition(1635642000, 1),
                crate::generated::new_transition(1648342800, 2),
                crate::generated::new_transition(1667091600, 1),
                crate::generated::new_transition(1679792400, 2),
                crate::generated::new_transition(1698541200, 3),
            ],
            &[
                crate::generated::new_local_time_type(-12416, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
                crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
                crate::generated::new_local_time_type(-7200, false, Some(b"-02")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-7200, false, Some(b"-02")),
                    crate::generated::new_local_time_type(-3600, true, Some(b"-01")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    -3600,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    0,
                ),
            )),
        );

    pub(crate) const AMERICA_GOOSE_BAY: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2713895900, 1),
                crate::generated::new_transition(-1632076148, 2),
                crate::generated::new_transition(-1615145348, 1),
                crate::generated::new_transition(-1096921748, 3),
                crate::generated::new_transition(-1061670600, 4),
                crate::generated::new_transition(-1048973400, 3),
                crate::generated::new_transition(-1030221000, 4),
                crate::generated::new_transition(-1017523800, 3),
                crate::generated::new_transition(-998771400, 4),
                crate::generated::new_transition(-986074200, 3),
                crate::generated::new_transition(-966717000, 4),
                crate::generated::new_transition(-954624600, 3),
                crate::generated::new_transition(-935267400, 4),
                crate::generated::new_transition(-922570200, 3),
                crate::generated::new_transition(-903817800, 4),
                crate::generated::new_transition(-891120600, 3),
                crate::generated::new_transition(-872368200, 6),
                crate::generated::new_transition(-769395600, 5),
                crate::generated::new_transition(-765401400, 3),
                crate::generated::new_transition(-746044200, 4),
                crate::generated::new_transition(-733347000, 3),
                crate::generated::new_transition(-714594600, 4),
                crate::generated::new_transition(-701897400, 3),
                crate::generated::new_transition(-683145000, 4),
                crate::generated::new_transition(-670447800, 3),
                crate::generated::new_transition(-651695400, 4),
                crate::generated::new_transition(-638998200, 3),
                crate::generated::new_transition(-619641000, 4),
                crate::generated::new_transition(-606943800, 3),
                crate::generated::new_transition(-589401000, 4),
                crate::generated::new_transition(-576099000, 3),
                crate::generated::new_transition(-557951400, 4),
                crate::generated::new_transition(-544649400, 3),
                crate::generated::new_transition(-526501800, 4),
                crate::generated::new_transition(-513199800, 3),
                crate::generated::new_transition(-495052200, 4),
                crate::generated::new_transition(-481750200, 3),
                crate::generated::new_transition(-463602600, 4),
                crate::generated::new_transition(-450300600, 3),
                crate::generated::new_transition(-431548200, 4),
                crate::generated::new_transition(-418246200, 3),
                crate::generated::new_transition(-400098600, 4),
                crate::generated::new_transition(-386796600, 3),
                crate::generated::new_transition(-368649000, 4),
                crate::generated::new_transition(-355347000, 3),
                crate::generated::new_transition(-337199400, 4),
                crate::generated::new_transition(-323897400, 3),
                crate::generated::new_transition(-305749800, 4),
                crate::generated::new_transition(-289423800, 3),
                crate::generated::new_transition(-273695400, 4),
                crate::generated::new_transition(-257974200, 3),
                crate::generated::new_transition(-242245800, 4),
                crate::generated::new_transition(-226524600, 3),
                crate::generated::new_transition(-210796200, 4),
                crate::generated::new_transition(-195075000, 3),
                crate::generated::new_transition(-179346600, 4),
                crate::generated::new_transition(-163625400, 3),
                crate::generated::new_transition(-147897000, 4),
                crate::generated::new_transition(-131571000, 3),
                crate::generated::new_transition(-119903400, 8),
                crate::generated::new_transition(-116445600, 7),
                crate::generated::new_transition(-100119600, 8),
                crate::generated::new_transition(-84391200, 7),
                crate::generated::new_transition(-68670000, 8),
                crate::generated::new_transition(-52941600, 7),
                crate::generated::new_transition(-37220400, 8),
                crate::generated::new_transition(-21492000, 7),
                crate::generated::new_transition(-5770800, 8),
                crate::generated::new_transition(9957600, 7),
                crate::generated::new_transition(25678800, 8),
                crate::generated::new_transition(41407200, 7),
                crate::generated::new_transition(57733200, 8),
                crate::generated::new_transition(73461600, 7),
                crate::generated::new_transition(89182800, 8),
                crate::generated::new_transition(104911200, 7),
                crate::generated::new_transition(120632400, 8),
                crate::generated::new_transition(136360800, 7),
                crate::generated::new_transition(152082000, 8),
                crate::generated::new_transition(167810400, 7),
                crate::generated::new_transition(183531600, 8),
                crate::generated::new_transition(199260000, 7),
                crate::generated::new_transition(215586000, 8),
                crate::generated::new_transition(230709600, 7),
                crate::generated::new_transition(247035600, 8),
                crate::generated::new_transition(262764000, 7),
                crate::generated::new_transition(278485200, 8),
                crate::generated::new_transition(294213600, 7),
                crate::generated::new_transition(309934800, 8),
                crate::generated::new_transition(325663200, 7),
                crate::generated::new_transition(341384400, 8),
                crate::generated::new_transition(357112800, 7),
                crate::generated::new_transition(372834000, 8),
                crate::generated::new_transition(388562400, 7),
                crate::generated::new_transition(404888400, 8),
                crate::generated::new_transition(420012000, 7),
                crate::generated::new_transition(436338000, 8),
                crate::generated::new_transition(452066400, 7),
                crate::generated::new_transition(467787600, 8),
                crate::generated::new_transition(483516000, 7),
                crate::generated::new_transition(499237200, 8),
                crate::generated::new_transition(514965600, 7),
                crate::generated::new_transition(530686800, 8),
                crate::generated::new_transition(544593660, 7),
                crate::generated::new_transition(562129260, 8),
                crate::generated::new_transition(576043260, 9),
                crate::generated::new_transition(594180060, 8),
                crate::generated::new_transition(607492860, 7),
                crate::generated::new_transition(625633260, 8),
                crate::generated::new_transition(638942460, 7),
                crate::generated::new_transition(657082860, 8),
                crate::generated::new_transition(670996860, 7),
                crate::generated::new_transition(688532460, 8),
                crate::generated::new_transition(702446460, 7),
                crate::generated::new_transition(719982060, 8),
                crate::generated::new_transition(733896060, 7),
                crate::generated::new_transition(752036460, 8),
                crate::generated::new_transition(765345660, 7),
                crate::generated::new_transition(783486060, 8),
                crate::generated::new_transition(796795260, 7),
                crate::generated::new_transition(814935660, 8),
                crate::generated::new_transition(828849660, 7),
                crate::generated::new_transition(846385260, 8),
                crate::generated::new_transition(860299260, 7),
                crate::generated::new_transition(877834860, 8),
                crate::generated::new_transition(891748860, 7),
                crate::generated::new_transition(909284460, 8),
                crate::generated::new_transition(923198460, 7),
                crate::generated::new_transition(941338860, 8),
                crate::generated::new_transition(954648060, 7),
                crate::generated::new_transition(972788460, 8),
                crate::generated::new_transition(986097660, 7),
                crate::generated::new_transition(1004238060, 8),
                crate::generated::new_transition(1018152060, 7),
                crate::generated::new_transition(1035687660, 8),
                crate::generated::new_transition(1049601660, 7),
                crate::generated::new_transition(1067137260, 8),
                crate::generated::new_transition(1081051260, 7),
                crate::generated::new_transition(1099191660, 8),
                crate::generated::new_transition(1112500860, 7),
                crate::generated::new_transition(1130641260, 8),
                crate::generated::new_transition(1143950460, 7),
                crate::generated::new_transition(1162090860, 8),
                crate::generated::new_transition(1173585660, 7),
                crate::generated::new_transition(1194145260, 8),
                crate::generated::new_transition(1205035260, 7),
                crate::generated::new_transition(1225594860, 8),
                crate::generated::new_transition(1236484860, 7),
                crate::generated::new_transition(1257044460, 8),
                crate::generated::new_transition(1268539260, 7),
                crate::generated::new_transition(1289098860, 8),
                crate::generated::new_transition(1299988860, 7),
                crate::generated::new_transition(1320555600, 8),
            ],
            &[
                crate::generated::new_local_time_type(-14500, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-12652, false, Some(b"NST")),
                crate::generated::new_local_time_type(-9052, true, Some(b"NDT")),
                crate::generated::new_local_time_type(-12600, false, Some(b"NST")),
                crate::generated::new_local_time_type(-9000, true, Some(b"NDT")),
                crate::generated::new_local_time_type(-9000, true, Some(b"NPT")),
                crate::generated::new_local_time_type(-9000, true, Some(b"NWT")),
                crate::generated::new_local_time_type(-10800, true, Some(b"ADT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
                crate::generated::new_local_time_type(-7200, true, Some(b"ADDT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
                    crate::generated::new_local_time_type(-10800, true, Some(b"ADT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_GRAND_TURK: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524504528, 1),
                crate::generated::new_transition(-1827687170, 2),
                crate::generated::new_transition(294217200, 3),
                crate::generated::new_transition(309938400, 2),
                crate::generated::new_transition(325666800, 3),
                crate::generated::new_transition(341388000, 2),
                crate::generated::new_transition(357116400, 3),
                crate::generated::new_transition(372837600, 2),
                crate::generated::new_transition(388566000, 3),
                crate::generated::new_transition(404892000, 2),
                crate::generated::new_transition(420015600, 3),
                crate::generated::new_transition(436341600, 2),
                crate::generated::new_transition(452070000, 3),
                crate::generated::new_transition(467791200, 2),
                crate::generated::new_transition(483519600, 3),
                crate::generated::new_transition(499240800, 2),
                crate::generated::new_transition(514969200, 3),
                crate::generated::new_transition(530690400, 2),
                crate::generated::new_transition(544604400, 3),
                crate::generated::new_transition(562140000, 2),
                crate::generated::new_transition(576054000, 3),
                crate::generated::new_transition(594194400, 2),
                crate::generated::new_transition(607503600, 3),
                crate::generated::new_transition(625644000, 2),
                crate::generated::new_transition(638953200, 3),
                crate::generated::new_transition(657093600, 2),
                crate::generated::new_transition(671007600, 3),
                crate::generated::new_transition(688543200, 2),
                crate::generated::new_transition(702457200, 3),
                crate::generated::new_transition(719992800, 2),
                crate::generated::new_transition(733906800, 3),
                crate::generated::new_transition(752047200, 2),
                crate::generated::new_transition(765356400, 3),
                crate::generated::new_transition(783496800, 2),
                crate::generated::new_transition(796806000, 3),
                crate::generated::new_transition(814946400, 2),
                crate::generated::new_transition(828860400, 3),
                crate::generated::new_transition(846396000, 2),
                crate::generated::new_transition(860310000, 3),
                crate::generated::new_transition(877845600, 2),
                crate::generated::new_transition(891759600, 3),
                crate::generated::new_transition(909295200, 2),
                crate::generated::new_transition(923209200, 3),
                crate::generated::new_transition(941349600, 2),
                crate::generated::new_transition(954658800, 3),
                crate::generated::new_transition(972799200, 2),
                crate::generated::new_transition(986108400, 3),
                crate::generated::new_transition(1004248800, 2),
                crate::generated::new_transition(1018162800, 3),
                crate::generated::new_transition(1035698400, 2),
                crate::generated::new_transition(1049612400, 3),
                crate::generated::new_transition(1067148000, 2),
                crate::generated::new_transition(1081062000, 3),
                crate::generated::new_transition(1099202400, 2),
                crate::generated::new_transition(1112511600, 3),
                crate::generated::new_transition(1130652000, 2),
                crate::generated::new_transition(1143961200, 3),
                crate::generated::new_transition(1162101600, 2),
                crate::generated::new_transition(1173596400, 3),
                crate::generated::new_transition(1194156000, 2),
                crate::generated::new_transition(1205046000, 3),
                crate::generated::new_transition(1225605600, 2),
                crate::generated::new_transition(1236495600, 3),
                crate::generated::new_transition(1257055200, 2),
                crate::generated::new_transition(1268550000, 3),
                crate::generated::new_transition(1289109600, 2),
                crate::generated::new_transition(1299999600, 3),
                crate::generated::new_transition(1320559200, 2),
                crate::generated::new_transition(1331449200, 3),
                crate::generated::new_transition(1352008800, 2),
                crate::generated::new_transition(1362898800, 3),
                crate::generated::new_transition(1383458400, 2),
                crate::generated::new_transition(1394348400, 3),
                crate::generated::new_transition(1414908000, 2),
                crate::generated::new_transition(1425798000, 4),
                crate::generated::new_transition(1520751600, 3),
            ],
            &[
                crate::generated::new_local_time_type(-17072, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-18430, false, Some(b"KMT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                    crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_GRENADA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-1846266780, 1)],
            &[
                crate::generated::new_local_time_type(-14820, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_GUADELOUPE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-1848254032, 1)],
            &[
                crate::generated::new_local_time_type(-14768, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_GUATEMALA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1617040676, 2),
                crate::generated::new_transition(123055200, 1),
                crate::generated::new_transition(130914000, 2),
                crate::generated::new_transition(422344800, 1),
                crate::generated::new_transition(433054800, 2),
                crate::generated::new_transition(669708000, 1),
                crate::generated::new_transition(684219600, 2),
                crate::generated::new_transition(1146376800, 1),
                crate::generated::new_transition(1159678800, 2),
            ],
            &[
                crate::generated::new_local_time_type(-21724, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            )),
        );

    pub(crate) const AMERICA_GUAYAQUIL: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524502440, 1),
                crate::generated::new_transition(-1230749160, 3),
                crate::generated::new_transition(722926800, 2),
                crate::generated::new_transition(728884800, 3),
            ],
            &[
                crate::generated::new_local_time_type(-19160, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-18840, false, Some(b"QMT")),
                crate::generated::new_local_time_type(-14400, true, Some(b"-04")),
                crate::generated::new_local_time_type(-18000, false, Some(b"-05")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-18000, false, Some(b"-05")),
            )),
        );

    pub(crate) const AMERICA_GUYANA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1843589241, 1),
            crate::generated::new_transition(-1730577600, 2),
            crate::generated::new_transition(176096700, 3),
            crate::generated::new_transition(701841600, 1),
        ],
        &[
            crate::generated::new_local_time_type(-13959, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
            crate::generated::new_local_time_type(-13500, false, Some(b"-0345")),
            crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
        )),
    );

    pub(crate) const AMERICA_HALIFAX: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2131645536, 2),
                crate::generated::new_transition(-1696276800, 1),
                crate::generated::new_transition(-1680469200, 2),
                crate::generated::new_transition(-1632074400, 1),
                crate::generated::new_transition(-1615143600, 2),
                crate::generated::new_transition(-1566763200, 1),
                crate::generated::new_transition(-1557090000, 2),
                crate::generated::new_transition(-1535486400, 1),
                crate::generated::new_transition(-1524949200, 2),
                crate::generated::new_transition(-1504468800, 1),
                crate::generated::new_transition(-1493413200, 2),
                crate::generated::new_transition(-1472414400, 1),
                crate::generated::new_transition(-1461963600, 2),
                crate::generated::new_transition(-1440964800, 1),
                crate::generated::new_transition(-1429390800, 2),
                crate::generated::new_transition(-1409515200, 1),
                crate::generated::new_transition(-1396731600, 2),
                crate::generated::new_transition(-1376856000, 1),
                crate::generated::new_transition(-1366491600, 2),
                crate::generated::new_transition(-1346616000, 1),
                crate::generated::new_transition(-1333832400, 2),
                crate::generated::new_transition(-1313956800, 1),
                crate::generated::new_transition(-1303678800, 2),
                crate::generated::new_transition(-1282507200, 1),
                crate::generated::new_transition(-1272661200, 2),
                crate::generated::new_transition(-1251057600, 1),
                crate::generated::new_transition(-1240088400, 2),
                crate::generated::new_transition(-1219608000, 1),
                crate::generated::new_transition(-1207429200, 2),
                crate::generated::new_transition(-1188763200, 1),
                crate::generated::new_transition(-1175979600, 2),
                crate::generated::new_transition(-1157313600, 1),
                crate::generated::new_transition(-1143925200, 2),
                crate::generated::new_transition(-1124049600, 1),
                crate::generated::new_transition(-1113771600, 2),
                crate::generated::new_transition(-1091390400, 1),
                crate::generated::new_transition(-1081026000, 2),
                crate::generated::new_transition(-1059854400, 1),
                crate::generated::new_transition(-1050786000, 2),
                crate::generated::new_transition(-1030910400, 1),
                crate::generated::new_transition(-1018126800, 2),
                crate::generated::new_transition(-999460800, 1),
                crate::generated::new_transition(-986677200, 2),
                crate::generated::new_transition(-965592000, 1),
                crate::generated::new_transition(-955227600, 2),
                crate::generated::new_transition(-935956800, 1),
                crate::generated::new_transition(-923173200, 2),
                crate::generated::new_transition(-904507200, 1),
                crate::generated::new_transition(-891723600, 2),
                crate::generated::new_transition(-880221600, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765399600, 2),
                crate::generated::new_transition(-747252000, 1),
                crate::generated::new_transition(-733950000, 2),
                crate::generated::new_transition(-715802400, 1),
                crate::generated::new_transition(-702500400, 2),
                crate::generated::new_transition(-684352800, 1),
                crate::generated::new_transition(-671050800, 2),
                crate::generated::new_transition(-652903200, 1),
                crate::generated::new_transition(-639601200, 2),
                crate::generated::new_transition(-589399200, 1),
                crate::generated::new_transition(-576097200, 2),
                crate::generated::new_transition(-557949600, 1),
                crate::generated::new_transition(-544647600, 2),
                crate::generated::new_transition(-526500000, 1),
                crate::generated::new_transition(-513198000, 2),
                crate::generated::new_transition(-495050400, 1),
                crate::generated::new_transition(-481748400, 2),
                crate::generated::new_transition(-431546400, 1),
                crate::generated::new_transition(-418244400, 2),
                crate::generated::new_transition(-400096800, 1),
                crate::generated::new_transition(-386794800, 2),
                crate::generated::new_transition(-368647200, 1),
                crate::generated::new_transition(-355345200, 2),
                crate::generated::new_transition(-337197600, 1),
                crate::generated::new_transition(-323895600, 2),
                crate::generated::new_transition(-242244000, 1),
                crate::generated::new_transition(-226522800, 2),
                crate::generated::new_transition(-210794400, 1),
                crate::generated::new_transition(-195073200, 2),
                crate::generated::new_transition(-179344800, 1),
                crate::generated::new_transition(-163623600, 2),
                crate::generated::new_transition(-147895200, 1),
                crate::generated::new_transition(-131569200, 2),
                crate::generated::new_transition(-116445600, 1),
                crate::generated::new_transition(-100119600, 2),
                crate::generated::new_transition(-84391200, 1),
                crate::generated::new_transition(-68670000, 2),
                crate::generated::new_transition(-52941600, 1),
                crate::generated::new_transition(-37220400, 2),
                crate::generated::new_transition(-21492000, 1),
                crate::generated::new_transition(-5770800, 2),
                crate::generated::new_transition(9957600, 1),
                crate::generated::new_transition(25678800, 2),
                crate::generated::new_transition(41407200, 1),
                crate::generated::new_transition(57733200, 2),
                crate::generated::new_transition(73461600, 1),
                crate::generated::new_transition(89182800, 2),
                crate::generated::new_transition(104911200, 1),
                crate::generated::new_transition(120632400, 2),
                crate::generated::new_transition(136360800, 1),
                crate::generated::new_transition(152082000, 2),
                crate::generated::new_transition(167810400, 1),
                crate::generated::new_transition(183531600, 2),
                crate::generated::new_transition(199260000, 1),
                crate::generated::new_transition(215586000, 2),
                crate::generated::new_transition(230709600, 1),
                crate::generated::new_transition(247035600, 2),
                crate::generated::new_transition(262764000, 1),
                crate::generated::new_transition(278485200, 2),
                crate::generated::new_transition(294213600, 1),
                crate::generated::new_transition(309934800, 2),
                crate::generated::new_transition(325663200, 1),
                crate::generated::new_transition(341384400, 2),
                crate::generated::new_transition(357112800, 1),
                crate::generated::new_transition(372834000, 2),
                crate::generated::new_transition(388562400, 1),
                crate::generated::new_transition(404888400, 2),
                crate::generated::new_transition(420012000, 1),
                crate::generated::new_transition(436338000, 2),
                crate::generated::new_transition(452066400, 1),
                crate::generated::new_transition(467787600, 2),
                crate::generated::new_transition(483516000, 1),
                crate::generated::new_transition(499237200, 2),
                crate::generated::new_transition(514965600, 1),
                crate::generated::new_transition(530686800, 2),
                crate::generated::new_transition(544600800, 1),
                crate::generated::new_transition(562136400, 2),
                crate::generated::new_transition(576050400, 1),
                crate::generated::new_transition(594190800, 2),
                crate::generated::new_transition(607500000, 1),
                crate::generated::new_transition(625640400, 2),
                crate::generated::new_transition(638949600, 1),
                crate::generated::new_transition(657090000, 2),
                crate::generated::new_transition(671004000, 1),
                crate::generated::new_transition(688539600, 2),
                crate::generated::new_transition(702453600, 1),
                crate::generated::new_transition(719989200, 2),
                crate::generated::new_transition(733903200, 1),
                crate::generated::new_transition(752043600, 2),
                crate::generated::new_transition(765352800, 1),
                crate::generated::new_transition(783493200, 2),
                crate::generated::new_transition(796802400, 1),
                crate::generated::new_transition(814942800, 2),
                crate::generated::new_transition(828856800, 1),
                crate::generated::new_transition(846392400, 2),
                crate::generated::new_transition(860306400, 1),
                crate::generated::new_transition(877842000, 2),
                crate::generated::new_transition(891756000, 1),
                crate::generated::new_transition(909291600, 2),
                crate::generated::new_transition(923205600, 1),
                crate::generated::new_transition(941346000, 2),
                crate::generated::new_transition(954655200, 1),
                crate::generated::new_transition(972795600, 2),
                crate::generated::new_transition(986104800, 1),
                crate::generated::new_transition(1004245200, 2),
                crate::generated::new_transition(1018159200, 1),
                crate::generated::new_transition(1035694800, 2),
                crate::generated::new_transition(1049608800, 1),
                crate::generated::new_transition(1067144400, 2),
                crate::generated::new_transition(1081058400, 1),
                crate::generated::new_transition(1099198800, 2),
                crate::generated::new_transition(1112508000, 1),
                crate::generated::new_transition(1130648400, 2),
                crate::generated::new_transition(1143957600, 1),
                crate::generated::new_transition(1162098000, 2),
                crate::generated::new_transition(1173592800, 1),
            ],
            &[
                crate::generated::new_local_time_type(-15264, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-10800, true, Some(b"ADT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
                crate::generated::new_local_time_type(-10800, true, Some(b"AWT")),
                crate::generated::new_local_time_type(-10800, true, Some(b"APT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
                    crate::generated::new_local_time_type(-10800, true, Some(b"ADT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_HERMOSILLO: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1514739600, 1),
                crate::generated::new_transition(-1343066400, 2),
                crate::generated::new_transition(-1234807200, 1),
                crate::generated::new_transition(-1220292000, 3),
                crate::generated::new_transition(-1207159200, 1),
                crate::generated::new_transition(-1191344400, 2),
                crate::generated::new_transition(-873828000, 1),
                crate::generated::new_transition(-661539600, 4),
                crate::generated::new_transition(28800, 1),
                crate::generated::new_transition(828867600, 3),
                crate::generated::new_transition(846403200, 1),
                crate::generated::new_transition(860317200, 3),
                crate::generated::new_transition(877852800, 1),
                crate::generated::new_transition(891766800, 3),
                crate::generated::new_transition(909302400, 1),
            ],
            &[
                crate::generated::new_local_time_type(-26632, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
            )),
        );

    pub(crate) const AMERICA_INUVIK: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-536457600, 2),
            crate::generated::new_transition(73476000, 1),
            crate::generated::new_transition(89197200, 2),
            crate::generated::new_transition(104925600, 1),
            crate::generated::new_transition(120646800, 2),
            crate::generated::new_transition(136375200, 1),
            crate::generated::new_transition(152096400, 2),
            crate::generated::new_transition(167824800, 1),
            crate::generated::new_transition(183546000, 2),
            crate::generated::new_transition(199274400, 1),
            crate::generated::new_transition(215600400, 2),
            crate::generated::new_transition(230724000, 1),
            crate::generated::new_transition(247050000, 2),
            crate::generated::new_transition(262778400, 1),
            crate::generated::new_transition(278499600, 2),
            crate::generated::new_transition(294228000, 4),
            crate::generated::new_transition(309945600, 3),
            crate::generated::new_transition(325674000, 4),
            crate::generated::new_transition(341395200, 3),
            crate::generated::new_transition(357123600, 4),
            crate::generated::new_transition(372844800, 3),
            crate::generated::new_transition(388573200, 4),
            crate::generated::new_transition(404899200, 3),
            crate::generated::new_transition(420022800, 4),
            crate::generated::new_transition(436348800, 3),
            crate::generated::new_transition(452077200, 4),
            crate::generated::new_transition(467798400, 3),
            crate::generated::new_transition(483526800, 4),
            crate::generated::new_transition(499248000, 3),
            crate::generated::new_transition(514976400, 4),
            crate::generated::new_transition(530697600, 3),
            crate::generated::new_transition(544611600, 4),
            crate::generated::new_transition(562147200, 3),
            crate::generated::new_transition(576061200, 4),
            crate::generated::new_transition(594201600, 3),
            crate::generated::new_transition(607510800, 4),
            crate::generated::new_transition(625651200, 3),
            crate::generated::new_transition(638960400, 4),
            crate::generated::new_transition(657100800, 3),
            crate::generated::new_transition(671014800, 4),
            crate::generated::new_transition(688550400, 3),
            crate::generated::new_transition(702464400, 4),
            crate::generated::new_transition(720000000, 3),
            crate::generated::new_transition(733914000, 4),
            crate::generated::new_transition(752054400, 3),
            crate::generated::new_transition(765363600, 4),
            crate::generated::new_transition(783504000, 3),
            crate::generated::new_transition(796813200, 4),
            crate::generated::new_transition(814953600, 3),
            crate::generated::new_transition(828867600, 4),
            crate::generated::new_transition(846403200, 3),
            crate::generated::new_transition(860317200, 4),
            crate::generated::new_transition(877852800, 3),
            crate::generated::new_transition(891766800, 4),
            crate::generated::new_transition(909302400, 3),
            crate::generated::new_transition(923216400, 4),
            crate::generated::new_transition(941356800, 3),
            crate::generated::new_transition(954666000, 4),
            crate::generated::new_transition(972806400, 3),
            crate::generated::new_transition(986115600, 4),
            crate::generated::new_transition(1004256000, 3),
            crate::generated::new_transition(1018170000, 4),
            crate::generated::new_transition(1035705600, 3),
            crate::generated::new_transition(1049619600, 4),
            crate::generated::new_transition(1067155200, 3),
            crate::generated::new_transition(1081069200, 4),
            crate::generated::new_transition(1099209600, 3),
            crate::generated::new_transition(1112518800, 4),
            crate::generated::new_transition(1130659200, 3),
            crate::generated::new_transition(1143968400, 4),
            crate::generated::new_transition(1162108800, 3),
            crate::generated::new_transition(1173603600, 4),
        ],
        &[
            crate::generated::new_local_time_type(0, false, Some(b"-00")),
            crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
            crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
            crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
            crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const AMERICA_IQALUIT: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-865296000, 4),
                crate::generated::new_transition(-769395600, 1),
                crate::generated::new_transition(-765396000, 2),
                crate::generated::new_transition(73465200, 3),
                crate::generated::new_transition(89186400, 2),
                crate::generated::new_transition(104914800, 3),
                crate::generated::new_transition(120636000, 2),
                crate::generated::new_transition(136364400, 3),
                crate::generated::new_transition(152085600, 2),
                crate::generated::new_transition(167814000, 3),
                crate::generated::new_transition(183535200, 2),
                crate::generated::new_transition(199263600, 3),
                crate::generated::new_transition(215589600, 2),
                crate::generated::new_transition(230713200, 3),
                crate::generated::new_transition(247039200, 2),
                crate::generated::new_transition(262767600, 3),
                crate::generated::new_transition(278488800, 2),
                crate::generated::new_transition(294217200, 3),
                crate::generated::new_transition(309938400, 2),
                crate::generated::new_transition(325666800, 3),
                crate::generated::new_transition(341388000, 2),
                crate::generated::new_transition(357116400, 3),
                crate::generated::new_transition(372837600, 2),
                crate::generated::new_transition(388566000, 3),
                crate::generated::new_transition(404892000, 2),
                crate::generated::new_transition(420015600, 3),
                crate::generated::new_transition(436341600, 2),
                crate::generated::new_transition(452070000, 3),
                crate::generated::new_transition(467791200, 2),
                crate::generated::new_transition(483519600, 3),
                crate::generated::new_transition(499240800, 2),
                crate::generated::new_transition(514969200, 3),
                crate::generated::new_transition(530690400, 2),
                crate::generated::new_transition(544604400, 3),
                crate::generated::new_transition(562140000, 2),
                crate::generated::new_transition(576054000, 3),
                crate::generated::new_transition(594194400, 2),
                crate::generated::new_transition(607503600, 3),
                crate::generated::new_transition(625644000, 2),
                crate::generated::new_transition(638953200, 3),
                crate::generated::new_transition(657093600, 2),
                crate::generated::new_transition(671007600, 3),
                crate::generated::new_transition(688543200, 2),
                crate::generated::new_transition(702457200, 3),
                crate::generated::new_transition(719992800, 2),
                crate::generated::new_transition(733906800, 3),
                crate::generated::new_transition(752047200, 2),
                crate::generated::new_transition(765356400, 3),
                crate::generated::new_transition(783496800, 2),
                crate::generated::new_transition(796806000, 3),
                crate::generated::new_transition(814946400, 2),
                crate::generated::new_transition(828860400, 3),
                crate::generated::new_transition(846396000, 2),
                crate::generated::new_transition(860310000, 3),
                crate::generated::new_transition(877845600, 2),
                crate::generated::new_transition(891759600, 3),
                crate::generated::new_transition(909295200, 2),
                crate::generated::new_transition(923209200, 3),
                crate::generated::new_transition(941349600, 5),
                crate::generated::new_transition(954662400, 6),
                crate::generated::new_transition(972802800, 2),
                crate::generated::new_transition(986108400, 3),
                crate::generated::new_transition(1004248800, 2),
                crate::generated::new_transition(1018162800, 3),
                crate::generated::new_transition(1035698400, 2),
                crate::generated::new_transition(1049612400, 3),
                crate::generated::new_transition(1067148000, 2),
                crate::generated::new_transition(1081062000, 3),
                crate::generated::new_transition(1099202400, 2),
                crate::generated::new_transition(1112511600, 3),
                crate::generated::new_transition(1130652000, 2),
                crate::generated::new_transition(1143961200, 3),
                crate::generated::new_transition(1162101600, 2),
                crate::generated::new_transition(1173596400, 3),
            ],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EPT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EWT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                    crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_JUJUY: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2372096328, 1),
            crate::generated::new_transition(-1567453392, 2),
            crate::generated::new_transition(-1233432000, 3),
            crate::generated::new_transition(-1222981200, 2),
            crate::generated::new_transition(-1205956800, 3),
            crate::generated::new_transition(-1194037200, 2),
            crate::generated::new_transition(-1172865600, 3),
            crate::generated::new_transition(-1162501200, 2),
            crate::generated::new_transition(-1141329600, 3),
            crate::generated::new_transition(-1130965200, 2),
            crate::generated::new_transition(-1109793600, 3),
            crate::generated::new_transition(-1099429200, 2),
            crate::generated::new_transition(-1078257600, 3),
            crate::generated::new_transition(-1067806800, 2),
            crate::generated::new_transition(-1046635200, 3),
            crate::generated::new_transition(-1036270800, 2),
            crate::generated::new_transition(-1015099200, 3),
            crate::generated::new_transition(-1004734800, 2),
            crate::generated::new_transition(-983563200, 3),
            crate::generated::new_transition(-973198800, 2),
            crate::generated::new_transition(-952027200, 3),
            crate::generated::new_transition(-941576400, 2),
            crate::generated::new_transition(-931032000, 3),
            crate::generated::new_transition(-900882000, 2),
            crate::generated::new_transition(-890337600, 3),
            crate::generated::new_transition(-833749200, 2),
            crate::generated::new_transition(-827265600, 3),
            crate::generated::new_transition(-752274000, 2),
            crate::generated::new_transition(-733780800, 3),
            crate::generated::new_transition(-197326800, 2),
            crate::generated::new_transition(-190843200, 3),
            crate::generated::new_transition(-184194000, 2),
            crate::generated::new_transition(-164491200, 3),
            crate::generated::new_transition(-152658000, 2),
            crate::generated::new_transition(-132955200, 3),
            crate::generated::new_transition(-121122000, 2),
            crate::generated::new_transition(-101419200, 3),
            crate::generated::new_transition(-86821200, 2),
            crate::generated::new_transition(-71092800, 3),
            crate::generated::new_transition(-54766800, 2),
            crate::generated::new_transition(-39038400, 3),
            crate::generated::new_transition(-23317200, 2),
            crate::generated::new_transition(-7588800, 5),
            crate::generated::new_transition(128142000, 4),
            crate::generated::new_transition(136605600, 5),
            crate::generated::new_transition(596948400, 4),
            crate::generated::new_transition(605066400, 5),
            crate::generated::new_transition(624423600, 4),
            crate::generated::new_transition(636516000, 2),
            crate::generated::new_transition(657086400, 3),
            crate::generated::new_transition(669178800, 2),
            crate::generated::new_transition(686721600, 4),
            crate::generated::new_transition(699415200, 5),
            crate::generated::new_transition(719377200, 4),
            crate::generated::new_transition(731469600, 5),
            crate::generated::new_transition(938919600, 3),
            crate::generated::new_transition(952052400, 5),
            crate::generated::new_transition(1198983600, 4),
            crate::generated::new_transition(1205632800, 5),
        ],
        &[
            crate::generated::new_local_time_type(-15672, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-15408, false, Some(b"CMT")),
            crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
            crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
            crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
            crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
        )),
    );

    pub(crate) const AMERICA_JUNEAU: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3225223727, 1),
            crate::generated::new_transition(-2188954939, 2),
            crate::generated::new_transition(-880207200, 3),
            crate::generated::new_transition(-769395600, 4),
            crate::generated::new_transition(-765385200, 2),
            crate::generated::new_transition(-21477600, 5),
            crate::generated::new_transition(-5756400, 2),
            crate::generated::new_transition(9972000, 5),
            crate::generated::new_transition(25693200, 2),
            crate::generated::new_transition(41421600, 5),
            crate::generated::new_transition(57747600, 2),
            crate::generated::new_transition(73476000, 5),
            crate::generated::new_transition(89197200, 2),
            crate::generated::new_transition(104925600, 5),
            crate::generated::new_transition(120646800, 2),
            crate::generated::new_transition(126698400, 5),
            crate::generated::new_transition(152096400, 2),
            crate::generated::new_transition(162381600, 5),
            crate::generated::new_transition(183546000, 2),
            crate::generated::new_transition(199274400, 5),
            crate::generated::new_transition(215600400, 2),
            crate::generated::new_transition(230724000, 5),
            crate::generated::new_transition(247050000, 2),
            crate::generated::new_transition(262778400, 5),
            crate::generated::new_transition(278499600, 2),
            crate::generated::new_transition(294228000, 5),
            crate::generated::new_transition(309949200, 2),
            crate::generated::new_transition(325677600, 6),
            crate::generated::new_transition(341402400, 2),
            crate::generated::new_transition(357127200, 5),
            crate::generated::new_transition(372848400, 2),
            crate::generated::new_transition(388576800, 5),
            crate::generated::new_transition(404902800, 2),
            crate::generated::new_transition(420026400, 5),
            crate::generated::new_transition(436352400, 7),
            crate::generated::new_transition(439030800, 9),
            crate::generated::new_transition(452084400, 8),
            crate::generated::new_transition(467805600, 9),
            crate::generated::new_transition(483534000, 8),
            crate::generated::new_transition(499255200, 9),
            crate::generated::new_transition(514983600, 8),
            crate::generated::new_transition(530704800, 9),
            crate::generated::new_transition(544618800, 8),
            crate::generated::new_transition(562154400, 9),
            crate::generated::new_transition(576068400, 8),
            crate::generated::new_transition(594208800, 9),
            crate::generated::new_transition(607518000, 8),
            crate::generated::new_transition(625658400, 9),
            crate::generated::new_transition(638967600, 8),
            crate::generated::new_transition(657108000, 9),
            crate::generated::new_transition(671022000, 8),
            crate::generated::new_transition(688557600, 9),
            crate::generated::new_transition(702471600, 8),
            crate::generated::new_transition(720007200, 9),
            crate::generated::new_transition(733921200, 8),
            crate::generated::new_transition(752061600, 9),
            crate::generated::new_transition(765370800, 8),
            crate::generated::new_transition(783511200, 9),
            crate::generated::new_transition(796820400, 8),
            crate::generated::new_transition(814960800, 9),
            crate::generated::new_transition(828874800, 8),
            crate::generated::new_transition(846410400, 9),
            crate::generated::new_transition(860324400, 8),
            crate::generated::new_transition(877860000, 9),
            crate::generated::new_transition(891774000, 8),
            crate::generated::new_transition(909309600, 9),
            crate::generated::new_transition(923223600, 8),
            crate::generated::new_transition(941364000, 9),
            crate::generated::new_transition(954673200, 8),
            crate::generated::new_transition(972813600, 9),
            crate::generated::new_transition(986122800, 8),
            crate::generated::new_transition(1004263200, 9),
            crate::generated::new_transition(1018177200, 8),
            crate::generated::new_transition(1035712800, 9),
            crate::generated::new_transition(1049626800, 8),
            crate::generated::new_transition(1067162400, 9),
            crate::generated::new_transition(1081076400, 8),
            crate::generated::new_transition(1099216800, 9),
            crate::generated::new_transition(1112526000, 8),
            crate::generated::new_transition(1130666400, 9),
            crate::generated::new_transition(1143975600, 8),
            crate::generated::new_transition(1162116000, 9),
            crate::generated::new_transition(1173610800, 8),
        ],
        &[
            crate::generated::new_local_time_type(54139, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-32261, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
            crate::generated::new_local_time_type(-25200, true, Some(b"PWT")),
            crate::generated::new_local_time_type(-25200, true, Some(b"PPT")),
            crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
            crate::generated::new_local_time_type(-28800, true, Some(b"YDT")),
            crate::generated::new_local_time_type(-32400, false, Some(b"YST")),
            crate::generated::new_local_time_type(-28800, true, Some(b"AKDT")),
            crate::generated::new_local_time_type(-32400, false, Some(b"AKST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(-32400, false, Some(b"AKST")),
                crate::generated::new_local_time_type(-28800, true, Some(b"AKDT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const AMERICA_KNOX_IN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2717647200, 2),
                crate::generated::new_transition(-1633276800, 1),
                crate::generated::new_transition(-1615136400, 2),
                crate::generated::new_transition(-1601827200, 1),
                crate::generated::new_transition(-1583686800, 2),
                crate::generated::new_transition(-880214400, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765392400, 2),
                crate::generated::new_transition(-715795200, 1),
                crate::generated::new_transition(-702493200, 2),
                crate::generated::new_transition(-684345600, 1),
                crate::generated::new_transition(-671043600, 2),
                crate::generated::new_transition(-652896000, 1),
                crate::generated::new_transition(-639594000, 2),
                crate::generated::new_transition(-620841600, 1),
                crate::generated::new_transition(-608144400, 2),
                crate::generated::new_transition(-589392000, 1),
                crate::generated::new_transition(-576090000, 2),
                crate::generated::new_transition(-557942400, 1),
                crate::generated::new_transition(-544640400, 2),
                crate::generated::new_transition(-526492800, 1),
                crate::generated::new_transition(-513190800, 2),
                crate::generated::new_transition(-495043200, 1),
                crate::generated::new_transition(-481741200, 2),
                crate::generated::new_transition(-463593600, 1),
                crate::generated::new_transition(-447267600, 2),
                crate::generated::new_transition(-431539200, 1),
                crate::generated::new_transition(-415818000, 2),
                crate::generated::new_transition(-400089600, 1),
                crate::generated::new_transition(-386787600, 2),
                crate::generated::new_transition(-368640000, 1),
                crate::generated::new_transition(-355338000, 2),
                crate::generated::new_transition(-337190400, 1),
                crate::generated::new_transition(-321469200, 2),
                crate::generated::new_transition(-305740800, 1),
                crate::generated::new_transition(-289414800, 2),
                crate::generated::new_transition(-273686400, 1),
                crate::generated::new_transition(-257965200, 2),
                crate::generated::new_transition(-242236800, 5),
                crate::generated::new_transition(-195066000, 2),
                crate::generated::new_transition(-84384000, 1),
                crate::generated::new_transition(-68662800, 2),
                crate::generated::new_transition(-52934400, 1),
                crate::generated::new_transition(-37213200, 2),
                crate::generated::new_transition(-21484800, 1),
                crate::generated::new_transition(-5763600, 2),
                crate::generated::new_transition(9964800, 1),
                crate::generated::new_transition(25686000, 2),
                crate::generated::new_transition(41414400, 1),
                crate::generated::new_transition(57740400, 2),
                crate::generated::new_transition(73468800, 1),
                crate::generated::new_transition(89190000, 2),
                crate::generated::new_transition(104918400, 1),
                crate::generated::new_transition(120639600, 2),
                crate::generated::new_transition(126691200, 1),
                crate::generated::new_transition(152089200, 2),
                crate::generated::new_transition(162374400, 1),
                crate::generated::new_transition(183538800, 2),
                crate::generated::new_transition(199267200, 1),
                crate::generated::new_transition(215593200, 2),
                crate::generated::new_transition(230716800, 1),
                crate::generated::new_transition(247042800, 2),
                crate::generated::new_transition(262771200, 1),
                crate::generated::new_transition(278492400, 2),
                crate::generated::new_transition(294220800, 1),
                crate::generated::new_transition(309942000, 2),
                crate::generated::new_transition(325670400, 1),
                crate::generated::new_transition(341391600, 2),
                crate::generated::new_transition(357120000, 1),
                crate::generated::new_transition(372841200, 2),
                crate::generated::new_transition(388569600, 1),
                crate::generated::new_transition(404895600, 2),
                crate::generated::new_transition(420019200, 1),
                crate::generated::new_transition(436345200, 2),
                crate::generated::new_transition(452073600, 1),
                crate::generated::new_transition(467794800, 2),
                crate::generated::new_transition(483523200, 1),
                crate::generated::new_transition(499244400, 2),
                crate::generated::new_transition(514972800, 1),
                crate::generated::new_transition(530694000, 2),
                crate::generated::new_transition(544608000, 1),
                crate::generated::new_transition(562143600, 2),
                crate::generated::new_transition(576057600, 1),
                crate::generated::new_transition(594198000, 2),
                crate::generated::new_transition(607507200, 1),
                crate::generated::new_transition(625647600, 2),
                crate::generated::new_transition(638956800, 1),
                crate::generated::new_transition(657097200, 2),
                crate::generated::new_transition(671011200, 1),
                crate::generated::new_transition(688546800, 5),
                crate::generated::new_transition(1143961200, 1),
                crate::generated::new_transition(1162105200, 2),
                crate::generated::new_transition(1173600000, 1),
            ],
            &[
                crate::generated::new_local_time_type(-20790, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CWT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CPT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                    crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_KRALENDIJK: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2233035335, 1),
                crate::generated::new_transition(-873057600, 3),
                crate::generated::new_transition(-769395600, 2),
                crate::generated::new_transition(-765399600, 1),
            ],
            &[
                crate::generated::new_local_time_type(-15865, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
                crate::generated::new_local_time_type(-10800, true, Some(b"APT")),
                crate::generated::new_local_time_type(-10800, true, Some(b"AWT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_LA_PAZ: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2524505244, 1),
            crate::generated::new_transition(-1205954844, 2),
            crate::generated::new_transition(-1192307244, 3),
        ],
        &[
            crate::generated::new_local_time_type(-16356, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-16356, false, Some(b"CMT")),
            crate::generated::new_local_time_type(-12756, true, Some(b"BST")),
            crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
        )),
    );

    pub(crate) const AMERICA_LIMA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2524503108, 1),
            crate::generated::new_transition(-1938538284, 3),
            crate::generated::new_transition(-1009825200, 2),
            crate::generated::new_transition(-1002052800, 3),
            crate::generated::new_transition(-986756400, 2),
            crate::generated::new_transition(-971035200, 3),
            crate::generated::new_transition(-955306800, 2),
            crate::generated::new_transition(-939585600, 3),
            crate::generated::new_transition(504939600, 2),
            crate::generated::new_transition(512712000, 3),
            crate::generated::new_transition(536475600, 2),
            crate::generated::new_transition(544248000, 3),
            crate::generated::new_transition(631170000, 2),
            crate::generated::new_transition(638942400, 3),
            crate::generated::new_transition(757400400, 2),
            crate::generated::new_transition(765172800, 3),
        ],
        &[
            crate::generated::new_local_time_type(-18492, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-18516, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-14400, true, Some(b"-04")),
            crate::generated::new_local_time_type(-18000, false, Some(b"-05")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-18000, false, Some(b"-05")),
        )),
    );

    pub(crate) const AMERICA_LOS_ANGELES: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2717640000, 2),
                crate::generated::new_transition(-1633269600, 1),
                crate::generated::new_transition(-1615129200, 2),
                crate::generated::new_transition(-1601820000, 1),
                crate::generated::new_transition(-1583679600, 2),
                crate::generated::new_transition(-880207200, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765385200, 2),
                crate::generated::new_transition(-687967140, 1),
                crate::generated::new_transition(-662655600, 2),
                crate::generated::new_transition(-620838000, 1),
                crate::generated::new_transition(-608137200, 2),
                crate::generated::new_transition(-589388400, 1),
                crate::generated::new_transition(-576082800, 2),
                crate::generated::new_transition(-557938800, 1),
                crate::generated::new_transition(-544633200, 2),
                crate::generated::new_transition(-526489200, 1),
                crate::generated::new_transition(-513183600, 2),
                crate::generated::new_transition(-495039600, 1),
                crate::generated::new_transition(-481734000, 2),
                crate::generated::new_transition(-463590000, 1),
                crate::generated::new_transition(-450284400, 2),
                crate::generated::new_transition(-431535600, 1),
                crate::generated::new_transition(-418230000, 2),
                crate::generated::new_transition(-400086000, 1),
                crate::generated::new_transition(-386780400, 2),
                crate::generated::new_transition(-368636400, 1),
                crate::generated::new_transition(-355330800, 2),
                crate::generated::new_transition(-337186800, 1),
                crate::generated::new_transition(-323881200, 2),
                crate::generated::new_transition(-305737200, 1),
                crate::generated::new_transition(-292431600, 2),
                crate::generated::new_transition(-273682800, 1),
                crate::generated::new_transition(-260982000, 2),
                crate::generated::new_transition(-242233200, 1),
                crate::generated::new_transition(-226508400, 2),
                crate::generated::new_transition(-210783600, 1),
                crate::generated::new_transition(-195058800, 2),
                crate::generated::new_transition(-179334000, 1),
                crate::generated::new_transition(-163609200, 2),
                crate::generated::new_transition(-147884400, 1),
                crate::generated::new_transition(-131554800, 2),
                crate::generated::new_transition(-116434800, 1),
                crate::generated::new_transition(-100105200, 2),
                crate::generated::new_transition(-84376800, 1),
                crate::generated::new_transition(-68655600, 2),
                crate::generated::new_transition(-52927200, 1),
                crate::generated::new_transition(-37206000, 2),
                crate::generated::new_transition(-21477600, 1),
                crate::generated::new_transition(-5756400, 2),
                crate::generated::new_transition(9972000, 1),
                crate::generated::new_transition(25693200, 2),
                crate::generated::new_transition(41421600, 1),
                crate::generated::new_transition(57747600, 2),
                crate::generated::new_transition(73476000, 1),
                crate::generated::new_transition(89197200, 2),
                crate::generated::new_transition(104925600, 1),
                crate::generated::new_transition(120646800, 2),
                crate::generated::new_transition(126698400, 1),
                crate::generated::new_transition(152096400, 2),
                crate::generated::new_transition(162381600, 1),
                crate::generated::new_transition(183546000, 2),
                crate::generated::new_transition(199274400, 1),
                crate::generated::new_transition(215600400, 2),
                crate::generated::new_transition(230724000, 1),
                crate::generated::new_transition(247050000, 2),
                crate::generated::new_transition(262778400, 1),
                crate::generated::new_transition(278499600, 2),
                crate::generated::new_transition(294228000, 1),
                crate::generated::new_transition(309949200, 2),
                crate::generated::new_transition(325677600, 1),
                crate::generated::new_transition(341398800, 2),
                crate::generated::new_transition(357127200, 1),
                crate::generated::new_transition(372848400, 2),
                crate::generated::new_transition(388576800, 1),
                crate::generated::new_transition(404902800, 2),
                crate::generated::new_transition(420026400, 1),
                crate::generated::new_transition(436352400, 2),
                crate::generated::new_transition(452080800, 1),
                crate::generated::new_transition(467802000, 2),
                crate::generated::new_transition(483530400, 1),
                crate::generated::new_transition(499251600, 2),
                crate::generated::new_transition(514980000, 1),
                crate::generated::new_transition(530701200, 2),
                crate::generated::new_transition(544615200, 1),
                crate::generated::new_transition(562150800, 2),
                crate::generated::new_transition(576064800, 1),
                crate::generated::new_transition(594205200, 2),
                crate::generated::new_transition(607514400, 1),
                crate::generated::new_transition(625654800, 2),
                crate::generated::new_transition(638964000, 1),
                crate::generated::new_transition(657104400, 2),
                crate::generated::new_transition(671018400, 1),
                crate::generated::new_transition(688554000, 2),
                crate::generated::new_transition(702468000, 1),
                crate::generated::new_transition(720003600, 2),
                crate::generated::new_transition(733917600, 1),
                crate::generated::new_transition(752058000, 2),
                crate::generated::new_transition(765367200, 1),
                crate::generated::new_transition(783507600, 2),
                crate::generated::new_transition(796816800, 1),
                crate::generated::new_transition(814957200, 2),
                crate::generated::new_transition(828871200, 1),
                crate::generated::new_transition(846406800, 2),
                crate::generated::new_transition(860320800, 1),
                crate::generated::new_transition(877856400, 2),
                crate::generated::new_transition(891770400, 1),
                crate::generated::new_transition(909306000, 2),
                crate::generated::new_transition(923220000, 1),
                crate::generated::new_transition(941360400, 2),
                crate::generated::new_transition(954669600, 1),
                crate::generated::new_transition(972810000, 2),
                crate::generated::new_transition(986119200, 1),
                crate::generated::new_transition(1004259600, 2),
                crate::generated::new_transition(1018173600, 1),
                crate::generated::new_transition(1035709200, 2),
                crate::generated::new_transition(1049623200, 1),
                crate::generated::new_transition(1067158800, 2),
                crate::generated::new_transition(1081072800, 1),
                crate::generated::new_transition(1099213200, 2),
                crate::generated::new_transition(1112522400, 1),
                crate::generated::new_transition(1130662800, 2),
                crate::generated::new_transition(1143972000, 1),
                crate::generated::new_transition(1162112400, 2),
                crate::generated::new_transition(1173607200, 1),
            ],
            &[
                crate::generated::new_local_time_type(-28378, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
                crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PWT")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PPT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
                    crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_LOUISVILLE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2717647200, 2),
                crate::generated::new_transition(-1633276800, 1),
                crate::generated::new_transition(-1615136400, 2),
                crate::generated::new_transition(-1601827200, 1),
                crate::generated::new_transition(-1583686800, 2),
                crate::generated::new_transition(-1535904000, 1),
                crate::generated::new_transition(-1525280400, 2),
                crate::generated::new_transition(-905097600, 1),
                crate::generated::new_transition(-891795600, 2),
                crate::generated::new_transition(-880214400, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765392400, 2),
                crate::generated::new_transition(-747251940, 1),
                crate::generated::new_transition(-744224400, 2),
                crate::generated::new_transition(-620841600, 1),
                crate::generated::new_transition(-608144400, 2),
                crate::generated::new_transition(-589392000, 1),
                crate::generated::new_transition(-576090000, 2),
                crate::generated::new_transition(-557942400, 1),
                crate::generated::new_transition(-544640400, 2),
                crate::generated::new_transition(-526492800, 1),
                crate::generated::new_transition(-513190800, 2),
                crate::generated::new_transition(-495043200, 1),
                crate::generated::new_transition(-481741200, 2),
                crate::generated::new_transition(-463593600, 1),
                crate::generated::new_transition(-450291600, 2),
                crate::generated::new_transition(-431539200, 1),
                crate::generated::new_transition(-415818000, 2),
                crate::generated::new_transition(-400089600, 1),
                crate::generated::new_transition(-384368400, 2),
                crate::generated::new_transition(-368640000, 1),
                crate::generated::new_transition(-352918800, 2),
                crate::generated::new_transition(-337190400, 1),
                crate::generated::new_transition(-321469200, 2),
                crate::generated::new_transition(-305740800, 1),
                crate::generated::new_transition(-289414800, 2),
                crate::generated::new_transition(-273686400, 1),
                crate::generated::new_transition(-266432400, 5),
                crate::generated::new_transition(-52938000, 6),
                crate::generated::new_transition(-37216800, 5),
                crate::generated::new_transition(-21488400, 6),
                crate::generated::new_transition(-5767200, 5),
                crate::generated::new_transition(9961200, 6),
                crate::generated::new_transition(25682400, 5),
                crate::generated::new_transition(41410800, 6),
                crate::generated::new_transition(57736800, 5),
                crate::generated::new_transition(73465200, 6),
                crate::generated::new_transition(89186400, 5),
                crate::generated::new_transition(104914800, 6),
                crate::generated::new_transition(120636000, 5),
                crate::generated::new_transition(126687600, 1),
                crate::generated::new_transition(152089200, 5),
                crate::generated::new_transition(162370800, 6),
                crate::generated::new_transition(183535200, 5),
                crate::generated::new_transition(199263600, 6),
                crate::generated::new_transition(215589600, 5),
                crate::generated::new_transition(230713200, 6),
                crate::generated::new_transition(247039200, 5),
                crate::generated::new_transition(262767600, 6),
                crate::generated::new_transition(278488800, 5),
                crate::generated::new_transition(294217200, 6),
                crate::generated::new_transition(309938400, 5),
                crate::generated::new_transition(325666800, 6),
                crate::generated::new_transition(341388000, 5),
                crate::generated::new_transition(357116400, 6),
                crate::generated::new_transition(372837600, 5),
                crate::generated::new_transition(388566000, 6),
                crate::generated::new_transition(404892000, 5),
                crate::generated::new_transition(420015600, 6),
                crate::generated::new_transition(436341600, 5),
                crate::generated::new_transition(452070000, 6),
                crate::generated::new_transition(467791200, 5),
                crate::generated::new_transition(483519600, 6),
                crate::generated::new_transition(499240800, 5),
                crate::generated::new_transition(514969200, 6),
                crate::generated::new_transition(530690400, 5),
                crate::generated::new_transition(544604400, 6),
                crate::generated::new_transition(562140000, 5),
                crate::generated::new_transition(576054000, 6),
                crate::generated::new_transition(594194400, 5),
                crate::generated::new_transition(607503600, 6),
                crate::generated::new_transition(625644000, 5),
                crate::generated::new_transition(638953200, 6),
                crate::generated::new_transition(657093600, 5),
                crate::generated::new_transition(671007600, 6),
                crate::generated::new_transition(688543200, 5),
                crate::generated::new_transition(702457200, 6),
                crate::generated::new_transition(719992800, 5),
                crate::generated::new_transition(733906800, 6),
                crate::generated::new_transition(752047200, 5),
                crate::generated::new_transition(765356400, 6),
                crate::generated::new_transition(783496800, 5),
                crate::generated::new_transition(796806000, 6),
                crate::generated::new_transition(814946400, 5),
                crate::generated::new_transition(828860400, 6),
                crate::generated::new_transition(846396000, 5),
                crate::generated::new_transition(860310000, 6),
                crate::generated::new_transition(877845600, 5),
                crate::generated::new_transition(891759600, 6),
                crate::generated::new_transition(909295200, 5),
                crate::generated::new_transition(923209200, 6),
                crate::generated::new_transition(941349600, 5),
                crate::generated::new_transition(954658800, 6),
                crate::generated::new_transition(972799200, 5),
                crate::generated::new_transition(986108400, 6),
                crate::generated::new_transition(1004248800, 5),
                crate::generated::new_transition(1018162800, 6),
                crate::generated::new_transition(1035698400, 5),
                crate::generated::new_transition(1049612400, 6),
                crate::generated::new_transition(1067148000, 5),
                crate::generated::new_transition(1081062000, 6),
                crate::generated::new_transition(1099202400, 5),
                crate::generated::new_transition(1112511600, 6),
                crate::generated::new_transition(1130652000, 5),
                crate::generated::new_transition(1143961200, 6),
                crate::generated::new_transition(1162101600, 5),
                crate::generated::new_transition(1173596400, 6),
            ],
            &[
                crate::generated::new_local_time_type(-20582, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CWT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CPT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                    crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_MACEIO: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1767217028, 2),
            crate::generated::new_transition(-1206957600, 1),
            crate::generated::new_transition(-1191362400, 2),
            crate::generated::new_transition(-1175374800, 1),
            crate::generated::new_transition(-1159826400, 2),
            crate::generated::new_transition(-633819600, 1),
            crate::generated::new_transition(-622069200, 2),
            crate::generated::new_transition(-602283600, 1),
            crate::generated::new_transition(-591832800, 2),
            crate::generated::new_transition(-570747600, 1),
            crate::generated::new_transition(-560210400, 2),
            crate::generated::new_transition(-539125200, 1),
            crate::generated::new_transition(-531352800, 2),
            crate::generated::new_transition(-191365200, 1),
            crate::generated::new_transition(-184197600, 2),
            crate::generated::new_transition(-155163600, 1),
            crate::generated::new_transition(-150069600, 2),
            crate::generated::new_transition(-128898000, 1),
            crate::generated::new_transition(-121125600, 2),
            crate::generated::new_transition(-99954000, 1),
            crate::generated::new_transition(-89589600, 2),
            crate::generated::new_transition(-68418000, 1),
            crate::generated::new_transition(-57967200, 2),
            crate::generated::new_transition(499748400, 1),
            crate::generated::new_transition(511236000, 2),
            crate::generated::new_transition(530593200, 1),
            crate::generated::new_transition(540266400, 2),
            crate::generated::new_transition(562129200, 1),
            crate::generated::new_transition(571197600, 2),
            crate::generated::new_transition(592974000, 1),
            crate::generated::new_transition(602042400, 2),
            crate::generated::new_transition(624423600, 1),
            crate::generated::new_transition(634701600, 2),
            crate::generated::new_transition(813726000, 1),
            crate::generated::new_transition(824004000, 2),
            crate::generated::new_transition(938919600, 1),
            crate::generated::new_transition(951616800, 2),
            crate::generated::new_transition(970974000, 1),
            crate::generated::new_transition(972180000, 2),
            crate::generated::new_transition(1003028400, 1),
            crate::generated::new_transition(1013911200, 2),
        ],
        &[
            crate::generated::new_local_time_type(-8572, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
            crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
        )),
    );

    pub(crate) const AMERICA_MANAGUA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524500892, 1),
                crate::generated::new_transition(-1121105688, 2),
                crate::generated::new_transition(105084000, 3),
                crate::generated::new_transition(161758800, 2),
                crate::generated::new_transition(290584800, 4),
                crate::generated::new_transition(299134800, 2),
                crate::generated::new_transition(322034400, 4),
                crate::generated::new_transition(330584400, 2),
                crate::generated::new_transition(694260000, 3),
                crate::generated::new_transition(717310800, 2),
                crate::generated::new_transition(725868000, 3),
                crate::generated::new_transition(852094800, 2),
                crate::generated::new_transition(1113112800, 4),
                crate::generated::new_transition(1128229200, 2),
                crate::generated::new_transition(1146384000, 4),
                crate::generated::new_transition(1159682400, 2),
            ],
            &[
                crate::generated::new_local_time_type(-20708, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-20712, false, Some(b"MMT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            )),
        );

    pub(crate) const AMERICA_MANAUS: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1767211196, 2),
            crate::generated::new_transition(-1206954000, 1),
            crate::generated::new_transition(-1191358800, 2),
            crate::generated::new_transition(-1175371200, 1),
            crate::generated::new_transition(-1159822800, 2),
            crate::generated::new_transition(-633816000, 1),
            crate::generated::new_transition(-622065600, 2),
            crate::generated::new_transition(-602280000, 1),
            crate::generated::new_transition(-591829200, 2),
            crate::generated::new_transition(-570744000, 1),
            crate::generated::new_transition(-560206800, 2),
            crate::generated::new_transition(-539121600, 1),
            crate::generated::new_transition(-531349200, 2),
            crate::generated::new_transition(-191361600, 1),
            crate::generated::new_transition(-184194000, 2),
            crate::generated::new_transition(-155160000, 1),
            crate::generated::new_transition(-150066000, 2),
            crate::generated::new_transition(-128894400, 1),
            crate::generated::new_transition(-121122000, 2),
            crate::generated::new_transition(-99950400, 1),
            crate::generated::new_transition(-89586000, 2),
            crate::generated::new_transition(-68414400, 1),
            crate::generated::new_transition(-57963600, 2),
            crate::generated::new_transition(499752000, 1),
            crate::generated::new_transition(511239600, 2),
            crate::generated::new_transition(530596800, 1),
            crate::generated::new_transition(540270000, 2),
            crate::generated::new_transition(562132800, 1),
            crate::generated::new_transition(571201200, 2),
            crate::generated::new_transition(750830400, 1),
            crate::generated::new_transition(761713200, 2),
        ],
        &[
            crate::generated::new_local_time_type(-14404, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
            crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
        )),
    );

    pub(crate) const AMERICA_MARTINIQUE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524506940, 1),
                crate::generated::new_transition(-1851537340, 2),
                crate::generated::new_transition(323841600, 3),
                crate::generated::new_transition(338958000, 2),
            ],
            &[
                crate::generated::new_local_time_type(-14660, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14660, false, Some(b"FFMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
                crate::generated::new_local_time_type(-10800, true, Some(b"ADT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_MATAMOROS: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1514743200, 1),
                crate::generated::new_transition(576057600, 2),
                crate::generated::new_transition(594198000, 1),
                crate::generated::new_transition(828864000, 2),
                crate::generated::new_transition(846399600, 1),
                crate::generated::new_transition(860313600, 2),
                crate::generated::new_transition(877849200, 1),
                crate::generated::new_transition(891763200, 2),
                crate::generated::new_transition(909298800, 1),
                crate::generated::new_transition(923212800, 2),
                crate::generated::new_transition(941353200, 1),
                crate::generated::new_transition(954662400, 2),
                crate::generated::new_transition(972802800, 1),
                crate::generated::new_transition(989136000, 2),
                crate::generated::new_transition(1001833200, 1),
                crate::generated::new_transition(1018166400, 2),
                crate::generated::new_transition(1035702000, 1),
                crate::generated::new_transition(1049616000, 2),
                crate::generated::new_transition(1067151600, 1),
                crate::generated::new_transition(1081065600, 2),
                crate::generated::new_transition(1099206000, 1),
                crate::generated::new_transition(1112515200, 2),
                crate::generated::new_transition(1130655600, 1),
                crate::generated::new_transition(1143964800, 2),
                crate::generated::new_transition(1162105200, 1),
                crate::generated::new_transition(1175414400, 2),
                crate::generated::new_transition(1193554800, 1),
                crate::generated::new_transition(1207468800, 2),
                crate::generated::new_transition(1225004400, 1),
                crate::generated::new_transition(1238918400, 2),
                crate::generated::new_transition(1256454000, 1),
                crate::generated::new_transition(1268553600, 2),
            ],
            &[
                crate::generated::new_local_time_type(-23400, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                    crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_MAZATLAN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1514739600, 1),
                crate::generated::new_transition(-1343066400, 2),
                crate::generated::new_transition(-1234807200, 1),
                crate::generated::new_transition(-1220292000, 3),
                crate::generated::new_transition(-1207159200, 1),
                crate::generated::new_transition(-1191344400, 2),
                crate::generated::new_transition(-873828000, 1),
                crate::generated::new_transition(-661539600, 4),
                crate::generated::new_transition(28800, 1),
                crate::generated::new_transition(828867600, 3),
                crate::generated::new_transition(846403200, 1),
                crate::generated::new_transition(860317200, 3),
                crate::generated::new_transition(877852800, 1),
                crate::generated::new_transition(891766800, 3),
                crate::generated::new_transition(909302400, 1),
                crate::generated::new_transition(923216400, 3),
                crate::generated::new_transition(941356800, 1),
                crate::generated::new_transition(954666000, 3),
                crate::generated::new_transition(972806400, 1),
                crate::generated::new_transition(989139600, 3),
                crate::generated::new_transition(1001836800, 1),
                crate::generated::new_transition(1018170000, 3),
                crate::generated::new_transition(1035705600, 1),
                crate::generated::new_transition(1049619600, 3),
                crate::generated::new_transition(1067155200, 1),
                crate::generated::new_transition(1081069200, 3),
                crate::generated::new_transition(1099209600, 1),
                crate::generated::new_transition(1112518800, 3),
                crate::generated::new_transition(1130659200, 1),
                crate::generated::new_transition(1143968400, 3),
                crate::generated::new_transition(1162108800, 1),
                crate::generated::new_transition(1175418000, 3),
                crate::generated::new_transition(1193558400, 1),
                crate::generated::new_transition(1207472400, 3),
                crate::generated::new_transition(1225008000, 1),
                crate::generated::new_transition(1238922000, 3),
                crate::generated::new_transition(1256457600, 1),
                crate::generated::new_transition(1270371600, 3),
                crate::generated::new_transition(1288512000, 1),
                crate::generated::new_transition(1301821200, 3),
                crate::generated::new_transition(1319961600, 1),
                crate::generated::new_transition(1333270800, 3),
                crate::generated::new_transition(1351411200, 1),
                crate::generated::new_transition(1365325200, 3),
                crate::generated::new_transition(1382860800, 1),
                crate::generated::new_transition(1396774800, 3),
                crate::generated::new_transition(1414310400, 1),
                crate::generated::new_transition(1428224400, 3),
                crate::generated::new_transition(1445760000, 1),
                crate::generated::new_transition(1459674000, 3),
                crate::generated::new_transition(1477814400, 1),
                crate::generated::new_transition(1491123600, 3),
                crate::generated::new_transition(1509264000, 1),
                crate::generated::new_transition(1522573200, 3),
                crate::generated::new_transition(1540713600, 1),
                crate::generated::new_transition(1554627600, 3),
                crate::generated::new_transition(1572163200, 1),
                crate::generated::new_transition(1586077200, 3),
                crate::generated::new_transition(1603612800, 1),
                crate::generated::new_transition(1617526800, 3),
                crate::generated::new_transition(1635667200, 1),
                crate::generated::new_transition(1648976400, 3),
                crate::generated::new_transition(1667116800, 1),
            ],
            &[
                crate::generated::new_local_time_type(-25540, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
            )),
        );

    pub(crate) const AMERICA_MENDOZA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2372095484, 1),
                crate::generated::new_transition(-1567453392, 2),
                crate::generated::new_transition(-1233432000, 3),
                crate::generated::new_transition(-1222981200, 2),
                crate::generated::new_transition(-1205956800, 3),
                crate::generated::new_transition(-1194037200, 2),
                crate::generated::new_transition(-1172865600, 3),
                crate::generated::new_transition(-1162501200, 2),
                crate::generated::new_transition(-1141329600, 3),
                crate::generated::new_transition(-1130965200, 2),
                crate::generated::new_transition(-1109793600, 3),
                crate::generated::new_transition(-1099429200, 2),
                crate::generated::new_transition(-1078257600, 3),
                crate::generated::new_transition(-1067806800, 2),
                crate::generated::new_transition(-1046635200, 3),
                crate::generated::new_transition(-1036270800, 2),
                crate::generated::new_transition(-1015099200, 3),
                crate::generated::new_transition(-1004734800, 2),
                crate::generated::new_transition(-983563200, 3),
                crate::generated::new_transition(-973198800, 2),
                crate::generated::new_transition(-952027200, 3),
                crate::generated::new_transition(-941576400, 2),
                crate::generated::new_transition(-931032000, 3),
                crate::generated::new_transition(-900882000, 2),
                crate::generated::new_transition(-890337600, 3),
                crate::generated::new_transition(-833749200, 2),
                crate::generated::new_transition(-827265600, 3),
                crate::generated::new_transition(-752274000, 2),
                crate::generated::new_transition(-733780800, 3),
                crate::generated::new_transition(-197326800, 2),
                crate::generated::new_transition(-190843200, 3),
                crate::generated::new_transition(-184194000, 2),
                crate::generated::new_transition(-164491200, 3),
                crate::generated::new_transition(-152658000, 2),
                crate::generated::new_transition(-132955200, 3),
                crate::generated::new_transition(-121122000, 2),
                crate::generated::new_transition(-101419200, 3),
                crate::generated::new_transition(-86821200, 2),
                crate::generated::new_transition(-71092800, 3),
                crate::generated::new_transition(-54766800, 2),
                crate::generated::new_transition(-39038400, 3),
                crate::generated::new_transition(-23317200, 2),
                crate::generated::new_transition(-7588800, 5),
                crate::generated::new_transition(128142000, 4),
                crate::generated::new_transition(136605600, 5),
                crate::generated::new_transition(596948400, 4),
                crate::generated::new_transition(605066400, 5),
                crate::generated::new_transition(624423600, 4),
                crate::generated::new_transition(636516000, 2),
                crate::generated::new_transition(655963200, 3),
                crate::generated::new_transition(667796400, 2),
                crate::generated::new_transition(687499200, 3),
                crate::generated::new_transition(699418800, 2),
                crate::generated::new_transition(719380800, 4),
                crate::generated::new_transition(731469600, 5),
                crate::generated::new_transition(938919600, 3),
                crate::generated::new_transition(952052400, 5),
                crate::generated::new_transition(1085281200, 2),
                crate::generated::new_transition(1096171200, 5),
                crate::generated::new_transition(1198983600, 4),
                crate::generated::new_transition(1205632800, 5),
            ],
            &[
                crate::generated::new_local_time_type(-16516, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-15408, false, Some(b"CMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
                crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
                crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            )),
        );

    pub(crate) const AMERICA_MENOMINEE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2659759773, 2),
                crate::generated::new_transition(-1633276800, 1),
                crate::generated::new_transition(-1615136400, 2),
                crate::generated::new_transition(-1601827200, 1),
                crate::generated::new_transition(-1583686800, 2),
                crate::generated::new_transition(-880214400, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765392400, 2),
                crate::generated::new_transition(-747244800, 1),
                crate::generated::new_transition(-733942800, 2),
                crate::generated::new_transition(-116438400, 1),
                crate::generated::new_transition(-100112400, 2),
                crate::generated::new_transition(-21484800, 5),
                crate::generated::new_transition(104914800, 1),
                crate::generated::new_transition(120639600, 2),
                crate::generated::new_transition(126691200, 1),
                crate::generated::new_transition(152089200, 2),
                crate::generated::new_transition(162374400, 1),
                crate::generated::new_transition(183538800, 2),
                crate::generated::new_transition(199267200, 1),
                crate::generated::new_transition(215593200, 2),
                crate::generated::new_transition(230716800, 1),
                crate::generated::new_transition(247042800, 2),
                crate::generated::new_transition(262771200, 1),
                crate::generated::new_transition(278492400, 2),
                crate::generated::new_transition(294220800, 1),
                crate::generated::new_transition(309942000, 2),
                crate::generated::new_transition(325670400, 1),
                crate::generated::new_transition(341391600, 2),
                crate::generated::new_transition(357120000, 1),
                crate::generated::new_transition(372841200, 2),
                crate::generated::new_transition(388569600, 1),
                crate::generated::new_transition(404895600, 2),
                crate::generated::new_transition(420019200, 1),
                crate::generated::new_transition(436345200, 2),
                crate::generated::new_transition(452073600, 1),
                crate::generated::new_transition(467794800, 2),
                crate::generated::new_transition(483523200, 1),
                crate::generated::new_transition(499244400, 2),
                crate::generated::new_transition(514972800, 1),
                crate::generated::new_transition(530694000, 2),
                crate::generated::new_transition(544608000, 1),
                crate::generated::new_transition(562143600, 2),
                crate::generated::new_transition(576057600, 1),
                crate::generated::new_transition(594198000, 2),
                crate::generated::new_transition(607507200, 1),
                crate::generated::new_transition(625647600, 2),
                crate::generated::new_transition(638956800, 1),
                crate::generated::new_transition(657097200, 2),
                crate::generated::new_transition(671011200, 1),
                crate::generated::new_transition(688546800, 2),
                crate::generated::new_transition(702460800, 1),
                crate::generated::new_transition(719996400, 2),
                crate::generated::new_transition(733910400, 1),
                crate::generated::new_transition(752050800, 2),
                crate::generated::new_transition(765360000, 1),
                crate::generated::new_transition(783500400, 2),
                crate::generated::new_transition(796809600, 1),
                crate::generated::new_transition(814950000, 2),
                crate::generated::new_transition(828864000, 1),
                crate::generated::new_transition(846399600, 2),
                crate::generated::new_transition(860313600, 1),
                crate::generated::new_transition(877849200, 2),
                crate::generated::new_transition(891763200, 1),
                crate::generated::new_transition(909298800, 2),
                crate::generated::new_transition(923212800, 1),
                crate::generated::new_transition(941353200, 2),
                crate::generated::new_transition(954662400, 1),
                crate::generated::new_transition(972802800, 2),
                crate::generated::new_transition(986112000, 1),
                crate::generated::new_transition(1004252400, 2),
                crate::generated::new_transition(1018166400, 1),
                crate::generated::new_transition(1035702000, 2),
                crate::generated::new_transition(1049616000, 1),
                crate::generated::new_transition(1067151600, 2),
                crate::generated::new_transition(1081065600, 1),
                crate::generated::new_transition(1099206000, 2),
                crate::generated::new_transition(1112515200, 1),
                crate::generated::new_transition(1130655600, 2),
                crate::generated::new_transition(1143964800, 1),
                crate::generated::new_transition(1162105200, 2),
                crate::generated::new_transition(1173600000, 1),
            ],
            &[
                crate::generated::new_local_time_type(-21027, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CWT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CPT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                    crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_MERIDA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1514743200, 1),
            crate::generated::new_transition(377935200, 2),
            crate::generated::new_transition(407653200, 1),
            crate::generated::new_transition(828864000, 3),
            crate::generated::new_transition(846399600, 1),
            crate::generated::new_transition(860313600, 3),
            crate::generated::new_transition(877849200, 1),
            crate::generated::new_transition(891763200, 3),
            crate::generated::new_transition(909298800, 1),
            crate::generated::new_transition(923212800, 3),
            crate::generated::new_transition(941353200, 1),
            crate::generated::new_transition(954662400, 3),
            crate::generated::new_transition(972802800, 1),
            crate::generated::new_transition(989136000, 3),
            crate::generated::new_transition(1001833200, 1),
            crate::generated::new_transition(1018166400, 3),
            crate::generated::new_transition(1035702000, 1),
            crate::generated::new_transition(1049616000, 3),
            crate::generated::new_transition(1067151600, 1),
            crate::generated::new_transition(1081065600, 3),
            crate::generated::new_transition(1099206000, 1),
            crate::generated::new_transition(1112515200, 3),
            crate::generated::new_transition(1130655600, 1),
            crate::generated::new_transition(1143964800, 3),
            crate::generated::new_transition(1162105200, 1),
            crate::generated::new_transition(1175414400, 3),
            crate::generated::new_transition(1193554800, 1),
            crate::generated::new_transition(1207468800, 3),
            crate::generated::new_transition(1225004400, 1),
            crate::generated::new_transition(1238918400, 3),
            crate::generated::new_transition(1256454000, 1),
            crate::generated::new_transition(1270368000, 3),
            crate::generated::new_transition(1288508400, 1),
            crate::generated::new_transition(1301817600, 3),
            crate::generated::new_transition(1319958000, 1),
            crate::generated::new_transition(1333267200, 3),
            crate::generated::new_transition(1351407600, 1),
            crate::generated::new_transition(1365321600, 3),
            crate::generated::new_transition(1382857200, 1),
            crate::generated::new_transition(1396771200, 3),
            crate::generated::new_transition(1414306800, 1),
            crate::generated::new_transition(1428220800, 3),
            crate::generated::new_transition(1445756400, 1),
            crate::generated::new_transition(1459670400, 3),
            crate::generated::new_transition(1477810800, 1),
            crate::generated::new_transition(1491120000, 3),
            crate::generated::new_transition(1509260400, 1),
            crate::generated::new_transition(1522569600, 3),
            crate::generated::new_transition(1540710000, 1),
            crate::generated::new_transition(1554624000, 3),
            crate::generated::new_transition(1572159600, 1),
            crate::generated::new_transition(1586073600, 3),
            crate::generated::new_transition(1603609200, 1),
            crate::generated::new_transition(1617523200, 3),
            crate::generated::new_transition(1635663600, 1),
            crate::generated::new_transition(1648972800, 3),
            crate::generated::new_transition(1667113200, 1),
        ],
        &[
            crate::generated::new_local_time_type(-21508, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
            crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
        )),
    );

    pub(crate) const AMERICA_METLAKATLA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-3225223727, 1),
                crate::generated::new_transition(-2188955622, 2),
                crate::generated::new_transition(-880207200, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765385200, 2),
                crate::generated::new_transition(-21477600, 5),
                crate::generated::new_transition(-5756400, 2),
                crate::generated::new_transition(9972000, 5),
                crate::generated::new_transition(25693200, 2),
                crate::generated::new_transition(41421600, 5),
                crate::generated::new_transition(57747600, 2),
                crate::generated::new_transition(73476000, 5),
                crate::generated::new_transition(89197200, 2),
                crate::generated::new_transition(104925600, 5),
                crate::generated::new_transition(120646800, 2),
                crate::generated::new_transition(126698400, 5),
                crate::generated::new_transition(152096400, 2),
                crate::generated::new_transition(162381600, 5),
                crate::generated::new_transition(183546000, 2),
                crate::generated::new_transition(199274400, 5),
                crate::generated::new_transition(215600400, 2),
                crate::generated::new_transition(230724000, 5),
                crate::generated::new_transition(247050000, 2),
                crate::generated::new_transition(262778400, 5),
                crate::generated::new_transition(278499600, 2),
                crate::generated::new_transition(294228000, 5),
                crate::generated::new_transition(309949200, 2),
                crate::generated::new_transition(325677600, 5),
                crate::generated::new_transition(341398800, 2),
                crate::generated::new_transition(357127200, 5),
                crate::generated::new_transition(372848400, 2),
                crate::generated::new_transition(388576800, 5),
                crate::generated::new_transition(404902800, 2),
                crate::generated::new_transition(420026400, 5),
                crate::generated::new_transition(436352400, 2),
                crate::generated::new_transition(1446372000, 6),
                crate::generated::new_transition(1457866800, 7),
                crate::generated::new_transition(1478426400, 6),
                crate::generated::new_transition(1489316400, 7),
                crate::generated::new_transition(1509876000, 6),
                crate::generated::new_transition(1520766000, 7),
                crate::generated::new_transition(1541325600, 2),
                crate::generated::new_transition(1547978400, 6),
                crate::generated::new_transition(1552215600, 7),
            ],
            &[
                crate::generated::new_local_time_type(54822, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-31578, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PWT")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PPT")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
                crate::generated::new_local_time_type(-32400, false, Some(b"AKST")),
                crate::generated::new_local_time_type(-28800, true, Some(b"AKDT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-32400, false, Some(b"AKST")),
                    crate::generated::new_local_time_type(-28800, true, Some(b"AKDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_MEXICO_CITY: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1514739600, 1),
                crate::generated::new_transition(-1343066400, 2),
                crate::generated::new_transition(-1234807200, 1),
                crate::generated::new_transition(-1220292000, 3),
                crate::generated::new_transition(-1207159200, 1),
                crate::generated::new_transition(-1191344400, 2),
                crate::generated::new_transition(-975261600, 4),
                crate::generated::new_transition(-963169200, 2),
                crate::generated::new_transition(-917114400, 4),
                crate::generated::new_transition(-907354800, 2),
                crate::generated::new_transition(-821901600, 5),
                crate::generated::new_transition(-810068400, 2),
                crate::generated::new_transition(-627501600, 4),
                crate::generated::new_transition(-612990000, 2),
                crate::generated::new_transition(828864000, 4),
                crate::generated::new_transition(846399600, 2),
                crate::generated::new_transition(860313600, 4),
                crate::generated::new_transition(877849200, 2),
                crate::generated::new_transition(891763200, 4),
                crate::generated::new_transition(909298800, 2),
                crate::generated::new_transition(923212800, 4),
                crate::generated::new_transition(941353200, 2),
                crate::generated::new_transition(954662400, 4),
                crate::generated::new_transition(972802800, 2),
                crate::generated::new_transition(989136000, 4),
                crate::generated::new_transition(1001833200, 2),
                crate::generated::new_transition(1018166400, 4),
                crate::generated::new_transition(1035702000, 2),
                crate::generated::new_transition(1049616000, 4),
                crate::generated::new_transition(1067151600, 2),
                crate::generated::new_transition(1081065600, 4),
                crate::generated::new_transition(1099206000, 2),
                crate::generated::new_transition(1112515200, 4),
                crate::generated::new_transition(1130655600, 2),
                crate::generated::new_transition(1143964800, 4),
                crate::generated::new_transition(1162105200, 2),
                crate::generated::new_transition(1175414400, 4),
                crate::generated::new_transition(1193554800, 2),
                crate::generated::new_transition(1207468800, 4),
                crate::generated::new_transition(1225004400, 2),
                crate::generated::new_transition(1238918400, 4),
                crate::generated::new_transition(1256454000, 2),
                crate::generated::new_transition(1270368000, 4),
                crate::generated::new_transition(1288508400, 2),
                crate::generated::new_transition(1301817600, 4),
                crate::generated::new_transition(1319958000, 2),
                crate::generated::new_transition(1333267200, 4),
                crate::generated::new_transition(1351407600, 2),
                crate::generated::new_transition(1365321600, 4),
                crate::generated::new_transition(1382857200, 2),
                crate::generated::new_transition(1396771200, 4),
                crate::generated::new_transition(1414306800, 2),
                crate::generated::new_transition(1428220800, 4),
                crate::generated::new_transition(1445756400, 2),
                crate::generated::new_transition(1459670400, 4),
                crate::generated::new_transition(1477810800, 2),
                crate::generated::new_transition(1491120000, 4),
                crate::generated::new_transition(1509260400, 2),
                crate::generated::new_transition(1522569600, 4),
                crate::generated::new_transition(1540710000, 2),
                crate::generated::new_transition(1554624000, 4),
                crate::generated::new_transition(1572159600, 2),
                crate::generated::new_transition(1586073600, 4),
                crate::generated::new_transition(1603609200, 2),
                crate::generated::new_transition(1617523200, 4),
                crate::generated::new_transition(1635663600, 2),
                crate::generated::new_transition(1648972800, 4),
                crate::generated::new_transition(1667113200, 2),
            ],
            &[
                crate::generated::new_local_time_type(-23796, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CWT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            )),
        );

    pub(crate) const AMERICA_MIQUELON: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1850328920, 1),
                crate::generated::new_transition(326001600, 2),
                crate::generated::new_transition(544597200, 3),
                crate::generated::new_transition(562132800, 2),
                crate::generated::new_transition(576046800, 3),
                crate::generated::new_transition(594187200, 2),
                crate::generated::new_transition(607496400, 3),
                crate::generated::new_transition(625636800, 2),
                crate::generated::new_transition(638946000, 3),
                crate::generated::new_transition(657086400, 2),
                crate::generated::new_transition(671000400, 3),
                crate::generated::new_transition(688536000, 2),
                crate::generated::new_transition(702450000, 3),
                crate::generated::new_transition(719985600, 2),
                crate::generated::new_transition(733899600, 3),
                crate::generated::new_transition(752040000, 2),
                crate::generated::new_transition(765349200, 3),
                crate::generated::new_transition(783489600, 2),
                crate::generated::new_transition(796798800, 3),
                crate::generated::new_transition(814939200, 2),
                crate::generated::new_transition(828853200, 3),
                crate::generated::new_transition(846388800, 2),
                crate::generated::new_transition(860302800, 3),
                crate::generated::new_transition(877838400, 2),
                crate::generated::new_transition(891752400, 3),
                crate::generated::new_transition(909288000, 2),
                crate::generated::new_transition(923202000, 3),
                crate::generated::new_transition(941342400, 2),
                crate::generated::new_transition(954651600, 3),
                crate::generated::new_transition(972792000, 2),
                crate::generated::new_transition(986101200, 3),
                crate::generated::new_transition(1004241600, 2),
                crate::generated::new_transition(1018155600, 3),
                crate::generated::new_transition(1035691200, 2),
                crate::generated::new_transition(1049605200, 3),
                crate::generated::new_transition(1067140800, 2),
                crate::generated::new_transition(1081054800, 3),
                crate::generated::new_transition(1099195200, 2),
                crate::generated::new_transition(1112504400, 3),
                crate::generated::new_transition(1130644800, 2),
                crate::generated::new_transition(1143954000, 3),
                crate::generated::new_transition(1162094400, 2),
                crate::generated::new_transition(1173589200, 3),
            ],
            &[
                crate::generated::new_local_time_type(-13480, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
                crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
                    crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_MONCTON: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2715882052, 1),
                crate::generated::new_transition(-2131642800, 3),
                crate::generated::new_transition(-1632074400, 2),
                crate::generated::new_transition(-1615143600, 3),
                crate::generated::new_transition(-1153681200, 2),
                crate::generated::new_transition(-1145822400, 3),
                crate::generated::new_transition(-1122231600, 2),
                crate::generated::new_transition(-1114372800, 3),
                crate::generated::new_transition(-1090782000, 2),
                crate::generated::new_transition(-1082923200, 3),
                crate::generated::new_transition(-1059332400, 2),
                crate::generated::new_transition(-1051473600, 3),
                crate::generated::new_transition(-1027882800, 2),
                crate::generated::new_transition(-1020024000, 3),
                crate::generated::new_transition(-996433200, 2),
                crate::generated::new_transition(-988574400, 3),
                crate::generated::new_transition(-965674800, 2),
                crate::generated::new_transition(-955396800, 3),
                crate::generated::new_transition(-934743600, 2),
                crate::generated::new_transition(-923947200, 3),
                crate::generated::new_transition(-904503600, 2),
                crate::generated::new_transition(-891892800, 3),
                crate::generated::new_transition(-880221600, 4),
                crate::generated::new_transition(-769395600, 5),
                crate::generated::new_transition(-765399600, 3),
                crate::generated::new_transition(-747252000, 2),
                crate::generated::new_transition(-733950000, 3),
                crate::generated::new_transition(-715802400, 2),
                crate::generated::new_transition(-702500400, 3),
                crate::generated::new_transition(-684352800, 2),
                crate::generated::new_transition(-671050800, 3),
                crate::generated::new_transition(-652903200, 2),
                crate::generated::new_transition(-639601200, 3),
                crate::generated::new_transition(-620848800, 2),
                crate::generated::new_transition(-608151600, 3),
                crate::generated::new_transition(-589399200, 2),
                crate::generated::new_transition(-576097200, 3),
                crate::generated::new_transition(-557949600, 2),
                crate::generated::new_transition(-544647600, 3),
                crate::generated::new_transition(-526500000, 2),
                crate::generated::new_transition(-513198000, 3),
                crate::generated::new_transition(-495050400, 2),
                crate::generated::new_transition(-481748400, 3),
                crate::generated::new_transition(-463600800, 2),
                crate::generated::new_transition(-450298800, 3),
                crate::generated::new_transition(-431546400, 2),
                crate::generated::new_transition(-418244400, 3),
                crate::generated::new_transition(-400096800, 2),
                crate::generated::new_transition(-384375600, 3),
                crate::generated::new_transition(-368647200, 2),
                crate::generated::new_transition(-352926000, 3),
                crate::generated::new_transition(-337197600, 2),
                crate::generated::new_transition(-321476400, 3),
                crate::generated::new_transition(-305748000, 2),
                crate::generated::new_transition(-289422000, 3),
                crate::generated::new_transition(-273693600, 2),
                crate::generated::new_transition(-257972400, 3),
                crate::generated::new_transition(-242244000, 2),
                crate::generated::new_transition(-226522800, 3),
                crate::generated::new_transition(-210794400, 2),
                crate::generated::new_transition(-195073200, 3),
                crate::generated::new_transition(-179344800, 2),
                crate::generated::new_transition(-163623600, 3),
                crate::generated::new_transition(-147895200, 2),
                crate::generated::new_transition(-131569200, 3),
                crate::generated::new_transition(-116445600, 2),
                crate::generated::new_transition(-100119600, 3),
                crate::generated::new_transition(-84391200, 2),
                crate::generated::new_transition(-68670000, 3),
                crate::generated::new_transition(-52941600, 2),
                crate::generated::new_transition(-37220400, 3),
                crate::generated::new_transition(-21492000, 2),
                crate::generated::new_transition(-5770800, 3),
                crate::generated::new_transition(9957600, 2),
                crate::generated::new_transition(25678800, 3),
                crate::generated::new_transition(41407200, 2),
                crate::generated::new_transition(57733200, 3),
                crate::generated::new_transition(73461600, 2),
                crate::generated::new_transition(89182800, 3),
                crate::generated::new_transition(136360800, 2),
                crate::generated::new_transition(152082000, 3),
                crate::generated::new_transition(167810400, 2),
                crate::generated::new_transition(183531600, 3),
                crate::generated::new_transition(199260000, 2),
                crate::generated::new_transition(215586000, 3),
                crate::generated::new_transition(230709600, 2),
                crate::generated::new_transition(247035600, 3),
                crate::generated::new_transition(262764000, 2),
                crate::generated::new_transition(278485200, 3),
                crate::generated::new_transition(294213600, 2),
                crate::generated::new_transition(309934800, 3),
                crate::generated::new_transition(325663200, 2),
                crate::generated::new_transition(341384400, 3),
                crate::generated::new_transition(357112800, 2),
                crate::generated::new_transition(372834000, 3),
                crate::generated::new_transition(388562400, 2),
                crate::generated::new_transition(404888400, 3),
                crate::generated::new_transition(420012000, 2),
                crate::generated::new_transition(436338000, 3),
                crate::generated::new_transition(452066400, 2),
                crate::generated::new_transition(467787600, 3),
                crate::generated::new_transition(483516000, 2),
                crate::generated::new_transition(499237200, 3),
                crate::generated::new_transition(514965600, 2),
                crate::generated::new_transition(530686800, 3),
                crate::generated::new_transition(544600800, 2),
                crate::generated::new_transition(562136400, 3),
                crate::generated::new_transition(576050400, 2),
                crate::generated::new_transition(594190800, 3),
                crate::generated::new_transition(607500000, 2),
                crate::generated::new_transition(625640400, 3),
                crate::generated::new_transition(638949600, 2),
                crate::generated::new_transition(657090000, 3),
                crate::generated::new_transition(671004000, 2),
                crate::generated::new_transition(688539600, 3),
                crate::generated::new_transition(702453600, 2),
                crate::generated::new_transition(719989200, 3),
                crate::generated::new_transition(733896060, 2),
                crate::generated::new_transition(752036460, 3),
                crate::generated::new_transition(765345660, 2),
                crate::generated::new_transition(783486060, 3),
                crate::generated::new_transition(796795260, 2),
                crate::generated::new_transition(814935660, 3),
                crate::generated::new_transition(828849660, 2),
                crate::generated::new_transition(846385260, 3),
                crate::generated::new_transition(860299260, 2),
                crate::generated::new_transition(877834860, 3),
                crate::generated::new_transition(891748860, 2),
                crate::generated::new_transition(909284460, 3),
                crate::generated::new_transition(923198460, 2),
                crate::generated::new_transition(941338860, 3),
                crate::generated::new_transition(954648060, 2),
                crate::generated::new_transition(972788460, 3),
                crate::generated::new_transition(986097660, 2),
                crate::generated::new_transition(1004238060, 3),
                crate::generated::new_transition(1018152060, 2),
                crate::generated::new_transition(1035687660, 3),
                crate::generated::new_transition(1049601660, 2),
                crate::generated::new_transition(1067137260, 3),
                crate::generated::new_transition(1081051260, 2),
                crate::generated::new_transition(1099191660, 3),
                crate::generated::new_transition(1112500860, 2),
                crate::generated::new_transition(1130641260, 3),
                crate::generated::new_transition(1143950460, 2),
                crate::generated::new_transition(1162090860, 3),
                crate::generated::new_transition(1173592800, 2),
            ],
            &[
                crate::generated::new_local_time_type(-15548, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                crate::generated::new_local_time_type(-10800, true, Some(b"ADT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
                crate::generated::new_local_time_type(-10800, true, Some(b"AWT")),
                crate::generated::new_local_time_type(-10800, true, Some(b"APT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
                    crate::generated::new_local_time_type(-10800, true, Some(b"ADT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_MONTERREY: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1514743200, 1),
                crate::generated::new_transition(576057600, 2),
                crate::generated::new_transition(594198000, 1),
                crate::generated::new_transition(828864000, 2),
                crate::generated::new_transition(846399600, 1),
                crate::generated::new_transition(860313600, 2),
                crate::generated::new_transition(877849200, 1),
                crate::generated::new_transition(891763200, 2),
                crate::generated::new_transition(909298800, 1),
                crate::generated::new_transition(923212800, 2),
                crate::generated::new_transition(941353200, 1),
                crate::generated::new_transition(954662400, 2),
                crate::generated::new_transition(972802800, 1),
                crate::generated::new_transition(989136000, 2),
                crate::generated::new_transition(1001833200, 1),
                crate::generated::new_transition(1018166400, 2),
                crate::generated::new_transition(1035702000, 1),
                crate::generated::new_transition(1049616000, 2),
                crate::generated::new_transition(1067151600, 1),
                crate::generated::new_transition(1081065600, 2),
                crate::generated::new_transition(1099206000, 1),
                crate::generated::new_transition(1112515200, 2),
                crate::generated::new_transition(1130655600, 1),
                crate::generated::new_transition(1143964800, 2),
                crate::generated::new_transition(1162105200, 1),
                crate::generated::new_transition(1175414400, 2),
                crate::generated::new_transition(1193554800, 1),
                crate::generated::new_transition(1207468800, 2),
                crate::generated::new_transition(1225004400, 1),
                crate::generated::new_transition(1238918400, 2),
                crate::generated::new_transition(1256454000, 1),
                crate::generated::new_transition(1270368000, 2),
                crate::generated::new_transition(1288508400, 1),
                crate::generated::new_transition(1301817600, 2),
                crate::generated::new_transition(1319958000, 1),
                crate::generated::new_transition(1333267200, 2),
                crate::generated::new_transition(1351407600, 1),
                crate::generated::new_transition(1365321600, 2),
                crate::generated::new_transition(1382857200, 1),
                crate::generated::new_transition(1396771200, 2),
                crate::generated::new_transition(1414306800, 1),
                crate::generated::new_transition(1428220800, 2),
                crate::generated::new_transition(1445756400, 1),
                crate::generated::new_transition(1459670400, 2),
                crate::generated::new_transition(1477810800, 1),
                crate::generated::new_transition(1491120000, 2),
                crate::generated::new_transition(1509260400, 1),
                crate::generated::new_transition(1522569600, 2),
                crate::generated::new_transition(1540710000, 1),
                crate::generated::new_transition(1554624000, 2),
                crate::generated::new_transition(1572159600, 1),
                crate::generated::new_transition(1586073600, 2),
                crate::generated::new_transition(1603609200, 1),
                crate::generated::new_transition(1617523200, 2),
                crate::generated::new_transition(1635663600, 1),
                crate::generated::new_transition(1648972800, 2),
                crate::generated::new_transition(1667113200, 1),
            ],
            &[
                crate::generated::new_local_time_type(-24076, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            )),
        );

    pub(crate) const AMERICA_MONTEVIDEO: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1942690509, 1),
                crate::generated::new_transition(-1567455309, 2),
                crate::generated::new_transition(-1459627200, 4),
                crate::generated::new_transition(-1443819600, 3),
                crate::generated::new_transition(-1428006600, 4),
                crate::generated::new_transition(-1412283600, 3),
                crate::generated::new_transition(-1396470600, 4),
                crate::generated::new_transition(-1380747600, 3),
                crate::generated::new_transition(-1141590600, 4),
                crate::generated::new_transition(-1128286800, 3),
                crate::generated::new_transition(-1110141000, 4),
                crate::generated::new_transition(-1096837200, 3),
                crate::generated::new_transition(-1078691400, 4),
                crate::generated::new_transition(-1065387600, 3),
                crate::generated::new_transition(-1047241800, 4),
                crate::generated::new_transition(-1033938000, 3),
                crate::generated::new_transition(-1015187400, 4),
                crate::generated::new_transition(-1002488400, 3),
                crate::generated::new_transition(-983737800, 4),
                crate::generated::new_transition(-971038800, 3),
                crate::generated::new_transition(-954707400, 4),
                crate::generated::new_transition(-938984400, 3),
                crate::generated::new_transition(-920838600, 4),
                crate::generated::new_transition(-907534800, 3),
                crate::generated::new_transition(-896819400, 4),
                crate::generated::new_transition(-853621200, 6),
                crate::generated::new_transition(-845847000, 5),
                crate::generated::new_transition(-334789200, 6),
                crate::generated::new_transition(-319671000, 5),
                crate::generated::new_transition(-314226000, 7),
                crate::generated::new_transition(-309996000, 5),
                crate::generated::new_transition(-149720400, 7),
                crate::generated::new_transition(-134604000, 5),
                crate::generated::new_transition(-50446800, 6),
                crate::generated::new_transition(-34205400, 5),
                crate::generated::new_transition(9860400, 7),
                crate::generated::new_transition(14176800, 5),
                crate::generated::new_transition(72846000, 7),
                crate::generated::new_transition(80100000, 5),
                crate::generated::new_transition(127278000, 8),
                crate::generated::new_transition(132111000, 6),
                crate::generated::new_transition(147234600, 5),
                crate::generated::new_transition(156913200, 7),
                crate::generated::new_transition(165376800, 5),
                crate::generated::new_transition(219812400, 7),
                crate::generated::new_transition(226461600, 5),
                crate::generated::new_transition(250052400, 7),
                crate::generated::new_transition(257911200, 5),
                crate::generated::new_transition(282711600, 7),
                crate::generated::new_transition(289360800, 5),
                crate::generated::new_transition(294202800, 7),
                crate::generated::new_transition(322020000, 5),
                crate::generated::new_transition(566449200, 7),
                crate::generated::new_transition(573012000, 5),
                crate::generated::new_transition(597812400, 7),
                crate::generated::new_transition(605066400, 5),
                crate::generated::new_transition(625633200, 7),
                crate::generated::new_transition(635911200, 5),
                crate::generated::new_transition(656478000, 7),
                crate::generated::new_transition(667965600, 5),
                crate::generated::new_transition(688532400, 7),
                crate::generated::new_transition(699415200, 5),
                crate::generated::new_transition(719377200, 7),
                crate::generated::new_transition(730864800, 5),
                crate::generated::new_transition(1095562800, 7),
                crate::generated::new_transition(1111896000, 5),
                crate::generated::new_transition(1128834000, 7),
                crate::generated::new_transition(1142136000, 5),
                crate::generated::new_transition(1159678800, 7),
                crate::generated::new_transition(1173585600, 5),
                crate::generated::new_transition(1191733200, 7),
                crate::generated::new_transition(1205035200, 5),
                crate::generated::new_transition(1223182800, 7),
                crate::generated::new_transition(1236484800, 5),
                crate::generated::new_transition(1254632400, 7),
                crate::generated::new_transition(1268539200, 5),
                crate::generated::new_transition(1286082000, 7),
                crate::generated::new_transition(1299988800, 5),
                crate::generated::new_transition(1317531600, 7),
                crate::generated::new_transition(1331438400, 5),
                crate::generated::new_transition(1349586000, 7),
                crate::generated::new_transition(1362888000, 5),
                crate::generated::new_transition(1381035600, 7),
                crate::generated::new_transition(1394337600, 5),
                crate::generated::new_transition(1412485200, 7),
                crate::generated::new_transition(1425787200, 5),
            ],
            &[
                crate::generated::new_local_time_type(-13491, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-13491, false, Some(b"MMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
                crate::generated::new_local_time_type(-12600, false, Some(b"-0330")),
                crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
                crate::generated::new_local_time_type(-9000, true, Some(b"-0230")),
                crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
                crate::generated::new_local_time_type(-5400, true, Some(b"-0130")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            )),
        );

    pub(crate) const AMERICA_MONTREAL: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2366736148, 2),
                crate::generated::new_transition(-1632070800, 1),
                crate::generated::new_transition(-1615140000, 2),
                crate::generated::new_transition(-1601753400, 1),
                crate::generated::new_transition(-1583697600, 2),
                crate::generated::new_transition(-1567357200, 1),
                crate::generated::new_transition(-1554667200, 2),
                crate::generated::new_transition(-1534698000, 1),
                crate::generated::new_transition(-1524074400, 2),
                crate::generated::new_transition(-1503248400, 1),
                crate::generated::new_transition(-1492365600, 2),
                crate::generated::new_transition(-1471798800, 1),
                crate::generated::new_transition(-1460916000, 2),
                crate::generated::new_transition(-1440954000, 1),
                crate::generated::new_transition(-1428861600, 2),
                crate::generated::new_transition(-1409504400, 1),
                crate::generated::new_transition(-1397412000, 2),
                crate::generated::new_transition(-1378054800, 1),
                crate::generated::new_transition(-1365962400, 2),
                crate::generated::new_transition(-1346605200, 1),
                crate::generated::new_transition(-1333908000, 2),
                crate::generated::new_transition(-1315155600, 1),
                crate::generated::new_transition(-1301853600, 2),
                crate::generated::new_transition(-1283706000, 1),
                crate::generated::new_transition(-1270404000, 2),
                crate::generated::new_transition(-1252256400, 1),
                crate::generated::new_transition(-1238954400, 2),
                crate::generated::new_transition(-1220806800, 1),
                crate::generated::new_transition(-1207504800, 2),
                crate::generated::new_transition(-1188752400, 1),
                crate::generated::new_transition(-1176055200, 2),
                crate::generated::new_transition(-1157302800, 1),
                crate::generated::new_transition(-1144000800, 2),
                crate::generated::new_transition(-1125853200, 1),
                crate::generated::new_transition(-1112551200, 2),
                crate::generated::new_transition(-1094403600, 1),
                crate::generated::new_transition(-1081101600, 2),
                crate::generated::new_transition(-1062954000, 1),
                crate::generated::new_transition(-1049652000, 2),
                crate::generated::new_transition(-1031504400, 1),
                crate::generated::new_transition(-1018202400, 2),
                crate::generated::new_transition(-1000054800, 1),
                crate::generated::new_transition(-986752800, 2),
                crate::generated::new_transition(-968000400, 1),
                crate::generated::new_transition(-955303200, 2),
                crate::generated::new_transition(-936550800, 1),
                crate::generated::new_transition(-880218000, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765396000, 2),
                crate::generated::new_transition(-747248400, 1),
                crate::generated::new_transition(-733946400, 2),
                crate::generated::new_transition(-715806000, 1),
                crate::generated::new_transition(-702504000, 2),
                crate::generated::new_transition(-684356400, 1),
                crate::generated::new_transition(-671054400, 2),
                crate::generated::new_transition(-652906800, 1),
                crate::generated::new_transition(-634161600, 2),
                crate::generated::new_transition(-620845200, 1),
                crate::generated::new_transition(-602704800, 2),
                crate::generated::new_transition(-589395600, 1),
                crate::generated::new_transition(-576093600, 2),
                crate::generated::new_transition(-557946000, 1),
                crate::generated::new_transition(-544644000, 2),
                crate::generated::new_transition(-526496400, 1),
                crate::generated::new_transition(-513194400, 2),
                crate::generated::new_transition(-495046800, 1),
                crate::generated::new_transition(-481744800, 2),
                crate::generated::new_transition(-463597200, 1),
                crate::generated::new_transition(-450295200, 2),
                crate::generated::new_transition(-431542800, 1),
                crate::generated::new_transition(-418240800, 2),
                crate::generated::new_transition(-400093200, 1),
                crate::generated::new_transition(-384372000, 2),
                crate::generated::new_transition(-368643600, 1),
                crate::generated::new_transition(-352922400, 2),
                crate::generated::new_transition(-337194000, 1),
                crate::generated::new_transition(-321472800, 2),
                crate::generated::new_transition(-305744400, 1),
                crate::generated::new_transition(-289418400, 2),
                crate::generated::new_transition(-273690000, 1),
                crate::generated::new_transition(-257968800, 2),
                crate::generated::new_transition(-242240400, 1),
                crate::generated::new_transition(-226519200, 2),
                crate::generated::new_transition(-210790800, 1),
                crate::generated::new_transition(-195069600, 2),
                crate::generated::new_transition(-179341200, 1),
                crate::generated::new_transition(-163620000, 2),
                crate::generated::new_transition(-147891600, 1),
                crate::generated::new_transition(-131565600, 2),
                crate::generated::new_transition(-116442000, 1),
                crate::generated::new_transition(-100116000, 2),
                crate::generated::new_transition(-84387600, 1),
                crate::generated::new_transition(-68666400, 2),
                crate::generated::new_transition(-52938000, 1),
                crate::generated::new_transition(-37216800, 2),
                crate::generated::new_transition(-21488400, 1),
                crate::generated::new_transition(-5767200, 2),
                crate::generated::new_transition(9961200, 1),
                crate::generated::new_transition(25682400, 2),
                crate::generated::new_transition(41410800, 1),
                crate::generated::new_transition(57736800, 2),
                crate::generated::new_transition(73465200, 1),
                crate::generated::new_transition(89186400, 2),
                crate::generated::new_transition(104914800, 1),
                crate::generated::new_transition(120636000, 2),
                crate::generated::new_transition(136364400, 1),
                crate::generated::new_transition(152085600, 2),
                crate::generated::new_transition(167814000, 1),
                crate::generated::new_transition(183535200, 2),
                crate::generated::new_transition(199263600, 1),
                crate::generated::new_transition(215589600, 2),
                crate::generated::new_transition(230713200, 1),
                crate::generated::new_transition(247039200, 2),
                crate::generated::new_transition(262767600, 1),
                crate::generated::new_transition(278488800, 2),
                crate::generated::new_transition(294217200, 1),
                crate::generated::new_transition(309938400, 2),
                crate::generated::new_transition(325666800, 1),
                crate::generated::new_transition(341388000, 2),
                crate::generated::new_transition(357116400, 1),
                crate::generated::new_transition(372837600, 2),
                crate::generated::new_transition(388566000, 1),
                crate::generated::new_transition(404892000, 2),
                crate::generated::new_transition(420015600, 1),
                crate::generated::new_transition(436341600, 2),
                crate::generated::new_transition(452070000, 1),
                crate::generated::new_transition(467791200, 2),
                crate::generated::new_transition(483519600, 1),
                crate::generated::new_transition(499240800, 2),
                crate::generated::new_transition(514969200, 1),
                crate::generated::new_transition(530690400, 2),
                crate::generated::new_transition(544604400, 1),
                crate::generated::new_transition(562140000, 2),
                crate::generated::new_transition(576054000, 1),
                crate::generated::new_transition(594194400, 2),
                crate::generated::new_transition(607503600, 1),
                crate::generated::new_transition(625644000, 2),
                crate::generated::new_transition(638953200, 1),
                crate::generated::new_transition(657093600, 2),
                crate::generated::new_transition(671007600, 1),
                crate::generated::new_transition(688543200, 2),
                crate::generated::new_transition(702457200, 1),
                crate::generated::new_transition(719992800, 2),
                crate::generated::new_transition(733906800, 1),
                crate::generated::new_transition(752047200, 2),
                crate::generated::new_transition(765356400, 1),
                crate::generated::new_transition(783496800, 2),
                crate::generated::new_transition(796806000, 1),
                crate::generated::new_transition(814946400, 2),
                crate::generated::new_transition(828860400, 1),
                crate::generated::new_transition(846396000, 2),
                crate::generated::new_transition(860310000, 1),
                crate::generated::new_transition(877845600, 2),
                crate::generated::new_transition(891759600, 1),
                crate::generated::new_transition(909295200, 2),
                crate::generated::new_transition(923209200, 1),
                crate::generated::new_transition(941349600, 2),
                crate::generated::new_transition(954658800, 1),
                crate::generated::new_transition(972799200, 2),
                crate::generated::new_transition(986108400, 1),
                crate::generated::new_transition(1004248800, 2),
                crate::generated::new_transition(1018162800, 1),
                crate::generated::new_transition(1035698400, 2),
                crate::generated::new_transition(1049612400, 1),
                crate::generated::new_transition(1067148000, 2),
                crate::generated::new_transition(1081062000, 1),
                crate::generated::new_transition(1099202400, 2),
                crate::generated::new_transition(1112511600, 1),
                crate::generated::new_transition(1130652000, 2),
                crate::generated::new_transition(1143961200, 1),
                crate::generated::new_transition(1162101600, 2),
                crate::generated::new_transition(1173596400, 1),
            ],
            &[
                crate::generated::new_local_time_type(-19052, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EWT")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EPT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                    crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_MONTSERRAT: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-1846266608, 1)],
            &[
                crate::generated::new_local_time_type(-14932, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_NASSAU: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1825095030, 2),
            crate::generated::new_transition(-873140400, 1),
            crate::generated::new_transition(-788904000, 2),
            crate::generated::new_transition(-786222000, 1),
            crate::generated::new_transition(-769395600, 3),
            crate::generated::new_transition(-763848000, 2),
            crate::generated::new_transition(-179341200, 4),
            crate::generated::new_transition(-163620000, 2),
            crate::generated::new_transition(-147891600, 4),
            crate::generated::new_transition(-131565600, 2),
            crate::generated::new_transition(-116442000, 4),
            crate::generated::new_transition(-100116000, 2),
            crate::generated::new_transition(-84387600, 4),
            crate::generated::new_transition(-68666400, 2),
            crate::generated::new_transition(-52938000, 4),
            crate::generated::new_transition(-37216800, 2),
            crate::generated::new_transition(-21488400, 4),
            crate::generated::new_transition(-5767200, 2),
            crate::generated::new_transition(9961200, 4),
            crate::generated::new_transition(25682400, 2),
            crate::generated::new_transition(41410800, 4),
            crate::generated::new_transition(57736800, 2),
            crate::generated::new_transition(73465200, 4),
            crate::generated::new_transition(89186400, 2),
            crate::generated::new_transition(104914800, 4),
            crate::generated::new_transition(120636000, 2),
            crate::generated::new_transition(136364400, 4),
            crate::generated::new_transition(152085600, 2),
            crate::generated::new_transition(167814000, 4),
            crate::generated::new_transition(183535200, 2),
            crate::generated::new_transition(199263600, 4),
            crate::generated::new_transition(215589600, 2),
            crate::generated::new_transition(230713200, 4),
            crate::generated::new_transition(247039200, 2),
            crate::generated::new_transition(262767600, 4),
            crate::generated::new_transition(278488800, 2),
            crate::generated::new_transition(294217200, 4),
            crate::generated::new_transition(309938400, 2),
            crate::generated::new_transition(325666800, 4),
            crate::generated::new_transition(341388000, 2),
            crate::generated::new_transition(357116400, 4),
            crate::generated::new_transition(372837600, 2),
            crate::generated::new_transition(388566000, 4),
            crate::generated::new_transition(404892000, 2),
            crate::generated::new_transition(420015600, 4),
            crate::generated::new_transition(436341600, 2),
            crate::generated::new_transition(452070000, 4),
            crate::generated::new_transition(467791200, 2),
            crate::generated::new_transition(483519600, 4),
            crate::generated::new_transition(499240800, 2),
            crate::generated::new_transition(514969200, 4),
            crate::generated::new_transition(530690400, 2),
            crate::generated::new_transition(544604400, 4),
            crate::generated::new_transition(562140000, 2),
            crate::generated::new_transition(576054000, 4),
            crate::generated::new_transition(594194400, 2),
            crate::generated::new_transition(607503600, 4),
            crate::generated::new_transition(625644000, 2),
            crate::generated::new_transition(638953200, 4),
            crate::generated::new_transition(657093600, 2),
            crate::generated::new_transition(671007600, 4),
            crate::generated::new_transition(688543200, 2),
            crate::generated::new_transition(702457200, 4),
            crate::generated::new_transition(719992800, 2),
            crate::generated::new_transition(733906800, 4),
            crate::generated::new_transition(752047200, 2),
            crate::generated::new_transition(765356400, 4),
            crate::generated::new_transition(783496800, 2),
            crate::generated::new_transition(796806000, 4),
            crate::generated::new_transition(814946400, 2),
            crate::generated::new_transition(828860400, 4),
            crate::generated::new_transition(846396000, 2),
            crate::generated::new_transition(860310000, 4),
            crate::generated::new_transition(877845600, 2),
            crate::generated::new_transition(891759600, 4),
            crate::generated::new_transition(909295200, 2),
            crate::generated::new_transition(923209200, 4),
            crate::generated::new_transition(941349600, 2),
            crate::generated::new_transition(954658800, 4),
            crate::generated::new_transition(972799200, 2),
            crate::generated::new_transition(986108400, 4),
            crate::generated::new_transition(1004248800, 2),
            crate::generated::new_transition(1018162800, 4),
            crate::generated::new_transition(1035698400, 2),
            crate::generated::new_transition(1049612400, 4),
            crate::generated::new_transition(1067148000, 2),
            crate::generated::new_transition(1081062000, 4),
            crate::generated::new_transition(1099202400, 2),
            crate::generated::new_transition(1112511600, 4),
            crate::generated::new_transition(1130652000, 2),
            crate::generated::new_transition(1143961200, 4),
            crate::generated::new_transition(1162101600, 2),
            crate::generated::new_transition(1173596400, 4),
        ],
        &[
            crate::generated::new_local_time_type(-18570, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-14400, true, Some(b"EWT")),
            crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
            crate::generated::new_local_time_type(-14400, true, Some(b"EPT")),
            crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const AMERICA_NEW_YORK: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2717650800, 2),
                crate::generated::new_transition(-1633280400, 1),
                crate::generated::new_transition(-1615140000, 2),
                crate::generated::new_transition(-1601830800, 1),
                crate::generated::new_transition(-1583690400, 2),
                crate::generated::new_transition(-1570381200, 1),
                crate::generated::new_transition(-1551636000, 2),
                crate::generated::new_transition(-1536512400, 1),
                crate::generated::new_transition(-1523210400, 2),
                crate::generated::new_transition(-1504458000, 1),
                crate::generated::new_transition(-1491760800, 2),
                crate::generated::new_transition(-1473008400, 1),
                crate::generated::new_transition(-1459706400, 2),
                crate::generated::new_transition(-1441558800, 1),
                crate::generated::new_transition(-1428256800, 2),
                crate::generated::new_transition(-1410109200, 1),
                crate::generated::new_transition(-1396807200, 2),
                crate::generated::new_transition(-1378659600, 1),
                crate::generated::new_transition(-1365357600, 2),
                crate::generated::new_transition(-1347210000, 1),
                crate::generated::new_transition(-1333908000, 2),
                crate::generated::new_transition(-1315155600, 1),
                crate::generated::new_transition(-1301853600, 2),
                crate::generated::new_transition(-1283706000, 1),
                crate::generated::new_transition(-1270404000, 2),
                crate::generated::new_transition(-1252256400, 1),
                crate::generated::new_transition(-1238954400, 2),
                crate::generated::new_transition(-1220806800, 1),
                crate::generated::new_transition(-1207504800, 2),
                crate::generated::new_transition(-1189357200, 1),
                crate::generated::new_transition(-1176055200, 2),
                crate::generated::new_transition(-1157302800, 1),
                crate::generated::new_transition(-1144605600, 2),
                crate::generated::new_transition(-1125853200, 1),
                crate::generated::new_transition(-1112551200, 2),
                crate::generated::new_transition(-1094403600, 1),
                crate::generated::new_transition(-1081101600, 2),
                crate::generated::new_transition(-1062954000, 1),
                crate::generated::new_transition(-1049652000, 2),
                crate::generated::new_transition(-1031504400, 1),
                crate::generated::new_transition(-1018202400, 2),
                crate::generated::new_transition(-1000054800, 1),
                crate::generated::new_transition(-986752800, 2),
                crate::generated::new_transition(-968000400, 1),
                crate::generated::new_transition(-955303200, 2),
                crate::generated::new_transition(-936550800, 1),
                crate::generated::new_transition(-923248800, 2),
                crate::generated::new_transition(-905101200, 1),
                crate::generated::new_transition(-891799200, 2),
                crate::generated::new_transition(-880218000, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765396000, 2),
                crate::generated::new_transition(-747248400, 1),
                crate::generated::new_transition(-733946400, 2),
                crate::generated::new_transition(-715798800, 1),
                crate::generated::new_transition(-702496800, 2),
                crate::generated::new_transition(-684349200, 1),
                crate::generated::new_transition(-671047200, 2),
                crate::generated::new_transition(-652899600, 1),
                crate::generated::new_transition(-639597600, 2),
                crate::generated::new_transition(-620845200, 1),
                crate::generated::new_transition(-608148000, 2),
                crate::generated::new_transition(-589395600, 1),
                crate::generated::new_transition(-576093600, 2),
                crate::generated::new_transition(-557946000, 1),
                crate::generated::new_transition(-544644000, 2),
                crate::generated::new_transition(-526496400, 1),
                crate::generated::new_transition(-513194400, 2),
                crate::generated::new_transition(-495046800, 1),
                crate::generated::new_transition(-481744800, 2),
                crate::generated::new_transition(-463597200, 1),
                crate::generated::new_transition(-447271200, 2),
                crate::generated::new_transition(-431542800, 1),
                crate::generated::new_transition(-415821600, 2),
                crate::generated::new_transition(-400093200, 1),
                crate::generated::new_transition(-384372000, 2),
                crate::generated::new_transition(-368643600, 1),
                crate::generated::new_transition(-352922400, 2),
                crate::generated::new_transition(-337194000, 1),
                crate::generated::new_transition(-321472800, 2),
                crate::generated::new_transition(-305744400, 1),
                crate::generated::new_transition(-289418400, 2),
                crate::generated::new_transition(-273690000, 1),
                crate::generated::new_transition(-257968800, 2),
                crate::generated::new_transition(-242240400, 1),
                crate::generated::new_transition(-226519200, 2),
                crate::generated::new_transition(-210790800, 1),
                crate::generated::new_transition(-195069600, 2),
                crate::generated::new_transition(-179341200, 1),
                crate::generated::new_transition(-163620000, 2),
                crate::generated::new_transition(-147891600, 1),
                crate::generated::new_transition(-131565600, 2),
                crate::generated::new_transition(-116442000, 1),
                crate::generated::new_transition(-100116000, 2),
                crate::generated::new_transition(-84387600, 1),
                crate::generated::new_transition(-68666400, 2),
                crate::generated::new_transition(-52938000, 1),
                crate::generated::new_transition(-37216800, 2),
                crate::generated::new_transition(-21488400, 1),
                crate::generated::new_transition(-5767200, 2),
                crate::generated::new_transition(9961200, 1),
                crate::generated::new_transition(25682400, 2),
                crate::generated::new_transition(41410800, 1),
                crate::generated::new_transition(57736800, 2),
                crate::generated::new_transition(73465200, 1),
                crate::generated::new_transition(89186400, 2),
                crate::generated::new_transition(104914800, 1),
                crate::generated::new_transition(120636000, 2),
                crate::generated::new_transition(126687600, 1),
                crate::generated::new_transition(152085600, 2),
                crate::generated::new_transition(162370800, 1),
                crate::generated::new_transition(183535200, 2),
                crate::generated::new_transition(199263600, 1),
                crate::generated::new_transition(215589600, 2),
                crate::generated::new_transition(230713200, 1),
                crate::generated::new_transition(247039200, 2),
                crate::generated::new_transition(262767600, 1),
                crate::generated::new_transition(278488800, 2),
                crate::generated::new_transition(294217200, 1),
                crate::generated::new_transition(309938400, 2),
                crate::generated::new_transition(325666800, 1),
                crate::generated::new_transition(341388000, 2),
                crate::generated::new_transition(357116400, 1),
                crate::generated::new_transition(372837600, 2),
                crate::generated::new_transition(388566000, 1),
                crate::generated::new_transition(404892000, 2),
                crate::generated::new_transition(420015600, 1),
                crate::generated::new_transition(436341600, 2),
                crate::generated::new_transition(452070000, 1),
                crate::generated::new_transition(467791200, 2),
                crate::generated::new_transition(483519600, 1),
                crate::generated::new_transition(499240800, 2),
                crate::generated::new_transition(514969200, 1),
                crate::generated::new_transition(530690400, 2),
                crate::generated::new_transition(544604400, 1),
                crate::generated::new_transition(562140000, 2),
                crate::generated::new_transition(576054000, 1),
                crate::generated::new_transition(594194400, 2),
                crate::generated::new_transition(607503600, 1),
                crate::generated::new_transition(625644000, 2),
                crate::generated::new_transition(638953200, 1),
                crate::generated::new_transition(657093600, 2),
                crate::generated::new_transition(671007600, 1),
                crate::generated::new_transition(688543200, 2),
                crate::generated::new_transition(702457200, 1),
                crate::generated::new_transition(719992800, 2),
                crate::generated::new_transition(733906800, 1),
                crate::generated::new_transition(752047200, 2),
                crate::generated::new_transition(765356400, 1),
                crate::generated::new_transition(783496800, 2),
                crate::generated::new_transition(796806000, 1),
                crate::generated::new_transition(814946400, 2),
                crate::generated::new_transition(828860400, 1),
                crate::generated::new_transition(846396000, 2),
                crate::generated::new_transition(860310000, 1),
                crate::generated::new_transition(877845600, 2),
                crate::generated::new_transition(891759600, 1),
                crate::generated::new_transition(909295200, 2),
                crate::generated::new_transition(923209200, 1),
                crate::generated::new_transition(941349600, 2),
                crate::generated::new_transition(954658800, 1),
                crate::generated::new_transition(972799200, 2),
                crate::generated::new_transition(986108400, 1),
                crate::generated::new_transition(1004248800, 2),
                crate::generated::new_transition(1018162800, 1),
                crate::generated::new_transition(1035698400, 2),
                crate::generated::new_transition(1049612400, 1),
                crate::generated::new_transition(1067148000, 2),
                crate::generated::new_transition(1081062000, 1),
                crate::generated::new_transition(1099202400, 2),
                crate::generated::new_transition(1112511600, 1),
                crate::generated::new_transition(1130652000, 2),
                crate::generated::new_transition(1143961200, 1),
                crate::generated::new_transition(1162101600, 2),
                crate::generated::new_transition(1173596400, 1),
            ],
            &[
                crate::generated::new_local_time_type(-17762, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EWT")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EPT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                    crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_NOME: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3225223727, 1),
            crate::generated::new_transition(-2188947502, 2),
            crate::generated::new_transition(-880196400, 3),
            crate::generated::new_transition(-769395600, 4),
            crate::generated::new_transition(-765374400, 2),
            crate::generated::new_transition(-86878800, 5),
            crate::generated::new_transition(-21466800, 6),
            crate::generated::new_transition(-5745600, 5),
            crate::generated::new_transition(9982800, 6),
            crate::generated::new_transition(25704000, 5),
            crate::generated::new_transition(41432400, 6),
            crate::generated::new_transition(57758400, 5),
            crate::generated::new_transition(73486800, 6),
            crate::generated::new_transition(89208000, 5),
            crate::generated::new_transition(104936400, 6),
            crate::generated::new_transition(120657600, 5),
            crate::generated::new_transition(126709200, 6),
            crate::generated::new_transition(152107200, 5),
            crate::generated::new_transition(162392400, 6),
            crate::generated::new_transition(183556800, 5),
            crate::generated::new_transition(199285200, 6),
            crate::generated::new_transition(215611200, 5),
            crate::generated::new_transition(230734800, 6),
            crate::generated::new_transition(247060800, 5),
            crate::generated::new_transition(262789200, 6),
            crate::generated::new_transition(278510400, 5),
            crate::generated::new_transition(294238800, 6),
            crate::generated::new_transition(309960000, 5),
            crate::generated::new_transition(325688400, 6),
            crate::generated::new_transition(341409600, 5),
            crate::generated::new_transition(357138000, 6),
            crate::generated::new_transition(372859200, 5),
            crate::generated::new_transition(388587600, 6),
            crate::generated::new_transition(404913600, 5),
            crate::generated::new_transition(420037200, 6),
            crate::generated::new_transition(436363200, 7),
            crate::generated::new_transition(439030800, 9),
            crate::generated::new_transition(452084400, 8),
            crate::generated::new_transition(467805600, 9),
            crate::generated::new_transition(483534000, 8),
            crate::generated::new_transition(499255200, 9),
            crate::generated::new_transition(514983600, 8),
            crate::generated::new_transition(530704800, 9),
            crate::generated::new_transition(544618800, 8),
            crate::generated::new_transition(562154400, 9),
            crate::generated::new_transition(576068400, 8),
            crate::generated::new_transition(594208800, 9),
            crate::generated::new_transition(607518000, 8),
            crate::generated::new_transition(625658400, 9),
            crate::generated::new_transition(638967600, 8),
            crate::generated::new_transition(657108000, 9),
            crate::generated::new_transition(671022000, 8),
            crate::generated::new_transition(688557600, 9),
            crate::generated::new_transition(702471600, 8),
            crate::generated::new_transition(720007200, 9),
            crate::generated::new_transition(733921200, 8),
            crate::generated::new_transition(752061600, 9),
            crate::generated::new_transition(765370800, 8),
            crate::generated::new_transition(783511200, 9),
            crate::generated::new_transition(796820400, 8),
            crate::generated::new_transition(814960800, 9),
            crate::generated::new_transition(828874800, 8),
            crate::generated::new_transition(846410400, 9),
            crate::generated::new_transition(860324400, 8),
            crate::generated::new_transition(877860000, 9),
            crate::generated::new_transition(891774000, 8),
            crate::generated::new_transition(909309600, 9),
            crate::generated::new_transition(923223600, 8),
            crate::generated::new_transition(941364000, 9),
            crate::generated::new_transition(954673200, 8),
            crate::generated::new_transition(972813600, 9),
            crate::generated::new_transition(986122800, 8),
            crate::generated::new_transition(1004263200, 9),
            crate::generated::new_transition(1018177200, 8),
            crate::generated::new_transition(1035712800, 9),
            crate::generated::new_transition(1049626800, 8),
            crate::generated::new_transition(1067162400, 9),
            crate::generated::new_transition(1081076400, 8),
            crate::generated::new_transition(1099216800, 9),
            crate::generated::new_transition(1112526000, 8),
            crate::generated::new_transition(1130666400, 9),
            crate::generated::new_transition(1143975600, 8),
            crate::generated::new_transition(1162116000, 9),
            crate::generated::new_transition(1173610800, 8),
        ],
        &[
            crate::generated::new_local_time_type(46702, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-39698, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-39600, false, Some(b"NST")),
            crate::generated::new_local_time_type(-36000, true, Some(b"NWT")),
            crate::generated::new_local_time_type(-36000, true, Some(b"NPT")),
            crate::generated::new_local_time_type(-39600, false, Some(b"BST")),
            crate::generated::new_local_time_type(-36000, true, Some(b"BDT")),
            crate::generated::new_local_time_type(-32400, false, Some(b"YST")),
            crate::generated::new_local_time_type(-28800, true, Some(b"AKDT")),
            crate::generated::new_local_time_type(-32400, false, Some(b"AKST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(-32400, false, Some(b"AKST")),
                crate::generated::new_local_time_type(-28800, true, Some(b"AKDT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const AMERICA_NORONHA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1767217820, 2),
                crate::generated::new_transition(-1206961200, 1),
                crate::generated::new_transition(-1191366000, 2),
                crate::generated::new_transition(-1175378400, 1),
                crate::generated::new_transition(-1159830000, 2),
                crate::generated::new_transition(-633823200, 1),
                crate::generated::new_transition(-622072800, 2),
                crate::generated::new_transition(-602287200, 1),
                crate::generated::new_transition(-591836400, 2),
                crate::generated::new_transition(-570751200, 1),
                crate::generated::new_transition(-560214000, 2),
                crate::generated::new_transition(-539128800, 1),
                crate::generated::new_transition(-531356400, 2),
                crate::generated::new_transition(-191368800, 1),
                crate::generated::new_transition(-184201200, 2),
                crate::generated::new_transition(-155167200, 1),
                crate::generated::new_transition(-150073200, 2),
                crate::generated::new_transition(-128901600, 1),
                crate::generated::new_transition(-121129200, 2),
                crate::generated::new_transition(-99957600, 1),
                crate::generated::new_transition(-89593200, 2),
                crate::generated::new_transition(-68421600, 1),
                crate::generated::new_transition(-57970800, 2),
                crate::generated::new_transition(499744800, 1),
                crate::generated::new_transition(511232400, 2),
                crate::generated::new_transition(530589600, 1),
                crate::generated::new_transition(540262800, 2),
                crate::generated::new_transition(562125600, 1),
                crate::generated::new_transition(571194000, 2),
                crate::generated::new_transition(592970400, 1),
                crate::generated::new_transition(602038800, 2),
                crate::generated::new_transition(624420000, 1),
                crate::generated::new_transition(634698000, 2),
                crate::generated::new_transition(938916000, 1),
                crate::generated::new_transition(951613200, 2),
                crate::generated::new_transition(970970400, 1),
                crate::generated::new_transition(971571600, 2),
                crate::generated::new_transition(1003024800, 1),
                crate::generated::new_transition(1013907600, 2),
            ],
            &[
                crate::generated::new_local_time_type(-7780, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-3600, true, Some(b"-01")),
                crate::generated::new_local_time_type(-7200, false, Some(b"-02")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-7200, false, Some(b"-02")),
            )),
        );

    pub(crate) const AMERICA_PARAMARIBO: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1861906760, 1),
                crate::generated::new_transition(-1104524348, 2),
                crate::generated::new_transition(-765317964, 3),
                crate::generated::new_transition(465449400, 4),
            ],
            &[
                crate::generated::new_local_time_type(-13240, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-13252, false, Some(b"PMT")),
                crate::generated::new_local_time_type(-13236, false, Some(b"PMT")),
                crate::generated::new_local_time_type(-12600, false, Some(b"-0330")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            )),
        );

    pub(crate) const AMERICA_PHOENIX: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2717643600, 2),
                crate::generated::new_transition(-1633273200, 1),
                crate::generated::new_transition(-1615132800, 2),
                crate::generated::new_transition(-1601823600, 1),
                crate::generated::new_transition(-1583683200, 2),
                crate::generated::new_transition(-880210800, 3),
                crate::generated::new_transition(-820519140, 2),
                crate::generated::new_transition(-812653140, 3),
                crate::generated::new_transition(-796845540, 2),
                crate::generated::new_transition(-84380400, 1),
                crate::generated::new_transition(-68659200, 2),
            ],
            &[
                crate::generated::new_local_time_type(-26898, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MWT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
            )),
        );

    pub(crate) const AMERICA_PORTO_ACRE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1767209328, 2),
                crate::generated::new_transition(-1206950400, 1),
                crate::generated::new_transition(-1191355200, 2),
                crate::generated::new_transition(-1175367600, 1),
                crate::generated::new_transition(-1159819200, 2),
                crate::generated::new_transition(-633812400, 1),
                crate::generated::new_transition(-622062000, 2),
                crate::generated::new_transition(-602276400, 1),
                crate::generated::new_transition(-591825600, 2),
                crate::generated::new_transition(-570740400, 1),
                crate::generated::new_transition(-560203200, 2),
                crate::generated::new_transition(-539118000, 1),
                crate::generated::new_transition(-531345600, 2),
                crate::generated::new_transition(-191358000, 1),
                crate::generated::new_transition(-184190400, 2),
                crate::generated::new_transition(-155156400, 1),
                crate::generated::new_transition(-150062400, 2),
                crate::generated::new_transition(-128890800, 1),
                crate::generated::new_transition(-121118400, 2),
                crate::generated::new_transition(-99946800, 1),
                crate::generated::new_transition(-89582400, 2),
                crate::generated::new_transition(-68410800, 1),
                crate::generated::new_transition(-57960000, 2),
                crate::generated::new_transition(499755600, 1),
                crate::generated::new_transition(511243200, 2),
                crate::generated::new_transition(530600400, 1),
                crate::generated::new_transition(540273600, 2),
                crate::generated::new_transition(562136400, 1),
                crate::generated::new_transition(571204800, 2),
                crate::generated::new_transition(1214283600, 3),
                crate::generated::new_transition(1384056000, 2),
            ],
            &[
                crate::generated::new_local_time_type(-16272, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14400, true, Some(b"-04")),
                crate::generated::new_local_time_type(-18000, false, Some(b"-05")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-18000, false, Some(b"-05")),
            )),
        );

    pub(crate) const AMERICA_PORTO_VELHO: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1767210264, 2),
                crate::generated::new_transition(-1206954000, 1),
                crate::generated::new_transition(-1191358800, 2),
                crate::generated::new_transition(-1175371200, 1),
                crate::generated::new_transition(-1159822800, 2),
                crate::generated::new_transition(-633816000, 1),
                crate::generated::new_transition(-622065600, 2),
                crate::generated::new_transition(-602280000, 1),
                crate::generated::new_transition(-591829200, 2),
                crate::generated::new_transition(-570744000, 1),
                crate::generated::new_transition(-560206800, 2),
                crate::generated::new_transition(-539121600, 1),
                crate::generated::new_transition(-531349200, 2),
                crate::generated::new_transition(-191361600, 1),
                crate::generated::new_transition(-184194000, 2),
                crate::generated::new_transition(-155160000, 1),
                crate::generated::new_transition(-150066000, 2),
                crate::generated::new_transition(-128894400, 1),
                crate::generated::new_transition(-121122000, 2),
                crate::generated::new_transition(-99950400, 1),
                crate::generated::new_transition(-89586000, 2),
                crate::generated::new_transition(-68414400, 1),
                crate::generated::new_transition(-57963600, 2),
                crate::generated::new_transition(499752000, 1),
                crate::generated::new_transition(511239600, 2),
                crate::generated::new_transition(530596800, 1),
                crate::generated::new_transition(540270000, 2),
                crate::generated::new_transition(562132800, 1),
                crate::generated::new_transition(571201200, 2),
            ],
            &[
                crate::generated::new_local_time_type(-15336, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
            )),
        );

    pub(crate) const AMERICA_PORT_AU_PRINCE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524504240, 1),
                crate::generated::new_transition(-1670483460, 3),
                crate::generated::new_transition(421218000, 2),
                crate::generated::new_transition(436334400, 3),
                crate::generated::new_transition(452062800, 2),
                crate::generated::new_transition(467784000, 3),
                crate::generated::new_transition(483512400, 2),
                crate::generated::new_transition(499233600, 3),
                crate::generated::new_transition(514962000, 2),
                crate::generated::new_transition(530683200, 3),
                crate::generated::new_transition(546411600, 2),
                crate::generated::new_transition(562132800, 3),
                crate::generated::new_transition(576050400, 2),
                crate::generated::new_transition(594194400, 3),
                crate::generated::new_transition(607500000, 2),
                crate::generated::new_transition(625644000, 3),
                crate::generated::new_transition(638949600, 2),
                crate::generated::new_transition(657093600, 3),
                crate::generated::new_transition(671004000, 2),
                crate::generated::new_transition(688543200, 3),
                crate::generated::new_transition(702453600, 2),
                crate::generated::new_transition(719992800, 3),
                crate::generated::new_transition(733903200, 2),
                crate::generated::new_transition(752047200, 3),
                crate::generated::new_transition(765352800, 2),
                crate::generated::new_transition(783496800, 3),
                crate::generated::new_transition(796802400, 2),
                crate::generated::new_transition(814946400, 3),
                crate::generated::new_transition(828856800, 2),
                crate::generated::new_transition(846396000, 3),
                crate::generated::new_transition(860306400, 2),
                crate::generated::new_transition(877845600, 3),
                crate::generated::new_transition(1112504400, 2),
                crate::generated::new_transition(1130644800, 3),
                crate::generated::new_transition(1143954000, 2),
                crate::generated::new_transition(1162094400, 3),
                crate::generated::new_transition(1331449200, 2),
                crate::generated::new_transition(1352008800, 3),
                crate::generated::new_transition(1362898800, 2),
                crate::generated::new_transition(1383458400, 3),
                crate::generated::new_transition(1394348400, 2),
                crate::generated::new_transition(1414908000, 3),
                crate::generated::new_transition(1425798000, 2),
                crate::generated::new_transition(1446357600, 3),
                crate::generated::new_transition(1489302000, 2),
            ],
            &[
                crate::generated::new_local_time_type(-17360, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-17340, false, Some(b"PPMT")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                    crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_PORT_OF_SPAIN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-1825098836, 1)],
            &[
                crate::generated::new_local_time_type(-14764, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_PUNTA_ARENAS: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524504580, 1),
                crate::generated::new_transition(-1892661435, 2),
                crate::generated::new_transition(-1688410800, 1),
                crate::generated::new_transition(-1619205435, 3),
                crate::generated::new_transition(-1593806400, 1),
                crate::generated::new_transition(-1335986235, 4),
                crate::generated::new_transition(-1317585600, 2),
                crate::generated::new_transition(-1304362800, 4),
                crate::generated::new_transition(-1286049600, 2),
                crate::generated::new_transition(-1272826800, 4),
                crate::generated::new_transition(-1254513600, 2),
                crate::generated::new_transition(-1241290800, 4),
                crate::generated::new_transition(-1222977600, 2),
                crate::generated::new_transition(-1209754800, 4),
                crate::generated::new_transition(-1191355200, 2),
                crate::generated::new_transition(-1178132400, 3),
                crate::generated::new_transition(-870552000, 2),
                crate::generated::new_transition(-865278000, 3),
                crate::generated::new_transition(-736632000, 4),
                crate::generated::new_transition(-718056000, 2),
                crate::generated::new_transition(-713649600, 3),
                crate::generated::new_transition(-36619200, 5),
                crate::generated::new_transition(-23922000, 3),
                crate::generated::new_transition(-3355200, 5),
                crate::generated::new_transition(7527600, 3),
                crate::generated::new_transition(24465600, 5),
                crate::generated::new_transition(37767600, 3),
                crate::generated::new_transition(55915200, 5),
                crate::generated::new_transition(69217200, 3),
                crate::generated::new_transition(87969600, 5),
                crate::generated::new_transition(100666800, 3),
                crate::generated::new_transition(118209600, 5),
                crate::generated::new_transition(132116400, 3),
                crate::generated::new_transition(150868800, 5),
                crate::generated::new_transition(163566000, 3),
                crate::generated::new_transition(182318400, 5),
                crate::generated::new_transition(195620400, 3),
                crate::generated::new_transition(213768000, 5),
                crate::generated::new_transition(227070000, 3),
                crate::generated::new_transition(245217600, 5),
                crate::generated::new_transition(258519600, 3),
                crate::generated::new_transition(277272000, 5),
                crate::generated::new_transition(289969200, 3),
                crate::generated::new_transition(308721600, 5),
                crate::generated::new_transition(321418800, 3),
                crate::generated::new_transition(340171200, 5),
                crate::generated::new_transition(353473200, 3),
                crate::generated::new_transition(371620800, 5),
                crate::generated::new_transition(384922800, 3),
                crate::generated::new_transition(403070400, 5),
                crate::generated::new_transition(416372400, 3),
                crate::generated::new_transition(434520000, 5),
                crate::generated::new_transition(447822000, 3),
                crate::generated::new_transition(466574400, 5),
                crate::generated::new_transition(479271600, 3),
                crate::generated::new_transition(498024000, 5),
                crate::generated::new_transition(510721200, 3),
                crate::generated::new_transition(529473600, 5),
                crate::generated::new_transition(545194800, 3),
                crate::generated::new_transition(560923200, 5),
                crate::generated::new_transition(574225200, 3),
                crate::generated::new_transition(592372800, 5),
                crate::generated::new_transition(605674800, 3),
                crate::generated::new_transition(624427200, 5),
                crate::generated::new_transition(637124400, 3),
                crate::generated::new_transition(653457600, 5),
                crate::generated::new_transition(668574000, 3),
                crate::generated::new_transition(687326400, 5),
                crate::generated::new_transition(700628400, 3),
                crate::generated::new_transition(718776000, 5),
                crate::generated::new_transition(732078000, 3),
                crate::generated::new_transition(750225600, 5),
                crate::generated::new_transition(763527600, 3),
                crate::generated::new_transition(781675200, 5),
                crate::generated::new_transition(794977200, 3),
                crate::generated::new_transition(813729600, 5),
                crate::generated::new_transition(826426800, 3),
                crate::generated::new_transition(845179200, 5),
                crate::generated::new_transition(859690800, 3),
                crate::generated::new_transition(876628800, 5),
                crate::generated::new_transition(889930800, 3),
                crate::generated::new_transition(906868800, 5),
                crate::generated::new_transition(923194800, 3),
                crate::generated::new_transition(939528000, 5),
                crate::generated::new_transition(952830000, 3),
                crate::generated::new_transition(971582400, 5),
                crate::generated::new_transition(984279600, 3),
                crate::generated::new_transition(1003032000, 5),
                crate::generated::new_transition(1015729200, 3),
                crate::generated::new_transition(1034481600, 5),
                crate::generated::new_transition(1047178800, 3),
                crate::generated::new_transition(1065931200, 5),
                crate::generated::new_transition(1079233200, 3),
                crate::generated::new_transition(1097380800, 5),
                crate::generated::new_transition(1110682800, 3),
                crate::generated::new_transition(1128830400, 5),
                crate::generated::new_transition(1142132400, 3),
                crate::generated::new_transition(1160884800, 5),
                crate::generated::new_transition(1173582000, 3),
                crate::generated::new_transition(1192334400, 5),
                crate::generated::new_transition(1206846000, 3),
                crate::generated::new_transition(1223784000, 5),
                crate::generated::new_transition(1237086000, 3),
                crate::generated::new_transition(1255233600, 5),
                crate::generated::new_transition(1270350000, 3),
                crate::generated::new_transition(1286683200, 5),
                crate::generated::new_transition(1304823600, 3),
                crate::generated::new_transition(1313899200, 5),
                crate::generated::new_transition(1335668400, 3),
                crate::generated::new_transition(1346558400, 5),
                crate::generated::new_transition(1367118000, 3),
                crate::generated::new_transition(1378612800, 5),
                crate::generated::new_transition(1398567600, 3),
                crate::generated::new_transition(1410062400, 5),
                crate::generated::new_transition(1463281200, 3),
                crate::generated::new_transition(1471147200, 5),
                crate::generated::new_transition(1480820400, 6),
            ],
            &[
                crate::generated::new_local_time_type(-17020, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-16965, false, Some(b"SMT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"-05")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
                crate::generated::new_local_time_type(-14400, true, Some(b"-04")),
                crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            )),
        );

    pub(crate) const AMERICA_RAINY_RIVER: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2602258284, 2),
                crate::generated::new_transition(-1694368800, 1),
                crate::generated::new_transition(-1681671600, 2),
                crate::generated::new_transition(-1632067200, 1),
                crate::generated::new_transition(-1615136400, 2),
                crate::generated::new_transition(-1029686400, 1),
                crate::generated::new_transition(-1018198800, 2),
                crate::generated::new_transition(-880214400, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765392400, 2),
                crate::generated::new_transition(-746035200, 1),
                crate::generated::new_transition(-732733200, 2),
                crate::generated::new_transition(-715795200, 1),
                crate::generated::new_transition(-702493200, 2),
                crate::generated::new_transition(-684345600, 1),
                crate::generated::new_transition(-671043600, 2),
                crate::generated::new_transition(-652896000, 1),
                crate::generated::new_transition(-639594000, 2),
                crate::generated::new_transition(-620755200, 1),
                crate::generated::new_transition(-607626000, 2),
                crate::generated::new_transition(-589392000, 1),
                crate::generated::new_transition(-576090000, 2),
                crate::generated::new_transition(-557942400, 1),
                crate::generated::new_transition(-544640400, 2),
                crate::generated::new_transition(-526492800, 1),
                crate::generated::new_transition(-513190800, 2),
                crate::generated::new_transition(-495043200, 1),
                crate::generated::new_transition(-481741200, 2),
                crate::generated::new_transition(-463593600, 1),
                crate::generated::new_transition(-450291600, 2),
                crate::generated::new_transition(-431539200, 1),
                crate::generated::new_transition(-418237200, 2),
                crate::generated::new_transition(-400089600, 1),
                crate::generated::new_transition(-386787600, 2),
                crate::generated::new_transition(-368640000, 1),
                crate::generated::new_transition(-355338000, 2),
                crate::generated::new_transition(-337190400, 1),
                crate::generated::new_transition(-321469200, 2),
                crate::generated::new_transition(-305740800, 1),
                crate::generated::new_transition(-292438800, 2),
                crate::generated::new_transition(-210787200, 1),
                crate::generated::new_transition(-198090000, 2),
                crate::generated::new_transition(-116438400, 1),
                crate::generated::new_transition(-100108800, 2),
                crate::generated::new_transition(-84384000, 1),
                crate::generated::new_transition(-68659200, 2),
                crate::generated::new_transition(-52934400, 1),
                crate::generated::new_transition(-37209600, 2),
                crate::generated::new_transition(-21484800, 1),
                crate::generated::new_transition(-5760000, 2),
                crate::generated::new_transition(9964800, 1),
                crate::generated::new_transition(25689600, 2),
                crate::generated::new_transition(41414400, 1),
                crate::generated::new_transition(57744000, 2),
                crate::generated::new_transition(73468800, 1),
                crate::generated::new_transition(89193600, 2),
                crate::generated::new_transition(104918400, 1),
                crate::generated::new_transition(120643200, 2),
                crate::generated::new_transition(136368000, 1),
                crate::generated::new_transition(152092800, 2),
                crate::generated::new_transition(167817600, 1),
                crate::generated::new_transition(183542400, 2),
                crate::generated::new_transition(199267200, 1),
                crate::generated::new_transition(215596800, 2),
                crate::generated::new_transition(230716800, 1),
                crate::generated::new_transition(247046400, 2),
                crate::generated::new_transition(262771200, 1),
                crate::generated::new_transition(278496000, 2),
                crate::generated::new_transition(294220800, 1),
                crate::generated::new_transition(309945600, 2),
                crate::generated::new_transition(325670400, 1),
                crate::generated::new_transition(341395200, 2),
                crate::generated::new_transition(357120000, 1),
                crate::generated::new_transition(372844800, 2),
                crate::generated::new_transition(388569600, 1),
                crate::generated::new_transition(404899200, 2),
                crate::generated::new_transition(420019200, 1),
                crate::generated::new_transition(436348800, 2),
                crate::generated::new_transition(452073600, 1),
                crate::generated::new_transition(467798400, 2),
                crate::generated::new_transition(483523200, 1),
                crate::generated::new_transition(499248000, 2),
                crate::generated::new_transition(514972800, 1),
                crate::generated::new_transition(530697600, 2),
                crate::generated::new_transition(544608000, 1),
                crate::generated::new_transition(562147200, 2),
                crate::generated::new_transition(576057600, 1),
                crate::generated::new_transition(594201600, 2),
                crate::generated::new_transition(607507200, 1),
                crate::generated::new_transition(625651200, 2),
                crate::generated::new_transition(638956800, 1),
                crate::generated::new_transition(657100800, 2),
                crate::generated::new_transition(671011200, 1),
                crate::generated::new_transition(688550400, 2),
                crate::generated::new_transition(702460800, 1),
                crate::generated::new_transition(720000000, 2),
                crate::generated::new_transition(733910400, 1),
                crate::generated::new_transition(752054400, 2),
                crate::generated::new_transition(765360000, 1),
                crate::generated::new_transition(783504000, 2),
                crate::generated::new_transition(796809600, 1),
                crate::generated::new_transition(814953600, 2),
                crate::generated::new_transition(828864000, 1),
                crate::generated::new_transition(846403200, 2),
                crate::generated::new_transition(860313600, 1),
                crate::generated::new_transition(877852800, 2),
                crate::generated::new_transition(891763200, 1),
                crate::generated::new_transition(909302400, 2),
                crate::generated::new_transition(923212800, 1),
                crate::generated::new_transition(941356800, 2),
                crate::generated::new_transition(954662400, 1),
                crate::generated::new_transition(972806400, 2),
                crate::generated::new_transition(986112000, 1),
                crate::generated::new_transition(1004256000, 2),
                crate::generated::new_transition(1018166400, 1),
                crate::generated::new_transition(1035705600, 2),
                crate::generated::new_transition(1049616000, 1),
                crate::generated::new_transition(1067155200, 2),
                crate::generated::new_transition(1081065600, 1),
                crate::generated::new_transition(1099209600, 2),
                crate::generated::new_transition(1112515200, 1),
                crate::generated::new_transition(1130659200, 2),
                crate::generated::new_transition(1143964800, 1),
                crate::generated::new_transition(1162105200, 2),
                crate::generated::new_transition(1173600000, 1),
            ],
            &[
                crate::generated::new_local_time_type(-23316, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CWT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CPT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                    crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_RANKIN_INLET: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-410227200, 2),
                crate::generated::new_transition(73468800, 1),
                crate::generated::new_transition(89190000, 2),
                crate::generated::new_transition(104918400, 1),
                crate::generated::new_transition(120639600, 2),
                crate::generated::new_transition(136368000, 1),
                crate::generated::new_transition(152089200, 2),
                crate::generated::new_transition(167817600, 1),
                crate::generated::new_transition(183538800, 2),
                crate::generated::new_transition(199267200, 1),
                crate::generated::new_transition(215593200, 2),
                crate::generated::new_transition(230716800, 1),
                crate::generated::new_transition(247042800, 2),
                crate::generated::new_transition(262771200, 1),
                crate::generated::new_transition(278492400, 2),
                crate::generated::new_transition(294220800, 1),
                crate::generated::new_transition(309942000, 2),
                crate::generated::new_transition(325670400, 1),
                crate::generated::new_transition(341391600, 2),
                crate::generated::new_transition(357120000, 1),
                crate::generated::new_transition(372841200, 2),
                crate::generated::new_transition(388569600, 1),
                crate::generated::new_transition(404895600, 2),
                crate::generated::new_transition(420019200, 1),
                crate::generated::new_transition(436345200, 2),
                crate::generated::new_transition(452073600, 1),
                crate::generated::new_transition(467794800, 2),
                crate::generated::new_transition(483523200, 1),
                crate::generated::new_transition(499244400, 2),
                crate::generated::new_transition(514972800, 1),
                crate::generated::new_transition(530694000, 2),
                crate::generated::new_transition(544608000, 1),
                crate::generated::new_transition(562143600, 2),
                crate::generated::new_transition(576057600, 1),
                crate::generated::new_transition(594198000, 2),
                crate::generated::new_transition(607507200, 1),
                crate::generated::new_transition(625647600, 2),
                crate::generated::new_transition(638956800, 1),
                crate::generated::new_transition(657097200, 2),
                crate::generated::new_transition(671011200, 1),
                crate::generated::new_transition(688546800, 2),
                crate::generated::new_transition(702460800, 1),
                crate::generated::new_transition(719996400, 2),
                crate::generated::new_transition(733910400, 1),
                crate::generated::new_transition(752050800, 2),
                crate::generated::new_transition(765360000, 1),
                crate::generated::new_transition(783500400, 2),
                crate::generated::new_transition(796809600, 1),
                crate::generated::new_transition(814950000, 2),
                crate::generated::new_transition(828864000, 1),
                crate::generated::new_transition(846399600, 2),
                crate::generated::new_transition(860313600, 1),
                crate::generated::new_transition(877849200, 2),
                crate::generated::new_transition(891763200, 1),
                crate::generated::new_transition(909298800, 2),
                crate::generated::new_transition(923212800, 1),
                crate::generated::new_transition(941353200, 2),
                crate::generated::new_transition(954662400, 1),
                crate::generated::new_transition(972802800, 3),
                crate::generated::new_transition(986112000, 1),
                crate::generated::new_transition(1004252400, 2),
                crate::generated::new_transition(1018166400, 1),
                crate::generated::new_transition(1035702000, 2),
                crate::generated::new_transition(1049616000, 1),
                crate::generated::new_transition(1067151600, 2),
                crate::generated::new_transition(1081065600, 1),
                crate::generated::new_transition(1099206000, 2),
                crate::generated::new_transition(1112515200, 1),
                crate::generated::new_transition(1130655600, 2),
                crate::generated::new_transition(1143964800, 1),
                crate::generated::new_transition(1162105200, 2),
                crate::generated::new_transition(1173600000, 1),
            ],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                    crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_RECIFE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1767217224, 2),
            crate::generated::new_transition(-1206957600, 1),
            crate::generated::new_transition(-1191362400, 2),
            crate::generated::new_transition(-1175374800, 1),
            crate::generated::new_transition(-1159826400, 2),
            crate::generated::new_transition(-633819600, 1),
            crate::generated::new_transition(-622069200, 2),
            crate::generated::new_transition(-602283600, 1),
            crate::generated::new_transition(-591832800, 2),
            crate::generated::new_transition(-570747600, 1),
            crate::generated::new_transition(-560210400, 2),
            crate::generated::new_transition(-539125200, 1),
            crate::generated::new_transition(-531352800, 2),
            crate::generated::new_transition(-191365200, 1),
            crate::generated::new_transition(-184197600, 2),
            crate::generated::new_transition(-155163600, 1),
            crate::generated::new_transition(-150069600, 2),
            crate::generated::new_transition(-128898000, 1),
            crate::generated::new_transition(-121125600, 2),
            crate::generated::new_transition(-99954000, 1),
            crate::generated::new_transition(-89589600, 2),
            crate::generated::new_transition(-68418000, 1),
            crate::generated::new_transition(-57967200, 2),
            crate::generated::new_transition(499748400, 1),
            crate::generated::new_transition(511236000, 2),
            crate::generated::new_transition(530593200, 1),
            crate::generated::new_transition(540266400, 2),
            crate::generated::new_transition(562129200, 1),
            crate::generated::new_transition(571197600, 2),
            crate::generated::new_transition(592974000, 1),
            crate::generated::new_transition(602042400, 2),
            crate::generated::new_transition(624423600, 1),
            crate::generated::new_transition(634701600, 2),
            crate::generated::new_transition(938919600, 1),
            crate::generated::new_transition(951616800, 2),
            crate::generated::new_transition(970974000, 1),
            crate::generated::new_transition(971575200, 2),
            crate::generated::new_transition(1003028400, 1),
            crate::generated::new_transition(1013911200, 2),
        ],
        &[
            crate::generated::new_local_time_type(-8376, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
            crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
        )),
    );

    pub(crate) const AMERICA_REGINA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2030202084, 2),
            crate::generated::new_transition(-1632063600, 1),
            crate::generated::new_transition(-1615132800, 2),
            crate::generated::new_transition(-1251651600, 1),
            crate::generated::new_transition(-1238349600, 2),
            crate::generated::new_transition(-1220202000, 1),
            crate::generated::new_transition(-1206900000, 2),
            crate::generated::new_transition(-1188752400, 1),
            crate::generated::new_transition(-1175450400, 2),
            crate::generated::new_transition(-1156698000, 1),
            crate::generated::new_transition(-1144000800, 2),
            crate::generated::new_transition(-1125248400, 1),
            crate::generated::new_transition(-1111946400, 2),
            crate::generated::new_transition(-1032714000, 1),
            crate::generated::new_transition(-1016992800, 2),
            crate::generated::new_transition(-1001264400, 1),
            crate::generated::new_transition(-986148000, 2),
            crate::generated::new_transition(-969814800, 1),
            crate::generated::new_transition(-954093600, 2),
            crate::generated::new_transition(-937760400, 1),
            crate::generated::new_transition(-922039200, 2),
            crate::generated::new_transition(-906310800, 1),
            crate::generated::new_transition(-890589600, 2),
            crate::generated::new_transition(-880210800, 3),
            crate::generated::new_transition(-769395600, 4),
            crate::generated::new_transition(-765388800, 2),
            crate::generated::new_transition(-748450800, 1),
            crate::generated::new_transition(-732729600, 2),
            crate::generated::new_transition(-715791600, 1),
            crate::generated::new_transition(-702489600, 2),
            crate::generated::new_transition(-684342000, 1),
            crate::generated::new_transition(-671040000, 2),
            crate::generated::new_transition(-652892400, 1),
            crate::generated::new_transition(-639590400, 2),
            crate::generated::new_transition(-620838000, 1),
            crate::generated::new_transition(-608140800, 2),
            crate::generated::new_transition(-589388400, 1),
            crate::generated::new_transition(-576086400, 2),
            crate::generated::new_transition(-557938800, 1),
            crate::generated::new_transition(-544636800, 2),
            crate::generated::new_transition(-526489200, 1),
            crate::generated::new_transition(-513187200, 2),
            crate::generated::new_transition(-495039600, 1),
            crate::generated::new_transition(-481737600, 2),
            crate::generated::new_transition(-463590000, 1),
            crate::generated::new_transition(-450288000, 2),
            crate::generated::new_transition(-431535600, 1),
            crate::generated::new_transition(-418233600, 2),
            crate::generated::new_transition(-400086000, 1),
            crate::generated::new_transition(-386784000, 2),
            crate::generated::new_transition(-337186800, 1),
            crate::generated::new_transition(-321465600, 2),
            crate::generated::new_transition(-305737200, 5),
        ],
        &[
            crate::generated::new_local_time_type(-25116, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
            crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
            crate::generated::new_local_time_type(-21600, true, Some(b"MWT")),
            crate::generated::new_local_time_type(-21600, true, Some(b"MPT")),
            crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
        )),
    );

    pub(crate) const AMERICA_RESOLUTE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-704937600, 2),
                crate::generated::new_transition(73468800, 1),
                crate::generated::new_transition(89190000, 2),
                crate::generated::new_transition(104918400, 1),
                crate::generated::new_transition(120639600, 2),
                crate::generated::new_transition(136368000, 1),
                crate::generated::new_transition(152089200, 2),
                crate::generated::new_transition(167817600, 1),
                crate::generated::new_transition(183538800, 2),
                crate::generated::new_transition(199267200, 1),
                crate::generated::new_transition(215593200, 2),
                crate::generated::new_transition(230716800, 1),
                crate::generated::new_transition(247042800, 2),
                crate::generated::new_transition(262771200, 1),
                crate::generated::new_transition(278492400, 2),
                crate::generated::new_transition(294220800, 1),
                crate::generated::new_transition(309942000, 2),
                crate::generated::new_transition(325670400, 1),
                crate::generated::new_transition(341391600, 2),
                crate::generated::new_transition(357120000, 1),
                crate::generated::new_transition(372841200, 2),
                crate::generated::new_transition(388569600, 1),
                crate::generated::new_transition(404895600, 2),
                crate::generated::new_transition(420019200, 1),
                crate::generated::new_transition(436345200, 2),
                crate::generated::new_transition(452073600, 1),
                crate::generated::new_transition(467794800, 2),
                crate::generated::new_transition(483523200, 1),
                crate::generated::new_transition(499244400, 2),
                crate::generated::new_transition(514972800, 1),
                crate::generated::new_transition(530694000, 2),
                crate::generated::new_transition(544608000, 1),
                crate::generated::new_transition(562143600, 2),
                crate::generated::new_transition(576057600, 1),
                crate::generated::new_transition(594198000, 2),
                crate::generated::new_transition(607507200, 1),
                crate::generated::new_transition(625647600, 2),
                crate::generated::new_transition(638956800, 1),
                crate::generated::new_transition(657097200, 2),
                crate::generated::new_transition(671011200, 1),
                crate::generated::new_transition(688546800, 2),
                crate::generated::new_transition(702460800, 1),
                crate::generated::new_transition(719996400, 2),
                crate::generated::new_transition(733910400, 1),
                crate::generated::new_transition(752050800, 2),
                crate::generated::new_transition(765360000, 1),
                crate::generated::new_transition(783500400, 2),
                crate::generated::new_transition(796809600, 1),
                crate::generated::new_transition(814950000, 2),
                crate::generated::new_transition(828864000, 1),
                crate::generated::new_transition(846399600, 2),
                crate::generated::new_transition(860313600, 1),
                crate::generated::new_transition(877849200, 2),
                crate::generated::new_transition(891763200, 1),
                crate::generated::new_transition(909298800, 2),
                crate::generated::new_transition(923212800, 1),
                crate::generated::new_transition(941353200, 2),
                crate::generated::new_transition(954662400, 1),
                crate::generated::new_transition(972802800, 3),
                crate::generated::new_transition(986112000, 1),
                crate::generated::new_transition(1004252400, 2),
                crate::generated::new_transition(1018166400, 1),
                crate::generated::new_transition(1035702000, 2),
                crate::generated::new_transition(1049616000, 1),
                crate::generated::new_transition(1067151600, 2),
                crate::generated::new_transition(1081065600, 1),
                crate::generated::new_transition(1099206000, 2),
                crate::generated::new_transition(1112515200, 1),
                crate::generated::new_transition(1130655600, 2),
                crate::generated::new_transition(1143964800, 1),
                crate::generated::new_transition(1162105200, 3),
                crate::generated::new_transition(1173600000, 1),
            ],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                    crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_SANTAREM: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1767212472, 2),
                crate::generated::new_transition(-1206954000, 1),
                crate::generated::new_transition(-1191358800, 2),
                crate::generated::new_transition(-1175371200, 1),
                crate::generated::new_transition(-1159822800, 2),
                crate::generated::new_transition(-633816000, 1),
                crate::generated::new_transition(-622065600, 2),
                crate::generated::new_transition(-602280000, 1),
                crate::generated::new_transition(-591829200, 2),
                crate::generated::new_transition(-570744000, 1),
                crate::generated::new_transition(-560206800, 2),
                crate::generated::new_transition(-539121600, 1),
                crate::generated::new_transition(-531349200, 2),
                crate::generated::new_transition(-191361600, 1),
                crate::generated::new_transition(-184194000, 2),
                crate::generated::new_transition(-155160000, 1),
                crate::generated::new_transition(-150066000, 2),
                crate::generated::new_transition(-128894400, 1),
                crate::generated::new_transition(-121122000, 2),
                crate::generated::new_transition(-99950400, 1),
                crate::generated::new_transition(-89586000, 2),
                crate::generated::new_transition(-68414400, 1),
                crate::generated::new_transition(-57963600, 2),
                crate::generated::new_transition(499752000, 1),
                crate::generated::new_transition(511239600, 2),
                crate::generated::new_transition(530596800, 1),
                crate::generated::new_transition(540270000, 2),
                crate::generated::new_transition(562132800, 1),
                crate::generated::new_transition(571201200, 2),
                crate::generated::new_transition(1214280000, 3),
            ],
            &[
                crate::generated::new_local_time_type(-13128, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            )),
        );

    pub(crate) const AMERICA_SANTIAGO: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524504635, 1),
                crate::generated::new_transition(-1892661435, 2),
                crate::generated::new_transition(-1688410800, 1),
                crate::generated::new_transition(-1619205435, 3),
                crate::generated::new_transition(-1593806400, 1),
                crate::generated::new_transition(-1335986235, 4),
                crate::generated::new_transition(-1317585600, 2),
                crate::generated::new_transition(-1304362800, 4),
                crate::generated::new_transition(-1286049600, 2),
                crate::generated::new_transition(-1272826800, 4),
                crate::generated::new_transition(-1254513600, 2),
                crate::generated::new_transition(-1241290800, 4),
                crate::generated::new_transition(-1222977600, 2),
                crate::generated::new_transition(-1209754800, 4),
                crate::generated::new_transition(-1191355200, 2),
                crate::generated::new_transition(-1178132400, 3),
                crate::generated::new_transition(-870552000, 2),
                crate::generated::new_transition(-865278000, 3),
                crate::generated::new_transition(-740520000, 5),
                crate::generated::new_transition(-736635600, 4),
                crate::generated::new_transition(-718056000, 2),
                crate::generated::new_transition(-713649600, 3),
                crate::generated::new_transition(-36619200, 5),
                crate::generated::new_transition(-23922000, 3),
                crate::generated::new_transition(-3355200, 5),
                crate::generated::new_transition(7527600, 3),
                crate::generated::new_transition(24465600, 5),
                crate::generated::new_transition(37767600, 3),
                crate::generated::new_transition(55915200, 5),
                crate::generated::new_transition(69217200, 3),
                crate::generated::new_transition(87969600, 5),
                crate::generated::new_transition(100666800, 3),
                crate::generated::new_transition(118209600, 5),
                crate::generated::new_transition(132116400, 3),
                crate::generated::new_transition(150868800, 5),
                crate::generated::new_transition(163566000, 3),
                crate::generated::new_transition(182318400, 5),
                crate::generated::new_transition(195620400, 3),
                crate::generated::new_transition(213768000, 5),
                crate::generated::new_transition(227070000, 3),
                crate::generated::new_transition(245217600, 5),
                crate::generated::new_transition(258519600, 3),
                crate::generated::new_transition(277272000, 5),
                crate::generated::new_transition(289969200, 3),
                crate::generated::new_transition(308721600, 5),
                crate::generated::new_transition(321418800, 3),
                crate::generated::new_transition(340171200, 5),
                crate::generated::new_transition(353473200, 3),
                crate::generated::new_transition(371620800, 5),
                crate::generated::new_transition(384922800, 3),
                crate::generated::new_transition(403070400, 5),
                crate::generated::new_transition(416372400, 3),
                crate::generated::new_transition(434520000, 5),
                crate::generated::new_transition(447822000, 3),
                crate::generated::new_transition(466574400, 5),
                crate::generated::new_transition(479271600, 3),
                crate::generated::new_transition(498024000, 5),
                crate::generated::new_transition(510721200, 3),
                crate::generated::new_transition(529473600, 5),
                crate::generated::new_transition(545194800, 3),
                crate::generated::new_transition(560923200, 5),
                crate::generated::new_transition(574225200, 3),
                crate::generated::new_transition(592372800, 5),
                crate::generated::new_transition(605674800, 3),
                crate::generated::new_transition(624427200, 5),
                crate::generated::new_transition(637124400, 3),
                crate::generated::new_transition(653457600, 5),
                crate::generated::new_transition(668574000, 3),
                crate::generated::new_transition(687326400, 5),
                crate::generated::new_transition(700628400, 3),
                crate::generated::new_transition(718776000, 5),
                crate::generated::new_transition(732078000, 3),
                crate::generated::new_transition(750225600, 5),
                crate::generated::new_transition(763527600, 3),
                crate::generated::new_transition(781675200, 5),
                crate::generated::new_transition(794977200, 3),
                crate::generated::new_transition(813729600, 5),
                crate::generated::new_transition(826426800, 3),
                crate::generated::new_transition(845179200, 5),
                crate::generated::new_transition(859690800, 3),
                crate::generated::new_transition(876628800, 5),
                crate::generated::new_transition(889930800, 3),
                crate::generated::new_transition(906868800, 5),
                crate::generated::new_transition(923194800, 3),
                crate::generated::new_transition(939528000, 5),
                crate::generated::new_transition(952830000, 3),
                crate::generated::new_transition(971582400, 5),
                crate::generated::new_transition(984279600, 3),
                crate::generated::new_transition(1003032000, 5),
                crate::generated::new_transition(1015729200, 3),
                crate::generated::new_transition(1034481600, 5),
                crate::generated::new_transition(1047178800, 3),
                crate::generated::new_transition(1065931200, 5),
                crate::generated::new_transition(1079233200, 3),
                crate::generated::new_transition(1097380800, 5),
                crate::generated::new_transition(1110682800, 3),
                crate::generated::new_transition(1128830400, 5),
                crate::generated::new_transition(1142132400, 3),
                crate::generated::new_transition(1160884800, 5),
                crate::generated::new_transition(1173582000, 3),
                crate::generated::new_transition(1192334400, 5),
                crate::generated::new_transition(1206846000, 3),
                crate::generated::new_transition(1223784000, 5),
                crate::generated::new_transition(1237086000, 3),
                crate::generated::new_transition(1255233600, 5),
                crate::generated::new_transition(1270350000, 3),
                crate::generated::new_transition(1286683200, 5),
                crate::generated::new_transition(1304823600, 3),
                crate::generated::new_transition(1313899200, 5),
                crate::generated::new_transition(1335668400, 3),
                crate::generated::new_transition(1346558400, 5),
                crate::generated::new_transition(1367118000, 3),
                crate::generated::new_transition(1378612800, 5),
                crate::generated::new_transition(1398567600, 3),
                crate::generated::new_transition(1410062400, 5),
                crate::generated::new_transition(1463281200, 3),
                crate::generated::new_transition(1471147200, 5),
                crate::generated::new_transition(1494730800, 3),
                crate::generated::new_transition(1502596800, 5),
                crate::generated::new_transition(1526180400, 3),
                crate::generated::new_transition(1534046400, 5),
                crate::generated::new_transition(1554606000, 3),
                crate::generated::new_transition(1567915200, 5),
                crate::generated::new_transition(1586055600, 3),
                crate::generated::new_transition(1599364800, 5),
                crate::generated::new_transition(1617505200, 3),
                crate::generated::new_transition(1630814400, 5),
                crate::generated::new_transition(1648954800, 3),
                crate::generated::new_transition(1662868800, 5),
                crate::generated::new_transition(1680404400, 3),
            ],
            &[
                crate::generated::new_local_time_type(-16965, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-16965, false, Some(b"SMT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"-05")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
                crate::generated::new_local_time_type(-14400, true, Some(b"-04")),
                crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
                    crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(9, 1, 6)),
                    86400,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(4, 1, 6)),
                    86400,
                ),
            )),
        );

    pub(crate) const AMERICA_SANTO_DOMINGO: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524504824, 1),
                crate::generated::new_transition(-1159773600, 3),
                crate::generated::new_transition(-100119600, 2),
                crate::generated::new_transition(-89668800, 3),
                crate::generated::new_transition(-5770800, 4),
                crate::generated::new_transition(4422600, 3),
                crate::generated::new_transition(25678800, 4),
                crate::generated::new_transition(33193800, 3),
                crate::generated::new_transition(57733200, 4),
                crate::generated::new_transition(64816200, 3),
                crate::generated::new_transition(89182800, 4),
                crate::generated::new_transition(96438600, 3),
                crate::generated::new_transition(120632400, 4),
                crate::generated::new_transition(127974600, 3),
                crate::generated::new_transition(152082000, 5),
                crate::generated::new_transition(972799200, 3),
                crate::generated::new_transition(975823200, 5),
            ],
            &[
                crate::generated::new_local_time_type(-16776, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-16800, false, Some(b"SDMT")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                crate::generated::new_local_time_type(-16200, true, Some(b"-0430")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_SAO_PAULO: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1767214412, 2),
                crate::generated::new_transition(-1206957600, 1),
                crate::generated::new_transition(-1191362400, 2),
                crate::generated::new_transition(-1175374800, 1),
                crate::generated::new_transition(-1159826400, 2),
                crate::generated::new_transition(-633819600, 1),
                crate::generated::new_transition(-622069200, 2),
                crate::generated::new_transition(-602283600, 1),
                crate::generated::new_transition(-591832800, 2),
                crate::generated::new_transition(-570747600, 1),
                crate::generated::new_transition(-560210400, 2),
                crate::generated::new_transition(-539125200, 1),
                crate::generated::new_transition(-531352800, 2),
                crate::generated::new_transition(-195426000, 1),
                crate::generated::new_transition(-184197600, 2),
                crate::generated::new_transition(-155163600, 1),
                crate::generated::new_transition(-150069600, 2),
                crate::generated::new_transition(-128898000, 1),
                crate::generated::new_transition(-121125600, 2),
                crate::generated::new_transition(-99954000, 1),
                crate::generated::new_transition(-89589600, 2),
                crate::generated::new_transition(-68418000, 1),
                crate::generated::new_transition(-57967200, 2),
                crate::generated::new_transition(499748400, 1),
                crate::generated::new_transition(511236000, 2),
                crate::generated::new_transition(530593200, 1),
                crate::generated::new_transition(540266400, 2),
                crate::generated::new_transition(562129200, 1),
                crate::generated::new_transition(571197600, 2),
                crate::generated::new_transition(592974000, 1),
                crate::generated::new_transition(602042400, 2),
                crate::generated::new_transition(624423600, 1),
                crate::generated::new_transition(634701600, 2),
                crate::generated::new_transition(656478000, 1),
                crate::generated::new_transition(666756000, 2),
                crate::generated::new_transition(687927600, 1),
                crate::generated::new_transition(697600800, 2),
                crate::generated::new_transition(719982000, 1),
                crate::generated::new_transition(728445600, 2),
                crate::generated::new_transition(750826800, 1),
                crate::generated::new_transition(761709600, 2),
                crate::generated::new_transition(782276400, 1),
                crate::generated::new_transition(793159200, 2),
                crate::generated::new_transition(813726000, 1),
                crate::generated::new_transition(824004000, 2),
                crate::generated::new_transition(844570800, 1),
                crate::generated::new_transition(856058400, 2),
                crate::generated::new_transition(876106800, 1),
                crate::generated::new_transition(888717600, 2),
                crate::generated::new_transition(908074800, 1),
                crate::generated::new_transition(919562400, 2),
                crate::generated::new_transition(938919600, 1),
                crate::generated::new_transition(951616800, 2),
                crate::generated::new_transition(970974000, 1),
                crate::generated::new_transition(982461600, 2),
                crate::generated::new_transition(1003028400, 1),
                crate::generated::new_transition(1013911200, 2),
                crate::generated::new_transition(1036292400, 1),
                crate::generated::new_transition(1045360800, 2),
                crate::generated::new_transition(1066532400, 1),
                crate::generated::new_transition(1076810400, 2),
                crate::generated::new_transition(1099364400, 1),
                crate::generated::new_transition(1108864800, 2),
                crate::generated::new_transition(1129431600, 1),
                crate::generated::new_transition(1140314400, 2),
                crate::generated::new_transition(1162695600, 1),
                crate::generated::new_transition(1172368800, 2),
                crate::generated::new_transition(1192330800, 1),
                crate::generated::new_transition(1203213600, 2),
                crate::generated::new_transition(1224385200, 1),
                crate::generated::new_transition(1234663200, 2),
                crate::generated::new_transition(1255834800, 1),
                crate::generated::new_transition(1266717600, 2),
                crate::generated::new_transition(1287284400, 1),
                crate::generated::new_transition(1298167200, 2),
                crate::generated::new_transition(1318734000, 1),
                crate::generated::new_transition(1330221600, 2),
                crate::generated::new_transition(1350788400, 1),
                crate::generated::new_transition(1361066400, 2),
                crate::generated::new_transition(1382238000, 1),
                crate::generated::new_transition(1392516000, 2),
                crate::generated::new_transition(1413687600, 1),
                crate::generated::new_transition(1424570400, 2),
                crate::generated::new_transition(1445137200, 1),
                crate::generated::new_transition(1456020000, 2),
                crate::generated::new_transition(1476586800, 1),
                crate::generated::new_transition(1487469600, 2),
                crate::generated::new_transition(1508036400, 1),
                crate::generated::new_transition(1518919200, 2),
                crate::generated::new_transition(1541300400, 1),
                crate::generated::new_transition(1550368800, 2),
            ],
            &[
                crate::generated::new_local_time_type(-11188, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            )),
        );

    pub(crate) const AMERICA_SCORESBYSUND: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1686090728, 1),
                crate::generated::new_transition(323841600, 2),
                crate::generated::new_transition(338961600, 1),
                crate::generated::new_transition(354679200, 4),
                crate::generated::new_transition(370400400, 3),
                crate::generated::new_transition(386125200, 4),
                crate::generated::new_transition(401850000, 3),
                crate::generated::new_transition(417574800, 4),
                crate::generated::new_transition(433299600, 3),
                crate::generated::new_transition(449024400, 4),
                crate::generated::new_transition(465354000, 3),
                crate::generated::new_transition(481078800, 4),
                crate::generated::new_transition(496803600, 3),
                crate::generated::new_transition(512528400, 4),
                crate::generated::new_transition(528253200, 3),
                crate::generated::new_transition(543978000, 4),
                crate::generated::new_transition(559702800, 3),
                crate::generated::new_transition(575427600, 4),
                crate::generated::new_transition(591152400, 3),
                crate::generated::new_transition(606877200, 4),
                crate::generated::new_transition(622602000, 3),
                crate::generated::new_transition(638326800, 4),
                crate::generated::new_transition(654656400, 3),
                crate::generated::new_transition(670381200, 4),
                crate::generated::new_transition(686106000, 3),
                crate::generated::new_transition(701830800, 4),
                crate::generated::new_transition(717555600, 3),
                crate::generated::new_transition(733280400, 4),
                crate::generated::new_transition(749005200, 3),
                crate::generated::new_transition(764730000, 4),
                crate::generated::new_transition(780454800, 3),
                crate::generated::new_transition(796179600, 4),
                crate::generated::new_transition(811904400, 3),
                crate::generated::new_transition(828234000, 4),
            ],
            &[
                crate::generated::new_local_time_type(-5272, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-7200, false, Some(b"-02")),
                crate::generated::new_local_time_type(-3600, true, Some(b"-01")),
                crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
                crate::generated::new_local_time_type(0, true, Some(b"+00")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
                    crate::generated::new_local_time_type(0, true, Some(b"+00")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    0,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    3600,
                ),
            )),
        );

    pub(crate) const AMERICA_SITKA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3225223727, 1),
            crate::generated::new_transition(-2188954727, 2),
            crate::generated::new_transition(-880207200, 3),
            crate::generated::new_transition(-769395600, 4),
            crate::generated::new_transition(-765385200, 2),
            crate::generated::new_transition(-21477600, 5),
            crate::generated::new_transition(-5756400, 2),
            crate::generated::new_transition(9972000, 5),
            crate::generated::new_transition(25693200, 2),
            crate::generated::new_transition(41421600, 5),
            crate::generated::new_transition(57747600, 2),
            crate::generated::new_transition(73476000, 5),
            crate::generated::new_transition(89197200, 2),
            crate::generated::new_transition(104925600, 5),
            crate::generated::new_transition(120646800, 2),
            crate::generated::new_transition(126698400, 5),
            crate::generated::new_transition(152096400, 2),
            crate::generated::new_transition(162381600, 5),
            crate::generated::new_transition(183546000, 2),
            crate::generated::new_transition(199274400, 5),
            crate::generated::new_transition(215600400, 2),
            crate::generated::new_transition(230724000, 5),
            crate::generated::new_transition(247050000, 2),
            crate::generated::new_transition(262778400, 5),
            crate::generated::new_transition(278499600, 2),
            crate::generated::new_transition(294228000, 5),
            crate::generated::new_transition(309949200, 2),
            crate::generated::new_transition(325677600, 5),
            crate::generated::new_transition(341398800, 2),
            crate::generated::new_transition(357127200, 5),
            crate::generated::new_transition(372848400, 2),
            crate::generated::new_transition(388576800, 5),
            crate::generated::new_transition(404902800, 2),
            crate::generated::new_transition(420026400, 5),
            crate::generated::new_transition(436352400, 6),
            crate::generated::new_transition(439030800, 8),
            crate::generated::new_transition(452084400, 7),
            crate::generated::new_transition(467805600, 8),
            crate::generated::new_transition(483534000, 7),
            crate::generated::new_transition(499255200, 8),
            crate::generated::new_transition(514983600, 7),
            crate::generated::new_transition(530704800, 8),
            crate::generated::new_transition(544618800, 7),
            crate::generated::new_transition(562154400, 8),
            crate::generated::new_transition(576068400, 7),
            crate::generated::new_transition(594208800, 8),
            crate::generated::new_transition(607518000, 7),
            crate::generated::new_transition(625658400, 8),
            crate::generated::new_transition(638967600, 7),
            crate::generated::new_transition(657108000, 8),
            crate::generated::new_transition(671022000, 7),
            crate::generated::new_transition(688557600, 8),
            crate::generated::new_transition(702471600, 7),
            crate::generated::new_transition(720007200, 8),
            crate::generated::new_transition(733921200, 7),
            crate::generated::new_transition(752061600, 8),
            crate::generated::new_transition(765370800, 7),
            crate::generated::new_transition(783511200, 8),
            crate::generated::new_transition(796820400, 7),
            crate::generated::new_transition(814960800, 8),
            crate::generated::new_transition(828874800, 7),
            crate::generated::new_transition(846410400, 8),
            crate::generated::new_transition(860324400, 7),
            crate::generated::new_transition(877860000, 8),
            crate::generated::new_transition(891774000, 7),
            crate::generated::new_transition(909309600, 8),
            crate::generated::new_transition(923223600, 7),
            crate::generated::new_transition(941364000, 8),
            crate::generated::new_transition(954673200, 7),
            crate::generated::new_transition(972813600, 8),
            crate::generated::new_transition(986122800, 7),
            crate::generated::new_transition(1004263200, 8),
            crate::generated::new_transition(1018177200, 7),
            crate::generated::new_transition(1035712800, 8),
            crate::generated::new_transition(1049626800, 7),
            crate::generated::new_transition(1067162400, 8),
            crate::generated::new_transition(1081076400, 7),
            crate::generated::new_transition(1099216800, 8),
            crate::generated::new_transition(1112526000, 7),
            crate::generated::new_transition(1130666400, 8),
            crate::generated::new_transition(1143975600, 7),
            crate::generated::new_transition(1162116000, 8),
            crate::generated::new_transition(1173610800, 7),
        ],
        &[
            crate::generated::new_local_time_type(53927, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-32473, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
            crate::generated::new_local_time_type(-25200, true, Some(b"PWT")),
            crate::generated::new_local_time_type(-25200, true, Some(b"PPT")),
            crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
            crate::generated::new_local_time_type(-32400, false, Some(b"YST")),
            crate::generated::new_local_time_type(-28800, true, Some(b"AKDT")),
            crate::generated::new_local_time_type(-32400, false, Some(b"AKST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(-32400, false, Some(b"AKST")),
                crate::generated::new_local_time_type(-28800, true, Some(b"AKDT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const AMERICA_ST_JOHNS: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2713897748, 2),
                crate::generated::new_transition(-1664130548, 1),
                crate::generated::new_transition(-1650137348, 2),
                crate::generated::new_transition(-1632076148, 1),
                crate::generated::new_transition(-1615145348, 2),
                crate::generated::new_transition(-1598650148, 1),
                crate::generated::new_transition(-1590100148, 2),
                crate::generated::new_transition(-1567286948, 1),
                crate::generated::new_transition(-1551565748, 2),
                crate::generated::new_transition(-1535837348, 1),
                crate::generated::new_transition(-1520116148, 2),
                crate::generated::new_transition(-1503782948, 1),
                crate::generated::new_transition(-1488666548, 2),
                crate::generated::new_transition(-1472333348, 1),
                crate::generated::new_transition(-1457216948, 2),
                crate::generated::new_transition(-1440883748, 1),
                crate::generated::new_transition(-1425767348, 2),
                crate::generated::new_transition(-1409434148, 1),
                crate::generated::new_transition(-1394317748, 2),
                crate::generated::new_transition(-1377984548, 1),
                crate::generated::new_transition(-1362263348, 2),
                crate::generated::new_transition(-1346534948, 1),
                crate::generated::new_transition(-1330813748, 2),
                crate::generated::new_transition(-1314480548, 1),
                crate::generated::new_transition(-1299364148, 2),
                crate::generated::new_transition(-1283030948, 1),
                crate::generated::new_transition(-1267914548, 2),
                crate::generated::new_transition(-1251581348, 1),
                crate::generated::new_transition(-1236464948, 2),
                crate::generated::new_transition(-1220131748, 1),
                crate::generated::new_transition(-1205015348, 2),
                crate::generated::new_transition(-1188682148, 1),
                crate::generated::new_transition(-1172960948, 2),
                crate::generated::new_transition(-1156627748, 1),
                crate::generated::new_transition(-1141511348, 2),
                crate::generated::new_transition(-1125178148, 1),
                crate::generated::new_transition(-1110061748, 2),
                crate::generated::new_transition(-1096921748, 4),
                crate::generated::new_transition(-1093728600, 3),
                crate::generated::new_transition(-1078612200, 4),
                crate::generated::new_transition(-1061670600, 3),
                crate::generated::new_transition(-1048973400, 4),
                crate::generated::new_transition(-1030221000, 3),
                crate::generated::new_transition(-1017523800, 4),
                crate::generated::new_transition(-998771400, 3),
                crate::generated::new_transition(-986074200, 4),
                crate::generated::new_transition(-966717000, 3),
                crate::generated::new_transition(-954624600, 4),
                crate::generated::new_transition(-935267400, 3),
                crate::generated::new_transition(-922570200, 4),
                crate::generated::new_transition(-903817800, 3),
                crate::generated::new_transition(-891120600, 4),
                crate::generated::new_transition(-872368200, 6),
                crate::generated::new_transition(-769395600, 5),
                crate::generated::new_transition(-765401400, 4),
                crate::generated::new_transition(-746044200, 3),
                crate::generated::new_transition(-733347000, 4),
                crate::generated::new_transition(-714594600, 3),
                crate::generated::new_transition(-701897400, 4),
                crate::generated::new_transition(-683145000, 3),
                crate::generated::new_transition(-670447800, 4),
                crate::generated::new_transition(-651695400, 3),
                crate::generated::new_transition(-638998200, 4),
                crate::generated::new_transition(-619641000, 3),
                crate::generated::new_transition(-606943800, 4),
                crate::generated::new_transition(-589401000, 3),
                crate::generated::new_transition(-576099000, 4),
                crate::generated::new_transition(-557951400, 3),
                crate::generated::new_transition(-544649400, 4),
                crate::generated::new_transition(-526501800, 3),
                crate::generated::new_transition(-513199800, 4),
                crate::generated::new_transition(-495052200, 3),
                crate::generated::new_transition(-481750200, 4),
                crate::generated::new_transition(-463602600, 3),
                crate::generated::new_transition(-450300600, 4),
                crate::generated::new_transition(-431548200, 3),
                crate::generated::new_transition(-418246200, 4),
                crate::generated::new_transition(-400098600, 3),
                crate::generated::new_transition(-386796600, 4),
                crate::generated::new_transition(-368649000, 3),
                crate::generated::new_transition(-355347000, 4),
                crate::generated::new_transition(-337199400, 3),
                crate::generated::new_transition(-323897400, 4),
                crate::generated::new_transition(-305749800, 3),
                crate::generated::new_transition(-289423800, 4),
                crate::generated::new_transition(-273695400, 3),
                crate::generated::new_transition(-257974200, 4),
                crate::generated::new_transition(-242245800, 3),
                crate::generated::new_transition(-226524600, 4),
                crate::generated::new_transition(-210796200, 3),
                crate::generated::new_transition(-195075000, 4),
                crate::generated::new_transition(-179346600, 3),
                crate::generated::new_transition(-163625400, 4),
                crate::generated::new_transition(-147897000, 3),
                crate::generated::new_transition(-131571000, 4),
                crate::generated::new_transition(-116447400, 3),
                crate::generated::new_transition(-100121400, 4),
                crate::generated::new_transition(-84393000, 3),
                crate::generated::new_transition(-68671800, 4),
                crate::generated::new_transition(-52943400, 3),
                crate::generated::new_transition(-37222200, 4),
                crate::generated::new_transition(-21493800, 3),
                crate::generated::new_transition(-5772600, 4),
                crate::generated::new_transition(9955800, 3),
                crate::generated::new_transition(25677000, 4),
                crate::generated::new_transition(41405400, 3),
                crate::generated::new_transition(57731400, 4),
                crate::generated::new_transition(73459800, 3),
                crate::generated::new_transition(89181000, 4),
                crate::generated::new_transition(104909400, 3),
                crate::generated::new_transition(120630600, 4),
                crate::generated::new_transition(136359000, 3),
                crate::generated::new_transition(152080200, 4),
                crate::generated::new_transition(167808600, 3),
                crate::generated::new_transition(183529800, 4),
                crate::generated::new_transition(199258200, 3),
                crate::generated::new_transition(215584200, 4),
                crate::generated::new_transition(230707800, 3),
                crate::generated::new_transition(247033800, 4),
                crate::generated::new_transition(262762200, 3),
                crate::generated::new_transition(278483400, 4),
                crate::generated::new_transition(294211800, 3),
                crate::generated::new_transition(309933000, 4),
                crate::generated::new_transition(325661400, 3),
                crate::generated::new_transition(341382600, 4),
                crate::generated::new_transition(357111000, 3),
                crate::generated::new_transition(372832200, 4),
                crate::generated::new_transition(388560600, 3),
                crate::generated::new_transition(404886600, 4),
                crate::generated::new_transition(420010200, 3),
                crate::generated::new_transition(436336200, 4),
                crate::generated::new_transition(452064600, 3),
                crate::generated::new_transition(467785800, 4),
                crate::generated::new_transition(483514200, 3),
                crate::generated::new_transition(499235400, 4),
                crate::generated::new_transition(514963800, 3),
                crate::generated::new_transition(530685000, 4),
                crate::generated::new_transition(544591860, 3),
                crate::generated::new_transition(562127460, 4),
                crate::generated::new_transition(576041460, 7),
                crate::generated::new_transition(594178260, 4),
                crate::generated::new_transition(607491060, 3),
                crate::generated::new_transition(625631460, 4),
                crate::generated::new_transition(638940660, 3),
                crate::generated::new_transition(657081060, 4),
                crate::generated::new_transition(670995060, 3),
                crate::generated::new_transition(688530660, 4),
                crate::generated::new_transition(702444660, 3),
                crate::generated::new_transition(719980260, 4),
                crate::generated::new_transition(733894260, 3),
                crate::generated::new_transition(752034660, 4),
                crate::generated::new_transition(765343860, 3),
                crate::generated::new_transition(783484260, 4),
                crate::generated::new_transition(796793460, 3),
                crate::generated::new_transition(814933860, 4),
                crate::generated::new_transition(828847860, 3),
                crate::generated::new_transition(846383460, 4),
                crate::generated::new_transition(860297460, 3),
                crate::generated::new_transition(877833060, 4),
                crate::generated::new_transition(891747060, 3),
                crate::generated::new_transition(909282660, 4),
                crate::generated::new_transition(923196660, 3),
                crate::generated::new_transition(941337060, 4),
                crate::generated::new_transition(954646260, 3),
                crate::generated::new_transition(972786660, 4),
                crate::generated::new_transition(986095860, 3),
                crate::generated::new_transition(1004236260, 4),
                crate::generated::new_transition(1018150260, 3),
                crate::generated::new_transition(1035685860, 4),
                crate::generated::new_transition(1049599860, 3),
                crate::generated::new_transition(1067135460, 4),
                crate::generated::new_transition(1081049460, 3),
                crate::generated::new_transition(1099189860, 4),
                crate::generated::new_transition(1112499060, 3),
                crate::generated::new_transition(1130639460, 4),
                crate::generated::new_transition(1143948660, 3),
                crate::generated::new_transition(1162089060, 4),
                crate::generated::new_transition(1173583860, 3),
                crate::generated::new_transition(1194143460, 4),
                crate::generated::new_transition(1205033460, 3),
                crate::generated::new_transition(1225593060, 4),
                crate::generated::new_transition(1236483060, 3),
                crate::generated::new_transition(1257042660, 4),
                crate::generated::new_transition(1268537460, 3),
                crate::generated::new_transition(1289097060, 4),
                crate::generated::new_transition(1299987060, 3),
                crate::generated::new_transition(1320553800, 4),
            ],
            &[
                crate::generated::new_local_time_type(-12652, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-9052, true, Some(b"NDT")),
                crate::generated::new_local_time_type(-12652, false, Some(b"NST")),
                crate::generated::new_local_time_type(-9000, true, Some(b"NDT")),
                crate::generated::new_local_time_type(-12600, false, Some(b"NST")),
                crate::generated::new_local_time_type(-9000, true, Some(b"NPT")),
                crate::generated::new_local_time_type(-9000, true, Some(b"NWT")),
                crate::generated::new_local_time_type(-5400, true, Some(b"NDDT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-12600, false, Some(b"NST")),
                    crate::generated::new_local_time_type(-9000, true, Some(b"NDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_ST_KITTS: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-1825098548, 1)],
            &[
                crate::generated::new_local_time_type(-15052, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_ST_LUCIA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524506960, 1),
                crate::generated::new_transition(-1830369360, 2),
            ],
            &[
                crate::generated::new_local_time_type(-14640, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14640, false, Some(b"CMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_ST_THOMAS: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-1846266016, 1)],
            &[
                crate::generated::new_local_time_type(-15584, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_ST_VINCENT: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524506904, 1),
                crate::generated::new_transition(-1830369304, 2),
            ],
            &[
                crate::generated::new_local_time_type(-14696, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14696, false, Some(b"KMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_SWIFT_CURRENT: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2030201320, 2),
                crate::generated::new_transition(-1632063600, 1),
                crate::generated::new_transition(-1615132800, 2),
                crate::generated::new_transition(-880210800, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765388800, 2),
                crate::generated::new_transition(-747241200, 1),
                crate::generated::new_transition(-732729600, 2),
                crate::generated::new_transition(-715791600, 1),
                crate::generated::new_transition(-702489600, 2),
                crate::generated::new_transition(-684342000, 1),
                crate::generated::new_transition(-671040000, 2),
                crate::generated::new_transition(-652892400, 1),
                crate::generated::new_transition(-639590400, 2),
                crate::generated::new_transition(-400086000, 1),
                crate::generated::new_transition(-384364800, 2),
                crate::generated::new_transition(-337186800, 1),
                crate::generated::new_transition(-321465600, 2),
                crate::generated::new_transition(-305737200, 1),
                crate::generated::new_transition(-292435200, 2),
                crate::generated::new_transition(-273682800, 1),
                crate::generated::new_transition(-260985600, 2),
                crate::generated::new_transition(73472400, 5),
            ],
            &[
                crate::generated::new_local_time_type(-25880, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MWT")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MPT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            )),
        );

    pub(crate) const AMERICA_TEGUCIGALPA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1538503868, 2),
                crate::generated::new_transition(547020000, 1),
                crate::generated::new_transition(559717200, 2),
                crate::generated::new_transition(578469600, 1),
                crate::generated::new_transition(591166800, 2),
                crate::generated::new_transition(1146981600, 1),
                crate::generated::new_transition(1154926800, 2),
            ],
            &[
                crate::generated::new_local_time_type(-20932, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            )),
        );

    pub(crate) const AMERICA_THULE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1686079492, 2),
            crate::generated::new_transition(670399200, 1),
            crate::generated::new_transition(686120400, 2),
            crate::generated::new_transition(701848800, 1),
            crate::generated::new_transition(717570000, 2),
            crate::generated::new_transition(733903200, 1),
            crate::generated::new_transition(752043600, 2),
            crate::generated::new_transition(765352800, 1),
            crate::generated::new_transition(783493200, 2),
            crate::generated::new_transition(796802400, 1),
            crate::generated::new_transition(814942800, 2),
            crate::generated::new_transition(828856800, 1),
            crate::generated::new_transition(846392400, 2),
            crate::generated::new_transition(860306400, 1),
            crate::generated::new_transition(877842000, 2),
            crate::generated::new_transition(891756000, 1),
            crate::generated::new_transition(909291600, 2),
            crate::generated::new_transition(923205600, 1),
            crate::generated::new_transition(941346000, 2),
            crate::generated::new_transition(954655200, 1),
            crate::generated::new_transition(972795600, 2),
            crate::generated::new_transition(986104800, 1),
            crate::generated::new_transition(1004245200, 2),
            crate::generated::new_transition(1018159200, 1),
            crate::generated::new_transition(1035694800, 2),
            crate::generated::new_transition(1049608800, 1),
            crate::generated::new_transition(1067144400, 2),
            crate::generated::new_transition(1081058400, 1),
            crate::generated::new_transition(1099198800, 2),
            crate::generated::new_transition(1112508000, 1),
            crate::generated::new_transition(1130648400, 2),
            crate::generated::new_transition(1143957600, 1),
            crate::generated::new_transition(1162098000, 2),
            crate::generated::new_transition(1173592800, 1),
        ],
        &[
            crate::generated::new_local_time_type(-16508, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-10800, true, Some(b"ADT")),
            crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
                crate::generated::new_local_time_type(-10800, true, Some(b"ADT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const AMERICA_TORTOLA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-1846266092, 1)],
            &[
                crate::generated::new_local_time_type(-15508, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            )),
        );

    pub(crate) const AMERICA_VANCOUVER: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2713880852, 2),
                crate::generated::new_transition(-1632060000, 1),
                crate::generated::new_transition(-1615129200, 2),
                crate::generated::new_transition(-880207200, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765385200, 2),
                crate::generated::new_transition(-747237600, 1),
                crate::generated::new_transition(-733935600, 2),
                crate::generated::new_transition(-715788000, 1),
                crate::generated::new_transition(-702486000, 2),
                crate::generated::new_transition(-684338400, 1),
                crate::generated::new_transition(-671036400, 2),
                crate::generated::new_transition(-652888800, 1),
                crate::generated::new_transition(-639586800, 2),
                crate::generated::new_transition(-620834400, 1),
                crate::generated::new_transition(-608137200, 2),
                crate::generated::new_transition(-589384800, 1),
                crate::generated::new_transition(-576082800, 2),
                crate::generated::new_transition(-557935200, 1),
                crate::generated::new_transition(-544633200, 2),
                crate::generated::new_transition(-526485600, 1),
                crate::generated::new_transition(-513183600, 2),
                crate::generated::new_transition(-495036000, 1),
                crate::generated::new_transition(-481734000, 2),
                crate::generated::new_transition(-463586400, 1),
                crate::generated::new_transition(-450284400, 2),
                crate::generated::new_transition(-431532000, 1),
                crate::generated::new_transition(-418230000, 2),
                crate::generated::new_transition(-400082400, 1),
                crate::generated::new_transition(-386780400, 2),
                crate::generated::new_transition(-368632800, 1),
                crate::generated::new_transition(-355330800, 2),
                crate::generated::new_transition(-337183200, 1),
                crate::generated::new_transition(-323881200, 2),
                crate::generated::new_transition(-305733600, 1),
                crate::generated::new_transition(-292431600, 2),
                crate::generated::new_transition(-273679200, 1),
                crate::generated::new_transition(-260982000, 2),
                crate::generated::new_transition(-242229600, 1),
                crate::generated::new_transition(-226508400, 2),
                crate::generated::new_transition(-210780000, 1),
                crate::generated::new_transition(-195058800, 2),
                crate::generated::new_transition(-179330400, 1),
                crate::generated::new_transition(-163609200, 2),
                crate::generated::new_transition(-147880800, 1),
                crate::generated::new_transition(-131554800, 2),
                crate::generated::new_transition(-116431200, 1),
                crate::generated::new_transition(-100105200, 2),
                crate::generated::new_transition(-84376800, 1),
                crate::generated::new_transition(-68655600, 2),
                crate::generated::new_transition(-52927200, 1),
                crate::generated::new_transition(-37206000, 2),
                crate::generated::new_transition(-21477600, 1),
                crate::generated::new_transition(-5756400, 2),
                crate::generated::new_transition(9972000, 1),
                crate::generated::new_transition(25693200, 2),
                crate::generated::new_transition(41421600, 1),
                crate::generated::new_transition(57747600, 2),
                crate::generated::new_transition(73476000, 1),
                crate::generated::new_transition(89197200, 2),
                crate::generated::new_transition(104925600, 1),
                crate::generated::new_transition(120646800, 2),
                crate::generated::new_transition(136375200, 1),
                crate::generated::new_transition(152096400, 2),
                crate::generated::new_transition(167824800, 1),
                crate::generated::new_transition(183546000, 2),
                crate::generated::new_transition(199274400, 1),
                crate::generated::new_transition(215600400, 2),
                crate::generated::new_transition(230724000, 1),
                crate::generated::new_transition(247050000, 2),
                crate::generated::new_transition(262778400, 1),
                crate::generated::new_transition(278499600, 2),
                crate::generated::new_transition(294228000, 1),
                crate::generated::new_transition(309949200, 2),
                crate::generated::new_transition(325677600, 1),
                crate::generated::new_transition(341398800, 2),
                crate::generated::new_transition(357127200, 1),
                crate::generated::new_transition(372848400, 2),
                crate::generated::new_transition(388576800, 1),
                crate::generated::new_transition(404902800, 2),
                crate::generated::new_transition(420026400, 1),
                crate::generated::new_transition(436352400, 2),
                crate::generated::new_transition(452080800, 1),
                crate::generated::new_transition(467802000, 2),
                crate::generated::new_transition(483530400, 1),
                crate::generated::new_transition(499251600, 2),
                crate::generated::new_transition(514980000, 1),
                crate::generated::new_transition(530701200, 2),
                crate::generated::new_transition(544615200, 1),
                crate::generated::new_transition(562150800, 2),
                crate::generated::new_transition(576064800, 1),
                crate::generated::new_transition(594205200, 2),
                crate::generated::new_transition(607514400, 1),
                crate::generated::new_transition(625654800, 2),
                crate::generated::new_transition(638964000, 1),
                crate::generated::new_transition(657104400, 2),
                crate::generated::new_transition(671018400, 1),
                crate::generated::new_transition(688554000, 2),
                crate::generated::new_transition(702468000, 1),
                crate::generated::new_transition(720003600, 2),
                crate::generated::new_transition(733917600, 1),
                crate::generated::new_transition(752058000, 2),
                crate::generated::new_transition(765367200, 1),
                crate::generated::new_transition(783507600, 2),
                crate::generated::new_transition(796816800, 1),
                crate::generated::new_transition(814957200, 2),
                crate::generated::new_transition(828871200, 1),
                crate::generated::new_transition(846406800, 2),
                crate::generated::new_transition(860320800, 1),
                crate::generated::new_transition(877856400, 2),
                crate::generated::new_transition(891770400, 1),
                crate::generated::new_transition(909306000, 2),
                crate::generated::new_transition(923220000, 1),
                crate::generated::new_transition(941360400, 2),
                crate::generated::new_transition(954669600, 1),
                crate::generated::new_transition(972810000, 2),
                crate::generated::new_transition(986119200, 1),
                crate::generated::new_transition(1004259600, 2),
                crate::generated::new_transition(1018173600, 1),
                crate::generated::new_transition(1035709200, 2),
                crate::generated::new_transition(1049623200, 1),
                crate::generated::new_transition(1067158800, 2),
                crate::generated::new_transition(1081072800, 1),
                crate::generated::new_transition(1099213200, 2),
                crate::generated::new_transition(1112522400, 1),
                crate::generated::new_transition(1130662800, 2),
                crate::generated::new_transition(1143972000, 1),
                crate::generated::new_transition(1162112400, 2),
                crate::generated::new_transition(1173607200, 1),
            ],
            &[
                crate::generated::new_local_time_type(-29548, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
                crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PWT")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PPT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
                    crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const AMERICA_WHITEHORSE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2188997988, 2),
                crate::generated::new_transition(-1632056400, 1),
                crate::generated::new_transition(-1615125600, 2),
                crate::generated::new_transition(-1596978000, 1),
                crate::generated::new_transition(-1583164800, 2),
                crate::generated::new_transition(-880203600, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765381600, 2),
                crate::generated::new_transition(-147884400, 5),
                crate::generated::new_transition(-131554800, 2),
                crate::generated::new_transition(-121273200, 6),
                crate::generated::new_transition(325677600, 7),
                crate::generated::new_transition(341398800, 6),
                crate::generated::new_transition(357127200, 7),
                crate::generated::new_transition(372848400, 6),
                crate::generated::new_transition(388576800, 7),
                crate::generated::new_transition(404902800, 6),
                crate::generated::new_transition(420026400, 7),
                crate::generated::new_transition(436352400, 6),
                crate::generated::new_transition(452080800, 7),
                crate::generated::new_transition(467802000, 6),
                crate::generated::new_transition(483530400, 7),
                crate::generated::new_transition(499251600, 6),
                crate::generated::new_transition(514980000, 7),
                crate::generated::new_transition(530701200, 6),
                crate::generated::new_transition(544615200, 7),
                crate::generated::new_transition(562150800, 6),
                crate::generated::new_transition(576064800, 7),
                crate::generated::new_transition(594205200, 6),
                crate::generated::new_transition(607514400, 7),
                crate::generated::new_transition(625654800, 6),
                crate::generated::new_transition(638964000, 7),
                crate::generated::new_transition(657104400, 6),
                crate::generated::new_transition(671018400, 7),
                crate::generated::new_transition(688554000, 6),
                crate::generated::new_transition(702468000, 7),
                crate::generated::new_transition(720003600, 6),
                crate::generated::new_transition(733917600, 7),
                crate::generated::new_transition(752058000, 6),
                crate::generated::new_transition(765367200, 7),
                crate::generated::new_transition(783507600, 6),
                crate::generated::new_transition(796816800, 7),
                crate::generated::new_transition(814957200, 6),
                crate::generated::new_transition(828871200, 7),
                crate::generated::new_transition(846406800, 6),
                crate::generated::new_transition(860320800, 7),
                crate::generated::new_transition(877856400, 6),
                crate::generated::new_transition(891770400, 7),
                crate::generated::new_transition(909306000, 6),
                crate::generated::new_transition(923220000, 7),
                crate::generated::new_transition(941360400, 6),
                crate::generated::new_transition(954669600, 7),
                crate::generated::new_transition(972810000, 6),
                crate::generated::new_transition(986119200, 7),
                crate::generated::new_transition(1004259600, 6),
                crate::generated::new_transition(1018173600, 7),
                crate::generated::new_transition(1035709200, 6),
                crate::generated::new_transition(1049623200, 7),
                crate::generated::new_transition(1067158800, 6),
                crate::generated::new_transition(1081072800, 7),
                crate::generated::new_transition(1099213200, 6),
                crate::generated::new_transition(1112522400, 7),
                crate::generated::new_transition(1130662800, 6),
                crate::generated::new_transition(1143972000, 7),
                crate::generated::new_transition(1162112400, 6),
                crate::generated::new_transition(1173607200, 7),
                crate::generated::new_transition(1194166800, 6),
                crate::generated::new_transition(1205056800, 7),
                crate::generated::new_transition(1225616400, 6),
                crate::generated::new_transition(1236506400, 7),
                crate::generated::new_transition(1257066000, 6),
                crate::generated::new_transition(1268560800, 7),
                crate::generated::new_transition(1289120400, 6),
                crate::generated::new_transition(1300010400, 7),
                crate::generated::new_transition(1320570000, 6),
                crate::generated::new_transition(1331460000, 7),
                crate::generated::new_transition(1352019600, 6),
                crate::generated::new_transition(1362909600, 7),
                crate::generated::new_transition(1383469200, 6),
                crate::generated::new_transition(1394359200, 7),
                crate::generated::new_transition(1414918800, 6),
                crate::generated::new_transition(1425808800, 7),
                crate::generated::new_transition(1446368400, 6),
                crate::generated::new_transition(1457863200, 7),
                crate::generated::new_transition(1478422800, 6),
                crate::generated::new_transition(1489312800, 7),
                crate::generated::new_transition(1509872400, 6),
                crate::generated::new_transition(1520762400, 7),
                crate::generated::new_transition(1541322000, 6),
                crate::generated::new_transition(1552212000, 7),
                crate::generated::new_transition(1572771600, 6),
                crate::generated::new_transition(1583661600, 7),
                crate::generated::new_transition(1604214000, 8),
            ],
            &[
                crate::generated::new_local_time_type(-32412, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-28800, true, Some(b"YDT")),
                crate::generated::new_local_time_type(-32400, false, Some(b"YST")),
                crate::generated::new_local_time_type(-28800, true, Some(b"YWT")),
                crate::generated::new_local_time_type(-28800, true, Some(b"YPT")),
                crate::generated::new_local_time_type(-25200, true, Some(b"YDDT")),
                crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
            )),
        );

    pub(crate) const AMERICA_YAKUTAT: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-3225223727, 1),
                crate::generated::new_transition(-2188953665, 2),
                crate::generated::new_transition(-880203600, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765381600, 2),
                crate::generated::new_transition(-21474000, 5),
                crate::generated::new_transition(-5752800, 2),
                crate::generated::new_transition(9975600, 5),
                crate::generated::new_transition(25696800, 2),
                crate::generated::new_transition(41425200, 5),
                crate::generated::new_transition(57751200, 2),
                crate::generated::new_transition(73479600, 5),
                crate::generated::new_transition(89200800, 2),
                crate::generated::new_transition(104929200, 5),
                crate::generated::new_transition(120650400, 2),
                crate::generated::new_transition(126702000, 5),
                crate::generated::new_transition(152100000, 2),
                crate::generated::new_transition(162385200, 5),
                crate::generated::new_transition(183549600, 2),
                crate::generated::new_transition(199278000, 5),
                crate::generated::new_transition(215604000, 2),
                crate::generated::new_transition(230727600, 5),
                crate::generated::new_transition(247053600, 2),
                crate::generated::new_transition(262782000, 5),
                crate::generated::new_transition(278503200, 2),
                crate::generated::new_transition(294231600, 5),
                crate::generated::new_transition(309952800, 2),
                crate::generated::new_transition(325681200, 5),
                crate::generated::new_transition(341402400, 2),
                crate::generated::new_transition(357130800, 5),
                crate::generated::new_transition(372852000, 2),
                crate::generated::new_transition(388580400, 5),
                crate::generated::new_transition(404906400, 2),
                crate::generated::new_transition(420030000, 5),
                crate::generated::new_transition(436356000, 2),
                crate::generated::new_transition(439030800, 7),
                crate::generated::new_transition(452084400, 6),
                crate::generated::new_transition(467805600, 7),
                crate::generated::new_transition(483534000, 6),
                crate::generated::new_transition(499255200, 7),
                crate::generated::new_transition(514983600, 6),
                crate::generated::new_transition(530704800, 7),
                crate::generated::new_transition(544618800, 6),
                crate::generated::new_transition(562154400, 7),
                crate::generated::new_transition(576068400, 6),
                crate::generated::new_transition(594208800, 7),
                crate::generated::new_transition(607518000, 6),
                crate::generated::new_transition(625658400, 7),
                crate::generated::new_transition(638967600, 6),
                crate::generated::new_transition(657108000, 7),
                crate::generated::new_transition(671022000, 6),
                crate::generated::new_transition(688557600, 7),
                crate::generated::new_transition(702471600, 6),
                crate::generated::new_transition(720007200, 7),
                crate::generated::new_transition(733921200, 6),
                crate::generated::new_transition(752061600, 7),
                crate::generated::new_transition(765370800, 6),
                crate::generated::new_transition(783511200, 7),
                crate::generated::new_transition(796820400, 6),
                crate::generated::new_transition(814960800, 7),
                crate::generated::new_transition(828874800, 6),
                crate::generated::new_transition(846410400, 7),
                crate::generated::new_transition(860324400, 6),
                crate::generated::new_transition(877860000, 7),
                crate::generated::new_transition(891774000, 6),
                crate::generated::new_transition(909309600, 7),
                crate::generated::new_transition(923223600, 6),
                crate::generated::new_transition(941364000, 7),
                crate::generated::new_transition(954673200, 6),
                crate::generated::new_transition(972813600, 7),
                crate::generated::new_transition(986122800, 6),
                crate::generated::new_transition(1004263200, 7),
                crate::generated::new_transition(1018177200, 6),
                crate::generated::new_transition(1035712800, 7),
                crate::generated::new_transition(1049626800, 6),
                crate::generated::new_transition(1067162400, 7),
                crate::generated::new_transition(1081076400, 6),
                crate::generated::new_transition(1099216800, 7),
                crate::generated::new_transition(1112526000, 6),
                crate::generated::new_transition(1130666400, 7),
                crate::generated::new_transition(1143975600, 6),
                crate::generated::new_transition(1162116000, 7),
                crate::generated::new_transition(1173610800, 6),
            ],
            &[
                crate::generated::new_local_time_type(52865, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-33535, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-32400, false, Some(b"YST")),
                crate::generated::new_local_time_type(-28800, true, Some(b"YWT")),
                crate::generated::new_local_time_type(-28800, true, Some(b"YPT")),
                crate::generated::new_local_time_type(-28800, true, Some(b"YDT")),
                crate::generated::new_local_time_type(-28800, true, Some(b"AKDT")),
                crate::generated::new_local_time_type(-32400, false, Some(b"AKST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-32400, false, Some(b"AKST")),
                    crate::generated::new_local_time_type(-28800, true, Some(b"AKDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const ANTARCTICA_CASEY: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-31536000, 1),
                crate::generated::new_transition(1255802400, 2),
                crate::generated::new_transition(1267714800, 1),
                crate::generated::new_transition(1319738400, 2),
                crate::generated::new_transition(1329843600, 1),
                crate::generated::new_transition(1477065600, 2),
                crate::generated::new_transition(1520701200, 1),
                crate::generated::new_transition(1538856000, 2),
                crate::generated::new_transition(1552752000, 1),
                crate::generated::new_transition(1570129200, 2),
                crate::generated::new_transition(1583596800, 1),
                crate::generated::new_transition(1601740860, 2),
            ],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(28800, false, Some(b"+08")),
                crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            )),
        );

    pub(crate) const ANTARCTICA_DAVIS: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-409190400, 1),
                crate::generated::new_transition(-163062000, 0),
                crate::generated::new_transition(-28857600, 1),
                crate::generated::new_transition(1255806000, 2),
                crate::generated::new_transition(1268251200, 1),
                crate::generated::new_transition(1319742000, 2),
                crate::generated::new_transition(1329854400, 1),
            ],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
                crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
            )),
        );

    pub(crate) const ANTARCTICA_DUMONT_D_URVILLE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-725846400, 1),
                crate::generated::new_transition(-566992800, 0),
                crate::generated::new_transition(-415497600, 1),
            ],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(36000, false, Some(b"+10")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(36000, false, Some(b"+10")),
            )),
        );

    pub(crate) const ANTARCTICA_MACQUARIE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2214259200, 1),
                crate::generated::new_transition(-1680508800, 2),
                crate::generated::new_transition(-1665388800, 1),
                crate::generated::new_transition(-1601719200, 0),
                crate::generated::new_transition(-687052800, 1),
                crate::generated::new_transition(-71136000, 2),
                crate::generated::new_transition(-55411200, 1),
                crate::generated::new_transition(-37267200, 2),
                crate::generated::new_transition(-25776000, 1),
                crate::generated::new_transition(-5817600, 2),
                crate::generated::new_transition(5673600, 1),
                crate::generated::new_transition(25632000, 2),
                crate::generated::new_transition(37728000, 1),
                crate::generated::new_transition(57686400, 2),
                crate::generated::new_transition(67968000, 1),
                crate::generated::new_transition(89136000, 2),
                crate::generated::new_transition(100022400, 1),
                crate::generated::new_transition(120585600, 2),
                crate::generated::new_transition(131472000, 1),
                crate::generated::new_transition(152035200, 2),
                crate::generated::new_transition(162921600, 1),
                crate::generated::new_transition(183484800, 2),
                crate::generated::new_transition(194976000, 1),
                crate::generated::new_transition(215539200, 2),
                crate::generated::new_transition(226425600, 1),
                crate::generated::new_transition(246988800, 2),
                crate::generated::new_transition(257875200, 1),
                crate::generated::new_transition(278438400, 2),
                crate::generated::new_transition(289324800, 1),
                crate::generated::new_transition(309888000, 2),
                crate::generated::new_transition(320774400, 1),
                crate::generated::new_transition(341337600, 2),
                crate::generated::new_transition(352224000, 1),
                crate::generated::new_transition(372787200, 2),
                crate::generated::new_transition(386092800, 1),
                crate::generated::new_transition(404841600, 2),
                crate::generated::new_transition(417542400, 1),
                crate::generated::new_transition(436291200, 2),
                crate::generated::new_transition(447177600, 1),
                crate::generated::new_transition(467740800, 2),
                crate::generated::new_transition(478627200, 1),
                crate::generated::new_transition(499190400, 2),
                crate::generated::new_transition(510076800, 1),
                crate::generated::new_transition(530035200, 2),
                crate::generated::new_transition(542736000, 1),
                crate::generated::new_transition(562089600, 2),
                crate::generated::new_transition(574790400, 1),
                crate::generated::new_transition(594144000, 2),
                crate::generated::new_transition(606240000, 1),
                crate::generated::new_transition(625593600, 2),
                crate::generated::new_transition(637689600, 1),
                crate::generated::new_transition(657043200, 2),
                crate::generated::new_transition(670348800, 1),
                crate::generated::new_transition(686678400, 2),
                crate::generated::new_transition(701798400, 1),
                crate::generated::new_transition(718128000, 2),
                crate::generated::new_transition(733248000, 1),
                crate::generated::new_transition(749577600, 2),
                crate::generated::new_transition(764697600, 1),
                crate::generated::new_transition(781027200, 2),
                crate::generated::new_transition(796147200, 1),
                crate::generated::new_transition(812476800, 2),
                crate::generated::new_transition(828201600, 1),
                crate::generated::new_transition(844531200, 2),
                crate::generated::new_transition(859651200, 1),
                crate::generated::new_transition(875980800, 2),
                crate::generated::new_transition(891100800, 1),
                crate::generated::new_transition(907430400, 2),
                crate::generated::new_transition(922550400, 1),
                crate::generated::new_transition(938880000, 2),
                crate::generated::new_transition(954000000, 1),
                crate::generated::new_transition(967305600, 2),
                crate::generated::new_transition(985449600, 1),
                crate::generated::new_transition(1002384000, 2),
                crate::generated::new_transition(1017504000, 1),
                crate::generated::new_transition(1033833600, 2),
                crate::generated::new_transition(1048953600, 1),
                crate::generated::new_transition(1065283200, 2),
                crate::generated::new_transition(1080403200, 1),
                crate::generated::new_transition(1096732800, 2),
                crate::generated::new_transition(1111852800, 1),
                crate::generated::new_transition(1128182400, 2),
                crate::generated::new_transition(1143907200, 1),
                crate::generated::new_transition(1159632000, 2),
                crate::generated::new_transition(1174752000, 1),
                crate::generated::new_transition(1191686400, 2),
                crate::generated::new_transition(1207411200, 1),
                crate::generated::new_transition(1223136000, 2),
                crate::generated::new_transition(1238860800, 1),
                crate::generated::new_transition(1254585600, 2),
                crate::generated::new_transition(1301760000, 1),
            ],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(36000, false, Some(b"AEST")),
                crate::generated::new_local_time_type(39600, true, Some(b"AEDT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(36000, false, Some(b"AEST")),
                    crate::generated::new_local_time_type(39600, true, Some(b"AEDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 1, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(4, 1, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const ANTARCTICA_MAWSON: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-501206400, 1),
                crate::generated::new_transition(1255809600, 2),
            ],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(21600, false, Some(b"+06")),
                crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            )),
        );

    pub(crate) const ANTARCTICA_MC_MURDO: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-441849600, 2),
                crate::generated::new_transition(152632800, 1),
                crate::generated::new_transition(162309600, 2),
                crate::generated::new_transition(183477600, 1),
                crate::generated::new_transition(194968800, 2),
                crate::generated::new_transition(215532000, 1),
                crate::generated::new_transition(226418400, 2),
                crate::generated::new_transition(246981600, 1),
                crate::generated::new_transition(257868000, 2),
                crate::generated::new_transition(278431200, 1),
                crate::generated::new_transition(289317600, 2),
                crate::generated::new_transition(309880800, 1),
                crate::generated::new_transition(320767200, 2),
                crate::generated::new_transition(341330400, 1),
                crate::generated::new_transition(352216800, 2),
                crate::generated::new_transition(372780000, 1),
                crate::generated::new_transition(384271200, 2),
                crate::generated::new_transition(404834400, 1),
                crate::generated::new_transition(415720800, 2),
                crate::generated::new_transition(436284000, 1),
                crate::generated::new_transition(447170400, 2),
                crate::generated::new_transition(467733600, 1),
                crate::generated::new_transition(478620000, 2),
                crate::generated::new_transition(499183200, 1),
                crate::generated::new_transition(510069600, 2),
                crate::generated::new_transition(530632800, 1),
                crate::generated::new_transition(541519200, 2),
                crate::generated::new_transition(562082400, 1),
                crate::generated::new_transition(573573600, 2),
                crate::generated::new_transition(594136800, 1),
                crate::generated::new_transition(605023200, 2),
                crate::generated::new_transition(623772000, 1),
                crate::generated::new_transition(637682400, 2),
                crate::generated::new_transition(655221600, 1),
                crate::generated::new_transition(669132000, 2),
                crate::generated::new_transition(686671200, 1),
                crate::generated::new_transition(700581600, 2),
                crate::generated::new_transition(718120800, 1),
                crate::generated::new_transition(732636000, 2),
                crate::generated::new_transition(749570400, 1),
                crate::generated::new_transition(764085600, 2),
                crate::generated::new_transition(781020000, 1),
                crate::generated::new_transition(795535200, 2),
                crate::generated::new_transition(812469600, 1),
                crate::generated::new_transition(826984800, 2),
                crate::generated::new_transition(844524000, 1),
                crate::generated::new_transition(858434400, 2),
                crate::generated::new_transition(875973600, 1),
                crate::generated::new_transition(889884000, 2),
                crate::generated::new_transition(907423200, 1),
                crate::generated::new_transition(921938400, 2),
                crate::generated::new_transition(938872800, 1),
                crate::generated::new_transition(953388000, 2),
                crate::generated::new_transition(970322400, 1),
                crate::generated::new_transition(984837600, 2),
                crate::generated::new_transition(1002376800, 1),
                crate::generated::new_transition(1016287200, 2),
                crate::generated::new_transition(1033826400, 1),
                crate::generated::new_transition(1047736800, 2),
                crate::generated::new_transition(1065276000, 1),
                crate::generated::new_transition(1079791200, 2),
                crate::generated::new_transition(1096725600, 1),
                crate::generated::new_transition(1111240800, 2),
                crate::generated::new_transition(1128175200, 1),
                crate::generated::new_transition(1142690400, 2),
                crate::generated::new_transition(1159624800, 1),
                crate::generated::new_transition(1174140000, 2),
                crate::generated::new_transition(1191074400, 1),
            ],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(46800, true, Some(b"NZDT")),
                crate::generated::new_local_time_type(43200, false, Some(b"NZST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(43200, false, Some(b"NZST")),
                    crate::generated::new_local_time_type(46800, true, Some(b"NZDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(9, 5, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(4, 1, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const ANTARCTICA_PALMER: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-157766400, 2),
                crate::generated::new_transition(-152658000, 1),
                crate::generated::new_transition(-132955200, 2),
                crate::generated::new_transition(-121122000, 1),
                crate::generated::new_transition(-101419200, 2),
                crate::generated::new_transition(-86821200, 1),
                crate::generated::new_transition(-71092800, 2),
                crate::generated::new_transition(-54766800, 1),
                crate::generated::new_transition(-39038400, 2),
                crate::generated::new_transition(-23317200, 1),
                crate::generated::new_transition(-7588800, 4),
                crate::generated::new_transition(128142000, 3),
                crate::generated::new_transition(136605600, 4),
                crate::generated::new_transition(389070000, 1),
                crate::generated::new_transition(403070400, 2),
                crate::generated::new_transition(416372400, 1),
                crate::generated::new_transition(434520000, 2),
                crate::generated::new_transition(447822000, 1),
                crate::generated::new_transition(466574400, 2),
                crate::generated::new_transition(479271600, 1),
                crate::generated::new_transition(498024000, 2),
                crate::generated::new_transition(510721200, 1),
                crate::generated::new_transition(529473600, 2),
                crate::generated::new_transition(545194800, 1),
                crate::generated::new_transition(560923200, 2),
                crate::generated::new_transition(574225200, 1),
                crate::generated::new_transition(592372800, 2),
                crate::generated::new_transition(605674800, 1),
                crate::generated::new_transition(624427200, 2),
                crate::generated::new_transition(637124400, 1),
                crate::generated::new_transition(653457600, 2),
                crate::generated::new_transition(668574000, 1),
                crate::generated::new_transition(687326400, 2),
                crate::generated::new_transition(700628400, 1),
                crate::generated::new_transition(718776000, 2),
                crate::generated::new_transition(732078000, 1),
                crate::generated::new_transition(750225600, 2),
                crate::generated::new_transition(763527600, 1),
                crate::generated::new_transition(781675200, 2),
                crate::generated::new_transition(794977200, 1),
                crate::generated::new_transition(813729600, 2),
                crate::generated::new_transition(826426800, 1),
                crate::generated::new_transition(845179200, 2),
                crate::generated::new_transition(859690800, 1),
                crate::generated::new_transition(876628800, 2),
                crate::generated::new_transition(889930800, 1),
                crate::generated::new_transition(906868800, 2),
                crate::generated::new_transition(923194800, 1),
                crate::generated::new_transition(939528000, 2),
                crate::generated::new_transition(952830000, 1),
                crate::generated::new_transition(971582400, 2),
                crate::generated::new_transition(984279600, 1),
                crate::generated::new_transition(1003032000, 2),
                crate::generated::new_transition(1015729200, 1),
                crate::generated::new_transition(1034481600, 2),
                crate::generated::new_transition(1047178800, 1),
                crate::generated::new_transition(1065931200, 2),
                crate::generated::new_transition(1079233200, 1),
                crate::generated::new_transition(1097380800, 2),
                crate::generated::new_transition(1110682800, 1),
                crate::generated::new_transition(1128830400, 2),
                crate::generated::new_transition(1142132400, 1),
                crate::generated::new_transition(1160884800, 2),
                crate::generated::new_transition(1173582000, 1),
                crate::generated::new_transition(1192334400, 2),
                crate::generated::new_transition(1206846000, 1),
                crate::generated::new_transition(1223784000, 2),
                crate::generated::new_transition(1237086000, 1),
                crate::generated::new_transition(1255233600, 2),
                crate::generated::new_transition(1270350000, 1),
                crate::generated::new_transition(1286683200, 2),
                crate::generated::new_transition(1304823600, 1),
                crate::generated::new_transition(1313899200, 2),
                crate::generated::new_transition(1335668400, 1),
                crate::generated::new_transition(1346558400, 2),
                crate::generated::new_transition(1367118000, 1),
                crate::generated::new_transition(1378612800, 2),
                crate::generated::new_transition(1398567600, 1),
                crate::generated::new_transition(1410062400, 2),
                crate::generated::new_transition(1463281200, 1),
                crate::generated::new_transition(1471147200, 2),
                crate::generated::new_transition(1480820400, 4),
            ],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
                crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
                crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            )),
        );

    pub(crate) const ANTARCTICA_ROTHERA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(218246400, 1)],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            )),
        );

    pub(crate) const ANTARCTICA_SYOWA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-407808000, 1)],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(10800, false, Some(b"+03")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(10800, false, Some(b"+03")),
            )),
        );

    pub(crate) const ANTARCTICA_TROLL: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(1108166400, 2),
                crate::generated::new_transition(1111885200, 1),
            ],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(7200, true, Some(b"+02")),
                crate::generated::new_local_time_type(0, false, Some(b"+00")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(0, false, Some(b"+00")),
                    crate::generated::new_local_time_type(7200, true, Some(b"+02")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    3600,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const ANTARCTICA_VOSTOK: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-380073600, 1)],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            )),
        );

    pub(crate) const ARCTIC_LONGYEARBYEN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2422054408, 2),
                crate::generated::new_transition(-1693706400, 1),
                crate::generated::new_transition(-1680483600, 2),
                crate::generated::new_transition(-1663455600, 1),
                crate::generated::new_transition(-1650150000, 2),
                crate::generated::new_transition(-1632006000, 1),
                crate::generated::new_transition(-1618700400, 2),
                crate::generated::new_transition(-938905200, 1),
                crate::generated::new_transition(-857257200, 2),
                crate::generated::new_transition(-844556400, 1),
                crate::generated::new_transition(-828226800, 2),
                crate::generated::new_transition(-812502000, 1),
                crate::generated::new_transition(-796777200, 2),
                crate::generated::new_transition(-781052400, 1),
                crate::generated::new_transition(-776563200, 3),
                crate::generated::new_transition(-765936000, 1),
                crate::generated::new_transition(-761180400, 2),
                crate::generated::new_transition(-748479600, 1),
                crate::generated::new_transition(-733273200, 2),
                crate::generated::new_transition(-717631200, 1),
                crate::generated::new_transition(-714610800, 3),
                crate::generated::new_transition(-710380800, 1),
                crate::generated::new_transition(-701910000, 2),
                crate::generated::new_transition(-684975600, 1),
                crate::generated::new_transition(-670460400, 2),
                crate::generated::new_transition(-654130800, 1),
                crate::generated::new_transition(-639010800, 2),
                crate::generated::new_transition(323830800, 1),
                crate::generated::new_transition(338950800, 2),
                crate::generated::new_transition(354675600, 1),
                crate::generated::new_transition(370400400, 2),
                crate::generated::new_transition(386125200, 1),
                crate::generated::new_transition(401850000, 2),
                crate::generated::new_transition(417574800, 1),
                crate::generated::new_transition(433299600, 2),
                crate::generated::new_transition(449024400, 1),
                crate::generated::new_transition(465354000, 2),
                crate::generated::new_transition(481078800, 1),
                crate::generated::new_transition(496803600, 2),
                crate::generated::new_transition(512528400, 1),
                crate::generated::new_transition(528253200, 2),
                crate::generated::new_transition(543978000, 1),
                crate::generated::new_transition(559702800, 2),
                crate::generated::new_transition(575427600, 1),
                crate::generated::new_transition(591152400, 2),
                crate::generated::new_transition(606877200, 1),
                crate::generated::new_transition(622602000, 2),
                crate::generated::new_transition(638326800, 1),
                crate::generated::new_transition(654656400, 2),
                crate::generated::new_transition(670381200, 1),
                crate::generated::new_transition(686106000, 2),
                crate::generated::new_transition(701830800, 1),
                crate::generated::new_transition(717555600, 2),
                crate::generated::new_transition(733280400, 1),
                crate::generated::new_transition(749005200, 2),
                crate::generated::new_transition(764730000, 1),
                crate::generated::new_transition(780454800, 2),
                crate::generated::new_transition(796179600, 1),
                crate::generated::new_transition(811904400, 2),
                crate::generated::new_transition(828234000, 1),
            ],
            &[
                crate::generated::new_local_time_type(3208, false, Some(b"LMT")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(10800, true, Some(b"CEMT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                    crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const ASIA_ADEN: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-631162794, 1)],
        &[
            crate::generated::new_local_time_type(10794, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        )),
    );

    pub(crate) const ASIA_ALMATY: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1441170468, 1),
            crate::generated::new_transition(-1247547600, 3),
            crate::generated::new_transition(354909600, 2),
            crate::generated::new_transition(370717200, 3),
            crate::generated::new_transition(386445600, 2),
            crate::generated::new_transition(402253200, 3),
            crate::generated::new_transition(417981600, 2),
            crate::generated::new_transition(433789200, 3),
            crate::generated::new_transition(449604000, 2),
            crate::generated::new_transition(465336000, 3),
            crate::generated::new_transition(481060800, 2),
            crate::generated::new_transition(496785600, 3),
            crate::generated::new_transition(512510400, 2),
            crate::generated::new_transition(528235200, 3),
            crate::generated::new_transition(543960000, 2),
            crate::generated::new_transition(559684800, 3),
            crate::generated::new_transition(575409600, 2),
            crate::generated::new_transition(591134400, 3),
            crate::generated::new_transition(606859200, 2),
            crate::generated::new_transition(622584000, 3),
            crate::generated::new_transition(638308800, 2),
            crate::generated::new_transition(654638400, 3),
            crate::generated::new_transition(670363200, 4),
            crate::generated::new_transition(686091600, 1),
            crate::generated::new_transition(695768400, 3),
            crate::generated::new_transition(701812800, 2),
            crate::generated::new_transition(717537600, 3),
            crate::generated::new_transition(733262400, 2),
            crate::generated::new_transition(748987200, 3),
            crate::generated::new_transition(764712000, 2),
            crate::generated::new_transition(780436800, 3),
            crate::generated::new_transition(796161600, 2),
            crate::generated::new_transition(811886400, 3),
            crate::generated::new_transition(828216000, 2),
            crate::generated::new_transition(846360000, 3),
            crate::generated::new_transition(859665600, 2),
            crate::generated::new_transition(877809600, 3),
            crate::generated::new_transition(891115200, 2),
            crate::generated::new_transition(909259200, 3),
            crate::generated::new_transition(922564800, 2),
            crate::generated::new_transition(941313600, 3),
            crate::generated::new_transition(954014400, 2),
            crate::generated::new_transition(972763200, 3),
            crate::generated::new_transition(985464000, 2),
            crate::generated::new_transition(1004212800, 3),
            crate::generated::new_transition(1017518400, 2),
            crate::generated::new_transition(1035662400, 3),
            crate::generated::new_transition(1048968000, 2),
            crate::generated::new_transition(1067112000, 3),
            crate::generated::new_transition(1080417600, 2),
            crate::generated::new_transition(1099166400, 3),
        ],
        &[
            crate::generated::new_local_time_type(18468, false, Some(b"LMT")),
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            crate::generated::new_local_time_type(25200, true, Some(b"+07")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            crate::generated::new_local_time_type(21600, true, Some(b"+06")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
        )),
    );

    pub(crate) const ASIA_AMMAN: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1230776624, 2),
            crate::generated::new_transition(108165600, 1),
            crate::generated::new_transition(118270800, 2),
            crate::generated::new_transition(136591200, 1),
            crate::generated::new_transition(149806800, 2),
            crate::generated::new_transition(168127200, 1),
            crate::generated::new_transition(181342800, 2),
            crate::generated::new_transition(199749600, 1),
            crate::generated::new_transition(215643600, 2),
            crate::generated::new_transition(231285600, 1),
            crate::generated::new_transition(244501200, 2),
            crate::generated::new_transition(262735200, 1),
            crate::generated::new_transition(275950800, 2),
            crate::generated::new_transition(481154400, 1),
            crate::generated::new_transition(496962000, 2),
            crate::generated::new_transition(512949600, 1),
            crate::generated::new_transition(528670800, 2),
            crate::generated::new_transition(544399200, 1),
            crate::generated::new_transition(560120400, 2),
            crate::generated::new_transition(575848800, 1),
            crate::generated::new_transition(592174800, 2),
            crate::generated::new_transition(610581600, 1),
            crate::generated::new_transition(623624400, 2),
            crate::generated::new_transition(641167200, 1),
            crate::generated::new_transition(655074000, 2),
            crate::generated::new_transition(671839200, 1),
            crate::generated::new_transition(685918800, 2),
            crate::generated::new_transition(702856800, 1),
            crate::generated::new_transition(717973200, 2),
            crate::generated::new_transition(733701600, 1),
            crate::generated::new_transition(749422800, 2),
            crate::generated::new_transition(765151200, 1),
            crate::generated::new_transition(779662800, 2),
            crate::generated::new_transition(797205600, 1),
            crate::generated::new_transition(811116000, 2),
            crate::generated::new_transition(828655200, 1),
            crate::generated::new_transition(843170400, 2),
            crate::generated::new_transition(860104800, 1),
            crate::generated::new_transition(874620000, 2),
            crate::generated::new_transition(891554400, 1),
            crate::generated::new_transition(906069600, 2),
            crate::generated::new_transition(930780000, 1),
            crate::generated::new_transition(938124000, 2),
            crate::generated::new_transition(954367200, 1),
            crate::generated::new_transition(970178400, 2),
            crate::generated::new_transition(985816800, 1),
            crate::generated::new_transition(1001628000, 2),
            crate::generated::new_transition(1017352800, 1),
            crate::generated::new_transition(1033077600, 2),
            crate::generated::new_transition(1048802400, 1),
            crate::generated::new_transition(1066946400, 2),
            crate::generated::new_transition(1080252000, 1),
            crate::generated::new_transition(1097791200, 2),
            crate::generated::new_transition(1112306400, 1),
            crate::generated::new_transition(1128031200, 2),
            crate::generated::new_transition(1143756000, 1),
            crate::generated::new_transition(1161900000, 2),
            crate::generated::new_transition(1175205600, 1),
            crate::generated::new_transition(1193349600, 2),
            crate::generated::new_transition(1206655200, 1),
            crate::generated::new_transition(1225404000, 2),
            crate::generated::new_transition(1238104800, 1),
            crate::generated::new_transition(1256853600, 2),
            crate::generated::new_transition(1269554400, 1),
            crate::generated::new_transition(1288303200, 2),
            crate::generated::new_transition(1301608800, 1),
            crate::generated::new_transition(1319752800, 2),
            crate::generated::new_transition(1333058400, 1),
            crate::generated::new_transition(1387486800, 2),
            crate::generated::new_transition(1395957600, 1),
            crate::generated::new_transition(1414706400, 2),
            crate::generated::new_transition(1427407200, 1),
            crate::generated::new_transition(1446156000, 2),
            crate::generated::new_transition(1459461600, 1),
            crate::generated::new_transition(1477605600, 2),
            crate::generated::new_transition(1490911200, 1),
            crate::generated::new_transition(1509055200, 2),
            crate::generated::new_transition(1522360800, 1),
            crate::generated::new_transition(1540504800, 2),
            crate::generated::new_transition(1553810400, 1),
            crate::generated::new_transition(1571954400, 2),
            crate::generated::new_transition(1585260000, 1),
            crate::generated::new_transition(1604008800, 2),
            crate::generated::new_transition(1616709600, 1),
            crate::generated::new_transition(1635458400, 2),
            crate::generated::new_transition(1645740000, 1),
            crate::generated::new_transition(1666908000, 3),
        ],
        &[
            crate::generated::new_local_time_type(8624, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        )),
    );

    pub(crate) const ASIA_ANADYR: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1441194596, 1),
            crate::generated::new_transition(-1247572800, 3),
            crate::generated::new_transition(354884400, 2),
            crate::generated::new_transition(370692000, 3),
            crate::generated::new_transition(386420400, 4),
            crate::generated::new_transition(402231600, 1),
            crate::generated::new_transition(417960000, 4),
            crate::generated::new_transition(433767600, 1),
            crate::generated::new_transition(449582400, 4),
            crate::generated::new_transition(465314400, 1),
            crate::generated::new_transition(481039200, 4),
            crate::generated::new_transition(496764000, 1),
            crate::generated::new_transition(512488800, 4),
            crate::generated::new_transition(528213600, 1),
            crate::generated::new_transition(543938400, 4),
            crate::generated::new_transition(559663200, 1),
            crate::generated::new_transition(575388000, 4),
            crate::generated::new_transition(591112800, 1),
            crate::generated::new_transition(606837600, 4),
            crate::generated::new_transition(622562400, 1),
            crate::generated::new_transition(638287200, 4),
            crate::generated::new_transition(654616800, 1),
            crate::generated::new_transition(670341600, 5),
            crate::generated::new_transition(686070000, 6),
            crate::generated::new_transition(695746800, 1),
            crate::generated::new_transition(701791200, 4),
            crate::generated::new_transition(717516000, 1),
            crate::generated::new_transition(733240800, 4),
            crate::generated::new_transition(748965600, 1),
            crate::generated::new_transition(764690400, 4),
            crate::generated::new_transition(780415200, 1),
            crate::generated::new_transition(796140000, 4),
            crate::generated::new_transition(811864800, 1),
            crate::generated::new_transition(828194400, 4),
            crate::generated::new_transition(846338400, 1),
            crate::generated::new_transition(859644000, 4),
            crate::generated::new_transition(877788000, 1),
            crate::generated::new_transition(891093600, 4),
            crate::generated::new_transition(909237600, 1),
            crate::generated::new_transition(922543200, 4),
            crate::generated::new_transition(941292000, 1),
            crate::generated::new_transition(953992800, 4),
            crate::generated::new_transition(972741600, 1),
            crate::generated::new_transition(985442400, 4),
            crate::generated::new_transition(1004191200, 1),
            crate::generated::new_transition(1017496800, 4),
            crate::generated::new_transition(1035640800, 1),
            crate::generated::new_transition(1048946400, 4),
            crate::generated::new_transition(1067090400, 1),
            crate::generated::new_transition(1080396000, 4),
            crate::generated::new_transition(1099144800, 1),
            crate::generated::new_transition(1111845600, 4),
            crate::generated::new_transition(1130594400, 1),
            crate::generated::new_transition(1143295200, 4),
            crate::generated::new_transition(1162044000, 1),
            crate::generated::new_transition(1174744800, 4),
            crate::generated::new_transition(1193493600, 1),
            crate::generated::new_transition(1206799200, 4),
            crate::generated::new_transition(1224943200, 1),
            crate::generated::new_transition(1238248800, 4),
            crate::generated::new_transition(1256392800, 1),
            crate::generated::new_transition(1269698400, 5),
            crate::generated::new_transition(1288450800, 6),
            crate::generated::new_transition(1301151600, 1),
        ],
        &[
            crate::generated::new_local_time_type(42596, false, Some(b"LMT")),
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
            crate::generated::new_local_time_type(50400, true, Some(b"+14")),
            crate::generated::new_local_time_type(46800, false, Some(b"+13")),
            crate::generated::new_local_time_type(46800, true, Some(b"+13")),
            crate::generated::new_local_time_type(43200, true, Some(b"+12")),
            crate::generated::new_local_time_type(39600, false, Some(b"+11")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        )),
    );

    pub(crate) const ASIA_AQTAU: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1441164064, 1),
            crate::generated::new_transition(-1247544000, 2),
            crate::generated::new_transition(370724400, 3),
            crate::generated::new_transition(386445600, 4),
            crate::generated::new_transition(402256800, 2),
            crate::generated::new_transition(417985200, 4),
            crate::generated::new_transition(433792800, 2),
            crate::generated::new_transition(449607600, 4),
            crate::generated::new_transition(465339600, 2),
            crate::generated::new_transition(481064400, 4),
            crate::generated::new_transition(496789200, 2),
            crate::generated::new_transition(512514000, 4),
            crate::generated::new_transition(528238800, 2),
            crate::generated::new_transition(543963600, 4),
            crate::generated::new_transition(559688400, 2),
            crate::generated::new_transition(575413200, 4),
            crate::generated::new_transition(591138000, 2),
            crate::generated::new_transition(606862800, 4),
            crate::generated::new_transition(622587600, 2),
            crate::generated::new_transition(638312400, 4),
            crate::generated::new_transition(654642000, 2),
            crate::generated::new_transition(670366800, 5),
            crate::generated::new_transition(686095200, 1),
            crate::generated::new_transition(695772000, 2),
            crate::generated::new_transition(701816400, 4),
            crate::generated::new_transition(717541200, 2),
            crate::generated::new_transition(733266000, 4),
            crate::generated::new_transition(748990800, 2),
            crate::generated::new_transition(764715600, 4),
            crate::generated::new_transition(780440400, 1),
            crate::generated::new_transition(796168800, 5),
            crate::generated::new_transition(811893600, 1),
            crate::generated::new_transition(828223200, 5),
            crate::generated::new_transition(846367200, 1),
            crate::generated::new_transition(859672800, 5),
            crate::generated::new_transition(877816800, 1),
            crate::generated::new_transition(891122400, 5),
            crate::generated::new_transition(909266400, 1),
            crate::generated::new_transition(922572000, 5),
            crate::generated::new_transition(941320800, 1),
            crate::generated::new_transition(954021600, 5),
            crate::generated::new_transition(972770400, 1),
            crate::generated::new_transition(985471200, 5),
            crate::generated::new_transition(1004220000, 1),
            crate::generated::new_transition(1017525600, 5),
            crate::generated::new_transition(1035669600, 1),
            crate::generated::new_transition(1048975200, 5),
            crate::generated::new_transition(1067119200, 1),
            crate::generated::new_transition(1080424800, 5),
            crate::generated::new_transition(1099173600, 2),
        ],
        &[
            crate::generated::new_local_time_type(12064, false, Some(b"LMT")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            crate::generated::new_local_time_type(21600, true, Some(b"+06")),
            crate::generated::new_local_time_type(18000, true, Some(b"+05")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
        )),
    );

    pub(crate) const ASIA_AQTOBE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1441165720, 1),
            crate::generated::new_transition(-1247544000, 2),
            crate::generated::new_transition(354913200, 3),
            crate::generated::new_transition(370720800, 4),
            crate::generated::new_transition(386445600, 3),
            crate::generated::new_transition(402256800, 2),
            crate::generated::new_transition(417985200, 3),
            crate::generated::new_transition(433792800, 2),
            crate::generated::new_transition(449607600, 3),
            crate::generated::new_transition(465339600, 2),
            crate::generated::new_transition(481064400, 3),
            crate::generated::new_transition(496789200, 2),
            crate::generated::new_transition(512514000, 3),
            crate::generated::new_transition(528238800, 2),
            crate::generated::new_transition(543963600, 3),
            crate::generated::new_transition(559688400, 2),
            crate::generated::new_transition(575413200, 3),
            crate::generated::new_transition(591138000, 2),
            crate::generated::new_transition(606862800, 3),
            crate::generated::new_transition(622587600, 2),
            crate::generated::new_transition(638312400, 3),
            crate::generated::new_transition(654642000, 2),
            crate::generated::new_transition(670366800, 5),
            crate::generated::new_transition(686095200, 1),
            crate::generated::new_transition(695772000, 2),
            crate::generated::new_transition(701816400, 3),
            crate::generated::new_transition(717541200, 2),
            crate::generated::new_transition(733266000, 3),
            crate::generated::new_transition(748990800, 2),
            crate::generated::new_transition(764715600, 3),
            crate::generated::new_transition(780440400, 2),
            crate::generated::new_transition(796165200, 3),
            crate::generated::new_transition(811890000, 2),
            crate::generated::new_transition(828219600, 3),
            crate::generated::new_transition(846363600, 2),
            crate::generated::new_transition(859669200, 3),
            crate::generated::new_transition(877813200, 2),
            crate::generated::new_transition(891118800, 3),
            crate::generated::new_transition(909262800, 2),
            crate::generated::new_transition(922568400, 3),
            crate::generated::new_transition(941317200, 2),
            crate::generated::new_transition(954018000, 3),
            crate::generated::new_transition(972766800, 2),
            crate::generated::new_transition(985467600, 3),
            crate::generated::new_transition(1004216400, 2),
            crate::generated::new_transition(1017522000, 3),
            crate::generated::new_transition(1035666000, 2),
            crate::generated::new_transition(1048971600, 3),
            crate::generated::new_transition(1067115600, 2),
            crate::generated::new_transition(1080421200, 3),
            crate::generated::new_transition(1099170000, 2),
        ],
        &[
            crate::generated::new_local_time_type(13720, false, Some(b"LMT")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            crate::generated::new_local_time_type(21600, true, Some(b"+06")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            crate::generated::new_local_time_type(18000, true, Some(b"+05")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
        )),
    );

    pub(crate) const ASIA_ASHGABAT: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1441166012, 1),
            crate::generated::new_transition(-1247544000, 3),
            crate::generated::new_transition(354913200, 2),
            crate::generated::new_transition(370720800, 3),
            crate::generated::new_transition(386449200, 2),
            crate::generated::new_transition(402256800, 3),
            crate::generated::new_transition(417985200, 2),
            crate::generated::new_transition(433792800, 3),
            crate::generated::new_transition(449607600, 2),
            crate::generated::new_transition(465339600, 3),
            crate::generated::new_transition(481064400, 2),
            crate::generated::new_transition(496789200, 3),
            crate::generated::new_transition(512514000, 2),
            crate::generated::new_transition(528238800, 3),
            crate::generated::new_transition(543963600, 2),
            crate::generated::new_transition(559688400, 3),
            crate::generated::new_transition(575413200, 2),
            crate::generated::new_transition(591138000, 3),
            crate::generated::new_transition(606862800, 2),
            crate::generated::new_transition(622587600, 3),
            crate::generated::new_transition(638312400, 2),
            crate::generated::new_transition(654642000, 3),
            crate::generated::new_transition(670366800, 4),
            crate::generated::new_transition(686095200, 1),
            crate::generated::new_transition(695772000, 3),
        ],
        &[
            crate::generated::new_local_time_type(14012, false, Some(b"LMT")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            crate::generated::new_local_time_type(21600, true, Some(b"+06")),
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            crate::generated::new_local_time_type(18000, true, Some(b"+05")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
        )),
    );

    pub(crate) const ASIA_ATYRAU: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1441164464, 1),
            crate::generated::new_transition(-1247540400, 2),
            crate::generated::new_transition(370724400, 3),
            crate::generated::new_transition(386445600, 4),
            crate::generated::new_transition(402256800, 2),
            crate::generated::new_transition(417985200, 4),
            crate::generated::new_transition(433792800, 2),
            crate::generated::new_transition(449607600, 4),
            crate::generated::new_transition(465339600, 2),
            crate::generated::new_transition(481064400, 4),
            crate::generated::new_transition(496789200, 2),
            crate::generated::new_transition(512514000, 4),
            crate::generated::new_transition(528238800, 2),
            crate::generated::new_transition(543963600, 4),
            crate::generated::new_transition(559688400, 2),
            crate::generated::new_transition(575413200, 4),
            crate::generated::new_transition(591138000, 2),
            crate::generated::new_transition(606862800, 4),
            crate::generated::new_transition(622587600, 2),
            crate::generated::new_transition(638312400, 4),
            crate::generated::new_transition(654642000, 2),
            crate::generated::new_transition(670366800, 5),
            crate::generated::new_transition(686095200, 6),
            crate::generated::new_transition(695772000, 2),
            crate::generated::new_transition(701816400, 4),
            crate::generated::new_transition(717541200, 2),
            crate::generated::new_transition(733266000, 4),
            crate::generated::new_transition(748990800, 2),
            crate::generated::new_transition(764715600, 4),
            crate::generated::new_transition(780440400, 2),
            crate::generated::new_transition(796165200, 4),
            crate::generated::new_transition(811890000, 2),
            crate::generated::new_transition(828219600, 4),
            crate::generated::new_transition(846363600, 2),
            crate::generated::new_transition(859669200, 4),
            crate::generated::new_transition(877813200, 2),
            crate::generated::new_transition(891118800, 4),
            crate::generated::new_transition(909262800, 2),
            crate::generated::new_transition(922568400, 5),
            crate::generated::new_transition(941320800, 6),
            crate::generated::new_transition(954021600, 5),
            crate::generated::new_transition(972770400, 6),
            crate::generated::new_transition(985471200, 5),
            crate::generated::new_transition(1004220000, 6),
            crate::generated::new_transition(1017525600, 5),
            crate::generated::new_transition(1035669600, 6),
            crate::generated::new_transition(1048975200, 5),
            crate::generated::new_transition(1067119200, 6),
            crate::generated::new_transition(1080424800, 5),
            crate::generated::new_transition(1099173600, 2),
        ],
        &[
            crate::generated::new_local_time_type(12464, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            crate::generated::new_local_time_type(21600, true, Some(b"+06")),
            crate::generated::new_local_time_type(18000, true, Some(b"+05")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
        )),
    );

    pub(crate) const ASIA_BAGHDAD: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2524532260, 1),
            crate::generated::new_transition(-1641005856, 2),
            crate::generated::new_transition(389048400, 3),
            crate::generated::new_transition(402264000, 2),
            crate::generated::new_transition(417906000, 3),
            crate::generated::new_transition(433800000, 2),
            crate::generated::new_transition(449614800, 3),
            crate::generated::new_transition(465422400, 2),
            crate::generated::new_transition(481150800, 3),
            crate::generated::new_transition(496792800, 2),
            crate::generated::new_transition(512517600, 3),
            crate::generated::new_transition(528242400, 2),
            crate::generated::new_transition(543967200, 3),
            crate::generated::new_transition(559692000, 2),
            crate::generated::new_transition(575416800, 3),
            crate::generated::new_transition(591141600, 2),
            crate::generated::new_transition(606866400, 3),
            crate::generated::new_transition(622591200, 2),
            crate::generated::new_transition(638316000, 3),
            crate::generated::new_transition(654645600, 2),
            crate::generated::new_transition(670464000, 3),
            crate::generated::new_transition(686275200, 2),
            crate::generated::new_transition(702086400, 3),
            crate::generated::new_transition(717897600, 2),
            crate::generated::new_transition(733622400, 3),
            crate::generated::new_transition(749433600, 2),
            crate::generated::new_transition(765158400, 3),
            crate::generated::new_transition(780969600, 2),
            crate::generated::new_transition(796694400, 3),
            crate::generated::new_transition(812505600, 2),
            crate::generated::new_transition(828316800, 3),
            crate::generated::new_transition(844128000, 2),
            crate::generated::new_transition(859852800, 3),
            crate::generated::new_transition(875664000, 2),
            crate::generated::new_transition(891388800, 3),
            crate::generated::new_transition(907200000, 2),
            crate::generated::new_transition(922924800, 3),
            crate::generated::new_transition(938736000, 2),
            crate::generated::new_transition(954547200, 3),
            crate::generated::new_transition(970358400, 2),
            crate::generated::new_transition(986083200, 3),
            crate::generated::new_transition(1001894400, 2),
            crate::generated::new_transition(1017619200, 3),
            crate::generated::new_transition(1033430400, 2),
            crate::generated::new_transition(1049155200, 3),
            crate::generated::new_transition(1064966400, 2),
            crate::generated::new_transition(1080777600, 3),
            crate::generated::new_transition(1096588800, 2),
            crate::generated::new_transition(1112313600, 3),
            crate::generated::new_transition(1128124800, 2),
            crate::generated::new_transition(1143849600, 3),
            crate::generated::new_transition(1159660800, 2),
            crate::generated::new_transition(1175385600, 3),
            crate::generated::new_transition(1191196800, 2),
        ],
        &[
            crate::generated::new_local_time_type(10660, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10656, false, Some(b"BMT")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
            crate::generated::new_local_time_type(14400, true, Some(b"+04")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        )),
    );

    pub(crate) const ASIA_BAHRAIN: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-897880940, 1),
            crate::generated::new_transition(-820553400, 2),
            crate::generated::new_transition(76190400, 3),
        ],
        &[
            crate::generated::new_local_time_type(12140, false, Some(b"LMT")),
            crate::generated::new_local_time_type(12600, false, Some(b"+0330")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        )),
    );

    pub(crate) const ASIA_BAKU: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1441163964, 1),
            crate::generated::new_transition(-405140400, 3),
            crate::generated::new_transition(354916800, 2),
            crate::generated::new_transition(370724400, 3),
            crate::generated::new_transition(386452800, 2),
            crate::generated::new_transition(402260400, 3),
            crate::generated::new_transition(417988800, 2),
            crate::generated::new_transition(433796400, 3),
            crate::generated::new_transition(449611200, 2),
            crate::generated::new_transition(465343200, 3),
            crate::generated::new_transition(481068000, 2),
            crate::generated::new_transition(496792800, 3),
            crate::generated::new_transition(512517600, 2),
            crate::generated::new_transition(528242400, 3),
            crate::generated::new_transition(543967200, 2),
            crate::generated::new_transition(559692000, 3),
            crate::generated::new_transition(575416800, 2),
            crate::generated::new_transition(591141600, 3),
            crate::generated::new_transition(606866400, 2),
            crate::generated::new_transition(622591200, 3),
            crate::generated::new_transition(638316000, 2),
            crate::generated::new_transition(654645600, 3),
            crate::generated::new_transition(670370400, 4),
            crate::generated::new_transition(686098800, 1),
            crate::generated::new_transition(701823600, 4),
            crate::generated::new_transition(717548400, 3),
            crate::generated::new_transition(828234000, 2),
            crate::generated::new_transition(846378000, 3),
            crate::generated::new_transition(859680000, 2),
            crate::generated::new_transition(877824000, 3),
            crate::generated::new_transition(891129600, 2),
            crate::generated::new_transition(909273600, 3),
            crate::generated::new_transition(922579200, 2),
            crate::generated::new_transition(941328000, 3),
            crate::generated::new_transition(954028800, 2),
            crate::generated::new_transition(972777600, 3),
            crate::generated::new_transition(985478400, 2),
            crate::generated::new_transition(1004227200, 3),
            crate::generated::new_transition(1017532800, 2),
            crate::generated::new_transition(1035676800, 3),
            crate::generated::new_transition(1048982400, 2),
            crate::generated::new_transition(1067126400, 3),
            crate::generated::new_transition(1080432000, 2),
            crate::generated::new_transition(1099180800, 3),
            crate::generated::new_transition(1111881600, 2),
            crate::generated::new_transition(1130630400, 3),
            crate::generated::new_transition(1143331200, 2),
            crate::generated::new_transition(1162080000, 3),
            crate::generated::new_transition(1174780800, 2),
            crate::generated::new_transition(1193529600, 3),
            crate::generated::new_transition(1206835200, 2),
            crate::generated::new_transition(1224979200, 3),
            crate::generated::new_transition(1238284800, 2),
            crate::generated::new_transition(1256428800, 3),
            crate::generated::new_transition(1269734400, 2),
            crate::generated::new_transition(1288483200, 3),
            crate::generated::new_transition(1301184000, 2),
            crate::generated::new_transition(1319932800, 3),
            crate::generated::new_transition(1332633600, 2),
            crate::generated::new_transition(1351382400, 3),
            crate::generated::new_transition(1364688000, 2),
            crate::generated::new_transition(1382832000, 3),
            crate::generated::new_transition(1396137600, 2),
            crate::generated::new_transition(1414281600, 3),
            crate::generated::new_transition(1427587200, 2),
            crate::generated::new_transition(1445731200, 3),
        ],
        &[
            crate::generated::new_local_time_type(11964, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
            crate::generated::new_local_time_type(18000, true, Some(b"+05")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            crate::generated::new_local_time_type(14400, true, Some(b"+04")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
        )),
    );

    pub(crate) const ASIA_BANGKOK: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2840164924, 1),
            crate::generated::new_transition(-1570084924, 2),
        ],
        &[
            crate::generated::new_local_time_type(24124, false, Some(b"LMT")),
            crate::generated::new_local_time_type(24124, false, Some(b"BMT")),
            crate::generated::new_local_time_type(25200, false, Some(b"+07")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(25200, false, Some(b"+07")),
        )),
    );

    pub(crate) const ASIA_BARNAUL: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1579844100, 1),
            crate::generated::new_transition(-1247551200, 3),
            crate::generated::new_transition(354906000, 2),
            crate::generated::new_transition(370713600, 3),
            crate::generated::new_transition(386442000, 2),
            crate::generated::new_transition(402249600, 3),
            crate::generated::new_transition(417978000, 2),
            crate::generated::new_transition(433785600, 3),
            crate::generated::new_transition(449600400, 2),
            crate::generated::new_transition(465332400, 3),
            crate::generated::new_transition(481057200, 2),
            crate::generated::new_transition(496782000, 3),
            crate::generated::new_transition(512506800, 2),
            crate::generated::new_transition(528231600, 3),
            crate::generated::new_transition(543956400, 2),
            crate::generated::new_transition(559681200, 3),
            crate::generated::new_transition(575406000, 2),
            crate::generated::new_transition(591130800, 3),
            crate::generated::new_transition(606855600, 2),
            crate::generated::new_transition(622580400, 3),
            crate::generated::new_transition(638305200, 2),
            crate::generated::new_transition(654634800, 3),
            crate::generated::new_transition(670359600, 4),
            crate::generated::new_transition(686088000, 1),
            crate::generated::new_transition(695764800, 3),
            crate::generated::new_transition(701809200, 2),
            crate::generated::new_transition(717534000, 3),
            crate::generated::new_transition(733258800, 2),
            crate::generated::new_transition(748983600, 3),
            crate::generated::new_transition(764708400, 2),
            crate::generated::new_transition(780433200, 3),
            crate::generated::new_transition(796158000, 2),
            crate::generated::new_transition(801590400, 4),
            crate::generated::new_transition(811886400, 1),
            crate::generated::new_transition(828216000, 4),
            crate::generated::new_transition(846360000, 1),
            crate::generated::new_transition(859665600, 4),
            crate::generated::new_transition(877809600, 1),
            crate::generated::new_transition(891115200, 4),
            crate::generated::new_transition(909259200, 1),
            crate::generated::new_transition(922564800, 4),
            crate::generated::new_transition(941313600, 1),
            crate::generated::new_transition(954014400, 4),
            crate::generated::new_transition(972763200, 1),
            crate::generated::new_transition(985464000, 4),
            crate::generated::new_transition(1004212800, 1),
            crate::generated::new_transition(1017518400, 4),
            crate::generated::new_transition(1035662400, 1),
            crate::generated::new_transition(1048968000, 4),
            crate::generated::new_transition(1067112000, 1),
            crate::generated::new_transition(1080417600, 4),
            crate::generated::new_transition(1099166400, 1),
            crate::generated::new_transition(1111867200, 4),
            crate::generated::new_transition(1130616000, 1),
            crate::generated::new_transition(1143316800, 4),
            crate::generated::new_transition(1162065600, 1),
            crate::generated::new_transition(1174766400, 4),
            crate::generated::new_transition(1193515200, 1),
            crate::generated::new_transition(1206820800, 4),
            crate::generated::new_transition(1224964800, 1),
            crate::generated::new_transition(1238270400, 4),
            crate::generated::new_transition(1256414400, 1),
            crate::generated::new_transition(1269720000, 4),
            crate::generated::new_transition(1288468800, 1),
            crate::generated::new_transition(1301169600, 3),
            crate::generated::new_transition(1414263600, 1),
            crate::generated::new_transition(1459022400, 3),
        ],
        &[
            crate::generated::new_local_time_type(20100, false, Some(b"LMT")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            crate::generated::new_local_time_type(28800, true, Some(b"+08")),
            crate::generated::new_local_time_type(25200, false, Some(b"+07")),
            crate::generated::new_local_time_type(25200, true, Some(b"+07")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(25200, false, Some(b"+07")),
        )),
    );

    pub(crate) const ASIA_BEIRUT: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2840149320, 2),
            crate::generated::new_transition(-1570413600, 1),
            crate::generated::new_transition(-1552186800, 2),
            crate::generated::new_transition(-1538359200, 1),
            crate::generated::new_transition(-1522551600, 2),
            crate::generated::new_transition(-1507514400, 1),
            crate::generated::new_transition(-1490583600, 2),
            crate::generated::new_transition(-1473645600, 1),
            crate::generated::new_transition(-1460948400, 2),
            crate::generated::new_transition(-399866400, 1),
            crate::generated::new_transition(-386650800, 2),
            crate::generated::new_transition(-368330400, 1),
            crate::generated::new_transition(-355114800, 2),
            crate::generated::new_transition(-336794400, 1),
            crate::generated::new_transition(-323578800, 2),
            crate::generated::new_transition(-305172000, 1),
            crate::generated::new_transition(-291956400, 2),
            crate::generated::new_transition(-273636000, 1),
            crate::generated::new_transition(-260420400, 2),
            crate::generated::new_transition(78012000, 1),
            crate::generated::new_transition(86734800, 2),
            crate::generated::new_transition(105055200, 1),
            crate::generated::new_transition(118270800, 2),
            crate::generated::new_transition(136591200, 1),
            crate::generated::new_transition(149806800, 2),
            crate::generated::new_transition(168127200, 1),
            crate::generated::new_transition(181342800, 2),
            crate::generated::new_transition(199749600, 1),
            crate::generated::new_transition(212965200, 2),
            crate::generated::new_transition(231285600, 1),
            crate::generated::new_transition(244501200, 2),
            crate::generated::new_transition(262735200, 1),
            crate::generated::new_transition(275950800, 2),
            crate::generated::new_transition(452210400, 1),
            crate::generated::new_transition(466722000, 2),
            crate::generated::new_transition(483746400, 1),
            crate::generated::new_transition(498258000, 2),
            crate::generated::new_transition(515282400, 1),
            crate::generated::new_transition(529794000, 2),
            crate::generated::new_transition(546818400, 1),
            crate::generated::new_transition(561330000, 2),
            crate::generated::new_transition(581119200, 1),
            crate::generated::new_transition(592952400, 2),
            crate::generated::new_transition(610754400, 1),
            crate::generated::new_transition(624488400, 2),
            crate::generated::new_transition(641512800, 1),
            crate::generated::new_transition(656024400, 2),
            crate::generated::new_transition(673048800, 1),
            crate::generated::new_transition(687560400, 2),
            crate::generated::new_transition(704671200, 1),
            crate::generated::new_transition(718146000, 2),
            crate::generated::new_transition(733269600, 1),
            crate::generated::new_transition(748990800, 2),
            crate::generated::new_transition(764719200, 1),
            crate::generated::new_transition(780440400, 2),
            crate::generated::new_transition(796168800, 1),
            crate::generated::new_transition(811890000, 2),
            crate::generated::new_transition(828223200, 1),
            crate::generated::new_transition(843944400, 2),
            crate::generated::new_transition(859672800, 1),
            crate::generated::new_transition(875394000, 2),
            crate::generated::new_transition(891122400, 1),
            crate::generated::new_transition(906843600, 2),
            crate::generated::new_transition(922572000, 1),
        ],
        &[
            crate::generated::new_local_time_type(8520, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                0,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                0,
            ),
        )),
    );

    pub(crate) const ASIA_BISHKEK: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1441169904, 1),
            crate::generated::new_transition(-1247547600, 3),
            crate::generated::new_transition(354909600, 2),
            crate::generated::new_transition(370717200, 3),
            crate::generated::new_transition(386445600, 2),
            crate::generated::new_transition(402253200, 3),
            crate::generated::new_transition(417981600, 2),
            crate::generated::new_transition(433789200, 3),
            crate::generated::new_transition(449604000, 2),
            crate::generated::new_transition(465336000, 3),
            crate::generated::new_transition(481060800, 2),
            crate::generated::new_transition(496785600, 3),
            crate::generated::new_transition(512510400, 2),
            crate::generated::new_transition(528235200, 3),
            crate::generated::new_transition(543960000, 2),
            crate::generated::new_transition(559684800, 3),
            crate::generated::new_transition(575409600, 2),
            crate::generated::new_transition(591134400, 3),
            crate::generated::new_transition(606859200, 2),
            crate::generated::new_transition(622584000, 3),
            crate::generated::new_transition(638308800, 2),
            crate::generated::new_transition(654638400, 3),
            crate::generated::new_transition(670363200, 4),
            crate::generated::new_transition(683582400, 1),
            crate::generated::new_transition(703018800, 4),
            crate::generated::new_transition(717530400, 1),
            crate::generated::new_transition(734468400, 4),
            crate::generated::new_transition(748980000, 1),
            crate::generated::new_transition(765918000, 4),
            crate::generated::new_transition(780429600, 1),
            crate::generated::new_transition(797367600, 4),
            crate::generated::new_transition(811879200, 1),
            crate::generated::new_transition(828817200, 4),
            crate::generated::new_transition(843933600, 1),
            crate::generated::new_transition(859671000, 4),
            crate::generated::new_transition(877811400, 1),
            crate::generated::new_transition(891120600, 4),
            crate::generated::new_transition(909261000, 1),
            crate::generated::new_transition(922570200, 4),
            crate::generated::new_transition(941315400, 1),
            crate::generated::new_transition(954019800, 4),
            crate::generated::new_transition(972765000, 1),
            crate::generated::new_transition(985469400, 4),
            crate::generated::new_transition(1004214600, 1),
            crate::generated::new_transition(1017523800, 4),
            crate::generated::new_transition(1035664200, 1),
            crate::generated::new_transition(1048973400, 4),
            crate::generated::new_transition(1067113800, 1),
            crate::generated::new_transition(1080423000, 4),
            crate::generated::new_transition(1099168200, 1),
            crate::generated::new_transition(1111872600, 4),
            crate::generated::new_transition(1123783200, 3),
        ],
        &[
            crate::generated::new_local_time_type(17904, false, Some(b"LMT")),
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            crate::generated::new_local_time_type(25200, true, Some(b"+07")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            crate::generated::new_local_time_type(21600, true, Some(b"+06")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
        )),
    );

    pub(crate) const ASIA_BRUNEI: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1383464380, 1),
            crate::generated::new_transition(-1167636600, 2),
        ],
        &[
            crate::generated::new_local_time_type(27580, false, Some(b"LMT")),
            crate::generated::new_local_time_type(27000, false, Some(b"+0730")),
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
        )),
    );

    pub(crate) const ASIA_CALCUTTA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3645237208, 1),
            crate::generated::new_transition(-3155694800, 2),
            crate::generated::new_transition(-2019705670, 3),
            crate::generated::new_transition(-891581400, 4),
            crate::generated::new_transition(-872058600, 3),
            crate::generated::new_transition(-862637400, 4),
            crate::generated::new_transition(-764145000, 3),
        ],
        &[
            crate::generated::new_local_time_type(21208, false, Some(b"LMT")),
            crate::generated::new_local_time_type(21200, false, Some(b"HMT")),
            crate::generated::new_local_time_type(19270, false, Some(b"MMT")),
            crate::generated::new_local_time_type(19800, false, Some(b"IST")),
            crate::generated::new_local_time_type(23400, true, Some(b"+0630")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(19800, false, Some(b"IST")),
        )),
    );

    pub(crate) const ASIA_CHITA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1579419232, 1),
            crate::generated::new_transition(-1247558400, 3),
            crate::generated::new_transition(354898800, 2),
            crate::generated::new_transition(370706400, 3),
            crate::generated::new_transition(386434800, 2),
            crate::generated::new_transition(402242400, 3),
            crate::generated::new_transition(417970800, 2),
            crate::generated::new_transition(433778400, 3),
            crate::generated::new_transition(449593200, 2),
            crate::generated::new_transition(465325200, 3),
            crate::generated::new_transition(481050000, 2),
            crate::generated::new_transition(496774800, 3),
            crate::generated::new_transition(512499600, 2),
            crate::generated::new_transition(528224400, 3),
            crate::generated::new_transition(543949200, 2),
            crate::generated::new_transition(559674000, 3),
            crate::generated::new_transition(575398800, 2),
            crate::generated::new_transition(591123600, 3),
            crate::generated::new_transition(606848400, 2),
            crate::generated::new_transition(622573200, 3),
            crate::generated::new_transition(638298000, 2),
            crate::generated::new_transition(654627600, 3),
            crate::generated::new_transition(670352400, 4),
            crate::generated::new_transition(686080800, 1),
            crate::generated::new_transition(695757600, 3),
            crate::generated::new_transition(701802000, 2),
            crate::generated::new_transition(717526800, 3),
            crate::generated::new_transition(733251600, 2),
            crate::generated::new_transition(748976400, 3),
            crate::generated::new_transition(764701200, 2),
            crate::generated::new_transition(780426000, 3),
            crate::generated::new_transition(796150800, 2),
            crate::generated::new_transition(811875600, 3),
            crate::generated::new_transition(828205200, 2),
            crate::generated::new_transition(846349200, 3),
            crate::generated::new_transition(859654800, 2),
            crate::generated::new_transition(877798800, 3),
            crate::generated::new_transition(891104400, 2),
            crate::generated::new_transition(909248400, 3),
            crate::generated::new_transition(922554000, 2),
            crate::generated::new_transition(941302800, 3),
            crate::generated::new_transition(954003600, 2),
            crate::generated::new_transition(972752400, 3),
            crate::generated::new_transition(985453200, 2),
            crate::generated::new_transition(1004202000, 3),
            crate::generated::new_transition(1017507600, 2),
            crate::generated::new_transition(1035651600, 3),
            crate::generated::new_transition(1048957200, 2),
            crate::generated::new_transition(1067101200, 3),
            crate::generated::new_transition(1080406800, 2),
            crate::generated::new_transition(1099155600, 3),
            crate::generated::new_transition(1111856400, 2),
            crate::generated::new_transition(1130605200, 3),
            crate::generated::new_transition(1143306000, 2),
            crate::generated::new_transition(1162054800, 3),
            crate::generated::new_transition(1174755600, 2),
            crate::generated::new_transition(1193504400, 3),
            crate::generated::new_transition(1206810000, 2),
            crate::generated::new_transition(1224954000, 3),
            crate::generated::new_transition(1238259600, 2),
            crate::generated::new_transition(1256403600, 3),
            crate::generated::new_transition(1269709200, 2),
            crate::generated::new_transition(1288458000, 3),
            crate::generated::new_transition(1301158800, 5),
            crate::generated::new_transition(1414252800, 1),
            crate::generated::new_transition(1459015200, 3),
        ],
        &[
            crate::generated::new_local_time_type(27232, false, Some(b"LMT")),
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            crate::generated::new_local_time_type(36000, true, Some(b"+10")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(32400, true, Some(b"+09")),
            crate::generated::new_local_time_type(36000, false, Some(b"+10")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
        )),
    );

    pub(crate) const ASIA_CHOIBALSAN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2032933080, 1),
                crate::generated::new_transition(252435600, 2),
                crate::generated::new_transition(417974400, 4),
                crate::generated::new_transition(433778400, 3),
                crate::generated::new_transition(449593200, 4),
                crate::generated::new_transition(465314400, 3),
                crate::generated::new_transition(481042800, 4),
                crate::generated::new_transition(496764000, 3),
                crate::generated::new_transition(512492400, 4),
                crate::generated::new_transition(528213600, 3),
                crate::generated::new_transition(543942000, 4),
                crate::generated::new_transition(559663200, 3),
                crate::generated::new_transition(575391600, 4),
                crate::generated::new_transition(591112800, 3),
                crate::generated::new_transition(606841200, 4),
                crate::generated::new_transition(622562400, 3),
                crate::generated::new_transition(638290800, 4),
                crate::generated::new_transition(654616800, 3),
                crate::generated::new_transition(670345200, 4),
                crate::generated::new_transition(686066400, 3),
                crate::generated::new_transition(701794800, 4),
                crate::generated::new_transition(717516000, 3),
                crate::generated::new_transition(733244400, 4),
                crate::generated::new_transition(748965600, 3),
                crate::generated::new_transition(764694000, 4),
                crate::generated::new_transition(780415200, 3),
                crate::generated::new_transition(796143600, 4),
                crate::generated::new_transition(811864800, 3),
                crate::generated::new_transition(828198000, 4),
                crate::generated::new_transition(843919200, 3),
                crate::generated::new_transition(859647600, 4),
                crate::generated::new_transition(875368800, 3),
                crate::generated::new_transition(891097200, 4),
                crate::generated::new_transition(906818400, 3),
                crate::generated::new_transition(988390800, 4),
                crate::generated::new_transition(1001692800, 3),
                crate::generated::new_transition(1017421200, 4),
                crate::generated::new_transition(1033142400, 3),
                crate::generated::new_transition(1048870800, 4),
                crate::generated::new_transition(1064592000, 3),
                crate::generated::new_transition(1080320400, 4),
                crate::generated::new_transition(1096041600, 3),
                crate::generated::new_transition(1111770000, 4),
                crate::generated::new_transition(1127491200, 3),
                crate::generated::new_transition(1143219600, 4),
                crate::generated::new_transition(1159545600, 3),
                crate::generated::new_transition(1206889200, 2),
                crate::generated::new_transition(1427479200, 5),
                crate::generated::new_transition(1443193200, 2),
                crate::generated::new_transition(1458928800, 5),
                crate::generated::new_transition(1474642800, 2),
            ],
            &[
                crate::generated::new_local_time_type(27480, false, Some(b"LMT")),
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
                crate::generated::new_local_time_type(28800, false, Some(b"+08")),
                crate::generated::new_local_time_type(32400, false, Some(b"+09")),
                crate::generated::new_local_time_type(36000, true, Some(b"+10")),
                crate::generated::new_local_time_type(32400, true, Some(b"+09")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            )),
        );

    pub(crate) const ASIA_COLOMBO: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2840159964, 1),
            crate::generated::new_transition(-2019705572, 2),
            crate::generated::new_transition(-883287000, 3),
            crate::generated::new_transition(-862639200, 4),
            crate::generated::new_transition(-764051400, 2),
            crate::generated::new_transition(832962600, 5),
            crate::generated::new_transition(846266400, 6),
            crate::generated::new_transition(1145039400, 2),
        ],
        &[
            crate::generated::new_local_time_type(19164, false, Some(b"LMT")),
            crate::generated::new_local_time_type(19172, false, Some(b"MMT")),
            crate::generated::new_local_time_type(19800, false, Some(b"+0530")),
            crate::generated::new_local_time_type(21600, true, Some(b"+06")),
            crate::generated::new_local_time_type(23400, true, Some(b"+0630")),
            crate::generated::new_local_time_type(23400, false, Some(b"+0630")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(19800, false, Some(b"+0530")),
        )),
    );

    pub(crate) const ASIA_DACCA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2524543300, 1),
            crate::generated::new_transition(-891582800, 2),
            crate::generated::new_transition(-872058600, 3),
            crate::generated::new_transition(-862637400, 2),
            crate::generated::new_transition(-576138600, 4),
            crate::generated::new_transition(1245430800, 5),
            crate::generated::new_transition(1262278800, 4),
        ],
        &[
            crate::generated::new_local_time_type(21700, false, Some(b"LMT")),
            crate::generated::new_local_time_type(21200, false, Some(b"HMT")),
            crate::generated::new_local_time_type(23400, false, Some(b"+0630")),
            crate::generated::new_local_time_type(19800, false, Some(b"+0530")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            crate::generated::new_local_time_type(25200, true, Some(b"+07")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
        )),
    );

    pub(crate) const ASIA_DAMASCUS: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1577931912, 2),
            crate::generated::new_transition(-1568592000, 1),
            crate::generated::new_transition(-1554080400, 2),
            crate::generated::new_transition(-1537142400, 1),
            crate::generated::new_transition(-1522630800, 2),
            crate::generated::new_transition(-1505692800, 1),
            crate::generated::new_transition(-1491181200, 2),
            crate::generated::new_transition(-1474243200, 1),
            crate::generated::new_transition(-1459126800, 2),
            crate::generated::new_transition(-242265600, 1),
            crate::generated::new_transition(-228877200, 2),
            crate::generated::new_transition(-210556800, 1),
            crate::generated::new_transition(-197427600, 2),
            crate::generated::new_transition(-178934400, 1),
            crate::generated::new_transition(-165718800, 2),
            crate::generated::new_transition(-147398400, 1),
            crate::generated::new_transition(-134269200, 2),
            crate::generated::new_transition(-116467200, 1),
            crate::generated::new_transition(-102646800, 2),
            crate::generated::new_transition(-84326400, 1),
            crate::generated::new_transition(-71110800, 2),
            crate::generated::new_transition(-52704000, 1),
            crate::generated::new_transition(-39488400, 2),
            crate::generated::new_transition(-21168000, 1),
            crate::generated::new_transition(-7952400, 2),
            crate::generated::new_transition(10368000, 1),
            crate::generated::new_transition(23583600, 2),
            crate::generated::new_transition(41904000, 1),
            crate::generated::new_transition(55119600, 2),
            crate::generated::new_transition(73526400, 1),
            crate::generated::new_transition(86742000, 2),
            crate::generated::new_transition(105062400, 1),
            crate::generated::new_transition(118278000, 2),
            crate::generated::new_transition(136598400, 1),
            crate::generated::new_transition(149814000, 2),
            crate::generated::new_transition(168134400, 1),
            crate::generated::new_transition(181350000, 2),
            crate::generated::new_transition(199756800, 1),
            crate::generated::new_transition(212972400, 2),
            crate::generated::new_transition(231292800, 1),
            crate::generated::new_transition(241916400, 2),
            crate::generated::new_transition(262828800, 1),
            crate::generated::new_transition(273452400, 2),
            crate::generated::new_transition(418694400, 1),
            crate::generated::new_transition(433810800, 2),
            crate::generated::new_transition(450316800, 1),
            crate::generated::new_transition(465433200, 2),
            crate::generated::new_transition(508896000, 1),
            crate::generated::new_transition(529196400, 2),
            crate::generated::new_transition(541555200, 1),
            crate::generated::new_transition(562633200, 2),
            crate::generated::new_transition(574387200, 1),
            crate::generated::new_transition(594255600, 2),
            crate::generated::new_transition(607305600, 1),
            crate::generated::new_transition(623199600, 2),
            crate::generated::new_transition(638928000, 1),
            crate::generated::new_transition(654649200, 2),
            crate::generated::new_transition(670456800, 1),
            crate::generated::new_transition(686264400, 2),
            crate::generated::new_transition(702684000, 1),
            crate::generated::new_transition(717886800, 2),
            crate::generated::new_transition(733096800, 1),
            crate::generated::new_transition(748904400, 2),
            crate::generated::new_transition(765151200, 1),
            crate::generated::new_transition(780958800, 2),
            crate::generated::new_transition(796687200, 1),
            crate::generated::new_transition(812494800, 2),
            crate::generated::new_transition(828309600, 1),
            crate::generated::new_transition(844117200, 2),
            crate::generated::new_transition(859759200, 1),
            crate::generated::new_transition(875653200, 2),
            crate::generated::new_transition(891208800, 1),
            crate::generated::new_transition(907189200, 2),
            crate::generated::new_transition(922917600, 1),
            crate::generated::new_transition(938725200, 2),
            crate::generated::new_transition(954540000, 1),
            crate::generated::new_transition(970347600, 2),
            crate::generated::new_transition(986076000, 1),
            crate::generated::new_transition(1001883600, 2),
            crate::generated::new_transition(1017612000, 1),
            crate::generated::new_transition(1033419600, 2),
            crate::generated::new_transition(1049148000, 1),
            crate::generated::new_transition(1064955600, 2),
            crate::generated::new_transition(1080770400, 1),
            crate::generated::new_transition(1096578000, 2),
            crate::generated::new_transition(1112306400, 1),
            crate::generated::new_transition(1128114000, 2),
            crate::generated::new_transition(1143842400, 1),
            crate::generated::new_transition(1158872400, 2),
            crate::generated::new_transition(1175205600, 1),
            crate::generated::new_transition(1193950800, 2),
            crate::generated::new_transition(1207260000, 1),
            crate::generated::new_transition(1225486800, 2),
            crate::generated::new_transition(1238104800, 1),
            crate::generated::new_transition(1256850000, 2),
            crate::generated::new_transition(1270159200, 1),
            crate::generated::new_transition(1288299600, 2),
            crate::generated::new_transition(1301608800, 1),
            crate::generated::new_transition(1319749200, 2),
            crate::generated::new_transition(1333058400, 1),
            crate::generated::new_transition(1351198800, 2),
            crate::generated::new_transition(1364508000, 1),
            crate::generated::new_transition(1382648400, 2),
            crate::generated::new_transition(1395957600, 1),
            crate::generated::new_transition(1414702800, 2),
            crate::generated::new_transition(1427407200, 1),
            crate::generated::new_transition(1446152400, 2),
            crate::generated::new_transition(1458856800, 1),
            crate::generated::new_transition(1477602000, 2),
            crate::generated::new_transition(1490911200, 1),
            crate::generated::new_transition(1509051600, 2),
            crate::generated::new_transition(1522360800, 1),
            crate::generated::new_transition(1540501200, 2),
            crate::generated::new_transition(1553810400, 1),
            crate::generated::new_transition(1571950800, 2),
            crate::generated::new_transition(1585260000, 1),
            crate::generated::new_transition(1604005200, 2),
            crate::generated::new_transition(1616709600, 1),
            crate::generated::new_transition(1635454800, 2),
            crate::generated::new_transition(1648159200, 1),
            crate::generated::new_transition(1666904400, 3),
        ],
        &[
            crate::generated::new_local_time_type(8712, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        )),
    );

    pub(crate) const ASIA_DILI: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1830414140, 1),
            crate::generated::new_transition(-879152400, 2),
            crate::generated::new_transition(199897200, 1),
            crate::generated::new_transition(969120000, 2),
        ],
        &[
            crate::generated::new_local_time_type(30140, false, Some(b"LMT")),
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
        )),
    );

    pub(crate) const ASIA_DUBAI: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-1577936472, 1)],
        &[
            crate::generated::new_local_time_type(13272, false, Some(b"LMT")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
        )),
    );

    pub(crate) const ASIA_DUSHANBE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1441168512, 1),
            crate::generated::new_transition(-1247547600, 3),
            crate::generated::new_transition(354909600, 2),
            crate::generated::new_transition(370717200, 3),
            crate::generated::new_transition(386445600, 2),
            crate::generated::new_transition(402253200, 3),
            crate::generated::new_transition(417981600, 2),
            crate::generated::new_transition(433789200, 3),
            crate::generated::new_transition(449604000, 2),
            crate::generated::new_transition(465336000, 3),
            crate::generated::new_transition(481060800, 2),
            crate::generated::new_transition(496785600, 3),
            crate::generated::new_transition(512510400, 2),
            crate::generated::new_transition(528235200, 3),
            crate::generated::new_transition(543960000, 2),
            crate::generated::new_transition(559684800, 3),
            crate::generated::new_transition(575409600, 2),
            crate::generated::new_transition(591134400, 3),
            crate::generated::new_transition(606859200, 2),
            crate::generated::new_transition(622584000, 3),
            crate::generated::new_transition(638308800, 2),
            crate::generated::new_transition(654638400, 3),
            crate::generated::new_transition(670363200, 4),
            crate::generated::new_transition(684363600, 1),
        ],
        &[
            crate::generated::new_local_time_type(16512, false, Some(b"LMT")),
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            crate::generated::new_local_time_type(25200, true, Some(b"+07")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            crate::generated::new_local_time_type(21600, true, Some(b"+06")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
        )),
    );

    pub(crate) const ASIA_FAMAGUSTA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1518920148, 2),
            crate::generated::new_transition(166572000, 1),
            crate::generated::new_transition(182293200, 2),
            crate::generated::new_transition(200959200, 1),
            crate::generated::new_transition(213829200, 2),
            crate::generated::new_transition(228866400, 1),
            crate::generated::new_transition(243982800, 2),
            crate::generated::new_transition(260316000, 1),
            crate::generated::new_transition(276123600, 2),
            crate::generated::new_transition(291765600, 1),
            crate::generated::new_transition(307486800, 2),
            crate::generated::new_transition(323820000, 1),
            crate::generated::new_transition(338936400, 2),
            crate::generated::new_transition(354664800, 1),
            crate::generated::new_transition(370386000, 2),
            crate::generated::new_transition(386114400, 1),
            crate::generated::new_transition(401835600, 2),
            crate::generated::new_transition(417564000, 1),
            crate::generated::new_transition(433285200, 2),
            crate::generated::new_transition(449013600, 1),
            crate::generated::new_transition(465339600, 2),
            crate::generated::new_transition(481068000, 1),
            crate::generated::new_transition(496789200, 2),
            crate::generated::new_transition(512517600, 1),
            crate::generated::new_transition(528238800, 2),
            crate::generated::new_transition(543967200, 1),
            crate::generated::new_transition(559688400, 2),
            crate::generated::new_transition(575416800, 1),
            crate::generated::new_transition(591138000, 2),
            crate::generated::new_transition(606866400, 1),
            crate::generated::new_transition(622587600, 2),
            crate::generated::new_transition(638316000, 1),
            crate::generated::new_transition(654642000, 2),
            crate::generated::new_transition(670370400, 1),
            crate::generated::new_transition(686091600, 2),
            crate::generated::new_transition(701820000, 1),
            crate::generated::new_transition(717541200, 2),
            crate::generated::new_transition(733269600, 1),
            crate::generated::new_transition(748990800, 2),
            crate::generated::new_transition(764719200, 1),
            crate::generated::new_transition(780440400, 2),
            crate::generated::new_transition(796168800, 1),
            crate::generated::new_transition(811890000, 2),
            crate::generated::new_transition(828223200, 1),
            crate::generated::new_transition(843944400, 2),
            crate::generated::new_transition(859672800, 1),
            crate::generated::new_transition(875394000, 2),
            crate::generated::new_transition(891122400, 1),
            crate::generated::new_transition(909277200, 2),
            crate::generated::new_transition(922582800, 1),
            crate::generated::new_transition(941331600, 2),
            crate::generated::new_transition(954032400, 1),
            crate::generated::new_transition(972781200, 2),
            crate::generated::new_transition(985482000, 1),
            crate::generated::new_transition(1004230800, 2),
            crate::generated::new_transition(1017536400, 1),
            crate::generated::new_transition(1035680400, 2),
            crate::generated::new_transition(1048986000, 1),
            crate::generated::new_transition(1067130000, 2),
            crate::generated::new_transition(1080435600, 1),
            crate::generated::new_transition(1099184400, 2),
            crate::generated::new_transition(1111885200, 1),
            crate::generated::new_transition(1130634000, 2),
            crate::generated::new_transition(1143334800, 1),
            crate::generated::new_transition(1162083600, 2),
            crate::generated::new_transition(1174784400, 1),
            crate::generated::new_transition(1193533200, 2),
            crate::generated::new_transition(1206838800, 1),
            crate::generated::new_transition(1224982800, 2),
            crate::generated::new_transition(1238288400, 1),
            crate::generated::new_transition(1256432400, 2),
            crate::generated::new_transition(1269738000, 1),
            crate::generated::new_transition(1288486800, 2),
            crate::generated::new_transition(1301187600, 1),
            crate::generated::new_transition(1319936400, 2),
            crate::generated::new_transition(1332637200, 1),
            crate::generated::new_transition(1351386000, 2),
            crate::generated::new_transition(1364691600, 1),
            crate::generated::new_transition(1382835600, 2),
            crate::generated::new_transition(1396141200, 1),
            crate::generated::new_transition(1414285200, 2),
            crate::generated::new_transition(1427590800, 1),
            crate::generated::new_transition(1445734800, 2),
            crate::generated::new_transition(1459040400, 1),
            crate::generated::new_transition(1473282000, 3),
            crate::generated::new_transition(1509238800, 2),
        ],
        &[
            crate::generated::new_local_time_type(8148, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                10800,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                14400,
            ),
        )),
    );

    pub(crate) const ASIA_GAZA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2185409872, 2),
            crate::generated::new_transition(-933638400, 1),
            crate::generated::new_transition(-923097600, 2),
            crate::generated::new_transition(-919036800, 1),
            crate::generated::new_transition(-857347200, 2),
            crate::generated::new_transition(-844300800, 1),
            crate::generated::new_transition(-825811200, 2),
            crate::generated::new_transition(-812678400, 1),
            crate::generated::new_transition(-794188800, 2),
            crate::generated::new_transition(-779846400, 1),
            crate::generated::new_transition(-762652800, 2),
            crate::generated::new_transition(-748310400, 1),
            crate::generated::new_transition(-731116800, 2),
            crate::generated::new_transition(-399088800, 1),
            crate::generated::new_transition(-386650800, 2),
            crate::generated::new_transition(-368330400, 1),
            crate::generated::new_transition(-355114800, 2),
            crate::generated::new_transition(-336790800, 1),
            crate::generated::new_transition(-323654400, 2),
            crate::generated::new_transition(-305168400, 1),
            crate::generated::new_transition(-292032000, 2),
            crate::generated::new_transition(-273632400, 1),
            crate::generated::new_transition(-260496000, 2),
            crate::generated::new_transition(-242096400, 1),
            crate::generated::new_transition(-228960000, 2),
            crate::generated::new_transition(-210560400, 1),
            crate::generated::new_transition(-197424000, 2),
            crate::generated::new_transition(-178938000, 1),
            crate::generated::new_transition(-165801600, 2),
            crate::generated::new_transition(-147402000, 1),
            crate::generated::new_transition(-134265600, 2),
            crate::generated::new_transition(-115866000, 1),
            crate::generated::new_transition(-102643200, 2),
            crate::generated::new_transition(-84330000, 1),
            crate::generated::new_transition(-81313200, 4),
            crate::generated::new_transition(142380000, 3),
            crate::generated::new_transition(150843600, 4),
            crate::generated::new_transition(167176800, 3),
            crate::generated::new_transition(178664400, 4),
            crate::generated::new_transition(334101600, 3),
            crate::generated::new_transition(337730400, 4),
            crate::generated::new_transition(452642400, 3),
            crate::generated::new_transition(462319200, 4),
            crate::generated::new_transition(482277600, 3),
            crate::generated::new_transition(494370000, 4),
            crate::generated::new_transition(516751200, 3),
            crate::generated::new_transition(526424400, 4),
            crate::generated::new_transition(545436000, 3),
            crate::generated::new_transition(558478800, 4),
            crate::generated::new_transition(576626400, 3),
            crate::generated::new_transition(589323600, 4),
            crate::generated::new_transition(609890400, 3),
            crate::generated::new_transition(620773200, 4),
            crate::generated::new_transition(638316000, 3),
            crate::generated::new_transition(651618000, 4),
            crate::generated::new_transition(669765600, 3),
            crate::generated::new_transition(683672400, 4),
            crate::generated::new_transition(701820000, 3),
            crate::generated::new_transition(715726800, 4),
            crate::generated::new_transition(733701600, 3),
            crate::generated::new_transition(747176400, 4),
            crate::generated::new_transition(765151200, 3),
            crate::generated::new_transition(778021200, 4),
            crate::generated::new_transition(796600800, 3),
            crate::generated::new_transition(810075600, 4),
            crate::generated::new_transition(820447200, 2),
            crate::generated::new_transition(828655200, 1),
            crate::generated::new_transition(843170400, 2),
            crate::generated::new_transition(860104800, 1),
            crate::generated::new_transition(874620000, 2),
            crate::generated::new_transition(891554400, 1),
            crate::generated::new_transition(906069600, 2),
            crate::generated::new_transition(924213600, 1),
            crate::generated::new_transition(939934800, 2),
            crate::generated::new_transition(956268000, 1),
            crate::generated::new_transition(971989200, 2),
            crate::generated::new_transition(987717600, 1),
            crate::generated::new_transition(1003438800, 2),
            crate::generated::new_transition(1019167200, 1),
            crate::generated::new_transition(1034888400, 2),
            crate::generated::new_transition(1050616800, 1),
            crate::generated::new_transition(1066338000, 2),
            crate::generated::new_transition(1082066400, 1),
            crate::generated::new_transition(1096581600, 2),
            crate::generated::new_transition(1113516000, 1),
            crate::generated::new_transition(1128380400, 2),
            crate::generated::new_transition(1143842400, 1),
            crate::generated::new_transition(1158872400, 2),
            crate::generated::new_transition(1175378400, 1),
            crate::generated::new_transition(1189638000, 2),
            crate::generated::new_transition(1206655200, 1),
            crate::generated::new_transition(1219957200, 2),
            crate::generated::new_transition(1238104800, 1),
            crate::generated::new_transition(1252015200, 2),
            crate::generated::new_transition(1269640860, 1),
            crate::generated::new_transition(1281474000, 2),
            crate::generated::new_transition(1301608860, 1),
            crate::generated::new_transition(1312146000, 2),
            crate::generated::new_transition(1333058400, 1),
            crate::generated::new_transition(1348178400, 2),
            crate::generated::new_transition(1364508000, 1),
            crate::generated::new_transition(1380229200, 2),
            crate::generated::new_transition(1395957600, 1),
            crate::generated::new_transition(1414098000, 2),
            crate::generated::new_transition(1427493600, 1),
            crate::generated::new_transition(1445551200, 2),
            crate::generated::new_transition(1458946800, 1),
            crate::generated::new_transition(1477692000, 2),
            crate::generated::new_transition(1490396400, 1),
            crate::generated::new_transition(1509141600, 2),
            crate::generated::new_transition(1521846000, 1),
            crate::generated::new_transition(1540591200, 2),
            crate::generated::new_transition(1553810400, 1),
            crate::generated::new_transition(1572037200, 2),
            crate::generated::new_transition(1585346400, 1),
            crate::generated::new_transition(1603490400, 2),
            crate::generated::new_transition(1616796000, 1),
            crate::generated::new_transition(1635458400, 2),
            crate::generated::new_transition(1648332000, 1),
            crate::generated::new_transition(1666998000, 2),
            crate::generated::new_transition(1682726400, 1),
            crate::generated::new_transition(1698447600, 2),
            crate::generated::new_transition(1712966400, 1),
            crate::generated::new_transition(1729897200, 2),
            crate::generated::new_transition(1743811200, 1),
            crate::generated::new_transition(1761346800, 2),
            crate::generated::new_transition(1774656000, 1),
            crate::generated::new_transition(1792796400, 2),
            crate::generated::new_transition(1806105600, 1),
            crate::generated::new_transition(1824850800, 2),
            crate::generated::new_transition(1837555200, 1),
            crate::generated::new_transition(1856300400, 2),
            crate::generated::new_transition(1869004800, 1),
            crate::generated::new_transition(1887750000, 2),
            crate::generated::new_transition(1901059200, 1),
            crate::generated::new_transition(1919199600, 2),
            crate::generated::new_transition(1932508800, 1),
            crate::generated::new_transition(1950649200, 2),
            crate::generated::new_transition(1963958400, 1),
            crate::generated::new_transition(1982703600, 2),
            crate::generated::new_transition(1995408000, 1),
            crate::generated::new_transition(2014153200, 2),
            crate::generated::new_transition(2026857600, 1),
            crate::generated::new_transition(2045602800, 2),
            crate::generated::new_transition(2058307200, 1),
            crate::generated::new_transition(2077052400, 2),
            crate::generated::new_transition(2090361600, 1),
            crate::generated::new_transition(2107897200, 2),
            crate::generated::new_transition(2121811200, 1),
            crate::generated::new_transition(2138742000, 2),
            crate::generated::new_transition(2153260800, 1),
            crate::generated::new_transition(2168982000, 2),
            crate::generated::new_transition(2184710400, 1),
            crate::generated::new_transition(2199826800, 2),
            crate::generated::new_transition(2202854400, 1),
            crate::generated::new_transition(2203455600, 2),
            crate::generated::new_transition(2216160000, 1),
            crate::generated::new_transition(2230066800, 2),
            crate::generated::new_transition(2233699200, 1),
            crate::generated::new_transition(2234905200, 2),
            crate::generated::new_transition(2248214400, 1),
            crate::generated::new_transition(2260911600, 2),
            crate::generated::new_transition(2263939200, 1),
            crate::generated::new_transition(2266354800, 2),
            crate::generated::new_transition(2279664000, 1),
            crate::generated::new_transition(2291756400, 2),
            crate::generated::new_transition(2294784000, 1),
            crate::generated::new_transition(2297804400, 2),
            crate::generated::new_transition(2311113600, 1),
            crate::generated::new_transition(2321996400, 2),
            crate::generated::new_transition(2325628800, 1),
            crate::generated::new_transition(2329254000, 2),
            crate::generated::new_transition(2342563200, 1),
            crate::generated::new_transition(2352841200, 2),
            crate::generated::new_transition(2355868800, 1),
            crate::generated::new_transition(2361308400, 2),
            crate::generated::new_transition(2374012800, 1),
            crate::generated::new_transition(2383686000, 2),
            crate::generated::new_transition(2386713600, 1),
            crate::generated::new_transition(2392758000, 2),
            crate::generated::new_transition(2405462400, 1),
            crate::generated::new_transition(2413926000, 2),
            crate::generated::new_transition(2417558400, 1),
            crate::generated::new_transition(2424207600, 2),
            crate::generated::new_transition(2437516800, 1),
            crate::generated::new_transition(2444770800, 2),
            crate::generated::new_transition(2447798400, 1),
            crate::generated::new_transition(2455657200, 2),
            crate::generated::new_transition(2468966400, 1),
            crate::generated::new_transition(2475010800, 2),
            crate::generated::new_transition(2478643200, 1),
            crate::generated::new_transition(2487106800, 2),
            crate::generated::new_transition(2500416000, 1),
            crate::generated::new_transition(2505855600, 2),
            crate::generated::new_transition(2508883200, 1),
            crate::generated::new_transition(2519161200, 2),
            crate::generated::new_transition(2531865600, 1),
            crate::generated::new_transition(2536700400, 2),
            crate::generated::new_transition(2539728000, 1),
            crate::generated::new_transition(2550610800, 2),
            crate::generated::new_transition(2563315200, 1),
            crate::generated::new_transition(2566940400, 2),
            crate::generated::new_transition(2570572800, 1),
            crate::generated::new_transition(2582060400, 2),
            crate::generated::new_transition(2595369600, 1),
            crate::generated::new_transition(2597785200, 2),
            crate::generated::new_transition(2600812800, 1),
            crate::generated::new_transition(2613510000, 2),
            crate::generated::new_transition(2626819200, 1),
            crate::generated::new_transition(2628025200, 2),
            crate::generated::new_transition(2631657600, 1),
            crate::generated::new_transition(2644959600, 2),
            crate::generated::new_transition(2658268800, 1),
            crate::generated::new_transition(2658870000, 2),
            crate::generated::new_transition(2662502400, 1),
            crate::generated::new_transition(2676409200, 2),
            crate::generated::new_transition(2692742400, 1),
            crate::generated::new_transition(2708463600, 2),
            crate::generated::new_transition(2723587200, 1),
            crate::generated::new_transition(2739913200, 2),
            crate::generated::new_transition(2753827200, 1),
            crate::generated::new_transition(2771362800, 2),
            crate::generated::new_transition(2784672000, 1),
            crate::generated::new_transition(2802812400, 2),
            crate::generated::new_transition(2816121600, 1),
            crate::generated::new_transition(2834262000, 2),
            crate::generated::new_transition(2847571200, 1),
            crate::generated::new_transition(2866316400, 2),
            crate::generated::new_transition(2879020800, 1),
            crate::generated::new_transition(2897766000, 2),
            crate::generated::new_transition(2910470400, 1),
            crate::generated::new_transition(2929215600, 2),
            crate::generated::new_transition(2941920000, 1),
            crate::generated::new_transition(2960665200, 2),
            crate::generated::new_transition(2973974400, 1),
            crate::generated::new_transition(2992114800, 2),
            crate::generated::new_transition(3005424000, 1),
            crate::generated::new_transition(3023564400, 2),
            crate::generated::new_transition(3036873600, 1),
            crate::generated::new_transition(3055618800, 2),
            crate::generated::new_transition(3068323200, 1),
            crate::generated::new_transition(3087068400, 2),
            crate::generated::new_transition(3099772800, 1),
            crate::generated::new_transition(3117913200, 2),
            crate::generated::new_transition(3131827200, 1),
            crate::generated::new_transition(3148758000, 2),
            crate::generated::new_transition(3163276800, 1),
            crate::generated::new_transition(3179602800, 2),
            crate::generated::new_transition(3194726400, 1),
            crate::generated::new_transition(3209842800, 2),
            crate::generated::new_transition(3226176000, 1),
            crate::generated::new_transition(3240687600, 2),
            crate::generated::new_transition(3243715200, 1),
            crate::generated::new_transition(3271532400, 2),
            crate::generated::new_transition(3274560000, 1),
            crate::generated::new_transition(3301772400, 2),
            crate::generated::new_transition(3305404800, 1),
            crate::generated::new_transition(3332617200, 2),
            crate::generated::new_transition(3335644800, 1),
            crate::generated::new_transition(3339270000, 2),
        ],
        &[
            crate::generated::new_local_time_type(8272, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            crate::generated::new_local_time_type(10800, true, Some(b"IDT")),
            crate::generated::new_local_time_type(7200, false, Some(b"IST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 4, 4)),
                180000,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 4, 4)),
                180000,
            ),
        )),
    );

    pub(crate) const ASIA_HEBRON: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2185410023, 2),
            crate::generated::new_transition(-933638400, 1),
            crate::generated::new_transition(-923097600, 2),
            crate::generated::new_transition(-919036800, 1),
            crate::generated::new_transition(-857347200, 2),
            crate::generated::new_transition(-844300800, 1),
            crate::generated::new_transition(-825811200, 2),
            crate::generated::new_transition(-812678400, 1),
            crate::generated::new_transition(-794188800, 2),
            crate::generated::new_transition(-779846400, 1),
            crate::generated::new_transition(-762652800, 2),
            crate::generated::new_transition(-748310400, 1),
            crate::generated::new_transition(-731116800, 2),
            crate::generated::new_transition(-399088800, 1),
            crate::generated::new_transition(-386650800, 2),
            crate::generated::new_transition(-368330400, 1),
            crate::generated::new_transition(-355114800, 2),
            crate::generated::new_transition(-336790800, 1),
            crate::generated::new_transition(-323654400, 2),
            crate::generated::new_transition(-305168400, 1),
            crate::generated::new_transition(-292032000, 2),
            crate::generated::new_transition(-273632400, 1),
            crate::generated::new_transition(-260496000, 2),
            crate::generated::new_transition(-242096400, 1),
            crate::generated::new_transition(-228960000, 2),
            crate::generated::new_transition(-210560400, 1),
            crate::generated::new_transition(-197424000, 2),
            crate::generated::new_transition(-178938000, 1),
            crate::generated::new_transition(-165801600, 2),
            crate::generated::new_transition(-147402000, 1),
            crate::generated::new_transition(-134265600, 2),
            crate::generated::new_transition(-115866000, 1),
            crate::generated::new_transition(-102643200, 2),
            crate::generated::new_transition(-84330000, 1),
            crate::generated::new_transition(-81313200, 4),
            crate::generated::new_transition(142380000, 3),
            crate::generated::new_transition(150843600, 4),
            crate::generated::new_transition(167176800, 3),
            crate::generated::new_transition(178664400, 4),
            crate::generated::new_transition(334101600, 3),
            crate::generated::new_transition(337730400, 4),
            crate::generated::new_transition(452642400, 3),
            crate::generated::new_transition(462319200, 4),
            crate::generated::new_transition(482277600, 3),
            crate::generated::new_transition(494370000, 4),
            crate::generated::new_transition(516751200, 3),
            crate::generated::new_transition(526424400, 4),
            crate::generated::new_transition(545436000, 3),
            crate::generated::new_transition(558478800, 4),
            crate::generated::new_transition(576626400, 3),
            crate::generated::new_transition(589323600, 4),
            crate::generated::new_transition(609890400, 3),
            crate::generated::new_transition(620773200, 4),
            crate::generated::new_transition(638316000, 3),
            crate::generated::new_transition(651618000, 4),
            crate::generated::new_transition(669765600, 3),
            crate::generated::new_transition(683672400, 4),
            crate::generated::new_transition(701820000, 3),
            crate::generated::new_transition(715726800, 4),
            crate::generated::new_transition(733701600, 3),
            crate::generated::new_transition(747176400, 4),
            crate::generated::new_transition(765151200, 3),
            crate::generated::new_transition(778021200, 4),
            crate::generated::new_transition(796600800, 3),
            crate::generated::new_transition(810075600, 4),
            crate::generated::new_transition(820447200, 2),
            crate::generated::new_transition(828655200, 1),
            crate::generated::new_transition(843170400, 2),
            crate::generated::new_transition(860104800, 1),
            crate::generated::new_transition(874620000, 2),
            crate::generated::new_transition(891554400, 1),
            crate::generated::new_transition(906069600, 2),
            crate::generated::new_transition(924213600, 1),
            crate::generated::new_transition(939934800, 2),
            crate::generated::new_transition(956268000, 1),
            crate::generated::new_transition(971989200, 2),
            crate::generated::new_transition(987717600, 1),
            crate::generated::new_transition(1003438800, 2),
            crate::generated::new_transition(1019167200, 1),
            crate::generated::new_transition(1034888400, 2),
            crate::generated::new_transition(1050616800, 1),
            crate::generated::new_transition(1066338000, 2),
            crate::generated::new_transition(1082066400, 1),
            crate::generated::new_transition(1096581600, 2),
            crate::generated::new_transition(1113516000, 1),
            crate::generated::new_transition(1128380400, 2),
            crate::generated::new_transition(1143842400, 1),
            crate::generated::new_transition(1158872400, 2),
            crate::generated::new_transition(1175378400, 1),
            crate::generated::new_transition(1189638000, 2),
            crate::generated::new_transition(1206655200, 1),
            crate::generated::new_transition(1220216400, 2),
            crate::generated::new_transition(1238104800, 1),
            crate::generated::new_transition(1252015200, 2),
            crate::generated::new_transition(1269554400, 1),
            crate::generated::new_transition(1281474000, 2),
            crate::generated::new_transition(1301608860, 1),
            crate::generated::new_transition(1312146000, 2),
            crate::generated::new_transition(1314655200, 1),
            crate::generated::new_transition(1317330000, 2),
            crate::generated::new_transition(1333058400, 1),
            crate::generated::new_transition(1348178400, 2),
            crate::generated::new_transition(1364508000, 1),
            crate::generated::new_transition(1380229200, 2),
            crate::generated::new_transition(1395957600, 1),
            crate::generated::new_transition(1414098000, 2),
            crate::generated::new_transition(1427493600, 1),
            crate::generated::new_transition(1445551200, 2),
            crate::generated::new_transition(1458946800, 1),
            crate::generated::new_transition(1477692000, 2),
            crate::generated::new_transition(1490396400, 1),
            crate::generated::new_transition(1509141600, 2),
            crate::generated::new_transition(1521846000, 1),
            crate::generated::new_transition(1540591200, 2),
            crate::generated::new_transition(1553810400, 1),
            crate::generated::new_transition(1572037200, 2),
            crate::generated::new_transition(1585346400, 1),
            crate::generated::new_transition(1603490400, 2),
            crate::generated::new_transition(1616796000, 1),
            crate::generated::new_transition(1635458400, 2),
            crate::generated::new_transition(1648332000, 1),
            crate::generated::new_transition(1666998000, 2),
            crate::generated::new_transition(1682726400, 1),
            crate::generated::new_transition(1698447600, 2),
            crate::generated::new_transition(1712966400, 1),
            crate::generated::new_transition(1729897200, 2),
            crate::generated::new_transition(1743811200, 1),
            crate::generated::new_transition(1761346800, 2),
            crate::generated::new_transition(1774656000, 1),
            crate::generated::new_transition(1792796400, 2),
            crate::generated::new_transition(1806105600, 1),
            crate::generated::new_transition(1824850800, 2),
            crate::generated::new_transition(1837555200, 1),
            crate::generated::new_transition(1856300400, 2),
            crate::generated::new_transition(1869004800, 1),
            crate::generated::new_transition(1887750000, 2),
            crate::generated::new_transition(1901059200, 1),
            crate::generated::new_transition(1919199600, 2),
            crate::generated::new_transition(1932508800, 1),
            crate::generated::new_transition(1950649200, 2),
            crate::generated::new_transition(1963958400, 1),
            crate::generated::new_transition(1982703600, 2),
            crate::generated::new_transition(1995408000, 1),
            crate::generated::new_transition(2014153200, 2),
            crate::generated::new_transition(2026857600, 1),
            crate::generated::new_transition(2045602800, 2),
            crate::generated::new_transition(2058307200, 1),
            crate::generated::new_transition(2077052400, 2),
            crate::generated::new_transition(2090361600, 1),
            crate::generated::new_transition(2107897200, 2),
            crate::generated::new_transition(2121811200, 1),
            crate::generated::new_transition(2138742000, 2),
            crate::generated::new_transition(2153260800, 1),
            crate::generated::new_transition(2168982000, 2),
            crate::generated::new_transition(2184710400, 1),
            crate::generated::new_transition(2199826800, 2),
            crate::generated::new_transition(2202854400, 1),
            crate::generated::new_transition(2203455600, 2),
            crate::generated::new_transition(2216160000, 1),
            crate::generated::new_transition(2230066800, 2),
            crate::generated::new_transition(2233699200, 1),
            crate::generated::new_transition(2234905200, 2),
            crate::generated::new_transition(2248214400, 1),
            crate::generated::new_transition(2260911600, 2),
            crate::generated::new_transition(2263939200, 1),
            crate::generated::new_transition(2266354800, 2),
            crate::generated::new_transition(2279664000, 1),
            crate::generated::new_transition(2291756400, 2),
            crate::generated::new_transition(2294784000, 1),
            crate::generated::new_transition(2297804400, 2),
            crate::generated::new_transition(2311113600, 1),
            crate::generated::new_transition(2321996400, 2),
            crate::generated::new_transition(2325628800, 1),
            crate::generated::new_transition(2329254000, 2),
            crate::generated::new_transition(2342563200, 1),
            crate::generated::new_transition(2352841200, 2),
            crate::generated::new_transition(2355868800, 1),
            crate::generated::new_transition(2361308400, 2),
            crate::generated::new_transition(2374012800, 1),
            crate::generated::new_transition(2383686000, 2),
            crate::generated::new_transition(2386713600, 1),
            crate::generated::new_transition(2392758000, 2),
            crate::generated::new_transition(2405462400, 1),
            crate::generated::new_transition(2413926000, 2),
            crate::generated::new_transition(2417558400, 1),
            crate::generated::new_transition(2424207600, 2),
            crate::generated::new_transition(2437516800, 1),
            crate::generated::new_transition(2444770800, 2),
            crate::generated::new_transition(2447798400, 1),
            crate::generated::new_transition(2455657200, 2),
            crate::generated::new_transition(2468966400, 1),
            crate::generated::new_transition(2475010800, 2),
            crate::generated::new_transition(2478643200, 1),
            crate::generated::new_transition(2487106800, 2),
            crate::generated::new_transition(2500416000, 1),
            crate::generated::new_transition(2505855600, 2),
            crate::generated::new_transition(2508883200, 1),
            crate::generated::new_transition(2519161200, 2),
            crate::generated::new_transition(2531865600, 1),
            crate::generated::new_transition(2536700400, 2),
            crate::generated::new_transition(2539728000, 1),
            crate::generated::new_transition(2550610800, 2),
            crate::generated::new_transition(2563315200, 1),
            crate::generated::new_transition(2566940400, 2),
            crate::generated::new_transition(2570572800, 1),
            crate::generated::new_transition(2582060400, 2),
            crate::generated::new_transition(2595369600, 1),
            crate::generated::new_transition(2597785200, 2),
            crate::generated::new_transition(2600812800, 1),
            crate::generated::new_transition(2613510000, 2),
            crate::generated::new_transition(2626819200, 1),
            crate::generated::new_transition(2628025200, 2),
            crate::generated::new_transition(2631657600, 1),
            crate::generated::new_transition(2644959600, 2),
            crate::generated::new_transition(2658268800, 1),
            crate::generated::new_transition(2658870000, 2),
            crate::generated::new_transition(2662502400, 1),
            crate::generated::new_transition(2676409200, 2),
            crate::generated::new_transition(2692742400, 1),
            crate::generated::new_transition(2708463600, 2),
            crate::generated::new_transition(2723587200, 1),
            crate::generated::new_transition(2739913200, 2),
            crate::generated::new_transition(2753827200, 1),
            crate::generated::new_transition(2771362800, 2),
            crate::generated::new_transition(2784672000, 1),
            crate::generated::new_transition(2802812400, 2),
            crate::generated::new_transition(2816121600, 1),
            crate::generated::new_transition(2834262000, 2),
            crate::generated::new_transition(2847571200, 1),
            crate::generated::new_transition(2866316400, 2),
            crate::generated::new_transition(2879020800, 1),
            crate::generated::new_transition(2897766000, 2),
            crate::generated::new_transition(2910470400, 1),
            crate::generated::new_transition(2929215600, 2),
            crate::generated::new_transition(2941920000, 1),
            crate::generated::new_transition(2960665200, 2),
            crate::generated::new_transition(2973974400, 1),
            crate::generated::new_transition(2992114800, 2),
            crate::generated::new_transition(3005424000, 1),
            crate::generated::new_transition(3023564400, 2),
            crate::generated::new_transition(3036873600, 1),
            crate::generated::new_transition(3055618800, 2),
            crate::generated::new_transition(3068323200, 1),
            crate::generated::new_transition(3087068400, 2),
            crate::generated::new_transition(3099772800, 1),
            crate::generated::new_transition(3117913200, 2),
            crate::generated::new_transition(3131827200, 1),
            crate::generated::new_transition(3148758000, 2),
            crate::generated::new_transition(3163276800, 1),
            crate::generated::new_transition(3179602800, 2),
            crate::generated::new_transition(3194726400, 1),
            crate::generated::new_transition(3209842800, 2),
            crate::generated::new_transition(3226176000, 1),
            crate::generated::new_transition(3240687600, 2),
            crate::generated::new_transition(3243715200, 1),
            crate::generated::new_transition(3271532400, 2),
            crate::generated::new_transition(3274560000, 1),
            crate::generated::new_transition(3301772400, 2),
            crate::generated::new_transition(3305404800, 1),
            crate::generated::new_transition(3332617200, 2),
            crate::generated::new_transition(3335644800, 1),
            crate::generated::new_transition(3339270000, 2),
        ],
        &[
            crate::generated::new_local_time_type(8423, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            crate::generated::new_local_time_type(10800, true, Some(b"IDT")),
            crate::generated::new_local_time_type(7200, false, Some(b"IST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 4, 4)),
                180000,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 4, 4)),
                180000,
            ),
        )),
    );

    pub(crate) const ASIA_HOVD: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2032927596, 1),
            crate::generated::new_transition(252439200, 3),
            crate::generated::new_transition(417978000, 2),
            crate::generated::new_transition(433785600, 3),
            crate::generated::new_transition(449600400, 2),
            crate::generated::new_transition(465321600, 3),
            crate::generated::new_transition(481050000, 2),
            crate::generated::new_transition(496771200, 3),
            crate::generated::new_transition(512499600, 2),
            crate::generated::new_transition(528220800, 3),
            crate::generated::new_transition(543949200, 2),
            crate::generated::new_transition(559670400, 3),
            crate::generated::new_transition(575398800, 2),
            crate::generated::new_transition(591120000, 3),
            crate::generated::new_transition(606848400, 2),
            crate::generated::new_transition(622569600, 3),
            crate::generated::new_transition(638298000, 2),
            crate::generated::new_transition(654624000, 3),
            crate::generated::new_transition(670352400, 2),
            crate::generated::new_transition(686073600, 3),
            crate::generated::new_transition(701802000, 2),
            crate::generated::new_transition(717523200, 3),
            crate::generated::new_transition(733251600, 2),
            crate::generated::new_transition(748972800, 3),
            crate::generated::new_transition(764701200, 2),
            crate::generated::new_transition(780422400, 3),
            crate::generated::new_transition(796150800, 2),
            crate::generated::new_transition(811872000, 3),
            crate::generated::new_transition(828205200, 2),
            crate::generated::new_transition(843926400, 3),
            crate::generated::new_transition(859654800, 2),
            crate::generated::new_transition(875376000, 3),
            crate::generated::new_transition(891104400, 2),
            crate::generated::new_transition(906825600, 3),
            crate::generated::new_transition(988398000, 2),
            crate::generated::new_transition(1001700000, 3),
            crate::generated::new_transition(1017428400, 2),
            crate::generated::new_transition(1033149600, 3),
            crate::generated::new_transition(1048878000, 2),
            crate::generated::new_transition(1064599200, 3),
            crate::generated::new_transition(1080327600, 2),
            crate::generated::new_transition(1096048800, 3),
            crate::generated::new_transition(1111777200, 2),
            crate::generated::new_transition(1127498400, 3),
            crate::generated::new_transition(1143226800, 2),
            crate::generated::new_transition(1159552800, 3),
            crate::generated::new_transition(1427482800, 2),
            crate::generated::new_transition(1443196800, 3),
            crate::generated::new_transition(1458932400, 2),
            crate::generated::new_transition(1474646400, 3),
        ],
        &[
            crate::generated::new_local_time_type(21996, false, Some(b"LMT")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            crate::generated::new_local_time_type(28800, true, Some(b"+08")),
            crate::generated::new_local_time_type(25200, false, Some(b"+07")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(25200, false, Some(b"+07")),
        )),
    );

    pub(crate) const ASIA_HO_CHI_MINH: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2004073590, 1),
                crate::generated::new_transition(-1851577590, 2),
                crate::generated::new_transition(-852105600, 3),
                crate::generated::new_transition(-782643600, 4),
                crate::generated::new_transition(-767869200, 2),
                crate::generated::new_transition(-718095600, 3),
                crate::generated::new_transition(-457776000, 2),
                crate::generated::new_transition(-315648000, 3),
                crate::generated::new_transition(171820800, 2),
            ],
            &[
                crate::generated::new_local_time_type(25590, false, Some(b"LMT")),
                crate::generated::new_local_time_type(25590, false, Some(b"PLMT")),
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
                crate::generated::new_local_time_type(28800, false, Some(b"+08")),
                crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
            )),
        );

    pub(crate) const ASIA_IRKUTSK: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2840165825, 1),
            crate::generated::new_transition(-1575874625, 2),
            crate::generated::new_transition(-1247554800, 4),
            crate::generated::new_transition(354902400, 3),
            crate::generated::new_transition(370710000, 4),
            crate::generated::new_transition(386438400, 3),
            crate::generated::new_transition(402246000, 4),
            crate::generated::new_transition(417974400, 3),
            crate::generated::new_transition(433782000, 4),
            crate::generated::new_transition(449596800, 3),
            crate::generated::new_transition(465328800, 4),
            crate::generated::new_transition(481053600, 3),
            crate::generated::new_transition(496778400, 4),
            crate::generated::new_transition(512503200, 3),
            crate::generated::new_transition(528228000, 4),
            crate::generated::new_transition(543952800, 3),
            crate::generated::new_transition(559677600, 4),
            crate::generated::new_transition(575402400, 3),
            crate::generated::new_transition(591127200, 4),
            crate::generated::new_transition(606852000, 3),
            crate::generated::new_transition(622576800, 4),
            crate::generated::new_transition(638301600, 3),
            crate::generated::new_transition(654631200, 4),
            crate::generated::new_transition(670356000, 5),
            crate::generated::new_transition(686084400, 2),
            crate::generated::new_transition(695761200, 4),
            crate::generated::new_transition(701805600, 3),
            crate::generated::new_transition(717530400, 4),
            crate::generated::new_transition(733255200, 3),
            crate::generated::new_transition(748980000, 4),
            crate::generated::new_transition(764704800, 3),
            crate::generated::new_transition(780429600, 4),
            crate::generated::new_transition(796154400, 3),
            crate::generated::new_transition(811879200, 4),
            crate::generated::new_transition(828208800, 3),
            crate::generated::new_transition(846352800, 4),
            crate::generated::new_transition(859658400, 3),
            crate::generated::new_transition(877802400, 4),
            crate::generated::new_transition(891108000, 3),
            crate::generated::new_transition(909252000, 4),
            crate::generated::new_transition(922557600, 3),
            crate::generated::new_transition(941306400, 4),
            crate::generated::new_transition(954007200, 3),
            crate::generated::new_transition(972756000, 4),
            crate::generated::new_transition(985456800, 3),
            crate::generated::new_transition(1004205600, 4),
            crate::generated::new_transition(1017511200, 3),
            crate::generated::new_transition(1035655200, 4),
            crate::generated::new_transition(1048960800, 3),
            crate::generated::new_transition(1067104800, 4),
            crate::generated::new_transition(1080410400, 3),
            crate::generated::new_transition(1099159200, 4),
            crate::generated::new_transition(1111860000, 3),
            crate::generated::new_transition(1130608800, 4),
            crate::generated::new_transition(1143309600, 3),
            crate::generated::new_transition(1162058400, 4),
            crate::generated::new_transition(1174759200, 3),
            crate::generated::new_transition(1193508000, 4),
            crate::generated::new_transition(1206813600, 3),
            crate::generated::new_transition(1224957600, 4),
            crate::generated::new_transition(1238263200, 3),
            crate::generated::new_transition(1256407200, 4),
            crate::generated::new_transition(1269712800, 3),
            crate::generated::new_transition(1288461600, 4),
            crate::generated::new_transition(1301162400, 6),
            crate::generated::new_transition(1414256400, 4),
        ],
        &[
            crate::generated::new_local_time_type(25025, false, Some(b"LMT")),
            crate::generated::new_local_time_type(25025, false, Some(b"IMT")),
            crate::generated::new_local_time_type(25200, false, Some(b"+07")),
            crate::generated::new_local_time_type(32400, true, Some(b"+09")),
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            crate::generated::new_local_time_type(28800, true, Some(b"+08")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
        )),
    );

    pub(crate) const ASIA_JAKARTA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3231299232, 1),
            crate::generated::new_transition(-1451719200, 2),
            crate::generated::new_transition(-1172906400, 3),
            crate::generated::new_transition(-876641400, 4),
            crate::generated::new_transition(-766054800, 3),
            crate::generated::new_transition(-683883000, 5),
            crate::generated::new_transition(-620812800, 3),
            crate::generated::new_transition(-189415800, 6),
        ],
        &[
            crate::generated::new_local_time_type(25632, false, Some(b"LMT")),
            crate::generated::new_local_time_type(25632, false, Some(b"BMT")),
            crate::generated::new_local_time_type(26400, false, Some(b"+0720")),
            crate::generated::new_local_time_type(27000, false, Some(b"+0730")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            crate::generated::new_local_time_type(25200, false, Some(b"WIB")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(25200, false, Some(b"WIB")),
        )),
    );

    pub(crate) const ASIA_JAYAPURA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1172913768, 1),
            crate::generated::new_transition(-799491600, 2),
            crate::generated::new_transition(-189423000, 3),
        ],
        &[
            crate::generated::new_local_time_type(33768, false, Some(b"LMT")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(34200, false, Some(b"+0930")),
            crate::generated::new_local_time_type(32400, false, Some(b"WIT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(32400, false, Some(b"WIT")),
        )),
    );

    pub(crate) const ASIA_KABUL: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2524538208, 1),
            crate::generated::new_transition(-788932800, 2),
        ],
        &[
            crate::generated::new_local_time_type(16608, false, Some(b"LMT")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            crate::generated::new_local_time_type(16200, false, Some(b"+0430")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(16200, false, Some(b"+0430")),
        )),
    );

    pub(crate) const ASIA_KAMCHATKA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1487759676, 1),
            crate::generated::new_transition(-1247569200, 3),
            crate::generated::new_transition(354888000, 2),
            crate::generated::new_transition(370695600, 3),
            crate::generated::new_transition(386424000, 2),
            crate::generated::new_transition(402231600, 3),
            crate::generated::new_transition(417960000, 2),
            crate::generated::new_transition(433767600, 3),
            crate::generated::new_transition(449582400, 2),
            crate::generated::new_transition(465314400, 3),
            crate::generated::new_transition(481039200, 2),
            crate::generated::new_transition(496764000, 3),
            crate::generated::new_transition(512488800, 2),
            crate::generated::new_transition(528213600, 3),
            crate::generated::new_transition(543938400, 2),
            crate::generated::new_transition(559663200, 3),
            crate::generated::new_transition(575388000, 2),
            crate::generated::new_transition(591112800, 3),
            crate::generated::new_transition(606837600, 2),
            crate::generated::new_transition(622562400, 3),
            crate::generated::new_transition(638287200, 2),
            crate::generated::new_transition(654616800, 3),
            crate::generated::new_transition(670341600, 4),
            crate::generated::new_transition(686070000, 1),
            crate::generated::new_transition(695746800, 3),
            crate::generated::new_transition(701791200, 2),
            crate::generated::new_transition(717516000, 3),
            crate::generated::new_transition(733240800, 2),
            crate::generated::new_transition(748965600, 3),
            crate::generated::new_transition(764690400, 2),
            crate::generated::new_transition(780415200, 3),
            crate::generated::new_transition(796140000, 2),
            crate::generated::new_transition(811864800, 3),
            crate::generated::new_transition(828194400, 2),
            crate::generated::new_transition(846338400, 3),
            crate::generated::new_transition(859644000, 2),
            crate::generated::new_transition(877788000, 3),
            crate::generated::new_transition(891093600, 2),
            crate::generated::new_transition(909237600, 3),
            crate::generated::new_transition(922543200, 2),
            crate::generated::new_transition(941292000, 3),
            crate::generated::new_transition(953992800, 2),
            crate::generated::new_transition(972741600, 3),
            crate::generated::new_transition(985442400, 2),
            crate::generated::new_transition(1004191200, 3),
            crate::generated::new_transition(1017496800, 2),
            crate::generated::new_transition(1035640800, 3),
            crate::generated::new_transition(1048946400, 2),
            crate::generated::new_transition(1067090400, 3),
            crate::generated::new_transition(1080396000, 2),
            crate::generated::new_transition(1099144800, 3),
            crate::generated::new_transition(1111845600, 2),
            crate::generated::new_transition(1130594400, 3),
            crate::generated::new_transition(1143295200, 2),
            crate::generated::new_transition(1162044000, 3),
            crate::generated::new_transition(1174744800, 2),
            crate::generated::new_transition(1193493600, 3),
            crate::generated::new_transition(1206799200, 2),
            crate::generated::new_transition(1224943200, 3),
            crate::generated::new_transition(1238248800, 2),
            crate::generated::new_transition(1256392800, 3),
            crate::generated::new_transition(1269698400, 4),
            crate::generated::new_transition(1288450800, 1),
            crate::generated::new_transition(1301151600, 3),
        ],
        &[
            crate::generated::new_local_time_type(38076, false, Some(b"LMT")),
            crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            crate::generated::new_local_time_type(46800, true, Some(b"+13")),
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
            crate::generated::new_local_time_type(43200, true, Some(b"+12")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        )),
    );

    pub(crate) const ASIA_KARACHI: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1988166492, 1),
            crate::generated::new_transition(-862637400, 2),
            crate::generated::new_transition(-764145000, 1),
            crate::generated::new_transition(-576135000, 3),
            crate::generated::new_transition(38775600, 5),
            crate::generated::new_transition(1018119600, 4),
            crate::generated::new_transition(1033840800, 5),
            crate::generated::new_transition(1212260400, 4),
            crate::generated::new_transition(1225476000, 5),
            crate::generated::new_transition(1239735600, 4),
            crate::generated::new_transition(1257012000, 5),
        ],
        &[
            crate::generated::new_local_time_type(16092, false, Some(b"LMT")),
            crate::generated::new_local_time_type(19800, false, Some(b"+0530")),
            crate::generated::new_local_time_type(23400, true, Some(b"+0630")),
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            crate::generated::new_local_time_type(21600, true, Some(b"PKST")),
            crate::generated::new_local_time_type(18000, false, Some(b"PKT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(18000, false, Some(b"PKT")),
        )),
    );

    pub(crate) const ASIA_KASHGAR: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-1325483420, 1)],
        &[
            crate::generated::new_local_time_type(21020, false, Some(b"LMT")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
        )),
    );

    pub(crate) const ASIA_KATHMANDU: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1577943676, 1),
            crate::generated::new_transition(504901800, 2),
        ],
        &[
            crate::generated::new_local_time_type(20476, false, Some(b"LMT")),
            crate::generated::new_local_time_type(19800, false, Some(b"+0530")),
            crate::generated::new_local_time_type(20700, false, Some(b"+0545")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(20700, false, Some(b"+0545")),
        )),
    );

    pub(crate) const ASIA_KHANDYGA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1579424533, 1),
            crate::generated::new_transition(-1247558400, 3),
            crate::generated::new_transition(354898800, 2),
            crate::generated::new_transition(370706400, 3),
            crate::generated::new_transition(386434800, 2),
            crate::generated::new_transition(402242400, 3),
            crate::generated::new_transition(417970800, 2),
            crate::generated::new_transition(433778400, 3),
            crate::generated::new_transition(449593200, 2),
            crate::generated::new_transition(465325200, 3),
            crate::generated::new_transition(481050000, 2),
            crate::generated::new_transition(496774800, 3),
            crate::generated::new_transition(512499600, 2),
            crate::generated::new_transition(528224400, 3),
            crate::generated::new_transition(543949200, 2),
            crate::generated::new_transition(559674000, 3),
            crate::generated::new_transition(575398800, 2),
            crate::generated::new_transition(591123600, 3),
            crate::generated::new_transition(606848400, 2),
            crate::generated::new_transition(622573200, 3),
            crate::generated::new_transition(638298000, 2),
            crate::generated::new_transition(654627600, 3),
            crate::generated::new_transition(670352400, 4),
            crate::generated::new_transition(686080800, 1),
            crate::generated::new_transition(695757600, 3),
            crate::generated::new_transition(701802000, 2),
            crate::generated::new_transition(717526800, 3),
            crate::generated::new_transition(733251600, 2),
            crate::generated::new_transition(748976400, 3),
            crate::generated::new_transition(764701200, 2),
            crate::generated::new_transition(780426000, 3),
            crate::generated::new_transition(796150800, 2),
            crate::generated::new_transition(811875600, 3),
            crate::generated::new_transition(828205200, 2),
            crate::generated::new_transition(846349200, 3),
            crate::generated::new_transition(859654800, 2),
            crate::generated::new_transition(877798800, 3),
            crate::generated::new_transition(891104400, 2),
            crate::generated::new_transition(909248400, 3),
            crate::generated::new_transition(922554000, 2),
            crate::generated::new_transition(941302800, 3),
            crate::generated::new_transition(954003600, 2),
            crate::generated::new_transition(972752400, 3),
            crate::generated::new_transition(985453200, 2),
            crate::generated::new_transition(1004202000, 3),
            crate::generated::new_transition(1017507600, 2),
            crate::generated::new_transition(1035651600, 3),
            crate::generated::new_transition(1048957200, 2),
            crate::generated::new_transition(1067101200, 3),
            crate::generated::new_transition(1072882800, 6),
            crate::generated::new_transition(1080403200, 5),
            crate::generated::new_transition(1099152000, 6),
            crate::generated::new_transition(1111852800, 5),
            crate::generated::new_transition(1130601600, 6),
            crate::generated::new_transition(1143302400, 5),
            crate::generated::new_transition(1162051200, 6),
            crate::generated::new_transition(1174752000, 5),
            crate::generated::new_transition(1193500800, 6),
            crate::generated::new_transition(1206806400, 5),
            crate::generated::new_transition(1224950400, 6),
            crate::generated::new_transition(1238256000, 5),
            crate::generated::new_transition(1256400000, 6),
            crate::generated::new_transition(1269705600, 5),
            crate::generated::new_transition(1288454400, 6),
            crate::generated::new_transition(1301155200, 7),
            crate::generated::new_transition(1315832400, 6),
            crate::generated::new_transition(1414252800, 3),
        ],
        &[
            crate::generated::new_local_time_type(32533, false, Some(b"LMT")),
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            crate::generated::new_local_time_type(36000, true, Some(b"+10")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(32400, true, Some(b"+09")),
            crate::generated::new_local_time_type(39600, true, Some(b"+11")),
            crate::generated::new_local_time_type(36000, false, Some(b"+10")),
            crate::generated::new_local_time_type(39600, false, Some(b"+11")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
        )),
    );

    pub(crate) const ASIA_KRASNOYARSK: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1577513486, 1),
                crate::generated::new_transition(-1247551200, 3),
                crate::generated::new_transition(354906000, 2),
                crate::generated::new_transition(370713600, 3),
                crate::generated::new_transition(386442000, 2),
                crate::generated::new_transition(402249600, 3),
                crate::generated::new_transition(417978000, 2),
                crate::generated::new_transition(433785600, 3),
                crate::generated::new_transition(449600400, 2),
                crate::generated::new_transition(465332400, 3),
                crate::generated::new_transition(481057200, 2),
                crate::generated::new_transition(496782000, 3),
                crate::generated::new_transition(512506800, 2),
                crate::generated::new_transition(528231600, 3),
                crate::generated::new_transition(543956400, 2),
                crate::generated::new_transition(559681200, 3),
                crate::generated::new_transition(575406000, 2),
                crate::generated::new_transition(591130800, 3),
                crate::generated::new_transition(606855600, 2),
                crate::generated::new_transition(622580400, 3),
                crate::generated::new_transition(638305200, 2),
                crate::generated::new_transition(654634800, 3),
                crate::generated::new_transition(670359600, 4),
                crate::generated::new_transition(686088000, 1),
                crate::generated::new_transition(695764800, 3),
                crate::generated::new_transition(701809200, 2),
                crate::generated::new_transition(717534000, 3),
                crate::generated::new_transition(733258800, 2),
                crate::generated::new_transition(748983600, 3),
                crate::generated::new_transition(764708400, 2),
                crate::generated::new_transition(780433200, 3),
                crate::generated::new_transition(796158000, 2),
                crate::generated::new_transition(811882800, 3),
                crate::generated::new_transition(828212400, 2),
                crate::generated::new_transition(846356400, 3),
                crate::generated::new_transition(859662000, 2),
                crate::generated::new_transition(877806000, 3),
                crate::generated::new_transition(891111600, 2),
                crate::generated::new_transition(909255600, 3),
                crate::generated::new_transition(922561200, 2),
                crate::generated::new_transition(941310000, 3),
                crate::generated::new_transition(954010800, 2),
                crate::generated::new_transition(972759600, 3),
                crate::generated::new_transition(985460400, 2),
                crate::generated::new_transition(1004209200, 3),
                crate::generated::new_transition(1017514800, 2),
                crate::generated::new_transition(1035658800, 3),
                crate::generated::new_transition(1048964400, 2),
                crate::generated::new_transition(1067108400, 3),
                crate::generated::new_transition(1080414000, 2),
                crate::generated::new_transition(1099162800, 3),
                crate::generated::new_transition(1111863600, 2),
                crate::generated::new_transition(1130612400, 3),
                crate::generated::new_transition(1143313200, 2),
                crate::generated::new_transition(1162062000, 3),
                crate::generated::new_transition(1174762800, 2),
                crate::generated::new_transition(1193511600, 3),
                crate::generated::new_transition(1206817200, 2),
                crate::generated::new_transition(1224961200, 3),
                crate::generated::new_transition(1238266800, 2),
                crate::generated::new_transition(1256410800, 3),
                crate::generated::new_transition(1269716400, 2),
                crate::generated::new_transition(1288465200, 3),
                crate::generated::new_transition(1301166000, 5),
                crate::generated::new_transition(1414260000, 3),
            ],
            &[
                crate::generated::new_local_time_type(22286, false, Some(b"LMT")),
                crate::generated::new_local_time_type(21600, false, Some(b"+06")),
                crate::generated::new_local_time_type(28800, true, Some(b"+08")),
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
                crate::generated::new_local_time_type(25200, true, Some(b"+07")),
                crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
            )),
        );

    pub(crate) const ASIA_KUALA_LUMPUR: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2177477206, 1),
                crate::generated::new_transition(-2038200925, 2),
                crate::generated::new_transition(-1167634800, 3),
                crate::generated::new_transition(-1073028000, 4),
                crate::generated::new_transition(-894180000, 5),
                crate::generated::new_transition(-879665400, 6),
                crate::generated::new_transition(-767005200, 5),
                crate::generated::new_transition(378662400, 7),
            ],
            &[
                crate::generated::new_local_time_type(24406, false, Some(b"LMT")),
                crate::generated::new_local_time_type(24925, false, Some(b"SMT")),
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
                crate::generated::new_local_time_type(26400, true, Some(b"+0720")),
                crate::generated::new_local_time_type(26400, false, Some(b"+0720")),
                crate::generated::new_local_time_type(27000, false, Some(b"+0730")),
                crate::generated::new_local_time_type(32400, false, Some(b"+09")),
                crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            )),
        );

    pub(crate) const ASIA_KUCHING: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1383463280, 1),
            crate::generated::new_transition(-1167636600, 3),
            crate::generated::new_transition(-1082448000, 2),
            crate::generated::new_transition(-1074586800, 3),
            crate::generated::new_transition(-1050825600, 2),
            crate::generated::new_transition(-1042964400, 3),
            crate::generated::new_transition(-1019289600, 2),
            crate::generated::new_transition(-1011428400, 3),
            crate::generated::new_transition(-987753600, 2),
            crate::generated::new_transition(-979892400, 3),
            crate::generated::new_transition(-956217600, 2),
            crate::generated::new_transition(-948356400, 3),
            crate::generated::new_transition(-924595200, 2),
            crate::generated::new_transition(-916734000, 3),
            crate::generated::new_transition(-893059200, 2),
            crate::generated::new_transition(-885198000, 3),
            crate::generated::new_transition(-879667200, 4),
            crate::generated::new_transition(-767005200, 3),
        ],
        &[
            crate::generated::new_local_time_type(26480, false, Some(b"LMT")),
            crate::generated::new_local_time_type(27000, false, Some(b"+0730")),
            crate::generated::new_local_time_type(30000, true, Some(b"+0820")),
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
        )),
    );

    pub(crate) const ASIA_KUWAIT: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-631163516, 1)],
        &[
            crate::generated::new_local_time_type(11516, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        )),
    );

    pub(crate) const ASIA_MACAO: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2056692850, 1),
            crate::generated::new_transition(-884509200, 3),
            crate::generated::new_transition(-873280800, 2),
            crate::generated::new_transition(-855918000, 3),
            crate::generated::new_transition(-841744800, 2),
            crate::generated::new_transition(-828529200, 3),
            crate::generated::new_transition(-765363600, 1),
            crate::generated::new_transition(-747046800, 4),
            crate::generated::new_transition(-733827600, 1),
            crate::generated::new_transition(-716461200, 4),
            crate::generated::new_transition(-697021200, 1),
            crate::generated::new_transition(-683715600, 4),
            crate::generated::new_transition(-667990800, 1),
            crate::generated::new_transition(-654771600, 4),
            crate::generated::new_transition(-636627600, 1),
            crate::generated::new_transition(-623322000, 4),
            crate::generated::new_transition(-605178000, 1),
            crate::generated::new_transition(-591872400, 4),
            crate::generated::new_transition(-573642000, 1),
            crate::generated::new_transition(-559818000, 4),
            crate::generated::new_transition(-541674000, 1),
            crate::generated::new_transition(-528368400, 4),
            crate::generated::new_transition(-510224400, 1),
            crate::generated::new_transition(-498128400, 4),
            crate::generated::new_transition(-478774800, 1),
            crate::generated::new_transition(-466678800, 4),
            crate::generated::new_transition(-446720400, 1),
            crate::generated::new_transition(-435229200, 4),
            crate::generated::new_transition(-415258200, 1),
            crate::generated::new_transition(-403158600, 4),
            crate::generated::new_transition(-383808600, 1),
            crate::generated::new_transition(-371709000, 4),
            crate::generated::new_transition(-352359000, 1),
            crate::generated::new_transition(-340259400, 4),
            crate::generated::new_transition(-320909400, 1),
            crate::generated::new_transition(-308809800, 4),
            crate::generated::new_transition(-288855000, 1),
            crate::generated::new_transition(-277360200, 4),
            crate::generated::new_transition(-257405400, 1),
            crate::generated::new_transition(-245910600, 4),
            crate::generated::new_transition(-225955800, 1),
            crate::generated::new_transition(-213856200, 4),
            crate::generated::new_transition(-194506200, 1),
            crate::generated::new_transition(-182406600, 4),
            crate::generated::new_transition(-163056600, 1),
            crate::generated::new_transition(-148537800, 4),
            crate::generated::new_transition(-132820200, 1),
            crate::generated::new_transition(-117088200, 4),
            crate::generated::new_transition(-101370600, 1),
            crate::generated::new_transition(-85638600, 4),
            crate::generated::new_transition(-69312600, 1),
            crate::generated::new_transition(-53584200, 4),
            crate::generated::new_transition(-37863000, 1),
            crate::generated::new_transition(-22134600, 4),
            crate::generated::new_transition(-6413400, 1),
            crate::generated::new_transition(9315000, 4),
            crate::generated::new_transition(25036200, 1),
            crate::generated::new_transition(40764600, 4),
            crate::generated::new_transition(56485800, 1),
            crate::generated::new_transition(72214200, 4),
            crate::generated::new_transition(88540200, 1),
            crate::generated::new_transition(104268600, 4),
            crate::generated::new_transition(119989800, 1),
            crate::generated::new_transition(126041400, 4),
            crate::generated::new_transition(151439400, 1),
            crate::generated::new_transition(167167800, 4),
            crate::generated::new_transition(182889000, 1),
            crate::generated::new_transition(198617400, 4),
            crate::generated::new_transition(214338600, 1),
            crate::generated::new_transition(295385400, 4),
            crate::generated::new_transition(309292200, 1),
        ],
        &[
            crate::generated::new_local_time_type(27250, false, Some(b"LMT")),
            crate::generated::new_local_time_type(28800, false, Some(b"CST")),
            crate::generated::new_local_time_type(36000, true, Some(b"+10")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(32400, true, Some(b"CDT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(28800, false, Some(b"CST")),
        )),
    );

    pub(crate) const ASIA_MAGADAN: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1441188192, 1),
            crate::generated::new_transition(-1247565600, 3),
            crate::generated::new_transition(354891600, 2),
            crate::generated::new_transition(370699200, 3),
            crate::generated::new_transition(386427600, 2),
            crate::generated::new_transition(402235200, 3),
            crate::generated::new_transition(417963600, 2),
            crate::generated::new_transition(433771200, 3),
            crate::generated::new_transition(449586000, 2),
            crate::generated::new_transition(465318000, 3),
            crate::generated::new_transition(481042800, 2),
            crate::generated::new_transition(496767600, 3),
            crate::generated::new_transition(512492400, 2),
            crate::generated::new_transition(528217200, 3),
            crate::generated::new_transition(543942000, 2),
            crate::generated::new_transition(559666800, 3),
            crate::generated::new_transition(575391600, 2),
            crate::generated::new_transition(591116400, 3),
            crate::generated::new_transition(606841200, 2),
            crate::generated::new_transition(622566000, 3),
            crate::generated::new_transition(638290800, 2),
            crate::generated::new_transition(654620400, 3),
            crate::generated::new_transition(670345200, 4),
            crate::generated::new_transition(686073600, 1),
            crate::generated::new_transition(695750400, 3),
            crate::generated::new_transition(701794800, 2),
            crate::generated::new_transition(717519600, 3),
            crate::generated::new_transition(733244400, 2),
            crate::generated::new_transition(748969200, 3),
            crate::generated::new_transition(764694000, 2),
            crate::generated::new_transition(780418800, 3),
            crate::generated::new_transition(796143600, 2),
            crate::generated::new_transition(811868400, 3),
            crate::generated::new_transition(828198000, 2),
            crate::generated::new_transition(846342000, 3),
            crate::generated::new_transition(859647600, 2),
            crate::generated::new_transition(877791600, 3),
            crate::generated::new_transition(891097200, 2),
            crate::generated::new_transition(909241200, 3),
            crate::generated::new_transition(922546800, 2),
            crate::generated::new_transition(941295600, 3),
            crate::generated::new_transition(953996400, 2),
            crate::generated::new_transition(972745200, 3),
            crate::generated::new_transition(985446000, 2),
            crate::generated::new_transition(1004194800, 3),
            crate::generated::new_transition(1017500400, 2),
            crate::generated::new_transition(1035644400, 3),
            crate::generated::new_transition(1048950000, 2),
            crate::generated::new_transition(1067094000, 3),
            crate::generated::new_transition(1080399600, 2),
            crate::generated::new_transition(1099148400, 3),
            crate::generated::new_transition(1111849200, 2),
            crate::generated::new_transition(1130598000, 3),
            crate::generated::new_transition(1143298800, 2),
            crate::generated::new_transition(1162047600, 3),
            crate::generated::new_transition(1174748400, 2),
            crate::generated::new_transition(1193497200, 3),
            crate::generated::new_transition(1206802800, 2),
            crate::generated::new_transition(1224946800, 3),
            crate::generated::new_transition(1238252400, 2),
            crate::generated::new_transition(1256396400, 3),
            crate::generated::new_transition(1269702000, 2),
            crate::generated::new_transition(1288450800, 3),
            crate::generated::new_transition(1301151600, 5),
            crate::generated::new_transition(1414245600, 1),
            crate::generated::new_transition(1461427200, 3),
        ],
        &[
            crate::generated::new_local_time_type(36192, false, Some(b"LMT")),
            crate::generated::new_local_time_type(36000, false, Some(b"+10")),
            crate::generated::new_local_time_type(43200, true, Some(b"+12")),
            crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            crate::generated::new_local_time_type(39600, true, Some(b"+11")),
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(39600, false, Some(b"+11")),
        )),
    );

    pub(crate) const ASIA_MAKASSAR: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1577951856, 1),
            crate::generated::new_transition(-1172908656, 2),
            crate::generated::new_transition(-880272000, 3),
            crate::generated::new_transition(-766054800, 4),
        ],
        &[
            crate::generated::new_local_time_type(28656, false, Some(b"LMT")),
            crate::generated::new_local_time_type(28656, false, Some(b"MMT")),
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(28800, false, Some(b"WITA")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(28800, false, Some(b"WITA")),
        )),
    );

    pub(crate) const ASIA_MANILA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3944621040, 1),
            crate::generated::new_transition(-2229321840, 3),
            crate::generated::new_transition(-1046678400, 2),
            crate::generated::new_transition(-1038733200, 3),
            crate::generated::new_transition(-873273600, 4),
            crate::generated::new_transition(-794221200, 3),
            crate::generated::new_transition(-496224000, 2),
            crate::generated::new_transition(-489315600, 3),
            crate::generated::new_transition(259344000, 2),
            crate::generated::new_transition(275151600, 3),
        ],
        &[
            crate::generated::new_local_time_type(-57360, false, Some(b"LMT")),
            crate::generated::new_local_time_type(29040, false, Some(b"LMT")),
            crate::generated::new_local_time_type(32400, true, Some(b"PDT")),
            crate::generated::new_local_time_type(28800, false, Some(b"PST")),
            crate::generated::new_local_time_type(32400, false, Some(b"JST")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(28800, false, Some(b"PST")),
        )),
    );

    pub(crate) const ASIA_MUSCAT: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-1577937264, 1)],
        &[
            crate::generated::new_local_time_type(14064, false, Some(b"LMT")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
        )),
    );

    pub(crate) const ASIA_NICOSIA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1518920008, 2),
            crate::generated::new_transition(166572000, 1),
            crate::generated::new_transition(182293200, 2),
            crate::generated::new_transition(200959200, 1),
            crate::generated::new_transition(213829200, 2),
            crate::generated::new_transition(228866400, 1),
            crate::generated::new_transition(243982800, 2),
            crate::generated::new_transition(260316000, 1),
            crate::generated::new_transition(276123600, 2),
            crate::generated::new_transition(291765600, 1),
            crate::generated::new_transition(307486800, 2),
            crate::generated::new_transition(323820000, 1),
            crate::generated::new_transition(338936400, 2),
            crate::generated::new_transition(354664800, 1),
            crate::generated::new_transition(370386000, 2),
            crate::generated::new_transition(386114400, 1),
            crate::generated::new_transition(401835600, 2),
            crate::generated::new_transition(417564000, 1),
            crate::generated::new_transition(433285200, 2),
            crate::generated::new_transition(449013600, 1),
            crate::generated::new_transition(465339600, 2),
            crate::generated::new_transition(481068000, 1),
            crate::generated::new_transition(496789200, 2),
            crate::generated::new_transition(512517600, 1),
            crate::generated::new_transition(528238800, 2),
            crate::generated::new_transition(543967200, 1),
            crate::generated::new_transition(559688400, 2),
            crate::generated::new_transition(575416800, 1),
            crate::generated::new_transition(591138000, 2),
            crate::generated::new_transition(606866400, 1),
            crate::generated::new_transition(622587600, 2),
            crate::generated::new_transition(638316000, 1),
            crate::generated::new_transition(654642000, 2),
            crate::generated::new_transition(670370400, 1),
            crate::generated::new_transition(686091600, 2),
            crate::generated::new_transition(701820000, 1),
            crate::generated::new_transition(717541200, 2),
            crate::generated::new_transition(733269600, 1),
            crate::generated::new_transition(748990800, 2),
            crate::generated::new_transition(764719200, 1),
            crate::generated::new_transition(780440400, 2),
            crate::generated::new_transition(796168800, 1),
            crate::generated::new_transition(811890000, 2),
            crate::generated::new_transition(828223200, 1),
            crate::generated::new_transition(843944400, 2),
            crate::generated::new_transition(859672800, 1),
            crate::generated::new_transition(875394000, 2),
            crate::generated::new_transition(891122400, 1),
            crate::generated::new_transition(909277200, 2),
        ],
        &[
            crate::generated::new_local_time_type(8008, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                10800,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                14400,
            ),
        )),
    );

    pub(crate) const ASIA_NOVOKUZNETSK: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1441259328, 1),
                crate::generated::new_transition(-1247551200, 3),
                crate::generated::new_transition(354906000, 2),
                crate::generated::new_transition(370713600, 3),
                crate::generated::new_transition(386442000, 2),
                crate::generated::new_transition(402249600, 3),
                crate::generated::new_transition(417978000, 2),
                crate::generated::new_transition(433785600, 3),
                crate::generated::new_transition(449600400, 2),
                crate::generated::new_transition(465332400, 3),
                crate::generated::new_transition(481057200, 2),
                crate::generated::new_transition(496782000, 3),
                crate::generated::new_transition(512506800, 2),
                crate::generated::new_transition(528231600, 3),
                crate::generated::new_transition(543956400, 2),
                crate::generated::new_transition(559681200, 3),
                crate::generated::new_transition(575406000, 2),
                crate::generated::new_transition(591130800, 3),
                crate::generated::new_transition(606855600, 2),
                crate::generated::new_transition(622580400, 3),
                crate::generated::new_transition(638305200, 2),
                crate::generated::new_transition(654634800, 3),
                crate::generated::new_transition(670359600, 4),
                crate::generated::new_transition(686088000, 1),
                crate::generated::new_transition(695764800, 3),
                crate::generated::new_transition(701809200, 2),
                crate::generated::new_transition(717534000, 3),
                crate::generated::new_transition(733258800, 2),
                crate::generated::new_transition(748983600, 3),
                crate::generated::new_transition(764708400, 2),
                crate::generated::new_transition(780433200, 3),
                crate::generated::new_transition(796158000, 2),
                crate::generated::new_transition(811882800, 3),
                crate::generated::new_transition(828212400, 2),
                crate::generated::new_transition(846356400, 3),
                crate::generated::new_transition(859662000, 2),
                crate::generated::new_transition(877806000, 3),
                crate::generated::new_transition(891111600, 2),
                crate::generated::new_transition(909255600, 3),
                crate::generated::new_transition(922561200, 2),
                crate::generated::new_transition(941310000, 3),
                crate::generated::new_transition(954010800, 2),
                crate::generated::new_transition(972759600, 3),
                crate::generated::new_transition(985460400, 2),
                crate::generated::new_transition(1004209200, 3),
                crate::generated::new_transition(1017514800, 2),
                crate::generated::new_transition(1035658800, 3),
                crate::generated::new_transition(1048964400, 2),
                crate::generated::new_transition(1067108400, 3),
                crate::generated::new_transition(1080414000, 2),
                crate::generated::new_transition(1099162800, 3),
                crate::generated::new_transition(1111863600, 2),
                crate::generated::new_transition(1130612400, 3),
                crate::generated::new_transition(1143313200, 2),
                crate::generated::new_transition(1162062000, 3),
                crate::generated::new_transition(1174762800, 2),
                crate::generated::new_transition(1193511600, 3),
                crate::generated::new_transition(1206817200, 2),
                crate::generated::new_transition(1224961200, 3),
                crate::generated::new_transition(1238266800, 2),
                crate::generated::new_transition(1256410800, 3),
                crate::generated::new_transition(1269716400, 4),
                crate::generated::new_transition(1288468800, 1),
                crate::generated::new_transition(1301169600, 3),
            ],
            &[
                crate::generated::new_local_time_type(20928, false, Some(b"LMT")),
                crate::generated::new_local_time_type(21600, false, Some(b"+06")),
                crate::generated::new_local_time_type(28800, true, Some(b"+08")),
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
                crate::generated::new_local_time_type(25200, true, Some(b"+07")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
            )),
        );

    pub(crate) const ASIA_NOVOSIBIRSK: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1579476700, 1),
                crate::generated::new_transition(-1247551200, 3),
                crate::generated::new_transition(354906000, 2),
                crate::generated::new_transition(370713600, 3),
                crate::generated::new_transition(386442000, 2),
                crate::generated::new_transition(402249600, 3),
                crate::generated::new_transition(417978000, 2),
                crate::generated::new_transition(433785600, 3),
                crate::generated::new_transition(449600400, 2),
                crate::generated::new_transition(465332400, 3),
                crate::generated::new_transition(481057200, 2),
                crate::generated::new_transition(496782000, 3),
                crate::generated::new_transition(512506800, 2),
                crate::generated::new_transition(528231600, 3),
                crate::generated::new_transition(543956400, 2),
                crate::generated::new_transition(559681200, 3),
                crate::generated::new_transition(575406000, 2),
                crate::generated::new_transition(591130800, 3),
                crate::generated::new_transition(606855600, 2),
                crate::generated::new_transition(622580400, 3),
                crate::generated::new_transition(638305200, 2),
                crate::generated::new_transition(654634800, 3),
                crate::generated::new_transition(670359600, 4),
                crate::generated::new_transition(686088000, 1),
                crate::generated::new_transition(695764800, 3),
                crate::generated::new_transition(701809200, 2),
                crate::generated::new_transition(717534000, 3),
                crate::generated::new_transition(733258800, 2),
                crate::generated::new_transition(738086400, 4),
                crate::generated::new_transition(748987200, 1),
                crate::generated::new_transition(764712000, 4),
                crate::generated::new_transition(780436800, 1),
                crate::generated::new_transition(796161600, 4),
                crate::generated::new_transition(811886400, 1),
                crate::generated::new_transition(828216000, 4),
                crate::generated::new_transition(846360000, 1),
                crate::generated::new_transition(859665600, 4),
                crate::generated::new_transition(877809600, 1),
                crate::generated::new_transition(891115200, 4),
                crate::generated::new_transition(909259200, 1),
                crate::generated::new_transition(922564800, 4),
                crate::generated::new_transition(941313600, 1),
                crate::generated::new_transition(954014400, 4),
                crate::generated::new_transition(972763200, 1),
                crate::generated::new_transition(985464000, 4),
                crate::generated::new_transition(1004212800, 1),
                crate::generated::new_transition(1017518400, 4),
                crate::generated::new_transition(1035662400, 1),
                crate::generated::new_transition(1048968000, 4),
                crate::generated::new_transition(1067112000, 1),
                crate::generated::new_transition(1080417600, 4),
                crate::generated::new_transition(1099166400, 1),
                crate::generated::new_transition(1111867200, 4),
                crate::generated::new_transition(1130616000, 1),
                crate::generated::new_transition(1143316800, 4),
                crate::generated::new_transition(1162065600, 1),
                crate::generated::new_transition(1174766400, 4),
                crate::generated::new_transition(1193515200, 1),
                crate::generated::new_transition(1206820800, 4),
                crate::generated::new_transition(1224964800, 1),
                crate::generated::new_transition(1238270400, 4),
                crate::generated::new_transition(1256414400, 1),
                crate::generated::new_transition(1269720000, 4),
                crate::generated::new_transition(1288468800, 1),
                crate::generated::new_transition(1301169600, 3),
                crate::generated::new_transition(1414263600, 1),
                crate::generated::new_transition(1469304000, 3),
            ],
            &[
                crate::generated::new_local_time_type(19900, false, Some(b"LMT")),
                crate::generated::new_local_time_type(21600, false, Some(b"+06")),
                crate::generated::new_local_time_type(28800, true, Some(b"+08")),
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
                crate::generated::new_local_time_type(25200, true, Some(b"+07")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
            )),
        );

    pub(crate) const ASIA_OMSK: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1582088010, 1),
            crate::generated::new_transition(-1247547600, 3),
            crate::generated::new_transition(354909600, 2),
            crate::generated::new_transition(370717200, 3),
            crate::generated::new_transition(386445600, 2),
            crate::generated::new_transition(402253200, 3),
            crate::generated::new_transition(417981600, 2),
            crate::generated::new_transition(433789200, 3),
            crate::generated::new_transition(449604000, 2),
            crate::generated::new_transition(465336000, 3),
            crate::generated::new_transition(481060800, 2),
            crate::generated::new_transition(496785600, 3),
            crate::generated::new_transition(512510400, 2),
            crate::generated::new_transition(528235200, 3),
            crate::generated::new_transition(543960000, 2),
            crate::generated::new_transition(559684800, 3),
            crate::generated::new_transition(575409600, 2),
            crate::generated::new_transition(591134400, 3),
            crate::generated::new_transition(606859200, 2),
            crate::generated::new_transition(622584000, 3),
            crate::generated::new_transition(638308800, 2),
            crate::generated::new_transition(654638400, 3),
            crate::generated::new_transition(670363200, 4),
            crate::generated::new_transition(686091600, 1),
            crate::generated::new_transition(695768400, 3),
            crate::generated::new_transition(701812800, 2),
            crate::generated::new_transition(717537600, 3),
            crate::generated::new_transition(733262400, 2),
            crate::generated::new_transition(748987200, 3),
            crate::generated::new_transition(764712000, 2),
            crate::generated::new_transition(780436800, 3),
            crate::generated::new_transition(796161600, 2),
            crate::generated::new_transition(811886400, 3),
            crate::generated::new_transition(828216000, 2),
            crate::generated::new_transition(846360000, 3),
            crate::generated::new_transition(859665600, 2),
            crate::generated::new_transition(877809600, 3),
            crate::generated::new_transition(891115200, 2),
            crate::generated::new_transition(909259200, 3),
            crate::generated::new_transition(922564800, 2),
            crate::generated::new_transition(941313600, 3),
            crate::generated::new_transition(954014400, 2),
            crate::generated::new_transition(972763200, 3),
            crate::generated::new_transition(985464000, 2),
            crate::generated::new_transition(1004212800, 3),
            crate::generated::new_transition(1017518400, 2),
            crate::generated::new_transition(1035662400, 3),
            crate::generated::new_transition(1048968000, 2),
            crate::generated::new_transition(1067112000, 3),
            crate::generated::new_transition(1080417600, 2),
            crate::generated::new_transition(1099166400, 3),
            crate::generated::new_transition(1111867200, 2),
            crate::generated::new_transition(1130616000, 3),
            crate::generated::new_transition(1143316800, 2),
            crate::generated::new_transition(1162065600, 3),
            crate::generated::new_transition(1174766400, 2),
            crate::generated::new_transition(1193515200, 3),
            crate::generated::new_transition(1206820800, 2),
            crate::generated::new_transition(1224964800, 3),
            crate::generated::new_transition(1238270400, 2),
            crate::generated::new_transition(1256414400, 3),
            crate::generated::new_transition(1269720000, 2),
            crate::generated::new_transition(1288468800, 3),
            crate::generated::new_transition(1301169600, 5),
            crate::generated::new_transition(1414263600, 3),
        ],
        &[
            crate::generated::new_local_time_type(17610, false, Some(b"LMT")),
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            crate::generated::new_local_time_type(25200, true, Some(b"+07")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            crate::generated::new_local_time_type(21600, true, Some(b"+06")),
            crate::generated::new_local_time_type(25200, false, Some(b"+07")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
        )),
    );

    pub(crate) const ASIA_ORAL: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1441164324, 1),
            crate::generated::new_transition(-1247540400, 2),
            crate::generated::new_transition(354913200, 3),
            crate::generated::new_transition(370720800, 4),
            crate::generated::new_transition(386445600, 3),
            crate::generated::new_transition(402256800, 2),
            crate::generated::new_transition(417985200, 3),
            crate::generated::new_transition(433792800, 2),
            crate::generated::new_transition(449607600, 3),
            crate::generated::new_transition(465339600, 2),
            crate::generated::new_transition(481064400, 3),
            crate::generated::new_transition(496789200, 2),
            crate::generated::new_transition(512514000, 3),
            crate::generated::new_transition(528238800, 2),
            crate::generated::new_transition(543963600, 3),
            crate::generated::new_transition(559688400, 2),
            crate::generated::new_transition(575413200, 3),
            crate::generated::new_transition(591138000, 2),
            crate::generated::new_transition(606862800, 5),
            crate::generated::new_transition(622591200, 6),
            crate::generated::new_transition(638316000, 5),
            crate::generated::new_transition(654645600, 6),
            crate::generated::new_transition(670370400, 5),
            crate::generated::new_transition(686095200, 6),
            crate::generated::new_transition(695772000, 2),
            crate::generated::new_transition(701816400, 5),
            crate::generated::new_transition(717544800, 6),
            crate::generated::new_transition(733269600, 5),
            crate::generated::new_transition(748994400, 6),
            crate::generated::new_transition(764719200, 5),
            crate::generated::new_transition(780444000, 6),
            crate::generated::new_transition(796168800, 5),
            crate::generated::new_transition(811893600, 6),
            crate::generated::new_transition(828223200, 5),
            crate::generated::new_transition(846367200, 6),
            crate::generated::new_transition(859672800, 5),
            crate::generated::new_transition(877816800, 6),
            crate::generated::new_transition(891122400, 5),
            crate::generated::new_transition(909266400, 6),
            crate::generated::new_transition(922572000, 5),
            crate::generated::new_transition(941320800, 6),
            crate::generated::new_transition(954021600, 5),
            crate::generated::new_transition(972770400, 6),
            crate::generated::new_transition(985471200, 5),
            crate::generated::new_transition(1004220000, 6),
            crate::generated::new_transition(1017525600, 5),
            crate::generated::new_transition(1035669600, 6),
            crate::generated::new_transition(1048975200, 5),
            crate::generated::new_transition(1067119200, 6),
            crate::generated::new_transition(1080424800, 5),
            crate::generated::new_transition(1099173600, 2),
        ],
        &[
            crate::generated::new_local_time_type(12324, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            crate::generated::new_local_time_type(21600, true, Some(b"+06")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            crate::generated::new_local_time_type(18000, true, Some(b"+05")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
        )),
    );

    pub(crate) const ASIA_PHNOM_PENH: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2004073180, 1),
                crate::generated::new_transition(-1851577590, 2),
                crate::generated::new_transition(-852105600, 3),
                crate::generated::new_transition(-782643600, 4),
                crate::generated::new_transition(-767869200, 2),
            ],
            &[
                crate::generated::new_local_time_type(25180, false, Some(b"LMT")),
                crate::generated::new_local_time_type(25590, false, Some(b"PLMT")),
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
                crate::generated::new_local_time_type(28800, false, Some(b"+08")),
                crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
            )),
        );

    pub(crate) const ASIA_PONTIANAK: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1946186240, 1),
            crate::generated::new_transition(-1172906240, 2),
            crate::generated::new_transition(-881220600, 3),
            crate::generated::new_transition(-766054800, 2),
            crate::generated::new_transition(-683883000, 4),
            crate::generated::new_transition(-620812800, 2),
            crate::generated::new_transition(-189415800, 5),
            crate::generated::new_transition(567964800, 6),
        ],
        &[
            crate::generated::new_local_time_type(26240, false, Some(b"LMT")),
            crate::generated::new_local_time_type(26240, false, Some(b"PMT")),
            crate::generated::new_local_time_type(27000, false, Some(b"+0730")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            crate::generated::new_local_time_type(28800, false, Some(b"WITA")),
            crate::generated::new_local_time_type(25200, false, Some(b"WIB")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(25200, false, Some(b"WIB")),
        )),
    );

    pub(crate) const ASIA_PYONGYANG: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1948782180, 1),
            crate::generated::new_transition(-1830414600, 2),
            crate::generated::new_transition(-768646800, 3),
            crate::generated::new_transition(1439564400, 1),
            crate::generated::new_transition(1525446000, 3),
        ],
        &[
            crate::generated::new_local_time_type(30180, false, Some(b"LMT")),
            crate::generated::new_local_time_type(30600, false, Some(b"KST")),
            crate::generated::new_local_time_type(32400, false, Some(b"JST")),
            crate::generated::new_local_time_type(32400, false, Some(b"KST")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(32400, false, Some(b"KST")),
        )),
    );

    pub(crate) const ASIA_QATAR: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1577935568, 1),
            crate::generated::new_transition(76190400, 2),
        ],
        &[
            crate::generated::new_local_time_type(12368, false, Some(b"LMT")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        )),
    );

    pub(crate) const ASIA_QOSTANAY: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1441167268, 1),
            crate::generated::new_transition(-1247544000, 2),
            crate::generated::new_transition(354913200, 3),
            crate::generated::new_transition(370720800, 4),
            crate::generated::new_transition(386445600, 3),
            crate::generated::new_transition(402256800, 2),
            crate::generated::new_transition(417985200, 3),
            crate::generated::new_transition(433792800, 2),
            crate::generated::new_transition(449607600, 3),
            crate::generated::new_transition(465339600, 2),
            crate::generated::new_transition(481064400, 3),
            crate::generated::new_transition(496789200, 2),
            crate::generated::new_transition(512514000, 3),
            crate::generated::new_transition(528238800, 2),
            crate::generated::new_transition(543963600, 3),
            crate::generated::new_transition(559688400, 2),
            crate::generated::new_transition(575413200, 3),
            crate::generated::new_transition(591138000, 2),
            crate::generated::new_transition(606862800, 3),
            crate::generated::new_transition(622587600, 2),
            crate::generated::new_transition(638312400, 3),
            crate::generated::new_transition(654642000, 2),
            crate::generated::new_transition(670366800, 5),
            crate::generated::new_transition(686095200, 1),
            crate::generated::new_transition(695772000, 2),
            crate::generated::new_transition(701816400, 3),
            crate::generated::new_transition(717541200, 2),
            crate::generated::new_transition(733266000, 3),
            crate::generated::new_transition(748990800, 2),
            crate::generated::new_transition(764715600, 3),
            crate::generated::new_transition(780440400, 2),
            crate::generated::new_transition(796165200, 3),
            crate::generated::new_transition(811890000, 2),
            crate::generated::new_transition(828219600, 3),
            crate::generated::new_transition(846363600, 2),
            crate::generated::new_transition(859669200, 3),
            crate::generated::new_transition(877813200, 2),
            crate::generated::new_transition(891118800, 3),
            crate::generated::new_transition(909262800, 2),
            crate::generated::new_transition(922568400, 3),
            crate::generated::new_transition(941317200, 2),
            crate::generated::new_transition(954018000, 3),
            crate::generated::new_transition(972766800, 2),
            crate::generated::new_transition(985467600, 3),
            crate::generated::new_transition(1004216400, 2),
            crate::generated::new_transition(1017522000, 3),
            crate::generated::new_transition(1035666000, 2),
            crate::generated::new_transition(1048971600, 3),
            crate::generated::new_transition(1067115600, 2),
            crate::generated::new_transition(1080421200, 3),
            crate::generated::new_transition(1099170000, 4),
        ],
        &[
            crate::generated::new_local_time_type(15268, false, Some(b"LMT")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            crate::generated::new_local_time_type(21600, true, Some(b"+06")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            crate::generated::new_local_time_type(18000, true, Some(b"+05")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
        )),
    );

    pub(crate) const ASIA_QYZYLORDA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1441167712, 1),
            crate::generated::new_transition(-1247544000, 2),
            crate::generated::new_transition(354913200, 3),
            crate::generated::new_transition(370720800, 4),
            crate::generated::new_transition(386445600, 3),
            crate::generated::new_transition(402256800, 2),
            crate::generated::new_transition(417985200, 3),
            crate::generated::new_transition(433792800, 2),
            crate::generated::new_transition(449607600, 3),
            crate::generated::new_transition(465339600, 2),
            crate::generated::new_transition(481064400, 3),
            crate::generated::new_transition(496789200, 2),
            crate::generated::new_transition(512514000, 3),
            crate::generated::new_transition(528238800, 2),
            crate::generated::new_transition(543963600, 3),
            crate::generated::new_transition(559688400, 2),
            crate::generated::new_transition(575413200, 3),
            crate::generated::new_transition(591138000, 2),
            crate::generated::new_transition(606862800, 3),
            crate::generated::new_transition(622587600, 2),
            crate::generated::new_transition(638312400, 3),
            crate::generated::new_transition(654642000, 2),
            crate::generated::new_transition(670366800, 5),
            crate::generated::new_transition(686095200, 2),
            crate::generated::new_transition(695768400, 4),
            crate::generated::new_transition(701812800, 3),
            crate::generated::new_transition(717541200, 2),
            crate::generated::new_transition(733266000, 3),
            crate::generated::new_transition(748990800, 2),
            crate::generated::new_transition(764715600, 3),
            crate::generated::new_transition(780440400, 2),
            crate::generated::new_transition(796165200, 3),
            crate::generated::new_transition(811890000, 2),
            crate::generated::new_transition(828219600, 3),
            crate::generated::new_transition(846363600, 2),
            crate::generated::new_transition(859669200, 3),
            crate::generated::new_transition(877813200, 2),
            crate::generated::new_transition(891118800, 3),
            crate::generated::new_transition(909262800, 2),
            crate::generated::new_transition(922568400, 3),
            crate::generated::new_transition(941317200, 2),
            crate::generated::new_transition(954018000, 3),
            crate::generated::new_transition(972766800, 2),
            crate::generated::new_transition(985467600, 3),
            crate::generated::new_transition(1004216400, 2),
            crate::generated::new_transition(1017522000, 3),
            crate::generated::new_transition(1035666000, 2),
            crate::generated::new_transition(1048971600, 3),
            crate::generated::new_transition(1067115600, 2),
            crate::generated::new_transition(1080421200, 3),
            crate::generated::new_transition(1099170000, 4),
            crate::generated::new_transition(1545328800, 2),
        ],
        &[
            crate::generated::new_local_time_type(15712, false, Some(b"LMT")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            crate::generated::new_local_time_type(21600, true, Some(b"+06")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            crate::generated::new_local_time_type(18000, true, Some(b"+05")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
        )),
    );

    pub(crate) const ASIA_RANGOON: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2840163887, 1),
            crate::generated::new_transition(-1577946287, 2),
            crate::generated::new_transition(-873268200, 3),
            crate::generated::new_transition(-778410000, 2),
        ],
        &[
            crate::generated::new_local_time_type(23087, false, Some(b"LMT")),
            crate::generated::new_local_time_type(23087, false, Some(b"RMT")),
            crate::generated::new_local_time_type(23400, false, Some(b"+0630")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(23400, false, Some(b"+0630")),
        )),
    );

    pub(crate) const ASIA_RIYADH: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-719636812, 1)],
        &[
            crate::generated::new_local_time_type(11212, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        )),
    );

    pub(crate) const ASIA_SAKHALIN: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2031039048, 1),
            crate::generated::new_transition(-768560400, 3),
            crate::generated::new_transition(354891600, 2),
            crate::generated::new_transition(370699200, 3),
            crate::generated::new_transition(386427600, 2),
            crate::generated::new_transition(402235200, 3),
            crate::generated::new_transition(417963600, 2),
            crate::generated::new_transition(433771200, 3),
            crate::generated::new_transition(449586000, 2),
            crate::generated::new_transition(465318000, 3),
            crate::generated::new_transition(481042800, 2),
            crate::generated::new_transition(496767600, 3),
            crate::generated::new_transition(512492400, 2),
            crate::generated::new_transition(528217200, 3),
            crate::generated::new_transition(543942000, 2),
            crate::generated::new_transition(559666800, 3),
            crate::generated::new_transition(575391600, 2),
            crate::generated::new_transition(591116400, 3),
            crate::generated::new_transition(606841200, 2),
            crate::generated::new_transition(622566000, 3),
            crate::generated::new_transition(638290800, 2),
            crate::generated::new_transition(654620400, 3),
            crate::generated::new_transition(670345200, 4),
            crate::generated::new_transition(686073600, 5),
            crate::generated::new_transition(695750400, 3),
            crate::generated::new_transition(701794800, 2),
            crate::generated::new_transition(717519600, 3),
            crate::generated::new_transition(733244400, 2),
            crate::generated::new_transition(748969200, 3),
            crate::generated::new_transition(764694000, 2),
            crate::generated::new_transition(780418800, 3),
            crate::generated::new_transition(796143600, 2),
            crate::generated::new_transition(811868400, 3),
            crate::generated::new_transition(828198000, 2),
            crate::generated::new_transition(846342000, 3),
            crate::generated::new_transition(859647600, 4),
            crate::generated::new_transition(877795200, 5),
            crate::generated::new_transition(891100800, 4),
            crate::generated::new_transition(909244800, 5),
            crate::generated::new_transition(922550400, 4),
            crate::generated::new_transition(941299200, 5),
            crate::generated::new_transition(954000000, 4),
            crate::generated::new_transition(972748800, 5),
            crate::generated::new_transition(985449600, 4),
            crate::generated::new_transition(1004198400, 5),
            crate::generated::new_transition(1017504000, 4),
            crate::generated::new_transition(1035648000, 5),
            crate::generated::new_transition(1048953600, 4),
            crate::generated::new_transition(1067097600, 5),
            crate::generated::new_transition(1080403200, 4),
            crate::generated::new_transition(1099152000, 5),
            crate::generated::new_transition(1111852800, 4),
            crate::generated::new_transition(1130601600, 5),
            crate::generated::new_transition(1143302400, 4),
            crate::generated::new_transition(1162051200, 5),
            crate::generated::new_transition(1174752000, 4),
            crate::generated::new_transition(1193500800, 5),
            crate::generated::new_transition(1206806400, 4),
            crate::generated::new_transition(1224950400, 5),
            crate::generated::new_transition(1238256000, 4),
            crate::generated::new_transition(1256400000, 5),
            crate::generated::new_transition(1269705600, 4),
            crate::generated::new_transition(1288454400, 5),
            crate::generated::new_transition(1301155200, 3),
            crate::generated::new_transition(1414249200, 5),
            crate::generated::new_transition(1459008000, 3),
        ],
        &[
            crate::generated::new_local_time_type(34248, false, Some(b"LMT")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(43200, true, Some(b"+12")),
            crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            crate::generated::new_local_time_type(39600, true, Some(b"+11")),
            crate::generated::new_local_time_type(36000, false, Some(b"+10")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(39600, false, Some(b"+11")),
        )),
    );

    pub(crate) const ASIA_SAMARKAND: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1441168073, 1),
            crate::generated::new_transition(-1247544000, 2),
            crate::generated::new_transition(354913200, 3),
            crate::generated::new_transition(370720800, 4),
            crate::generated::new_transition(386445600, 3),
            crate::generated::new_transition(402256800, 2),
            crate::generated::new_transition(417985200, 3),
            crate::generated::new_transition(433792800, 2),
            crate::generated::new_transition(449607600, 3),
            crate::generated::new_transition(465339600, 2),
            crate::generated::new_transition(481064400, 3),
            crate::generated::new_transition(496789200, 2),
            crate::generated::new_transition(512514000, 3),
            crate::generated::new_transition(528238800, 2),
            crate::generated::new_transition(543963600, 3),
            crate::generated::new_transition(559688400, 2),
            crate::generated::new_transition(575413200, 3),
            crate::generated::new_transition(591138000, 2),
            crate::generated::new_transition(606862800, 3),
            crate::generated::new_transition(622587600, 2),
            crate::generated::new_transition(638312400, 3),
            crate::generated::new_transition(654642000, 2),
            crate::generated::new_transition(670366800, 3),
            crate::generated::new_transition(686091600, 2),
        ],
        &[
            crate::generated::new_local_time_type(16073, false, Some(b"LMT")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            crate::generated::new_local_time_type(21600, true, Some(b"+06")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
        )),
    );

    pub(crate) const ASIA_SREDNEKOLYMSK: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1441188892, 1),
                crate::generated::new_transition(-1247565600, 3),
                crate::generated::new_transition(354891600, 2),
                crate::generated::new_transition(370699200, 3),
                crate::generated::new_transition(386427600, 2),
                crate::generated::new_transition(402235200, 3),
                crate::generated::new_transition(417963600, 2),
                crate::generated::new_transition(433771200, 3),
                crate::generated::new_transition(449586000, 2),
                crate::generated::new_transition(465318000, 3),
                crate::generated::new_transition(481042800, 2),
                crate::generated::new_transition(496767600, 3),
                crate::generated::new_transition(512492400, 2),
                crate::generated::new_transition(528217200, 3),
                crate::generated::new_transition(543942000, 2),
                crate::generated::new_transition(559666800, 3),
                crate::generated::new_transition(575391600, 2),
                crate::generated::new_transition(591116400, 3),
                crate::generated::new_transition(606841200, 2),
                crate::generated::new_transition(622566000, 3),
                crate::generated::new_transition(638290800, 2),
                crate::generated::new_transition(654620400, 3),
                crate::generated::new_transition(670345200, 4),
                crate::generated::new_transition(686073600, 1),
                crate::generated::new_transition(695750400, 3),
                crate::generated::new_transition(701794800, 2),
                crate::generated::new_transition(717519600, 3),
                crate::generated::new_transition(733244400, 2),
                crate::generated::new_transition(748969200, 3),
                crate::generated::new_transition(764694000, 2),
                crate::generated::new_transition(780418800, 3),
                crate::generated::new_transition(796143600, 2),
                crate::generated::new_transition(811868400, 3),
                crate::generated::new_transition(828198000, 2),
                crate::generated::new_transition(846342000, 3),
                crate::generated::new_transition(859647600, 2),
                crate::generated::new_transition(877791600, 3),
                crate::generated::new_transition(891097200, 2),
                crate::generated::new_transition(909241200, 3),
                crate::generated::new_transition(922546800, 2),
                crate::generated::new_transition(941295600, 3),
                crate::generated::new_transition(953996400, 2),
                crate::generated::new_transition(972745200, 3),
                crate::generated::new_transition(985446000, 2),
                crate::generated::new_transition(1004194800, 3),
                crate::generated::new_transition(1017500400, 2),
                crate::generated::new_transition(1035644400, 3),
                crate::generated::new_transition(1048950000, 2),
                crate::generated::new_transition(1067094000, 3),
                crate::generated::new_transition(1080399600, 2),
                crate::generated::new_transition(1099148400, 3),
                crate::generated::new_transition(1111849200, 2),
                crate::generated::new_transition(1130598000, 3),
                crate::generated::new_transition(1143298800, 2),
                crate::generated::new_transition(1162047600, 3),
                crate::generated::new_transition(1174748400, 2),
                crate::generated::new_transition(1193497200, 3),
                crate::generated::new_transition(1206802800, 2),
                crate::generated::new_transition(1224946800, 3),
                crate::generated::new_transition(1238252400, 2),
                crate::generated::new_transition(1256396400, 3),
                crate::generated::new_transition(1269702000, 2),
                crate::generated::new_transition(1288450800, 3),
                crate::generated::new_transition(1301151600, 5),
                crate::generated::new_transition(1414245600, 3),
            ],
            &[
                crate::generated::new_local_time_type(36892, false, Some(b"LMT")),
                crate::generated::new_local_time_type(36000, false, Some(b"+10")),
                crate::generated::new_local_time_type(43200, true, Some(b"+12")),
                crate::generated::new_local_time_type(39600, false, Some(b"+11")),
                crate::generated::new_local_time_type(39600, true, Some(b"+11")),
                crate::generated::new_local_time_type(43200, false, Some(b"+12")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            )),
        );

    pub(crate) const ASIA_TASHKENT: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1441168631, 1),
            crate::generated::new_transition(-1247547600, 3),
            crate::generated::new_transition(354909600, 2),
            crate::generated::new_transition(370717200, 3),
            crate::generated::new_transition(386445600, 2),
            crate::generated::new_transition(402253200, 3),
            crate::generated::new_transition(417981600, 2),
            crate::generated::new_transition(433789200, 3),
            crate::generated::new_transition(449604000, 2),
            crate::generated::new_transition(465336000, 3),
            crate::generated::new_transition(481060800, 2),
            crate::generated::new_transition(496785600, 3),
            crate::generated::new_transition(512510400, 2),
            crate::generated::new_transition(528235200, 3),
            crate::generated::new_transition(543960000, 2),
            crate::generated::new_transition(559684800, 3),
            crate::generated::new_transition(575409600, 2),
            crate::generated::new_transition(591134400, 3),
            crate::generated::new_transition(606859200, 2),
            crate::generated::new_transition(622584000, 3),
            crate::generated::new_transition(638308800, 2),
            crate::generated::new_transition(654638400, 3),
            crate::generated::new_transition(670363200, 4),
            crate::generated::new_transition(686091600, 1),
        ],
        &[
            crate::generated::new_local_time_type(16631, false, Some(b"LMT")),
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            crate::generated::new_local_time_type(25200, true, Some(b"+07")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            crate::generated::new_local_time_type(21600, true, Some(b"+06")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
        )),
    );

    pub(crate) const ASIA_TBILISI: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2840151551, 1),
            crate::generated::new_transition(-1441162751, 2),
            crate::generated::new_transition(-405140400, 4),
            crate::generated::new_transition(354916800, 3),
            crate::generated::new_transition(370724400, 4),
            crate::generated::new_transition(386452800, 3),
            crate::generated::new_transition(402260400, 4),
            crate::generated::new_transition(417988800, 3),
            crate::generated::new_transition(433796400, 4),
            crate::generated::new_transition(449611200, 3),
            crate::generated::new_transition(465343200, 4),
            crate::generated::new_transition(481068000, 3),
            crate::generated::new_transition(496792800, 4),
            crate::generated::new_transition(512517600, 3),
            crate::generated::new_transition(528242400, 4),
            crate::generated::new_transition(543967200, 3),
            crate::generated::new_transition(559692000, 4),
            crate::generated::new_transition(575416800, 3),
            crate::generated::new_transition(591141600, 4),
            crate::generated::new_transition(606866400, 3),
            crate::generated::new_transition(622591200, 4),
            crate::generated::new_transition(638316000, 3),
            crate::generated::new_transition(654645600, 4),
            crate::generated::new_transition(670370400, 5),
            crate::generated::new_transition(686098800, 2),
            crate::generated::new_transition(701816400, 5),
            crate::generated::new_transition(717537600, 2),
            crate::generated::new_transition(733266000, 5),
            crate::generated::new_transition(748987200, 2),
            crate::generated::new_transition(764715600, 5),
            crate::generated::new_transition(780436800, 4),
            crate::generated::new_transition(796161600, 3),
            crate::generated::new_transition(811882800, 4),
            crate::generated::new_transition(828216000, 3),
            crate::generated::new_transition(859662000, 3),
            crate::generated::new_transition(877806000, 4),
            crate::generated::new_transition(891115200, 3),
            crate::generated::new_transition(909255600, 4),
            crate::generated::new_transition(922564800, 3),
            crate::generated::new_transition(941310000, 4),
            crate::generated::new_transition(954014400, 3),
            crate::generated::new_transition(972759600, 4),
            crate::generated::new_transition(985464000, 3),
            crate::generated::new_transition(1004209200, 4),
            crate::generated::new_transition(1017518400, 3),
            crate::generated::new_transition(1035658800, 4),
            crate::generated::new_transition(1048968000, 3),
            crate::generated::new_transition(1067108400, 4),
            crate::generated::new_transition(1080417600, 3),
            crate::generated::new_transition(1088276400, 5),
            crate::generated::new_transition(1099177200, 2),
            crate::generated::new_transition(1111878000, 4),
        ],
        &[
            crate::generated::new_local_time_type(10751, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10751, false, Some(b"TBMT")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
            crate::generated::new_local_time_type(18000, true, Some(b"+05")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            crate::generated::new_local_time_type(14400, true, Some(b"+04")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
        )),
    );

    pub(crate) const ASIA_THIMBU: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-706341516, 1),
            crate::generated::new_transition(560025000, 2),
        ],
        &[
            crate::generated::new_local_time_type(21516, false, Some(b"LMT")),
            crate::generated::new_local_time_type(19800, false, Some(b"+0530")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
        )),
    );

    pub(crate) const ASIA_TOMSK: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1578807591, 1),
            crate::generated::new_transition(-1247551200, 3),
            crate::generated::new_transition(354906000, 2),
            crate::generated::new_transition(370713600, 3),
            crate::generated::new_transition(386442000, 2),
            crate::generated::new_transition(402249600, 3),
            crate::generated::new_transition(417978000, 2),
            crate::generated::new_transition(433785600, 3),
            crate::generated::new_transition(449600400, 2),
            crate::generated::new_transition(465332400, 3),
            crate::generated::new_transition(481057200, 2),
            crate::generated::new_transition(496782000, 3),
            crate::generated::new_transition(512506800, 2),
            crate::generated::new_transition(528231600, 3),
            crate::generated::new_transition(543956400, 2),
            crate::generated::new_transition(559681200, 3),
            crate::generated::new_transition(575406000, 2),
            crate::generated::new_transition(591130800, 3),
            crate::generated::new_transition(606855600, 2),
            crate::generated::new_transition(622580400, 3),
            crate::generated::new_transition(638305200, 2),
            crate::generated::new_transition(654634800, 3),
            crate::generated::new_transition(670359600, 4),
            crate::generated::new_transition(686088000, 1),
            crate::generated::new_transition(695764800, 3),
            crate::generated::new_transition(701809200, 2),
            crate::generated::new_transition(717534000, 3),
            crate::generated::new_transition(733258800, 2),
            crate::generated::new_transition(748983600, 3),
            crate::generated::new_transition(764708400, 2),
            crate::generated::new_transition(780433200, 3),
            crate::generated::new_transition(796158000, 2),
            crate::generated::new_transition(811882800, 3),
            crate::generated::new_transition(828212400, 2),
            crate::generated::new_transition(846356400, 3),
            crate::generated::new_transition(859662000, 2),
            crate::generated::new_transition(877806000, 3),
            crate::generated::new_transition(891111600, 2),
            crate::generated::new_transition(909255600, 3),
            crate::generated::new_transition(922561200, 2),
            crate::generated::new_transition(941310000, 3),
            crate::generated::new_transition(954010800, 2),
            crate::generated::new_transition(972759600, 3),
            crate::generated::new_transition(985460400, 2),
            crate::generated::new_transition(1004209200, 3),
            crate::generated::new_transition(1017514800, 2),
            crate::generated::new_transition(1020193200, 4),
            crate::generated::new_transition(1035662400, 1),
            crate::generated::new_transition(1048968000, 4),
            crate::generated::new_transition(1067112000, 1),
            crate::generated::new_transition(1080417600, 4),
            crate::generated::new_transition(1099166400, 1),
            crate::generated::new_transition(1111867200, 4),
            crate::generated::new_transition(1130616000, 1),
            crate::generated::new_transition(1143316800, 4),
            crate::generated::new_transition(1162065600, 1),
            crate::generated::new_transition(1174766400, 4),
            crate::generated::new_transition(1193515200, 1),
            crate::generated::new_transition(1206820800, 4),
            crate::generated::new_transition(1224964800, 1),
            crate::generated::new_transition(1238270400, 4),
            crate::generated::new_transition(1256414400, 1),
            crate::generated::new_transition(1269720000, 4),
            crate::generated::new_transition(1288468800, 1),
            crate::generated::new_transition(1301169600, 3),
            crate::generated::new_transition(1414263600, 1),
            crate::generated::new_transition(1464465600, 3),
        ],
        &[
            crate::generated::new_local_time_type(20391, false, Some(b"LMT")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            crate::generated::new_local_time_type(28800, true, Some(b"+08")),
            crate::generated::new_local_time_type(25200, false, Some(b"+07")),
            crate::generated::new_local_time_type(25200, true, Some(b"+07")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(25200, false, Some(b"+07")),
        )),
    );

    pub(crate) const ASIA_ULAANBAATAR: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2032931252, 1),
                crate::generated::new_transition(252435600, 3),
                crate::generated::new_transition(417974400, 2),
                crate::generated::new_transition(433782000, 3),
                crate::generated::new_transition(449596800, 2),
                crate::generated::new_transition(465318000, 3),
                crate::generated::new_transition(481046400, 2),
                crate::generated::new_transition(496767600, 3),
                crate::generated::new_transition(512496000, 2),
                crate::generated::new_transition(528217200, 3),
                crate::generated::new_transition(543945600, 2),
                crate::generated::new_transition(559666800, 3),
                crate::generated::new_transition(575395200, 2),
                crate::generated::new_transition(591116400, 3),
                crate::generated::new_transition(606844800, 2),
                crate::generated::new_transition(622566000, 3),
                crate::generated::new_transition(638294400, 2),
                crate::generated::new_transition(654620400, 3),
                crate::generated::new_transition(670348800, 2),
                crate::generated::new_transition(686070000, 3),
                crate::generated::new_transition(701798400, 2),
                crate::generated::new_transition(717519600, 3),
                crate::generated::new_transition(733248000, 2),
                crate::generated::new_transition(748969200, 3),
                crate::generated::new_transition(764697600, 2),
                crate::generated::new_transition(780418800, 3),
                crate::generated::new_transition(796147200, 2),
                crate::generated::new_transition(811868400, 3),
                crate::generated::new_transition(828201600, 2),
                crate::generated::new_transition(843922800, 3),
                crate::generated::new_transition(859651200, 2),
                crate::generated::new_transition(875372400, 3),
                crate::generated::new_transition(891100800, 2),
                crate::generated::new_transition(906822000, 3),
                crate::generated::new_transition(988394400, 2),
                crate::generated::new_transition(1001696400, 3),
                crate::generated::new_transition(1017424800, 2),
                crate::generated::new_transition(1033146000, 3),
                crate::generated::new_transition(1048874400, 2),
                crate::generated::new_transition(1064595600, 3),
                crate::generated::new_transition(1080324000, 2),
                crate::generated::new_transition(1096045200, 3),
                crate::generated::new_transition(1111773600, 2),
                crate::generated::new_transition(1127494800, 3),
                crate::generated::new_transition(1143223200, 2),
                crate::generated::new_transition(1159549200, 3),
                crate::generated::new_transition(1427479200, 2),
                crate::generated::new_transition(1443193200, 3),
                crate::generated::new_transition(1458928800, 2),
                crate::generated::new_transition(1474642800, 3),
            ],
            &[
                crate::generated::new_local_time_type(25652, false, Some(b"LMT")),
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
                crate::generated::new_local_time_type(32400, true, Some(b"+09")),
                crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            )),
        );

    pub(crate) const ASIA_UST_NERA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1579426374, 1),
            crate::generated::new_transition(-1247558400, 2),
            crate::generated::new_transition(354898800, 4),
            crate::generated::new_transition(370699200, 3),
            crate::generated::new_transition(386427600, 4),
            crate::generated::new_transition(402235200, 3),
            crate::generated::new_transition(417963600, 4),
            crate::generated::new_transition(433771200, 3),
            crate::generated::new_transition(449586000, 4),
            crate::generated::new_transition(465318000, 3),
            crate::generated::new_transition(481042800, 4),
            crate::generated::new_transition(496767600, 3),
            crate::generated::new_transition(512492400, 4),
            crate::generated::new_transition(528217200, 3),
            crate::generated::new_transition(543942000, 4),
            crate::generated::new_transition(559666800, 3),
            crate::generated::new_transition(575391600, 4),
            crate::generated::new_transition(591116400, 3),
            crate::generated::new_transition(606841200, 4),
            crate::generated::new_transition(622566000, 3),
            crate::generated::new_transition(638290800, 4),
            crate::generated::new_transition(654620400, 3),
            crate::generated::new_transition(670345200, 5),
            crate::generated::new_transition(686073600, 6),
            crate::generated::new_transition(695750400, 3),
            crate::generated::new_transition(701794800, 4),
            crate::generated::new_transition(717519600, 3),
            crate::generated::new_transition(733244400, 4),
            crate::generated::new_transition(748969200, 3),
            crate::generated::new_transition(764694000, 4),
            crate::generated::new_transition(780418800, 3),
            crate::generated::new_transition(796143600, 4),
            crate::generated::new_transition(811868400, 3),
            crate::generated::new_transition(828198000, 4),
            crate::generated::new_transition(846342000, 3),
            crate::generated::new_transition(859647600, 4),
            crate::generated::new_transition(877791600, 3),
            crate::generated::new_transition(891097200, 4),
            crate::generated::new_transition(909241200, 3),
            crate::generated::new_transition(922546800, 4),
            crate::generated::new_transition(941295600, 3),
            crate::generated::new_transition(953996400, 4),
            crate::generated::new_transition(972745200, 3),
            crate::generated::new_transition(985446000, 4),
            crate::generated::new_transition(1004194800, 3),
            crate::generated::new_transition(1017500400, 4),
            crate::generated::new_transition(1035644400, 3),
            crate::generated::new_transition(1048950000, 4),
            crate::generated::new_transition(1067094000, 3),
            crate::generated::new_transition(1080399600, 4),
            crate::generated::new_transition(1099148400, 3),
            crate::generated::new_transition(1111849200, 4),
            crate::generated::new_transition(1130598000, 3),
            crate::generated::new_transition(1143298800, 4),
            crate::generated::new_transition(1162047600, 3),
            crate::generated::new_transition(1174748400, 4),
            crate::generated::new_transition(1193497200, 3),
            crate::generated::new_transition(1206802800, 4),
            crate::generated::new_transition(1224946800, 3),
            crate::generated::new_transition(1238252400, 4),
            crate::generated::new_transition(1256396400, 3),
            crate::generated::new_transition(1269702000, 4),
            crate::generated::new_transition(1288450800, 3),
            crate::generated::new_transition(1301151600, 7),
            crate::generated::new_transition(1315828800, 3),
            crate::generated::new_transition(1414249200, 6),
        ],
        &[
            crate::generated::new_local_time_type(34374, false, Some(b"LMT")),
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            crate::generated::new_local_time_type(43200, true, Some(b"+12")),
            crate::generated::new_local_time_type(39600, true, Some(b"+11")),
            crate::generated::new_local_time_type(36000, false, Some(b"+10")),
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(36000, false, Some(b"+10")),
        )),
    );

    pub(crate) const ASIA_VIENTIANE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2004072624, 1),
            crate::generated::new_transition(-1851577590, 2),
            crate::generated::new_transition(-852105600, 3),
            crate::generated::new_transition(-782643600, 4),
            crate::generated::new_transition(-767869200, 2),
            crate::generated::new_transition(-718095600, 3),
            crate::generated::new_transition(-464428800, 2),
        ],
        &[
            crate::generated::new_local_time_type(24624, false, Some(b"LMT")),
            crate::generated::new_local_time_type(25590, false, Some(b"PLMT")),
            crate::generated::new_local_time_type(25200, false, Some(b"+07")),
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(25200, false, Some(b"+07")),
        )),
    );

    pub(crate) const ASIA_VLADIVOSTOK: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1487321251, 1),
                crate::generated::new_transition(-1247562000, 3),
                crate::generated::new_transition(354895200, 2),
                crate::generated::new_transition(370702800, 3),
                crate::generated::new_transition(386431200, 2),
                crate::generated::new_transition(402238800, 3),
                crate::generated::new_transition(417967200, 2),
                crate::generated::new_transition(433774800, 3),
                crate::generated::new_transition(449589600, 2),
                crate::generated::new_transition(465321600, 3),
                crate::generated::new_transition(481046400, 2),
                crate::generated::new_transition(496771200, 3),
                crate::generated::new_transition(512496000, 2),
                crate::generated::new_transition(528220800, 3),
                crate::generated::new_transition(543945600, 2),
                crate::generated::new_transition(559670400, 3),
                crate::generated::new_transition(575395200, 2),
                crate::generated::new_transition(591120000, 3),
                crate::generated::new_transition(606844800, 2),
                crate::generated::new_transition(622569600, 3),
                crate::generated::new_transition(638294400, 2),
                crate::generated::new_transition(654624000, 3),
                crate::generated::new_transition(670348800, 4),
                crate::generated::new_transition(686077200, 1),
                crate::generated::new_transition(695754000, 3),
                crate::generated::new_transition(701798400, 2),
                crate::generated::new_transition(717523200, 3),
                crate::generated::new_transition(733248000, 2),
                crate::generated::new_transition(748972800, 3),
                crate::generated::new_transition(764697600, 2),
                crate::generated::new_transition(780422400, 3),
                crate::generated::new_transition(796147200, 2),
                crate::generated::new_transition(811872000, 3),
                crate::generated::new_transition(828201600, 2),
                crate::generated::new_transition(846345600, 3),
                crate::generated::new_transition(859651200, 2),
                crate::generated::new_transition(877795200, 3),
                crate::generated::new_transition(891100800, 2),
                crate::generated::new_transition(909244800, 3),
                crate::generated::new_transition(922550400, 2),
                crate::generated::new_transition(941299200, 3),
                crate::generated::new_transition(954000000, 2),
                crate::generated::new_transition(972748800, 3),
                crate::generated::new_transition(985449600, 2),
                crate::generated::new_transition(1004198400, 3),
                crate::generated::new_transition(1017504000, 2),
                crate::generated::new_transition(1035648000, 3),
                crate::generated::new_transition(1048953600, 2),
                crate::generated::new_transition(1067097600, 3),
                crate::generated::new_transition(1080403200, 2),
                crate::generated::new_transition(1099152000, 3),
                crate::generated::new_transition(1111852800, 2),
                crate::generated::new_transition(1130601600, 3),
                crate::generated::new_transition(1143302400, 2),
                crate::generated::new_transition(1162051200, 3),
                crate::generated::new_transition(1174752000, 2),
                crate::generated::new_transition(1193500800, 3),
                crate::generated::new_transition(1206806400, 2),
                crate::generated::new_transition(1224950400, 3),
                crate::generated::new_transition(1238256000, 2),
                crate::generated::new_transition(1256400000, 3),
                crate::generated::new_transition(1269705600, 2),
                crate::generated::new_transition(1288454400, 3),
                crate::generated::new_transition(1301155200, 5),
                crate::generated::new_transition(1414249200, 3),
            ],
            &[
                crate::generated::new_local_time_type(31651, false, Some(b"LMT")),
                crate::generated::new_local_time_type(32400, false, Some(b"+09")),
                crate::generated::new_local_time_type(39600, true, Some(b"+11")),
                crate::generated::new_local_time_type(36000, false, Some(b"+10")),
                crate::generated::new_local_time_type(36000, true, Some(b"+10")),
                crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(36000, false, Some(b"+10")),
            )),
        );

    pub(crate) const ASIA_YAKUTSK: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1579423138, 1),
            crate::generated::new_transition(-1247558400, 3),
            crate::generated::new_transition(354898800, 2),
            crate::generated::new_transition(370706400, 3),
            crate::generated::new_transition(386434800, 2),
            crate::generated::new_transition(402242400, 3),
            crate::generated::new_transition(417970800, 2),
            crate::generated::new_transition(433778400, 3),
            crate::generated::new_transition(449593200, 2),
            crate::generated::new_transition(465325200, 3),
            crate::generated::new_transition(481050000, 2),
            crate::generated::new_transition(496774800, 3),
            crate::generated::new_transition(512499600, 2),
            crate::generated::new_transition(528224400, 3),
            crate::generated::new_transition(543949200, 2),
            crate::generated::new_transition(559674000, 3),
            crate::generated::new_transition(575398800, 2),
            crate::generated::new_transition(591123600, 3),
            crate::generated::new_transition(606848400, 2),
            crate::generated::new_transition(622573200, 3),
            crate::generated::new_transition(638298000, 2),
            crate::generated::new_transition(654627600, 3),
            crate::generated::new_transition(670352400, 4),
            crate::generated::new_transition(686080800, 1),
            crate::generated::new_transition(695757600, 3),
            crate::generated::new_transition(701802000, 2),
            crate::generated::new_transition(717526800, 3),
            crate::generated::new_transition(733251600, 2),
            crate::generated::new_transition(748976400, 3),
            crate::generated::new_transition(764701200, 2),
            crate::generated::new_transition(780426000, 3),
            crate::generated::new_transition(796150800, 2),
            crate::generated::new_transition(811875600, 3),
            crate::generated::new_transition(828205200, 2),
            crate::generated::new_transition(846349200, 3),
            crate::generated::new_transition(859654800, 2),
            crate::generated::new_transition(877798800, 3),
            crate::generated::new_transition(891104400, 2),
            crate::generated::new_transition(909248400, 3),
            crate::generated::new_transition(922554000, 2),
            crate::generated::new_transition(941302800, 3),
            crate::generated::new_transition(954003600, 2),
            crate::generated::new_transition(972752400, 3),
            crate::generated::new_transition(985453200, 2),
            crate::generated::new_transition(1004202000, 3),
            crate::generated::new_transition(1017507600, 2),
            crate::generated::new_transition(1035651600, 3),
            crate::generated::new_transition(1048957200, 2),
            crate::generated::new_transition(1067101200, 3),
            crate::generated::new_transition(1080406800, 2),
            crate::generated::new_transition(1099155600, 3),
            crate::generated::new_transition(1111856400, 2),
            crate::generated::new_transition(1130605200, 3),
            crate::generated::new_transition(1143306000, 2),
            crate::generated::new_transition(1162054800, 3),
            crate::generated::new_transition(1174755600, 2),
            crate::generated::new_transition(1193504400, 3),
            crate::generated::new_transition(1206810000, 2),
            crate::generated::new_transition(1224954000, 3),
            crate::generated::new_transition(1238259600, 2),
            crate::generated::new_transition(1256403600, 3),
            crate::generated::new_transition(1269709200, 2),
            crate::generated::new_transition(1288458000, 3),
            crate::generated::new_transition(1301158800, 5),
            crate::generated::new_transition(1414252800, 3),
        ],
        &[
            crate::generated::new_local_time_type(31138, false, Some(b"LMT")),
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            crate::generated::new_local_time_type(36000, true, Some(b"+10")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(32400, true, Some(b"+09")),
            crate::generated::new_local_time_type(36000, false, Some(b"+10")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
        )),
    );

    pub(crate) const ASIA_YEKATERINBURG: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1688270553, 1),
                crate::generated::new_transition(-1592610305, 2),
                crate::generated::new_transition(-1247544000, 4),
                crate::generated::new_transition(354913200, 3),
                crate::generated::new_transition(370720800, 4),
                crate::generated::new_transition(386449200, 3),
                crate::generated::new_transition(402256800, 4),
                crate::generated::new_transition(417985200, 3),
                crate::generated::new_transition(433792800, 4),
                crate::generated::new_transition(449607600, 3),
                crate::generated::new_transition(465339600, 4),
                crate::generated::new_transition(481064400, 3),
                crate::generated::new_transition(496789200, 4),
                crate::generated::new_transition(512514000, 3),
                crate::generated::new_transition(528238800, 4),
                crate::generated::new_transition(543963600, 3),
                crate::generated::new_transition(559688400, 4),
                crate::generated::new_transition(575413200, 3),
                crate::generated::new_transition(591138000, 4),
                crate::generated::new_transition(606862800, 3),
                crate::generated::new_transition(622587600, 4),
                crate::generated::new_transition(638312400, 3),
                crate::generated::new_transition(654642000, 4),
                crate::generated::new_transition(670366800, 5),
                crate::generated::new_transition(686095200, 2),
                crate::generated::new_transition(695772000, 4),
                crate::generated::new_transition(701816400, 3),
                crate::generated::new_transition(717541200, 4),
                crate::generated::new_transition(733266000, 3),
                crate::generated::new_transition(748990800, 4),
                crate::generated::new_transition(764715600, 3),
                crate::generated::new_transition(780440400, 4),
                crate::generated::new_transition(796165200, 3),
                crate::generated::new_transition(811890000, 4),
                crate::generated::new_transition(828219600, 3),
                crate::generated::new_transition(846363600, 4),
                crate::generated::new_transition(859669200, 3),
                crate::generated::new_transition(877813200, 4),
                crate::generated::new_transition(891118800, 3),
                crate::generated::new_transition(909262800, 4),
                crate::generated::new_transition(922568400, 3),
                crate::generated::new_transition(941317200, 4),
                crate::generated::new_transition(954018000, 3),
                crate::generated::new_transition(972766800, 4),
                crate::generated::new_transition(985467600, 3),
                crate::generated::new_transition(1004216400, 4),
                crate::generated::new_transition(1017522000, 3),
                crate::generated::new_transition(1035666000, 4),
                crate::generated::new_transition(1048971600, 3),
                crate::generated::new_transition(1067115600, 4),
                crate::generated::new_transition(1080421200, 3),
                crate::generated::new_transition(1099170000, 4),
                crate::generated::new_transition(1111870800, 3),
                crate::generated::new_transition(1130619600, 4),
                crate::generated::new_transition(1143320400, 3),
                crate::generated::new_transition(1162069200, 4),
                crate::generated::new_transition(1174770000, 3),
                crate::generated::new_transition(1193518800, 4),
                crate::generated::new_transition(1206824400, 3),
                crate::generated::new_transition(1224968400, 4),
                crate::generated::new_transition(1238274000, 3),
                crate::generated::new_transition(1256418000, 4),
                crate::generated::new_transition(1269723600, 3),
                crate::generated::new_transition(1288472400, 4),
                crate::generated::new_transition(1301173200, 6),
                crate::generated::new_transition(1414267200, 4),
            ],
            &[
                crate::generated::new_local_time_type(14553, false, Some(b"LMT")),
                crate::generated::new_local_time_type(13505, false, Some(b"PMT")),
                crate::generated::new_local_time_type(14400, false, Some(b"+04")),
                crate::generated::new_local_time_type(21600, true, Some(b"+06")),
                crate::generated::new_local_time_type(18000, false, Some(b"+05")),
                crate::generated::new_local_time_type(18000, true, Some(b"+05")),
                crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            )),
        );

    pub(crate) const ASIA_YEREVAN: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1441162680, 1),
            crate::generated::new_transition(-405140400, 3),
            crate::generated::new_transition(354916800, 2),
            crate::generated::new_transition(370724400, 3),
            crate::generated::new_transition(386452800, 2),
            crate::generated::new_transition(402260400, 3),
            crate::generated::new_transition(417988800, 2),
            crate::generated::new_transition(433796400, 3),
            crate::generated::new_transition(449611200, 2),
            crate::generated::new_transition(465343200, 3),
            crate::generated::new_transition(481068000, 2),
            crate::generated::new_transition(496792800, 3),
            crate::generated::new_transition(512517600, 2),
            crate::generated::new_transition(528242400, 3),
            crate::generated::new_transition(543967200, 2),
            crate::generated::new_transition(559692000, 3),
            crate::generated::new_transition(575416800, 2),
            crate::generated::new_transition(591141600, 3),
            crate::generated::new_transition(606866400, 2),
            crate::generated::new_transition(622591200, 3),
            crate::generated::new_transition(638316000, 2),
            crate::generated::new_transition(654645600, 3),
            crate::generated::new_transition(670370400, 4),
            crate::generated::new_transition(686098800, 1),
            crate::generated::new_transition(701823600, 4),
            crate::generated::new_transition(717548400, 1),
            crate::generated::new_transition(733273200, 4),
            crate::generated::new_transition(748998000, 1),
            crate::generated::new_transition(764722800, 4),
            crate::generated::new_transition(780447600, 1),
            crate::generated::new_transition(796172400, 4),
            crate::generated::new_transition(811897200, 3),
            crate::generated::new_transition(859672800, 2),
            crate::generated::new_transition(877816800, 3),
            crate::generated::new_transition(891122400, 2),
            crate::generated::new_transition(909266400, 3),
            crate::generated::new_transition(922572000, 2),
            crate::generated::new_transition(941320800, 3),
            crate::generated::new_transition(954021600, 2),
            crate::generated::new_transition(972770400, 3),
            crate::generated::new_transition(985471200, 2),
            crate::generated::new_transition(1004220000, 3),
            crate::generated::new_transition(1017525600, 2),
            crate::generated::new_transition(1035669600, 3),
            crate::generated::new_transition(1048975200, 2),
            crate::generated::new_transition(1067119200, 3),
            crate::generated::new_transition(1080424800, 2),
            crate::generated::new_transition(1099173600, 3),
            crate::generated::new_transition(1111874400, 2),
            crate::generated::new_transition(1130623200, 3),
            crate::generated::new_transition(1143324000, 2),
            crate::generated::new_transition(1162072800, 3),
            crate::generated::new_transition(1174773600, 2),
            crate::generated::new_transition(1193522400, 3),
            crate::generated::new_transition(1206828000, 2),
            crate::generated::new_transition(1224972000, 3),
            crate::generated::new_transition(1238277600, 2),
            crate::generated::new_transition(1256421600, 3),
            crate::generated::new_transition(1269727200, 2),
            crate::generated::new_transition(1288476000, 3),
            crate::generated::new_transition(1301176800, 2),
            crate::generated::new_transition(1319925600, 3),
        ],
        &[
            crate::generated::new_local_time_type(10680, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
            crate::generated::new_local_time_type(18000, true, Some(b"+05")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            crate::generated::new_local_time_type(14400, true, Some(b"+04")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
        )),
    );

    pub(crate) const ATLANTIC_AZORES: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2713904240, 1),
                crate::generated::new_transition(-1830376800, 3),
                crate::generated::new_transition(-1689548400, 2),
                crate::generated::new_transition(-1677794400, 3),
                crate::generated::new_transition(-1667430000, 2),
                crate::generated::new_transition(-1647730800, 3),
                crate::generated::new_transition(-1635807600, 2),
                crate::generated::new_transition(-1616194800, 3),
                crate::generated::new_transition(-1604358000, 2),
                crate::generated::new_transition(-1584658800, 3),
                crate::generated::new_transition(-1572735600, 2),
                crate::generated::new_transition(-1553036400, 3),
                crate::generated::new_transition(-1541199600, 2),
                crate::generated::new_transition(-1521500400, 3),
                crate::generated::new_transition(-1442444400, 2),
                crate::generated::new_transition(-1426806000, 3),
                crate::generated::new_transition(-1379286000, 2),
                crate::generated::new_transition(-1364770800, 3),
                crate::generated::new_transition(-1348441200, 2),
                crate::generated::new_transition(-1333321200, 3),
                crate::generated::new_transition(-1316386800, 2),
                crate::generated::new_transition(-1301266800, 3),
                crate::generated::new_transition(-1284332400, 2),
                crate::generated::new_transition(-1269817200, 3),
                crate::generated::new_transition(-1221433200, 2),
                crate::generated::new_transition(-1206918000, 3),
                crate::generated::new_transition(-1191193200, 2),
                crate::generated::new_transition(-1175468400, 3),
                crate::generated::new_transition(-1127689200, 2),
                crate::generated::new_transition(-1111964400, 3),
                crate::generated::new_transition(-1096844400, 2),
                crate::generated::new_transition(-1080514800, 3),
                crate::generated::new_transition(-1063580400, 2),
                crate::generated::new_transition(-1049065200, 3),
                crate::generated::new_transition(-1033340400, 2),
                crate::generated::new_transition(-1017615600, 3),
                crate::generated::new_transition(-1002495600, 2),
                crate::generated::new_transition(-986166000, 3),
                crate::generated::new_transition(-969231600, 2),
                crate::generated::new_transition(-950482800, 3),
                crate::generated::new_transition(-942015600, 2),
                crate::generated::new_transition(-922662000, 3),
                crate::generated::new_transition(-906937200, 2),
                crate::generated::new_transition(-891126000, 3),
                crate::generated::new_transition(-877302000, 2),
                crate::generated::new_transition(-873676800, 4),
                crate::generated::new_transition(-864000000, 2),
                crate::generated::new_transition(-857948400, 3),
                crate::generated::new_transition(-845852400, 2),
                crate::generated::new_transition(-842832000, 4),
                crate::generated::new_transition(-831340800, 2),
                crate::generated::new_transition(-825894000, 3),
                crate::generated::new_transition(-814402800, 2),
                crate::generated::new_transition(-810777600, 4),
                crate::generated::new_transition(-799891200, 2),
                crate::generated::new_transition(-794444400, 3),
                crate::generated::new_transition(-782953200, 2),
                crate::generated::new_transition(-779328000, 4),
                crate::generated::new_transition(-768441600, 2),
                crate::generated::new_transition(-762994800, 3),
                crate::generated::new_transition(-749084400, 2),
                crate::generated::new_transition(-733359600, 3),
                crate::generated::new_transition(-717624000, 2),
                crate::generated::new_transition(-701899200, 3),
                crate::generated::new_transition(-686174400, 2),
                crate::generated::new_transition(-670449600, 3),
                crate::generated::new_transition(-654724800, 2),
                crate::generated::new_transition(-639000000, 3),
                crate::generated::new_transition(-623275200, 2),
                crate::generated::new_transition(-607550400, 3),
                crate::generated::new_transition(-591825600, 2),
                crate::generated::new_transition(-575496000, 3),
                crate::generated::new_transition(-559771200, 2),
                crate::generated::new_transition(-544046400, 3),
                crate::generated::new_transition(-528321600, 2),
                crate::generated::new_transition(-512596800, 3),
                crate::generated::new_transition(-496872000, 2),
                crate::generated::new_transition(-481147200, 3),
                crate::generated::new_transition(-465422400, 2),
                crate::generated::new_transition(-449697600, 3),
                crate::generated::new_transition(-433972800, 2),
                crate::generated::new_transition(-417643200, 3),
                crate::generated::new_transition(-401918400, 2),
                crate::generated::new_transition(-386193600, 3),
                crate::generated::new_transition(-370468800, 2),
                crate::generated::new_transition(-354744000, 3),
                crate::generated::new_transition(-339019200, 2),
                crate::generated::new_transition(-323294400, 3),
                crate::generated::new_transition(-307569600, 2),
                crate::generated::new_transition(-291844800, 3),
                crate::generated::new_transition(-276120000, 2),
                crate::generated::new_transition(-260395200, 3),
                crate::generated::new_transition(-244670400, 2),
                crate::generated::new_transition(-228340800, 3),
                crate::generated::new_transition(-212616000, 2),
                crate::generated::new_transition(-196891200, 3),
                crate::generated::new_transition(-181166400, 2),
                crate::generated::new_transition(-165441600, 3),
                crate::generated::new_transition(-149716800, 2),
                crate::generated::new_transition(-133992000, 3),
                crate::generated::new_transition(-118267200, 5),
                crate::generated::new_transition(228272400, 4),
                crate::generated::new_transition(243997200, 5),
                crate::generated::new_transition(260326800, 4),
                crate::generated::new_transition(276051600, 5),
                crate::generated::new_transition(291776400, 4),
                crate::generated::new_transition(307504800, 5),
                crate::generated::new_transition(323226000, 4),
                crate::generated::new_transition(338954400, 5),
                crate::generated::new_transition(354679200, 4),
                crate::generated::new_transition(370404000, 5),
                crate::generated::new_transition(386128800, 4),
                crate::generated::new_transition(401853600, 5),
                crate::generated::new_transition(417582000, 4),
                crate::generated::new_transition(433303200, 5),
                crate::generated::new_transition(449028000, 4),
                crate::generated::new_transition(465357600, 5),
                crate::generated::new_transition(481082400, 4),
                crate::generated::new_transition(496807200, 5),
                crate::generated::new_transition(512532000, 4),
                crate::generated::new_transition(528256800, 5),
                crate::generated::new_transition(543981600, 4),
                crate::generated::new_transition(559706400, 5),
                crate::generated::new_transition(575431200, 4),
                crate::generated::new_transition(591156000, 5),
                crate::generated::new_transition(606880800, 4),
                crate::generated::new_transition(622605600, 5),
                crate::generated::new_transition(638330400, 4),
                crate::generated::new_transition(654660000, 5),
                crate::generated::new_transition(670384800, 4),
                crate::generated::new_transition(686109600, 5),
                crate::generated::new_transition(701834400, 4),
                crate::generated::new_transition(717559200, 6),
                crate::generated::new_transition(733280400, 4),
                crate::generated::new_transition(749005200, 5),
                crate::generated::new_transition(764730000, 4),
                crate::generated::new_transition(780454800, 5),
                crate::generated::new_transition(796179600, 4),
                crate::generated::new_transition(811904400, 5),
                crate::generated::new_transition(828234000, 4),
            ],
            &[
                crate::generated::new_local_time_type(-6160, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-6872, false, Some(b"HMT")),
                crate::generated::new_local_time_type(-3600, true, Some(b"-01")),
                crate::generated::new_local_time_type(-7200, false, Some(b"-02")),
                crate::generated::new_local_time_type(0, true, Some(b"+00")),
                crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
                crate::generated::new_local_time_type(0, false, Some(b"WET")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
                    crate::generated::new_local_time_type(0, true, Some(b"+00")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    0,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    3600,
                ),
            )),
        );

    pub(crate) const ATLANTIC_BERMUDA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524506042, 2),
                crate::generated::new_transition(-1664307642, 1),
                crate::generated::new_transition(-1648932042, 2),
                crate::generated::new_transition(-1632080442, 1),
                crate::generated::new_transition(-1618692042, 2),
                crate::generated::new_transition(-1262281242, 4),
                crate::generated::new_transition(-882727200, 3),
                crate::generated::new_transition(-858538800, 4),
                crate::generated::new_transition(-845229600, 3),
                crate::generated::new_transition(-825879600, 4),
                crate::generated::new_transition(-814384800, 3),
                crate::generated::new_transition(-793825200, 4),
                crate::generated::new_transition(-782935200, 3),
                crate::generated::new_transition(-762375600, 4),
                crate::generated::new_transition(-713988000, 3),
                crate::generated::new_transition(-703710000, 4),
                crate::generated::new_transition(-681933600, 3),
                crate::generated::new_transition(-672865200, 4),
                crate::generated::new_transition(-650484000, 3),
                crate::generated::new_transition(-641415600, 4),
                crate::generated::new_transition(-618429600, 3),
                crate::generated::new_transition(-609966000, 4),
                crate::generated::new_transition(-586980000, 3),
                crate::generated::new_transition(-578516400, 4),
                crate::generated::new_transition(-555530400, 3),
                crate::generated::new_transition(-546462000, 4),
                crate::generated::new_transition(-429127200, 3),
                crate::generated::new_transition(-415825200, 4),
                crate::generated::new_transition(136360800, 3),
                crate::generated::new_transition(152082000, 4),
                crate::generated::new_transition(167810400, 3),
                crate::generated::new_transition(183531600, 4),
                crate::generated::new_transition(199260000, 3),
                crate::generated::new_transition(215586000, 4),
                crate::generated::new_transition(230709600, 3),
                crate::generated::new_transition(247035600, 4),
                crate::generated::new_transition(262764000, 3),
                crate::generated::new_transition(278485200, 4),
                crate::generated::new_transition(294213600, 3),
                crate::generated::new_transition(309934800, 4),
                crate::generated::new_transition(325663200, 3),
                crate::generated::new_transition(341384400, 4),
                crate::generated::new_transition(357112800, 3),
                crate::generated::new_transition(372834000, 4),
                crate::generated::new_transition(388562400, 3),
                crate::generated::new_transition(404888400, 4),
                crate::generated::new_transition(420012000, 3),
                crate::generated::new_transition(436338000, 4),
                crate::generated::new_transition(452066400, 3),
                crate::generated::new_transition(467787600, 4),
                crate::generated::new_transition(483516000, 3),
                crate::generated::new_transition(499237200, 4),
                crate::generated::new_transition(514965600, 3),
                crate::generated::new_transition(530686800, 4),
                crate::generated::new_transition(544600800, 3),
                crate::generated::new_transition(562136400, 4),
                crate::generated::new_transition(576050400, 3),
                crate::generated::new_transition(594190800, 4),
                crate::generated::new_transition(607500000, 3),
                crate::generated::new_transition(625640400, 4),
                crate::generated::new_transition(638949600, 3),
                crate::generated::new_transition(657090000, 4),
                crate::generated::new_transition(671004000, 3),
                crate::generated::new_transition(688539600, 4),
                crate::generated::new_transition(702453600, 3),
                crate::generated::new_transition(719989200, 4),
                crate::generated::new_transition(733903200, 3),
                crate::generated::new_transition(752043600, 4),
                crate::generated::new_transition(765352800, 3),
                crate::generated::new_transition(783493200, 4),
                crate::generated::new_transition(796802400, 3),
                crate::generated::new_transition(814942800, 4),
                crate::generated::new_transition(828856800, 3),
                crate::generated::new_transition(846392400, 4),
                crate::generated::new_transition(860306400, 3),
                crate::generated::new_transition(877842000, 4),
                crate::generated::new_transition(891756000, 3),
                crate::generated::new_transition(909291600, 4),
                crate::generated::new_transition(923205600, 3),
                crate::generated::new_transition(941346000, 4),
                crate::generated::new_transition(954655200, 3),
                crate::generated::new_transition(972795600, 4),
                crate::generated::new_transition(986104800, 3),
                crate::generated::new_transition(1004245200, 4),
                crate::generated::new_transition(1018159200, 3),
                crate::generated::new_transition(1035694800, 4),
                crate::generated::new_transition(1049608800, 3),
                crate::generated::new_transition(1067144400, 4),
                crate::generated::new_transition(1081058400, 3),
                crate::generated::new_transition(1099198800, 4),
                crate::generated::new_transition(1112508000, 3),
                crate::generated::new_transition(1130648400, 4),
                crate::generated::new_transition(1143957600, 3),
                crate::generated::new_transition(1162098000, 4),
                crate::generated::new_transition(1173592800, 3),
            ],
            &[
                crate::generated::new_local_time_type(-15558, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-11958, true, Some(b"BST")),
                crate::generated::new_local_time_type(-15558, false, Some(b"BMT")),
                crate::generated::new_local_time_type(-10800, true, Some(b"ADT")),
                crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-14400, false, Some(b"AST")),
                    crate::generated::new_local_time_type(-10800, true, Some(b"ADT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const ATLANTIC_CANARY: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1509663504, 1),
                crate::generated::new_transition(-733874400, 2),
                crate::generated::new_transition(323827200, 3),
                crate::generated::new_transition(338950800, 2),
                crate::generated::new_transition(354675600, 3),
                crate::generated::new_transition(370400400, 2),
                crate::generated::new_transition(386125200, 3),
                crate::generated::new_transition(401850000, 2),
                crate::generated::new_transition(417574800, 3),
                crate::generated::new_transition(433299600, 2),
                crate::generated::new_transition(449024400, 3),
                crate::generated::new_transition(465354000, 2),
                crate::generated::new_transition(481078800, 3),
                crate::generated::new_transition(496803600, 2),
                crate::generated::new_transition(512528400, 3),
                crate::generated::new_transition(528253200, 2),
                crate::generated::new_transition(543978000, 3),
                crate::generated::new_transition(559702800, 2),
                crate::generated::new_transition(575427600, 3),
                crate::generated::new_transition(591152400, 2),
                crate::generated::new_transition(606877200, 3),
                crate::generated::new_transition(622602000, 2),
                crate::generated::new_transition(638326800, 3),
                crate::generated::new_transition(654656400, 2),
                crate::generated::new_transition(670381200, 3),
                crate::generated::new_transition(686106000, 2),
                crate::generated::new_transition(701830800, 3),
                crate::generated::new_transition(717555600, 2),
                crate::generated::new_transition(733280400, 3),
                crate::generated::new_transition(749005200, 2),
                crate::generated::new_transition(764730000, 3),
                crate::generated::new_transition(780454800, 2),
                crate::generated::new_transition(796179600, 3),
                crate::generated::new_transition(811904400, 2),
                crate::generated::new_transition(828234000, 3),
            ],
            &[
                crate::generated::new_local_time_type(-3696, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
                crate::generated::new_local_time_type(0, false, Some(b"WET")),
                crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(0, false, Some(b"WET")),
                    crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    3600,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const ATLANTIC_CAPE_VERDE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1830376800, 1),
                crate::generated::new_transition(-862610400, 2),
                crate::generated::new_transition(-764118000, 1),
                crate::generated::new_transition(186120000, 3),
            ],
            &[
                crate::generated::new_local_time_type(-5644, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-7200, false, Some(b"-02")),
                crate::generated::new_local_time_type(-3600, true, Some(b"-01")),
                crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
            )),
        );

    pub(crate) const ATLANTIC_FAEROE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1955748776, 1),
                crate::generated::new_transition(354675600, 2),
                crate::generated::new_transition(370400400, 1),
                crate::generated::new_transition(386125200, 2),
                crate::generated::new_transition(401850000, 1),
                crate::generated::new_transition(417574800, 2),
                crate::generated::new_transition(433299600, 1),
                crate::generated::new_transition(449024400, 2),
                crate::generated::new_transition(465354000, 1),
                crate::generated::new_transition(481078800, 2),
                crate::generated::new_transition(496803600, 1),
                crate::generated::new_transition(512528400, 2),
                crate::generated::new_transition(528253200, 1),
                crate::generated::new_transition(543978000, 2),
                crate::generated::new_transition(559702800, 1),
                crate::generated::new_transition(575427600, 2),
                crate::generated::new_transition(591152400, 1),
                crate::generated::new_transition(606877200, 2),
                crate::generated::new_transition(622602000, 1),
                crate::generated::new_transition(638326800, 2),
                crate::generated::new_transition(654656400, 1),
                crate::generated::new_transition(670381200, 2),
                crate::generated::new_transition(686106000, 1),
                crate::generated::new_transition(701830800, 2),
                crate::generated::new_transition(717555600, 1),
                crate::generated::new_transition(733280400, 2),
                crate::generated::new_transition(749005200, 1),
                crate::generated::new_transition(764730000, 2),
                crate::generated::new_transition(780454800, 1),
                crate::generated::new_transition(796179600, 2),
                crate::generated::new_transition(811904400, 1),
                crate::generated::new_transition(828234000, 2),
            ],
            &[
                crate::generated::new_local_time_type(-1624, false, Some(b"LMT")),
                crate::generated::new_local_time_type(0, false, Some(b"WET")),
                crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(0, false, Some(b"WET")),
                    crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    3600,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const ATLANTIC_MADEIRA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2713906344, 1),
                crate::generated::new_transition(-1830380400, 3),
                crate::generated::new_transition(-1689552000, 2),
                crate::generated::new_transition(-1677798000, 3),
                crate::generated::new_transition(-1667433600, 2),
                crate::generated::new_transition(-1647734400, 3),
                crate::generated::new_transition(-1635811200, 2),
                crate::generated::new_transition(-1616198400, 3),
                crate::generated::new_transition(-1604361600, 2),
                crate::generated::new_transition(-1584662400, 3),
                crate::generated::new_transition(-1572739200, 2),
                crate::generated::new_transition(-1553040000, 3),
                crate::generated::new_transition(-1541203200, 2),
                crate::generated::new_transition(-1521504000, 3),
                crate::generated::new_transition(-1442448000, 2),
                crate::generated::new_transition(-1426809600, 3),
                crate::generated::new_transition(-1379289600, 2),
                crate::generated::new_transition(-1364774400, 3),
                crate::generated::new_transition(-1348444800, 2),
                crate::generated::new_transition(-1333324800, 3),
                crate::generated::new_transition(-1316390400, 2),
                crate::generated::new_transition(-1301270400, 3),
                crate::generated::new_transition(-1284336000, 2),
                crate::generated::new_transition(-1269820800, 3),
                crate::generated::new_transition(-1221436800, 2),
                crate::generated::new_transition(-1206921600, 3),
                crate::generated::new_transition(-1191196800, 2),
                crate::generated::new_transition(-1175472000, 3),
                crate::generated::new_transition(-1127692800, 2),
                crate::generated::new_transition(-1111968000, 3),
                crate::generated::new_transition(-1096848000, 2),
                crate::generated::new_transition(-1080518400, 3),
                crate::generated::new_transition(-1063584000, 2),
                crate::generated::new_transition(-1049068800, 3),
                crate::generated::new_transition(-1033344000, 2),
                crate::generated::new_transition(-1017619200, 3),
                crate::generated::new_transition(-1002499200, 2),
                crate::generated::new_transition(-986169600, 3),
                crate::generated::new_transition(-969235200, 2),
                crate::generated::new_transition(-950486400, 3),
                crate::generated::new_transition(-942019200, 2),
                crate::generated::new_transition(-922665600, 3),
                crate::generated::new_transition(-906940800, 2),
                crate::generated::new_transition(-891129600, 3),
                crate::generated::new_transition(-877305600, 2),
                crate::generated::new_transition(-873680400, 4),
                crate::generated::new_transition(-864003600, 2),
                crate::generated::new_transition(-857952000, 3),
                crate::generated::new_transition(-845856000, 2),
                crate::generated::new_transition(-842835600, 4),
                crate::generated::new_transition(-831344400, 2),
                crate::generated::new_transition(-825897600, 3),
                crate::generated::new_transition(-814406400, 2),
                crate::generated::new_transition(-810781200, 4),
                crate::generated::new_transition(-799894800, 2),
                crate::generated::new_transition(-794448000, 3),
                crate::generated::new_transition(-782956800, 2),
                crate::generated::new_transition(-779331600, 4),
                crate::generated::new_transition(-768445200, 2),
                crate::generated::new_transition(-762998400, 3),
                crate::generated::new_transition(-749088000, 2),
                crate::generated::new_transition(-733363200, 3),
                crate::generated::new_transition(-717627600, 2),
                crate::generated::new_transition(-701902800, 3),
                crate::generated::new_transition(-686178000, 2),
                crate::generated::new_transition(-670453200, 3),
                crate::generated::new_transition(-654728400, 2),
                crate::generated::new_transition(-639003600, 3),
                crate::generated::new_transition(-623278800, 2),
                crate::generated::new_transition(-607554000, 3),
                crate::generated::new_transition(-591829200, 2),
                crate::generated::new_transition(-575499600, 3),
                crate::generated::new_transition(-559774800, 2),
                crate::generated::new_transition(-544050000, 3),
                crate::generated::new_transition(-528325200, 2),
                crate::generated::new_transition(-512600400, 3),
                crate::generated::new_transition(-496875600, 2),
                crate::generated::new_transition(-481150800, 3),
                crate::generated::new_transition(-465426000, 2),
                crate::generated::new_transition(-449701200, 3),
                crate::generated::new_transition(-433976400, 2),
                crate::generated::new_transition(-417646800, 3),
                crate::generated::new_transition(-401922000, 2),
                crate::generated::new_transition(-386197200, 3),
                crate::generated::new_transition(-370472400, 2),
                crate::generated::new_transition(-354747600, 3),
                crate::generated::new_transition(-339022800, 2),
                crate::generated::new_transition(-323298000, 3),
                crate::generated::new_transition(-307573200, 2),
                crate::generated::new_transition(-291848400, 3),
                crate::generated::new_transition(-276123600, 2),
                crate::generated::new_transition(-260398800, 3),
                crate::generated::new_transition(-244674000, 2),
                crate::generated::new_transition(-228344400, 3),
                crate::generated::new_transition(-212619600, 2),
                crate::generated::new_transition(-196894800, 3),
                crate::generated::new_transition(-181170000, 2),
                crate::generated::new_transition(-165445200, 3),
                crate::generated::new_transition(-149720400, 2),
                crate::generated::new_transition(-133995600, 3),
                crate::generated::new_transition(-118270800, 6),
                crate::generated::new_transition(228268800, 5),
                crate::generated::new_transition(243993600, 6),
                crate::generated::new_transition(260323200, 5),
                crate::generated::new_transition(276048000, 6),
                crate::generated::new_transition(291772800, 5),
                crate::generated::new_transition(307501200, 6),
                crate::generated::new_transition(323222400, 5),
                crate::generated::new_transition(338950800, 6),
                crate::generated::new_transition(354675600, 5),
                crate::generated::new_transition(370400400, 6),
                crate::generated::new_transition(386125200, 5),
                crate::generated::new_transition(401850000, 6),
                crate::generated::new_transition(417578400, 5),
                crate::generated::new_transition(433299600, 6),
                crate::generated::new_transition(449024400, 5),
                crate::generated::new_transition(465354000, 6),
                crate::generated::new_transition(481078800, 5),
                crate::generated::new_transition(496803600, 6),
                crate::generated::new_transition(512528400, 5),
                crate::generated::new_transition(528253200, 6),
                crate::generated::new_transition(543978000, 5),
                crate::generated::new_transition(559702800, 6),
                crate::generated::new_transition(575427600, 5),
                crate::generated::new_transition(591152400, 6),
                crate::generated::new_transition(606877200, 5),
                crate::generated::new_transition(622602000, 6),
                crate::generated::new_transition(638326800, 5),
                crate::generated::new_transition(654656400, 6),
                crate::generated::new_transition(670381200, 5),
                crate::generated::new_transition(686106000, 6),
                crate::generated::new_transition(701830800, 5),
                crate::generated::new_transition(717555600, 6),
                crate::generated::new_transition(733280400, 5),
                crate::generated::new_transition(749005200, 6),
                crate::generated::new_transition(764730000, 5),
                crate::generated::new_transition(780454800, 6),
                crate::generated::new_transition(796179600, 5),
                crate::generated::new_transition(811904400, 6),
                crate::generated::new_transition(828234000, 5),
            ],
            &[
                crate::generated::new_local_time_type(-4056, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-4056, false, Some(b"FMT")),
                crate::generated::new_local_time_type(0, true, Some(b"+00")),
                crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
                crate::generated::new_local_time_type(3600, true, Some(b"+01")),
                crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
                crate::generated::new_local_time_type(0, false, Some(b"WET")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(0, false, Some(b"WET")),
                    crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    3600,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const ATLANTIC_REYKJAVIK: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1956609120, 2),
                crate::generated::new_transition(-1668211200, 1),
                crate::generated::new_transition(-1647212400, 2),
                crate::generated::new_transition(-1636675200, 1),
                crate::generated::new_transition(-1613430000, 2),
                crate::generated::new_transition(-1605139200, 1),
                crate::generated::new_transition(-1581894000, 2),
                crate::generated::new_transition(-1539561600, 1),
                crate::generated::new_transition(-1531350000, 2),
                crate::generated::new_transition(-968025600, 1),
                crate::generated::new_transition(-952293600, 2),
                crate::generated::new_transition(-942008400, 1),
                crate::generated::new_transition(-920239200, 2),
                crate::generated::new_transition(-909957600, 1),
                crate::generated::new_transition(-888789600, 2),
                crate::generated::new_transition(-877903200, 1),
                crate::generated::new_transition(-857944800, 2),
                crate::generated::new_transition(-846453600, 1),
                crate::generated::new_transition(-826495200, 2),
                crate::generated::new_transition(-815004000, 1),
                crate::generated::new_transition(-795045600, 2),
                crate::generated::new_transition(-783554400, 1),
                crate::generated::new_transition(-762991200, 2),
                crate::generated::new_transition(-752104800, 1),
                crate::generated::new_transition(-731541600, 2),
                crate::generated::new_transition(-717631200, 1),
                crate::generated::new_transition(-700092000, 2),
                crate::generated::new_transition(-686181600, 1),
                crate::generated::new_transition(-668642400, 2),
                crate::generated::new_transition(-654732000, 1),
                crate::generated::new_transition(-636588000, 2),
                crate::generated::new_transition(-623282400, 1),
                crate::generated::new_transition(-605743200, 2),
                crate::generated::new_transition(-591832800, 1),
                crate::generated::new_transition(-573688800, 2),
                crate::generated::new_transition(-559778400, 1),
                crate::generated::new_transition(-542239200, 2),
                crate::generated::new_transition(-528328800, 1),
                crate::generated::new_transition(-510789600, 2),
                crate::generated::new_transition(-496879200, 1),
                crate::generated::new_transition(-479340000, 2),
                crate::generated::new_transition(-465429600, 1),
                crate::generated::new_transition(-447890400, 2),
                crate::generated::new_transition(-433980000, 1),
                crate::generated::new_transition(-415836000, 2),
                crate::generated::new_transition(-401925600, 1),
                crate::generated::new_transition(-384386400, 2),
                crate::generated::new_transition(-370476000, 1),
                crate::generated::new_transition(-352936800, 2),
                crate::generated::new_transition(-339026400, 1),
                crate::generated::new_transition(-321487200, 2),
                crate::generated::new_transition(-307576800, 1),
                crate::generated::new_transition(-290037600, 2),
                crate::generated::new_transition(-276127200, 1),
                crate::generated::new_transition(-258588000, 2),
                crate::generated::new_transition(-244677600, 1),
                crate::generated::new_transition(-226533600, 2),
                crate::generated::new_transition(-212623200, 1),
                crate::generated::new_transition(-195084000, 2),
                crate::generated::new_transition(-181173600, 1),
                crate::generated::new_transition(-163634400, 2),
                crate::generated::new_transition(-149724000, 1),
                crate::generated::new_transition(-132184800, 2),
                crate::generated::new_transition(-118274400, 1),
                crate::generated::new_transition(-100735200, 2),
                crate::generated::new_transition(-86824800, 1),
                crate::generated::new_transition(-68680800, 2),
                crate::generated::new_transition(-54770400, 3),
            ],
            &[
                crate::generated::new_local_time_type(-5280, false, Some(b"LMT")),
                crate::generated::new_local_time_type(0, true, Some(b"+00")),
                crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            )),
        );

    pub(crate) const ATLANTIC_SOUTH_GEORGIA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-2524512832, 1)],
            &[
                crate::generated::new_local_time_type(-8768, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-7200, false, Some(b"-02")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-7200, false, Some(b"-02")),
            )),
        );

    pub(crate) const ATLANTIC_STANLEY: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524507716, 1),
                crate::generated::new_transition(-1824235716, 3),
                crate::generated::new_transition(-1018209600, 2),
                crate::generated::new_transition(-1003093200, 3),
                crate::generated::new_transition(-986760000, 2),
                crate::generated::new_transition(-971643600, 3),
                crate::generated::new_transition(-954705600, 2),
                crate::generated::new_transition(-939589200, 3),
                crate::generated::new_transition(-923256000, 2),
                crate::generated::new_transition(-908139600, 3),
                crate::generated::new_transition(-891806400, 2),
                crate::generated::new_transition(-876690000, 3),
                crate::generated::new_transition(-860356800, 2),
                crate::generated::new_transition(-852066000, 3),
                crate::generated::new_transition(420609600, 5),
                crate::generated::new_transition(433306800, 4),
                crate::generated::new_transition(452052000, 5),
                crate::generated::new_transition(464151600, 4),
                crate::generated::new_transition(483501600, 5),
                crate::generated::new_transition(495601200, 2),
                crate::generated::new_transition(514350000, 3),
                crate::generated::new_transition(527054400, 2),
                crate::generated::new_transition(545799600, 3),
                crate::generated::new_transition(558504000, 2),
                crate::generated::new_transition(577249200, 3),
                crate::generated::new_transition(589953600, 2),
                crate::generated::new_transition(608698800, 3),
                crate::generated::new_transition(621403200, 2),
                crate::generated::new_transition(640753200, 3),
                crate::generated::new_transition(652852800, 2),
                crate::generated::new_transition(672202800, 3),
                crate::generated::new_transition(684907200, 2),
                crate::generated::new_transition(703652400, 3),
                crate::generated::new_transition(716356800, 2),
                crate::generated::new_transition(735102000, 3),
                crate::generated::new_transition(747806400, 2),
                crate::generated::new_transition(766551600, 3),
                crate::generated::new_transition(779256000, 2),
                crate::generated::new_transition(798001200, 3),
                crate::generated::new_transition(810705600, 2),
                crate::generated::new_transition(830055600, 3),
                crate::generated::new_transition(842760000, 2),
                crate::generated::new_transition(861505200, 3),
                crate::generated::new_transition(874209600, 2),
                crate::generated::new_transition(892954800, 3),
                crate::generated::new_transition(905659200, 2),
                crate::generated::new_transition(924404400, 3),
                crate::generated::new_transition(937108800, 2),
                crate::generated::new_transition(955854000, 3),
                crate::generated::new_transition(968558400, 2),
                crate::generated::new_transition(987310800, 3),
                crate::generated::new_transition(999410400, 2),
                crate::generated::new_transition(1019365200, 3),
                crate::generated::new_transition(1030860000, 2),
                crate::generated::new_transition(1050814800, 3),
                crate::generated::new_transition(1062914400, 2),
                crate::generated::new_transition(1082264400, 3),
                crate::generated::new_transition(1094364000, 2),
                crate::generated::new_transition(1113714000, 3),
                crate::generated::new_transition(1125813600, 2),
                crate::generated::new_transition(1145163600, 3),
                crate::generated::new_transition(1157263200, 2),
                crate::generated::new_transition(1176613200, 3),
                crate::generated::new_transition(1188712800, 2),
                crate::generated::new_transition(1208667600, 3),
                crate::generated::new_transition(1220767200, 2),
                crate::generated::new_transition(1240117200, 3),
                crate::generated::new_transition(1252216800, 2),
                crate::generated::new_transition(1271566800, 3),
                crate::generated::new_transition(1283666400, 5),
            ],
            &[
                crate::generated::new_local_time_type(-13884, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-13884, false, Some(b"SMT")),
                crate::generated::new_local_time_type(-10800, true, Some(b"-03")),
                crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
                crate::generated::new_local_time_type(-7200, true, Some(b"-02")),
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
            )),
        );

    pub(crate) const ATLANTIC_ST_HELENA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524520232, 1),
                crate::generated::new_transition(-599614632, 2),
            ],
            &[
                crate::generated::new_local_time_type(-1368, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-1368, false, Some(b"JMT")),
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            )),
        );

    pub(crate) const AUSTRALIA_ACT: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2364113092, 2),
            crate::generated::new_transition(-1672560000, 1),
            crate::generated::new_transition(-1665388800, 2),
            crate::generated::new_transition(-883641600, 1),
            crate::generated::new_transition(-876124800, 2),
            crate::generated::new_transition(-860400000, 1),
            crate::generated::new_transition(-844675200, 2),
            crate::generated::new_transition(-828345600, 1),
            crate::generated::new_transition(-813225600, 2),
            crate::generated::new_transition(57686400, 1),
            crate::generated::new_transition(67968000, 2),
            crate::generated::new_transition(89136000, 1),
            crate::generated::new_transition(100022400, 2),
            crate::generated::new_transition(120585600, 1),
            crate::generated::new_transition(131472000, 2),
            crate::generated::new_transition(152035200, 1),
            crate::generated::new_transition(162921600, 2),
            crate::generated::new_transition(183484800, 1),
            crate::generated::new_transition(194976000, 2),
            crate::generated::new_transition(215539200, 1),
            crate::generated::new_transition(226425600, 2),
            crate::generated::new_transition(246988800, 1),
            crate::generated::new_transition(257875200, 2),
            crate::generated::new_transition(278438400, 1),
            crate::generated::new_transition(289324800, 2),
            crate::generated::new_transition(309888000, 1),
            crate::generated::new_transition(320774400, 2),
            crate::generated::new_transition(341337600, 1),
            crate::generated::new_transition(352224000, 2),
            crate::generated::new_transition(372787200, 1),
            crate::generated::new_transition(386697600, 2),
            crate::generated::new_transition(404841600, 1),
            crate::generated::new_transition(415728000, 2),
            crate::generated::new_transition(436291200, 1),
            crate::generated::new_transition(447177600, 2),
            crate::generated::new_transition(467740800, 1),
            crate::generated::new_transition(478627200, 2),
            crate::generated::new_transition(499190400, 1),
            crate::generated::new_transition(511286400, 2),
            crate::generated::new_transition(530035200, 1),
            crate::generated::new_transition(542736000, 2),
            crate::generated::new_transition(562089600, 1),
            crate::generated::new_transition(574790400, 2),
            crate::generated::new_transition(594144000, 1),
            crate::generated::new_transition(606240000, 2),
            crate::generated::new_transition(625593600, 1),
            crate::generated::new_transition(636480000, 2),
            crate::generated::new_transition(657043200, 1),
            crate::generated::new_transition(667929600, 2),
            crate::generated::new_transition(688492800, 1),
            crate::generated::new_transition(699379200, 2),
            crate::generated::new_transition(719942400, 1),
            crate::generated::new_transition(731433600, 2),
            crate::generated::new_transition(751996800, 1),
            crate::generated::new_transition(762883200, 2),
            crate::generated::new_transition(783446400, 1),
            crate::generated::new_transition(794332800, 2),
            crate::generated::new_transition(814896000, 1),
            crate::generated::new_transition(828201600, 2),
            crate::generated::new_transition(846345600, 1),
            crate::generated::new_transition(859651200, 2),
            crate::generated::new_transition(877795200, 1),
            crate::generated::new_transition(891100800, 2),
            crate::generated::new_transition(909244800, 1),
            crate::generated::new_transition(922550400, 2),
            crate::generated::new_transition(941299200, 1),
            crate::generated::new_transition(954000000, 2),
            crate::generated::new_transition(967305600, 1),
            crate::generated::new_transition(985449600, 2),
            crate::generated::new_transition(1004198400, 1),
            crate::generated::new_transition(1017504000, 2),
            crate::generated::new_transition(1035648000, 1),
            crate::generated::new_transition(1048953600, 2),
            crate::generated::new_transition(1067097600, 1),
            crate::generated::new_transition(1080403200, 2),
            crate::generated::new_transition(1099152000, 1),
            crate::generated::new_transition(1111852800, 2),
            crate::generated::new_transition(1130601600, 1),
            crate::generated::new_transition(1143907200, 2),
            crate::generated::new_transition(1162051200, 1),
            crate::generated::new_transition(1174752000, 2),
            crate::generated::new_transition(1193500800, 1),
            crate::generated::new_transition(1207411200, 2),
        ],
        &[
            crate::generated::new_local_time_type(36292, false, Some(b"LMT")),
            crate::generated::new_local_time_type(39600, true, Some(b"AEDT")),
            crate::generated::new_local_time_type(36000, false, Some(b"AEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(36000, false, Some(b"AEST")),
                crate::generated::new_local_time_type(39600, true, Some(b"AEDT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 1, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(4, 1, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const AUSTRALIA_ADELAIDE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2364110060, 1),
                crate::generated::new_transition(-2230189200, 3),
                crate::generated::new_transition(-1672558200, 2),
                crate::generated::new_transition(-1665387000, 3),
                crate::generated::new_transition(-883639800, 2),
                crate::generated::new_transition(-876123000, 3),
                crate::generated::new_transition(-860398200, 2),
                crate::generated::new_transition(-844673400, 3),
                crate::generated::new_transition(-828343800, 2),
                crate::generated::new_transition(-813223800, 3),
                crate::generated::new_transition(57688200, 2),
                crate::generated::new_transition(67969800, 3),
                crate::generated::new_transition(89137800, 2),
                crate::generated::new_transition(100024200, 3),
                crate::generated::new_transition(120587400, 2),
                crate::generated::new_transition(131473800, 3),
                crate::generated::new_transition(152037000, 2),
                crate::generated::new_transition(162923400, 3),
                crate::generated::new_transition(183486600, 2),
                crate::generated::new_transition(194977800, 3),
                crate::generated::new_transition(215541000, 2),
                crate::generated::new_transition(226427400, 3),
                crate::generated::new_transition(246990600, 2),
                crate::generated::new_transition(257877000, 3),
                crate::generated::new_transition(278440200, 2),
                crate::generated::new_transition(289326600, 3),
                crate::generated::new_transition(309889800, 2),
                crate::generated::new_transition(320776200, 3),
                crate::generated::new_transition(341339400, 2),
                crate::generated::new_transition(352225800, 3),
                crate::generated::new_transition(372789000, 2),
                crate::generated::new_transition(384280200, 3),
                crate::generated::new_transition(404843400, 2),
                crate::generated::new_transition(415729800, 3),
                crate::generated::new_transition(436293000, 2),
                crate::generated::new_transition(447179400, 3),
                crate::generated::new_transition(467742600, 2),
                crate::generated::new_transition(478629000, 3),
                crate::generated::new_transition(499192200, 2),
                crate::generated::new_transition(511288200, 3),
                crate::generated::new_transition(530037000, 2),
                crate::generated::new_transition(542737800, 3),
                crate::generated::new_transition(562091400, 2),
                crate::generated::new_transition(574792200, 3),
                crate::generated::new_transition(594145800, 2),
                crate::generated::new_transition(606241800, 3),
                crate::generated::new_transition(625595400, 2),
                crate::generated::new_transition(637691400, 3),
                crate::generated::new_transition(657045000, 2),
                crate::generated::new_transition(667931400, 3),
                crate::generated::new_transition(688494600, 2),
                crate::generated::new_transition(701195400, 3),
                crate::generated::new_transition(719944200, 2),
                crate::generated::new_transition(731435400, 3),
                crate::generated::new_transition(751998600, 2),
                crate::generated::new_transition(764094600, 3),
                crate::generated::new_transition(783448200, 2),
                crate::generated::new_transition(796149000, 3),
                crate::generated::new_transition(814897800, 2),
                crate::generated::new_transition(828203400, 3),
                crate::generated::new_transition(846347400, 2),
                crate::generated::new_transition(859653000, 3),
                crate::generated::new_transition(877797000, 2),
                crate::generated::new_transition(891102600, 3),
                crate::generated::new_transition(909246600, 2),
                crate::generated::new_transition(922552200, 3),
                crate::generated::new_transition(941301000, 2),
                crate::generated::new_transition(954001800, 3),
                crate::generated::new_transition(972750600, 2),
                crate::generated::new_transition(985451400, 3),
                crate::generated::new_transition(1004200200, 2),
                crate::generated::new_transition(1017505800, 3),
                crate::generated::new_transition(1035649800, 2),
                crate::generated::new_transition(1048955400, 3),
                crate::generated::new_transition(1067099400, 2),
                crate::generated::new_transition(1080405000, 3),
                crate::generated::new_transition(1099153800, 2),
                crate::generated::new_transition(1111854600, 3),
                crate::generated::new_transition(1130603400, 2),
                crate::generated::new_transition(1143909000, 3),
                crate::generated::new_transition(1162053000, 2),
                crate::generated::new_transition(1174753800, 3),
                crate::generated::new_transition(1193502600, 2),
                crate::generated::new_transition(1207413000, 3),
            ],
            &[
                crate::generated::new_local_time_type(33260, false, Some(b"LMT")),
                crate::generated::new_local_time_type(32400, false, Some(b"ACST")),
                crate::generated::new_local_time_type(37800, true, Some(b"ACDT")),
                crate::generated::new_local_time_type(34200, false, Some(b"ACST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(34200, false, Some(b"ACST")),
                    crate::generated::new_local_time_type(37800, true, Some(b"ACDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 1, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(4, 1, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const AUSTRALIA_BRISBANE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2366791928, 2),
                crate::generated::new_transition(-1672560000, 1),
                crate::generated::new_transition(-1665388800, 2),
                crate::generated::new_transition(-883641600, 1),
                crate::generated::new_transition(-876124800, 2),
                crate::generated::new_transition(-860400000, 1),
                crate::generated::new_transition(-844675200, 2),
                crate::generated::new_transition(-828345600, 1),
                crate::generated::new_transition(-813225600, 2),
                crate::generated::new_transition(57686400, 1),
                crate::generated::new_transition(67968000, 2),
                crate::generated::new_transition(625593600, 1),
                crate::generated::new_transition(636480000, 2),
                crate::generated::new_transition(657043200, 1),
                crate::generated::new_transition(667929600, 2),
                crate::generated::new_transition(688492800, 1),
                crate::generated::new_transition(699379200, 2),
            ],
            &[
                crate::generated::new_local_time_type(36728, false, Some(b"LMT")),
                crate::generated::new_local_time_type(39600, true, Some(b"AEDT")),
                crate::generated::new_local_time_type(36000, false, Some(b"AEST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(36000, false, Some(b"AEST")),
            )),
        );

    pub(crate) const AUSTRALIA_BROKEN_HILL: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2364110748, 1),
                crate::generated::new_transition(-2314951200, 2),
                crate::generated::new_transition(-2230189200, 4),
                crate::generated::new_transition(-1672558200, 3),
                crate::generated::new_transition(-1665387000, 4),
                crate::generated::new_transition(-883639800, 3),
                crate::generated::new_transition(-876123000, 4),
                crate::generated::new_transition(-860398200, 3),
                crate::generated::new_transition(-844673400, 4),
                crate::generated::new_transition(-828343800, 3),
                crate::generated::new_transition(-813223800, 4),
                crate::generated::new_transition(57688200, 3),
                crate::generated::new_transition(67969800, 4),
                crate::generated::new_transition(89137800, 3),
                crate::generated::new_transition(100024200, 4),
                crate::generated::new_transition(120587400, 3),
                crate::generated::new_transition(131473800, 4),
                crate::generated::new_transition(152037000, 3),
                crate::generated::new_transition(162923400, 4),
                crate::generated::new_transition(183486600, 3),
                crate::generated::new_transition(194977800, 4),
                crate::generated::new_transition(215541000, 3),
                crate::generated::new_transition(226427400, 4),
                crate::generated::new_transition(246990600, 3),
                crate::generated::new_transition(257877000, 4),
                crate::generated::new_transition(278440200, 3),
                crate::generated::new_transition(289326600, 4),
                crate::generated::new_transition(309889800, 3),
                crate::generated::new_transition(320776200, 4),
                crate::generated::new_transition(341339400, 3),
                crate::generated::new_transition(352225800, 4),
                crate::generated::new_transition(372789000, 3),
                crate::generated::new_transition(386699400, 4),
                crate::generated::new_transition(404843400, 3),
                crate::generated::new_transition(415729800, 4),
                crate::generated::new_transition(436293000, 3),
                crate::generated::new_transition(447179400, 4),
                crate::generated::new_transition(467742600, 3),
                crate::generated::new_transition(478629000, 4),
                crate::generated::new_transition(499192200, 3),
                crate::generated::new_transition(511288200, 4),
                crate::generated::new_transition(530037000, 3),
                crate::generated::new_transition(542737800, 4),
                crate::generated::new_transition(562091400, 3),
                crate::generated::new_transition(574792200, 4),
                crate::generated::new_transition(594145800, 3),
                crate::generated::new_transition(606241800, 4),
                crate::generated::new_transition(625595400, 3),
                crate::generated::new_transition(636481800, 4),
                crate::generated::new_transition(657045000, 3),
                crate::generated::new_transition(667931400, 4),
                crate::generated::new_transition(688494600, 3),
                crate::generated::new_transition(699381000, 4),
                crate::generated::new_transition(719944200, 3),
                crate::generated::new_transition(731435400, 4),
                crate::generated::new_transition(751998600, 3),
                crate::generated::new_transition(762885000, 4),
                crate::generated::new_transition(783448200, 3),
                crate::generated::new_transition(794334600, 4),
                crate::generated::new_transition(814897800, 3),
                crate::generated::new_transition(828203400, 4),
                crate::generated::new_transition(846347400, 3),
                crate::generated::new_transition(859653000, 4),
                crate::generated::new_transition(877797000, 3),
                crate::generated::new_transition(891102600, 4),
                crate::generated::new_transition(909246600, 3),
                crate::generated::new_transition(922552200, 4),
                crate::generated::new_transition(941301000, 3),
                crate::generated::new_transition(954001800, 4),
                crate::generated::new_transition(972750600, 3),
                crate::generated::new_transition(985451400, 4),
                crate::generated::new_transition(1004200200, 3),
                crate::generated::new_transition(1017505800, 4),
                crate::generated::new_transition(1035649800, 3),
                crate::generated::new_transition(1048955400, 4),
                crate::generated::new_transition(1067099400, 3),
                crate::generated::new_transition(1080405000, 4),
                crate::generated::new_transition(1099153800, 3),
                crate::generated::new_transition(1111854600, 4),
                crate::generated::new_transition(1130603400, 3),
                crate::generated::new_transition(1143909000, 4),
                crate::generated::new_transition(1162053000, 3),
                crate::generated::new_transition(1174753800, 4),
                crate::generated::new_transition(1193502600, 3),
                crate::generated::new_transition(1207413000, 4),
            ],
            &[
                crate::generated::new_local_time_type(33948, false, Some(b"LMT")),
                crate::generated::new_local_time_type(36000, false, Some(b"AEST")),
                crate::generated::new_local_time_type(32400, false, Some(b"ACST")),
                crate::generated::new_local_time_type(37800, true, Some(b"ACDT")),
                crate::generated::new_local_time_type(34200, false, Some(b"ACST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(34200, false, Some(b"ACST")),
                    crate::generated::new_local_time_type(37800, true, Some(b"ACDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 1, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(4, 1, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const AUSTRALIA_CURRIE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2345795356, 2),
                crate::generated::new_transition(-1680508800, 1),
                crate::generated::new_transition(-1665388800, 2),
                crate::generated::new_transition(-1646640000, 1),
                crate::generated::new_transition(-1635753600, 2),
                crate::generated::new_transition(-1615190400, 1),
                crate::generated::new_transition(-1604304000, 2),
                crate::generated::new_transition(-883641600, 1),
                crate::generated::new_transition(-876124800, 2),
                crate::generated::new_transition(-860400000, 1),
                crate::generated::new_transition(-844675200, 2),
                crate::generated::new_transition(-828345600, 1),
                crate::generated::new_transition(-813225600, 2),
                crate::generated::new_transition(-71136000, 1),
                crate::generated::new_transition(-55411200, 2),
                crate::generated::new_transition(-37267200, 1),
                crate::generated::new_transition(-25776000, 2),
                crate::generated::new_transition(-5817600, 1),
                crate::generated::new_transition(5673600, 2),
                crate::generated::new_transition(25632000, 1),
                crate::generated::new_transition(37728000, 2),
                crate::generated::new_transition(57686400, 1),
                crate::generated::new_transition(67968000, 2),
                crate::generated::new_transition(89136000, 1),
                crate::generated::new_transition(100022400, 2),
                crate::generated::new_transition(120585600, 1),
                crate::generated::new_transition(131472000, 2),
                crate::generated::new_transition(152035200, 1),
                crate::generated::new_transition(162921600, 2),
                crate::generated::new_transition(183484800, 1),
                crate::generated::new_transition(194976000, 2),
                crate::generated::new_transition(215539200, 1),
                crate::generated::new_transition(226425600, 2),
                crate::generated::new_transition(246988800, 1),
                crate::generated::new_transition(257875200, 2),
                crate::generated::new_transition(278438400, 1),
                crate::generated::new_transition(289324800, 2),
                crate::generated::new_transition(309888000, 1),
                crate::generated::new_transition(320774400, 2),
                crate::generated::new_transition(341337600, 1),
                crate::generated::new_transition(352224000, 2),
                crate::generated::new_transition(372787200, 1),
                crate::generated::new_transition(386092800, 2),
                crate::generated::new_transition(404841600, 1),
                crate::generated::new_transition(417542400, 2),
                crate::generated::new_transition(436291200, 1),
                crate::generated::new_transition(447177600, 2),
                crate::generated::new_transition(467740800, 1),
                crate::generated::new_transition(478627200, 2),
                crate::generated::new_transition(499190400, 1),
                crate::generated::new_transition(510076800, 2),
                crate::generated::new_transition(530035200, 1),
                crate::generated::new_transition(542736000, 2),
                crate::generated::new_transition(562089600, 1),
                crate::generated::new_transition(574790400, 2),
                crate::generated::new_transition(594144000, 1),
                crate::generated::new_transition(606240000, 2),
                crate::generated::new_transition(625593600, 1),
                crate::generated::new_transition(637689600, 2),
                crate::generated::new_transition(657043200, 1),
                crate::generated::new_transition(670348800, 2),
                crate::generated::new_transition(686678400, 1),
                crate::generated::new_transition(701798400, 2),
                crate::generated::new_transition(718128000, 1),
                crate::generated::new_transition(733248000, 2),
                crate::generated::new_transition(749577600, 1),
                crate::generated::new_transition(764697600, 2),
                crate::generated::new_transition(781027200, 1),
                crate::generated::new_transition(796147200, 2),
                crate::generated::new_transition(812476800, 1),
                crate::generated::new_transition(828201600, 2),
                crate::generated::new_transition(844531200, 1),
                crate::generated::new_transition(859651200, 2),
                crate::generated::new_transition(875980800, 1),
                crate::generated::new_transition(891100800, 2),
                crate::generated::new_transition(907430400, 1),
                crate::generated::new_transition(922550400, 2),
                crate::generated::new_transition(938880000, 1),
                crate::generated::new_transition(954000000, 2),
                crate::generated::new_transition(967305600, 1),
                crate::generated::new_transition(985449600, 2),
                crate::generated::new_transition(1002384000, 1),
                crate::generated::new_transition(1017504000, 2),
                crate::generated::new_transition(1033833600, 1),
                crate::generated::new_transition(1048953600, 2),
                crate::generated::new_transition(1065283200, 1),
                crate::generated::new_transition(1080403200, 2),
                crate::generated::new_transition(1096732800, 1),
                crate::generated::new_transition(1111852800, 2),
                crate::generated::new_transition(1128182400, 1),
                crate::generated::new_transition(1143907200, 2),
                crate::generated::new_transition(1159632000, 1),
                crate::generated::new_transition(1174752000, 2),
                crate::generated::new_transition(1191686400, 1),
            ],
            &[
                crate::generated::new_local_time_type(35356, false, Some(b"LMT")),
                crate::generated::new_local_time_type(39600, true, Some(b"AEDT")),
                crate::generated::new_local_time_type(36000, false, Some(b"AEST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(36000, false, Some(b"AEST")),
                    crate::generated::new_local_time_type(39600, true, Some(b"AEDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 1, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(4, 1, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const AUSTRALIA_DARWIN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2364108200, 1),
                crate::generated::new_transition(-2230189200, 3),
                crate::generated::new_transition(-1672558200, 2),
                crate::generated::new_transition(-1665387000, 3),
                crate::generated::new_transition(-883639800, 2),
                crate::generated::new_transition(-876123000, 3),
                crate::generated::new_transition(-860398200, 2),
                crate::generated::new_transition(-844673400, 3),
                crate::generated::new_transition(-828343800, 2),
                crate::generated::new_transition(-813223800, 3),
            ],
            &[
                crate::generated::new_local_time_type(31400, false, Some(b"LMT")),
                crate::generated::new_local_time_type(32400, false, Some(b"ACST")),
                crate::generated::new_local_time_type(37800, true, Some(b"ACDT")),
                crate::generated::new_local_time_type(34200, false, Some(b"ACST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(34200, false, Some(b"ACST")),
            )),
        );

    pub(crate) const AUSTRALIA_EUCLA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2337928528, 2),
                crate::generated::new_transition(-1672555500, 1),
                crate::generated::new_transition(-1665384300, 2),
                crate::generated::new_transition(-883637100, 1),
                crate::generated::new_transition(-876120300, 2),
                crate::generated::new_transition(-860395500, 1),
                crate::generated::new_transition(-844670700, 2),
                crate::generated::new_transition(152039700, 1),
                crate::generated::new_transition(162926100, 2),
                crate::generated::new_transition(436295700, 1),
                crate::generated::new_transition(447182100, 2),
                crate::generated::new_transition(690311700, 1),
                crate::generated::new_transition(699383700, 2),
                crate::generated::new_transition(1165079700, 1),
                crate::generated::new_transition(1174756500, 2),
                crate::generated::new_transition(1193505300, 1),
                crate::generated::new_transition(1206810900, 2),
                crate::generated::new_transition(1224954900, 1),
                crate::generated::new_transition(1238260500, 2),
            ],
            &[
                crate::generated::new_local_time_type(30928, false, Some(b"LMT")),
                crate::generated::new_local_time_type(35100, true, Some(b"+0945")),
                crate::generated::new_local_time_type(31500, false, Some(b"+0845")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(31500, false, Some(b"+0845")),
            )),
        );

    pub(crate) const AUSTRALIA_LHI: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2364114980, 1),
            crate::generated::new_transition(352216800, 3),
            crate::generated::new_transition(372785400, 2),
            crate::generated::new_transition(384273000, 3),
            crate::generated::new_transition(404839800, 2),
            crate::generated::new_transition(415722600, 3),
            crate::generated::new_transition(436289400, 2),
            crate::generated::new_transition(447172200, 3),
            crate::generated::new_transition(467739000, 2),
            crate::generated::new_transition(478621800, 3),
            crate::generated::new_transition(499188600, 4),
            crate::generated::new_transition(511282800, 3),
            crate::generated::new_transition(530033400, 4),
            crate::generated::new_transition(542732400, 3),
            crate::generated::new_transition(562087800, 4),
            crate::generated::new_transition(574786800, 3),
            crate::generated::new_transition(594142200, 4),
            crate::generated::new_transition(606236400, 3),
            crate::generated::new_transition(625591800, 4),
            crate::generated::new_transition(636476400, 3),
            crate::generated::new_transition(657041400, 4),
            crate::generated::new_transition(667926000, 3),
            crate::generated::new_transition(688491000, 4),
            crate::generated::new_transition(699375600, 3),
            crate::generated::new_transition(719940600, 4),
            crate::generated::new_transition(731430000, 3),
            crate::generated::new_transition(751995000, 4),
            crate::generated::new_transition(762879600, 3),
            crate::generated::new_transition(783444600, 4),
            crate::generated::new_transition(794329200, 3),
            crate::generated::new_transition(814894200, 4),
            crate::generated::new_transition(828198000, 3),
            crate::generated::new_transition(846343800, 4),
            crate::generated::new_transition(859647600, 3),
            crate::generated::new_transition(877793400, 4),
            crate::generated::new_transition(891097200, 3),
            crate::generated::new_transition(909243000, 4),
            crate::generated::new_transition(922546800, 3),
            crate::generated::new_transition(941297400, 4),
            crate::generated::new_transition(953996400, 3),
            crate::generated::new_transition(967303800, 4),
            crate::generated::new_transition(985446000, 3),
            crate::generated::new_transition(1004196600, 4),
            crate::generated::new_transition(1017500400, 3),
            crate::generated::new_transition(1035646200, 4),
            crate::generated::new_transition(1048950000, 3),
            crate::generated::new_transition(1067095800, 4),
            crate::generated::new_transition(1080399600, 3),
            crate::generated::new_transition(1099150200, 4),
            crate::generated::new_transition(1111849200, 3),
            crate::generated::new_transition(1130599800, 4),
            crate::generated::new_transition(1143903600, 3),
            crate::generated::new_transition(1162049400, 4),
            crate::generated::new_transition(1174748400, 3),
            crate::generated::new_transition(1193499000, 4),
            crate::generated::new_transition(1207407600, 3),
        ],
        &[
            crate::generated::new_local_time_type(38180, false, Some(b"LMT")),
            crate::generated::new_local_time_type(36000, false, Some(b"AEST")),
            crate::generated::new_local_time_type(41400, true, Some(b"+1130")),
            crate::generated::new_local_time_type(37800, false, Some(b"+1030")),
            crate::generated::new_local_time_type(39600, true, Some(b"+11")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(37800, false, Some(b"+1030")),
                crate::generated::new_local_time_type(39600, true, Some(b"+11")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 1, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(4, 1, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const AUSTRALIA_LINDEMAN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2366790956, 2),
                crate::generated::new_transition(-1672560000, 1),
                crate::generated::new_transition(-1665388800, 2),
                crate::generated::new_transition(-883641600, 1),
                crate::generated::new_transition(-876124800, 2),
                crate::generated::new_transition(-860400000, 1),
                crate::generated::new_transition(-844675200, 2),
                crate::generated::new_transition(-828345600, 1),
                crate::generated::new_transition(-813225600, 2),
                crate::generated::new_transition(57686400, 1),
                crate::generated::new_transition(67968000, 2),
                crate::generated::new_transition(625593600, 1),
                crate::generated::new_transition(636480000, 2),
                crate::generated::new_transition(657043200, 1),
                crate::generated::new_transition(667929600, 2),
                crate::generated::new_transition(688492800, 1),
                crate::generated::new_transition(699379200, 2),
                crate::generated::new_transition(719942400, 1),
                crate::generated::new_transition(731433600, 2),
                crate::generated::new_transition(751996800, 1),
                crate::generated::new_transition(762883200, 2),
            ],
            &[
                crate::generated::new_local_time_type(35756, false, Some(b"LMT")),
                crate::generated::new_local_time_type(39600, true, Some(b"AEDT")),
                crate::generated::new_local_time_type(36000, false, Some(b"AEST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(36000, false, Some(b"AEST")),
            )),
        );

    pub(crate) const AUSTRALIA_MELBOURNE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2364111592, 2),
                crate::generated::new_transition(-1672560000, 1),
                crate::generated::new_transition(-1665388800, 2),
                crate::generated::new_transition(-883641600, 1),
                crate::generated::new_transition(-876124800, 2),
                crate::generated::new_transition(-860400000, 1),
                crate::generated::new_transition(-844675200, 2),
                crate::generated::new_transition(-828345600, 1),
                crate::generated::new_transition(-813225600, 2),
                crate::generated::new_transition(57686400, 1),
                crate::generated::new_transition(67968000, 2),
                crate::generated::new_transition(89136000, 1),
                crate::generated::new_transition(100022400, 2),
                crate::generated::new_transition(120585600, 1),
                crate::generated::new_transition(131472000, 2),
                crate::generated::new_transition(152035200, 1),
                crate::generated::new_transition(162921600, 2),
                crate::generated::new_transition(183484800, 1),
                crate::generated::new_transition(194976000, 2),
                crate::generated::new_transition(215539200, 1),
                crate::generated::new_transition(226425600, 2),
                crate::generated::new_transition(246988800, 1),
                crate::generated::new_transition(257875200, 2),
                crate::generated::new_transition(278438400, 1),
                crate::generated::new_transition(289324800, 2),
                crate::generated::new_transition(309888000, 1),
                crate::generated::new_transition(320774400, 2),
                crate::generated::new_transition(341337600, 1),
                crate::generated::new_transition(352224000, 2),
                crate::generated::new_transition(372787200, 1),
                crate::generated::new_transition(384278400, 2),
                crate::generated::new_transition(404841600, 1),
                crate::generated::new_transition(415728000, 2),
                crate::generated::new_transition(436291200, 1),
                crate::generated::new_transition(447177600, 2),
                crate::generated::new_transition(467740800, 1),
                crate::generated::new_transition(478627200, 2),
                crate::generated::new_transition(499190400, 1),
                crate::generated::new_transition(511286400, 2),
                crate::generated::new_transition(530035200, 1),
                crate::generated::new_transition(542736000, 2),
                crate::generated::new_transition(561484800, 1),
                crate::generated::new_transition(574790400, 2),
                crate::generated::new_transition(594144000, 1),
                crate::generated::new_transition(606240000, 2),
                crate::generated::new_transition(625593600, 1),
                crate::generated::new_transition(637689600, 2),
                crate::generated::new_transition(657043200, 1),
                crate::generated::new_transition(667929600, 2),
                crate::generated::new_transition(688492800, 1),
                crate::generated::new_transition(699379200, 2),
                crate::generated::new_transition(719942400, 1),
                crate::generated::new_transition(731433600, 2),
                crate::generated::new_transition(751996800, 1),
                crate::generated::new_transition(762883200, 2),
                crate::generated::new_transition(783446400, 1),
                crate::generated::new_transition(796147200, 2),
                crate::generated::new_transition(814896000, 1),
                crate::generated::new_transition(828201600, 2),
                crate::generated::new_transition(846345600, 1),
                crate::generated::new_transition(859651200, 2),
                crate::generated::new_transition(877795200, 1),
                crate::generated::new_transition(891100800, 2),
                crate::generated::new_transition(909244800, 1),
                crate::generated::new_transition(922550400, 2),
                crate::generated::new_transition(941299200, 1),
                crate::generated::new_transition(954000000, 2),
                crate::generated::new_transition(967305600, 1),
                crate::generated::new_transition(985449600, 2),
                crate::generated::new_transition(1004198400, 1),
                crate::generated::new_transition(1017504000, 2),
                crate::generated::new_transition(1035648000, 1),
                crate::generated::new_transition(1048953600, 2),
                crate::generated::new_transition(1067097600, 1),
                crate::generated::new_transition(1080403200, 2),
                crate::generated::new_transition(1099152000, 1),
                crate::generated::new_transition(1111852800, 2),
                crate::generated::new_transition(1130601600, 1),
                crate::generated::new_transition(1143907200, 2),
                crate::generated::new_transition(1162051200, 1),
                crate::generated::new_transition(1174752000, 2),
                crate::generated::new_transition(1193500800, 1),
                crate::generated::new_transition(1207411200, 2),
            ],
            &[
                crate::generated::new_local_time_type(34792, false, Some(b"LMT")),
                crate::generated::new_local_time_type(39600, true, Some(b"AEDT")),
                crate::generated::new_local_time_type(36000, false, Some(b"AEST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(36000, false, Some(b"AEST")),
                    crate::generated::new_local_time_type(39600, true, Some(b"AEDT")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 1, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(4, 1, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const AUSTRALIA_PERTH: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2337925404, 2),
                crate::generated::new_transition(-1672552800, 1),
                crate::generated::new_transition(-1665381600, 2),
                crate::generated::new_transition(-883634400, 1),
                crate::generated::new_transition(-876117600, 2),
                crate::generated::new_transition(-860392800, 1),
                crate::generated::new_transition(-844668000, 2),
                crate::generated::new_transition(152042400, 1),
                crate::generated::new_transition(162928800, 2),
                crate::generated::new_transition(436298400, 1),
                crate::generated::new_transition(447184800, 2),
                crate::generated::new_transition(690314400, 1),
                crate::generated::new_transition(699386400, 2),
                crate::generated::new_transition(1165082400, 1),
                crate::generated::new_transition(1174759200, 2),
                crate::generated::new_transition(1193508000, 1),
                crate::generated::new_transition(1206813600, 2),
                crate::generated::new_transition(1224957600, 1),
                crate::generated::new_transition(1238263200, 2),
            ],
            &[
                crate::generated::new_local_time_type(27804, false, Some(b"LMT")),
                crate::generated::new_local_time_type(32400, true, Some(b"AWDT")),
                crate::generated::new_local_time_type(28800, false, Some(b"AWST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(28800, false, Some(b"AWST")),
            )),
        );

    pub(crate) const CET: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1693706400, 1),
            crate::generated::new_transition(-1680483600, 0),
            crate::generated::new_transition(-1663455600, 1),
            crate::generated::new_transition(-1650150000, 0),
            crate::generated::new_transition(-1632006000, 1),
            crate::generated::new_transition(-1618700400, 0),
            crate::generated::new_transition(-938905200, 1),
            crate::generated::new_transition(-857257200, 0),
            crate::generated::new_transition(-844556400, 1),
            crate::generated::new_transition(-828226800, 0),
            crate::generated::new_transition(-812502000, 1),
            crate::generated::new_transition(-796777200, 0),
            crate::generated::new_transition(-781052400, 1),
            crate::generated::new_transition(-766623600, 0),
            crate::generated::new_transition(228877200, 1),
            crate::generated::new_transition(243997200, 0),
            crate::generated::new_transition(260326800, 1),
            crate::generated::new_transition(276051600, 0),
            crate::generated::new_transition(291776400, 1),
            crate::generated::new_transition(307501200, 0),
            crate::generated::new_transition(323830800, 1),
            crate::generated::new_transition(338950800, 0),
            crate::generated::new_transition(354675600, 1),
            crate::generated::new_transition(370400400, 0),
            crate::generated::new_transition(386125200, 1),
            crate::generated::new_transition(401850000, 0),
            crate::generated::new_transition(417574800, 1),
            crate::generated::new_transition(433299600, 0),
            crate::generated::new_transition(449024400, 1),
            crate::generated::new_transition(465354000, 0),
            crate::generated::new_transition(481078800, 1),
            crate::generated::new_transition(496803600, 0),
            crate::generated::new_transition(512528400, 1),
            crate::generated::new_transition(528253200, 0),
            crate::generated::new_transition(543978000, 1),
            crate::generated::new_transition(559702800, 0),
            crate::generated::new_transition(575427600, 1),
            crate::generated::new_transition(591152400, 0),
            crate::generated::new_transition(606877200, 1),
            crate::generated::new_transition(622602000, 0),
            crate::generated::new_transition(638326800, 1),
            crate::generated::new_transition(654656400, 0),
            crate::generated::new_transition(670381200, 1),
            crate::generated::new_transition(686106000, 0),
            crate::generated::new_transition(701830800, 1),
            crate::generated::new_transition(717555600, 0),
            crate::generated::new_transition(733280400, 1),
            crate::generated::new_transition(749005200, 0),
            crate::generated::new_transition(764730000, 1),
            crate::generated::new_transition(780454800, 0),
            crate::generated::new_transition(796179600, 1),
            crate::generated::new_transition(811904400, 0),
            crate::generated::new_transition(828234000, 1),
        ],
        &[
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const CHILE_EASTER_ISLAND: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524495352, 1),
                crate::generated::new_transition(-1178124152, 3),
                crate::generated::new_transition(-36619200, 2),
                crate::generated::new_transition(-23922000, 3),
                crate::generated::new_transition(-3355200, 2),
                crate::generated::new_transition(7527600, 3),
                crate::generated::new_transition(24465600, 2),
                crate::generated::new_transition(37767600, 3),
                crate::generated::new_transition(55915200, 2),
                crate::generated::new_transition(69217200, 3),
                crate::generated::new_transition(87969600, 2),
                crate::generated::new_transition(100666800, 3),
                crate::generated::new_transition(118209600, 2),
                crate::generated::new_transition(132116400, 3),
                crate::generated::new_transition(150868800, 2),
                crate::generated::new_transition(163566000, 3),
                crate::generated::new_transition(182318400, 2),
                crate::generated::new_transition(195620400, 3),
                crate::generated::new_transition(213768000, 2),
                crate::generated::new_transition(227070000, 3),
                crate::generated::new_transition(245217600, 2),
                crate::generated::new_transition(258519600, 3),
                crate::generated::new_transition(277272000, 2),
                crate::generated::new_transition(289969200, 3),
                crate::generated::new_transition(308721600, 2),
                crate::generated::new_transition(321418800, 3),
                crate::generated::new_transition(340171200, 2),
                crate::generated::new_transition(353473200, 3),
                crate::generated::new_transition(371620800, 2),
                crate::generated::new_transition(384922800, 4),
                crate::generated::new_transition(403070400, 5),
                crate::generated::new_transition(416372400, 4),
                crate::generated::new_transition(434520000, 5),
                crate::generated::new_transition(447822000, 4),
                crate::generated::new_transition(466574400, 5),
                crate::generated::new_transition(479271600, 4),
                crate::generated::new_transition(498024000, 5),
                crate::generated::new_transition(510721200, 4),
                crate::generated::new_transition(529473600, 5),
                crate::generated::new_transition(545194800, 4),
                crate::generated::new_transition(560923200, 5),
                crate::generated::new_transition(574225200, 4),
                crate::generated::new_transition(592372800, 5),
                crate::generated::new_transition(605674800, 4),
                crate::generated::new_transition(624427200, 5),
                crate::generated::new_transition(637124400, 4),
                crate::generated::new_transition(653457600, 5),
                crate::generated::new_transition(668574000, 4),
                crate::generated::new_transition(687326400, 5),
                crate::generated::new_transition(700628400, 4),
                crate::generated::new_transition(718776000, 5),
                crate::generated::new_transition(732078000, 4),
                crate::generated::new_transition(750225600, 5),
                crate::generated::new_transition(763527600, 4),
                crate::generated::new_transition(781675200, 5),
                crate::generated::new_transition(794977200, 4),
                crate::generated::new_transition(813729600, 5),
                crate::generated::new_transition(826426800, 4),
                crate::generated::new_transition(845179200, 5),
                crate::generated::new_transition(859690800, 4),
                crate::generated::new_transition(876628800, 5),
                crate::generated::new_transition(889930800, 4),
                crate::generated::new_transition(906868800, 5),
                crate::generated::new_transition(923194800, 4),
                crate::generated::new_transition(939528000, 5),
                crate::generated::new_transition(952830000, 4),
                crate::generated::new_transition(971582400, 5),
                crate::generated::new_transition(984279600, 4),
                crate::generated::new_transition(1003032000, 5),
                crate::generated::new_transition(1015729200, 4),
                crate::generated::new_transition(1034481600, 5),
                crate::generated::new_transition(1047178800, 4),
                crate::generated::new_transition(1065931200, 5),
                crate::generated::new_transition(1079233200, 4),
                crate::generated::new_transition(1097380800, 5),
                crate::generated::new_transition(1110682800, 4),
                crate::generated::new_transition(1128830400, 5),
                crate::generated::new_transition(1142132400, 4),
                crate::generated::new_transition(1160884800, 5),
                crate::generated::new_transition(1173582000, 4),
                crate::generated::new_transition(1192334400, 5),
                crate::generated::new_transition(1206846000, 4),
                crate::generated::new_transition(1223784000, 5),
                crate::generated::new_transition(1237086000, 4),
                crate::generated::new_transition(1255233600, 5),
                crate::generated::new_transition(1270350000, 4),
                crate::generated::new_transition(1286683200, 5),
                crate::generated::new_transition(1304823600, 4),
                crate::generated::new_transition(1313899200, 5),
                crate::generated::new_transition(1335668400, 4),
                crate::generated::new_transition(1346558400, 5),
                crate::generated::new_transition(1367118000, 4),
                crate::generated::new_transition(1378612800, 5),
                crate::generated::new_transition(1398567600, 4),
                crate::generated::new_transition(1410062400, 5),
                crate::generated::new_transition(1463281200, 4),
                crate::generated::new_transition(1471147200, 5),
                crate::generated::new_transition(1494730800, 4),
                crate::generated::new_transition(1502596800, 5),
                crate::generated::new_transition(1526180400, 4),
                crate::generated::new_transition(1534046400, 5),
                crate::generated::new_transition(1554606000, 4),
                crate::generated::new_transition(1567915200, 5),
                crate::generated::new_transition(1586055600, 4),
                crate::generated::new_transition(1599364800, 5),
                crate::generated::new_transition(1617505200, 4),
                crate::generated::new_transition(1630814400, 5),
                crate::generated::new_transition(1648954800, 4),
                crate::generated::new_transition(1662868800, 5),
                crate::generated::new_transition(1680404400, 4),
            ],
            &[
                crate::generated::new_local_time_type(-26248, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-26248, false, Some(b"EMT")),
                crate::generated::new_local_time_type(-21600, true, Some(b"-06")),
                crate::generated::new_local_time_type(-25200, false, Some(b"-07")),
                crate::generated::new_local_time_type(-21600, false, Some(b"-06")),
                crate::generated::new_local_time_type(-18000, true, Some(b"-05")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(-21600, false, Some(b"-06")),
                    crate::generated::new_local_time_type(-18000, true, Some(b"-05")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(9, 1, 6)),
                    79200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(4, 1, 6)),
                    79200,
                ),
            )),
        );

    pub(crate) const CST_6_CDT: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1633276800, 1),
            crate::generated::new_transition(-1615136400, 0),
            crate::generated::new_transition(-1601827200, 1),
            crate::generated::new_transition(-1583686800, 0),
            crate::generated::new_transition(-880214400, 2),
            crate::generated::new_transition(-769395600, 3),
            crate::generated::new_transition(-765392400, 0),
            crate::generated::new_transition(-84384000, 1),
            crate::generated::new_transition(-68662800, 0),
            crate::generated::new_transition(-52934400, 1),
            crate::generated::new_transition(-37213200, 0),
            crate::generated::new_transition(-21484800, 1),
            crate::generated::new_transition(-5763600, 0),
            crate::generated::new_transition(9964800, 1),
            crate::generated::new_transition(25686000, 0),
            crate::generated::new_transition(41414400, 1),
            crate::generated::new_transition(57740400, 0),
            crate::generated::new_transition(73468800, 1),
            crate::generated::new_transition(89190000, 0),
            crate::generated::new_transition(104918400, 1),
            crate::generated::new_transition(120639600, 0),
            crate::generated::new_transition(126691200, 1),
            crate::generated::new_transition(152089200, 0),
            crate::generated::new_transition(162374400, 1),
            crate::generated::new_transition(183538800, 0),
            crate::generated::new_transition(199267200, 1),
            crate::generated::new_transition(215593200, 0),
            crate::generated::new_transition(230716800, 1),
            crate::generated::new_transition(247042800, 0),
            crate::generated::new_transition(262771200, 1),
            crate::generated::new_transition(278492400, 0),
            crate::generated::new_transition(294220800, 1),
            crate::generated::new_transition(309942000, 0),
            crate::generated::new_transition(325670400, 1),
            crate::generated::new_transition(341391600, 0),
            crate::generated::new_transition(357120000, 1),
            crate::generated::new_transition(372841200, 0),
            crate::generated::new_transition(388569600, 1),
            crate::generated::new_transition(404895600, 0),
            crate::generated::new_transition(420019200, 1),
            crate::generated::new_transition(436345200, 0),
            crate::generated::new_transition(452073600, 1),
            crate::generated::new_transition(467794800, 0),
            crate::generated::new_transition(483523200, 1),
            crate::generated::new_transition(499244400, 0),
            crate::generated::new_transition(514972800, 1),
            crate::generated::new_transition(530694000, 0),
            crate::generated::new_transition(544608000, 1),
            crate::generated::new_transition(562143600, 0),
            crate::generated::new_transition(576057600, 1),
            crate::generated::new_transition(594198000, 0),
            crate::generated::new_transition(607507200, 1),
            crate::generated::new_transition(625647600, 0),
            crate::generated::new_transition(638956800, 1),
            crate::generated::new_transition(657097200, 0),
            crate::generated::new_transition(671011200, 1),
            crate::generated::new_transition(688546800, 0),
            crate::generated::new_transition(702460800, 1),
            crate::generated::new_transition(719996400, 0),
            crate::generated::new_transition(733910400, 1),
            crate::generated::new_transition(752050800, 0),
            crate::generated::new_transition(765360000, 1),
            crate::generated::new_transition(783500400, 0),
            crate::generated::new_transition(796809600, 1),
            crate::generated::new_transition(814950000, 0),
            crate::generated::new_transition(828864000, 1),
            crate::generated::new_transition(846399600, 0),
            crate::generated::new_transition(860313600, 1),
            crate::generated::new_transition(877849200, 0),
            crate::generated::new_transition(891763200, 1),
            crate::generated::new_transition(909298800, 0),
            crate::generated::new_transition(923212800, 1),
            crate::generated::new_transition(941353200, 0),
            crate::generated::new_transition(954662400, 1),
            crate::generated::new_transition(972802800, 0),
            crate::generated::new_transition(986112000, 1),
            crate::generated::new_transition(1004252400, 0),
            crate::generated::new_transition(1018166400, 1),
            crate::generated::new_transition(1035702000, 0),
            crate::generated::new_transition(1049616000, 1),
            crate::generated::new_transition(1067151600, 0),
            crate::generated::new_transition(1081065600, 1),
            crate::generated::new_transition(1099206000, 0),
            crate::generated::new_transition(1112515200, 1),
            crate::generated::new_transition(1130655600, 0),
            crate::generated::new_transition(1143964800, 1),
            crate::generated::new_transition(1162105200, 0),
            crate::generated::new_transition(1173600000, 1),
        ],
        &[
            crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
            crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
            crate::generated::new_local_time_type(-18000, true, Some(b"CWT")),
            crate::generated::new_local_time_type(-18000, true, Some(b"CPT")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(-21600, false, Some(b"CST")),
                crate::generated::new_local_time_type(-18000, true, Some(b"CDT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const CUBA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2524501832, 1),
            crate::generated::new_transition(-1402813824, 3),
            crate::generated::new_transition(-1311534000, 2),
            crate::generated::new_transition(-1300996800, 3),
            crate::generated::new_transition(-933534000, 2),
            crate::generated::new_transition(-925675200, 3),
            crate::generated::new_transition(-902084400, 2),
            crate::generated::new_transition(-893620800, 3),
            crate::generated::new_transition(-870030000, 2),
            crate::generated::new_transition(-862171200, 3),
            crate::generated::new_transition(-775681200, 2),
            crate::generated::new_transition(-767822400, 3),
            crate::generated::new_transition(-744231600, 2),
            crate::generated::new_transition(-736372800, 3),
            crate::generated::new_transition(-144702000, 2),
            crate::generated::new_transition(-134251200, 3),
            crate::generated::new_transition(-113425200, 2),
            crate::generated::new_transition(-102542400, 3),
            crate::generated::new_transition(-86295600, 2),
            crate::generated::new_transition(-72907200, 3),
            crate::generated::new_transition(-54154800, 2),
            crate::generated::new_transition(-41457600, 3),
            crate::generated::new_transition(-21495600, 2),
            crate::generated::new_transition(-5774400, 3),
            crate::generated::new_transition(9954000, 2),
            crate::generated::new_transition(25675200, 3),
            crate::generated::new_transition(41403600, 2),
            crate::generated::new_transition(57729600, 3),
            crate::generated::new_transition(73458000, 2),
            crate::generated::new_transition(87364800, 3),
            crate::generated::new_transition(104907600, 2),
            crate::generated::new_transition(118900800, 3),
            crate::generated::new_transition(136357200, 2),
            crate::generated::new_transition(150436800, 3),
            crate::generated::new_transition(167806800, 2),
            crate::generated::new_transition(183528000, 3),
            crate::generated::new_transition(199256400, 2),
            crate::generated::new_transition(215582400, 3),
            crate::generated::new_transition(230706000, 2),
            crate::generated::new_transition(247032000, 3),
            crate::generated::new_transition(263365200, 2),
            crate::generated::new_transition(276667200, 3),
            crate::generated::new_transition(290581200, 2),
            crate::generated::new_transition(308721600, 3),
            crate::generated::new_transition(322030800, 2),
            crate::generated::new_transition(340171200, 3),
            crate::generated::new_transition(358318800, 2),
            crate::generated::new_transition(371620800, 3),
            crate::generated::new_transition(389768400, 2),
            crate::generated::new_transition(403070400, 3),
            crate::generated::new_transition(421218000, 2),
            crate::generated::new_transition(434520000, 3),
            crate::generated::new_transition(452667600, 2),
            crate::generated::new_transition(466574400, 3),
            crate::generated::new_transition(484117200, 2),
            crate::generated::new_transition(498024000, 3),
            crate::generated::new_transition(511333200, 2),
            crate::generated::new_transition(529473600, 3),
            crate::generated::new_transition(542782800, 2),
            crate::generated::new_transition(560923200, 3),
            crate::generated::new_transition(574837200, 2),
            crate::generated::new_transition(592372800, 3),
            crate::generated::new_transition(606286800, 2),
            crate::generated::new_transition(623822400, 3),
            crate::generated::new_transition(638946000, 2),
            crate::generated::new_transition(655876800, 3),
            crate::generated::new_transition(671000400, 2),
            crate::generated::new_transition(687330000, 3),
            crate::generated::new_transition(702450000, 2),
            crate::generated::new_transition(718779600, 3),
            crate::generated::new_transition(733899600, 2),
            crate::generated::new_transition(750229200, 3),
            crate::generated::new_transition(765349200, 2),
            crate::generated::new_transition(781678800, 3),
            crate::generated::new_transition(796798800, 2),
            crate::generated::new_transition(813128400, 3),
            crate::generated::new_transition(828853200, 2),
            crate::generated::new_transition(844578000, 3),
            crate::generated::new_transition(860302800, 2),
            crate::generated::new_transition(876632400, 3),
            crate::generated::new_transition(891147600, 2),
            crate::generated::new_transition(909291600, 3),
            crate::generated::new_transition(922597200, 2),
            crate::generated::new_transition(941346000, 3),
            crate::generated::new_transition(954651600, 2),
            crate::generated::new_transition(972795600, 3),
            crate::generated::new_transition(986101200, 2),
            crate::generated::new_transition(1004245200, 3),
            crate::generated::new_transition(1018155600, 2),
            crate::generated::new_transition(1035694800, 3),
            crate::generated::new_transition(1049605200, 2),
            crate::generated::new_transition(1067144400, 3),
            crate::generated::new_transition(1080450000, 2),
            crate::generated::new_transition(1162098000, 3),
            crate::generated::new_transition(1173589200, 2),
            crate::generated::new_transition(1193547600, 3),
            crate::generated::new_transition(1205643600, 2),
            crate::generated::new_transition(1224997200, 3),
            crate::generated::new_transition(1236488400, 2),
            crate::generated::new_transition(1256446800, 3),
            crate::generated::new_transition(1268542800, 2),
            crate::generated::new_transition(1288501200, 3),
            crate::generated::new_transition(1300597200, 2),
            crate::generated::new_transition(1321160400, 3),
            crate::generated::new_transition(1333256400, 2),
            crate::generated::new_transition(1352005200, 3),
        ],
        &[
            crate::generated::new_local_time_type(-19768, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-19776, false, Some(b"HMT")),
            crate::generated::new_local_time_type(-14400, true, Some(b"CDT")),
            crate::generated::new_local_time_type(-18000, false, Some(b"CST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(-18000, false, Some(b"CST")),
                crate::generated::new_local_time_type(-14400, true, Some(b"CDT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                0,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                3600,
            ),
        )),
    );

    pub(crate) const EET: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(228877200, 1),
            crate::generated::new_transition(243997200, 0),
            crate::generated::new_transition(260326800, 1),
            crate::generated::new_transition(276051600, 0),
            crate::generated::new_transition(291776400, 1),
            crate::generated::new_transition(307501200, 0),
            crate::generated::new_transition(323830800, 1),
            crate::generated::new_transition(338950800, 0),
            crate::generated::new_transition(354675600, 1),
            crate::generated::new_transition(370400400, 0),
            crate::generated::new_transition(386125200, 1),
            crate::generated::new_transition(401850000, 0),
            crate::generated::new_transition(417574800, 1),
            crate::generated::new_transition(433299600, 0),
            crate::generated::new_transition(449024400, 1),
            crate::generated::new_transition(465354000, 0),
            crate::generated::new_transition(481078800, 1),
            crate::generated::new_transition(496803600, 0),
            crate::generated::new_transition(512528400, 1),
            crate::generated::new_transition(528253200, 0),
            crate::generated::new_transition(543978000, 1),
            crate::generated::new_transition(559702800, 0),
            crate::generated::new_transition(575427600, 1),
            crate::generated::new_transition(591152400, 0),
            crate::generated::new_transition(606877200, 1),
            crate::generated::new_transition(622602000, 0),
            crate::generated::new_transition(638326800, 1),
            crate::generated::new_transition(654656400, 0),
            crate::generated::new_transition(670381200, 1),
            crate::generated::new_transition(686106000, 0),
            crate::generated::new_transition(701830800, 1),
            crate::generated::new_transition(717555600, 0),
            crate::generated::new_transition(733280400, 1),
            crate::generated::new_transition(749005200, 0),
            crate::generated::new_transition(764730000, 1),
            crate::generated::new_transition(780454800, 0),
            crate::generated::new_transition(796179600, 1),
            crate::generated::new_transition(811904400, 0),
            crate::generated::new_transition(828234000, 1),
        ],
        &[
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                10800,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                14400,
            ),
        )),
    );

    pub(crate) const EGYPT: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2185409109, 2),
            crate::generated::new_transition(-929844000, 1),
            crate::generated::new_transition(-923108400, 2),
            crate::generated::new_transition(-906170400, 1),
            crate::generated::new_transition(-892868400, 2),
            crate::generated::new_transition(-875844000, 1),
            crate::generated::new_transition(-857790000, 2),
            crate::generated::new_transition(-844308000, 1),
            crate::generated::new_transition(-825822000, 2),
            crate::generated::new_transition(-812685600, 1),
            crate::generated::new_transition(-794199600, 2),
            crate::generated::new_transition(-779853600, 1),
            crate::generated::new_transition(-762663600, 2),
            crate::generated::new_transition(-399088800, 1),
            crate::generated::new_transition(-386650800, 2),
            crate::generated::new_transition(-368330400, 1),
            crate::generated::new_transition(-355114800, 2),
            crate::generated::new_transition(-336790800, 1),
            crate::generated::new_transition(-323654400, 2),
            crate::generated::new_transition(-305168400, 1),
            crate::generated::new_transition(-292032000, 2),
            crate::generated::new_transition(-273632400, 1),
            crate::generated::new_transition(-260496000, 2),
            crate::generated::new_transition(-242096400, 1),
            crate::generated::new_transition(-228960000, 2),
            crate::generated::new_transition(-210560400, 1),
            crate::generated::new_transition(-197424000, 2),
            crate::generated::new_transition(-178938000, 1),
            crate::generated::new_transition(-165801600, 2),
            crate::generated::new_transition(-147402000, 1),
            crate::generated::new_transition(-134265600, 2),
            crate::generated::new_transition(-115866000, 1),
            crate::generated::new_transition(-102643200, 2),
            crate::generated::new_transition(-84330000, 1),
            crate::generated::new_transition(-71107200, 2),
            crate::generated::new_transition(-52707600, 1),
            crate::generated::new_transition(-39484800, 2),
            crate::generated::new_transition(-21171600, 1),
            crate::generated::new_transition(-7948800, 2),
            crate::generated::new_transition(10364400, 1),
            crate::generated::new_transition(23587200, 2),
            crate::generated::new_transition(41900400, 1),
            crate::generated::new_transition(55123200, 2),
            crate::generated::new_transition(73522800, 1),
            crate::generated::new_transition(86745600, 2),
            crate::generated::new_transition(105058800, 1),
            crate::generated::new_transition(118281600, 2),
            crate::generated::new_transition(136594800, 1),
            crate::generated::new_transition(149817600, 2),
            crate::generated::new_transition(168130800, 1),
            crate::generated::new_transition(181353600, 2),
            crate::generated::new_transition(199753200, 1),
            crate::generated::new_transition(212976000, 2),
            crate::generated::new_transition(231289200, 1),
            crate::generated::new_transition(244512000, 2),
            crate::generated::new_transition(262825200, 1),
            crate::generated::new_transition(276048000, 2),
            crate::generated::new_transition(294361200, 1),
            crate::generated::new_transition(307584000, 2),
            crate::generated::new_transition(325983600, 1),
            crate::generated::new_transition(339206400, 2),
            crate::generated::new_transition(357519600, 1),
            crate::generated::new_transition(370742400, 2),
            crate::generated::new_transition(396399600, 1),
            crate::generated::new_transition(402278400, 2),
            crate::generated::new_transition(426812400, 1),
            crate::generated::new_transition(433814400, 2),
            crate::generated::new_transition(452214000, 1),
            crate::generated::new_transition(465436800, 2),
            crate::generated::new_transition(483750000, 1),
            crate::generated::new_transition(496972800, 2),
            crate::generated::new_transition(515286000, 1),
            crate::generated::new_transition(528508800, 2),
            crate::generated::new_transition(546822000, 1),
            crate::generated::new_transition(560044800, 2),
            crate::generated::new_transition(578444400, 1),
            crate::generated::new_transition(591667200, 2),
            crate::generated::new_transition(610412400, 1),
            crate::generated::new_transition(623203200, 2),
            crate::generated::new_transition(641516400, 1),
            crate::generated::new_transition(654739200, 2),
            crate::generated::new_transition(673052400, 1),
            crate::generated::new_transition(686275200, 2),
            crate::generated::new_transition(704674800, 1),
            crate::generated::new_transition(717897600, 2),
            crate::generated::new_transition(736210800, 1),
            crate::generated::new_transition(749433600, 2),
            crate::generated::new_transition(767746800, 1),
            crate::generated::new_transition(780969600, 2),
            crate::generated::new_transition(799020000, 1),
            crate::generated::new_transition(812322000, 2),
            crate::generated::new_transition(830469600, 1),
            crate::generated::new_transition(843771600, 2),
            crate::generated::new_transition(861919200, 1),
            crate::generated::new_transition(875221200, 2),
            crate::generated::new_transition(893368800, 1),
            crate::generated::new_transition(906670800, 2),
            crate::generated::new_transition(925423200, 1),
            crate::generated::new_transition(938725200, 2),
            crate::generated::new_transition(956872800, 1),
            crate::generated::new_transition(970174800, 2),
            crate::generated::new_transition(988322400, 1),
            crate::generated::new_transition(1001624400, 2),
            crate::generated::new_transition(1019772000, 1),
            crate::generated::new_transition(1033074000, 2),
            crate::generated::new_transition(1051221600, 1),
            crate::generated::new_transition(1064523600, 2),
            crate::generated::new_transition(1083276000, 1),
            crate::generated::new_transition(1096578000, 2),
            crate::generated::new_transition(1114725600, 1),
            crate::generated::new_transition(1128027600, 2),
            crate::generated::new_transition(1146175200, 1),
            crate::generated::new_transition(1158872400, 2),
            crate::generated::new_transition(1177624800, 1),
            crate::generated::new_transition(1189112400, 2),
            crate::generated::new_transition(1209074400, 1),
            crate::generated::new_transition(1219957200, 2),
            crate::generated::new_transition(1240524000, 1),
            crate::generated::new_transition(1250802000, 2),
            crate::generated::new_transition(1272578400, 1),
            crate::generated::new_transition(1281474000, 2),
            crate::generated::new_transition(1284069600, 1),
            crate::generated::new_transition(1285880400, 2),
            crate::generated::new_transition(1400191200, 1),
            crate::generated::new_transition(1403816400, 2),
            crate::generated::new_transition(1406844000, 1),
            crate::generated::new_transition(1411678800, 2),
            crate::generated::new_transition(1682632800, 1),
        ],
        &[
            crate::generated::new_local_time_type(7509, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(4, 5, 5)),
                0,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 4)),
                86400,
            ),
        )),
    );

    pub(crate) const EIRE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2821649679, 1),
            crate::generated::new_transition(-1691962479, 2),
            crate::generated::new_transition(-1680471279, 4),
            crate::generated::new_transition(-1664143200, 3),
            crate::generated::new_transition(-1650146400, 4),
            crate::generated::new_transition(-1633903200, 3),
            crate::generated::new_transition(-1617487200, 4),
            crate::generated::new_transition(-1601848800, 3),
            crate::generated::new_transition(-1586037600, 4),
            crate::generated::new_transition(-1570399200, 3),
            crate::generated::new_transition(-1552168800, 4),
            crate::generated::new_transition(-1538344800, 3),
            crate::generated::new_transition(-1522533600, 4),
            crate::generated::new_transition(-1507500000, 5),
            crate::generated::new_transition(-1490565600, 4),
            crate::generated::new_transition(-1473631200, 5),
            crate::generated::new_transition(-1460930400, 4),
            crate::generated::new_transition(-1442786400, 5),
            crate::generated::new_transition(-1428876000, 4),
            crate::generated::new_transition(-1410732000, 5),
            crate::generated::new_transition(-1396216800, 4),
            crate::generated::new_transition(-1379282400, 5),
            crate::generated::new_transition(-1364767200, 4),
            crate::generated::new_transition(-1348437600, 5),
            crate::generated::new_transition(-1333317600, 4),
            crate::generated::new_transition(-1315778400, 5),
            crate::generated::new_transition(-1301263200, 4),
            crate::generated::new_transition(-1284328800, 5),
            crate::generated::new_transition(-1269813600, 4),
            crate::generated::new_transition(-1253484000, 5),
            crate::generated::new_transition(-1238364000, 4),
            crate::generated::new_transition(-1221429600, 5),
            crate::generated::new_transition(-1206914400, 4),
            crate::generated::new_transition(-1189980000, 5),
            crate::generated::new_transition(-1175464800, 4),
            crate::generated::new_transition(-1159135200, 5),
            crate::generated::new_transition(-1143410400, 4),
            crate::generated::new_transition(-1126476000, 5),
            crate::generated::new_transition(-1111960800, 4),
            crate::generated::new_transition(-1095631200, 5),
            crate::generated::new_transition(-1080511200, 4),
            crate::generated::new_transition(-1063576800, 5),
            crate::generated::new_transition(-1049061600, 4),
            crate::generated::new_transition(-1032127200, 5),
            crate::generated::new_transition(-1017612000, 4),
            crate::generated::new_transition(-1001282400, 5),
            crate::generated::new_transition(-986162400, 4),
            crate::generated::new_transition(-969228000, 5),
            crate::generated::new_transition(-950479200, 4),
            crate::generated::new_transition(-942012000, 5),
            crate::generated::new_transition(-733356000, 4),
            crate::generated::new_transition(-719445600, 5),
            crate::generated::new_transition(-699487200, 4),
            crate::generated::new_transition(-684972000, 5),
            crate::generated::new_transition(-668037600, 4),
            crate::generated::new_transition(-654732000, 5),
            crate::generated::new_transition(-636588000, 4),
            crate::generated::new_transition(-622072800, 5),
            crate::generated::new_transition(-605743200, 4),
            crate::generated::new_transition(-590623200, 5),
            crate::generated::new_transition(-574293600, 4),
            crate::generated::new_transition(-558568800, 5),
            crate::generated::new_transition(-542239200, 4),
            crate::generated::new_transition(-527119200, 5),
            crate::generated::new_transition(-512604000, 4),
            crate::generated::new_transition(-496274400, 5),
            crate::generated::new_transition(-481154400, 4),
            crate::generated::new_transition(-464220000, 5),
            crate::generated::new_transition(-449704800, 4),
            crate::generated::new_transition(-432165600, 5),
            crate::generated::new_transition(-417650400, 4),
            crate::generated::new_transition(-401320800, 5),
            crate::generated::new_transition(-386200800, 4),
            crate::generated::new_transition(-369266400, 5),
            crate::generated::new_transition(-354751200, 4),
            crate::generated::new_transition(-337816800, 5),
            crate::generated::new_transition(-323301600, 4),
            crate::generated::new_transition(-306972000, 5),
            crate::generated::new_transition(-291852000, 4),
            crate::generated::new_transition(-276732000, 5),
            crate::generated::new_transition(-257983200, 4),
            crate::generated::new_transition(-245282400, 5),
            crate::generated::new_transition(-226533600, 4),
            crate::generated::new_transition(-213228000, 5),
            crate::generated::new_transition(-195084000, 4),
            crate::generated::new_transition(-182383200, 5),
            crate::generated::new_transition(-163634400, 4),
            crate::generated::new_transition(-150933600, 5),
            crate::generated::new_transition(-132184800, 4),
            crate::generated::new_transition(-119484000, 5),
            crate::generated::new_transition(-100735200, 4),
            crate::generated::new_transition(-88034400, 5),
            crate::generated::new_transition(-68680800, 4),
            crate::generated::new_transition(-59004000, 5),
            crate::generated::new_transition(-37242000, 7),
            crate::generated::new_transition(57722400, 6),
            crate::generated::new_transition(69818400, 7),
            crate::generated::new_transition(89172000, 6),
            crate::generated::new_transition(101268000, 7),
            crate::generated::new_transition(120621600, 6),
            crate::generated::new_transition(132717600, 7),
            crate::generated::new_transition(152071200, 6),
            crate::generated::new_transition(164167200, 7),
            crate::generated::new_transition(183520800, 6),
            crate::generated::new_transition(196221600, 7),
            crate::generated::new_transition(214970400, 6),
            crate::generated::new_transition(227671200, 7),
            crate::generated::new_transition(246420000, 6),
            crate::generated::new_transition(259120800, 7),
            crate::generated::new_transition(278474400, 6),
            crate::generated::new_transition(290570400, 7),
            crate::generated::new_transition(309924000, 6),
            crate::generated::new_transition(322020000, 7),
            crate::generated::new_transition(341373600, 6),
            crate::generated::new_transition(354675600, 7),
            crate::generated::new_transition(372819600, 6),
            crate::generated::new_transition(386125200, 7),
            crate::generated::new_transition(404269200, 6),
            crate::generated::new_transition(417574800, 7),
            crate::generated::new_transition(435718800, 6),
            crate::generated::new_transition(449024400, 7),
            crate::generated::new_transition(467773200, 6),
            crate::generated::new_transition(481078800, 7),
            crate::generated::new_transition(499222800, 6),
            crate::generated::new_transition(512528400, 7),
            crate::generated::new_transition(530672400, 6),
            crate::generated::new_transition(543978000, 7),
            crate::generated::new_transition(562122000, 6),
            crate::generated::new_transition(575427600, 7),
            crate::generated::new_transition(593571600, 6),
            crate::generated::new_transition(606877200, 7),
            crate::generated::new_transition(625626000, 6),
            crate::generated::new_transition(638326800, 7),
            crate::generated::new_transition(657075600, 6),
            crate::generated::new_transition(670381200, 7),
            crate::generated::new_transition(688525200, 6),
            crate::generated::new_transition(701830800, 7),
            crate::generated::new_transition(719974800, 6),
            crate::generated::new_transition(733280400, 7),
            crate::generated::new_transition(751424400, 6),
            crate::generated::new_transition(764730000, 7),
            crate::generated::new_transition(782874000, 6),
            crate::generated::new_transition(796179600, 7),
            crate::generated::new_transition(814323600, 6),
            crate::generated::new_transition(828234000, 7),
        ],
        &[
            crate::generated::new_local_time_type(-1521, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-1521, false, Some(b"DMT")),
            crate::generated::new_local_time_type(2079, true, Some(b"IST")),
            crate::generated::new_local_time_type(3600, true, Some(b"BST")),
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            crate::generated::new_local_time_type(3600, true, Some(b"IST")),
            crate::generated::new_local_time_type(0, true, Some(b"GMT")),
            crate::generated::new_local_time_type(3600, false, Some(b"IST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"IST")),
                crate::generated::new_local_time_type(0, true, Some(b"GMT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                3600,
            ),
        )),
    );

    pub(crate) const EST: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[],
        &[crate::generated::new_local_time_type(
            -18000,
            false,
            Some(b"EST"),
        )],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
        )),
    );

    pub(crate) const EST_5_EDT: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1633280400, 1),
            crate::generated::new_transition(-1615140000, 0),
            crate::generated::new_transition(-1601830800, 1),
            crate::generated::new_transition(-1583690400, 0),
            crate::generated::new_transition(-880218000, 2),
            crate::generated::new_transition(-769395600, 3),
            crate::generated::new_transition(-765396000, 0),
            crate::generated::new_transition(-84387600, 1),
            crate::generated::new_transition(-68666400, 0),
            crate::generated::new_transition(-52938000, 1),
            crate::generated::new_transition(-37216800, 0),
            crate::generated::new_transition(-21488400, 1),
            crate::generated::new_transition(-5767200, 0),
            crate::generated::new_transition(9961200, 1),
            crate::generated::new_transition(25682400, 0),
            crate::generated::new_transition(41410800, 1),
            crate::generated::new_transition(57736800, 0),
            crate::generated::new_transition(73465200, 1),
            crate::generated::new_transition(89186400, 0),
            crate::generated::new_transition(104914800, 1),
            crate::generated::new_transition(120636000, 0),
            crate::generated::new_transition(126687600, 1),
            crate::generated::new_transition(152085600, 0),
            crate::generated::new_transition(162370800, 1),
            crate::generated::new_transition(183535200, 0),
            crate::generated::new_transition(199263600, 1),
            crate::generated::new_transition(215589600, 0),
            crate::generated::new_transition(230713200, 1),
            crate::generated::new_transition(247039200, 0),
            crate::generated::new_transition(262767600, 1),
            crate::generated::new_transition(278488800, 0),
            crate::generated::new_transition(294217200, 1),
            crate::generated::new_transition(309938400, 0),
            crate::generated::new_transition(325666800, 1),
            crate::generated::new_transition(341388000, 0),
            crate::generated::new_transition(357116400, 1),
            crate::generated::new_transition(372837600, 0),
            crate::generated::new_transition(388566000, 1),
            crate::generated::new_transition(404892000, 0),
            crate::generated::new_transition(420015600, 1),
            crate::generated::new_transition(436341600, 0),
            crate::generated::new_transition(452070000, 1),
            crate::generated::new_transition(467791200, 0),
            crate::generated::new_transition(483519600, 1),
            crate::generated::new_transition(499240800, 0),
            crate::generated::new_transition(514969200, 1),
            crate::generated::new_transition(530690400, 0),
            crate::generated::new_transition(544604400, 1),
            crate::generated::new_transition(562140000, 0),
            crate::generated::new_transition(576054000, 1),
            crate::generated::new_transition(594194400, 0),
            crate::generated::new_transition(607503600, 1),
            crate::generated::new_transition(625644000, 0),
            crate::generated::new_transition(638953200, 1),
            crate::generated::new_transition(657093600, 0),
            crate::generated::new_transition(671007600, 1),
            crate::generated::new_transition(688543200, 0),
            crate::generated::new_transition(702457200, 1),
            crate::generated::new_transition(719992800, 0),
            crate::generated::new_transition(733906800, 1),
            crate::generated::new_transition(752047200, 0),
            crate::generated::new_transition(765356400, 1),
            crate::generated::new_transition(783496800, 0),
            crate::generated::new_transition(796806000, 1),
            crate::generated::new_transition(814946400, 0),
            crate::generated::new_transition(828860400, 1),
            crate::generated::new_transition(846396000, 0),
            crate::generated::new_transition(860310000, 1),
            crate::generated::new_transition(877845600, 0),
            crate::generated::new_transition(891759600, 1),
            crate::generated::new_transition(909295200, 0),
            crate::generated::new_transition(923209200, 1),
            crate::generated::new_transition(941349600, 0),
            crate::generated::new_transition(954658800, 1),
            crate::generated::new_transition(972799200, 0),
            crate::generated::new_transition(986108400, 1),
            crate::generated::new_transition(1004248800, 0),
            crate::generated::new_transition(1018162800, 1),
            crate::generated::new_transition(1035698400, 0),
            crate::generated::new_transition(1049612400, 1),
            crate::generated::new_transition(1067148000, 0),
            crate::generated::new_transition(1081062000, 1),
            crate::generated::new_transition(1099202400, 0),
            crate::generated::new_transition(1112511600, 1),
            crate::generated::new_transition(1130652000, 0),
            crate::generated::new_transition(1143961200, 1),
            crate::generated::new_transition(1162101600, 0),
            crate::generated::new_transition(1173596400, 1),
        ],
        &[
            crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
            crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
            crate::generated::new_local_time_type(-14400, true, Some(b"EWT")),
            crate::generated::new_local_time_type(-14400, true, Some(b"EPT")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
                crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const ETC_GMT_MINUS_1: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                3600,
                false,
                Some(b"+01"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(3600, false, Some(b"+01")),
            )),
        );

    pub(crate) const ETC_GMT_MINUS_10: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                36000,
                false,
                Some(b"+10"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(36000, false, Some(b"+10")),
            )),
        );

    pub(crate) const ETC_GMT_MINUS_11: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                39600,
                false,
                Some(b"+11"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            )),
        );

    pub(crate) const ETC_GMT_MINUS_12: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                43200,
                false,
                Some(b"+12"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(43200, false, Some(b"+12")),
            )),
        );

    pub(crate) const ETC_GMT_MINUS_13: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                46800,
                false,
                Some(b"+13"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(46800, false, Some(b"+13")),
            )),
        );

    pub(crate) const ETC_GMT_MINUS_14: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                50400,
                false,
                Some(b"+14"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(50400, false, Some(b"+14")),
            )),
        );

    pub(crate) const ETC_GMT_MINUS_2: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                7200,
                false,
                Some(b"+02"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(7200, false, Some(b"+02")),
            )),
        );

    pub(crate) const ETC_GMT_MINUS_3: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                10800,
                false,
                Some(b"+03"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(10800, false, Some(b"+03")),
            )),
        );

    pub(crate) const ETC_GMT_MINUS_4: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                14400,
                false,
                Some(b"+04"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            )),
        );

    pub(crate) const ETC_GMT_MINUS_5: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                18000,
                false,
                Some(b"+05"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            )),
        );

    pub(crate) const ETC_GMT_MINUS_6: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                21600,
                false,
                Some(b"+06"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(21600, false, Some(b"+06")),
            )),
        );

    pub(crate) const ETC_GMT_MINUS_7: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                25200,
                false,
                Some(b"+07"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
            )),
        );

    pub(crate) const ETC_GMT_MINUS_8: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                28800,
                false,
                Some(b"+08"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(28800, false, Some(b"+08")),
            )),
        );

    pub(crate) const ETC_GMT_MINUS_9: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                32400,
                false,
                Some(b"+09"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            )),
        );

    pub(crate) const ETC_GMT_PLUS_1: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[],
        &[crate::generated::new_local_time_type(
            -3600,
            false,
            Some(b"-01"),
        )],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-3600, false, Some(b"-01")),
        )),
    );

    pub(crate) const ETC_GMT_PLUS_10: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                -36000,
                false,
                Some(b"-10"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-36000, false, Some(b"-10")),
            )),
        );

    pub(crate) const ETC_GMT_PLUS_11: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                -39600,
                false,
                Some(b"-11"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-39600, false, Some(b"-11")),
            )),
        );

    pub(crate) const ETC_GMT_PLUS_12: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[],
            &[crate::generated::new_local_time_type(
                -43200,
                false,
                Some(b"-12"),
            )],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-43200, false, Some(b"-12")),
            )),
        );

    pub(crate) const ETC_GMT_PLUS_2: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[],
        &[crate::generated::new_local_time_type(
            -7200,
            false,
            Some(b"-02"),
        )],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-7200, false, Some(b"-02")),
        )),
    );

    pub(crate) const ETC_GMT_PLUS_3: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[],
        &[crate::generated::new_local_time_type(
            -10800,
            false,
            Some(b"-03"),
        )],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-10800, false, Some(b"-03")),
        )),
    );

    pub(crate) const ETC_GMT_PLUS_4: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[],
        &[crate::generated::new_local_time_type(
            -14400,
            false,
            Some(b"-04"),
        )],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-14400, false, Some(b"-04")),
        )),
    );

    pub(crate) const ETC_GMT_PLUS_5: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[],
        &[crate::generated::new_local_time_type(
            -18000,
            false,
            Some(b"-05"),
        )],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-18000, false, Some(b"-05")),
        )),
    );

    pub(crate) const ETC_GMT_PLUS_6: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[],
        &[crate::generated::new_local_time_type(
            -21600,
            false,
            Some(b"-06"),
        )],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-21600, false, Some(b"-06")),
        )),
    );

    pub(crate) const ETC_GMT_PLUS_7: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[],
        &[crate::generated::new_local_time_type(
            -25200,
            false,
            Some(b"-07"),
        )],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-25200, false, Some(b"-07")),
        )),
    );

    pub(crate) const ETC_GMT_PLUS_8: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[],
        &[crate::generated::new_local_time_type(
            -28800,
            false,
            Some(b"-08"),
        )],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-28800, false, Some(b"-08")),
        )),
    );

    pub(crate) const ETC_GMT_PLUS_9: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[],
        &[crate::generated::new_local_time_type(
            -32400,
            false,
            Some(b"-09"),
        )],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-32400, false, Some(b"-09")),
        )),
    );

    pub(crate) const EUROPE_AMSTERDAM: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-4260212372, 2),
                crate::generated::new_transition(-1693700372, 1),
                crate::generated::new_transition(-1680484772, 2),
                crate::generated::new_transition(-1663453172, 1),
                crate::generated::new_transition(-1650147572, 2),
                crate::generated::new_transition(-1633213172, 1),
                crate::generated::new_transition(-1617488372, 2),
                crate::generated::new_transition(-1601158772, 1),
                crate::generated::new_transition(-1586038772, 2),
                crate::generated::new_transition(-1569709172, 1),
                crate::generated::new_transition(-1554589172, 2),
                crate::generated::new_transition(-1538259572, 1),
                crate::generated::new_transition(-1523139572, 2),
                crate::generated::new_transition(-1507501172, 1),
                crate::generated::new_transition(-1490566772, 2),
                crate::generated::new_transition(-1470176372, 1),
                crate::generated::new_transition(-1459117172, 2),
                crate::generated::new_transition(-1443997172, 1),
                crate::generated::new_transition(-1427667572, 2),
                crate::generated::new_transition(-1406672372, 1),
                crate::generated::new_transition(-1396217972, 2),
                crate::generated::new_transition(-1376950772, 1),
                crate::generated::new_transition(-1364768372, 2),
                crate::generated::new_transition(-1345414772, 1),
                crate::generated::new_transition(-1333318772, 2),
                crate::generated::new_transition(-1313792372, 1),
                crate::generated::new_transition(-1301264372, 2),
                crate::generated::new_transition(-1282256372, 1),
                crate::generated::new_transition(-1269814772, 2),
                crate::generated::new_transition(-1250720372, 1),
                crate::generated::new_transition(-1238365172, 2),
                crate::generated::new_transition(-1219184372, 1),
                crate::generated::new_transition(-1206915572, 2),
                crate::generated::new_transition(-1186957172, 1),
                crate::generated::new_transition(-1175465972, 2),
                crate::generated::new_transition(-1156025972, 1),
                crate::generated::new_transition(-1143411572, 2),
                crate::generated::new_transition(-1124489972, 1),
                crate::generated::new_transition(-1111961972, 2),
                crate::generated::new_transition(-1092953972, 1),
                crate::generated::new_transition(-1080512372, 2),
                crate::generated::new_transition(-1061331572, 1),
                crate::generated::new_transition(-1049062772, 2),
                crate::generated::new_transition(-1029190772, 1),
                crate::generated::new_transition(-1025745572, 4),
                crate::generated::new_transition(-1017613200, 3),
                crate::generated::new_transition(-998259600, 4),
                crate::generated::new_transition(-986163600, 3),
                crate::generated::new_transition(-966723600, 4),
                crate::generated::new_transition(-954109200, 3),
                crate::generated::new_transition(-935022000, 6),
                crate::generated::new_transition(-857257200, 5),
                crate::generated::new_transition(-844556400, 6),
                crate::generated::new_transition(-828226800, 5),
                crate::generated::new_transition(-812502000, 6),
                crate::generated::new_transition(-796777200, 5),
                crate::generated::new_transition(-781052400, 6),
                crate::generated::new_transition(-766623600, 5),
                crate::generated::new_transition(228877200, 6),
                crate::generated::new_transition(243997200, 5),
                crate::generated::new_transition(260326800, 6),
                crate::generated::new_transition(276051600, 5),
                crate::generated::new_transition(291776400, 6),
                crate::generated::new_transition(307501200, 5),
                crate::generated::new_transition(323830800, 6),
                crate::generated::new_transition(338950800, 5),
                crate::generated::new_transition(354675600, 6),
                crate::generated::new_transition(370400400, 5),
                crate::generated::new_transition(386125200, 6),
                crate::generated::new_transition(401850000, 5),
                crate::generated::new_transition(417574800, 6),
                crate::generated::new_transition(433299600, 5),
                crate::generated::new_transition(449024400, 6),
                crate::generated::new_transition(465354000, 5),
                crate::generated::new_transition(481078800, 6),
                crate::generated::new_transition(496803600, 5),
                crate::generated::new_transition(512528400, 6),
                crate::generated::new_transition(528253200, 5),
                crate::generated::new_transition(543978000, 6),
                crate::generated::new_transition(559702800, 5),
                crate::generated::new_transition(575427600, 6),
                crate::generated::new_transition(591152400, 5),
                crate::generated::new_transition(606877200, 6),
                crate::generated::new_transition(622602000, 5),
                crate::generated::new_transition(638326800, 6),
                crate::generated::new_transition(654656400, 5),
                crate::generated::new_transition(670381200, 6),
                crate::generated::new_transition(686106000, 5),
                crate::generated::new_transition(701830800, 6),
                crate::generated::new_transition(717555600, 5),
                crate::generated::new_transition(733280400, 6),
                crate::generated::new_transition(749005200, 5),
                crate::generated::new_transition(764730000, 6),
                crate::generated::new_transition(780454800, 5),
                crate::generated::new_transition(796179600, 6),
                crate::generated::new_transition(811904400, 5),
                crate::generated::new_transition(828234000, 6),
            ],
            &[
                crate::generated::new_local_time_type(1172, false, Some(b"LMT")),
                crate::generated::new_local_time_type(4772, true, Some(b"NST")),
                crate::generated::new_local_time_type(1172, false, Some(b"AMT")),
                crate::generated::new_local_time_type(1200, false, Some(b"+0020")),
                crate::generated::new_local_time_type(4800, true, Some(b"+0120")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                    crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const EUROPE_ANDORRA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2177453164, 1),
            crate::generated::new_transition(-733881600, 2),
            crate::generated::new_transition(481078800, 3),
            crate::generated::new_transition(496803600, 2),
            crate::generated::new_transition(512528400, 3),
            crate::generated::new_transition(528253200, 2),
            crate::generated::new_transition(543978000, 3),
            crate::generated::new_transition(559702800, 2),
            crate::generated::new_transition(575427600, 3),
            crate::generated::new_transition(591152400, 2),
            crate::generated::new_transition(606877200, 3),
            crate::generated::new_transition(622602000, 2),
            crate::generated::new_transition(638326800, 3),
            crate::generated::new_transition(654656400, 2),
            crate::generated::new_transition(670381200, 3),
            crate::generated::new_transition(686106000, 2),
            crate::generated::new_transition(701830800, 3),
            crate::generated::new_transition(717555600, 2),
            crate::generated::new_transition(733280400, 3),
            crate::generated::new_transition(749005200, 2),
            crate::generated::new_transition(764730000, 3),
            crate::generated::new_transition(780454800, 2),
            crate::generated::new_transition(796179600, 3),
            crate::generated::new_transition(811904400, 2),
            crate::generated::new_transition(828234000, 3),
        ],
        &[
            crate::generated::new_local_time_type(364, false, Some(b"LMT")),
            crate::generated::new_local_time_type(0, false, Some(b"WET")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const EUROPE_ASTRAKHAN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1441249932, 1),
                crate::generated::new_transition(-1247540400, 3),
                crate::generated::new_transition(354916800, 2),
                crate::generated::new_transition(370724400, 3),
                crate::generated::new_transition(386452800, 2),
                crate::generated::new_transition(402260400, 3),
                crate::generated::new_transition(417988800, 2),
                crate::generated::new_transition(433796400, 3),
                crate::generated::new_transition(449611200, 2),
                crate::generated::new_transition(465343200, 3),
                crate::generated::new_transition(481068000, 2),
                crate::generated::new_transition(496792800, 3),
                crate::generated::new_transition(512517600, 2),
                crate::generated::new_transition(528242400, 3),
                crate::generated::new_transition(543967200, 2),
                crate::generated::new_transition(559692000, 3),
                crate::generated::new_transition(575416800, 2),
                crate::generated::new_transition(591141600, 3),
                crate::generated::new_transition(606866400, 4),
                crate::generated::new_transition(622594800, 1),
                crate::generated::new_transition(638319600, 4),
                crate::generated::new_transition(654649200, 1),
                crate::generated::new_transition(670374000, 3),
                crate::generated::new_transition(701820000, 4),
                crate::generated::new_transition(717548400, 1),
                crate::generated::new_transition(733273200, 4),
                crate::generated::new_transition(748998000, 1),
                crate::generated::new_transition(764722800, 4),
                crate::generated::new_transition(780447600, 1),
                crate::generated::new_transition(796172400, 4),
                crate::generated::new_transition(811897200, 1),
                crate::generated::new_transition(828226800, 4),
                crate::generated::new_transition(846370800, 1),
                crate::generated::new_transition(859676400, 4),
                crate::generated::new_transition(877820400, 1),
                crate::generated::new_transition(891126000, 4),
                crate::generated::new_transition(909270000, 1),
                crate::generated::new_transition(922575600, 4),
                crate::generated::new_transition(941324400, 1),
                crate::generated::new_transition(954025200, 4),
                crate::generated::new_transition(972774000, 1),
                crate::generated::new_transition(985474800, 4),
                crate::generated::new_transition(1004223600, 1),
                crate::generated::new_transition(1017529200, 4),
                crate::generated::new_transition(1035673200, 1),
                crate::generated::new_transition(1048978800, 4),
                crate::generated::new_transition(1067122800, 1),
                crate::generated::new_transition(1080428400, 4),
                crate::generated::new_transition(1099177200, 1),
                crate::generated::new_transition(1111878000, 4),
                crate::generated::new_transition(1130626800, 1),
                crate::generated::new_transition(1143327600, 4),
                crate::generated::new_transition(1162076400, 1),
                crate::generated::new_transition(1174777200, 4),
                crate::generated::new_transition(1193526000, 1),
                crate::generated::new_transition(1206831600, 4),
                crate::generated::new_transition(1224975600, 1),
                crate::generated::new_transition(1238281200, 4),
                crate::generated::new_transition(1256425200, 1),
                crate::generated::new_transition(1269730800, 4),
                crate::generated::new_transition(1288479600, 1),
                crate::generated::new_transition(1301180400, 3),
                crate::generated::new_transition(1414274400, 1),
                crate::generated::new_transition(1459033200, 3),
            ],
            &[
                crate::generated::new_local_time_type(11532, false, Some(b"LMT")),
                crate::generated::new_local_time_type(10800, false, Some(b"+03")),
                crate::generated::new_local_time_type(18000, true, Some(b"+05")),
                crate::generated::new_local_time_type(14400, false, Some(b"+04")),
                crate::generated::new_local_time_type(14400, true, Some(b"+04")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            )),
        );

    pub(crate) const EUROPE_ATHENS: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2344642492, 1),
            crate::generated::new_transition(-1686101632, 3),
            crate::generated::new_transition(-1182996000, 2),
            crate::generated::new_transition(-1178161200, 3),
            crate::generated::new_transition(-906861600, 2),
            crate::generated::new_transition(-904878000, 5),
            crate::generated::new_transition(-857257200, 4),
            crate::generated::new_transition(-844477200, 5),
            crate::generated::new_transition(-828237600, 4),
            crate::generated::new_transition(-812422800, 3),
            crate::generated::new_transition(-552362400, 2),
            crate::generated::new_transition(-541652400, 3),
            crate::generated::new_transition(166485600, 2),
            crate::generated::new_transition(186184800, 3),
            crate::generated::new_transition(198028800, 2),
            crate::generated::new_transition(213753600, 3),
            crate::generated::new_transition(228873600, 2),
            crate::generated::new_transition(244080000, 3),
            crate::generated::new_transition(260323200, 2),
            crate::generated::new_transition(275446800, 3),
            crate::generated::new_transition(291798000, 2),
            crate::generated::new_transition(307407600, 3),
            crate::generated::new_transition(323388000, 2),
            crate::generated::new_transition(338936400, 3),
            crate::generated::new_transition(354675600, 2),
            crate::generated::new_transition(370400400, 3),
            crate::generated::new_transition(386125200, 2),
            crate::generated::new_transition(401850000, 3),
            crate::generated::new_transition(417574800, 2),
            crate::generated::new_transition(433299600, 3),
            crate::generated::new_transition(449024400, 2),
            crate::generated::new_transition(465354000, 3),
            crate::generated::new_transition(481078800, 2),
            crate::generated::new_transition(496803600, 3),
            crate::generated::new_transition(512528400, 2),
            crate::generated::new_transition(528253200, 3),
            crate::generated::new_transition(543978000, 2),
            crate::generated::new_transition(559702800, 3),
            crate::generated::new_transition(575427600, 2),
            crate::generated::new_transition(591152400, 3),
            crate::generated::new_transition(606877200, 2),
            crate::generated::new_transition(622602000, 3),
            crate::generated::new_transition(638326800, 2),
            crate::generated::new_transition(654656400, 3),
            crate::generated::new_transition(670381200, 2),
            crate::generated::new_transition(686106000, 3),
            crate::generated::new_transition(701830800, 2),
            crate::generated::new_transition(717555600, 3),
            crate::generated::new_transition(733280400, 2),
            crate::generated::new_transition(749005200, 3),
            crate::generated::new_transition(764730000, 2),
            crate::generated::new_transition(780454800, 3),
            crate::generated::new_transition(796179600, 2),
            crate::generated::new_transition(811904400, 3),
            crate::generated::new_transition(828234000, 2),
        ],
        &[
            crate::generated::new_local_time_type(5692, false, Some(b"LMT")),
            crate::generated::new_local_time_type(5692, false, Some(b"AMT")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                10800,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                14400,
            ),
        )),
    );

    pub(crate) const EUROPE_BELGRADE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2713915320, 1),
                crate::generated::new_transition(-905824800, 2),
                crate::generated::new_transition(-857257200, 1),
                crate::generated::new_transition(-844556400, 2),
                crate::generated::new_transition(-828226800, 1),
                crate::generated::new_transition(-812502000, 2),
                crate::generated::new_transition(-796777200, 1),
                crate::generated::new_transition(-777942000, 2),
                crate::generated::new_transition(-766623600, 1),
                crate::generated::new_transition(417574800, 2),
                crate::generated::new_transition(433299600, 1),
                crate::generated::new_transition(449024400, 2),
                crate::generated::new_transition(465354000, 1),
                crate::generated::new_transition(481078800, 2),
                crate::generated::new_transition(496803600, 1),
                crate::generated::new_transition(512528400, 2),
                crate::generated::new_transition(528253200, 1),
                crate::generated::new_transition(543978000, 2),
                crate::generated::new_transition(559702800, 1),
                crate::generated::new_transition(575427600, 2),
                crate::generated::new_transition(591152400, 1),
                crate::generated::new_transition(606877200, 2),
                crate::generated::new_transition(622602000, 1),
                crate::generated::new_transition(638326800, 2),
                crate::generated::new_transition(654656400, 1),
                crate::generated::new_transition(670381200, 2),
                crate::generated::new_transition(686106000, 1),
                crate::generated::new_transition(701830800, 2),
                crate::generated::new_transition(717555600, 1),
                crate::generated::new_transition(733280400, 2),
                crate::generated::new_transition(749005200, 1),
                crate::generated::new_transition(764730000, 2),
                crate::generated::new_transition(780454800, 1),
                crate::generated::new_transition(796179600, 2),
                crate::generated::new_transition(811904400, 1),
                crate::generated::new_transition(828234000, 2),
            ],
            &[
                crate::generated::new_local_time_type(4920, false, Some(b"LMT")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                    crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const EUROPE_BRATISLAVA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-3786829064, 1),
                crate::generated::new_transition(-2469401864, 3),
                crate::generated::new_transition(-1693706400, 2),
                crate::generated::new_transition(-1680483600, 3),
                crate::generated::new_transition(-1663455600, 2),
                crate::generated::new_transition(-1650150000, 3),
                crate::generated::new_transition(-1632006000, 2),
                crate::generated::new_transition(-1618700400, 3),
                crate::generated::new_transition(-938905200, 2),
                crate::generated::new_transition(-857257200, 3),
                crate::generated::new_transition(-844556400, 2),
                crate::generated::new_transition(-828226800, 3),
                crate::generated::new_transition(-812502000, 2),
                crate::generated::new_transition(-796777200, 3),
                crate::generated::new_transition(-781052400, 2),
                crate::generated::new_transition(-765327600, 3),
                crate::generated::new_transition(-746578800, 2),
                crate::generated::new_transition(-733359600, 3),
                crate::generated::new_transition(-728517600, 4),
                crate::generated::new_transition(-721260000, 3),
                crate::generated::new_transition(-716425200, 2),
                crate::generated::new_transition(-701910000, 3),
                crate::generated::new_transition(-684975600, 2),
                crate::generated::new_transition(-670460400, 3),
                crate::generated::new_transition(-654217200, 2),
                crate::generated::new_transition(-639010800, 3),
                crate::generated::new_transition(291776400, 2),
                crate::generated::new_transition(307501200, 3),
                crate::generated::new_transition(323830800, 2),
                crate::generated::new_transition(338950800, 3),
                crate::generated::new_transition(354675600, 2),
                crate::generated::new_transition(370400400, 3),
                crate::generated::new_transition(386125200, 2),
                crate::generated::new_transition(401850000, 3),
                crate::generated::new_transition(417574800, 2),
                crate::generated::new_transition(433299600, 3),
                crate::generated::new_transition(449024400, 2),
                crate::generated::new_transition(465354000, 3),
                crate::generated::new_transition(481078800, 2),
                crate::generated::new_transition(496803600, 3),
                crate::generated::new_transition(512528400, 2),
                crate::generated::new_transition(528253200, 3),
                crate::generated::new_transition(543978000, 2),
                crate::generated::new_transition(559702800, 3),
                crate::generated::new_transition(575427600, 2),
                crate::generated::new_transition(591152400, 3),
                crate::generated::new_transition(606877200, 2),
                crate::generated::new_transition(622602000, 3),
                crate::generated::new_transition(638326800, 2),
                crate::generated::new_transition(654656400, 3),
                crate::generated::new_transition(670381200, 2),
                crate::generated::new_transition(686106000, 3),
                crate::generated::new_transition(701830800, 2),
                crate::generated::new_transition(717555600, 3),
                crate::generated::new_transition(733280400, 2),
                crate::generated::new_transition(749005200, 3),
                crate::generated::new_transition(764730000, 2),
                crate::generated::new_transition(780454800, 3),
                crate::generated::new_transition(796179600, 2),
                crate::generated::new_transition(811904400, 3),
                crate::generated::new_transition(828234000, 2),
            ],
            &[
                crate::generated::new_local_time_type(3464, false, Some(b"LMT")),
                crate::generated::new_local_time_type(3464, false, Some(b"PMT")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(0, true, Some(b"GMT")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                    crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const EUROPE_BRUSSELS: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2840141850, 1),
                crate::generated::new_transition(-2450995200, 2),
                crate::generated::new_transition(-1740355200, 3),
                crate::generated::new_transition(-1693702800, 4),
                crate::generated::new_transition(-1680483600, 3),
                crate::generated::new_transition(-1663455600, 4),
                crate::generated::new_transition(-1650150000, 3),
                crate::generated::new_transition(-1632006000, 4),
                crate::generated::new_transition(-1618700400, 3),
                crate::generated::new_transition(-1613826000, 2),
                crate::generated::new_transition(-1604278800, 5),
                crate::generated::new_transition(-1585530000, 2),
                crate::generated::new_transition(-1574038800, 5),
                crate::generated::new_transition(-1552266000, 2),
                crate::generated::new_transition(-1539997200, 5),
                crate::generated::new_transition(-1520557200, 2),
                crate::generated::new_transition(-1507510800, 5),
                crate::generated::new_transition(-1490576400, 2),
                crate::generated::new_transition(-1473642000, 5),
                crate::generated::new_transition(-1459126800, 2),
                crate::generated::new_transition(-1444006800, 5),
                crate::generated::new_transition(-1427677200, 2),
                crate::generated::new_transition(-1411952400, 5),
                crate::generated::new_transition(-1396227600, 2),
                crate::generated::new_transition(-1379293200, 5),
                crate::generated::new_transition(-1364778000, 2),
                crate::generated::new_transition(-1348448400, 5),
                crate::generated::new_transition(-1333328400, 2),
                crate::generated::new_transition(-1316394000, 5),
                crate::generated::new_transition(-1301263200, 2),
                crate::generated::new_transition(-1284328800, 5),
                crate::generated::new_transition(-1269813600, 2),
                crate::generated::new_transition(-1253484000, 5),
                crate::generated::new_transition(-1238364000, 2),
                crate::generated::new_transition(-1221429600, 5),
                crate::generated::new_transition(-1206914400, 2),
                crate::generated::new_transition(-1191189600, 5),
                crate::generated::new_transition(-1175464800, 2),
                crate::generated::new_transition(-1160344800, 5),
                crate::generated::new_transition(-1143410400, 2),
                crate::generated::new_transition(-1127685600, 5),
                crate::generated::new_transition(-1111960800, 2),
                crate::generated::new_transition(-1096840800, 5),
                crate::generated::new_transition(-1080511200, 2),
                crate::generated::new_transition(-1063576800, 5),
                crate::generated::new_transition(-1049061600, 2),
                crate::generated::new_transition(-1033336800, 5),
                crate::generated::new_transition(-1017612000, 2),
                crate::generated::new_transition(-1002492000, 5),
                crate::generated::new_transition(-986162400, 2),
                crate::generated::new_transition(-969228000, 5),
                crate::generated::new_transition(-950479200, 2),
                crate::generated::new_transition(-942012000, 5),
                crate::generated::new_transition(-934668000, 4),
                crate::generated::new_transition(-857257200, 3),
                crate::generated::new_transition(-844556400, 4),
                crate::generated::new_transition(-828226800, 3),
                crate::generated::new_transition(-812502000, 4),
                crate::generated::new_transition(-798073200, 3),
                crate::generated::new_transition(-781052400, 4),
                crate::generated::new_transition(-766623600, 3),
                crate::generated::new_transition(-745455600, 4),
                crate::generated::new_transition(-733273200, 3),
                crate::generated::new_transition(228877200, 4),
                crate::generated::new_transition(243997200, 3),
                crate::generated::new_transition(260326800, 4),
                crate::generated::new_transition(276051600, 3),
                crate::generated::new_transition(291776400, 4),
                crate::generated::new_transition(307501200, 3),
                crate::generated::new_transition(323830800, 4),
                crate::generated::new_transition(338950800, 3),
                crate::generated::new_transition(354675600, 4),
                crate::generated::new_transition(370400400, 3),
                crate::generated::new_transition(386125200, 4),
                crate::generated::new_transition(401850000, 3),
                crate::generated::new_transition(417574800, 4),
                crate::generated::new_transition(433299600, 3),
                crate::generated::new_transition(449024400, 4),
                crate::generated::new_transition(465354000, 3),
                crate::generated::new_transition(481078800, 4),
                crate::generated::new_transition(496803600, 3),
                crate::generated::new_transition(512528400, 4),
                crate::generated::new_transition(528253200, 3),
                crate::generated::new_transition(543978000, 4),
                crate::generated::new_transition(559702800, 3),
                crate::generated::new_transition(575427600, 4),
                crate::generated::new_transition(591152400, 3),
                crate::generated::new_transition(606877200, 4),
                crate::generated::new_transition(622602000, 3),
                crate::generated::new_transition(638326800, 4),
                crate::generated::new_transition(654656400, 3),
                crate::generated::new_transition(670381200, 4),
                crate::generated::new_transition(686106000, 3),
                crate::generated::new_transition(701830800, 4),
                crate::generated::new_transition(717555600, 3),
                crate::generated::new_transition(733280400, 4),
                crate::generated::new_transition(749005200, 3),
                crate::generated::new_transition(764730000, 4),
                crate::generated::new_transition(780454800, 3),
                crate::generated::new_transition(796179600, 4),
                crate::generated::new_transition(811904400, 3),
                crate::generated::new_transition(828234000, 4),
            ],
            &[
                crate::generated::new_local_time_type(1050, false, Some(b"LMT")),
                crate::generated::new_local_time_type(1050, false, Some(b"BMT")),
                crate::generated::new_local_time_type(0, false, Some(b"WET")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                    crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const EUROPE_BUCHAREST: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2469404664, 1),
                crate::generated::new_transition(-1213148664, 3),
                crate::generated::new_transition(-1187056800, 2),
                crate::generated::new_transition(-1175479200, 3),
                crate::generated::new_transition(-1159754400, 2),
                crate::generated::new_transition(-1144029600, 3),
                crate::generated::new_transition(-1127700000, 2),
                crate::generated::new_transition(-1111975200, 3),
                crate::generated::new_transition(-1096250400, 2),
                crate::generated::new_transition(-1080525600, 3),
                crate::generated::new_transition(-1064800800, 2),
                crate::generated::new_transition(-1049076000, 3),
                crate::generated::new_transition(-1033351200, 2),
                crate::generated::new_transition(-1017626400, 3),
                crate::generated::new_transition(-1001901600, 2),
                crate::generated::new_transition(-986176800, 3),
                crate::generated::new_transition(-970452000, 2),
                crate::generated::new_transition(-954727200, 3),
                crate::generated::new_transition(296604000, 2),
                crate::generated::new_transition(307486800, 3),
                crate::generated::new_transition(323816400, 2),
                crate::generated::new_transition(338940000, 3),
                crate::generated::new_transition(354672000, 2),
                crate::generated::new_transition(370396800, 3),
                crate::generated::new_transition(386121600, 2),
                crate::generated::new_transition(401846400, 3),
                crate::generated::new_transition(417571200, 2),
                crate::generated::new_transition(433296000, 3),
                crate::generated::new_transition(449020800, 2),
                crate::generated::new_transition(465350400, 3),
                crate::generated::new_transition(481075200, 2),
                crate::generated::new_transition(496800000, 3),
                crate::generated::new_transition(512524800, 2),
                crate::generated::new_transition(528249600, 3),
                crate::generated::new_transition(543974400, 2),
                crate::generated::new_transition(559699200, 3),
                crate::generated::new_transition(575424000, 2),
                crate::generated::new_transition(591148800, 3),
                crate::generated::new_transition(606873600, 2),
                crate::generated::new_transition(622598400, 3),
                crate::generated::new_transition(638323200, 2),
                crate::generated::new_transition(654652800, 3),
                crate::generated::new_transition(670370400, 2),
                crate::generated::new_transition(686095200, 3),
                crate::generated::new_transition(701820000, 2),
                crate::generated::new_transition(717544800, 3),
                crate::generated::new_transition(733269600, 2),
                crate::generated::new_transition(748994400, 3),
                crate::generated::new_transition(764719200, 2),
                crate::generated::new_transition(780440400, 3),
                crate::generated::new_transition(796168800, 2),
                crate::generated::new_transition(811890000, 3),
                crate::generated::new_transition(828223200, 2),
                crate::generated::new_transition(846363600, 3),
                crate::generated::new_transition(859683600, 2),
            ],
            &[
                crate::generated::new_local_time_type(6264, false, Some(b"LMT")),
                crate::generated::new_local_time_type(6264, false, Some(b"BMT")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                    crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    10800,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    14400,
                ),
            )),
        );

    pub(crate) const EUROPE_BUDAPEST: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2498260580, 2),
                crate::generated::new_transition(-1693706400, 1),
                crate::generated::new_transition(-1680483600, 2),
                crate::generated::new_transition(-1663455600, 1),
                crate::generated::new_transition(-1650150000, 2),
                crate::generated::new_transition(-1632006000, 1),
                crate::generated::new_transition(-1618700400, 2),
                crate::generated::new_transition(-1600470000, 1),
                crate::generated::new_transition(-1587250800, 2),
                crate::generated::new_transition(-1569711600, 1),
                crate::generated::new_transition(-1555196400, 2),
                crate::generated::new_transition(-906775200, 1),
                crate::generated::new_transition(-857257200, 2),
                crate::generated::new_transition(-844556400, 1),
                crate::generated::new_transition(-828226800, 2),
                crate::generated::new_transition(-812502000, 1),
                crate::generated::new_transition(-796777200, 2),
                crate::generated::new_transition(-778471200, 1),
                crate::generated::new_transition(-762656400, 2),
                crate::generated::new_transition(-749689200, 1),
                crate::generated::new_transition(-733276800, 2),
                crate::generated::new_transition(-717634800, 1),
                crate::generated::new_transition(-701910000, 2),
                crate::generated::new_transition(-686185200, 1),
                crate::generated::new_transition(-670460400, 2),
                crate::generated::new_transition(-654130800, 1),
                crate::generated::new_transition(-639010800, 2),
                crate::generated::new_transition(-492656400, 1),
                crate::generated::new_transition(-481168800, 2),
                crate::generated::new_transition(-461199600, 1),
                crate::generated::new_transition(-449708400, 2),
                crate::generated::new_transition(-428540400, 1),
                crate::generated::new_transition(-418258800, 2),
                crate::generated::new_transition(-397090800, 1),
                crate::generated::new_transition(-386809200, 2),
                crate::generated::new_transition(323823600, 1),
                crate::generated::new_transition(338943600, 2),
                crate::generated::new_transition(354668400, 1),
                crate::generated::new_transition(370393200, 2),
                crate::generated::new_transition(386118000, 1),
                crate::generated::new_transition(401842800, 2),
                crate::generated::new_transition(417567600, 1),
                crate::generated::new_transition(433292400, 2),
                crate::generated::new_transition(449024400, 1),
                crate::generated::new_transition(465354000, 2),
                crate::generated::new_transition(481078800, 1),
                crate::generated::new_transition(496803600, 2),
                crate::generated::new_transition(512528400, 1),
                crate::generated::new_transition(528253200, 2),
                crate::generated::new_transition(543978000, 1),
                crate::generated::new_transition(559702800, 2),
                crate::generated::new_transition(575427600, 1),
                crate::generated::new_transition(591152400, 2),
                crate::generated::new_transition(606877200, 1),
                crate::generated::new_transition(622602000, 2),
                crate::generated::new_transition(638326800, 1),
                crate::generated::new_transition(654656400, 2),
                crate::generated::new_transition(670381200, 1),
                crate::generated::new_transition(686106000, 2),
                crate::generated::new_transition(701830800, 1),
                crate::generated::new_transition(717555600, 2),
                crate::generated::new_transition(733280400, 1),
                crate::generated::new_transition(749005200, 2),
                crate::generated::new_transition(764730000, 1),
                crate::generated::new_transition(780454800, 2),
                crate::generated::new_transition(796179600, 1),
                crate::generated::new_transition(811904400, 2),
                crate::generated::new_transition(828234000, 1),
            ],
            &[
                crate::generated::new_local_time_type(4580, false, Some(b"LMT")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                    crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const EUROPE_BUSINGEN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-3675198848, 1),
                crate::generated::new_transition(-2385246586, 3),
                crate::generated::new_transition(-904435200, 2),
                crate::generated::new_transition(-891129600, 3),
                crate::generated::new_transition(-872985600, 2),
                crate::generated::new_transition(-859680000, 3),
                crate::generated::new_transition(354675600, 2),
                crate::generated::new_transition(370400400, 3),
                crate::generated::new_transition(386125200, 2),
                crate::generated::new_transition(401850000, 3),
                crate::generated::new_transition(417574800, 2),
                crate::generated::new_transition(433299600, 3),
                crate::generated::new_transition(449024400, 2),
                crate::generated::new_transition(465354000, 3),
                crate::generated::new_transition(481078800, 2),
                crate::generated::new_transition(496803600, 3),
                crate::generated::new_transition(512528400, 2),
                crate::generated::new_transition(528253200, 3),
                crate::generated::new_transition(543978000, 2),
                crate::generated::new_transition(559702800, 3),
                crate::generated::new_transition(575427600, 2),
                crate::generated::new_transition(591152400, 3),
                crate::generated::new_transition(606877200, 2),
                crate::generated::new_transition(622602000, 3),
                crate::generated::new_transition(638326800, 2),
                crate::generated::new_transition(654656400, 3),
                crate::generated::new_transition(670381200, 2),
                crate::generated::new_transition(686106000, 3),
                crate::generated::new_transition(701830800, 2),
                crate::generated::new_transition(717555600, 3),
                crate::generated::new_transition(733280400, 2),
                crate::generated::new_transition(749005200, 3),
                crate::generated::new_transition(764730000, 2),
                crate::generated::new_transition(780454800, 3),
                crate::generated::new_transition(796179600, 2),
                crate::generated::new_transition(811904400, 3),
                crate::generated::new_transition(828234000, 2),
            ],
            &[
                crate::generated::new_local_time_type(2048, false, Some(b"LMT")),
                crate::generated::new_local_time_type(1786, false, Some(b"BMT")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                    crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const EUROPE_CHISINAU: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2840147720, 1),
                crate::generated::new_transition(-1637114100, 2),
                crate::generated::new_transition(-1213148664, 4),
                crate::generated::new_transition(-1187056800, 3),
                crate::generated::new_transition(-1175479200, 4),
                crate::generated::new_transition(-1159754400, 3),
                crate::generated::new_transition(-1144029600, 4),
                crate::generated::new_transition(-1127700000, 3),
                crate::generated::new_transition(-1111975200, 4),
                crate::generated::new_transition(-1096250400, 3),
                crate::generated::new_transition(-1080525600, 4),
                crate::generated::new_transition(-1064800800, 3),
                crate::generated::new_transition(-1049076000, 4),
                crate::generated::new_transition(-1033351200, 3),
                crate::generated::new_transition(-1017626400, 4),
                crate::generated::new_transition(-1001901600, 3),
                crate::generated::new_transition(-986176800, 4),
                crate::generated::new_transition(-970452000, 3),
                crate::generated::new_transition(-954727200, 4),
                crate::generated::new_transition(-927165600, 3),
                crate::generated::new_transition(-898138800, 6),
                crate::generated::new_transition(-857257200, 5),
                crate::generated::new_transition(-844556400, 6),
                crate::generated::new_transition(-828226800, 5),
                crate::generated::new_transition(-812502000, 6),
                crate::generated::new_transition(-800157600, 8),
                crate::generated::new_transition(354920400, 7),
                crate::generated::new_transition(370728000, 8),
                crate::generated::new_transition(386456400, 7),
                crate::generated::new_transition(402264000, 8),
                crate::generated::new_transition(417992400, 7),
                crate::generated::new_transition(433800000, 8),
                crate::generated::new_transition(449614800, 7),
                crate::generated::new_transition(465346800, 8),
                crate::generated::new_transition(481071600, 7),
                crate::generated::new_transition(496796400, 8),
                crate::generated::new_transition(512521200, 7),
                crate::generated::new_transition(528246000, 8),
                crate::generated::new_transition(543970800, 7),
                crate::generated::new_transition(559695600, 8),
                crate::generated::new_transition(575420400, 7),
                crate::generated::new_transition(591145200, 8),
                crate::generated::new_transition(606870000, 7),
                crate::generated::new_transition(622594800, 8),
                crate::generated::new_transition(638319600, 7),
                crate::generated::new_transition(641944800, 3),
                crate::generated::new_transition(654652800, 4),
                crate::generated::new_transition(670377600, 3),
                crate::generated::new_transition(686102400, 4),
                crate::generated::new_transition(701820000, 3),
                crate::generated::new_transition(717541200, 4),
                crate::generated::new_transition(733269600, 3),
                crate::generated::new_transition(748990800, 4),
                crate::generated::new_transition(764719200, 3),
                crate::generated::new_transition(780440400, 4),
                crate::generated::new_transition(796168800, 3),
                crate::generated::new_transition(811890000, 4),
                crate::generated::new_transition(828223200, 3),
                crate::generated::new_transition(846363600, 4),
                crate::generated::new_transition(859680000, 3),
            ],
            &[
                crate::generated::new_local_time_type(6920, false, Some(b"LMT")),
                crate::generated::new_local_time_type(6900, false, Some(b"CMT")),
                crate::generated::new_local_time_type(6264, false, Some(b"BMT")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                crate::generated::new_local_time_type(14400, true, Some(b"MSD")),
                crate::generated::new_local_time_type(10800, false, Some(b"MSK")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                    crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const EUROPE_COPENHAGEN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2524524620, 1),
                crate::generated::new_transition(-2398294220, 3),
                crate::generated::new_transition(-1692496800, 2),
                crate::generated::new_transition(-1680490800, 3),
                crate::generated::new_transition(-935110800, 2),
                crate::generated::new_transition(-857257200, 3),
                crate::generated::new_transition(-844556400, 2),
                crate::generated::new_transition(-828226800, 3),
                crate::generated::new_transition(-812502000, 2),
                crate::generated::new_transition(-796777200, 3),
                crate::generated::new_transition(-781052400, 2),
                crate::generated::new_transition(-769388400, 3),
                crate::generated::new_transition(-747010800, 2),
                crate::generated::new_transition(-736383600, 3),
                crate::generated::new_transition(-715215600, 2),
                crate::generated::new_transition(-706748400, 3),
                crate::generated::new_transition(-683161200, 2),
                crate::generated::new_transition(-675298800, 3),
                crate::generated::new_transition(323830800, 2),
                crate::generated::new_transition(338950800, 3),
                crate::generated::new_transition(354675600, 2),
                crate::generated::new_transition(370400400, 3),
                crate::generated::new_transition(386125200, 2),
                crate::generated::new_transition(401850000, 3),
                crate::generated::new_transition(417574800, 2),
                crate::generated::new_transition(433299600, 3),
                crate::generated::new_transition(449024400, 2),
                crate::generated::new_transition(465354000, 3),
                crate::generated::new_transition(481078800, 2),
                crate::generated::new_transition(496803600, 3),
                crate::generated::new_transition(512528400, 2),
                crate::generated::new_transition(528253200, 3),
                crate::generated::new_transition(543978000, 2),
                crate::generated::new_transition(559702800, 3),
                crate::generated::new_transition(575427600, 2),
                crate::generated::new_transition(591152400, 3),
                crate::generated::new_transition(606877200, 2),
                crate::generated::new_transition(622602000, 3),
                crate::generated::new_transition(638326800, 2),
                crate::generated::new_transition(654656400, 3),
                crate::generated::new_transition(670381200, 2),
                crate::generated::new_transition(686106000, 3),
                crate::generated::new_transition(701830800, 2),
                crate::generated::new_transition(717555600, 3),
                crate::generated::new_transition(733280400, 2),
                crate::generated::new_transition(749005200, 3),
                crate::generated::new_transition(764730000, 2),
                crate::generated::new_transition(780454800, 3),
                crate::generated::new_transition(796179600, 2),
                crate::generated::new_transition(811904400, 3),
                crate::generated::new_transition(828234000, 2),
            ],
            &[
                crate::generated::new_local_time_type(3020, false, Some(b"LMT")),
                crate::generated::new_local_time_type(3020, false, Some(b"CMT")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                    crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const EUROPE_GIBRALTAR: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2821649916, 2),
                crate::generated::new_transition(-1691964000, 1),
                crate::generated::new_transition(-1680472800, 2),
                crate::generated::new_transition(-1664143200, 1),
                crate::generated::new_transition(-1650146400, 2),
                crate::generated::new_transition(-1633903200, 1),
                crate::generated::new_transition(-1617487200, 2),
                crate::generated::new_transition(-1601848800, 1),
                crate::generated::new_transition(-1586037600, 2),
                crate::generated::new_transition(-1570399200, 1),
                crate::generated::new_transition(-1552168800, 2),
                crate::generated::new_transition(-1538344800, 1),
                crate::generated::new_transition(-1522533600, 2),
                crate::generated::new_transition(-1507500000, 1),
                crate::generated::new_transition(-1490565600, 2),
                crate::generated::new_transition(-1473631200, 1),
                crate::generated::new_transition(-1460930400, 2),
                crate::generated::new_transition(-1442786400, 1),
                crate::generated::new_transition(-1428876000, 2),
                crate::generated::new_transition(-1410732000, 1),
                crate::generated::new_transition(-1396216800, 2),
                crate::generated::new_transition(-1379282400, 1),
                crate::generated::new_transition(-1364767200, 2),
                crate::generated::new_transition(-1348437600, 1),
                crate::generated::new_transition(-1333317600, 2),
                crate::generated::new_transition(-1315778400, 1),
                crate::generated::new_transition(-1301263200, 2),
                crate::generated::new_transition(-1284328800, 1),
                crate::generated::new_transition(-1269813600, 2),
                crate::generated::new_transition(-1253484000, 1),
                crate::generated::new_transition(-1238364000, 2),
                crate::generated::new_transition(-1221429600, 1),
                crate::generated::new_transition(-1206914400, 2),
                crate::generated::new_transition(-1189980000, 1),
                crate::generated::new_transition(-1175464800, 2),
                crate::generated::new_transition(-1159135200, 1),
                crate::generated::new_transition(-1143410400, 2),
                crate::generated::new_transition(-1126476000, 1),
                crate::generated::new_transition(-1111960800, 2),
                crate::generated::new_transition(-1095631200, 1),
                crate::generated::new_transition(-1080511200, 2),
                crate::generated::new_transition(-1063576800, 1),
                crate::generated::new_transition(-1049061600, 2),
                crate::generated::new_transition(-1032127200, 1),
                crate::generated::new_transition(-1017612000, 2),
                crate::generated::new_transition(-1001282400, 1),
                crate::generated::new_transition(-986162400, 2),
                crate::generated::new_transition(-969228000, 1),
                crate::generated::new_transition(-950479200, 2),
                crate::generated::new_transition(-942012000, 1),
                crate::generated::new_transition(-904518000, 3),
                crate::generated::new_transition(-896050800, 1),
                crate::generated::new_transition(-875487600, 3),
                crate::generated::new_transition(-864601200, 1),
                crate::generated::new_transition(-844038000, 3),
                crate::generated::new_transition(-832546800, 1),
                crate::generated::new_transition(-812588400, 3),
                crate::generated::new_transition(-798073200, 1),
                crate::generated::new_transition(-781052400, 3),
                crate::generated::new_transition(-772066800, 1),
                crate::generated::new_transition(-764805600, 2),
                crate::generated::new_transition(-748476000, 1),
                crate::generated::new_transition(-733356000, 2),
                crate::generated::new_transition(-719445600, 1),
                crate::generated::new_transition(-717030000, 3),
                crate::generated::new_transition(-706748400, 1),
                crate::generated::new_transition(-699487200, 2),
                crate::generated::new_transition(-687996000, 1),
                crate::generated::new_transition(-668037600, 2),
                crate::generated::new_transition(-654732000, 1),
                crate::generated::new_transition(-636588000, 2),
                crate::generated::new_transition(-622072800, 1),
                crate::generated::new_transition(-605743200, 2),
                crate::generated::new_transition(-590623200, 1),
                crate::generated::new_transition(-574293600, 2),
                crate::generated::new_transition(-558568800, 1),
                crate::generated::new_transition(-542239200, 2),
                crate::generated::new_transition(-527119200, 1),
                crate::generated::new_transition(-512604000, 2),
                crate::generated::new_transition(-496274400, 1),
                crate::generated::new_transition(-481154400, 2),
                crate::generated::new_transition(-464220000, 1),
                crate::generated::new_transition(-449704800, 2),
                crate::generated::new_transition(-432165600, 1),
                crate::generated::new_transition(-417650400, 2),
                crate::generated::new_transition(-401320800, 4),
                crate::generated::new_transition(386125200, 5),
                crate::generated::new_transition(401850000, 4),
                crate::generated::new_transition(417574800, 5),
                crate::generated::new_transition(433299600, 4),
                crate::generated::new_transition(449024400, 5),
                crate::generated::new_transition(465354000, 4),
                crate::generated::new_transition(481078800, 5),
                crate::generated::new_transition(496803600, 4),
                crate::generated::new_transition(512528400, 5),
                crate::generated::new_transition(528253200, 4),
                crate::generated::new_transition(543978000, 5),
                crate::generated::new_transition(559702800, 4),
                crate::generated::new_transition(575427600, 5),
                crate::generated::new_transition(591152400, 4),
                crate::generated::new_transition(606877200, 5),
                crate::generated::new_transition(622602000, 4),
                crate::generated::new_transition(638326800, 5),
                crate::generated::new_transition(654656400, 4),
                crate::generated::new_transition(670381200, 5),
                crate::generated::new_transition(686106000, 4),
                crate::generated::new_transition(701830800, 5),
                crate::generated::new_transition(717555600, 4),
                crate::generated::new_transition(733280400, 5),
                crate::generated::new_transition(749005200, 4),
                crate::generated::new_transition(764730000, 5),
                crate::generated::new_transition(780454800, 4),
                crate::generated::new_transition(796179600, 5),
                crate::generated::new_transition(811904400, 4),
                crate::generated::new_transition(828234000, 5),
            ],
            &[
                crate::generated::new_local_time_type(-1284, false, Some(b"LMT")),
                crate::generated::new_local_time_type(3600, true, Some(b"BST")),
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
                crate::generated::new_local_time_type(7200, true, Some(b"BDST")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                    crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const EUROPE_GUERNSEY: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1784245791, 2),
                crate::generated::new_transition(-1691964000, 1),
                crate::generated::new_transition(-1680472800, 2),
                crate::generated::new_transition(-1664143200, 1),
                crate::generated::new_transition(-1650146400, 2),
                crate::generated::new_transition(-1633903200, 1),
                crate::generated::new_transition(-1617487200, 2),
                crate::generated::new_transition(-1601848800, 1),
                crate::generated::new_transition(-1586037600, 2),
                crate::generated::new_transition(-1570399200, 1),
                crate::generated::new_transition(-1552168800, 2),
                crate::generated::new_transition(-1538344800, 1),
                crate::generated::new_transition(-1522533600, 2),
                crate::generated::new_transition(-1507500000, 1),
                crate::generated::new_transition(-1490565600, 2),
                crate::generated::new_transition(-1473631200, 1),
                crate::generated::new_transition(-1460930400, 2),
                crate::generated::new_transition(-1442786400, 1),
                crate::generated::new_transition(-1428876000, 2),
                crate::generated::new_transition(-1410732000, 1),
                crate::generated::new_transition(-1396216800, 2),
                crate::generated::new_transition(-1379282400, 1),
                crate::generated::new_transition(-1364767200, 2),
                crate::generated::new_transition(-1348437600, 1),
                crate::generated::new_transition(-1333317600, 2),
                crate::generated::new_transition(-1315778400, 1),
                crate::generated::new_transition(-1301263200, 2),
                crate::generated::new_transition(-1284328800, 1),
                crate::generated::new_transition(-1269813600, 2),
                crate::generated::new_transition(-1253484000, 1),
                crate::generated::new_transition(-1238364000, 2),
                crate::generated::new_transition(-1221429600, 1),
                crate::generated::new_transition(-1206914400, 2),
                crate::generated::new_transition(-1189980000, 1),
                crate::generated::new_transition(-1175464800, 2),
                crate::generated::new_transition(-1159135200, 1),
                crate::generated::new_transition(-1143410400, 2),
                crate::generated::new_transition(-1126476000, 1),
                crate::generated::new_transition(-1111960800, 2),
                crate::generated::new_transition(-1095631200, 1),
                crate::generated::new_transition(-1080511200, 2),
                crate::generated::new_transition(-1063576800, 1),
                crate::generated::new_transition(-1049061600, 2),
                crate::generated::new_transition(-1032127200, 1),
                crate::generated::new_transition(-1017612000, 2),
                crate::generated::new_transition(-1001282400, 1),
                crate::generated::new_transition(-986162400, 2),
                crate::generated::new_transition(-969228000, 1),
                crate::generated::new_transition(-950479200, 2),
                crate::generated::new_transition(-942012000, 1),
                crate::generated::new_transition(-930963600, 4),
                crate::generated::new_transition(-857257200, 3),
                crate::generated::new_transition(-844556400, 4),
                crate::generated::new_transition(-828226800, 3),
                crate::generated::new_transition(-812502000, 4),
                crate::generated::new_transition(-796777200, 3),
                crate::generated::new_transition(-781052400, 4),
                crate::generated::new_transition(-777952800, 5),
                crate::generated::new_transition(-772066800, 1),
                crate::generated::new_transition(-764805600, 2),
                crate::generated::new_transition(-748476000, 1),
                crate::generated::new_transition(-733356000, 2),
                crate::generated::new_transition(-719445600, 1),
                crate::generated::new_transition(-717030000, 5),
                crate::generated::new_transition(-706748400, 1),
                crate::generated::new_transition(-699487200, 2),
                crate::generated::new_transition(-687996000, 1),
                crate::generated::new_transition(-668037600, 2),
                crate::generated::new_transition(-654732000, 1),
                crate::generated::new_transition(-636588000, 2),
                crate::generated::new_transition(-622072800, 1),
                crate::generated::new_transition(-605743200, 2),
                crate::generated::new_transition(-590623200, 1),
                crate::generated::new_transition(-574293600, 2),
                crate::generated::new_transition(-558568800, 1),
                crate::generated::new_transition(-542239200, 2),
                crate::generated::new_transition(-527119200, 1),
                crate::generated::new_transition(-512604000, 2),
                crate::generated::new_transition(-496274400, 1),
                crate::generated::new_transition(-481154400, 2),
                crate::generated::new_transition(-464220000, 1),
                crate::generated::new_transition(-449704800, 2),
                crate::generated::new_transition(-432165600, 1),
                crate::generated::new_transition(-417650400, 2),
                crate::generated::new_transition(-401320800, 1),
                crate::generated::new_transition(-386200800, 2),
                crate::generated::new_transition(-369266400, 1),
                crate::generated::new_transition(-354751200, 2),
                crate::generated::new_transition(-337816800, 1),
                crate::generated::new_transition(-323301600, 2),
                crate::generated::new_transition(-306972000, 1),
                crate::generated::new_transition(-291852000, 2),
                crate::generated::new_transition(-276732000, 1),
                crate::generated::new_transition(-257983200, 2),
                crate::generated::new_transition(-245282400, 1),
                crate::generated::new_transition(-226533600, 2),
                crate::generated::new_transition(-213228000, 1),
                crate::generated::new_transition(-195084000, 2),
                crate::generated::new_transition(-182383200, 1),
                crate::generated::new_transition(-163634400, 2),
                crate::generated::new_transition(-150933600, 1),
                crate::generated::new_transition(-132184800, 2),
                crate::generated::new_transition(-119484000, 1),
                crate::generated::new_transition(-100735200, 2),
                crate::generated::new_transition(-88034400, 1),
                crate::generated::new_transition(-68680800, 2),
                crate::generated::new_transition(-59004000, 1),
                crate::generated::new_transition(-37242000, 6),
                crate::generated::new_transition(57722400, 2),
                crate::generated::new_transition(69818400, 1),
                crate::generated::new_transition(89172000, 2),
                crate::generated::new_transition(101268000, 1),
                crate::generated::new_transition(120621600, 2),
                crate::generated::new_transition(132717600, 1),
                crate::generated::new_transition(152071200, 2),
                crate::generated::new_transition(164167200, 1),
                crate::generated::new_transition(183520800, 2),
                crate::generated::new_transition(196221600, 1),
                crate::generated::new_transition(214970400, 2),
                crate::generated::new_transition(227671200, 1),
                crate::generated::new_transition(246420000, 2),
                crate::generated::new_transition(259120800, 1),
                crate::generated::new_transition(278474400, 2),
                crate::generated::new_transition(290570400, 1),
                crate::generated::new_transition(309924000, 2),
                crate::generated::new_transition(322020000, 1),
                crate::generated::new_transition(341373600, 2),
                crate::generated::new_transition(354675600, 1),
                crate::generated::new_transition(372819600, 2),
                crate::generated::new_transition(386125200, 1),
                crate::generated::new_transition(404269200, 2),
                crate::generated::new_transition(417574800, 1),
                crate::generated::new_transition(435718800, 2),
                crate::generated::new_transition(449024400, 1),
                crate::generated::new_transition(467773200, 2),
                crate::generated::new_transition(481078800, 1),
                crate::generated::new_transition(499222800, 2),
                crate::generated::new_transition(512528400, 1),
                crate::generated::new_transition(530672400, 2),
                crate::generated::new_transition(543978000, 1),
                crate::generated::new_transition(562122000, 2),
                crate::generated::new_transition(575427600, 1),
                crate::generated::new_transition(593571600, 2),
                crate::generated::new_transition(606877200, 1),
                crate::generated::new_transition(625626000, 2),
                crate::generated::new_transition(638326800, 1),
                crate::generated::new_transition(657075600, 2),
                crate::generated::new_transition(670381200, 1),
                crate::generated::new_transition(688525200, 2),
                crate::generated::new_transition(701830800, 1),
                crate::generated::new_transition(719974800, 2),
                crate::generated::new_transition(733280400, 1),
                crate::generated::new_transition(751424400, 2),
                crate::generated::new_transition(764730000, 1),
                crate::generated::new_transition(782874000, 2),
                crate::generated::new_transition(796179600, 1),
                crate::generated::new_transition(814323600, 2),
                crate::generated::new_transition(828234000, 1),
            ],
            &[
                crate::generated::new_local_time_type(-609, false, Some(b"LMT")),
                crate::generated::new_local_time_type(3600, true, Some(b"BST")),
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                crate::generated::new_local_time_type(7200, true, Some(b"BDST")),
                crate::generated::new_local_time_type(3600, false, Some(b"BST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(0, false, Some(b"GMT")),
                    crate::generated::new_local_time_type(3600, true, Some(b"BST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    3600,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const EUROPE_HELSINKI: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2890258789, 1),
                crate::generated::new_transition(-1535938789, 3),
                crate::generated::new_transition(-875671200, 2),
                crate::generated::new_transition(-859773600, 3),
                crate::generated::new_transition(354672000, 2),
                crate::generated::new_transition(370396800, 3),
                crate::generated::new_transition(386121600, 2),
                crate::generated::new_transition(401846400, 3),
                crate::generated::new_transition(417574800, 2),
                crate::generated::new_transition(433299600, 3),
                crate::generated::new_transition(449024400, 2),
                crate::generated::new_transition(465354000, 3),
                crate::generated::new_transition(481078800, 2),
                crate::generated::new_transition(496803600, 3),
                crate::generated::new_transition(512528400, 2),
                crate::generated::new_transition(528253200, 3),
                crate::generated::new_transition(543978000, 2),
                crate::generated::new_transition(559702800, 3),
                crate::generated::new_transition(575427600, 2),
                crate::generated::new_transition(591152400, 3),
                crate::generated::new_transition(606877200, 2),
                crate::generated::new_transition(622602000, 3),
                crate::generated::new_transition(638326800, 2),
                crate::generated::new_transition(654656400, 3),
                crate::generated::new_transition(670381200, 2),
                crate::generated::new_transition(686106000, 3),
                crate::generated::new_transition(701830800, 2),
                crate::generated::new_transition(717555600, 3),
                crate::generated::new_transition(733280400, 2),
                crate::generated::new_transition(749005200, 3),
                crate::generated::new_transition(764730000, 2),
                crate::generated::new_transition(780454800, 3),
                crate::generated::new_transition(796179600, 2),
                crate::generated::new_transition(811904400, 3),
                crate::generated::new_transition(828234000, 2),
            ],
            &[
                crate::generated::new_local_time_type(5989, false, Some(b"LMT")),
                crate::generated::new_local_time_type(5989, false, Some(b"HMT")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                    crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    10800,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    14400,
                ),
            )),
        );

    pub(crate) const EUROPE_ISLE_OF_MAN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2737842125, 2),
                crate::generated::new_transition(-1691964000, 1),
                crate::generated::new_transition(-1680472800, 2),
                crate::generated::new_transition(-1664143200, 1),
                crate::generated::new_transition(-1650146400, 2),
                crate::generated::new_transition(-1633903200, 1),
                crate::generated::new_transition(-1617487200, 2),
                crate::generated::new_transition(-1601848800, 1),
                crate::generated::new_transition(-1586037600, 2),
                crate::generated::new_transition(-1570399200, 1),
                crate::generated::new_transition(-1552168800, 2),
                crate::generated::new_transition(-1538344800, 1),
                crate::generated::new_transition(-1522533600, 2),
                crate::generated::new_transition(-1507500000, 1),
                crate::generated::new_transition(-1490565600, 2),
                crate::generated::new_transition(-1473631200, 1),
                crate::generated::new_transition(-1460930400, 2),
                crate::generated::new_transition(-1442786400, 1),
                crate::generated::new_transition(-1428876000, 2),
                crate::generated::new_transition(-1410732000, 1),
                crate::generated::new_transition(-1396216800, 2),
                crate::generated::new_transition(-1379282400, 1),
                crate::generated::new_transition(-1364767200, 2),
                crate::generated::new_transition(-1348437600, 1),
                crate::generated::new_transition(-1333317600, 2),
                crate::generated::new_transition(-1315778400, 1),
                crate::generated::new_transition(-1301263200, 2),
                crate::generated::new_transition(-1284328800, 1),
                crate::generated::new_transition(-1269813600, 2),
                crate::generated::new_transition(-1253484000, 1),
                crate::generated::new_transition(-1238364000, 2),
                crate::generated::new_transition(-1221429600, 1),
                crate::generated::new_transition(-1206914400, 2),
                crate::generated::new_transition(-1189980000, 1),
                crate::generated::new_transition(-1175464800, 2),
                crate::generated::new_transition(-1159135200, 1),
                crate::generated::new_transition(-1143410400, 2),
                crate::generated::new_transition(-1126476000, 1),
                crate::generated::new_transition(-1111960800, 2),
                crate::generated::new_transition(-1095631200, 1),
                crate::generated::new_transition(-1080511200, 2),
                crate::generated::new_transition(-1063576800, 1),
                crate::generated::new_transition(-1049061600, 2),
                crate::generated::new_transition(-1032127200, 1),
                crate::generated::new_transition(-1017612000, 2),
                crate::generated::new_transition(-1001282400, 1),
                crate::generated::new_transition(-986162400, 2),
                crate::generated::new_transition(-969228000, 1),
                crate::generated::new_transition(-950479200, 2),
                crate::generated::new_transition(-942012000, 1),
                crate::generated::new_transition(-904518000, 3),
                crate::generated::new_transition(-896050800, 1),
                crate::generated::new_transition(-875487600, 3),
                crate::generated::new_transition(-864601200, 1),
                crate::generated::new_transition(-844038000, 3),
                crate::generated::new_transition(-832546800, 1),
                crate::generated::new_transition(-812588400, 3),
                crate::generated::new_transition(-798073200, 1),
                crate::generated::new_transition(-781052400, 3),
                crate::generated::new_transition(-772066800, 1),
                crate::generated::new_transition(-764805600, 2),
                crate::generated::new_transition(-748476000, 1),
                crate::generated::new_transition(-733356000, 2),
                crate::generated::new_transition(-719445600, 1),
                crate::generated::new_transition(-717030000, 3),
                crate::generated::new_transition(-706748400, 1),
                crate::generated::new_transition(-699487200, 2),
                crate::generated::new_transition(-687996000, 1),
                crate::generated::new_transition(-668037600, 2),
                crate::generated::new_transition(-654732000, 1),
                crate::generated::new_transition(-636588000, 2),
                crate::generated::new_transition(-622072800, 1),
                crate::generated::new_transition(-605743200, 2),
                crate::generated::new_transition(-590623200, 1),
                crate::generated::new_transition(-574293600, 2),
                crate::generated::new_transition(-558568800, 1),
                crate::generated::new_transition(-542239200, 2),
                crate::generated::new_transition(-527119200, 1),
                crate::generated::new_transition(-512604000, 2),
                crate::generated::new_transition(-496274400, 1),
                crate::generated::new_transition(-481154400, 2),
                crate::generated::new_transition(-464220000, 1),
                crate::generated::new_transition(-449704800, 2),
                crate::generated::new_transition(-432165600, 1),
                crate::generated::new_transition(-417650400, 2),
                crate::generated::new_transition(-401320800, 1),
                crate::generated::new_transition(-386200800, 2),
                crate::generated::new_transition(-369266400, 1),
                crate::generated::new_transition(-354751200, 2),
                crate::generated::new_transition(-337816800, 1),
                crate::generated::new_transition(-323301600, 2),
                crate::generated::new_transition(-306972000, 1),
                crate::generated::new_transition(-291852000, 2),
                crate::generated::new_transition(-276732000, 1),
                crate::generated::new_transition(-257983200, 2),
                crate::generated::new_transition(-245282400, 1),
                crate::generated::new_transition(-226533600, 2),
                crate::generated::new_transition(-213228000, 1),
                crate::generated::new_transition(-195084000, 2),
                crate::generated::new_transition(-182383200, 1),
                crate::generated::new_transition(-163634400, 2),
                crate::generated::new_transition(-150933600, 1),
                crate::generated::new_transition(-132184800, 2),
                crate::generated::new_transition(-119484000, 1),
                crate::generated::new_transition(-100735200, 2),
                crate::generated::new_transition(-88034400, 1),
                crate::generated::new_transition(-68680800, 2),
                crate::generated::new_transition(-59004000, 1),
                crate::generated::new_transition(-37242000, 4),
                crate::generated::new_transition(57722400, 2),
                crate::generated::new_transition(69818400, 1),
                crate::generated::new_transition(89172000, 2),
                crate::generated::new_transition(101268000, 1),
                crate::generated::new_transition(120621600, 2),
                crate::generated::new_transition(132717600, 1),
                crate::generated::new_transition(152071200, 2),
                crate::generated::new_transition(164167200, 1),
                crate::generated::new_transition(183520800, 2),
                crate::generated::new_transition(196221600, 1),
                crate::generated::new_transition(214970400, 2),
                crate::generated::new_transition(227671200, 1),
                crate::generated::new_transition(246420000, 2),
                crate::generated::new_transition(259120800, 1),
                crate::generated::new_transition(278474400, 2),
                crate::generated::new_transition(290570400, 1),
                crate::generated::new_transition(309924000, 2),
                crate::generated::new_transition(322020000, 1),
                crate::generated::new_transition(341373600, 2),
                crate::generated::new_transition(354675600, 1),
                crate::generated::new_transition(372819600, 2),
                crate::generated::new_transition(386125200, 1),
                crate::generated::new_transition(404269200, 2),
                crate::generated::new_transition(417574800, 1),
                crate::generated::new_transition(435718800, 2),
                crate::generated::new_transition(449024400, 1),
                crate::generated::new_transition(467773200, 2),
                crate::generated::new_transition(481078800, 1),
                crate::generated::new_transition(499222800, 2),
                crate::generated::new_transition(512528400, 1),
                crate::generated::new_transition(530672400, 2),
                crate::generated::new_transition(543978000, 1),
                crate::generated::new_transition(562122000, 2),
                crate::generated::new_transition(575427600, 1),
                crate::generated::new_transition(593571600, 2),
                crate::generated::new_transition(606877200, 1),
                crate::generated::new_transition(625626000, 2),
                crate::generated::new_transition(638326800, 1),
                crate::generated::new_transition(657075600, 2),
                crate::generated::new_transition(670381200, 1),
                crate::generated::new_transition(688525200, 2),
                crate::generated::new_transition(701830800, 1),
                crate::generated::new_transition(719974800, 2),
                crate::generated::new_transition(733280400, 1),
                crate::generated::new_transition(751424400, 2),
                crate::generated::new_transition(764730000, 1),
                crate::generated::new_transition(782874000, 2),
                crate::generated::new_transition(796179600, 1),
                crate::generated::new_transition(814323600, 2),
                crate::generated::new_transition(828234000, 1),
            ],
            &[
                crate::generated::new_local_time_type(-1075, false, Some(b"LMT")),
                crate::generated::new_local_time_type(3600, true, Some(b"BST")),
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
                crate::generated::new_local_time_type(7200, true, Some(b"BDST")),
                crate::generated::new_local_time_type(3600, false, Some(b"BST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(0, false, Some(b"GMT")),
                    crate::generated::new_local_time_type(3600, true, Some(b"BST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    3600,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    7200,
                ),
            )),
        );

    pub(crate) const EUROPE_JERSEY: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2258092800, 2),
            crate::generated::new_transition(-1691964000, 1),
            crate::generated::new_transition(-1680472800, 2),
            crate::generated::new_transition(-1664143200, 1),
            crate::generated::new_transition(-1650146400, 2),
            crate::generated::new_transition(-1633903200, 1),
            crate::generated::new_transition(-1617487200, 2),
            crate::generated::new_transition(-1601848800, 1),
            crate::generated::new_transition(-1586037600, 2),
            crate::generated::new_transition(-1570399200, 1),
            crate::generated::new_transition(-1552168800, 2),
            crate::generated::new_transition(-1538344800, 1),
            crate::generated::new_transition(-1522533600, 2),
            crate::generated::new_transition(-1507500000, 1),
            crate::generated::new_transition(-1490565600, 2),
            crate::generated::new_transition(-1473631200, 1),
            crate::generated::new_transition(-1460930400, 2),
            crate::generated::new_transition(-1442786400, 1),
            crate::generated::new_transition(-1428876000, 2),
            crate::generated::new_transition(-1410732000, 1),
            crate::generated::new_transition(-1396216800, 2),
            crate::generated::new_transition(-1379282400, 1),
            crate::generated::new_transition(-1364767200, 2),
            crate::generated::new_transition(-1348437600, 1),
            crate::generated::new_transition(-1333317600, 2),
            crate::generated::new_transition(-1315778400, 1),
            crate::generated::new_transition(-1301263200, 2),
            crate::generated::new_transition(-1284328800, 1),
            crate::generated::new_transition(-1269813600, 2),
            crate::generated::new_transition(-1253484000, 1),
            crate::generated::new_transition(-1238364000, 2),
            crate::generated::new_transition(-1221429600, 1),
            crate::generated::new_transition(-1206914400, 2),
            crate::generated::new_transition(-1189980000, 1),
            crate::generated::new_transition(-1175464800, 2),
            crate::generated::new_transition(-1159135200, 1),
            crate::generated::new_transition(-1143410400, 2),
            crate::generated::new_transition(-1126476000, 1),
            crate::generated::new_transition(-1111960800, 2),
            crate::generated::new_transition(-1095631200, 1),
            crate::generated::new_transition(-1080511200, 2),
            crate::generated::new_transition(-1063576800, 1),
            crate::generated::new_transition(-1049061600, 2),
            crate::generated::new_transition(-1032127200, 1),
            crate::generated::new_transition(-1017612000, 2),
            crate::generated::new_transition(-1001282400, 1),
            crate::generated::new_transition(-986162400, 2),
            crate::generated::new_transition(-969228000, 1),
            crate::generated::new_transition(-950479200, 2),
            crate::generated::new_transition(-942012000, 1),
            crate::generated::new_transition(-930963600, 4),
            crate::generated::new_transition(-857257200, 3),
            crate::generated::new_transition(-844556400, 4),
            crate::generated::new_transition(-828226800, 3),
            crate::generated::new_transition(-812502000, 4),
            crate::generated::new_transition(-796777200, 3),
            crate::generated::new_transition(-781052400, 4),
            crate::generated::new_transition(-777952800, 5),
            crate::generated::new_transition(-772066800, 1),
            crate::generated::new_transition(-764805600, 2),
            crate::generated::new_transition(-748476000, 1),
            crate::generated::new_transition(-733356000, 2),
            crate::generated::new_transition(-719445600, 1),
            crate::generated::new_transition(-717030000, 5),
            crate::generated::new_transition(-706748400, 1),
            crate::generated::new_transition(-699487200, 2),
            crate::generated::new_transition(-687996000, 1),
            crate::generated::new_transition(-668037600, 2),
            crate::generated::new_transition(-654732000, 1),
            crate::generated::new_transition(-636588000, 2),
            crate::generated::new_transition(-622072800, 1),
            crate::generated::new_transition(-605743200, 2),
            crate::generated::new_transition(-590623200, 1),
            crate::generated::new_transition(-574293600, 2),
            crate::generated::new_transition(-558568800, 1),
            crate::generated::new_transition(-542239200, 2),
            crate::generated::new_transition(-527119200, 1),
            crate::generated::new_transition(-512604000, 2),
            crate::generated::new_transition(-496274400, 1),
            crate::generated::new_transition(-481154400, 2),
            crate::generated::new_transition(-464220000, 1),
            crate::generated::new_transition(-449704800, 2),
            crate::generated::new_transition(-432165600, 1),
            crate::generated::new_transition(-417650400, 2),
            crate::generated::new_transition(-401320800, 1),
            crate::generated::new_transition(-386200800, 2),
            crate::generated::new_transition(-369266400, 1),
            crate::generated::new_transition(-354751200, 2),
            crate::generated::new_transition(-337816800, 1),
            crate::generated::new_transition(-323301600, 2),
            crate::generated::new_transition(-306972000, 1),
            crate::generated::new_transition(-291852000, 2),
            crate::generated::new_transition(-276732000, 1),
            crate::generated::new_transition(-257983200, 2),
            crate::generated::new_transition(-245282400, 1),
            crate::generated::new_transition(-226533600, 2),
            crate::generated::new_transition(-213228000, 1),
            crate::generated::new_transition(-195084000, 2),
            crate::generated::new_transition(-182383200, 1),
            crate::generated::new_transition(-163634400, 2),
            crate::generated::new_transition(-150933600, 1),
            crate::generated::new_transition(-132184800, 2),
            crate::generated::new_transition(-119484000, 1),
            crate::generated::new_transition(-100735200, 2),
            crate::generated::new_transition(-88034400, 1),
            crate::generated::new_transition(-68680800, 2),
            crate::generated::new_transition(-59004000, 1),
            crate::generated::new_transition(-37242000, 6),
            crate::generated::new_transition(57722400, 2),
            crate::generated::new_transition(69818400, 1),
            crate::generated::new_transition(89172000, 2),
            crate::generated::new_transition(101268000, 1),
            crate::generated::new_transition(120621600, 2),
            crate::generated::new_transition(132717600, 1),
            crate::generated::new_transition(152071200, 2),
            crate::generated::new_transition(164167200, 1),
            crate::generated::new_transition(183520800, 2),
            crate::generated::new_transition(196221600, 1),
            crate::generated::new_transition(214970400, 2),
            crate::generated::new_transition(227671200, 1),
            crate::generated::new_transition(246420000, 2),
            crate::generated::new_transition(259120800, 1),
            crate::generated::new_transition(278474400, 2),
            crate::generated::new_transition(290570400, 1),
            crate::generated::new_transition(309924000, 2),
            crate::generated::new_transition(322020000, 1),
            crate::generated::new_transition(341373600, 2),
            crate::generated::new_transition(354675600, 1),
            crate::generated::new_transition(372819600, 2),
            crate::generated::new_transition(386125200, 1),
            crate::generated::new_transition(404269200, 2),
            crate::generated::new_transition(417574800, 1),
            crate::generated::new_transition(435718800, 2),
            crate::generated::new_transition(449024400, 1),
            crate::generated::new_transition(467773200, 2),
            crate::generated::new_transition(481078800, 1),
            crate::generated::new_transition(499222800, 2),
            crate::generated::new_transition(512528400, 1),
            crate::generated::new_transition(530672400, 2),
            crate::generated::new_transition(543978000, 1),
            crate::generated::new_transition(562122000, 2),
            crate::generated::new_transition(575427600, 1),
            crate::generated::new_transition(593571600, 2),
            crate::generated::new_transition(606877200, 1),
            crate::generated::new_transition(625626000, 2),
            crate::generated::new_transition(638326800, 1),
            crate::generated::new_transition(657075600, 2),
            crate::generated::new_transition(670381200, 1),
            crate::generated::new_transition(688525200, 2),
            crate::generated::new_transition(701830800, 1),
            crate::generated::new_transition(719974800, 2),
            crate::generated::new_transition(733280400, 1),
            crate::generated::new_transition(751424400, 2),
            crate::generated::new_transition(764730000, 1),
            crate::generated::new_transition(782874000, 2),
            crate::generated::new_transition(796179600, 1),
            crate::generated::new_transition(814323600, 2),
            crate::generated::new_transition(828234000, 1),
        ],
        &[
            crate::generated::new_local_time_type(-506, false, Some(b"LMT")),
            crate::generated::new_local_time_type(3600, true, Some(b"BST")),
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(7200, true, Some(b"BDST")),
            crate::generated::new_local_time_type(3600, false, Some(b"BST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
                crate::generated::new_local_time_type(3600, true, Some(b"BST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                3600,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const EUROPE_KALININGRAD: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2422056120, 2),
                crate::generated::new_transition(-1693706400, 1),
                crate::generated::new_transition(-1680483600, 2),
                crate::generated::new_transition(-1663455600, 1),
                crate::generated::new_transition(-1650150000, 2),
                crate::generated::new_transition(-1632006000, 1),
                crate::generated::new_transition(-1618700400, 2),
                crate::generated::new_transition(-938905200, 1),
                crate::generated::new_transition(-857257200, 2),
                crate::generated::new_transition(-844556400, 1),
                crate::generated::new_transition(-828226800, 2),
                crate::generated::new_transition(-812502000, 1),
                crate::generated::new_transition(-796777200, 2),
                crate::generated::new_transition(-781052400, 1),
                crate::generated::new_transition(-780372000, 4),
                crate::generated::new_transition(-778730400, 3),
                crate::generated::new_transition(-762663600, 4),
                crate::generated::new_transition(-749095200, 6),
                crate::generated::new_transition(354920400, 5),
                crate::generated::new_transition(370728000, 6),
                crate::generated::new_transition(386456400, 5),
                crate::generated::new_transition(402264000, 6),
                crate::generated::new_transition(417992400, 5),
                crate::generated::new_transition(433800000, 6),
                crate::generated::new_transition(449614800, 5),
                crate::generated::new_transition(465346800, 6),
                crate::generated::new_transition(481071600, 5),
                crate::generated::new_transition(496796400, 6),
                crate::generated::new_transition(512521200, 5),
                crate::generated::new_transition(528246000, 6),
                crate::generated::new_transition(543970800, 5),
                crate::generated::new_transition(559695600, 6),
                crate::generated::new_transition(575420400, 5),
                crate::generated::new_transition(591145200, 6),
                crate::generated::new_transition(606870000, 3),
                crate::generated::new_transition(622598400, 4),
                crate::generated::new_transition(638323200, 3),
                crate::generated::new_transition(654652800, 4),
                crate::generated::new_transition(670377600, 3),
                crate::generated::new_transition(686102400, 4),
                crate::generated::new_transition(701827200, 3),
                crate::generated::new_transition(717552000, 4),
                crate::generated::new_transition(733276800, 3),
                crate::generated::new_transition(749001600, 4),
                crate::generated::new_transition(764726400, 3),
                crate::generated::new_transition(780451200, 4),
                crate::generated::new_transition(796176000, 3),
                crate::generated::new_transition(811900800, 4),
                crate::generated::new_transition(828230400, 3),
                crate::generated::new_transition(846374400, 4),
                crate::generated::new_transition(859680000, 3),
                crate::generated::new_transition(877824000, 4),
                crate::generated::new_transition(891129600, 3),
                crate::generated::new_transition(909273600, 4),
                crate::generated::new_transition(922579200, 3),
                crate::generated::new_transition(941328000, 4),
                crate::generated::new_transition(954028800, 3),
                crate::generated::new_transition(972777600, 4),
                crate::generated::new_transition(985478400, 3),
                crate::generated::new_transition(1004227200, 4),
                crate::generated::new_transition(1017532800, 3),
                crate::generated::new_transition(1035676800, 4),
                crate::generated::new_transition(1048982400, 3),
                crate::generated::new_transition(1067126400, 4),
                crate::generated::new_transition(1080432000, 3),
                crate::generated::new_transition(1099180800, 4),
                crate::generated::new_transition(1111881600, 3),
                crate::generated::new_transition(1130630400, 4),
                crate::generated::new_transition(1143331200, 3),
                crate::generated::new_transition(1162080000, 4),
                crate::generated::new_transition(1174780800, 3),
                crate::generated::new_transition(1193529600, 4),
                crate::generated::new_transition(1206835200, 3),
                crate::generated::new_transition(1224979200, 4),
                crate::generated::new_transition(1238284800, 3),
                crate::generated::new_transition(1256428800, 4),
                crate::generated::new_transition(1269734400, 3),
                crate::generated::new_transition(1288483200, 4),
                crate::generated::new_transition(1301184000, 7),
                crate::generated::new_transition(1414278000, 4),
            ],
            &[
                crate::generated::new_local_time_type(4920, false, Some(b"LMT")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                crate::generated::new_local_time_type(14400, true, Some(b"MSD")),
                crate::generated::new_local_time_type(10800, false, Some(b"MSK")),
                crate::generated::new_local_time_type(10800, false, Some(b"+03")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            )),
        );

    pub(crate) const EUROPE_KIEV: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2840148124, 1),
            crate::generated::new_transition(-1441159324, 2),
            crate::generated::new_transition(-1247536800, 3),
            crate::generated::new_transition(-892522800, 5),
            crate::generated::new_transition(-857257200, 4),
            crate::generated::new_transition(-844556400, 5),
            crate::generated::new_transition(-828226800, 4),
            crate::generated::new_transition(-825382800, 3),
            crate::generated::new_transition(354920400, 6),
            crate::generated::new_transition(370728000, 3),
            crate::generated::new_transition(386456400, 6),
            crate::generated::new_transition(402264000, 3),
            crate::generated::new_transition(417992400, 6),
            crate::generated::new_transition(433800000, 3),
            crate::generated::new_transition(449614800, 6),
            crate::generated::new_transition(465346800, 3),
            crate::generated::new_transition(481071600, 6),
            crate::generated::new_transition(496796400, 3),
            crate::generated::new_transition(512521200, 6),
            crate::generated::new_transition(528246000, 3),
            crate::generated::new_transition(543970800, 6),
            crate::generated::new_transition(559695600, 3),
            crate::generated::new_transition(575420400, 6),
            crate::generated::new_transition(591145200, 3),
            crate::generated::new_transition(606870000, 6),
            crate::generated::new_transition(622594800, 3),
            crate::generated::new_transition(638319600, 6),
            crate::generated::new_transition(646783200, 7),
            crate::generated::new_transition(686102400, 2),
            crate::generated::new_transition(701827200, 7),
            crate::generated::new_transition(717552000, 2),
            crate::generated::new_transition(733276800, 7),
            crate::generated::new_transition(749001600, 2),
            crate::generated::new_transition(764726400, 7),
            crate::generated::new_transition(780451200, 2),
            crate::generated::new_transition(796176000, 7),
            crate::generated::new_transition(811900800, 2),
            crate::generated::new_transition(828230400, 7),
            crate::generated::new_transition(846378000, 2),
        ],
        &[
            crate::generated::new_local_time_type(7324, false, Some(b"LMT")),
            crate::generated::new_local_time_type(7324, false, Some(b"KMT")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            crate::generated::new_local_time_type(10800, false, Some(b"MSK")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(14400, true, Some(b"MSD")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                10800,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                14400,
            ),
        )),
    );

    pub(crate) const EUROPE_KIROV: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1593820800, 1),
            crate::generated::new_transition(-1247540400, 3),
            crate::generated::new_transition(354916800, 2),
            crate::generated::new_transition(370724400, 3),
            crate::generated::new_transition(386452800, 2),
            crate::generated::new_transition(402260400, 3),
            crate::generated::new_transition(417988800, 2),
            crate::generated::new_transition(433796400, 3),
            crate::generated::new_transition(449611200, 2),
            crate::generated::new_transition(465343200, 3),
            crate::generated::new_transition(481068000, 2),
            crate::generated::new_transition(496792800, 3),
            crate::generated::new_transition(512517600, 2),
            crate::generated::new_transition(528242400, 3),
            crate::generated::new_transition(543967200, 2),
            crate::generated::new_transition(559692000, 3),
            crate::generated::new_transition(575416800, 2),
            crate::generated::new_transition(591141600, 3),
            crate::generated::new_transition(606866400, 4),
            crate::generated::new_transition(622594800, 5),
            crate::generated::new_transition(638319600, 4),
            crate::generated::new_transition(654649200, 5),
            crate::generated::new_transition(670374000, 3),
            crate::generated::new_transition(701820000, 4),
            crate::generated::new_transition(717548400, 5),
            crate::generated::new_transition(733273200, 4),
            crate::generated::new_transition(748998000, 5),
            crate::generated::new_transition(764722800, 4),
            crate::generated::new_transition(780447600, 5),
            crate::generated::new_transition(796172400, 4),
            crate::generated::new_transition(811897200, 5),
            crate::generated::new_transition(828226800, 4),
            crate::generated::new_transition(846370800, 5),
            crate::generated::new_transition(859676400, 4),
            crate::generated::new_transition(877820400, 5),
            crate::generated::new_transition(891126000, 4),
            crate::generated::new_transition(909270000, 5),
            crate::generated::new_transition(922575600, 4),
            crate::generated::new_transition(941324400, 5),
            crate::generated::new_transition(954025200, 4),
            crate::generated::new_transition(972774000, 5),
            crate::generated::new_transition(985474800, 4),
            crate::generated::new_transition(1004223600, 5),
            crate::generated::new_transition(1017529200, 4),
            crate::generated::new_transition(1035673200, 5),
            crate::generated::new_transition(1048978800, 4),
            crate::generated::new_transition(1067122800, 5),
            crate::generated::new_transition(1080428400, 4),
            crate::generated::new_transition(1099177200, 5),
            crate::generated::new_transition(1111878000, 4),
            crate::generated::new_transition(1130626800, 5),
            crate::generated::new_transition(1143327600, 4),
            crate::generated::new_transition(1162076400, 5),
            crate::generated::new_transition(1174777200, 4),
            crate::generated::new_transition(1193526000, 5),
            crate::generated::new_transition(1206831600, 4),
            crate::generated::new_transition(1224975600, 5),
            crate::generated::new_transition(1238281200, 4),
            crate::generated::new_transition(1256425200, 5),
            crate::generated::new_transition(1269730800, 4),
            crate::generated::new_transition(1288479600, 5),
            crate::generated::new_transition(1301180400, 6),
            crate::generated::new_transition(1414274400, 5),
        ],
        &[
            crate::generated::new_local_time_type(11928, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
            crate::generated::new_local_time_type(18000, true, Some(b"+05")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            crate::generated::new_local_time_type(14400, true, Some(b"MSD")),
            crate::generated::new_local_time_type(10800, false, Some(b"MSK")),
            crate::generated::new_local_time_type(14400, false, Some(b"MSK")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"MSK")),
        )),
    );

    pub(crate) const EUROPE_LJUBLJANA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2713913884, 1),
                crate::generated::new_transition(-905824800, 2),
                crate::generated::new_transition(-857257200, 1),
                crate::generated::new_transition(-844556400, 2),
                crate::generated::new_transition(-828226800, 1),
                crate::generated::new_transition(-812502000, 2),
                crate::generated::new_transition(-796777200, 1),
                crate::generated::new_transition(-781052400, 2),
                crate::generated::new_transition(-766623600, 1),
                crate::generated::new_transition(417574800, 2),
                crate::generated::new_transition(433299600, 1),
                crate::generated::new_transition(449024400, 2),
                crate::generated::new_transition(465354000, 1),
                crate::generated::new_transition(481078800, 2),
                crate::generated::new_transition(496803600, 1),
                crate::generated::new_transition(512528400, 2),
                crate::generated::new_transition(528253200, 1),
                crate::generated::new_transition(543978000, 2),
                crate::generated::new_transition(559702800, 1),
                crate::generated::new_transition(575427600, 2),
                crate::generated::new_transition(591152400, 1),
                crate::generated::new_transition(606877200, 2),
                crate::generated::new_transition(622602000, 1),
                crate::generated::new_transition(638326800, 2),
                crate::generated::new_transition(654656400, 1),
                crate::generated::new_transition(670381200, 2),
                crate::generated::new_transition(686106000, 1),
                crate::generated::new_transition(701830800, 2),
                crate::generated::new_transition(717555600, 1),
                crate::generated::new_transition(733280400, 2),
                crate::generated::new_transition(749005200, 1),
                crate::generated::new_transition(764730000, 2),
                crate::generated::new_transition(780454800, 1),
                crate::generated::new_transition(796179600, 2),
                crate::generated::new_transition(811904400, 1),
                crate::generated::new_transition(828234000, 2),
            ],
            &[
                crate::generated::new_local_time_type(3484, false, Some(b"LMT")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                    crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const EUROPE_LUXEMBOURG: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2069713476, 2),
                crate::generated::new_transition(-1692496800, 1),
                crate::generated::new_transition(-1680483600, 2),
                crate::generated::new_transition(-1662343200, 1),
                crate::generated::new_transition(-1650157200, 2),
                crate::generated::new_transition(-1632006000, 1),
                crate::generated::new_transition(-1618700400, 2),
                crate::generated::new_transition(-1612659600, 4),
                crate::generated::new_transition(-1604278800, 3),
                crate::generated::new_transition(-1585519200, 4),
                crate::generated::new_transition(-1574038800, 3),
                crate::generated::new_transition(-1552258800, 4),
                crate::generated::new_transition(-1539997200, 3),
                crate::generated::new_transition(-1520550000, 4),
                crate::generated::new_transition(-1507510800, 3),
                crate::generated::new_transition(-1490572800, 4),
                crate::generated::new_transition(-1473642000, 3),
                crate::generated::new_transition(-1459119600, 4),
                crate::generated::new_transition(-1444006800, 3),
                crate::generated::new_transition(-1427673600, 4),
                crate::generated::new_transition(-1411866000, 3),
                crate::generated::new_transition(-1396224000, 4),
                crate::generated::new_transition(-1379293200, 3),
                crate::generated::new_transition(-1364774400, 4),
                crate::generated::new_transition(-1348448400, 3),
                crate::generated::new_transition(-1333324800, 4),
                crate::generated::new_transition(-1316394000, 3),
                crate::generated::new_transition(-1301270400, 4),
                crate::generated::new_transition(-1284339600, 3),
                crate::generated::new_transition(-1269813600, 4),
                crate::generated::new_transition(-1253484000, 3),
                crate::generated::new_transition(-1238364000, 4),
                crate::generated::new_transition(-1221429600, 3),
                crate::generated::new_transition(-1206914400, 4),
                crate::generated::new_transition(-1191189600, 3),
                crate::generated::new_transition(-1175464800, 4),
                crate::generated::new_transition(-1160344800, 3),
                crate::generated::new_transition(-1143410400, 4),
                crate::generated::new_transition(-1127685600, 3),
                crate::generated::new_transition(-1111960800, 4),
                crate::generated::new_transition(-1096840800, 3),
                crate::generated::new_transition(-1080511200, 4),
                crate::generated::new_transition(-1063576800, 3),
                crate::generated::new_transition(-1049061600, 4),
                crate::generated::new_transition(-1033336800, 3),
                crate::generated::new_transition(-1017612000, 4),
                crate::generated::new_transition(-1002492000, 3),
                crate::generated::new_transition(-986162400, 4),
                crate::generated::new_transition(-969228000, 3),
                crate::generated::new_transition(-950479200, 4),
                crate::generated::new_transition(-942012000, 3),
                crate::generated::new_transition(-935186400, 6),
                crate::generated::new_transition(-857257200, 5),
                crate::generated::new_transition(-844556400, 6),
                crate::generated::new_transition(-828226800, 5),
                crate::generated::new_transition(-812502000, 6),
                crate::generated::new_transition(-797986800, 2),
                crate::generated::new_transition(-781052400, 1),
                crate::generated::new_transition(-766623600, 2),
                crate::generated::new_transition(-745455600, 1),
                crate::generated::new_transition(-733273200, 2),
                crate::generated::new_transition(228877200, 1),
                crate::generated::new_transition(243997200, 2),
                crate::generated::new_transition(260326800, 1),
                crate::generated::new_transition(276051600, 2),
                crate::generated::new_transition(291776400, 1),
                crate::generated::new_transition(307501200, 2),
                crate::generated::new_transition(323830800, 1),
                crate::generated::new_transition(338950800, 2),
                crate::generated::new_transition(354675600, 1),
                crate::generated::new_transition(370400400, 2),
                crate::generated::new_transition(386125200, 1),
                crate::generated::new_transition(401850000, 2),
                crate::generated::new_transition(417574800, 1),
                crate::generated::new_transition(433299600, 2),
                crate::generated::new_transition(449024400, 1),
                crate::generated::new_transition(465354000, 2),
                crate::generated::new_transition(481078800, 1),
                crate::generated::new_transition(496803600, 2),
                crate::generated::new_transition(512528400, 1),
                crate::generated::new_transition(528253200, 2),
                crate::generated::new_transition(543978000, 1),
                crate::generated::new_transition(559702800, 2),
                crate::generated::new_transition(575427600, 1),
                crate::generated::new_transition(591152400, 2),
                crate::generated::new_transition(606877200, 1),
                crate::generated::new_transition(622602000, 2),
                crate::generated::new_transition(638326800, 1),
                crate::generated::new_transition(654656400, 2),
                crate::generated::new_transition(670381200, 1),
                crate::generated::new_transition(686106000, 2),
                crate::generated::new_transition(701830800, 1),
                crate::generated::new_transition(717555600, 2),
                crate::generated::new_transition(733280400, 1),
                crate::generated::new_transition(749005200, 2),
                crate::generated::new_transition(764730000, 1),
                crate::generated::new_transition(780454800, 2),
                crate::generated::new_transition(796179600, 1),
                crate::generated::new_transition(811904400, 2),
                crate::generated::new_transition(828234000, 1),
            ],
            &[
                crate::generated::new_local_time_type(1476, false, Some(b"LMT")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
                crate::generated::new_local_time_type(0, false, Some(b"WET")),
                crate::generated::new_local_time_type(3600, false, Some(b"WET")),
                crate::generated::new_local_time_type(7200, true, Some(b"WEST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                    crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const EUROPE_MADRID: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2177452800, 2),
            crate::generated::new_transition(-1631926800, 1),
            crate::generated::new_transition(-1616889600, 2),
            crate::generated::new_transition(-1601168400, 1),
            crate::generated::new_transition(-1585353600, 2),
            crate::generated::new_transition(-1442451600, 1),
            crate::generated::new_transition(-1427673600, 2),
            crate::generated::new_transition(-1379293200, 1),
            crate::generated::new_transition(-1364774400, 2),
            crate::generated::new_transition(-1348448400, 1),
            crate::generated::new_transition(-1333324800, 2),
            crate::generated::new_transition(-1316390400, 1),
            crate::generated::new_transition(-1301270400, 2),
            crate::generated::new_transition(-1284339600, 1),
            crate::generated::new_transition(-1269820800, 2),
            crate::generated::new_transition(-1026954000, 1),
            crate::generated::new_transition(-1017619200, 2),
            crate::generated::new_transition(-1001898000, 1),
            crate::generated::new_transition(-999482400, 3),
            crate::generated::new_transition(-986090400, 1),
            crate::generated::new_transition(-954115200, 2),
            crate::generated::new_transition(-940208400, 5),
            crate::generated::new_transition(-873079200, 4),
            crate::generated::new_transition(-862621200, 5),
            crate::generated::new_transition(-842839200, 4),
            crate::generated::new_transition(-828320400, 5),
            crate::generated::new_transition(-811389600, 4),
            crate::generated::new_transition(-796870800, 5),
            crate::generated::new_transition(-779940000, 4),
            crate::generated::new_transition(-765421200, 5),
            crate::generated::new_transition(-748490400, 4),
            crate::generated::new_transition(-733971600, 5),
            crate::generated::new_transition(-652327200, 4),
            crate::generated::new_transition(-639018000, 5),
            crate::generated::new_transition(135122400, 4),
            crate::generated::new_transition(150246000, 5),
            crate::generated::new_transition(166572000, 4),
            crate::generated::new_transition(181695600, 5),
            crate::generated::new_transition(196812000, 4),
            crate::generated::new_transition(212540400, 5),
            crate::generated::new_transition(228866400, 4),
            crate::generated::new_transition(243990000, 5),
            crate::generated::new_transition(260326800, 4),
            crate::generated::new_transition(276051600, 5),
            crate::generated::new_transition(291776400, 4),
            crate::generated::new_transition(307501200, 5),
            crate::generated::new_transition(323830800, 4),
            crate::generated::new_transition(338950800, 5),
            crate::generated::new_transition(354675600, 4),
            crate::generated::new_transition(370400400, 5),
            crate::generated::new_transition(386125200, 4),
            crate::generated::new_transition(401850000, 5),
            crate::generated::new_transition(417574800, 4),
            crate::generated::new_transition(433299600, 5),
            crate::generated::new_transition(449024400, 4),
            crate::generated::new_transition(465354000, 5),
            crate::generated::new_transition(481078800, 4),
            crate::generated::new_transition(496803600, 5),
            crate::generated::new_transition(512528400, 4),
            crate::generated::new_transition(528253200, 5),
            crate::generated::new_transition(543978000, 4),
            crate::generated::new_transition(559702800, 5),
            crate::generated::new_transition(575427600, 4),
            crate::generated::new_transition(591152400, 5),
            crate::generated::new_transition(606877200, 4),
            crate::generated::new_transition(622602000, 5),
            crate::generated::new_transition(638326800, 4),
            crate::generated::new_transition(654656400, 5),
            crate::generated::new_transition(670381200, 4),
            crate::generated::new_transition(686106000, 5),
            crate::generated::new_transition(701830800, 4),
            crate::generated::new_transition(717555600, 5),
            crate::generated::new_transition(733280400, 4),
            crate::generated::new_transition(749005200, 5),
            crate::generated::new_transition(764730000, 4),
            crate::generated::new_transition(780454800, 5),
            crate::generated::new_transition(796179600, 4),
            crate::generated::new_transition(811904400, 5),
            crate::generated::new_transition(828234000, 4),
        ],
        &[
            crate::generated::new_local_time_type(-884, false, Some(b"LMT")),
            crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
            crate::generated::new_local_time_type(0, false, Some(b"WET")),
            crate::generated::new_local_time_type(7200, true, Some(b"WEMT")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const EUROPE_MALTA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2403478684, 2),
            crate::generated::new_transition(-1690765200, 1),
            crate::generated::new_transition(-1680487200, 2),
            crate::generated::new_transition(-1664758800, 1),
            crate::generated::new_transition(-1648951200, 2),
            crate::generated::new_transition(-1635123600, 1),
            crate::generated::new_transition(-1616896800, 2),
            crate::generated::new_transition(-1604278800, 1),
            crate::generated::new_transition(-1585533600, 2),
            crate::generated::new_transition(-1571014800, 1),
            crate::generated::new_transition(-1555293600, 2),
            crate::generated::new_transition(-932432400, 1),
            crate::generated::new_transition(-857257200, 2),
            crate::generated::new_transition(-844556400, 1),
            crate::generated::new_transition(-828226800, 2),
            crate::generated::new_transition(-812588400, 1),
            crate::generated::new_transition(-798073200, 2),
            crate::generated::new_transition(-781052400, 1),
            crate::generated::new_transition(-766717200, 2),
            crate::generated::new_transition(-750898800, 1),
            crate::generated::new_transition(-733359600, 2),
            crate::generated::new_transition(-719456400, 1),
            crate::generated::new_transition(-701917200, 2),
            crate::generated::new_transition(-689209200, 1),
            crate::generated::new_transition(-670460400, 2),
            crate::generated::new_transition(-114051600, 1),
            crate::generated::new_transition(-103168800, 2),
            crate::generated::new_transition(-81997200, 1),
            crate::generated::new_transition(-71715600, 2),
            crate::generated::new_transition(-50547600, 1),
            crate::generated::new_transition(-40266000, 2),
            crate::generated::new_transition(-18493200, 1),
            crate::generated::new_transition(-8211600, 2),
            crate::generated::new_transition(12956400, 1),
            crate::generated::new_transition(23238000, 2),
            crate::generated::new_transition(43801200, 1),
            crate::generated::new_transition(54687600, 2),
            crate::generated::new_transition(75855600, 1),
            crate::generated::new_transition(86742000, 2),
            crate::generated::new_transition(102380400, 1),
            crate::generated::new_transition(118105200, 2),
            crate::generated::new_transition(135730800, 1),
            crate::generated::new_transition(148518000, 2),
            crate::generated::new_transition(167187600, 1),
            crate::generated::new_transition(180489600, 2),
            crate::generated::new_transition(198637200, 1),
            crate::generated::new_transition(211939200, 2),
            crate::generated::new_transition(230086800, 1),
            crate::generated::new_transition(243388800, 2),
            crate::generated::new_transition(261536400, 1),
            crate::generated::new_transition(274838400, 2),
            crate::generated::new_transition(292986000, 1),
            crate::generated::new_transition(306288000, 2),
            crate::generated::new_transition(323312400, 1),
            crate::generated::new_transition(338342400, 2),
            crate::generated::new_transition(354675600, 1),
            crate::generated::new_transition(370400400, 2),
            crate::generated::new_transition(386125200, 1),
            crate::generated::new_transition(401850000, 2),
            crate::generated::new_transition(417574800, 1),
            crate::generated::new_transition(433299600, 2),
            crate::generated::new_transition(449024400, 1),
            crate::generated::new_transition(465354000, 2),
            crate::generated::new_transition(481078800, 1),
            crate::generated::new_transition(496803600, 2),
            crate::generated::new_transition(512528400, 1),
            crate::generated::new_transition(528253200, 2),
            crate::generated::new_transition(543978000, 1),
            crate::generated::new_transition(559702800, 2),
            crate::generated::new_transition(575427600, 1),
            crate::generated::new_transition(591152400, 2),
            crate::generated::new_transition(606877200, 1),
            crate::generated::new_transition(622602000, 2),
            crate::generated::new_transition(638326800, 1),
            crate::generated::new_transition(654656400, 2),
            crate::generated::new_transition(670381200, 1),
            crate::generated::new_transition(686106000, 2),
            crate::generated::new_transition(701830800, 1),
            crate::generated::new_transition(717555600, 2),
            crate::generated::new_transition(733280400, 1),
            crate::generated::new_transition(749005200, 2),
            crate::generated::new_transition(764730000, 1),
            crate::generated::new_transition(780454800, 2),
            crate::generated::new_transition(796179600, 1),
            crate::generated::new_transition(811904400, 2),
            crate::generated::new_transition(828234000, 1),
        ],
        &[
            crate::generated::new_local_time_type(3484, false, Some(b"LMT")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const EUROPE_MINSK: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2840147416, 1),
            crate::generated::new_transition(-1441158600, 2),
            crate::generated::new_transition(-1247536800, 3),
            crate::generated::new_transition(-899780400, 5),
            crate::generated::new_transition(-857257200, 4),
            crate::generated::new_transition(-844556400, 5),
            crate::generated::new_transition(-828226800, 4),
            crate::generated::new_transition(-812502000, 5),
            crate::generated::new_transition(-804650400, 3),
            crate::generated::new_transition(354920400, 6),
            crate::generated::new_transition(370728000, 3),
            crate::generated::new_transition(386456400, 6),
            crate::generated::new_transition(402264000, 3),
            crate::generated::new_transition(417992400, 6),
            crate::generated::new_transition(433800000, 3),
            crate::generated::new_transition(449614800, 6),
            crate::generated::new_transition(465346800, 3),
            crate::generated::new_transition(481071600, 6),
            crate::generated::new_transition(496796400, 3),
            crate::generated::new_transition(512521200, 6),
            crate::generated::new_transition(528246000, 3),
            crate::generated::new_transition(543970800, 6),
            crate::generated::new_transition(559695600, 3),
            crate::generated::new_transition(575420400, 6),
            crate::generated::new_transition(591145200, 3),
            crate::generated::new_transition(606870000, 6),
            crate::generated::new_transition(622594800, 3),
            crate::generated::new_transition(670374000, 7),
            crate::generated::new_transition(686102400, 2),
            crate::generated::new_transition(701827200, 7),
            crate::generated::new_transition(717552000, 2),
            crate::generated::new_transition(733276800, 7),
            crate::generated::new_transition(749001600, 2),
            crate::generated::new_transition(764726400, 7),
            crate::generated::new_transition(780451200, 2),
            crate::generated::new_transition(796176000, 7),
            crate::generated::new_transition(811900800, 2),
            crate::generated::new_transition(828230400, 7),
            crate::generated::new_transition(846374400, 2),
            crate::generated::new_transition(859680000, 7),
            crate::generated::new_transition(877824000, 2),
            crate::generated::new_transition(891129600, 7),
            crate::generated::new_transition(909273600, 2),
            crate::generated::new_transition(922579200, 7),
            crate::generated::new_transition(941328000, 2),
            crate::generated::new_transition(954028800, 7),
            crate::generated::new_transition(972777600, 2),
            crate::generated::new_transition(985478400, 7),
            crate::generated::new_transition(1004227200, 2),
            crate::generated::new_transition(1017532800, 7),
            crate::generated::new_transition(1035676800, 2),
            crate::generated::new_transition(1048982400, 7),
            crate::generated::new_transition(1067126400, 2),
            crate::generated::new_transition(1080432000, 7),
            crate::generated::new_transition(1099180800, 2),
            crate::generated::new_transition(1111881600, 7),
            crate::generated::new_transition(1130630400, 2),
            crate::generated::new_transition(1143331200, 7),
            crate::generated::new_transition(1162080000, 2),
            crate::generated::new_transition(1174780800, 7),
            crate::generated::new_transition(1193529600, 2),
            crate::generated::new_transition(1206835200, 7),
            crate::generated::new_transition(1224979200, 2),
            crate::generated::new_transition(1238284800, 7),
            crate::generated::new_transition(1256428800, 2),
            crate::generated::new_transition(1269734400, 7),
            crate::generated::new_transition(1288483200, 2),
            crate::generated::new_transition(1301184000, 8),
        ],
        &[
            crate::generated::new_local_time_type(6616, false, Some(b"LMT")),
            crate::generated::new_local_time_type(6600, false, Some(b"MMT")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            crate::generated::new_local_time_type(10800, false, Some(b"MSK")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(14400, true, Some(b"MSD")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        )),
    );

    pub(crate) const EUROPE_MONACO: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2448318572, 1),
            crate::generated::new_transition(-1854403761, 3),
            crate::generated::new_transition(-1689814800, 2),
            crate::generated::new_transition(-1680397200, 3),
            crate::generated::new_transition(-1665363600, 2),
            crate::generated::new_transition(-1648342800, 3),
            crate::generated::new_transition(-1635123600, 2),
            crate::generated::new_transition(-1616893200, 3),
            crate::generated::new_transition(-1604278800, 2),
            crate::generated::new_transition(-1585443600, 3),
            crate::generated::new_transition(-1574038800, 2),
            crate::generated::new_transition(-1552266000, 3),
            crate::generated::new_transition(-1539997200, 2),
            crate::generated::new_transition(-1520557200, 3),
            crate::generated::new_transition(-1507510800, 2),
            crate::generated::new_transition(-1490576400, 3),
            crate::generated::new_transition(-1470618000, 2),
            crate::generated::new_transition(-1459126800, 3),
            crate::generated::new_transition(-1444006800, 2),
            crate::generated::new_transition(-1427677200, 3),
            crate::generated::new_transition(-1411952400, 2),
            crate::generated::new_transition(-1396227600, 3),
            crate::generated::new_transition(-1379293200, 2),
            crate::generated::new_transition(-1364778000, 3),
            crate::generated::new_transition(-1348448400, 2),
            crate::generated::new_transition(-1333328400, 3),
            crate::generated::new_transition(-1316394000, 2),
            crate::generated::new_transition(-1301274000, 3),
            crate::generated::new_transition(-1284339600, 2),
            crate::generated::new_transition(-1269824400, 3),
            crate::generated::new_transition(-1253494800, 2),
            crate::generated::new_transition(-1238374800, 3),
            crate::generated::new_transition(-1221440400, 2),
            crate::generated::new_transition(-1206925200, 3),
            crate::generated::new_transition(-1191200400, 2),
            crate::generated::new_transition(-1175475600, 3),
            crate::generated::new_transition(-1160355600, 2),
            crate::generated::new_transition(-1143421200, 3),
            crate::generated::new_transition(-1127696400, 2),
            crate::generated::new_transition(-1111971600, 3),
            crate::generated::new_transition(-1096851600, 2),
            crate::generated::new_transition(-1080522000, 3),
            crate::generated::new_transition(-1063587600, 2),
            crate::generated::new_transition(-1049072400, 3),
            crate::generated::new_transition(-1033347600, 2),
            crate::generated::new_transition(-1017622800, 3),
            crate::generated::new_transition(-1002502800, 2),
            crate::generated::new_transition(-986173200, 3),
            crate::generated::new_transition(-969238800, 2),
            crate::generated::new_transition(-950490000, 3),
            crate::generated::new_transition(-942012000, 2),
            crate::generated::new_transition(-904438800, 4),
            crate::generated::new_transition(-891136800, 2),
            crate::generated::new_transition(-877827600, 4),
            crate::generated::new_transition(-857257200, 2),
            crate::generated::new_transition(-844556400, 4),
            crate::generated::new_transition(-828226800, 2),
            crate::generated::new_transition(-812502000, 4),
            crate::generated::new_transition(-796266000, 2),
            crate::generated::new_transition(-781052400, 4),
            crate::generated::new_transition(-766623600, 6),
            crate::generated::new_transition(196819200, 5),
            crate::generated::new_transition(212540400, 6),
            crate::generated::new_transition(228877200, 5),
            crate::generated::new_transition(243997200, 6),
            crate::generated::new_transition(260326800, 5),
            crate::generated::new_transition(276051600, 6),
            crate::generated::new_transition(291776400, 5),
            crate::generated::new_transition(307501200, 6),
            crate::generated::new_transition(323830800, 5),
            crate::generated::new_transition(338950800, 6),
            crate::generated::new_transition(354675600, 5),
            crate::generated::new_transition(370400400, 6),
            crate::generated::new_transition(386125200, 5),
            crate::generated::new_transition(401850000, 6),
            crate::generated::new_transition(417574800, 5),
            crate::generated::new_transition(433299600, 6),
            crate::generated::new_transition(449024400, 5),
            crate::generated::new_transition(465354000, 6),
            crate::generated::new_transition(481078800, 5),
            crate::generated::new_transition(496803600, 6),
            crate::generated::new_transition(512528400, 5),
            crate::generated::new_transition(528253200, 6),
            crate::generated::new_transition(543978000, 5),
            crate::generated::new_transition(559702800, 6),
            crate::generated::new_transition(575427600, 5),
            crate::generated::new_transition(591152400, 6),
            crate::generated::new_transition(606877200, 5),
            crate::generated::new_transition(622602000, 6),
            crate::generated::new_transition(638326800, 5),
            crate::generated::new_transition(654656400, 6),
            crate::generated::new_transition(670381200, 5),
            crate::generated::new_transition(686106000, 6),
            crate::generated::new_transition(701830800, 5),
            crate::generated::new_transition(717555600, 6),
            crate::generated::new_transition(733280400, 5),
            crate::generated::new_transition(749005200, 6),
            crate::generated::new_transition(764730000, 5),
            crate::generated::new_transition(780454800, 6),
            crate::generated::new_transition(796179600, 5),
            crate::generated::new_transition(811904400, 6),
            crate::generated::new_transition(828234000, 5),
        ],
        &[
            crate::generated::new_local_time_type(1772, false, Some(b"LMT")),
            crate::generated::new_local_time_type(561, false, Some(b"PMT")),
            crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
            crate::generated::new_local_time_type(0, false, Some(b"WET")),
            crate::generated::new_local_time_type(7200, true, Some(b"WEMT")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const EUROPE_OSLO: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2366757780, 2),
            crate::generated::new_transition(-1691884800, 1),
            crate::generated::new_transition(-1680573600, 2),
            crate::generated::new_transition(-927511200, 1),
            crate::generated::new_transition(-857257200, 2),
            crate::generated::new_transition(-844556400, 1),
            crate::generated::new_transition(-828226800, 2),
            crate::generated::new_transition(-812502000, 1),
            crate::generated::new_transition(-796777200, 2),
            crate::generated::new_transition(-781052400, 1),
            crate::generated::new_transition(-765327600, 2),
            crate::generated::new_transition(-340844400, 1),
            crate::generated::new_transition(-324514800, 2),
            crate::generated::new_transition(-308790000, 1),
            crate::generated::new_transition(-293065200, 2),
            crate::generated::new_transition(-277340400, 1),
            crate::generated::new_transition(-261615600, 2),
            crate::generated::new_transition(-245890800, 1),
            crate::generated::new_transition(-230166000, 2),
            crate::generated::new_transition(-214441200, 1),
            crate::generated::new_transition(-198716400, 2),
            crate::generated::new_transition(-182991600, 1),
            crate::generated::new_transition(-166662000, 2),
            crate::generated::new_transition(-147913200, 1),
            crate::generated::new_transition(-135212400, 2),
            crate::generated::new_transition(323830800, 1),
            crate::generated::new_transition(338950800, 2),
            crate::generated::new_transition(354675600, 1),
            crate::generated::new_transition(370400400, 2),
            crate::generated::new_transition(386125200, 1),
            crate::generated::new_transition(401850000, 2),
            crate::generated::new_transition(417574800, 1),
            crate::generated::new_transition(433299600, 2),
            crate::generated::new_transition(449024400, 1),
            crate::generated::new_transition(465354000, 2),
            crate::generated::new_transition(481078800, 1),
            crate::generated::new_transition(496803600, 2),
            crate::generated::new_transition(512528400, 1),
            crate::generated::new_transition(528253200, 2),
            crate::generated::new_transition(543978000, 1),
            crate::generated::new_transition(559702800, 2),
            crate::generated::new_transition(575427600, 1),
            crate::generated::new_transition(591152400, 2),
            crate::generated::new_transition(606877200, 1),
            crate::generated::new_transition(622602000, 2),
            crate::generated::new_transition(638326800, 1),
            crate::generated::new_transition(654656400, 2),
            crate::generated::new_transition(670381200, 1),
            crate::generated::new_transition(686106000, 2),
            crate::generated::new_transition(701830800, 1),
            crate::generated::new_transition(717555600, 2),
            crate::generated::new_transition(733280400, 1),
            crate::generated::new_transition(749005200, 2),
            crate::generated::new_transition(764730000, 1),
            crate::generated::new_transition(780454800, 2),
            crate::generated::new_transition(796179600, 1),
            crate::generated::new_transition(811904400, 2),
            crate::generated::new_transition(828234000, 1),
        ],
        &[
            crate::generated::new_local_time_type(2580, false, Some(b"LMT")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const EUROPE_PARIS: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2486592561, 1),
            crate::generated::new_transition(-1855958961, 3),
            crate::generated::new_transition(-1689814800, 2),
            crate::generated::new_transition(-1680397200, 3),
            crate::generated::new_transition(-1665363600, 2),
            crate::generated::new_transition(-1648342800, 3),
            crate::generated::new_transition(-1635123600, 2),
            crate::generated::new_transition(-1616893200, 3),
            crate::generated::new_transition(-1604278800, 2),
            crate::generated::new_transition(-1585443600, 3),
            crate::generated::new_transition(-1574038800, 2),
            crate::generated::new_transition(-1552266000, 3),
            crate::generated::new_transition(-1539997200, 2),
            crate::generated::new_transition(-1520557200, 3),
            crate::generated::new_transition(-1507510800, 2),
            crate::generated::new_transition(-1490576400, 3),
            crate::generated::new_transition(-1470618000, 2),
            crate::generated::new_transition(-1459126800, 3),
            crate::generated::new_transition(-1444006800, 2),
            crate::generated::new_transition(-1427677200, 3),
            crate::generated::new_transition(-1411952400, 2),
            crate::generated::new_transition(-1396227600, 3),
            crate::generated::new_transition(-1379293200, 2),
            crate::generated::new_transition(-1364778000, 3),
            crate::generated::new_transition(-1348448400, 2),
            crate::generated::new_transition(-1333328400, 3),
            crate::generated::new_transition(-1316394000, 2),
            crate::generated::new_transition(-1301274000, 3),
            crate::generated::new_transition(-1284339600, 2),
            crate::generated::new_transition(-1269824400, 3),
            crate::generated::new_transition(-1253494800, 2),
            crate::generated::new_transition(-1238374800, 3),
            crate::generated::new_transition(-1221440400, 2),
            crate::generated::new_transition(-1206925200, 3),
            crate::generated::new_transition(-1191200400, 2),
            crate::generated::new_transition(-1175475600, 3),
            crate::generated::new_transition(-1160355600, 2),
            crate::generated::new_transition(-1143421200, 3),
            crate::generated::new_transition(-1127696400, 2),
            crate::generated::new_transition(-1111971600, 3),
            crate::generated::new_transition(-1096851600, 2),
            crate::generated::new_transition(-1080522000, 3),
            crate::generated::new_transition(-1063587600, 2),
            crate::generated::new_transition(-1049072400, 3),
            crate::generated::new_transition(-1033347600, 2),
            crate::generated::new_transition(-1017622800, 3),
            crate::generated::new_transition(-1002502800, 2),
            crate::generated::new_transition(-986173200, 3),
            crate::generated::new_transition(-969238800, 2),
            crate::generated::new_transition(-950490000, 3),
            crate::generated::new_transition(-942012000, 2),
            crate::generated::new_transition(-932436000, 5),
            crate::generated::new_transition(-857257200, 4),
            crate::generated::new_transition(-844556400, 5),
            crate::generated::new_transition(-828226800, 4),
            crate::generated::new_transition(-812502000, 5),
            crate::generated::new_transition(-800071200, 6),
            crate::generated::new_transition(-796266000, 2),
            crate::generated::new_transition(-781052400, 6),
            crate::generated::new_transition(-766623600, 4),
            crate::generated::new_transition(196819200, 5),
            crate::generated::new_transition(212540400, 4),
            crate::generated::new_transition(228877200, 5),
            crate::generated::new_transition(243997200, 4),
            crate::generated::new_transition(260326800, 5),
            crate::generated::new_transition(276051600, 4),
            crate::generated::new_transition(291776400, 5),
            crate::generated::new_transition(307501200, 4),
            crate::generated::new_transition(323830800, 5),
            crate::generated::new_transition(338950800, 4),
            crate::generated::new_transition(354675600, 5),
            crate::generated::new_transition(370400400, 4),
            crate::generated::new_transition(386125200, 5),
            crate::generated::new_transition(401850000, 4),
            crate::generated::new_transition(417574800, 5),
            crate::generated::new_transition(433299600, 4),
            crate::generated::new_transition(449024400, 5),
            crate::generated::new_transition(465354000, 4),
            crate::generated::new_transition(481078800, 5),
            crate::generated::new_transition(496803600, 4),
            crate::generated::new_transition(512528400, 5),
            crate::generated::new_transition(528253200, 4),
            crate::generated::new_transition(543978000, 5),
            crate::generated::new_transition(559702800, 4),
            crate::generated::new_transition(575427600, 5),
            crate::generated::new_transition(591152400, 4),
            crate::generated::new_transition(606877200, 5),
            crate::generated::new_transition(622602000, 4),
            crate::generated::new_transition(638326800, 5),
            crate::generated::new_transition(654656400, 4),
            crate::generated::new_transition(670381200, 5),
            crate::generated::new_transition(686106000, 4),
            crate::generated::new_transition(701830800, 5),
            crate::generated::new_transition(717555600, 4),
            crate::generated::new_transition(733280400, 5),
            crate::generated::new_transition(749005200, 4),
            crate::generated::new_transition(764730000, 5),
            crate::generated::new_transition(780454800, 4),
            crate::generated::new_transition(796179600, 5),
            crate::generated::new_transition(811904400, 4),
            crate::generated::new_transition(828234000, 5),
        ],
        &[
            crate::generated::new_local_time_type(561, false, Some(b"LMT")),
            crate::generated::new_local_time_type(561, false, Some(b"PMT")),
            crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
            crate::generated::new_local_time_type(0, false, Some(b"WET")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(7200, true, Some(b"WEMT")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const EUROPE_RIGA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2840146594, 1),
            crate::generated::new_transition(-1632008194, 2),
            crate::generated::new_transition(-1618702594, 1),
            crate::generated::new_transition(-1601681794, 2),
            crate::generated::new_transition(-1597275394, 1),
            crate::generated::new_transition(-1377308194, 3),
            crate::generated::new_transition(-928029600, 4),
            crate::generated::new_transition(-899521200, 6),
            crate::generated::new_transition(-857257200, 5),
            crate::generated::new_transition(-844556400, 6),
            crate::generated::new_transition(-828226800, 5),
            crate::generated::new_transition(-812502000, 6),
            crate::generated::new_transition(-796777200, 5),
            crate::generated::new_transition(-795834000, 4),
            crate::generated::new_transition(354920400, 7),
            crate::generated::new_transition(370728000, 4),
            crate::generated::new_transition(386456400, 7),
            crate::generated::new_transition(402264000, 4),
            crate::generated::new_transition(417992400, 7),
            crate::generated::new_transition(433800000, 4),
            crate::generated::new_transition(449614800, 7),
            crate::generated::new_transition(465346800, 4),
            crate::generated::new_transition(481071600, 7),
            crate::generated::new_transition(496796400, 4),
            crate::generated::new_transition(512521200, 7),
            crate::generated::new_transition(528246000, 4),
            crate::generated::new_transition(543970800, 7),
            crate::generated::new_transition(559695600, 4),
            crate::generated::new_transition(575420400, 7),
            crate::generated::new_transition(591145200, 4),
            crate::generated::new_transition(606870000, 8),
            crate::generated::new_transition(622598400, 3),
            crate::generated::new_transition(638323200, 8),
            crate::generated::new_transition(654652800, 3),
            crate::generated::new_transition(670377600, 8),
            crate::generated::new_transition(686102400, 3),
            crate::generated::new_transition(701827200, 8),
            crate::generated::new_transition(717552000, 3),
            crate::generated::new_transition(733276800, 8),
            crate::generated::new_transition(749001600, 3),
            crate::generated::new_transition(764726400, 8),
            crate::generated::new_transition(780451200, 3),
            crate::generated::new_transition(796176000, 8),
            crate::generated::new_transition(811900800, 3),
            crate::generated::new_transition(828230400, 8),
            crate::generated::new_transition(843955200, 3),
            crate::generated::new_transition(859683600, 8),
            crate::generated::new_transition(877827600, 3),
            crate::generated::new_transition(891133200, 8),
            crate::generated::new_transition(909277200, 3),
            crate::generated::new_transition(922582800, 8),
            crate::generated::new_transition(941331600, 3),
            crate::generated::new_transition(985482000, 8),
        ],
        &[
            crate::generated::new_local_time_type(5794, false, Some(b"LMT")),
            crate::generated::new_local_time_type(5794, false, Some(b"RMT")),
            crate::generated::new_local_time_type(9394, true, Some(b"LST")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            crate::generated::new_local_time_type(10800, false, Some(b"MSK")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(14400, true, Some(b"MSD")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                10800,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                14400,
            ),
        )),
    );

    pub(crate) const EUROPE_ROME: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3252098996, 1),
            crate::generated::new_transition(-2403565200, 3),
            crate::generated::new_transition(-1690765200, 2),
            crate::generated::new_transition(-1680487200, 3),
            crate::generated::new_transition(-1664758800, 2),
            crate::generated::new_transition(-1648951200, 3),
            crate::generated::new_transition(-1635123600, 2),
            crate::generated::new_transition(-1616896800, 3),
            crate::generated::new_transition(-1604278800, 2),
            crate::generated::new_transition(-1585533600, 3),
            crate::generated::new_transition(-1571014800, 2),
            crate::generated::new_transition(-1555293600, 3),
            crate::generated::new_transition(-932432400, 2),
            crate::generated::new_transition(-857257200, 3),
            crate::generated::new_transition(-844556400, 2),
            crate::generated::new_transition(-828226800, 3),
            crate::generated::new_transition(-812502000, 2),
            crate::generated::new_transition(-798073200, 3),
            crate::generated::new_transition(-781052400, 2),
            crate::generated::new_transition(-766717200, 3),
            crate::generated::new_transition(-750898800, 2),
            crate::generated::new_transition(-733359600, 3),
            crate::generated::new_transition(-719456400, 2),
            crate::generated::new_transition(-701917200, 3),
            crate::generated::new_transition(-689209200, 2),
            crate::generated::new_transition(-670460400, 3),
            crate::generated::new_transition(-114051600, 2),
            crate::generated::new_transition(-103168800, 3),
            crate::generated::new_transition(-81997200, 2),
            crate::generated::new_transition(-71715600, 3),
            crate::generated::new_transition(-50547600, 2),
            crate::generated::new_transition(-40266000, 3),
            crate::generated::new_transition(-18493200, 2),
            crate::generated::new_transition(-8211600, 3),
            crate::generated::new_transition(12956400, 2),
            crate::generated::new_transition(23238000, 3),
            crate::generated::new_transition(43801200, 2),
            crate::generated::new_transition(54687600, 3),
            crate::generated::new_transition(75855600, 2),
            crate::generated::new_transition(86742000, 3),
            crate::generated::new_transition(107910000, 2),
            crate::generated::new_transition(118191600, 3),
            crate::generated::new_transition(138754800, 2),
            crate::generated::new_transition(149641200, 3),
            crate::generated::new_transition(170809200, 2),
            crate::generated::new_transition(181090800, 3),
            crate::generated::new_transition(202258800, 2),
            crate::generated::new_transition(212540400, 3),
            crate::generated::new_transition(233103600, 2),
            crate::generated::new_transition(243990000, 3),
            crate::generated::new_transition(265158000, 2),
            crate::generated::new_transition(276044400, 3),
            crate::generated::new_transition(296607600, 2),
            crate::generated::new_transition(307494000, 3),
            crate::generated::new_transition(323830800, 2),
            crate::generated::new_transition(338950800, 3),
            crate::generated::new_transition(354675600, 2),
            crate::generated::new_transition(370400400, 3),
            crate::generated::new_transition(386125200, 2),
            crate::generated::new_transition(401850000, 3),
            crate::generated::new_transition(417574800, 2),
            crate::generated::new_transition(433299600, 3),
            crate::generated::new_transition(449024400, 2),
            crate::generated::new_transition(465354000, 3),
            crate::generated::new_transition(481078800, 2),
            crate::generated::new_transition(496803600, 3),
            crate::generated::new_transition(512528400, 2),
            crate::generated::new_transition(528253200, 3),
            crate::generated::new_transition(543978000, 2),
            crate::generated::new_transition(559702800, 3),
            crate::generated::new_transition(575427600, 2),
            crate::generated::new_transition(591152400, 3),
            crate::generated::new_transition(606877200, 2),
            crate::generated::new_transition(622602000, 3),
            crate::generated::new_transition(638326800, 2),
            crate::generated::new_transition(654656400, 3),
            crate::generated::new_transition(670381200, 2),
            crate::generated::new_transition(686106000, 3),
            crate::generated::new_transition(701830800, 2),
            crate::generated::new_transition(717555600, 3),
            crate::generated::new_transition(733280400, 2),
            crate::generated::new_transition(749005200, 3),
            crate::generated::new_transition(764730000, 2),
            crate::generated::new_transition(780454800, 3),
            crate::generated::new_transition(796179600, 2),
            crate::generated::new_transition(811904400, 3),
            crate::generated::new_transition(828234000, 2),
        ],
        &[
            crate::generated::new_local_time_type(2996, false, Some(b"LMT")),
            crate::generated::new_local_time_type(2996, false, Some(b"RMT")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const EUROPE_SAMARA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1593820800, 1),
            crate::generated::new_transition(-1247540400, 2),
            crate::generated::new_transition(354916800, 3),
            crate::generated::new_transition(370724400, 2),
            crate::generated::new_transition(386452800, 3),
            crate::generated::new_transition(402260400, 2),
            crate::generated::new_transition(417988800, 3),
            crate::generated::new_transition(433796400, 2),
            crate::generated::new_transition(449611200, 3),
            crate::generated::new_transition(465343200, 2),
            crate::generated::new_transition(481068000, 3),
            crate::generated::new_transition(496792800, 2),
            crate::generated::new_transition(512517600, 3),
            crate::generated::new_transition(528242400, 2),
            crate::generated::new_transition(543967200, 3),
            crate::generated::new_transition(559692000, 2),
            crate::generated::new_transition(575416800, 3),
            crate::generated::new_transition(591141600, 2),
            crate::generated::new_transition(606866400, 4),
            crate::generated::new_transition(622594800, 1),
            crate::generated::new_transition(638319600, 4),
            crate::generated::new_transition(654649200, 1),
            crate::generated::new_transition(670374000, 5),
            crate::generated::new_transition(686102400, 1),
            crate::generated::new_transition(687916800, 2),
            crate::generated::new_transition(701820000, 3),
            crate::generated::new_transition(717544800, 2),
            crate::generated::new_transition(733269600, 3),
            crate::generated::new_transition(748994400, 2),
            crate::generated::new_transition(764719200, 3),
            crate::generated::new_transition(780444000, 2),
            crate::generated::new_transition(796168800, 3),
            crate::generated::new_transition(811893600, 2),
            crate::generated::new_transition(828223200, 3),
            crate::generated::new_transition(846367200, 2),
            crate::generated::new_transition(859672800, 3),
            crate::generated::new_transition(877816800, 2),
            crate::generated::new_transition(891122400, 3),
            crate::generated::new_transition(909266400, 2),
            crate::generated::new_transition(922572000, 3),
            crate::generated::new_transition(941320800, 2),
            crate::generated::new_transition(954021600, 3),
            crate::generated::new_transition(972770400, 2),
            crate::generated::new_transition(985471200, 3),
            crate::generated::new_transition(1004220000, 2),
            crate::generated::new_transition(1017525600, 3),
            crate::generated::new_transition(1035669600, 2),
            crate::generated::new_transition(1048975200, 3),
            crate::generated::new_transition(1067119200, 2),
            crate::generated::new_transition(1080424800, 3),
            crate::generated::new_transition(1099173600, 2),
            crate::generated::new_transition(1111874400, 3),
            crate::generated::new_transition(1130623200, 2),
            crate::generated::new_transition(1143324000, 3),
            crate::generated::new_transition(1162072800, 2),
            crate::generated::new_transition(1174773600, 3),
            crate::generated::new_transition(1193522400, 2),
            crate::generated::new_transition(1206828000, 3),
            crate::generated::new_transition(1224972000, 2),
            crate::generated::new_transition(1238277600, 3),
            crate::generated::new_transition(1256421600, 2),
            crate::generated::new_transition(1269727200, 4),
            crate::generated::new_transition(1288479600, 1),
            crate::generated::new_transition(1301180400, 2),
        ],
        &[
            crate::generated::new_local_time_type(12020, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            crate::generated::new_local_time_type(18000, true, Some(b"+05")),
            crate::generated::new_local_time_type(14400, true, Some(b"+04")),
            crate::generated::new_local_time_type(10800, true, Some(b"+03")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
        )),
    );

    pub(crate) const EUROPE_SARAJEVO: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2713914820, 1),
                crate::generated::new_transition(-905824800, 2),
                crate::generated::new_transition(-857257200, 1),
                crate::generated::new_transition(-844556400, 2),
                crate::generated::new_transition(-828226800, 1),
                crate::generated::new_transition(-812502000, 2),
                crate::generated::new_transition(-796777200, 1),
                crate::generated::new_transition(-781052400, 2),
                crate::generated::new_transition(-766623600, 1),
                crate::generated::new_transition(417574800, 2),
                crate::generated::new_transition(433299600, 1),
                crate::generated::new_transition(449024400, 2),
                crate::generated::new_transition(465354000, 1),
                crate::generated::new_transition(481078800, 2),
                crate::generated::new_transition(496803600, 1),
                crate::generated::new_transition(512528400, 2),
                crate::generated::new_transition(528253200, 1),
                crate::generated::new_transition(543978000, 2),
                crate::generated::new_transition(559702800, 1),
                crate::generated::new_transition(575427600, 2),
                crate::generated::new_transition(591152400, 1),
                crate::generated::new_transition(606877200, 2),
                crate::generated::new_transition(622602000, 1),
                crate::generated::new_transition(638326800, 2),
                crate::generated::new_transition(654656400, 1),
                crate::generated::new_transition(670381200, 2),
                crate::generated::new_transition(686106000, 1),
                crate::generated::new_transition(701830800, 2),
                crate::generated::new_transition(717555600, 1),
                crate::generated::new_transition(733280400, 2),
                crate::generated::new_transition(749005200, 1),
                crate::generated::new_transition(764730000, 2),
                crate::generated::new_transition(780454800, 1),
                crate::generated::new_transition(796179600, 2),
                crate::generated::new_transition(811904400, 1),
                crate::generated::new_transition(828234000, 2),
            ],
            &[
                crate::generated::new_local_time_type(4420, false, Some(b"LMT")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                    crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const EUROPE_SARATOV: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1593820800, 1),
            crate::generated::new_transition(-1247540400, 3),
            crate::generated::new_transition(354916800, 2),
            crate::generated::new_transition(370724400, 3),
            crate::generated::new_transition(386452800, 2),
            crate::generated::new_transition(402260400, 3),
            crate::generated::new_transition(417988800, 2),
            crate::generated::new_transition(433796400, 3),
            crate::generated::new_transition(449611200, 2),
            crate::generated::new_transition(465343200, 3),
            crate::generated::new_transition(481068000, 2),
            crate::generated::new_transition(496792800, 3),
            crate::generated::new_transition(512517600, 2),
            crate::generated::new_transition(528242400, 3),
            crate::generated::new_transition(543967200, 2),
            crate::generated::new_transition(559692000, 3),
            crate::generated::new_transition(575416800, 4),
            crate::generated::new_transition(591145200, 1),
            crate::generated::new_transition(606870000, 4),
            crate::generated::new_transition(622594800, 1),
            crate::generated::new_transition(638319600, 4),
            crate::generated::new_transition(654649200, 1),
            crate::generated::new_transition(670374000, 3),
            crate::generated::new_transition(701820000, 4),
            crate::generated::new_transition(717548400, 1),
            crate::generated::new_transition(733273200, 4),
            crate::generated::new_transition(748998000, 1),
            crate::generated::new_transition(764722800, 4),
            crate::generated::new_transition(780447600, 1),
            crate::generated::new_transition(796172400, 4),
            crate::generated::new_transition(811897200, 1),
            crate::generated::new_transition(828226800, 4),
            crate::generated::new_transition(846370800, 1),
            crate::generated::new_transition(859676400, 4),
            crate::generated::new_transition(877820400, 1),
            crate::generated::new_transition(891126000, 4),
            crate::generated::new_transition(909270000, 1),
            crate::generated::new_transition(922575600, 4),
            crate::generated::new_transition(941324400, 1),
            crate::generated::new_transition(954025200, 4),
            crate::generated::new_transition(972774000, 1),
            crate::generated::new_transition(985474800, 4),
            crate::generated::new_transition(1004223600, 1),
            crate::generated::new_transition(1017529200, 4),
            crate::generated::new_transition(1035673200, 1),
            crate::generated::new_transition(1048978800, 4),
            crate::generated::new_transition(1067122800, 1),
            crate::generated::new_transition(1080428400, 4),
            crate::generated::new_transition(1099177200, 1),
            crate::generated::new_transition(1111878000, 4),
            crate::generated::new_transition(1130626800, 1),
            crate::generated::new_transition(1143327600, 4),
            crate::generated::new_transition(1162076400, 1),
            crate::generated::new_transition(1174777200, 4),
            crate::generated::new_transition(1193526000, 1),
            crate::generated::new_transition(1206831600, 4),
            crate::generated::new_transition(1224975600, 1),
            crate::generated::new_transition(1238281200, 4),
            crate::generated::new_transition(1256425200, 1),
            crate::generated::new_transition(1269730800, 4),
            crate::generated::new_transition(1288479600, 1),
            crate::generated::new_transition(1301180400, 3),
            crate::generated::new_transition(1414274400, 1),
            crate::generated::new_transition(1480806000, 3),
        ],
        &[
            crate::generated::new_local_time_type(11058, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
            crate::generated::new_local_time_type(18000, true, Some(b"+05")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            crate::generated::new_local_time_type(14400, true, Some(b"+04")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
        )),
    );

    pub(crate) const EUROPE_SIMFEROPOL: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2840148984, 1),
                crate::generated::new_transition(-1441160160, 2),
                crate::generated::new_transition(-1247536800, 3),
                crate::generated::new_transition(-888894000, 5),
                crate::generated::new_transition(-857257200, 4),
                crate::generated::new_transition(-844556400, 5),
                crate::generated::new_transition(-828226800, 4),
                crate::generated::new_transition(-812502000, 5),
                crate::generated::new_transition(-811648800, 3),
                crate::generated::new_transition(354920400, 6),
                crate::generated::new_transition(370728000, 3),
                crate::generated::new_transition(386456400, 6),
                crate::generated::new_transition(402264000, 3),
                crate::generated::new_transition(417992400, 6),
                crate::generated::new_transition(433800000, 3),
                crate::generated::new_transition(449614800, 6),
                crate::generated::new_transition(465346800, 3),
                crate::generated::new_transition(481071600, 6),
                crate::generated::new_transition(496796400, 3),
                crate::generated::new_transition(512521200, 6),
                crate::generated::new_transition(528246000, 3),
                crate::generated::new_transition(543970800, 6),
                crate::generated::new_transition(559695600, 3),
                crate::generated::new_transition(575420400, 6),
                crate::generated::new_transition(591145200, 3),
                crate::generated::new_transition(606870000, 6),
                crate::generated::new_transition(622594800, 3),
                crate::generated::new_transition(646786800, 2),
                crate::generated::new_transition(701827200, 7),
                crate::generated::new_transition(717552000, 2),
                crate::generated::new_transition(733276800, 7),
                crate::generated::new_transition(749001600, 2),
                crate::generated::new_transition(764726400, 7),
                crate::generated::new_transition(767739600, 6),
                crate::generated::new_transition(780447600, 3),
                crate::generated::new_transition(796172400, 6),
                crate::generated::new_transition(811897200, 3),
                crate::generated::new_transition(828219600, 6),
                crate::generated::new_transition(846374400, 3),
                crate::generated::new_transition(859683600, 7),
                crate::generated::new_transition(877827600, 2),
                crate::generated::new_transition(891133200, 7),
                crate::generated::new_transition(909277200, 2),
                crate::generated::new_transition(922582800, 7),
                crate::generated::new_transition(941331600, 2),
                crate::generated::new_transition(954032400, 7),
                crate::generated::new_transition(972781200, 2),
                crate::generated::new_transition(985482000, 7),
                crate::generated::new_transition(1004230800, 2),
                crate::generated::new_transition(1017536400, 7),
                crate::generated::new_transition(1035680400, 2),
                crate::generated::new_transition(1048986000, 7),
                crate::generated::new_transition(1067130000, 2),
                crate::generated::new_transition(1080435600, 7),
                crate::generated::new_transition(1099184400, 2),
                crate::generated::new_transition(1111885200, 7),
                crate::generated::new_transition(1130634000, 2),
                crate::generated::new_transition(1143334800, 7),
                crate::generated::new_transition(1162083600, 2),
                crate::generated::new_transition(1174784400, 7),
                crate::generated::new_transition(1193533200, 2),
                crate::generated::new_transition(1206838800, 7),
                crate::generated::new_transition(1224982800, 2),
                crate::generated::new_transition(1238288400, 7),
                crate::generated::new_transition(1256432400, 2),
                crate::generated::new_transition(1269738000, 7),
                crate::generated::new_transition(1288486800, 2),
                crate::generated::new_transition(1301187600, 7),
                crate::generated::new_transition(1319936400, 2),
                crate::generated::new_transition(1332637200, 7),
                crate::generated::new_transition(1351386000, 2),
                crate::generated::new_transition(1364691600, 7),
                crate::generated::new_transition(1382835600, 2),
                crate::generated::new_transition(1396137600, 8),
                crate::generated::new_transition(1414274400, 3),
            ],
            &[
                crate::generated::new_local_time_type(8184, false, Some(b"LMT")),
                crate::generated::new_local_time_type(8160, false, Some(b"SMT")),
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                crate::generated::new_local_time_type(10800, false, Some(b"MSK")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                crate::generated::new_local_time_type(14400, true, Some(b"MSD")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                crate::generated::new_local_time_type(14400, false, Some(b"MSK")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(10800, false, Some(b"MSK")),
            )),
        );

    pub(crate) const EUROPE_SKOPJE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2713915544, 1),
            crate::generated::new_transition(-905824800, 2),
            crate::generated::new_transition(-857257200, 1),
            crate::generated::new_transition(-844556400, 2),
            crate::generated::new_transition(-828226800, 1),
            crate::generated::new_transition(-812502000, 2),
            crate::generated::new_transition(-796777200, 1),
            crate::generated::new_transition(-781052400, 2),
            crate::generated::new_transition(-766623600, 1),
            crate::generated::new_transition(417574800, 2),
            crate::generated::new_transition(433299600, 1),
            crate::generated::new_transition(449024400, 2),
            crate::generated::new_transition(465354000, 1),
            crate::generated::new_transition(481078800, 2),
            crate::generated::new_transition(496803600, 1),
            crate::generated::new_transition(512528400, 2),
            crate::generated::new_transition(528253200, 1),
            crate::generated::new_transition(543978000, 2),
            crate::generated::new_transition(559702800, 1),
            crate::generated::new_transition(575427600, 2),
            crate::generated::new_transition(591152400, 1),
            crate::generated::new_transition(606877200, 2),
            crate::generated::new_transition(622602000, 1),
            crate::generated::new_transition(638326800, 2),
            crate::generated::new_transition(654656400, 1),
            crate::generated::new_transition(670381200, 2),
            crate::generated::new_transition(686106000, 1),
            crate::generated::new_transition(701830800, 2),
            crate::generated::new_transition(717555600, 1),
            crate::generated::new_transition(733280400, 2),
            crate::generated::new_transition(749005200, 1),
            crate::generated::new_transition(764730000, 2),
            crate::generated::new_transition(780454800, 1),
            crate::generated::new_transition(796179600, 2),
            crate::generated::new_transition(811904400, 1),
            crate::generated::new_transition(828234000, 2),
        ],
        &[
            crate::generated::new_local_time_type(5144, false, Some(b"LMT")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const EUROPE_SOFIA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2840146396, 1),
            crate::generated::new_transition(-2369527016, 2),
            crate::generated::new_transition(-857257200, 3),
            crate::generated::new_transition(-844556400, 4),
            crate::generated::new_transition(-828226800, 3),
            crate::generated::new_transition(-812502000, 4),
            crate::generated::new_transition(-796777200, 3),
            crate::generated::new_transition(-781048800, 2),
            crate::generated::new_transition(291762000, 5),
            crate::generated::new_transition(307576800, 2),
            crate::generated::new_transition(323816400, 5),
            crate::generated::new_transition(339026400, 2),
            crate::generated::new_transition(355266000, 5),
            crate::generated::new_transition(370393200, 2),
            crate::generated::new_transition(386715600, 5),
            crate::generated::new_transition(401846400, 2),
            crate::generated::new_transition(417571200, 5),
            crate::generated::new_transition(433296000, 2),
            crate::generated::new_transition(449020800, 5),
            crate::generated::new_transition(465350400, 2),
            crate::generated::new_transition(481075200, 5),
            crate::generated::new_transition(496800000, 2),
            crate::generated::new_transition(512524800, 5),
            crate::generated::new_transition(528249600, 2),
            crate::generated::new_transition(543974400, 5),
            crate::generated::new_transition(559699200, 2),
            crate::generated::new_transition(575424000, 5),
            crate::generated::new_transition(591148800, 2),
            crate::generated::new_transition(606873600, 5),
            crate::generated::new_transition(622598400, 2),
            crate::generated::new_transition(638323200, 5),
            crate::generated::new_transition(654652800, 2),
            crate::generated::new_transition(670370400, 5),
            crate::generated::new_transition(686091600, 2),
            crate::generated::new_transition(701820000, 5),
            crate::generated::new_transition(717541200, 2),
            crate::generated::new_transition(733269600, 5),
            crate::generated::new_transition(748990800, 2),
            crate::generated::new_transition(764719200, 5),
            crate::generated::new_transition(780440400, 2),
            crate::generated::new_transition(796168800, 5),
            crate::generated::new_transition(811890000, 2),
            crate::generated::new_transition(828223200, 5),
            crate::generated::new_transition(846363600, 2),
            crate::generated::new_transition(859683600, 5),
        ],
        &[
            crate::generated::new_local_time_type(5596, false, Some(b"LMT")),
            crate::generated::new_local_time_type(7016, false, Some(b"IMT")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                10800,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                14400,
            ),
        )),
    );

    pub(crate) const EUROPE_STOCKHOLM: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2871681132, 1),
                crate::generated::new_transition(-2208992414, 2),
                crate::generated::new_transition(-1692496800, 3),
                crate::generated::new_transition(-1680483600, 2),
                crate::generated::new_transition(323830800, 3),
                crate::generated::new_transition(338950800, 2),
                crate::generated::new_transition(354675600, 3),
                crate::generated::new_transition(370400400, 2),
                crate::generated::new_transition(386125200, 3),
                crate::generated::new_transition(401850000, 2),
                crate::generated::new_transition(417574800, 3),
                crate::generated::new_transition(433299600, 2),
                crate::generated::new_transition(449024400, 3),
                crate::generated::new_transition(465354000, 2),
                crate::generated::new_transition(481078800, 3),
                crate::generated::new_transition(496803600, 2),
                crate::generated::new_transition(512528400, 3),
                crate::generated::new_transition(528253200, 2),
                crate::generated::new_transition(543978000, 3),
                crate::generated::new_transition(559702800, 2),
                crate::generated::new_transition(575427600, 3),
                crate::generated::new_transition(591152400, 2),
                crate::generated::new_transition(606877200, 3),
                crate::generated::new_transition(622602000, 2),
                crate::generated::new_transition(638326800, 3),
                crate::generated::new_transition(654656400, 2),
                crate::generated::new_transition(670381200, 3),
                crate::generated::new_transition(686106000, 2),
                crate::generated::new_transition(701830800, 3),
                crate::generated::new_transition(717555600, 2),
                crate::generated::new_transition(733280400, 3),
                crate::generated::new_transition(749005200, 2),
                crate::generated::new_transition(764730000, 3),
                crate::generated::new_transition(780454800, 2),
                crate::generated::new_transition(796179600, 3),
                crate::generated::new_transition(811904400, 2),
                crate::generated::new_transition(828234000, 3),
            ],
            &[
                crate::generated::new_local_time_type(4332, false, Some(b"LMT")),
                crate::generated::new_local_time_type(3614, false, Some(b"SET")),
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                    crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const EUROPE_TALLINN: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2840146740, 1),
            crate::generated::new_transition(-1638322740, 3),
            crate::generated::new_transition(-1632006000, 2),
            crate::generated::new_transition(-1618700400, 3),
            crate::generated::new_transition(-1593824400, 1),
            crate::generated::new_transition(-1535938740, 4),
            crate::generated::new_transition(-927943200, 5),
            crate::generated::new_transition(-892954800, 2),
            crate::generated::new_transition(-857257200, 3),
            crate::generated::new_transition(-844556400, 2),
            crate::generated::new_transition(-828226800, 3),
            crate::generated::new_transition(-812502000, 2),
            crate::generated::new_transition(-797652000, 5),
            crate::generated::new_transition(354920400, 6),
            crate::generated::new_transition(370728000, 5),
            crate::generated::new_transition(386456400, 6),
            crate::generated::new_transition(402264000, 5),
            crate::generated::new_transition(417992400, 6),
            crate::generated::new_transition(433800000, 5),
            crate::generated::new_transition(449614800, 6),
            crate::generated::new_transition(465346800, 5),
            crate::generated::new_transition(481071600, 6),
            crate::generated::new_transition(496796400, 5),
            crate::generated::new_transition(512521200, 6),
            crate::generated::new_transition(528246000, 5),
            crate::generated::new_transition(543970800, 6),
            crate::generated::new_transition(559695600, 5),
            crate::generated::new_transition(575420400, 6),
            crate::generated::new_transition(591145200, 5),
            crate::generated::new_transition(606870000, 7),
            crate::generated::new_transition(622598400, 4),
            crate::generated::new_transition(638323200, 7),
            crate::generated::new_transition(654652800, 4),
            crate::generated::new_transition(670377600, 7),
            crate::generated::new_transition(686102400, 4),
            crate::generated::new_transition(701827200, 7),
            crate::generated::new_transition(717552000, 4),
            crate::generated::new_transition(733276800, 7),
            crate::generated::new_transition(749001600, 4),
            crate::generated::new_transition(764726400, 7),
            crate::generated::new_transition(780451200, 4),
            crate::generated::new_transition(796176000, 7),
            crate::generated::new_transition(811900800, 4),
            crate::generated::new_transition(828230400, 7),
            crate::generated::new_transition(846374400, 4),
            crate::generated::new_transition(859680000, 7),
            crate::generated::new_transition(877824000, 4),
            crate::generated::new_transition(891129600, 7),
            crate::generated::new_transition(909277200, 4),
            crate::generated::new_transition(922582800, 7),
            crate::generated::new_transition(941331600, 4),
            crate::generated::new_transition(1017536400, 7),
        ],
        &[
            crate::generated::new_local_time_type(5940, false, Some(b"LMT")),
            crate::generated::new_local_time_type(5940, false, Some(b"TMT")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            crate::generated::new_local_time_type(10800, false, Some(b"MSK")),
            crate::generated::new_local_time_type(14400, true, Some(b"MSD")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                10800,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                14400,
            ),
        )),
    );

    pub(crate) const EUROPE_TIRANE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1767230360, 1),
            crate::generated::new_transition(-932346000, 2),
            crate::generated::new_transition(-857257200, 1),
            crate::generated::new_transition(-844556400, 2),
            crate::generated::new_transition(-843519600, 1),
            crate::generated::new_transition(136854000, 2),
            crate::generated::new_transition(149896800, 1),
            crate::generated::new_transition(168130800, 2),
            crate::generated::new_transition(181432800, 1),
            crate::generated::new_transition(199839600, 2),
            crate::generated::new_transition(213141600, 1),
            crate::generated::new_transition(231894000, 2),
            crate::generated::new_transition(244591200, 1),
            crate::generated::new_transition(263257200, 2),
            crate::generated::new_transition(276040800, 1),
            crate::generated::new_transition(294706800, 2),
            crate::generated::new_transition(307490400, 1),
            crate::generated::new_transition(326156400, 2),
            crate::generated::new_transition(339458400, 1),
            crate::generated::new_transition(357087600, 2),
            crate::generated::new_transition(370389600, 1),
            crate::generated::new_transition(389142000, 2),
            crate::generated::new_transition(402444000, 1),
            crate::generated::new_transition(419468400, 2),
            crate::generated::new_transition(433807200, 1),
            crate::generated::new_transition(449622000, 2),
            crate::generated::new_transition(465354000, 1),
            crate::generated::new_transition(481078800, 2),
            crate::generated::new_transition(496803600, 1),
            crate::generated::new_transition(512528400, 2),
            crate::generated::new_transition(528253200, 1),
            crate::generated::new_transition(543978000, 2),
            crate::generated::new_transition(559702800, 1),
            crate::generated::new_transition(575427600, 2),
            crate::generated::new_transition(591152400, 1),
            crate::generated::new_transition(606877200, 2),
            crate::generated::new_transition(622602000, 1),
            crate::generated::new_transition(638326800, 2),
            crate::generated::new_transition(654656400, 1),
            crate::generated::new_transition(670381200, 2),
            crate::generated::new_transition(686106000, 1),
            crate::generated::new_transition(701830800, 2),
            crate::generated::new_transition(717555600, 1),
            crate::generated::new_transition(733280400, 2),
            crate::generated::new_transition(749005200, 1),
            crate::generated::new_transition(764730000, 2),
            crate::generated::new_transition(780454800, 1),
            crate::generated::new_transition(796179600, 2),
            crate::generated::new_transition(811904400, 1),
            crate::generated::new_transition(828234000, 2),
        ],
        &[
            crate::generated::new_local_time_type(4760, false, Some(b"LMT")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const EUROPE_ULYANOVSK: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1593820800, 1),
                crate::generated::new_transition(-1247540400, 3),
                crate::generated::new_transition(354916800, 2),
                crate::generated::new_transition(370724400, 3),
                crate::generated::new_transition(386452800, 2),
                crate::generated::new_transition(402260400, 3),
                crate::generated::new_transition(417988800, 2),
                crate::generated::new_transition(433796400, 3),
                crate::generated::new_transition(449611200, 2),
                crate::generated::new_transition(465343200, 3),
                crate::generated::new_transition(481068000, 2),
                crate::generated::new_transition(496792800, 3),
                crate::generated::new_transition(512517600, 2),
                crate::generated::new_transition(528242400, 3),
                crate::generated::new_transition(543967200, 2),
                crate::generated::new_transition(559692000, 3),
                crate::generated::new_transition(575416800, 2),
                crate::generated::new_transition(591141600, 3),
                crate::generated::new_transition(606866400, 4),
                crate::generated::new_transition(622594800, 1),
                crate::generated::new_transition(638319600, 4),
                crate::generated::new_transition(654649200, 1),
                crate::generated::new_transition(670374000, 5),
                crate::generated::new_transition(686102400, 6),
                crate::generated::new_transition(695779200, 1),
                crate::generated::new_transition(701823600, 4),
                crate::generated::new_transition(717548400, 1),
                crate::generated::new_transition(733273200, 4),
                crate::generated::new_transition(748998000, 1),
                crate::generated::new_transition(764722800, 4),
                crate::generated::new_transition(780447600, 1),
                crate::generated::new_transition(796172400, 4),
                crate::generated::new_transition(811897200, 1),
                crate::generated::new_transition(828226800, 4),
                crate::generated::new_transition(846370800, 1),
                crate::generated::new_transition(859676400, 4),
                crate::generated::new_transition(877820400, 1),
                crate::generated::new_transition(891126000, 4),
                crate::generated::new_transition(909270000, 1),
                crate::generated::new_transition(922575600, 4),
                crate::generated::new_transition(941324400, 1),
                crate::generated::new_transition(954025200, 4),
                crate::generated::new_transition(972774000, 1),
                crate::generated::new_transition(985474800, 4),
                crate::generated::new_transition(1004223600, 1),
                crate::generated::new_transition(1017529200, 4),
                crate::generated::new_transition(1035673200, 1),
                crate::generated::new_transition(1048978800, 4),
                crate::generated::new_transition(1067122800, 1),
                crate::generated::new_transition(1080428400, 4),
                crate::generated::new_transition(1099177200, 1),
                crate::generated::new_transition(1111878000, 4),
                crate::generated::new_transition(1130626800, 1),
                crate::generated::new_transition(1143327600, 4),
                crate::generated::new_transition(1162076400, 1),
                crate::generated::new_transition(1174777200, 4),
                crate::generated::new_transition(1193526000, 1),
                crate::generated::new_transition(1206831600, 4),
                crate::generated::new_transition(1224975600, 1),
                crate::generated::new_transition(1238281200, 4),
                crate::generated::new_transition(1256425200, 1),
                crate::generated::new_transition(1269730800, 4),
                crate::generated::new_transition(1288479600, 1),
                crate::generated::new_transition(1301180400, 3),
                crate::generated::new_transition(1414274400, 1),
                crate::generated::new_transition(1459033200, 3),
            ],
            &[
                crate::generated::new_local_time_type(11616, false, Some(b"LMT")),
                crate::generated::new_local_time_type(10800, false, Some(b"+03")),
                crate::generated::new_local_time_type(18000, true, Some(b"+05")),
                crate::generated::new_local_time_type(14400, false, Some(b"+04")),
                crate::generated::new_local_time_type(14400, true, Some(b"+04")),
                crate::generated::new_local_time_type(10800, true, Some(b"+03")),
                crate::generated::new_local_time_type(7200, false, Some(b"+02")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            )),
        );

    pub(crate) const EUROPE_VADUZ: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2385247084, 2),
            crate::generated::new_transition(-904435200, 1),
            crate::generated::new_transition(-891129600, 2),
            crate::generated::new_transition(-872985600, 1),
            crate::generated::new_transition(-859680000, 2),
            crate::generated::new_transition(354675600, 1),
            crate::generated::new_transition(370400400, 2),
            crate::generated::new_transition(386125200, 1),
            crate::generated::new_transition(401850000, 2),
            crate::generated::new_transition(417574800, 1),
            crate::generated::new_transition(433299600, 2),
            crate::generated::new_transition(449024400, 1),
            crate::generated::new_transition(465354000, 2),
            crate::generated::new_transition(481078800, 1),
            crate::generated::new_transition(496803600, 2),
            crate::generated::new_transition(512528400, 1),
            crate::generated::new_transition(528253200, 2),
            crate::generated::new_transition(543978000, 1),
            crate::generated::new_transition(559702800, 2),
            crate::generated::new_transition(575427600, 1),
            crate::generated::new_transition(591152400, 2),
            crate::generated::new_transition(606877200, 1),
            crate::generated::new_transition(622602000, 2),
            crate::generated::new_transition(638326800, 1),
            crate::generated::new_transition(654656400, 2),
            crate::generated::new_transition(670381200, 1),
            crate::generated::new_transition(686106000, 2),
            crate::generated::new_transition(701830800, 1),
            crate::generated::new_transition(717555600, 2),
            crate::generated::new_transition(733280400, 1),
            crate::generated::new_transition(749005200, 2),
            crate::generated::new_transition(764730000, 1),
            crate::generated::new_transition(780454800, 2),
            crate::generated::new_transition(796179600, 1),
            crate::generated::new_transition(811904400, 2),
            crate::generated::new_transition(828234000, 1),
        ],
        &[
            crate::generated::new_local_time_type(2284, false, Some(b"LMT")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const EUROPE_VIENNA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2422055121, 2),
            crate::generated::new_transition(-1693706400, 1),
            crate::generated::new_transition(-1680483600, 2),
            crate::generated::new_transition(-1663455600, 1),
            crate::generated::new_transition(-1650150000, 2),
            crate::generated::new_transition(-1632006000, 1),
            crate::generated::new_transition(-1618700400, 2),
            crate::generated::new_transition(-1569711600, 1),
            crate::generated::new_transition(-1555801200, 2),
            crate::generated::new_transition(-938905200, 1),
            crate::generated::new_transition(-857257200, 2),
            crate::generated::new_transition(-844556400, 1),
            crate::generated::new_transition(-828226800, 2),
            crate::generated::new_transition(-812502000, 1),
            crate::generated::new_transition(-796777200, 2),
            crate::generated::new_transition(-781052400, 1),
            crate::generated::new_transition(-780188400, 2),
            crate::generated::new_transition(-748479600, 1),
            crate::generated::new_transition(-733273200, 2),
            crate::generated::new_transition(-717634800, 1),
            crate::generated::new_transition(-701910000, 2),
            crate::generated::new_transition(-684975600, 1),
            crate::generated::new_transition(-670460400, 2),
            crate::generated::new_transition(323823600, 1),
            crate::generated::new_transition(338940000, 2),
            crate::generated::new_transition(354675600, 1),
            crate::generated::new_transition(370400400, 2),
            crate::generated::new_transition(386125200, 1),
            crate::generated::new_transition(401850000, 2),
            crate::generated::new_transition(417574800, 1),
            crate::generated::new_transition(433299600, 2),
            crate::generated::new_transition(449024400, 1),
            crate::generated::new_transition(465354000, 2),
            crate::generated::new_transition(481078800, 1),
            crate::generated::new_transition(496803600, 2),
            crate::generated::new_transition(512528400, 1),
            crate::generated::new_transition(528253200, 2),
            crate::generated::new_transition(543978000, 1),
            crate::generated::new_transition(559702800, 2),
            crate::generated::new_transition(575427600, 1),
            crate::generated::new_transition(591152400, 2),
            crate::generated::new_transition(606877200, 1),
            crate::generated::new_transition(622602000, 2),
            crate::generated::new_transition(638326800, 1),
            crate::generated::new_transition(654656400, 2),
            crate::generated::new_transition(670381200, 1),
            crate::generated::new_transition(686106000, 2),
            crate::generated::new_transition(701830800, 1),
            crate::generated::new_transition(717555600, 2),
            crate::generated::new_transition(733280400, 1),
            crate::generated::new_transition(749005200, 2),
            crate::generated::new_transition(764730000, 1),
            crate::generated::new_transition(780454800, 2),
            crate::generated::new_transition(796179600, 1),
            crate::generated::new_transition(811904400, 2),
            crate::generated::new_transition(828234000, 1),
        ],
        &[
            crate::generated::new_local_time_type(3921, false, Some(b"LMT")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const EUROPE_VILNIUS: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2840146876, 1),
            crate::generated::new_transition(-1672536240, 2),
            crate::generated::new_transition(-1585100136, 3),
            crate::generated::new_transition(-1561251600, 4),
            crate::generated::new_transition(-1553565600, 3),
            crate::generated::new_transition(-928198800, 5),
            crate::generated::new_transition(-900126000, 6),
            crate::generated::new_transition(-857257200, 3),
            crate::generated::new_transition(-844556400, 6),
            crate::generated::new_transition(-828226800, 3),
            crate::generated::new_transition(-812502000, 6),
            crate::generated::new_transition(-802144800, 5),
            crate::generated::new_transition(354920400, 7),
            crate::generated::new_transition(370728000, 5),
            crate::generated::new_transition(386456400, 7),
            crate::generated::new_transition(402264000, 5),
            crate::generated::new_transition(417992400, 7),
            crate::generated::new_transition(433800000, 5),
            crate::generated::new_transition(449614800, 7),
            crate::generated::new_transition(465346800, 5),
            crate::generated::new_transition(481071600, 7),
            crate::generated::new_transition(496796400, 5),
            crate::generated::new_transition(512521200, 7),
            crate::generated::new_transition(528246000, 5),
            crate::generated::new_transition(543970800, 7),
            crate::generated::new_transition(559695600, 5),
            crate::generated::new_transition(575420400, 7),
            crate::generated::new_transition(591145200, 5),
            crate::generated::new_transition(606870000, 8),
            crate::generated::new_transition(622598400, 4),
            crate::generated::new_transition(638323200, 8),
            crate::generated::new_transition(654652800, 4),
            crate::generated::new_transition(670377600, 8),
            crate::generated::new_transition(686102400, 4),
            crate::generated::new_transition(701827200, 8),
            crate::generated::new_transition(717552000, 4),
            crate::generated::new_transition(733276800, 8),
            crate::generated::new_transition(749001600, 4),
            crate::generated::new_transition(764726400, 8),
            crate::generated::new_transition(780451200, 4),
            crate::generated::new_transition(796176000, 8),
            crate::generated::new_transition(811900800, 4),
            crate::generated::new_transition(828230400, 8),
            crate::generated::new_transition(846374400, 4),
            crate::generated::new_transition(859680000, 8),
            crate::generated::new_transition(877824000, 4),
            crate::generated::new_transition(891133200, 6),
            crate::generated::new_transition(909277200, 3),
            crate::generated::new_transition(922582800, 6),
            crate::generated::new_transition(941331600, 4),
            crate::generated::new_transition(1048986000, 8),
        ],
        &[
            crate::generated::new_local_time_type(6076, false, Some(b"LMT")),
            crate::generated::new_local_time_type(5040, false, Some(b"WMT")),
            crate::generated::new_local_time_type(5736, false, Some(b"KMT")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            crate::generated::new_local_time_type(10800, false, Some(b"MSK")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(14400, true, Some(b"MSD")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(7200, false, Some(b"EET")),
                crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                10800,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                14400,
            ),
        )),
    );

    pub(crate) const EUROPE_VOLGOGRAD: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1577761060, 1),
                crate::generated::new_transition(-1247540400, 2),
                crate::generated::new_transition(354916800, 3),
                crate::generated::new_transition(370724400, 2),
                crate::generated::new_transition(386452800, 3),
                crate::generated::new_transition(402260400, 2),
                crate::generated::new_transition(417988800, 3),
                crate::generated::new_transition(433796400, 2),
                crate::generated::new_transition(449611200, 3),
                crate::generated::new_transition(465343200, 2),
                crate::generated::new_transition(481068000, 3),
                crate::generated::new_transition(496792800, 2),
                crate::generated::new_transition(512517600, 3),
                crate::generated::new_transition(528242400, 2),
                crate::generated::new_transition(543967200, 3),
                crate::generated::new_transition(559692000, 2),
                crate::generated::new_transition(575416800, 4),
                crate::generated::new_transition(591145200, 5),
                crate::generated::new_transition(606870000, 4),
                crate::generated::new_transition(622594800, 5),
                crate::generated::new_transition(638319600, 4),
                crate::generated::new_transition(654649200, 5),
                crate::generated::new_transition(670374000, 2),
                crate::generated::new_transition(701820000, 4),
                crate::generated::new_transition(717548400, 5),
                crate::generated::new_transition(733273200, 4),
                crate::generated::new_transition(748998000, 5),
                crate::generated::new_transition(764722800, 4),
                crate::generated::new_transition(780447600, 5),
                crate::generated::new_transition(796172400, 4),
                crate::generated::new_transition(811897200, 5),
                crate::generated::new_transition(828226800, 4),
                crate::generated::new_transition(846370800, 5),
                crate::generated::new_transition(859676400, 4),
                crate::generated::new_transition(877820400, 5),
                crate::generated::new_transition(891126000, 4),
                crate::generated::new_transition(909270000, 5),
                crate::generated::new_transition(922575600, 4),
                crate::generated::new_transition(941324400, 5),
                crate::generated::new_transition(954025200, 4),
                crate::generated::new_transition(972774000, 5),
                crate::generated::new_transition(985474800, 4),
                crate::generated::new_transition(1004223600, 5),
                crate::generated::new_transition(1017529200, 4),
                crate::generated::new_transition(1035673200, 5),
                crate::generated::new_transition(1048978800, 4),
                crate::generated::new_transition(1067122800, 5),
                crate::generated::new_transition(1080428400, 4),
                crate::generated::new_transition(1099177200, 5),
                crate::generated::new_transition(1111878000, 4),
                crate::generated::new_transition(1130626800, 5),
                crate::generated::new_transition(1143327600, 4),
                crate::generated::new_transition(1162076400, 5),
                crate::generated::new_transition(1174777200, 4),
                crate::generated::new_transition(1193526000, 5),
                crate::generated::new_transition(1206831600, 4),
                crate::generated::new_transition(1224975600, 5),
                crate::generated::new_transition(1238281200, 4),
                crate::generated::new_transition(1256425200, 5),
                crate::generated::new_transition(1269730800, 4),
                crate::generated::new_transition(1288479600, 5),
                crate::generated::new_transition(1301180400, 6),
                crate::generated::new_transition(1414274400, 5),
                crate::generated::new_transition(1540681200, 2),
                crate::generated::new_transition(1609020000, 5),
            ],
            &[
                crate::generated::new_local_time_type(10660, false, Some(b"LMT")),
                crate::generated::new_local_time_type(10800, false, Some(b"+03")),
                crate::generated::new_local_time_type(14400, false, Some(b"+04")),
                crate::generated::new_local_time_type(18000, true, Some(b"+05")),
                crate::generated::new_local_time_type(14400, true, Some(b"MSD")),
                crate::generated::new_local_time_type(10800, false, Some(b"MSK")),
                crate::generated::new_local_time_type(14400, false, Some(b"MSK")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(10800, false, Some(b"MSK")),
            )),
        );

    pub(crate) const EUROPE_ZAGREB: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2713914232, 1),
            crate::generated::new_transition(-905824800, 2),
            crate::generated::new_transition(-857257200, 1),
            crate::generated::new_transition(-844556400, 2),
            crate::generated::new_transition(-828226800, 1),
            crate::generated::new_transition(-812502000, 2),
            crate::generated::new_transition(-796777200, 1),
            crate::generated::new_transition(-781052400, 2),
            crate::generated::new_transition(-766623600, 1),
            crate::generated::new_transition(417574800, 2),
            crate::generated::new_transition(433299600, 1),
            crate::generated::new_transition(449024400, 2),
            crate::generated::new_transition(465354000, 1),
            crate::generated::new_transition(481078800, 2),
            crate::generated::new_transition(496803600, 1),
            crate::generated::new_transition(512528400, 2),
            crate::generated::new_transition(528253200, 1),
            crate::generated::new_transition(543978000, 2),
            crate::generated::new_transition(559702800, 1),
            crate::generated::new_transition(575427600, 2),
            crate::generated::new_transition(591152400, 1),
            crate::generated::new_transition(606877200, 2),
            crate::generated::new_transition(622602000, 1),
            crate::generated::new_transition(638326800, 2),
            crate::generated::new_transition(654656400, 1),
            crate::generated::new_transition(670381200, 2),
            crate::generated::new_transition(686106000, 1),
            crate::generated::new_transition(701830800, 2),
            crate::generated::new_transition(717555600, 1),
            crate::generated::new_transition(733280400, 2),
            crate::generated::new_transition(749005200, 1),
            crate::generated::new_transition(764730000, 2),
            crate::generated::new_transition(780454800, 1),
            crate::generated::new_transition(796179600, 2),
            crate::generated::new_transition(811904400, 1),
            crate::generated::new_transition(828234000, 2),
        ],
        &[
            crate::generated::new_local_time_type(3832, false, Some(b"LMT")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const FACTORY: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[],
        &[crate::generated::new_local_time_type(
            0,
            false,
            Some(b"-00"),
        )],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(0, false, Some(b"-00")),
        )),
    );

    pub(crate) const GB: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3852662325, 2),
            crate::generated::new_transition(-1691964000, 1),
            crate::generated::new_transition(-1680472800, 2),
            crate::generated::new_transition(-1664143200, 1),
            crate::generated::new_transition(-1650146400, 2),
            crate::generated::new_transition(-1633903200, 1),
            crate::generated::new_transition(-1617487200, 2),
            crate::generated::new_transition(-1601848800, 1),
            crate::generated::new_transition(-1586037600, 2),
            crate::generated::new_transition(-1570399200, 1),
            crate::generated::new_transition(-1552168800, 2),
            crate::generated::new_transition(-1538344800, 1),
            crate::generated::new_transition(-1522533600, 2),
            crate::generated::new_transition(-1507500000, 1),
            crate::generated::new_transition(-1490565600, 2),
            crate::generated::new_transition(-1473631200, 1),
            crate::generated::new_transition(-1460930400, 2),
            crate::generated::new_transition(-1442786400, 1),
            crate::generated::new_transition(-1428876000, 2),
            crate::generated::new_transition(-1410732000, 1),
            crate::generated::new_transition(-1396216800, 2),
            crate::generated::new_transition(-1379282400, 1),
            crate::generated::new_transition(-1364767200, 2),
            crate::generated::new_transition(-1348437600, 1),
            crate::generated::new_transition(-1333317600, 2),
            crate::generated::new_transition(-1315778400, 1),
            crate::generated::new_transition(-1301263200, 2),
            crate::generated::new_transition(-1284328800, 1),
            crate::generated::new_transition(-1269813600, 2),
            crate::generated::new_transition(-1253484000, 1),
            crate::generated::new_transition(-1238364000, 2),
            crate::generated::new_transition(-1221429600, 1),
            crate::generated::new_transition(-1206914400, 2),
            crate::generated::new_transition(-1189980000, 1),
            crate::generated::new_transition(-1175464800, 2),
            crate::generated::new_transition(-1159135200, 1),
            crate::generated::new_transition(-1143410400, 2),
            crate::generated::new_transition(-1126476000, 1),
            crate::generated::new_transition(-1111960800, 2),
            crate::generated::new_transition(-1095631200, 1),
            crate::generated::new_transition(-1080511200, 2),
            crate::generated::new_transition(-1063576800, 1),
            crate::generated::new_transition(-1049061600, 2),
            crate::generated::new_transition(-1032127200, 1),
            crate::generated::new_transition(-1017612000, 2),
            crate::generated::new_transition(-1001282400, 1),
            crate::generated::new_transition(-986162400, 2),
            crate::generated::new_transition(-969228000, 1),
            crate::generated::new_transition(-950479200, 2),
            crate::generated::new_transition(-942012000, 1),
            crate::generated::new_transition(-904518000, 3),
            crate::generated::new_transition(-896050800, 1),
            crate::generated::new_transition(-875487600, 3),
            crate::generated::new_transition(-864601200, 1),
            crate::generated::new_transition(-844038000, 3),
            crate::generated::new_transition(-832546800, 1),
            crate::generated::new_transition(-812588400, 3),
            crate::generated::new_transition(-798073200, 1),
            crate::generated::new_transition(-781052400, 3),
            crate::generated::new_transition(-772066800, 1),
            crate::generated::new_transition(-764805600, 2),
            crate::generated::new_transition(-748476000, 1),
            crate::generated::new_transition(-733356000, 2),
            crate::generated::new_transition(-719445600, 1),
            crate::generated::new_transition(-717030000, 3),
            crate::generated::new_transition(-706748400, 1),
            crate::generated::new_transition(-699487200, 2),
            crate::generated::new_transition(-687996000, 1),
            crate::generated::new_transition(-668037600, 2),
            crate::generated::new_transition(-654732000, 1),
            crate::generated::new_transition(-636588000, 2),
            crate::generated::new_transition(-622072800, 1),
            crate::generated::new_transition(-605743200, 2),
            crate::generated::new_transition(-590623200, 1),
            crate::generated::new_transition(-574293600, 2),
            crate::generated::new_transition(-558568800, 1),
            crate::generated::new_transition(-542239200, 2),
            crate::generated::new_transition(-527119200, 1),
            crate::generated::new_transition(-512604000, 2),
            crate::generated::new_transition(-496274400, 1),
            crate::generated::new_transition(-481154400, 2),
            crate::generated::new_transition(-464220000, 1),
            crate::generated::new_transition(-449704800, 2),
            crate::generated::new_transition(-432165600, 1),
            crate::generated::new_transition(-417650400, 2),
            crate::generated::new_transition(-401320800, 1),
            crate::generated::new_transition(-386200800, 2),
            crate::generated::new_transition(-369266400, 1),
            crate::generated::new_transition(-354751200, 2),
            crate::generated::new_transition(-337816800, 1),
            crate::generated::new_transition(-323301600, 2),
            crate::generated::new_transition(-306972000, 1),
            crate::generated::new_transition(-291852000, 2),
            crate::generated::new_transition(-276732000, 1),
            crate::generated::new_transition(-257983200, 2),
            crate::generated::new_transition(-245282400, 1),
            crate::generated::new_transition(-226533600, 2),
            crate::generated::new_transition(-213228000, 1),
            crate::generated::new_transition(-195084000, 2),
            crate::generated::new_transition(-182383200, 1),
            crate::generated::new_transition(-163634400, 2),
            crate::generated::new_transition(-150933600, 1),
            crate::generated::new_transition(-132184800, 2),
            crate::generated::new_transition(-119484000, 1),
            crate::generated::new_transition(-100735200, 2),
            crate::generated::new_transition(-88034400, 1),
            crate::generated::new_transition(-68680800, 2),
            crate::generated::new_transition(-59004000, 1),
            crate::generated::new_transition(-37242000, 4),
            crate::generated::new_transition(57722400, 2),
            crate::generated::new_transition(69818400, 1),
            crate::generated::new_transition(89172000, 2),
            crate::generated::new_transition(101268000, 1),
            crate::generated::new_transition(120621600, 2),
            crate::generated::new_transition(132717600, 1),
            crate::generated::new_transition(152071200, 2),
            crate::generated::new_transition(164167200, 1),
            crate::generated::new_transition(183520800, 2),
            crate::generated::new_transition(196221600, 1),
            crate::generated::new_transition(214970400, 2),
            crate::generated::new_transition(227671200, 1),
            crate::generated::new_transition(246420000, 2),
            crate::generated::new_transition(259120800, 1),
            crate::generated::new_transition(278474400, 2),
            crate::generated::new_transition(290570400, 1),
            crate::generated::new_transition(309924000, 2),
            crate::generated::new_transition(322020000, 1),
            crate::generated::new_transition(341373600, 2),
            crate::generated::new_transition(354675600, 1),
            crate::generated::new_transition(372819600, 2),
            crate::generated::new_transition(386125200, 1),
            crate::generated::new_transition(404269200, 2),
            crate::generated::new_transition(417574800, 1),
            crate::generated::new_transition(435718800, 2),
            crate::generated::new_transition(449024400, 1),
            crate::generated::new_transition(467773200, 2),
            crate::generated::new_transition(481078800, 1),
            crate::generated::new_transition(499222800, 2),
            crate::generated::new_transition(512528400, 1),
            crate::generated::new_transition(530672400, 2),
            crate::generated::new_transition(543978000, 1),
            crate::generated::new_transition(562122000, 2),
            crate::generated::new_transition(575427600, 1),
            crate::generated::new_transition(593571600, 2),
            crate::generated::new_transition(606877200, 1),
            crate::generated::new_transition(625626000, 2),
            crate::generated::new_transition(638326800, 1),
            crate::generated::new_transition(657075600, 2),
            crate::generated::new_transition(670381200, 1),
            crate::generated::new_transition(688525200, 2),
            crate::generated::new_transition(701830800, 1),
            crate::generated::new_transition(719974800, 2),
            crate::generated::new_transition(733280400, 1),
            crate::generated::new_transition(751424400, 2),
            crate::generated::new_transition(764730000, 1),
            crate::generated::new_transition(782874000, 2),
            crate::generated::new_transition(796179600, 1),
            crate::generated::new_transition(814323600, 2),
            crate::generated::new_transition(828234000, 1),
        ],
        &[
            crate::generated::new_local_time_type(-75, false, Some(b"LMT")),
            crate::generated::new_local_time_type(3600, true, Some(b"BST")),
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
            crate::generated::new_local_time_type(7200, true, Some(b"BDST")),
            crate::generated::new_local_time_type(3600, false, Some(b"BST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(0, false, Some(b"GMT")),
                crate::generated::new_local_time_type(3600, true, Some(b"BST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                3600,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const GMT: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[],
        &[crate::generated::new_local_time_type(
            0,
            false,
            Some(b"GMT"),
        )],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
        )),
    );

    pub(crate) const HONGKONG: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2056690800, 1),
            crate::generated::new_transition(-900910800, 2),
            crate::generated::new_transition(-891579600, 3),
            crate::generated::new_transition(-884248200, 4),
            crate::generated::new_transition(-761209200, 1),
            crate::generated::new_transition(-747907200, 2),
            crate::generated::new_transition(-728541000, 1),
            crate::generated::new_transition(-717049800, 2),
            crate::generated::new_transition(-697091400, 1),
            crate::generated::new_transition(-683785800, 2),
            crate::generated::new_transition(-668061000, 1),
            crate::generated::new_transition(-654755400, 2),
            crate::generated::new_transition(-636611400, 1),
            crate::generated::new_transition(-623305800, 2),
            crate::generated::new_transition(-605161800, 1),
            crate::generated::new_transition(-591856200, 2),
            crate::generated::new_transition(-573712200, 1),
            crate::generated::new_transition(-559801800, 2),
            crate::generated::new_transition(-541657800, 1),
            crate::generated::new_transition(-528352200, 2),
            crate::generated::new_transition(-510211800, 1),
            crate::generated::new_transition(-498112200, 2),
            crate::generated::new_transition(-478762200, 1),
            crate::generated::new_transition(-466662600, 2),
            crate::generated::new_transition(-446707800, 1),
            crate::generated::new_transition(-435213000, 2),
            crate::generated::new_transition(-415258200, 1),
            crate::generated::new_transition(-403158600, 2),
            crate::generated::new_transition(-383808600, 1),
            crate::generated::new_transition(-371709000, 2),
            crate::generated::new_transition(-352359000, 1),
            crate::generated::new_transition(-340259400, 2),
            crate::generated::new_transition(-320909400, 1),
            crate::generated::new_transition(-308809800, 2),
            crate::generated::new_transition(-288855000, 1),
            crate::generated::new_transition(-277360200, 2),
            crate::generated::new_transition(-257405400, 1),
            crate::generated::new_transition(-245910600, 2),
            crate::generated::new_transition(-225955800, 1),
            crate::generated::new_transition(-213856200, 2),
            crate::generated::new_transition(-194506200, 1),
            crate::generated::new_transition(-182406600, 2),
            crate::generated::new_transition(-163056600, 1),
            crate::generated::new_transition(-148537800, 2),
            crate::generated::new_transition(-132816600, 1),
            crate::generated::new_transition(-117088200, 2),
            crate::generated::new_transition(-101367000, 1),
            crate::generated::new_transition(-85638600, 2),
            crate::generated::new_transition(-69312600, 1),
            crate::generated::new_transition(-53584200, 2),
            crate::generated::new_transition(-37863000, 1),
            crate::generated::new_transition(-22134600, 2),
            crate::generated::new_transition(-6413400, 1),
            crate::generated::new_transition(9315000, 2),
            crate::generated::new_transition(25036200, 1),
            crate::generated::new_transition(40764600, 2),
            crate::generated::new_transition(56485800, 1),
            crate::generated::new_transition(72214200, 2),
            crate::generated::new_transition(88540200, 1),
            crate::generated::new_transition(104268600, 2),
            crate::generated::new_transition(119989800, 1),
            crate::generated::new_transition(126041400, 2),
            crate::generated::new_transition(151439400, 1),
            crate::generated::new_transition(167167800, 2),
            crate::generated::new_transition(182889000, 1),
            crate::generated::new_transition(198617400, 2),
            crate::generated::new_transition(214338600, 1),
            crate::generated::new_transition(295385400, 2),
            crate::generated::new_transition(309292200, 1),
        ],
        &[
            crate::generated::new_local_time_type(27402, false, Some(b"LMT")),
            crate::generated::new_local_time_type(28800, false, Some(b"HKT")),
            crate::generated::new_local_time_type(32400, true, Some(b"HKST")),
            crate::generated::new_local_time_type(30600, true, Some(b"HKWT")),
            crate::generated::new_local_time_type(32400, false, Some(b"JST")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(28800, false, Some(b"HKT")),
        )),
    );

    pub(crate) const HST: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[],
        &[crate::generated::new_local_time_type(
            -36000,
            false,
            Some(b"HST"),
        )],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-36000, false, Some(b"HST")),
        )),
    );

    pub(crate) const ICELAND: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-1830383032, 1)],
        &[
            crate::generated::new_local_time_type(-968, false, Some(b"LMT")),
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(0, false, Some(b"GMT")),
        )),
    );

    pub(crate) const INDIAN_ANTANANARIVO: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1846293004, 1),
                crate::generated::new_transition(-499924800, 2),
                crate::generated::new_transition(-492062400, 1),
            ],
            &[
                crate::generated::new_local_time_type(11404, false, Some(b"LMT")),
                crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
                crate::generated::new_local_time_type(14400, true, Some(b"EAST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
            )),
        );

    pub(crate) const INDIAN_CHAGOS: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1988167780, 1),
            crate::generated::new_transition(820436400, 2),
        ],
        &[
            crate::generated::new_local_time_type(17380, false, Some(b"LMT")),
            crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(21600, false, Some(b"+06")),
        )),
    );

    pub(crate) const INDIAN_CHRISTMAS: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-2364102172, 1)],
            &[
                crate::generated::new_local_time_type(25372, false, Some(b"LMT")),
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(25200, false, Some(b"+07")),
            )),
        );

    pub(crate) const INDIAN_COCOS: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-2209012060, 1)],
        &[
            crate::generated::new_local_time_type(23260, false, Some(b"LMT")),
            crate::generated::new_local_time_type(23400, false, Some(b"+0630")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(23400, false, Some(b"+0630")),
        )),
    );

    pub(crate) const INDIAN_COMORO: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-1846291984, 1)],
        &[
            crate::generated::new_local_time_type(10384, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
        )),
    );

    pub(crate) const INDIAN_KERGUELEN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-631152000, 1)],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            )),
        );

    pub(crate) const INDIAN_MAHE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-1988163708, 1)],
        &[
            crate::generated::new_local_time_type(13308, false, Some(b"LMT")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
        )),
    );

    pub(crate) const INDIAN_MALDIVES: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2840158440, 1),
                crate::generated::new_transition(-315636840, 2),
            ],
            &[
                crate::generated::new_local_time_type(17640, false, Some(b"LMT")),
                crate::generated::new_local_time_type(17640, false, Some(b"MMT")),
                crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(18000, false, Some(b"+05")),
            )),
        );

    pub(crate) const INDIAN_MAURITIUS: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1988164200, 2),
                crate::generated::new_transition(403041600, 1),
                crate::generated::new_transition(417034800, 2),
                crate::generated::new_transition(1224972000, 1),
                crate::generated::new_transition(1238274000, 2),
            ],
            &[
                crate::generated::new_local_time_type(13800, false, Some(b"LMT")),
                crate::generated::new_local_time_type(18000, true, Some(b"+05")),
                crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(14400, false, Some(b"+04")),
            )),
        );

    pub(crate) const INDIAN_MAYOTTE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-1846292456, 1)],
        &[
            crate::generated::new_local_time_type(10856, false, Some(b"LMT")),
            crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"EAT")),
        )),
    );

    pub(crate) const INDIAN_REUNION: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-1848886912, 1)],
        &[
            crate::generated::new_local_time_type(13312, false, Some(b"LMT")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
        )),
    );

    pub(crate) const IRAN: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1704165944, 1),
            crate::generated::new_transition(-1090466744, 3),
            crate::generated::new_transition(227820600, 2),
            crate::generated::new_transition(246223800, 5),
            crate::generated::new_transition(259617600, 4),
            crate::generated::new_transition(271108800, 5),
            crate::generated::new_transition(283982400, 3),
            crate::generated::new_transition(296598600, 2),
            crate::generated::new_transition(306531000, 3),
            crate::generated::new_transition(322432200, 2),
            crate::generated::new_transition(338499000, 3),
            crate::generated::new_transition(673216200, 2),
            crate::generated::new_transition(685481400, 3),
            crate::generated::new_transition(701209800, 2),
            crate::generated::new_transition(717103800, 3),
            crate::generated::new_transition(732745800, 2),
            crate::generated::new_transition(748639800, 3),
            crate::generated::new_transition(764281800, 2),
            crate::generated::new_transition(780175800, 3),
            crate::generated::new_transition(795817800, 2),
            crate::generated::new_transition(811711800, 3),
            crate::generated::new_transition(827353800, 2),
            crate::generated::new_transition(843247800, 3),
            crate::generated::new_transition(858976200, 2),
            crate::generated::new_transition(874870200, 3),
            crate::generated::new_transition(890512200, 2),
            crate::generated::new_transition(906406200, 3),
            crate::generated::new_transition(922048200, 2),
            crate::generated::new_transition(937942200, 3),
            crate::generated::new_transition(953584200, 2),
            crate::generated::new_transition(969478200, 3),
            crate::generated::new_transition(985206600, 2),
            crate::generated::new_transition(1001100600, 3),
            crate::generated::new_transition(1016742600, 2),
            crate::generated::new_transition(1032636600, 3),
            crate::generated::new_transition(1048278600, 2),
            crate::generated::new_transition(1064172600, 3),
            crate::generated::new_transition(1079814600, 2),
            crate::generated::new_transition(1095708600, 3),
            crate::generated::new_transition(1111437000, 2),
            crate::generated::new_transition(1127331000, 3),
            crate::generated::new_transition(1206045000, 2),
            crate::generated::new_transition(1221939000, 3),
            crate::generated::new_transition(1237667400, 2),
            crate::generated::new_transition(1253561400, 3),
            crate::generated::new_transition(1269203400, 2),
            crate::generated::new_transition(1285097400, 3),
            crate::generated::new_transition(1300739400, 2),
            crate::generated::new_transition(1316633400, 3),
            crate::generated::new_transition(1332275400, 2),
            crate::generated::new_transition(1348169400, 3),
            crate::generated::new_transition(1363897800, 2),
            crate::generated::new_transition(1379791800, 3),
            crate::generated::new_transition(1395433800, 2),
            crate::generated::new_transition(1411327800, 3),
            crate::generated::new_transition(1426969800, 2),
            crate::generated::new_transition(1442863800, 3),
            crate::generated::new_transition(1458505800, 2),
            crate::generated::new_transition(1474399800, 3),
            crate::generated::new_transition(1490128200, 2),
            crate::generated::new_transition(1506022200, 3),
            crate::generated::new_transition(1521664200, 2),
            crate::generated::new_transition(1537558200, 3),
            crate::generated::new_transition(1553200200, 2),
            crate::generated::new_transition(1569094200, 3),
            crate::generated::new_transition(1584736200, 2),
            crate::generated::new_transition(1600630200, 3),
            crate::generated::new_transition(1616358600, 2),
            crate::generated::new_transition(1632252600, 3),
            crate::generated::new_transition(1647894600, 2),
            crate::generated::new_transition(1663788600, 3),
        ],
        &[
            crate::generated::new_local_time_type(12344, false, Some(b"LMT")),
            crate::generated::new_local_time_type(12344, false, Some(b"TMT")),
            crate::generated::new_local_time_type(16200, true, Some(b"+0430")),
            crate::generated::new_local_time_type(12600, false, Some(b"+0330")),
            crate::generated::new_local_time_type(18000, true, Some(b"+05")),
            crate::generated::new_local_time_type(14400, false, Some(b"+04")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(12600, false, Some(b"+0330")),
        )),
    );

    pub(crate) const ISRAEL: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2840149254, 1),
            crate::generated::new_transition(-1641003640, 3),
            crate::generated::new_transition(-933638400, 2),
            crate::generated::new_transition(-923097600, 3),
            crate::generated::new_transition(-919036800, 2),
            crate::generated::new_transition(-857347200, 3),
            crate::generated::new_transition(-844300800, 2),
            crate::generated::new_transition(-825811200, 3),
            crate::generated::new_transition(-812678400, 2),
            crate::generated::new_transition(-794188800, 3),
            crate::generated::new_transition(-779846400, 2),
            crate::generated::new_transition(-762652800, 3),
            crate::generated::new_transition(-748310400, 2),
            crate::generated::new_transition(-731116800, 3),
            crate::generated::new_transition(-681955200, 4),
            crate::generated::new_transition(-673228800, 2),
            crate::generated::new_transition(-667958400, 3),
            crate::generated::new_transition(-652320000, 2),
            crate::generated::new_transition(-636422400, 3),
            crate::generated::new_transition(-622080000, 2),
            crate::generated::new_transition(-608947200, 3),
            crate::generated::new_transition(-591840000, 2),
            crate::generated::new_transition(-572486400, 3),
            crate::generated::new_transition(-558576000, 2),
            crate::generated::new_transition(-542851200, 3),
            crate::generated::new_transition(-527731200, 2),
            crate::generated::new_transition(-514425600, 3),
            crate::generated::new_transition(-490838400, 2),
            crate::generated::new_transition(-482976000, 3),
            crate::generated::new_transition(-459388800, 2),
            crate::generated::new_transition(-451526400, 3),
            crate::generated::new_transition(-428544000, 2),
            crate::generated::new_transition(-418262400, 3),
            crate::generated::new_transition(-400118400, 2),
            crate::generated::new_transition(-387417600, 3),
            crate::generated::new_transition(142380000, 2),
            crate::generated::new_transition(150843600, 3),
            crate::generated::new_transition(167176800, 2),
            crate::generated::new_transition(178664400, 3),
            crate::generated::new_transition(334101600, 2),
            crate::generated::new_transition(337730400, 3),
            crate::generated::new_transition(452642400, 2),
            crate::generated::new_transition(462319200, 3),
            crate::generated::new_transition(482277600, 2),
            crate::generated::new_transition(494370000, 3),
            crate::generated::new_transition(516751200, 2),
            crate::generated::new_transition(526424400, 3),
            crate::generated::new_transition(545436000, 2),
            crate::generated::new_transition(558478800, 3),
            crate::generated::new_transition(576626400, 2),
            crate::generated::new_transition(589323600, 3),
            crate::generated::new_transition(609890400, 2),
            crate::generated::new_transition(620773200, 3),
            crate::generated::new_transition(638316000, 2),
            crate::generated::new_transition(651618000, 3),
            crate::generated::new_transition(669765600, 2),
            crate::generated::new_transition(683672400, 3),
            crate::generated::new_transition(701820000, 2),
            crate::generated::new_transition(715726800, 3),
            crate::generated::new_transition(733701600, 2),
            crate::generated::new_transition(747176400, 3),
            crate::generated::new_transition(765151200, 2),
            crate::generated::new_transition(778021200, 3),
            crate::generated::new_transition(796600800, 2),
            crate::generated::new_transition(810075600, 3),
            crate::generated::new_transition(826840800, 2),
            crate::generated::new_transition(842821200, 3),
            crate::generated::new_transition(858895200, 2),
            crate::generated::new_transition(874184400, 3),
            crate::generated::new_transition(890344800, 2),
            crate::generated::new_transition(905029200, 3),
            crate::generated::new_transition(923011200, 2),
            crate::generated::new_transition(936313200, 3),
            crate::generated::new_transition(955670400, 2),
            crate::generated::new_transition(970783200, 3),
            crate::generated::new_transition(986770800, 2),
            crate::generated::new_transition(1001282400, 3),
            crate::generated::new_transition(1017356400, 2),
            crate::generated::new_transition(1033941600, 3),
            crate::generated::new_transition(1048806000, 2),
            crate::generated::new_transition(1065132000, 3),
            crate::generated::new_transition(1081292400, 2),
            crate::generated::new_transition(1095804000, 3),
            crate::generated::new_transition(1112313600, 2),
            crate::generated::new_transition(1128812400, 3),
            crate::generated::new_transition(1143763200, 2),
            crate::generated::new_transition(1159657200, 3),
            crate::generated::new_transition(1175212800, 2),
            crate::generated::new_transition(1189897200, 3),
            crate::generated::new_transition(1206662400, 2),
            crate::generated::new_transition(1223161200, 3),
            crate::generated::new_transition(1238112000, 2),
            crate::generated::new_transition(1254006000, 3),
            crate::generated::new_transition(1269561600, 2),
            crate::generated::new_transition(1284246000, 3),
            crate::generated::new_transition(1301616000, 2),
            crate::generated::new_transition(1317510000, 3),
            crate::generated::new_transition(1333065600, 2),
            crate::generated::new_transition(1348354800, 3),
            crate::generated::new_transition(1364515200, 2),
        ],
        &[
            crate::generated::new_local_time_type(8454, false, Some(b"LMT")),
            crate::generated::new_local_time_type(8440, false, Some(b"JMT")),
            crate::generated::new_local_time_type(10800, true, Some(b"IDT")),
            crate::generated::new_local_time_type(7200, false, Some(b"IST")),
            crate::generated::new_local_time_type(14400, true, Some(b"IDDT")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(7200, false, Some(b"IST")),
                crate::generated::new_local_time_type(10800, true, Some(b"IDT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 4, 4)),
                93600,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const JAMAICA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2524503170, 1),
            crate::generated::new_transition(-1827687170, 2),
            crate::generated::new_transition(126687600, 3),
            crate::generated::new_transition(152085600, 2),
            crate::generated::new_transition(162370800, 3),
            crate::generated::new_transition(183535200, 2),
            crate::generated::new_transition(199263600, 3),
            crate::generated::new_transition(215589600, 2),
            crate::generated::new_transition(230713200, 3),
            crate::generated::new_transition(247039200, 2),
            crate::generated::new_transition(262767600, 3),
            crate::generated::new_transition(278488800, 2),
            crate::generated::new_transition(294217200, 3),
            crate::generated::new_transition(309938400, 2),
            crate::generated::new_transition(325666800, 3),
            crate::generated::new_transition(341388000, 2),
            crate::generated::new_transition(357116400, 3),
            crate::generated::new_transition(372837600, 2),
            crate::generated::new_transition(388566000, 3),
            crate::generated::new_transition(404892000, 2),
            crate::generated::new_transition(420015600, 3),
            crate::generated::new_transition(436341600, 2),
        ],
        &[
            crate::generated::new_local_time_type(-18430, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-18430, false, Some(b"KMT")),
            crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
            crate::generated::new_local_time_type(-14400, true, Some(b"EDT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-18000, false, Some(b"EST")),
        )),
    );

    pub(crate) const JAPAN: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2587712400, 2),
            crate::generated::new_transition(-683802000, 1),
            crate::generated::new_transition(-672310800, 2),
            crate::generated::new_transition(-654771600, 1),
            crate::generated::new_transition(-640861200, 2),
            crate::generated::new_transition(-620298000, 1),
            crate::generated::new_transition(-609411600, 2),
            crate::generated::new_transition(-588848400, 1),
            crate::generated::new_transition(-577962000, 2),
        ],
        &[
            crate::generated::new_local_time_type(33539, false, Some(b"LMT")),
            crate::generated::new_local_time_type(36000, true, Some(b"JDT")),
            crate::generated::new_local_time_type(32400, false, Some(b"JST")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(32400, false, Some(b"JST")),
        )),
    );

    pub(crate) const KWAJALEIN: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2177492960, 1),
            crate::generated::new_transition(-1041418800, 2),
            crate::generated::new_transition(-907408800, 3),
            crate::generated::new_transition(-817462800, 1),
            crate::generated::new_transition(-7988400, 4),
            crate::generated::new_transition(745934400, 5),
        ],
        &[
            crate::generated::new_local_time_type(40160, false, Some(b"LMT")),
            crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            crate::generated::new_local_time_type(36000, false, Some(b"+10")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(-43200, false, Some(b"-12")),
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        )),
    );

    pub(crate) const LIBYA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1577926364, 2),
            crate::generated::new_transition(-574902000, 1),
            crate::generated::new_transition(-568087200, 2),
            crate::generated::new_transition(-512175600, 1),
            crate::generated::new_transition(-504928800, 2),
            crate::generated::new_transition(-449888400, 1),
            crate::generated::new_transition(-441856800, 2),
            crate::generated::new_transition(-347158800, 3),
            crate::generated::new_transition(378684000, 2),
            crate::generated::new_transition(386463600, 1),
            crate::generated::new_transition(402271200, 2),
            crate::generated::new_transition(417999600, 1),
            crate::generated::new_transition(433807200, 2),
            crate::generated::new_transition(449622000, 1),
            crate::generated::new_transition(465429600, 2),
            crate::generated::new_transition(481590000, 1),
            crate::generated::new_transition(496965600, 2),
            crate::generated::new_transition(512953200, 1),
            crate::generated::new_transition(528674400, 2),
            crate::generated::new_transition(544230000, 1),
            crate::generated::new_transition(560037600, 2),
            crate::generated::new_transition(575852400, 1),
            crate::generated::new_transition(591660000, 2),
            crate::generated::new_transition(607388400, 1),
            crate::generated::new_transition(623196000, 2),
            crate::generated::new_transition(641775600, 3),
            crate::generated::new_transition(844034400, 2),
            crate::generated::new_transition(860108400, 1),
            crate::generated::new_transition(875916000, 3),
            crate::generated::new_transition(1352505600, 2),
            crate::generated::new_transition(1364515200, 1),
            crate::generated::new_transition(1382659200, 3),
        ],
        &[
            crate::generated::new_local_time_type(3164, false, Some(b"LMT")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
        )),
    );

    pub(crate) const MET: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1693706400, 1),
            crate::generated::new_transition(-1680483600, 0),
            crate::generated::new_transition(-1663455600, 1),
            crate::generated::new_transition(-1650150000, 0),
            crate::generated::new_transition(-1632006000, 1),
            crate::generated::new_transition(-1618700400, 0),
            crate::generated::new_transition(-938905200, 1),
            crate::generated::new_transition(-857257200, 0),
            crate::generated::new_transition(-844556400, 1),
            crate::generated::new_transition(-828226800, 0),
            crate::generated::new_transition(-812502000, 1),
            crate::generated::new_transition(-796777200, 0),
            crate::generated::new_transition(-781052400, 1),
            crate::generated::new_transition(-766623600, 0),
            crate::generated::new_transition(228877200, 1),
            crate::generated::new_transition(243997200, 0),
            crate::generated::new_transition(260326800, 1),
            crate::generated::new_transition(276051600, 0),
            crate::generated::new_transition(291776400, 1),
            crate::generated::new_transition(307501200, 0),
            crate::generated::new_transition(323830800, 1),
            crate::generated::new_transition(338950800, 0),
            crate::generated::new_transition(354675600, 1),
            crate::generated::new_transition(370400400, 0),
            crate::generated::new_transition(386125200, 1),
            crate::generated::new_transition(401850000, 0),
            crate::generated::new_transition(417574800, 1),
            crate::generated::new_transition(433299600, 0),
            crate::generated::new_transition(449024400, 1),
            crate::generated::new_transition(465354000, 0),
            crate::generated::new_transition(481078800, 1),
            crate::generated::new_transition(496803600, 0),
            crate::generated::new_transition(512528400, 1),
            crate::generated::new_transition(528253200, 0),
            crate::generated::new_transition(543978000, 1),
            crate::generated::new_transition(559702800, 0),
            crate::generated::new_transition(575427600, 1),
            crate::generated::new_transition(591152400, 0),
            crate::generated::new_transition(606877200, 1),
            crate::generated::new_transition(622602000, 0),
            crate::generated::new_transition(638326800, 1),
            crate::generated::new_transition(654656400, 0),
            crate::generated::new_transition(670381200, 1),
            crate::generated::new_transition(686106000, 0),
            crate::generated::new_transition(701830800, 1),
            crate::generated::new_transition(717555600, 0),
            crate::generated::new_transition(733280400, 1),
            crate::generated::new_transition(749005200, 0),
            crate::generated::new_transition(764730000, 1),
            crate::generated::new_transition(780454800, 0),
            crate::generated::new_transition(796179600, 1),
            crate::generated::new_transition(811904400, 0),
            crate::generated::new_transition(828234000, 1),
        ],
        &[
            crate::generated::new_local_time_type(3600, false, Some(b"MET")),
            crate::generated::new_local_time_type(7200, true, Some(b"MEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"MET")),
                crate::generated::new_local_time_type(7200, true, Some(b"MEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const MST: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[],
        &[crate::generated::new_local_time_type(
            -25200,
            false,
            Some(b"MST"),
        )],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
        )),
    );

    pub(crate) const MST_7_MDT: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1633273200, 1),
            crate::generated::new_transition(-1615132800, 0),
            crate::generated::new_transition(-1601823600, 1),
            crate::generated::new_transition(-1583683200, 0),
            crate::generated::new_transition(-880210800, 2),
            crate::generated::new_transition(-769395600, 3),
            crate::generated::new_transition(-765388800, 0),
            crate::generated::new_transition(-84380400, 1),
            crate::generated::new_transition(-68659200, 0),
            crate::generated::new_transition(-52930800, 1),
            crate::generated::new_transition(-37209600, 0),
            crate::generated::new_transition(-21481200, 1),
            crate::generated::new_transition(-5760000, 0),
            crate::generated::new_transition(9968400, 1),
            crate::generated::new_transition(25689600, 0),
            crate::generated::new_transition(41418000, 1),
            crate::generated::new_transition(57744000, 0),
            crate::generated::new_transition(73472400, 1),
            crate::generated::new_transition(89193600, 0),
            crate::generated::new_transition(104922000, 1),
            crate::generated::new_transition(120643200, 0),
            crate::generated::new_transition(126694800, 1),
            crate::generated::new_transition(152092800, 0),
            crate::generated::new_transition(162378000, 1),
            crate::generated::new_transition(183542400, 0),
            crate::generated::new_transition(199270800, 1),
            crate::generated::new_transition(215596800, 0),
            crate::generated::new_transition(230720400, 1),
            crate::generated::new_transition(247046400, 0),
            crate::generated::new_transition(262774800, 1),
            crate::generated::new_transition(278496000, 0),
            crate::generated::new_transition(294224400, 1),
            crate::generated::new_transition(309945600, 0),
            crate::generated::new_transition(325674000, 1),
            crate::generated::new_transition(341395200, 0),
            crate::generated::new_transition(357123600, 1),
            crate::generated::new_transition(372844800, 0),
            crate::generated::new_transition(388573200, 1),
            crate::generated::new_transition(404899200, 0),
            crate::generated::new_transition(420022800, 1),
            crate::generated::new_transition(436348800, 0),
            crate::generated::new_transition(452077200, 1),
            crate::generated::new_transition(467798400, 0),
            crate::generated::new_transition(483526800, 1),
            crate::generated::new_transition(499248000, 0),
            crate::generated::new_transition(514976400, 1),
            crate::generated::new_transition(530697600, 0),
            crate::generated::new_transition(544611600, 1),
            crate::generated::new_transition(562147200, 0),
            crate::generated::new_transition(576061200, 1),
            crate::generated::new_transition(594201600, 0),
            crate::generated::new_transition(607510800, 1),
            crate::generated::new_transition(625651200, 0),
            crate::generated::new_transition(638960400, 1),
            crate::generated::new_transition(657100800, 0),
            crate::generated::new_transition(671014800, 1),
            crate::generated::new_transition(688550400, 0),
            crate::generated::new_transition(702464400, 1),
            crate::generated::new_transition(720000000, 0),
            crate::generated::new_transition(733914000, 1),
            crate::generated::new_transition(752054400, 0),
            crate::generated::new_transition(765363600, 1),
            crate::generated::new_transition(783504000, 0),
            crate::generated::new_transition(796813200, 1),
            crate::generated::new_transition(814953600, 0),
            crate::generated::new_transition(828867600, 1),
            crate::generated::new_transition(846403200, 0),
            crate::generated::new_transition(860317200, 1),
            crate::generated::new_transition(877852800, 0),
            crate::generated::new_transition(891766800, 1),
            crate::generated::new_transition(909302400, 0),
            crate::generated::new_transition(923216400, 1),
            crate::generated::new_transition(941356800, 0),
            crate::generated::new_transition(954666000, 1),
            crate::generated::new_transition(972806400, 0),
            crate::generated::new_transition(986115600, 1),
            crate::generated::new_transition(1004256000, 0),
            crate::generated::new_transition(1018170000, 1),
            crate::generated::new_transition(1035705600, 0),
            crate::generated::new_transition(1049619600, 1),
            crate::generated::new_transition(1067155200, 0),
            crate::generated::new_transition(1081069200, 1),
            crate::generated::new_transition(1099209600, 0),
            crate::generated::new_transition(1112518800, 1),
            crate::generated::new_transition(1130659200, 0),
            crate::generated::new_transition(1143968400, 1),
            crate::generated::new_transition(1162108800, 0),
            crate::generated::new_transition(1173603600, 1),
        ],
        &[
            crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
            crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
            crate::generated::new_local_time_type(-21600, true, Some(b"MWT")),
            crate::generated::new_local_time_type(-21600, true, Some(b"MPT")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const NAVAJO: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2717643600, 2),
            crate::generated::new_transition(-1633273200, 1),
            crate::generated::new_transition(-1615132800, 2),
            crate::generated::new_transition(-1601823600, 1),
            crate::generated::new_transition(-1583683200, 2),
            crate::generated::new_transition(-1570374000, 1),
            crate::generated::new_transition(-1551628800, 2),
            crate::generated::new_transition(-1538924400, 1),
            crate::generated::new_transition(-1534089600, 2),
            crate::generated::new_transition(-880210800, 3),
            crate::generated::new_transition(-769395600, 4),
            crate::generated::new_transition(-765388800, 2),
            crate::generated::new_transition(-147884400, 1),
            crate::generated::new_transition(-131558400, 2),
            crate::generated::new_transition(-116434800, 1),
            crate::generated::new_transition(-100108800, 2),
            crate::generated::new_transition(-84380400, 1),
            crate::generated::new_transition(-68659200, 2),
            crate::generated::new_transition(-52930800, 1),
            crate::generated::new_transition(-37209600, 2),
            crate::generated::new_transition(-21481200, 1),
            crate::generated::new_transition(-5760000, 2),
            crate::generated::new_transition(9968400, 1),
            crate::generated::new_transition(25689600, 2),
            crate::generated::new_transition(41418000, 1),
            crate::generated::new_transition(57744000, 2),
            crate::generated::new_transition(73472400, 1),
            crate::generated::new_transition(89193600, 2),
            crate::generated::new_transition(104922000, 1),
            crate::generated::new_transition(120643200, 2),
            crate::generated::new_transition(126694800, 1),
            crate::generated::new_transition(152092800, 2),
            crate::generated::new_transition(162378000, 1),
            crate::generated::new_transition(183542400, 2),
            crate::generated::new_transition(199270800, 1),
            crate::generated::new_transition(215596800, 2),
            crate::generated::new_transition(230720400, 1),
            crate::generated::new_transition(247046400, 2),
            crate::generated::new_transition(262774800, 1),
            crate::generated::new_transition(278496000, 2),
            crate::generated::new_transition(294224400, 1),
            crate::generated::new_transition(309945600, 2),
            crate::generated::new_transition(325674000, 1),
            crate::generated::new_transition(341395200, 2),
            crate::generated::new_transition(357123600, 1),
            crate::generated::new_transition(372844800, 2),
            crate::generated::new_transition(388573200, 1),
            crate::generated::new_transition(404899200, 2),
            crate::generated::new_transition(420022800, 1),
            crate::generated::new_transition(436348800, 2),
            crate::generated::new_transition(452077200, 1),
            crate::generated::new_transition(467798400, 2),
            crate::generated::new_transition(483526800, 1),
            crate::generated::new_transition(499248000, 2),
            crate::generated::new_transition(514976400, 1),
            crate::generated::new_transition(530697600, 2),
            crate::generated::new_transition(544611600, 1),
            crate::generated::new_transition(562147200, 2),
            crate::generated::new_transition(576061200, 1),
            crate::generated::new_transition(594201600, 2),
            crate::generated::new_transition(607510800, 1),
            crate::generated::new_transition(625651200, 2),
            crate::generated::new_transition(638960400, 1),
            crate::generated::new_transition(657100800, 2),
            crate::generated::new_transition(671014800, 1),
            crate::generated::new_transition(688550400, 2),
            crate::generated::new_transition(702464400, 1),
            crate::generated::new_transition(720000000, 2),
            crate::generated::new_transition(733914000, 1),
            crate::generated::new_transition(752054400, 2),
            crate::generated::new_transition(765363600, 1),
            crate::generated::new_transition(783504000, 2),
            crate::generated::new_transition(796813200, 1),
            crate::generated::new_transition(814953600, 2),
            crate::generated::new_transition(828867600, 1),
            crate::generated::new_transition(846403200, 2),
            crate::generated::new_transition(860317200, 1),
            crate::generated::new_transition(877852800, 2),
            crate::generated::new_transition(891766800, 1),
            crate::generated::new_transition(909302400, 2),
            crate::generated::new_transition(923216400, 1),
            crate::generated::new_transition(941356800, 2),
            crate::generated::new_transition(954666000, 1),
            crate::generated::new_transition(972806400, 2),
            crate::generated::new_transition(986115600, 1),
            crate::generated::new_transition(1004256000, 2),
            crate::generated::new_transition(1018170000, 1),
            crate::generated::new_transition(1035705600, 2),
            crate::generated::new_transition(1049619600, 1),
            crate::generated::new_transition(1067155200, 2),
            crate::generated::new_transition(1081069200, 1),
            crate::generated::new_transition(1099209600, 2),
            crate::generated::new_transition(1112518800, 1),
            crate::generated::new_transition(1130659200, 2),
            crate::generated::new_transition(1143968400, 1),
            crate::generated::new_transition(1162108800, 2),
            crate::generated::new_transition(1173603600, 1),
        ],
        &[
            crate::generated::new_local_time_type(-25196, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
            crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
            crate::generated::new_local_time_type(-21600, true, Some(b"MWT")),
            crate::generated::new_local_time_type(-21600, true, Some(b"MPT")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(-25200, false, Some(b"MST")),
                crate::generated::new_local_time_type(-21600, true, Some(b"MDT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const NZ: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3192435544, 2),
            crate::generated::new_transition(-1330335000, 1),
            crate::generated::new_transition(-1320057000, 2),
            crate::generated::new_transition(-1300699800, 3),
            crate::generated::new_transition(-1287396000, 2),
            crate::generated::new_transition(-1269250200, 3),
            crate::generated::new_transition(-1255946400, 2),
            crate::generated::new_transition(-1237800600, 3),
            crate::generated::new_transition(-1224496800, 2),
            crate::generated::new_transition(-1206351000, 3),
            crate::generated::new_transition(-1192442400, 2),
            crate::generated::new_transition(-1174901400, 3),
            crate::generated::new_transition(-1160992800, 2),
            crate::generated::new_transition(-1143451800, 3),
            crate::generated::new_transition(-1125914400, 2),
            crate::generated::new_transition(-1112607000, 3),
            crate::generated::new_transition(-1094464800, 2),
            crate::generated::new_transition(-1081157400, 3),
            crate::generated::new_transition(-1063015200, 2),
            crate::generated::new_transition(-1049707800, 3),
            crate::generated::new_transition(-1031565600, 2),
            crate::generated::new_transition(-1018258200, 3),
            crate::generated::new_transition(-1000116000, 2),
            crate::generated::new_transition(-986808600, 3),
            crate::generated::new_transition(-968061600, 2),
            crate::generated::new_transition(-955359000, 3),
            crate::generated::new_transition(-936612000, 2),
            crate::generated::new_transition(-923304600, 3),
            crate::generated::new_transition(-757425600, 5),
            crate::generated::new_transition(152632800, 4),
            crate::generated::new_transition(162309600, 5),
            crate::generated::new_transition(183477600, 4),
            crate::generated::new_transition(194968800, 5),
            crate::generated::new_transition(215532000, 4),
            crate::generated::new_transition(226418400, 5),
            crate::generated::new_transition(246981600, 4),
            crate::generated::new_transition(257868000, 5),
            crate::generated::new_transition(278431200, 4),
            crate::generated::new_transition(289317600, 5),
            crate::generated::new_transition(309880800, 4),
            crate::generated::new_transition(320767200, 5),
            crate::generated::new_transition(341330400, 4),
            crate::generated::new_transition(352216800, 5),
            crate::generated::new_transition(372780000, 4),
            crate::generated::new_transition(384271200, 5),
            crate::generated::new_transition(404834400, 4),
            crate::generated::new_transition(415720800, 5),
            crate::generated::new_transition(436284000, 4),
            crate::generated::new_transition(447170400, 5),
            crate::generated::new_transition(467733600, 4),
            crate::generated::new_transition(478620000, 5),
            crate::generated::new_transition(499183200, 4),
            crate::generated::new_transition(510069600, 5),
            crate::generated::new_transition(530632800, 4),
            crate::generated::new_transition(541519200, 5),
            crate::generated::new_transition(562082400, 4),
            crate::generated::new_transition(573573600, 5),
            crate::generated::new_transition(594136800, 4),
            crate::generated::new_transition(605023200, 5),
            crate::generated::new_transition(623772000, 4),
            crate::generated::new_transition(637682400, 5),
            crate::generated::new_transition(655221600, 4),
            crate::generated::new_transition(669132000, 5),
            crate::generated::new_transition(686671200, 4),
            crate::generated::new_transition(700581600, 5),
            crate::generated::new_transition(718120800, 4),
            crate::generated::new_transition(732636000, 5),
            crate::generated::new_transition(749570400, 4),
            crate::generated::new_transition(764085600, 5),
            crate::generated::new_transition(781020000, 4),
            crate::generated::new_transition(795535200, 5),
            crate::generated::new_transition(812469600, 4),
            crate::generated::new_transition(826984800, 5),
            crate::generated::new_transition(844524000, 4),
            crate::generated::new_transition(858434400, 5),
            crate::generated::new_transition(875973600, 4),
            crate::generated::new_transition(889884000, 5),
            crate::generated::new_transition(907423200, 4),
            crate::generated::new_transition(921938400, 5),
            crate::generated::new_transition(938872800, 4),
            crate::generated::new_transition(953388000, 5),
            crate::generated::new_transition(970322400, 4),
            crate::generated::new_transition(984837600, 5),
            crate::generated::new_transition(1002376800, 4),
            crate::generated::new_transition(1016287200, 5),
            crate::generated::new_transition(1033826400, 4),
            crate::generated::new_transition(1047736800, 5),
            crate::generated::new_transition(1065276000, 4),
            crate::generated::new_transition(1079791200, 5),
            crate::generated::new_transition(1096725600, 4),
            crate::generated::new_transition(1111240800, 5),
            crate::generated::new_transition(1128175200, 4),
            crate::generated::new_transition(1142690400, 5),
            crate::generated::new_transition(1159624800, 4),
            crate::generated::new_transition(1174140000, 5),
            crate::generated::new_transition(1191074400, 4),
        ],
        &[
            crate::generated::new_local_time_type(41944, false, Some(b"LMT")),
            crate::generated::new_local_time_type(45000, true, Some(b"NZST")),
            crate::generated::new_local_time_type(41400, false, Some(b"NZMT")),
            crate::generated::new_local_time_type(43200, true, Some(b"NZST")),
            crate::generated::new_local_time_type(46800, true, Some(b"NZDT")),
            crate::generated::new_local_time_type(43200, false, Some(b"NZST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(43200, false, Some(b"NZST")),
                crate::generated::new_local_time_type(46800, true, Some(b"NZDT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(9, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(4, 1, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const NZ_CHAT: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3192437628, 1),
            crate::generated::new_transition(-757426500, 3),
            crate::generated::new_transition(152632800, 2),
            crate::generated::new_transition(162309600, 3),
            crate::generated::new_transition(183477600, 2),
            crate::generated::new_transition(194968800, 3),
            crate::generated::new_transition(215532000, 2),
            crate::generated::new_transition(226418400, 3),
            crate::generated::new_transition(246981600, 2),
            crate::generated::new_transition(257868000, 3),
            crate::generated::new_transition(278431200, 2),
            crate::generated::new_transition(289317600, 3),
            crate::generated::new_transition(309880800, 2),
            crate::generated::new_transition(320767200, 3),
            crate::generated::new_transition(341330400, 2),
            crate::generated::new_transition(352216800, 3),
            crate::generated::new_transition(372780000, 2),
            crate::generated::new_transition(384271200, 3),
            crate::generated::new_transition(404834400, 2),
            crate::generated::new_transition(415720800, 3),
            crate::generated::new_transition(436284000, 2),
            crate::generated::new_transition(447170400, 3),
            crate::generated::new_transition(467733600, 2),
            crate::generated::new_transition(478620000, 3),
            crate::generated::new_transition(499183200, 2),
            crate::generated::new_transition(510069600, 3),
            crate::generated::new_transition(530632800, 2),
            crate::generated::new_transition(541519200, 3),
            crate::generated::new_transition(562082400, 2),
            crate::generated::new_transition(573573600, 3),
            crate::generated::new_transition(594136800, 2),
            crate::generated::new_transition(605023200, 3),
            crate::generated::new_transition(623772000, 2),
            crate::generated::new_transition(637682400, 3),
            crate::generated::new_transition(655221600, 2),
            crate::generated::new_transition(669132000, 3),
            crate::generated::new_transition(686671200, 2),
            crate::generated::new_transition(700581600, 3),
            crate::generated::new_transition(718120800, 2),
            crate::generated::new_transition(732636000, 3),
            crate::generated::new_transition(749570400, 2),
            crate::generated::new_transition(764085600, 3),
            crate::generated::new_transition(781020000, 2),
            crate::generated::new_transition(795535200, 3),
            crate::generated::new_transition(812469600, 2),
            crate::generated::new_transition(826984800, 3),
            crate::generated::new_transition(844524000, 2),
            crate::generated::new_transition(858434400, 3),
            crate::generated::new_transition(875973600, 2),
            crate::generated::new_transition(889884000, 3),
            crate::generated::new_transition(907423200, 2),
            crate::generated::new_transition(921938400, 3),
            crate::generated::new_transition(938872800, 2),
            crate::generated::new_transition(953388000, 3),
            crate::generated::new_transition(970322400, 2),
            crate::generated::new_transition(984837600, 3),
            crate::generated::new_transition(1002376800, 2),
            crate::generated::new_transition(1016287200, 3),
            crate::generated::new_transition(1033826400, 2),
            crate::generated::new_transition(1047736800, 3),
            crate::generated::new_transition(1065276000, 2),
            crate::generated::new_transition(1079791200, 3),
            crate::generated::new_transition(1096725600, 2),
            crate::generated::new_transition(1111240800, 3),
            crate::generated::new_transition(1128175200, 2),
            crate::generated::new_transition(1142690400, 3),
            crate::generated::new_transition(1159624800, 2),
            crate::generated::new_transition(1174140000, 3),
            crate::generated::new_transition(1191074400, 2),
        ],
        &[
            crate::generated::new_local_time_type(44028, false, Some(b"LMT")),
            crate::generated::new_local_time_type(44100, false, Some(b"+1215")),
            crate::generated::new_local_time_type(49500, true, Some(b"+1345")),
            crate::generated::new_local_time_type(45900, false, Some(b"+1245")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(45900, false, Some(b"+1245")),
                crate::generated::new_local_time_type(49500, true, Some(b"+1345")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(9, 5, 0)),
                9900,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(4, 1, 0)),
                13500,
            ),
        )),
    );

    pub(crate) const PACIFIC_APIA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2445424384, 1),
            crate::generated::new_transition(-1861878784, 2),
            crate::generated::new_transition(-631110600, 4),
            crate::generated::new_transition(1285498800, 3),
            crate::generated::new_transition(1301752800, 4),
            crate::generated::new_transition(1316872800, 3),
            crate::generated::new_transition(1325239200, 6),
            crate::generated::new_transition(1333202400, 5),
            crate::generated::new_transition(1348927200, 6),
            crate::generated::new_transition(1365256800, 5),
            crate::generated::new_transition(1380376800, 6),
            crate::generated::new_transition(1396706400, 5),
            crate::generated::new_transition(1411826400, 6),
            crate::generated::new_transition(1428156000, 5),
            crate::generated::new_transition(1443276000, 6),
            crate::generated::new_transition(1459605600, 5),
            crate::generated::new_transition(1474725600, 6),
            crate::generated::new_transition(1491055200, 5),
            crate::generated::new_transition(1506175200, 6),
            crate::generated::new_transition(1522504800, 5),
            crate::generated::new_transition(1538229600, 6),
            crate::generated::new_transition(1554559200, 5),
            crate::generated::new_transition(1569679200, 6),
            crate::generated::new_transition(1586008800, 5),
            crate::generated::new_transition(1601128800, 6),
            crate::generated::new_transition(1617458400, 5),
        ],
        &[
            crate::generated::new_local_time_type(45184, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-41216, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-41400, false, Some(b"-1130")),
            crate::generated::new_local_time_type(-36000, true, Some(b"-10")),
            crate::generated::new_local_time_type(-39600, false, Some(b"-11")),
            crate::generated::new_local_time_type(46800, false, Some(b"+13")),
            crate::generated::new_local_time_type(50400, true, Some(b"+14")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(46800, false, Some(b"+13")),
        )),
    );

    pub(crate) const PACIFIC_BOUGAINVILLE: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2840178136, 1),
                crate::generated::new_transition(-2366790512, 2),
                crate::generated::new_transition(-868010400, 3),
                crate::generated::new_transition(-768906000, 2),
                crate::generated::new_transition(1419696000, 4),
            ],
            &[
                crate::generated::new_local_time_type(37336, false, Some(b"LMT")),
                crate::generated::new_local_time_type(35312, false, Some(b"PMMT")),
                crate::generated::new_local_time_type(36000, false, Some(b"+10")),
                crate::generated::new_local_time_type(32400, false, Some(b"+09")),
                crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            )),
        );

    pub(crate) const PACIFIC_CHUUK: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3944628428, 1),
            crate::generated::new_transition(-2177489228, 2),
            crate::generated::new_transition(-1743674400, 3),
            crate::generated::new_transition(-1606813200, 2),
            crate::generated::new_transition(-907408800, 3),
            crate::generated::new_transition(-770634000, 2),
        ],
        &[
            crate::generated::new_local_time_type(-49972, false, Some(b"LMT")),
            crate::generated::new_local_time_type(36428, false, Some(b"LMT")),
            crate::generated::new_local_time_type(36000, false, Some(b"+10")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(36000, false, Some(b"+10")),
        )),
    );

    pub(crate) const PACIFIC_EFATE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1829387596, 2),
            crate::generated::new_transition(125409600, 1),
            crate::generated::new_transition(133876800, 2),
            crate::generated::new_transition(433256400, 1),
            crate::generated::new_transition(448977600, 2),
            crate::generated::new_transition(464706000, 1),
            crate::generated::new_transition(480427200, 2),
            crate::generated::new_transition(496760400, 1),
            crate::generated::new_transition(511876800, 2),
            crate::generated::new_transition(528210000, 1),
            crate::generated::new_transition(543931200, 2),
            crate::generated::new_transition(559659600, 1),
            crate::generated::new_transition(575380800, 2),
            crate::generated::new_transition(591109200, 1),
            crate::generated::new_transition(606830400, 2),
            crate::generated::new_transition(622558800, 1),
            crate::generated::new_transition(638280000, 2),
            crate::generated::new_transition(654008400, 1),
            crate::generated::new_transition(669729600, 2),
            crate::generated::new_transition(686062800, 1),
            crate::generated::new_transition(696340800, 2),
            crate::generated::new_transition(719931600, 1),
            crate::generated::new_transition(727790400, 2),
        ],
        &[
            crate::generated::new_local_time_type(40396, false, Some(b"LMT")),
            crate::generated::new_local_time_type(43200, true, Some(b"+12")),
            crate::generated::new_local_time_type(39600, false, Some(b"+11")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(39600, false, Some(b"+11")),
        )),
    );

    pub(crate) const PACIFIC_ENDERBURY: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1020470400, 1),
                crate::generated::new_transition(307627200, 2),
                crate::generated::new_transition(788871600, 3),
            ],
            &[
                crate::generated::new_local_time_type(0, false, Some(b"-00")),
                crate::generated::new_local_time_type(-43200, false, Some(b"-12")),
                crate::generated::new_local_time_type(-39600, false, Some(b"-11")),
                crate::generated::new_local_time_type(46800, false, Some(b"+13")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(46800, false, Some(b"+13")),
            )),
        );

    pub(crate) const PACIFIC_FAKAOFO: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2177411704, 1),
                crate::generated::new_transition(1325242800, 2),
            ],
            &[
                crate::generated::new_local_time_type(-41096, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-39600, false, Some(b"-11")),
                crate::generated::new_local_time_type(46800, false, Some(b"+13")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(46800, false, Some(b"+13")),
            )),
        );

    pub(crate) const PACIFIC_FIJI: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1709985344, 2),
            crate::generated::new_transition(909842400, 1),
            crate::generated::new_transition(920124000, 2),
            crate::generated::new_transition(941896800, 1),
            crate::generated::new_transition(951573600, 2),
            crate::generated::new_transition(1259416800, 1),
            crate::generated::new_transition(1269698400, 2),
            crate::generated::new_transition(1287842400, 1),
            crate::generated::new_transition(1299333600, 2),
            crate::generated::new_transition(1319292000, 1),
            crate::generated::new_transition(1327154400, 2),
            crate::generated::new_transition(1350741600, 1),
            crate::generated::new_transition(1358604000, 2),
            crate::generated::new_transition(1382796000, 1),
            crate::generated::new_transition(1390050000, 2),
            crate::generated::new_transition(1414850400, 1),
            crate::generated::new_transition(1421503200, 2),
            crate::generated::new_transition(1446300000, 1),
            crate::generated::new_transition(1452952800, 2),
            crate::generated::new_transition(1478354400, 1),
            crate::generated::new_transition(1484402400, 2),
            crate::generated::new_transition(1509804000, 1),
            crate::generated::new_transition(1515852000, 2),
            crate::generated::new_transition(1541253600, 1),
            crate::generated::new_transition(1547301600, 2),
            crate::generated::new_transition(1573308000, 1),
            crate::generated::new_transition(1578751200, 2),
            crate::generated::new_transition(1608386400, 1),
            crate::generated::new_transition(1610805600, 2),
        ],
        &[
            crate::generated::new_local_time_type(42944, false, Some(b"LMT")),
            crate::generated::new_local_time_type(46800, true, Some(b"+13")),
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        )),
    );

    pub(crate) const PACIFIC_FUNAFUTI: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-2177495812, 1)],
            &[
                crate::generated::new_local_time_type(43012, false, Some(b"LMT")),
                crate::generated::new_local_time_type(43200, false, Some(b"+12")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(43200, false, Some(b"+12")),
            )),
        );

    pub(crate) const PACIFIC_GALAPAGOS: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-1230746496, 1),
                crate::generated::new_transition(504939600, 3),
                crate::generated::new_transition(722930400, 2),
                crate::generated::new_transition(728888400, 3),
            ],
            &[
                crate::generated::new_local_time_type(-21504, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-18000, false, Some(b"-05")),
                crate::generated::new_local_time_type(-18000, true, Some(b"-05")),
                crate::generated::new_local_time_type(-21600, false, Some(b"-06")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-21600, false, Some(b"-06")),
            )),
        );

    pub(crate) const PACIFIC_GAMBIER: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-1806678012, 1)],
            &[
                crate::generated::new_local_time_type(-32388, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-32400, false, Some(b"-09")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-32400, false, Some(b"-09")),
            )),
        );

    pub(crate) const PACIFIC_GUADALCANAL: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-1806748788, 1)],
            &[
                crate::generated::new_local_time_type(38388, false, Some(b"LMT")),
                crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            )),
        );

    pub(crate) const PACIFIC_GUAM: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3944626740, 1),
            crate::generated::new_transition(-2177487540, 2),
            crate::generated::new_transition(-885549600, 3),
            crate::generated::new_transition(-802256400, 2),
            crate::generated::new_transition(-331891200, 4),
            crate::generated::new_transition(-281610000, 2),
            crate::generated::new_transition(-73728000, 4),
            crate::generated::new_transition(-29415540, 2),
            crate::generated::new_transition(-16704000, 4),
            crate::generated::new_transition(-10659600, 2),
            crate::generated::new_transition(9907200, 4),
            crate::generated::new_transition(21394800, 2),
            crate::generated::new_transition(41356800, 4),
            crate::generated::new_transition(52844400, 2),
            crate::generated::new_transition(124819200, 4),
            crate::generated::new_transition(130863600, 2),
            crate::generated::new_transition(201888000, 4),
            crate::generated::new_transition(209487660, 2),
            crate::generated::new_transition(230659200, 4),
            crate::generated::new_transition(241542000, 2),
            crate::generated::new_transition(977493600, 5),
        ],
        &[
            crate::generated::new_local_time_type(-51660, false, Some(b"LMT")),
            crate::generated::new_local_time_type(34740, false, Some(b"LMT")),
            crate::generated::new_local_time_type(36000, false, Some(b"GST")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(39600, true, Some(b"GDT")),
            crate::generated::new_local_time_type(36000, false, Some(b"ChST")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(36000, false, Some(b"ChST")),
        )),
    );

    pub(crate) const PACIFIC_HONOLULU: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2334101314, 1),
                crate::generated::new_transition(-1157283000, 2),
                crate::generated::new_transition(-1155436200, 1),
                crate::generated::new_transition(-880198200, 3),
                crate::generated::new_transition(-769395600, 4),
                crate::generated::new_transition(-765376200, 1),
                crate::generated::new_transition(-712150200, 5),
            ],
            &[
                crate::generated::new_local_time_type(-37886, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-37800, false, Some(b"HST")),
                crate::generated::new_local_time_type(-34200, true, Some(b"HDT")),
                crate::generated::new_local_time_type(-34200, true, Some(b"HWT")),
                crate::generated::new_local_time_type(-34200, true, Some(b"HPT")),
                crate::generated::new_local_time_type(-36000, false, Some(b"HST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-36000, false, Some(b"HST")),
            )),
        );

    pub(crate) const PACIFIC_KIRITIMATI: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2177415040, 1),
                crate::generated::new_transition(307622400, 2),
                crate::generated::new_transition(788868000, 3),
            ],
            &[
                crate::generated::new_local_time_type(-37760, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-38400, false, Some(b"-1040")),
                crate::generated::new_local_time_type(-36000, false, Some(b"-10")),
                crate::generated::new_local_time_type(50400, false, Some(b"+14")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(50400, false, Some(b"+14")),
            )),
        );

    pub(crate) const PACIFIC_KOSRAE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3944631116, 1),
            crate::generated::new_transition(-2177491916, 2),
            crate::generated::new_transition(-1743678000, 3),
            crate::generated::new_transition(-1606813200, 2),
            crate::generated::new_transition(-1041418800, 4),
            crate::generated::new_transition(-907408800, 3),
            crate::generated::new_transition(-770634000, 2),
            crate::generated::new_transition(-7988400, 5),
            crate::generated::new_transition(915105600, 2),
        ],
        &[
            crate::generated::new_local_time_type(-47284, false, Some(b"LMT")),
            crate::generated::new_local_time_type(39116, false, Some(b"LMT")),
            crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(36000, false, Some(b"+10")),
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(39600, false, Some(b"+11")),
        )),
    );

    pub(crate) const PACIFIC_MAJURO: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2177493888, 1),
            crate::generated::new_transition(-1743678000, 2),
            crate::generated::new_transition(-1606813200, 1),
            crate::generated::new_transition(-1041418800, 3),
            crate::generated::new_transition(-907408800, 2),
            crate::generated::new_transition(-818067600, 1),
            crate::generated::new_transition(-7988400, 4),
        ],
        &[
            crate::generated::new_local_time_type(41088, false, Some(b"LMT")),
            crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(36000, false, Some(b"+10")),
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        )),
    );

    pub(crate) const PACIFIC_MARQUESAS: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[crate::generated::new_transition(-1806676920, 1)],
            &[
                crate::generated::new_local_time_type(-33480, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-34200, false, Some(b"-0930")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-34200, false, Some(b"-0930")),
            )),
        );

    pub(crate) const PACIFIC_MIDWAY: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2177410232, 1),
            crate::generated::new_transition(-428504400, 2),
            crate::generated::new_transition(-420645600, 3),
        ],
        &[
            crate::generated::new_local_time_type(-42568, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-39600, false, Some(b"-11")),
            crate::generated::new_local_time_type(-36000, true, Some(b"-10")),
            crate::generated::new_local_time_type(-39600, false, Some(b"SST")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-39600, false, Some(b"SST")),
        )),
    );

    pub(crate) const PACIFIC_NAURU: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1545131260, 1),
            crate::generated::new_transition(-862918200, 2),
            crate::generated::new_transition(-767350800, 1),
            crate::generated::new_transition(287418600, 3),
        ],
        &[
            crate::generated::new_local_time_type(40060, false, Some(b"LMT")),
            crate::generated::new_local_time_type(41400, false, Some(b"+1130")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        )),
    );

    pub(crate) const PACIFIC_NIUE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-543069620, 1),
            crate::generated::new_transition(-173623200, 2),
        ],
        &[
            crate::generated::new_local_time_type(-40780, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-40800, false, Some(b"-1120")),
            crate::generated::new_local_time_type(-39600, false, Some(b"-11")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-39600, false, Some(b"-11")),
        )),
    );

    pub(crate) const PACIFIC_NORFOLK: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2177493112, 1),
                crate::generated::new_transition(-599656320, 2),
                crate::generated::new_transition(152029800, 3),
                crate::generated::new_transition(162916200, 2),
                crate::generated::new_transition(1443882600, 4),
                crate::generated::new_transition(1570287600, 5),
            ],
            &[
                crate::generated::new_local_time_type(40312, false, Some(b"LMT")),
                crate::generated::new_local_time_type(40320, false, Some(b"+1112")),
                crate::generated::new_local_time_type(41400, false, Some(b"+1130")),
                crate::generated::new_local_time_type(45000, true, Some(b"+1230")),
                crate::generated::new_local_time_type(39600, false, Some(b"+11")),
                crate::generated::new_local_time_type(43200, true, Some(b"+12")),
            ],
            &[],
            &Some(TransitionRule::Alternate(
                crate::generated::new_alternate_time(
                    crate::generated::new_local_time_type(39600, false, Some(b"+11")),
                    crate::generated::new_local_time_type(43200, true, Some(b"+12")),
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 1, 0)),
                    7200,
                    RuleDay::MonthWeekDay(crate::generated::new_month_week_day(4, 1, 0)),
                    10800,
                ),
            )),
        );

    pub(crate) const PACIFIC_NOUMEA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1829387148, 2),
            crate::generated::new_transition(250002000, 1),
            crate::generated::new_transition(257342400, 2),
            crate::generated::new_transition(281451600, 1),
            crate::generated::new_transition(288878400, 2),
            crate::generated::new_transition(849366000, 1),
            crate::generated::new_transition(857228400, 2),
        ],
        &[
            crate::generated::new_local_time_type(39948, false, Some(b"LMT")),
            crate::generated::new_local_time_type(43200, true, Some(b"+12")),
            crate::generated::new_local_time_type(39600, false, Some(b"+11")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(39600, false, Some(b"+11")),
        )),
    );

    pub(crate) const PACIFIC_PAGO_PAGO: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2445424632, 1),
                crate::generated::new_transition(-1861879032, 2),
            ],
            &[
                crate::generated::new_local_time_type(45432, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-40968, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-39600, false, Some(b"SST")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-39600, false, Some(b"SST")),
            )),
        );

    pub(crate) const PACIFIC_PALAU: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3944624276, 1),
            crate::generated::new_transition(-2177485076, 2),
        ],
        &[
            crate::generated::new_local_time_type(-54124, false, Some(b"LMT")),
            crate::generated::new_local_time_type(32276, false, Some(b"LMT")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
        )),
    );

    pub(crate) const PACIFIC_PITCAIRN: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2177421580, 1),
                crate::generated::new_transition(893665800, 2),
            ],
            &[
                crate::generated::new_local_time_type(-31220, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-30600, false, Some(b"-0830")),
                crate::generated::new_local_time_type(-28800, false, Some(b"-08")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-28800, false, Some(b"-08")),
            )),
        );

    pub(crate) const PACIFIC_POHNPEI: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-3944629972, 1),
                crate::generated::new_transition(-2177490772, 2),
                crate::generated::new_transition(-1743678000, 3),
                crate::generated::new_transition(-1606813200, 2),
                crate::generated::new_transition(-1041418800, 4),
                crate::generated::new_transition(-907408800, 3),
                crate::generated::new_transition(-770634000, 2),
            ],
            &[
                crate::generated::new_local_time_type(-48428, false, Some(b"LMT")),
                crate::generated::new_local_time_type(37972, false, Some(b"LMT")),
                crate::generated::new_local_time_type(39600, false, Some(b"+11")),
                crate::generated::new_local_time_type(32400, false, Some(b"+09")),
                crate::generated::new_local_time_type(36000, false, Some(b"+10")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(39600, false, Some(b"+11")),
            )),
        );

    pub(crate) const PACIFIC_PORT_MORESBY: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2840176120, 1),
                crate::generated::new_transition(-2366790512, 2),
            ],
            &[
                crate::generated::new_local_time_type(35320, false, Some(b"LMT")),
                crate::generated::new_local_time_type(35312, false, Some(b"PMMT")),
                crate::generated::new_local_time_type(36000, false, Some(b"+10")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(36000, false, Some(b"+10")),
            )),
        );

    pub(crate) const PACIFIC_RAROTONGA: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-2209555256, 1),
                crate::generated::new_transition(-543072056, 2),
                crate::generated::new_transition(279714600, 4),
                crate::generated::new_transition(289387800, 3),
                crate::generated::new_transition(309952800, 4),
                crate::generated::new_transition(320837400, 3),
                crate::generated::new_transition(341402400, 4),
                crate::generated::new_transition(352287000, 3),
                crate::generated::new_transition(372852000, 4),
                crate::generated::new_transition(384341400, 3),
                crate::generated::new_transition(404906400, 4),
                crate::generated::new_transition(415791000, 3),
                crate::generated::new_transition(436356000, 4),
                crate::generated::new_transition(447240600, 3),
                crate::generated::new_transition(467805600, 4),
                crate::generated::new_transition(478690200, 3),
                crate::generated::new_transition(499255200, 4),
                crate::generated::new_transition(510139800, 3),
                crate::generated::new_transition(530704800, 4),
                crate::generated::new_transition(541589400, 3),
                crate::generated::new_transition(562154400, 4),
                crate::generated::new_transition(573643800, 3),
                crate::generated::new_transition(594208800, 4),
                crate::generated::new_transition(605093400, 3),
                crate::generated::new_transition(625658400, 4),
                crate::generated::new_transition(636543000, 3),
                crate::generated::new_transition(657108000, 4),
                crate::generated::new_transition(667992600, 3),
            ],
            &[
                crate::generated::new_local_time_type(48056, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-38344, false, Some(b"LMT")),
                crate::generated::new_local_time_type(-37800, false, Some(b"-1030")),
                crate::generated::new_local_time_type(-36000, false, Some(b"-10")),
                crate::generated::new_local_time_type(-34200, true, Some(b"-0930")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(-36000, false, Some(b"-10")),
            )),
        );

    pub(crate) const PACIFIC_SAIPAN: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-3944626980, 1),
            crate::generated::new_transition(-2177487780, 2),
            crate::generated::new_transition(-804157200, 4),
            crate::generated::new_transition(-331891200, 3),
            crate::generated::new_transition(-281610000, 4),
            crate::generated::new_transition(-73728000, 3),
            crate::generated::new_transition(-29415540, 4),
            crate::generated::new_transition(-16704000, 3),
            crate::generated::new_transition(-10659600, 4),
            crate::generated::new_transition(9907200, 3),
            crate::generated::new_transition(21394800, 4),
            crate::generated::new_transition(41356800, 3),
            crate::generated::new_transition(52844400, 4),
            crate::generated::new_transition(124819200, 3),
            crate::generated::new_transition(130863600, 4),
            crate::generated::new_transition(201888000, 3),
            crate::generated::new_transition(209487660, 4),
            crate::generated::new_transition(230659200, 3),
            crate::generated::new_transition(241542000, 4),
            crate::generated::new_transition(977493600, 5),
        ],
        &[
            crate::generated::new_local_time_type(-51420, false, Some(b"LMT")),
            crate::generated::new_local_time_type(34980, false, Some(b"LMT")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(39600, true, Some(b"GDT")),
            crate::generated::new_local_time_type(36000, false, Some(b"GST")),
            crate::generated::new_local_time_type(36000, false, Some(b"ChST")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(36000, false, Some(b"ChST")),
        )),
    );

    pub(crate) const PACIFIC_TAHITI: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-1806674504, 1)],
        &[
            crate::generated::new_local_time_type(-35896, false, Some(b"LMT")),
            crate::generated::new_local_time_type(-36000, false, Some(b"-10")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(-36000, false, Some(b"-10")),
        )),
    );

    pub(crate) const PACIFIC_TARAWA: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-2177494324, 1)],
        &[
            crate::generated::new_local_time_type(41524, false, Some(b"LMT")),
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        )),
    );

    pub(crate) const PACIFIC_TONGATAPU: tz::TimeZoneRef<'static> =
        crate::generated::new_time_zone_ref(
            &[
                crate::generated::new_transition(-767189952, 1),
                crate::generated::new_transition(-284041200, 2),
                crate::generated::new_transition(939214800, 3),
                crate::generated::new_transition(953384400, 2),
                crate::generated::new_transition(973342800, 3),
                crate::generated::new_transition(980596800, 2),
                crate::generated::new_transition(1004792400, 3),
                crate::generated::new_transition(1012046400, 2),
                crate::generated::new_transition(1478350800, 3),
                crate::generated::new_transition(1484398800, 2),
            ],
            &[
                crate::generated::new_local_time_type(44352, false, Some(b"LMT")),
                crate::generated::new_local_time_type(44400, false, Some(b"+1220")),
                crate::generated::new_local_time_type(46800, false, Some(b"+13")),
                crate::generated::new_local_time_type(50400, true, Some(b"+14")),
            ],
            &[],
            &Some(TransitionRule::Fixed(
                crate::generated::new_local_time_type(46800, false, Some(b"+13")),
            )),
        );

    pub(crate) const PACIFIC_WAKE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-2177492788, 1)],
        &[
            crate::generated::new_local_time_type(39988, false, Some(b"LMT")),
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        )),
    );

    pub(crate) const PACIFIC_WALLIS: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[crate::generated::new_transition(-2177496920, 1)],
        &[
            crate::generated::new_local_time_type(44120, false, Some(b"LMT")),
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(43200, false, Some(b"+12")),
        )),
    );

    pub(crate) const POLAND: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2840145840, 1),
            crate::generated::new_transition(-1717032240, 3),
            crate::generated::new_transition(-1693706400, 2),
            crate::generated::new_transition(-1680483600, 3),
            crate::generated::new_transition(-1663455600, 2),
            crate::generated::new_transition(-1650150000, 3),
            crate::generated::new_transition(-1632006000, 2),
            crate::generated::new_transition(-1618700400, 5),
            crate::generated::new_transition(-1600473600, 4),
            crate::generated::new_transition(-1587168000, 5),
            crate::generated::new_transition(-1501725600, 3),
            crate::generated::new_transition(-931734000, 2),
            crate::generated::new_transition(-857257200, 3),
            crate::generated::new_transition(-844556400, 2),
            crate::generated::new_transition(-828226800, 3),
            crate::generated::new_transition(-812502000, 2),
            crate::generated::new_transition(-796608000, 3),
            crate::generated::new_transition(-778726800, 2),
            crate::generated::new_transition(-762660000, 3),
            crate::generated::new_transition(-748486800, 2),
            crate::generated::new_transition(-733273200, 3),
            crate::generated::new_transition(-715215600, 2),
            crate::generated::new_transition(-701910000, 3),
            crate::generated::new_transition(-684975600, 2),
            crate::generated::new_transition(-670460400, 3),
            crate::generated::new_transition(-654130800, 2),
            crate::generated::new_transition(-639010800, 3),
            crate::generated::new_transition(-397094400, 2),
            crate::generated::new_transition(-386812800, 3),
            crate::generated::new_transition(-371088000, 2),
            crate::generated::new_transition(-355363200, 3),
            crate::generated::new_transition(-334195200, 2),
            crate::generated::new_transition(-323308800, 3),
            crate::generated::new_transition(-307584000, 2),
            crate::generated::new_transition(-291859200, 3),
            crate::generated::new_transition(-271296000, 2),
            crate::generated::new_transition(-260409600, 3),
            crate::generated::new_transition(-239846400, 2),
            crate::generated::new_transition(-228960000, 3),
            crate::generated::new_transition(-208396800, 2),
            crate::generated::new_transition(-197510400, 3),
            crate::generated::new_transition(-176342400, 2),
            crate::generated::new_transition(-166060800, 3),
            crate::generated::new_transition(228873600, 2),
            crate::generated::new_transition(243993600, 3),
            crate::generated::new_transition(260323200, 2),
            crate::generated::new_transition(276048000, 3),
            crate::generated::new_transition(291772800, 2),
            crate::generated::new_transition(307497600, 3),
            crate::generated::new_transition(323827200, 2),
            crate::generated::new_transition(338947200, 3),
            crate::generated::new_transition(354672000, 2),
            crate::generated::new_transition(370396800, 3),
            crate::generated::new_transition(386121600, 2),
            crate::generated::new_transition(401846400, 3),
            crate::generated::new_transition(417571200, 2),
            crate::generated::new_transition(433296000, 3),
            crate::generated::new_transition(449020800, 2),
            crate::generated::new_transition(465350400, 3),
            crate::generated::new_transition(481075200, 2),
            crate::generated::new_transition(496800000, 3),
            crate::generated::new_transition(512524800, 2),
            crate::generated::new_transition(528249600, 3),
            crate::generated::new_transition(543974400, 2),
            crate::generated::new_transition(559699200, 3),
            crate::generated::new_transition(575427600, 2),
            crate::generated::new_transition(591152400, 3),
            crate::generated::new_transition(606877200, 2),
            crate::generated::new_transition(622602000, 3),
            crate::generated::new_transition(638326800, 2),
            crate::generated::new_transition(654656400, 3),
            crate::generated::new_transition(670381200, 2),
            crate::generated::new_transition(686106000, 3),
            crate::generated::new_transition(701830800, 2),
            crate::generated::new_transition(717555600, 3),
            crate::generated::new_transition(733280400, 2),
            crate::generated::new_transition(749005200, 3),
            crate::generated::new_transition(764730000, 2),
            crate::generated::new_transition(780454800, 3),
            crate::generated::new_transition(796179600, 2),
            crate::generated::new_transition(811904400, 3),
            crate::generated::new_transition(828234000, 2),
        ],
        &[
            crate::generated::new_local_time_type(5040, false, Some(b"LMT")),
            crate::generated::new_local_time_type(5040, false, Some(b"WMT")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(3600, false, Some(b"CET")),
                crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                10800,
            ),
        )),
    );

    pub(crate) const PORTUGAL: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2713908195, 0),
            crate::generated::new_transition(-1830384000, 2),
            crate::generated::new_transition(-1689555600, 1),
            crate::generated::new_transition(-1677801600, 2),
            crate::generated::new_transition(-1667437200, 1),
            crate::generated::new_transition(-1647738000, 2),
            crate::generated::new_transition(-1635814800, 1),
            crate::generated::new_transition(-1616202000, 2),
            crate::generated::new_transition(-1604365200, 1),
            crate::generated::new_transition(-1584666000, 2),
            crate::generated::new_transition(-1572742800, 1),
            crate::generated::new_transition(-1553043600, 2),
            crate::generated::new_transition(-1541206800, 1),
            crate::generated::new_transition(-1521507600, 2),
            crate::generated::new_transition(-1442451600, 1),
            crate::generated::new_transition(-1426813200, 2),
            crate::generated::new_transition(-1379293200, 1),
            crate::generated::new_transition(-1364778000, 2),
            crate::generated::new_transition(-1348448400, 1),
            crate::generated::new_transition(-1333328400, 2),
            crate::generated::new_transition(-1316394000, 1),
            crate::generated::new_transition(-1301274000, 2),
            crate::generated::new_transition(-1284339600, 1),
            crate::generated::new_transition(-1269824400, 2),
            crate::generated::new_transition(-1221440400, 1),
            crate::generated::new_transition(-1206925200, 2),
            crate::generated::new_transition(-1191200400, 1),
            crate::generated::new_transition(-1175475600, 2),
            crate::generated::new_transition(-1127696400, 1),
            crate::generated::new_transition(-1111971600, 2),
            crate::generated::new_transition(-1096851600, 1),
            crate::generated::new_transition(-1080522000, 2),
            crate::generated::new_transition(-1063587600, 1),
            crate::generated::new_transition(-1049072400, 2),
            crate::generated::new_transition(-1033347600, 1),
            crate::generated::new_transition(-1017622800, 2),
            crate::generated::new_transition(-1002502800, 1),
            crate::generated::new_transition(-986173200, 2),
            crate::generated::new_transition(-969238800, 1),
            crate::generated::new_transition(-950490000, 2),
            crate::generated::new_transition(-942022800, 1),
            crate::generated::new_transition(-922669200, 2),
            crate::generated::new_transition(-906944400, 1),
            crate::generated::new_transition(-891133200, 2),
            crate::generated::new_transition(-877309200, 1),
            crate::generated::new_transition(-873684000, 3),
            crate::generated::new_transition(-864007200, 1),
            crate::generated::new_transition(-857955600, 2),
            crate::generated::new_transition(-845859600, 1),
            crate::generated::new_transition(-842839200, 3),
            crate::generated::new_transition(-831348000, 1),
            crate::generated::new_transition(-825901200, 2),
            crate::generated::new_transition(-814410000, 1),
            crate::generated::new_transition(-810784800, 3),
            crate::generated::new_transition(-799898400, 1),
            crate::generated::new_transition(-794451600, 2),
            crate::generated::new_transition(-782960400, 1),
            crate::generated::new_transition(-779335200, 3),
            crate::generated::new_transition(-768448800, 1),
            crate::generated::new_transition(-763002000, 2),
            crate::generated::new_transition(-749091600, 1),
            crate::generated::new_transition(-733366800, 2),
            crate::generated::new_transition(-717631200, 1),
            crate::generated::new_transition(-701906400, 2),
            crate::generated::new_transition(-686181600, 1),
            crate::generated::new_transition(-670456800, 2),
            crate::generated::new_transition(-654732000, 1),
            crate::generated::new_transition(-639007200, 2),
            crate::generated::new_transition(-623282400, 1),
            crate::generated::new_transition(-607557600, 2),
            crate::generated::new_transition(-591832800, 1),
            crate::generated::new_transition(-575503200, 2),
            crate::generated::new_transition(-559778400, 1),
            crate::generated::new_transition(-544053600, 2),
            crate::generated::new_transition(-528328800, 1),
            crate::generated::new_transition(-512604000, 2),
            crate::generated::new_transition(-496879200, 1),
            crate::generated::new_transition(-481154400, 2),
            crate::generated::new_transition(-465429600, 1),
            crate::generated::new_transition(-449704800, 2),
            crate::generated::new_transition(-433980000, 1),
            crate::generated::new_transition(-417650400, 2),
            crate::generated::new_transition(-401925600, 1),
            crate::generated::new_transition(-386200800, 2),
            crate::generated::new_transition(-370476000, 1),
            crate::generated::new_transition(-354751200, 2),
            crate::generated::new_transition(-339026400, 1),
            crate::generated::new_transition(-323301600, 2),
            crate::generated::new_transition(-307576800, 1),
            crate::generated::new_transition(-291852000, 2),
            crate::generated::new_transition(-276127200, 1),
            crate::generated::new_transition(-260402400, 2),
            crate::generated::new_transition(-244677600, 1),
            crate::generated::new_transition(-228348000, 2),
            crate::generated::new_transition(-212623200, 1),
            crate::generated::new_transition(-196898400, 2),
            crate::generated::new_transition(-181173600, 1),
            crate::generated::new_transition(-165448800, 2),
            crate::generated::new_transition(-149724000, 1),
            crate::generated::new_transition(-133999200, 2),
            crate::generated::new_transition(-118274400, 4),
            crate::generated::new_transition(212544000, 2),
            crate::generated::new_transition(228268800, 1),
            crate::generated::new_transition(243993600, 2),
            crate::generated::new_transition(260323200, 1),
            crate::generated::new_transition(276048000, 2),
            crate::generated::new_transition(291772800, 1),
            crate::generated::new_transition(307501200, 2),
            crate::generated::new_transition(323222400, 1),
            crate::generated::new_transition(338950800, 2),
            crate::generated::new_transition(354675600, 1),
            crate::generated::new_transition(370400400, 2),
            crate::generated::new_transition(386125200, 1),
            crate::generated::new_transition(401850000, 2),
            crate::generated::new_transition(417578400, 1),
            crate::generated::new_transition(433299600, 2),
            crate::generated::new_transition(449024400, 1),
            crate::generated::new_transition(465354000, 2),
            crate::generated::new_transition(481078800, 1),
            crate::generated::new_transition(496803600, 2),
            crate::generated::new_transition(512528400, 1),
            crate::generated::new_transition(528253200, 2),
            crate::generated::new_transition(543978000, 1),
            crate::generated::new_transition(559702800, 2),
            crate::generated::new_transition(575427600, 1),
            crate::generated::new_transition(591152400, 2),
            crate::generated::new_transition(606877200, 1),
            crate::generated::new_transition(622602000, 2),
            crate::generated::new_transition(638326800, 1),
            crate::generated::new_transition(654656400, 2),
            crate::generated::new_transition(670381200, 1),
            crate::generated::new_transition(686106000, 2),
            crate::generated::new_transition(701830800, 1),
            crate::generated::new_transition(717555600, 4),
            crate::generated::new_transition(733280400, 5),
            crate::generated::new_transition(749005200, 4),
            crate::generated::new_transition(764730000, 5),
            crate::generated::new_transition(780454800, 4),
            crate::generated::new_transition(796179600, 5),
            crate::generated::new_transition(811904400, 4),
            crate::generated::new_transition(828234000, 1),
        ],
        &[
            crate::generated::new_local_time_type(-2205, false, Some(b"LMT")),
            crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
            crate::generated::new_local_time_type(0, false, Some(b"WET")),
            crate::generated::new_local_time_type(7200, true, Some(b"WEMT")),
            crate::generated::new_local_time_type(3600, false, Some(b"CET")),
            crate::generated::new_local_time_type(7200, true, Some(b"CEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(0, false, Some(b"WET")),
                crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                3600,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const PRC: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2177481943, 2),
            crate::generated::new_transition(-1600675200, 1),
            crate::generated::new_transition(-1585904400, 2),
            crate::generated::new_transition(-933667200, 1),
            crate::generated::new_transition(-922093200, 2),
            crate::generated::new_transition(-908870400, 1),
            crate::generated::new_transition(-888829200, 2),
            crate::generated::new_transition(-881049600, 1),
            crate::generated::new_transition(-767869200, 2),
            crate::generated::new_transition(-745833600, 1),
            crate::generated::new_transition(-733827600, 2),
            crate::generated::new_transition(-716889600, 1),
            crate::generated::new_transition(-699613200, 2),
            crate::generated::new_transition(-683884800, 1),
            crate::generated::new_transition(-670669200, 2),
            crate::generated::new_transition(-652348800, 1),
            crate::generated::new_transition(-650019600, 2),
            crate::generated::new_transition(515527200, 1),
            crate::generated::new_transition(527014800, 2),
            crate::generated::new_transition(545162400, 1),
            crate::generated::new_transition(558464400, 2),
            crate::generated::new_transition(577216800, 1),
            crate::generated::new_transition(589914000, 2),
            crate::generated::new_transition(608666400, 1),
            crate::generated::new_transition(621968400, 2),
            crate::generated::new_transition(640116000, 1),
            crate::generated::new_transition(653418000, 2),
            crate::generated::new_transition(671565600, 1),
            crate::generated::new_transition(684867600, 2),
        ],
        &[
            crate::generated::new_local_time_type(29143, false, Some(b"LMT")),
            crate::generated::new_local_time_type(32400, true, Some(b"CDT")),
            crate::generated::new_local_time_type(28800, false, Some(b"CST")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(28800, false, Some(b"CST")),
        )),
    );

    pub(crate) const PST_8_PDT: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1633269600, 1),
            crate::generated::new_transition(-1615129200, 0),
            crate::generated::new_transition(-1601820000, 1),
            crate::generated::new_transition(-1583679600, 0),
            crate::generated::new_transition(-880207200, 2),
            crate::generated::new_transition(-769395600, 3),
            crate::generated::new_transition(-765385200, 0),
            crate::generated::new_transition(-84376800, 1),
            crate::generated::new_transition(-68655600, 0),
            crate::generated::new_transition(-52927200, 1),
            crate::generated::new_transition(-37206000, 0),
            crate::generated::new_transition(-21477600, 1),
            crate::generated::new_transition(-5756400, 0),
            crate::generated::new_transition(9972000, 1),
            crate::generated::new_transition(25693200, 0),
            crate::generated::new_transition(41421600, 1),
            crate::generated::new_transition(57747600, 0),
            crate::generated::new_transition(73476000, 1),
            crate::generated::new_transition(89197200, 0),
            crate::generated::new_transition(104925600, 1),
            crate::generated::new_transition(120646800, 0),
            crate::generated::new_transition(126698400, 1),
            crate::generated::new_transition(152096400, 0),
            crate::generated::new_transition(162381600, 1),
            crate::generated::new_transition(183546000, 0),
            crate::generated::new_transition(199274400, 1),
            crate::generated::new_transition(215600400, 0),
            crate::generated::new_transition(230724000, 1),
            crate::generated::new_transition(247050000, 0),
            crate::generated::new_transition(262778400, 1),
            crate::generated::new_transition(278499600, 0),
            crate::generated::new_transition(294228000, 1),
            crate::generated::new_transition(309949200, 0),
            crate::generated::new_transition(325677600, 1),
            crate::generated::new_transition(341398800, 0),
            crate::generated::new_transition(357127200, 1),
            crate::generated::new_transition(372848400, 0),
            crate::generated::new_transition(388576800, 1),
            crate::generated::new_transition(404902800, 0),
            crate::generated::new_transition(420026400, 1),
            crate::generated::new_transition(436352400, 0),
            crate::generated::new_transition(452080800, 1),
            crate::generated::new_transition(467802000, 0),
            crate::generated::new_transition(483530400, 1),
            crate::generated::new_transition(499251600, 0),
            crate::generated::new_transition(514980000, 1),
            crate::generated::new_transition(530701200, 0),
            crate::generated::new_transition(544615200, 1),
            crate::generated::new_transition(562150800, 0),
            crate::generated::new_transition(576064800, 1),
            crate::generated::new_transition(594205200, 0),
            crate::generated::new_transition(607514400, 1),
            crate::generated::new_transition(625654800, 0),
            crate::generated::new_transition(638964000, 1),
            crate::generated::new_transition(657104400, 0),
            crate::generated::new_transition(671018400, 1),
            crate::generated::new_transition(688554000, 0),
            crate::generated::new_transition(702468000, 1),
            crate::generated::new_transition(720003600, 0),
            crate::generated::new_transition(733917600, 1),
            crate::generated::new_transition(752058000, 0),
            crate::generated::new_transition(765367200, 1),
            crate::generated::new_transition(783507600, 0),
            crate::generated::new_transition(796816800, 1),
            crate::generated::new_transition(814957200, 0),
            crate::generated::new_transition(828871200, 1),
            crate::generated::new_transition(846406800, 0),
            crate::generated::new_transition(860320800, 1),
            crate::generated::new_transition(877856400, 0),
            crate::generated::new_transition(891770400, 1),
            crate::generated::new_transition(909306000, 0),
            crate::generated::new_transition(923220000, 1),
            crate::generated::new_transition(941360400, 0),
            crate::generated::new_transition(954669600, 1),
            crate::generated::new_transition(972810000, 0),
            crate::generated::new_transition(986119200, 1),
            crate::generated::new_transition(1004259600, 0),
            crate::generated::new_transition(1018173600, 1),
            crate::generated::new_transition(1035709200, 0),
            crate::generated::new_transition(1049623200, 1),
            crate::generated::new_transition(1067158800, 0),
            crate::generated::new_transition(1081072800, 1),
            crate::generated::new_transition(1099213200, 0),
            crate::generated::new_transition(1112522400, 1),
            crate::generated::new_transition(1130662800, 0),
            crate::generated::new_transition(1143972000, 1),
            crate::generated::new_transition(1162112400, 0),
            crate::generated::new_transition(1173607200, 1),
        ],
        &[
            crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
            crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
            crate::generated::new_local_time_type(-25200, true, Some(b"PWT")),
            crate::generated::new_local_time_type(-25200, true, Some(b"PPT")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(-28800, false, Some(b"PST")),
                crate::generated::new_local_time_type(-25200, true, Some(b"PDT")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 2, 0)),
                7200,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(11, 1, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const ROC: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2335248360, 1),
            crate::generated::new_transition(-1017820800, 2),
            crate::generated::new_transition(-766224000, 1),
            crate::generated::new_transition(-745833600, 3),
            crate::generated::new_transition(-733827600, 1),
            crate::generated::new_transition(-716889600, 3),
            crate::generated::new_transition(-699613200, 1),
            crate::generated::new_transition(-683884800, 3),
            crate::generated::new_transition(-670669200, 1),
            crate::generated::new_transition(-652348800, 3),
            crate::generated::new_transition(-639133200, 1),
            crate::generated::new_transition(-620812800, 3),
            crate::generated::new_transition(-607597200, 1),
            crate::generated::new_transition(-589276800, 3),
            crate::generated::new_transition(-576061200, 1),
            crate::generated::new_transition(-562924800, 3),
            crate::generated::new_transition(-541760400, 1),
            crate::generated::new_transition(-528710400, 3),
            crate::generated::new_transition(-510224400, 1),
            crate::generated::new_transition(-497174400, 3),
            crate::generated::new_transition(-478688400, 1),
            crate::generated::new_transition(-465638400, 3),
            crate::generated::new_transition(-449830800, 1),
            crate::generated::new_transition(-434016000, 3),
            crate::generated::new_transition(-418208400, 1),
            crate::generated::new_transition(-402480000, 3),
            crate::generated::new_transition(-386672400, 1),
            crate::generated::new_transition(-370944000, 3),
            crate::generated::new_transition(-355136400, 1),
            crate::generated::new_transition(-339408000, 3),
            crate::generated::new_transition(-323600400, 1),
            crate::generated::new_transition(-302515200, 3),
            crate::generated::new_transition(-291978000, 1),
            crate::generated::new_transition(-270979200, 3),
            crate::generated::new_transition(-260442000, 1),
            crate::generated::new_transition(133977600, 3),
            crate::generated::new_transition(149785200, 1),
            crate::generated::new_transition(165513600, 3),
            crate::generated::new_transition(181321200, 1),
            crate::generated::new_transition(299606400, 3),
            crate::generated::new_transition(307551600, 1),
        ],
        &[
            crate::generated::new_local_time_type(29160, false, Some(b"LMT")),
            crate::generated::new_local_time_type(28800, false, Some(b"CST")),
            crate::generated::new_local_time_type(32400, false, Some(b"JST")),
            crate::generated::new_local_time_type(32400, true, Some(b"CDT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(28800, false, Some(b"CST")),
        )),
    );

    pub(crate) const ROK: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-1948782472, 1),
            crate::generated::new_transition(-1830414600, 2),
            crate::generated::new_transition(-767350800, 4),
            crate::generated::new_transition(-681210000, 3),
            crate::generated::new_transition(-672228000, 4),
            crate::generated::new_transition(-654771600, 3),
            crate::generated::new_transition(-640864800, 4),
            crate::generated::new_transition(-623408400, 3),
            crate::generated::new_transition(-609415200, 4),
            crate::generated::new_transition(-588848400, 3),
            crate::generated::new_transition(-577965600, 4),
            crate::generated::new_transition(-498128400, 1),
            crate::generated::new_transition(-462702600, 5),
            crate::generated::new_transition(-451733400, 1),
            crate::generated::new_transition(-429784200, 5),
            crate::generated::new_transition(-418296600, 1),
            crate::generated::new_transition(-399544200, 5),
            crate::generated::new_transition(-387451800, 1),
            crate::generated::new_transition(-368094600, 5),
            crate::generated::new_transition(-356002200, 1),
            crate::generated::new_transition(-336645000, 5),
            crate::generated::new_transition(-324552600, 1),
            crate::generated::new_transition(-305195400, 5),
            crate::generated::new_transition(-293103000, 1),
            crate::generated::new_transition(-264933000, 4),
            crate::generated::new_transition(547578000, 3),
            crate::generated::new_transition(560883600, 4),
            crate::generated::new_transition(579027600, 3),
            crate::generated::new_transition(592333200, 4),
        ],
        &[
            crate::generated::new_local_time_type(30472, false, Some(b"LMT")),
            crate::generated::new_local_time_type(30600, false, Some(b"KST")),
            crate::generated::new_local_time_type(32400, false, Some(b"JST")),
            crate::generated::new_local_time_type(36000, true, Some(b"KDT")),
            crate::generated::new_local_time_type(32400, false, Some(b"KST")),
            crate::generated::new_local_time_type(34200, true, Some(b"KDT")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(32400, false, Some(b"KST")),
        )),
    );

    pub(crate) const SINGAPORE: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2177477725, 1),
            crate::generated::new_transition(-2038200925, 2),
            crate::generated::new_transition(-1167634800, 3),
            crate::generated::new_transition(-1073028000, 4),
            crate::generated::new_transition(-894180000, 5),
            crate::generated::new_transition(-879665400, 6),
            crate::generated::new_transition(-767005200, 5),
            crate::generated::new_transition(378662400, 7),
        ],
        &[
            crate::generated::new_local_time_type(24925, false, Some(b"LMT")),
            crate::generated::new_local_time_type(24925, false, Some(b"SMT")),
            crate::generated::new_local_time_type(25200, false, Some(b"+07")),
            crate::generated::new_local_time_type(26400, true, Some(b"+0720")),
            crate::generated::new_local_time_type(26400, false, Some(b"+0720")),
            crate::generated::new_local_time_type(27000, false, Some(b"+0730")),
            crate::generated::new_local_time_type(32400, false, Some(b"+09")),
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(28800, false, Some(b"+08")),
        )),
    );

    pub(crate) const TURKEY: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2840147752, 1),
            crate::generated::new_transition(-1869875816, 3),
            crate::generated::new_transition(-1693706400, 2),
            crate::generated::new_transition(-1680490800, 3),
            crate::generated::new_transition(-1570413600, 2),
            crate::generated::new_transition(-1552186800, 3),
            crate::generated::new_transition(-1538359200, 2),
            crate::generated::new_transition(-1522551600, 3),
            crate::generated::new_transition(-1507514400, 2),
            crate::generated::new_transition(-1490583600, 3),
            crate::generated::new_transition(-1440208800, 2),
            crate::generated::new_transition(-1428030000, 3),
            crate::generated::new_transition(-1409709600, 2),
            crate::generated::new_transition(-1396494000, 3),
            crate::generated::new_transition(-931053600, 2),
            crate::generated::new_transition(-922676400, 3),
            crate::generated::new_transition(-917834400, 2),
            crate::generated::new_transition(-892436400, 3),
            crate::generated::new_transition(-875844000, 2),
            crate::generated::new_transition(-764737200, 3),
            crate::generated::new_transition(-744343200, 2),
            crate::generated::new_transition(-733806000, 3),
            crate::generated::new_transition(-716436000, 2),
            crate::generated::new_transition(-701924400, 3),
            crate::generated::new_transition(-684986400, 2),
            crate::generated::new_transition(-670474800, 3),
            crate::generated::new_transition(-654141600, 2),
            crate::generated::new_transition(-639025200, 3),
            crate::generated::new_transition(-622087200, 2),
            crate::generated::new_transition(-606970800, 3),
            crate::generated::new_transition(-590032800, 2),
            crate::generated::new_transition(-575521200, 3),
            crate::generated::new_transition(-235620000, 2),
            crate::generated::new_transition(-194842800, 3),
            crate::generated::new_transition(-177732000, 2),
            crate::generated::new_transition(-165726000, 3),
            crate::generated::new_transition(107910000, 2),
            crate::generated::new_transition(121215600, 3),
            crate::generated::new_transition(133920000, 2),
            crate::generated::new_transition(152665200, 3),
            crate::generated::new_transition(164678400, 2),
            crate::generated::new_transition(184114800, 3),
            crate::generated::new_transition(196214400, 2),
            crate::generated::new_transition(215564400, 3),
            crate::generated::new_transition(228873600, 2),
            crate::generated::new_transition(245804400, 3),
            crate::generated::new_transition(260323200, 2),
            crate::generated::new_transition(267915600, 4),
            crate::generated::new_transition(428454000, 5),
            crate::generated::new_transition(433893600, 4),
            crate::generated::new_transition(468111600, 3),
            crate::generated::new_transition(482799600, 2),
            crate::generated::new_transition(496710000, 3),
            crate::generated::new_transition(512521200, 2),
            crate::generated::new_transition(528246000, 3),
            crate::generated::new_transition(543970800, 2),
            crate::generated::new_transition(559695600, 3),
            crate::generated::new_transition(575420400, 2),
            crate::generated::new_transition(591145200, 3),
            crate::generated::new_transition(606870000, 2),
            crate::generated::new_transition(622594800, 3),
            crate::generated::new_transition(638319600, 2),
            crate::generated::new_transition(654649200, 3),
            crate::generated::new_transition(670374000, 2),
            crate::generated::new_transition(686098800, 3),
            crate::generated::new_transition(701823600, 2),
            crate::generated::new_transition(717548400, 3),
            crate::generated::new_transition(733273200, 2),
            crate::generated::new_transition(748998000, 3),
            crate::generated::new_transition(764118000, 2),
            crate::generated::new_transition(780447600, 3),
            crate::generated::new_transition(796172400, 2),
            crate::generated::new_transition(811897200, 3),
            crate::generated::new_transition(828226800, 2),
            crate::generated::new_transition(846370800, 3),
            crate::generated::new_transition(859676400, 2),
            crate::generated::new_transition(877820400, 3),
            crate::generated::new_transition(891126000, 2),
            crate::generated::new_transition(909270000, 3),
            crate::generated::new_transition(922575600, 2),
            crate::generated::new_transition(941324400, 3),
            crate::generated::new_transition(954025200, 2),
            crate::generated::new_transition(972774000, 3),
            crate::generated::new_transition(985474800, 2),
            crate::generated::new_transition(1004223600, 3),
            crate::generated::new_transition(1017529200, 2),
            crate::generated::new_transition(1035673200, 3),
            crate::generated::new_transition(1048978800, 2),
            crate::generated::new_transition(1067122800, 3),
            crate::generated::new_transition(1080428400, 2),
            crate::generated::new_transition(1099177200, 3),
            crate::generated::new_transition(1111878000, 2),
            crate::generated::new_transition(1130626800, 3),
            crate::generated::new_transition(1143327600, 2),
            crate::generated::new_transition(1162076400, 3),
            crate::generated::new_transition(1174784400, 2),
            crate::generated::new_transition(1193533200, 3),
            crate::generated::new_transition(1206838800, 2),
            crate::generated::new_transition(1224982800, 3),
            crate::generated::new_transition(1238288400, 2),
            crate::generated::new_transition(1256432400, 3),
            crate::generated::new_transition(1269738000, 2),
            crate::generated::new_transition(1288486800, 3),
            crate::generated::new_transition(1301274000, 2),
            crate::generated::new_transition(1319936400, 3),
            crate::generated::new_transition(1332637200, 2),
            crate::generated::new_transition(1351386000, 3),
            crate::generated::new_transition(1364691600, 2),
            crate::generated::new_transition(1382835600, 3),
            crate::generated::new_transition(1396227600, 2),
            crate::generated::new_transition(1414285200, 3),
            crate::generated::new_transition(1427590800, 2),
            crate::generated::new_transition(1446944400, 3),
            crate::generated::new_transition(1459040400, 2),
            crate::generated::new_transition(1473195600, 4),
        ],
        &[
            crate::generated::new_local_time_type(6952, false, Some(b"LMT")),
            crate::generated::new_local_time_type(7016, false, Some(b"IMT")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
            crate::generated::new_local_time_type(14400, true, Some(b"+04")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"+03")),
        )),
    );

    pub(crate) const UCT: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[],
        &[crate::generated::new_local_time_type(
            0,
            false,
            Some(b"UTC"),
        )],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(0, false, Some(b"UTC")),
        )),
    );

    pub(crate) const WET: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(228877200, 1),
            crate::generated::new_transition(243997200, 0),
            crate::generated::new_transition(260326800, 1),
            crate::generated::new_transition(276051600, 0),
            crate::generated::new_transition(291776400, 1),
            crate::generated::new_transition(307501200, 0),
            crate::generated::new_transition(323830800, 1),
            crate::generated::new_transition(338950800, 0),
            crate::generated::new_transition(354675600, 1),
            crate::generated::new_transition(370400400, 0),
            crate::generated::new_transition(386125200, 1),
            crate::generated::new_transition(401850000, 0),
            crate::generated::new_transition(417574800, 1),
            crate::generated::new_transition(433299600, 0),
            crate::generated::new_transition(449024400, 1),
            crate::generated::new_transition(465354000, 0),
            crate::generated::new_transition(481078800, 1),
            crate::generated::new_transition(496803600, 0),
            crate::generated::new_transition(512528400, 1),
            crate::generated::new_transition(528253200, 0),
            crate::generated::new_transition(543978000, 1),
            crate::generated::new_transition(559702800, 0),
            crate::generated::new_transition(575427600, 1),
            crate::generated::new_transition(591152400, 0),
            crate::generated::new_transition(606877200, 1),
            crate::generated::new_transition(622602000, 0),
            crate::generated::new_transition(638326800, 1),
            crate::generated::new_transition(654656400, 0),
            crate::generated::new_transition(670381200, 1),
            crate::generated::new_transition(686106000, 0),
            crate::generated::new_transition(701830800, 1),
            crate::generated::new_transition(717555600, 0),
            crate::generated::new_transition(733280400, 1),
            crate::generated::new_transition(749005200, 0),
            crate::generated::new_transition(764730000, 1),
            crate::generated::new_transition(780454800, 0),
            crate::generated::new_transition(796179600, 1),
            crate::generated::new_transition(811904400, 0),
            crate::generated::new_transition(828234000, 1),
        ],
        &[
            crate::generated::new_local_time_type(0, false, Some(b"WET")),
            crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
        ],
        &[],
        &Some(TransitionRule::Alternate(
            crate::generated::new_alternate_time(
                crate::generated::new_local_time_type(0, false, Some(b"WET")),
                crate::generated::new_local_time_type(3600, true, Some(b"WEST")),
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(3, 5, 0)),
                3600,
                RuleDay::MonthWeekDay(crate::generated::new_month_week_day(10, 5, 0)),
                7200,
            ),
        )),
    );

    pub(crate) const W_SU: tz::TimeZoneRef<'static> = crate::generated::new_time_zone_ref(
        &[
            crate::generated::new_transition(-2840149817, 1),
            crate::generated::new_transition(-1688265017, 3),
            crate::generated::new_transition(-1656819079, 2),
            crate::generated::new_transition(-1641353479, 3),
            crate::generated::new_transition(-1627965079, 4),
            crate::generated::new_transition(-1618716679, 2),
            crate::generated::new_transition(-1596429079, 4),
            crate::generated::new_transition(-1593820800, 5),
            crate::generated::new_transition(-1589860800, 6),
            crate::generated::new_transition(-1542427200, 5),
            crate::generated::new_transition(-1539493200, 7),
            crate::generated::new_transition(-1525323600, 5),
            crate::generated::new_transition(-1522728000, 6),
            crate::generated::new_transition(-1491188400, 8),
            crate::generated::new_transition(-1247536800, 6),
            crate::generated::new_transition(354920400, 5),
            crate::generated::new_transition(370728000, 6),
            crate::generated::new_transition(386456400, 5),
            crate::generated::new_transition(402264000, 6),
            crate::generated::new_transition(417992400, 5),
            crate::generated::new_transition(433800000, 6),
            crate::generated::new_transition(449614800, 5),
            crate::generated::new_transition(465346800, 6),
            crate::generated::new_transition(481071600, 5),
            crate::generated::new_transition(496796400, 6),
            crate::generated::new_transition(512521200, 5),
            crate::generated::new_transition(528246000, 6),
            crate::generated::new_transition(543970800, 5),
            crate::generated::new_transition(559695600, 6),
            crate::generated::new_transition(575420400, 5),
            crate::generated::new_transition(591145200, 6),
            crate::generated::new_transition(606870000, 5),
            crate::generated::new_transition(622594800, 6),
            crate::generated::new_transition(638319600, 5),
            crate::generated::new_transition(654649200, 6),
            crate::generated::new_transition(670374000, 9),
            crate::generated::new_transition(686102400, 8),
            crate::generated::new_transition(695779200, 6),
            crate::generated::new_transition(701823600, 5),
            crate::generated::new_transition(717548400, 6),
            crate::generated::new_transition(733273200, 5),
            crate::generated::new_transition(748998000, 6),
            crate::generated::new_transition(764722800, 5),
            crate::generated::new_transition(780447600, 6),
            crate::generated::new_transition(796172400, 5),
            crate::generated::new_transition(811897200, 6),
            crate::generated::new_transition(828226800, 5),
            crate::generated::new_transition(846370800, 6),
            crate::generated::new_transition(859676400, 5),
            crate::generated::new_transition(877820400, 6),
            crate::generated::new_transition(891126000, 5),
            crate::generated::new_transition(909270000, 6),
            crate::generated::new_transition(922575600, 5),
            crate::generated::new_transition(941324400, 6),
            crate::generated::new_transition(954025200, 5),
            crate::generated::new_transition(972774000, 6),
            crate::generated::new_transition(985474800, 5),
            crate::generated::new_transition(1004223600, 6),
            crate::generated::new_transition(1017529200, 5),
            crate::generated::new_transition(1035673200, 6),
            crate::generated::new_transition(1048978800, 5),
            crate::generated::new_transition(1067122800, 6),
            crate::generated::new_transition(1080428400, 5),
            crate::generated::new_transition(1099177200, 6),
            crate::generated::new_transition(1111878000, 5),
            crate::generated::new_transition(1130626800, 6),
            crate::generated::new_transition(1143327600, 5),
            crate::generated::new_transition(1162076400, 6),
            crate::generated::new_transition(1174777200, 5),
            crate::generated::new_transition(1193526000, 6),
            crate::generated::new_transition(1206831600, 5),
            crate::generated::new_transition(1224975600, 6),
            crate::generated::new_transition(1238281200, 5),
            crate::generated::new_transition(1256425200, 6),
            crate::generated::new_transition(1269730800, 5),
            crate::generated::new_transition(1288479600, 6),
            crate::generated::new_transition(1301180400, 10),
            crate::generated::new_transition(1414274400, 6),
        ],
        &[
            crate::generated::new_local_time_type(9017, false, Some(b"LMT")),
            crate::generated::new_local_time_type(9017, false, Some(b"MMT")),
            crate::generated::new_local_time_type(12679, true, Some(b"MST")),
            crate::generated::new_local_time_type(9079, false, Some(b"MMT")),
            crate::generated::new_local_time_type(16279, true, Some(b"MDST")),
            crate::generated::new_local_time_type(14400, true, Some(b"MSD")),
            crate::generated::new_local_time_type(10800, false, Some(b"MSK")),
            crate::generated::new_local_time_type(18000, true, Some(b"+05")),
            crate::generated::new_local_time_type(7200, false, Some(b"EET")),
            crate::generated::new_local_time_type(10800, true, Some(b"EEST")),
            crate::generated::new_local_time_type(14400, false, Some(b"MSK")),
        ],
        &[],
        &Some(TransitionRule::Fixed(
            crate::generated::new_local_time_type(10800, false, Some(b"MSK")),
        )),
    );
}

mod raw_tzdata;
